package android.support.v4.media.session;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.ResultReceiver;
import android.support.v4.media.MediaDescriptionCompat;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes.dex */
public class MediaSessionCompat {

    /* loaded from: classes.dex */
    public static final class ResultReceiverWrapper implements Parcelable {
        public static final Parcelable.Creator<ResultReceiverWrapper> CREATOR = new a();

        /* renamed from: ʾ  reason: contains not printable characters */
        ResultReceiver f359;

        /* loaded from: classes.dex */
        static class a implements Parcelable.Creator<ResultReceiverWrapper> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public ResultReceiverWrapper createFromParcel(Parcel parcel) {
                return new ResultReceiverWrapper(parcel);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʼ  reason: contains not printable characters */
            public ResultReceiverWrapper[] newArray(int i6) {
                return new ResultReceiverWrapper[i6];
            }
        }

        ResultReceiverWrapper(Parcel parcel) {
            this.f359 = (ResultReceiver) ResultReceiver.CREATOR.createFromParcel(parcel);
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            this.f359.writeToParcel(parcel, i6);
        }
    }

    /* loaded from: classes.dex */
    public static final class Token implements Parcelable {
        public static final Parcelable.Creator<Token> CREATOR = new a();

        /* renamed from: ʾ  reason: contains not printable characters */
        private final Object f360;

        /* renamed from: ʿ  reason: contains not printable characters */
        private b f361;

        /* renamed from: ˆ  reason: contains not printable characters */
        private Bundle f362;

        /* loaded from: classes.dex */
        static class a implements Parcelable.Creator<Token> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public Token createFromParcel(Parcel parcel) {
                Object readStrongBinder;
                if (Build.VERSION.SDK_INT >= 21) {
                    readStrongBinder = parcel.readParcelable(null);
                } else {
                    readStrongBinder = parcel.readStrongBinder();
                }
                return new Token(readStrongBinder);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʼ  reason: contains not printable characters */
            public Token[] newArray(int i6) {
                return new Token[i6];
            }
        }

        Token(Object obj) {
            this(obj, null, null);
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof Token)) {
                return false;
            }
            Token token = (Token) obj;
            Object obj2 = this.f360;
            if (obj2 == null) {
                if (token.f360 == null) {
                    return true;
                }
                return false;
            }
            Object obj3 = token.f360;
            if (obj3 == null) {
                return false;
            }
            return obj2.equals(obj3);
        }

        public int hashCode() {
            Object obj = this.f360;
            if (obj == null) {
                return 0;
            }
            return obj.hashCode();
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            if (Build.VERSION.SDK_INT >= 21) {
                parcel.writeParcelable((Parcelable) this.f360, i6);
            } else {
                parcel.writeStrongBinder((IBinder) this.f360);
            }
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        public b m348() {
            return this.f361;
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        public void m349(b bVar) {
            this.f361 = bVar;
        }

        /* renamed from: ˑ  reason: contains not printable characters */
        public void m350(Bundle bundle) {
            this.f362 = bundle;
        }

        Token(Object obj, b bVar, Bundle bundle) {
            this.f360 = obj;
            this.f361 = bVar;
            this.f362 = bundle;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m341(Bundle bundle) {
        if (bundle != null) {
            bundle.setClassLoader(MediaSessionCompat.class.getClassLoader());
        }
    }

    /* loaded from: classes.dex */
    public static final class QueueItem implements Parcelable {
        public static final Parcelable.Creator<QueueItem> CREATOR = new a();

        /* renamed from: ʾ  reason: contains not printable characters */
        private final MediaDescriptionCompat f356;

        /* renamed from: ʿ  reason: contains not printable characters */
        private final long f357;

        /* renamed from: ˆ  reason: contains not printable characters */
        private Object f358;

        /* loaded from: classes.dex */
        static class a implements Parcelable.Creator<QueueItem> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public QueueItem createFromParcel(Parcel parcel) {
                return new QueueItem(parcel);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʼ  reason: contains not printable characters */
            public QueueItem[] newArray(int i6) {
                return new QueueItem[i6];
            }
        }

        private QueueItem(Object obj, MediaDescriptionCompat mediaDescriptionCompat, long j6) {
            if (mediaDescriptionCompat == null) {
                throw new IllegalArgumentException("Description cannot be null.");
            }
            if (j6 != -1) {
                this.f356 = mediaDescriptionCompat;
                this.f357 = j6;
                this.f358 = obj;
                return;
            }
            throw new IllegalArgumentException("Id cannot be QueueItem.UNKNOWN_ID");
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        public static QueueItem m342(Object obj) {
            if (obj != null && Build.VERSION.SDK_INT >= 21) {
                return new QueueItem(obj, MediaDescriptionCompat.m280(o.m416(obj)), o.m417(obj));
            }
            return null;
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        public static List<QueueItem> m343(List<?> list) {
            if (list != null && Build.VERSION.SDK_INT >= 21) {
                ArrayList arrayList = new ArrayList();
                Iterator<?> it = list.iterator();
                while (it.hasNext()) {
                    arrayList.add(m342(it.next()));
                }
                return arrayList;
            }
            return null;
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "MediaSession.QueueItem {Description=" + this.f356 + ", Id=" + this.f357 + " }";
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            this.f356.writeToParcel(parcel, i6);
            parcel.writeLong(this.f357);
        }

        QueueItem(Parcel parcel) {
            this.f356 = MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
            this.f357 = parcel.readLong();
        }
    }
}
