package androidx.appcompat.app;

import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.InflateException;
import android.view.View;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.appcompat.widget.AppCompatRadioButton;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.m0;
import androidx.appcompat.widget.p0;
import androidx.appcompat.widget.r0;
import androidx.appcompat.widget.u1;
import androidx.appcompat.widget.u2;
import androidx.core.view.z0;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* compiled from: AppCompatViewInflater.java */
/* loaded from: classes.dex */
public class v {

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final Class<?>[] f796 = {Context.class, AttributeSet.class};

    /* renamed from: ʽ  reason: contains not printable characters */
    private static final int[] f797 = {16843375};

    /* renamed from: ʾ  reason: contains not printable characters */
    private static final int[] f798 = {16844160};

    /* renamed from: ʿ  reason: contains not printable characters */
    private static final int[] f799 = {16844156};

    /* renamed from: ˆ  reason: contains not printable characters */
    private static final int[] f800 = {16844148};

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final String[] f801 = {"android.widget.", "android.view.", "android.webkit."};

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final l.g<String, Constructor<? extends View>> f802 = new l.g<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    private final Object[] f803 = new Object[2];

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatViewInflater.java */
    /* loaded from: classes.dex */
    public static class a implements View.OnClickListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        private final View f804;

        /* renamed from: ʿ  reason: contains not printable characters */
        private final String f805;

        /* renamed from: ˆ  reason: contains not printable characters */
        private Method f806;

        /* renamed from: ˈ  reason: contains not printable characters */
        private Context f807;

        public a(View view, String str) {
            this.f804 = view;
            this.f805 = str;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private void m868(Context context) {
            int id;
            String str;
            Method method;
            while (context != null) {
                try {
                    if (!context.isRestricted() && (method = context.getClass().getMethod(this.f805, View.class)) != null) {
                        this.f806 = method;
                        this.f807 = context;
                        return;
                    }
                } catch (NoSuchMethodException unused) {
                }
                if (context instanceof ContextWrapper) {
                    context = ((ContextWrapper) context).getBaseContext();
                } else {
                    context = null;
                }
            }
            if (this.f804.getId() == -1) {
                str = BuildConfig.FLAVOR;
            } else {
                str = " with id '" + this.f804.getContext().getResources().getResourceEntryName(id) + "'";
            }
            throw new IllegalStateException("Could not find method " + this.f805 + "(View) in a parent or ancestor Context for android:onClick attribute defined on view " + this.f804.getClass() + str);
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            if (this.f806 == null) {
                m868(this.f804.getContext());
            }
            try {
                this.f806.invoke(this.f807, view);
            } catch (IllegalAccessException e6) {
                throw new IllegalStateException("Could not execute non-public method for android:onClick", e6);
            } catch (InvocationTargetException e7) {
                throw new IllegalStateException("Could not execute method for android:onClick", e7);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m846(Context context, View view, AttributeSet attributeSet) {
        if (Build.VERSION.SDK_INT > 28) {
            return;
        }
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f798);
        if (obtainStyledAttributes.hasValue(0)) {
            z0.m3391(view, obtainStyledAttributes.getBoolean(0, false));
        }
        obtainStyledAttributes.recycle();
        TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(attributeSet, f799);
        if (obtainStyledAttributes2.hasValue(0)) {
            z0.m3394(view, obtainStyledAttributes2.getString(0));
        }
        obtainStyledAttributes2.recycle();
        TypedArray obtainStyledAttributes3 = context.obtainStyledAttributes(attributeSet, f800);
        if (obtainStyledAttributes3.hasValue(0)) {
            z0.m3408(view, obtainStyledAttributes3.getBoolean(0, false));
        }
        obtainStyledAttributes3.recycle();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m847(View view, AttributeSet attributeSet) {
        Context context = view.getContext();
        if ((context instanceof ContextWrapper) && z0.m3449(view)) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f797);
            String string = obtainStyledAttributes.getString(0);
            if (string != null) {
                view.setOnClickListener(new a(view, string));
            }
            obtainStyledAttributes.recycle();
        }
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private View m848(Context context, String str, String str2) throws ClassNotFoundException, InflateException {
        String str3;
        l.g<String, Constructor<? extends View>> gVar = f802;
        Constructor<? extends View> constructor = gVar.get(str);
        if (constructor == null) {
            if (str2 != null) {
                try {
                    str3 = str2 + str;
                } catch (Exception unused) {
                    return null;
                }
            } else {
                str3 = str;
            }
            constructor = Class.forName(str3, false, context.getClassLoader()).asSubclass(View.class).getConstructor(f796);
            gVar.put(str, constructor);
        }
        constructor.setAccessible(true);
        return constructor.newInstance(this.f803);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private View m849(Context context, String str, AttributeSet attributeSet) {
        if (str.equals("view")) {
            str = attributeSet.getAttributeValue(null, "class");
        }
        try {
            Object[] objArr = this.f803;
            objArr[0] = context;
            objArr[1] = attributeSet;
            if (-1 == str.indexOf(46)) {
                int i6 = 0;
                while (true) {
                    String[] strArr = f801;
                    if (i6 >= strArr.length) {
                        return null;
                    }
                    View m848 = m848(context, str, strArr[i6]);
                    if (m848 != null) {
                        return m848;
                    }
                    i6++;
                }
            } else {
                return m848(context, str, null);
            }
        } catch (Exception unused) {
            return null;
        } finally {
            Object[] objArr2 = this.f803;
            objArr2[0] = null;
            objArr2[1] = null;
        }
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static Context m850(Context context, AttributeSet attributeSet, boolean z5, boolean z6) {
        int i6;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, e.j.f8466, 0, 0);
        if (z5) {
            i6 = obtainStyledAttributes.getResourceId(e.j.f8467, 0);
        } else {
            i6 = 0;
        }
        if (z6 && i6 == 0 && (i6 = obtainStyledAttributes.getResourceId(e.j.f8468, 0)) != 0) {
            Log.i("AppCompatViewInflater", "app:theme is now deprecated. Please move to using android:theme instead.");
        }
        obtainStyledAttributes.recycle();
        if (i6 != 0) {
            if (!(context instanceof androidx.appcompat.view.d) || ((androidx.appcompat.view.d) context).m896() != i6) {
                return new androidx.appcompat.view.d(context, i6);
            }
            return context;
        }
        return context;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m851(View view, String str) {
        if (view != null) {
            return;
        }
        throw new IllegalStateException(getClass().getName() + " asked to inflate view for <" + str + ">, but returned null");
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    protected androidx.appcompat.widget.d mo852(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.d(context, attributeSet);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    protected androidx.appcompat.widget.f mo853(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.f(context, attributeSet);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    protected AppCompatCheckBox mo854(Context context, AttributeSet attributeSet) {
        return new AppCompatCheckBox(context, attributeSet);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    protected androidx.appcompat.widget.g m855(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.g(context, attributeSet);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    protected androidx.appcompat.widget.k m856(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.k(context, attributeSet);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    protected androidx.appcompat.widget.o m857(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.o(context, attributeSet);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    protected androidx.appcompat.widget.q m858(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.q(context, attributeSet);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    protected androidx.appcompat.widget.r m859(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.r(context, attributeSet);
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    protected AppCompatRadioButton mo860(Context context, AttributeSet attributeSet) {
        return new AppCompatRadioButton(context, attributeSet);
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    protected m0 m861(Context context, AttributeSet attributeSet) {
        return new m0(context, attributeSet);
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    protected p0 m862(Context context, AttributeSet attributeSet) {
        return new p0(context, attributeSet);
    }

    /* renamed from: י  reason: contains not printable characters */
    protected r0 m863(Context context, AttributeSet attributeSet) {
        return new r0(context, attributeSet);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    protected AppCompatTextView mo864(Context context, AttributeSet attributeSet) {
        return new AppCompatTextView(context, attributeSet);
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    protected u1 m865(Context context, AttributeSet attributeSet) {
        return new u1(context, attributeSet);
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    protected View m866(Context context, String str, AttributeSet attributeSet) {
        return null;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public final View m867(View view, String str, Context context, AttributeSet attributeSet, boolean z5, boolean z6, boolean z7, boolean z8) {
        Context context2;
        View m861;
        if (z5 && view != null) {
            context2 = view.getContext();
        } else {
            context2 = context;
        }
        if (z6 || z7) {
            context2 = m850(context2, attributeSet, z6, z7);
        }
        if (z8) {
            context2 = u2.m1760(context2);
        }
        str.hashCode();
        char c6 = 65535;
        switch (str.hashCode()) {
            case -1946472170:
                if (str.equals("RatingBar")) {
                    c6 = 0;
                    break;
                }
                break;
            case -1455429095:
                if (str.equals("CheckedTextView")) {
                    c6 = 1;
                    break;
                }
                break;
            case -1346021293:
                if (str.equals("MultiAutoCompleteTextView")) {
                    c6 = 2;
                    break;
                }
                break;
            case -938935918:
                if (str.equals("TextView")) {
                    c6 = 3;
                    break;
                }
                break;
            case -937446323:
                if (str.equals("ImageButton")) {
                    c6 = 4;
                    break;
                }
                break;
            case -658531749:
                if (str.equals("SeekBar")) {
                    c6 = 5;
                    break;
                }
                break;
            case -339785223:
                if (str.equals("Spinner")) {
                    c6 = 6;
                    break;
                }
                break;
            case 776382189:
                if (str.equals("RadioButton")) {
                    c6 = 7;
                    break;
                }
                break;
            case 799298502:
                if (str.equals("ToggleButton")) {
                    c6 = '\b';
                    break;
                }
                break;
            case 1125864064:
                if (str.equals("ImageView")) {
                    c6 = '\t';
                    break;
                }
                break;
            case 1413872058:
                if (str.equals("AutoCompleteTextView")) {
                    c6 = '\n';
                    break;
                }
                break;
            case 1601505219:
                if (str.equals("CheckBox")) {
                    c6 = 11;
                    break;
                }
                break;
            case 1666676343:
                if (str.equals("EditText")) {
                    c6 = '\f';
                    break;
                }
                break;
            case 2001146706:
                if (str.equals("Button")) {
                    c6 = '\r';
                    break;
                }
                break;
        }
        switch (c6) {
            case 0:
                m861 = m861(context2, attributeSet);
                m851(m861, str);
                break;
            case 1:
                m861 = m855(context2, attributeSet);
                m851(m861, str);
                break;
            case 2:
                m861 = m859(context2, attributeSet);
                m851(m861, str);
                break;
            case 3:
                m861 = mo864(context2, attributeSet);
                m851(m861, str);
                break;
            case 4:
                m861 = m857(context2, attributeSet);
                m851(m861, str);
                break;
            case 5:
                m861 = m862(context2, attributeSet);
                m851(m861, str);
                break;
            case 6:
                m861 = m863(context2, attributeSet);
                m851(m861, str);
                break;
            case 7:
                m861 = mo860(context2, attributeSet);
                m851(m861, str);
                break;
            case '\b':
                m861 = m865(context2, attributeSet);
                m851(m861, str);
                break;
            case '\t':
                m861 = m858(context2, attributeSet);
                m851(m861, str);
                break;
            case '\n':
                m861 = mo852(context2, attributeSet);
                m851(m861, str);
                break;
            case 11:
                m861 = mo854(context2, attributeSet);
                m851(m861, str);
                break;
            case '\f':
                m861 = m856(context2, attributeSet);
                m851(m861, str);
                break;
            case '\r':
                m861 = mo853(context2, attributeSet);
                m851(m861, str);
                break;
            default:
                m861 = m866(context2, str, attributeSet);
                break;
        }
        if (m861 == null && context != context2) {
            m861 = m849(context2, str, attributeSet);
        }
        if (m861 != null) {
            m847(m861, attributeSet);
            m846(context2, m861, attributeSet);
        }
        return m861;
    }
}
