package androidx.appcompat.view;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import android.view.InflateException;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import androidx.appcompat.widget.x1;
import androidx.appcompat.widget.x2;
import androidx.core.view.j0;
import java.io.IOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: SupportMenuInflater.java */
/* loaded from: classes.dex */
public class g extends MenuInflater {

    /* renamed from: ʿ  reason: contains not printable characters */
    static final Class<?>[] f837;

    /* renamed from: ˆ  reason: contains not printable characters */
    static final Class<?>[] f838;

    /* renamed from: ʻ  reason: contains not printable characters */
    final Object[] f839;

    /* renamed from: ʼ  reason: contains not printable characters */
    final Object[] f840;

    /* renamed from: ʽ  reason: contains not printable characters */
    Context f841;

    /* renamed from: ʾ  reason: contains not printable characters */
    private Object f842;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SupportMenuInflater.java */
    /* loaded from: classes.dex */
    public static class a implements MenuItem.OnMenuItemClickListener {

        /* renamed from: ʽ  reason: contains not printable characters */
        private static final Class<?>[] f843 = {MenuItem.class};

        /* renamed from: ʻ  reason: contains not printable characters */
        private Object f844;

        /* renamed from: ʼ  reason: contains not printable characters */
        private Method f845;

        public a(Object obj, String str) {
            this.f844 = obj;
            Class<?> cls = obj.getClass();
            try {
                this.f845 = cls.getMethod(str, f843);
            } catch (Exception e6) {
                InflateException inflateException = new InflateException("Couldn't resolve menu item onClick handler " + str + " in class " + cls.getName());
                inflateException.initCause(e6);
                throw inflateException;
            }
        }

        @Override // android.view.MenuItem.OnMenuItemClickListener
        public boolean onMenuItemClick(MenuItem menuItem) {
            try {
                if (this.f845.getReturnType() == Boolean.TYPE) {
                    return ((Boolean) this.f845.invoke(this.f844, menuItem)).booleanValue();
                }
                this.f845.invoke(this.f844, menuItem);
                return true;
            } catch (Exception e6) {
                throw new RuntimeException(e6);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SupportMenuInflater.java */
    /* loaded from: classes.dex */
    public class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        private Menu f846;

        /* renamed from: ʻʻ  reason: contains not printable characters */
        private CharSequence f847;

        /* renamed from: ʼ  reason: contains not printable characters */
        private int f848;

        /* renamed from: ʽ  reason: contains not printable characters */
        private int f850;

        /* renamed from: ʾ  reason: contains not printable characters */
        private int f852;

        /* renamed from: ʿ  reason: contains not printable characters */
        private int f853;

        /* renamed from: ˆ  reason: contains not printable characters */
        private boolean f855;

        /* renamed from: ˈ  reason: contains not printable characters */
        private boolean f856;

        /* renamed from: ˉ  reason: contains not printable characters */
        private boolean f857;

        /* renamed from: ˊ  reason: contains not printable characters */
        private int f858;

        /* renamed from: ˋ  reason: contains not printable characters */
        private int f859;

        /* renamed from: ˎ  reason: contains not printable characters */
        private CharSequence f860;

        /* renamed from: ˏ  reason: contains not printable characters */
        private CharSequence f861;

        /* renamed from: ˑ  reason: contains not printable characters */
        private int f862;

        /* renamed from: י  reason: contains not printable characters */
        private char f863;

        /* renamed from: ـ  reason: contains not printable characters */
        private int f864;

        /* renamed from: ٴ  reason: contains not printable characters */
        private char f865;

        /* renamed from: ᐧ  reason: contains not printable characters */
        private int f866;

        /* renamed from: ᐧᐧ  reason: contains not printable characters */
        androidx.core.view.b f867;

        /* renamed from: ᴵ  reason: contains not printable characters */
        private int f868;

        /* renamed from: ᴵᴵ  reason: contains not printable characters */
        private CharSequence f869;

        /* renamed from: ᵎ  reason: contains not printable characters */
        private boolean f870;

        /* renamed from: ᵔ  reason: contains not printable characters */
        private boolean f871;

        /* renamed from: ᵢ  reason: contains not printable characters */
        private boolean f872;

        /* renamed from: ⁱ  reason: contains not printable characters */
        private int f873;

        /* renamed from: ﹳ  reason: contains not printable characters */
        private int f874;

        /* renamed from: ﹶ  reason: contains not printable characters */
        private String f875;

        /* renamed from: ﾞ  reason: contains not printable characters */
        private String f876;

        /* renamed from: ﾞﾞ  reason: contains not printable characters */
        private String f877;

        /* renamed from: ʽʽ  reason: contains not printable characters */
        private ColorStateList f851 = null;

        /* renamed from: ʼʼ  reason: contains not printable characters */
        private PorterDuff.Mode f849 = null;

        public b(Menu menu) {
            this.f846 = menu;
            m912();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private char m904(String str) {
            if (str == null) {
                return (char) 0;
            }
            return str.charAt(0);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private <T> T m905(String str, Class<?>[] clsArr, Object[] objArr) {
            try {
                Constructor<?> constructor = Class.forName(str, false, g.this.f841.getClassLoader()).getConstructor(clsArr);
                constructor.setAccessible(true);
                return (T) constructor.newInstance(objArr);
            } catch (Exception e6) {
                Log.w("SupportMenuInflater", "Cannot instantiate class: " + str, e6);
                return null;
            }
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        private void m906(MenuItem menuItem) {
            boolean z5;
            MenuItem enabled = menuItem.setChecked(this.f870).setVisible(this.f871).setEnabled(this.f872);
            boolean z6 = false;
            if (this.f868 >= 1) {
                z5 = true;
            } else {
                z5 = false;
            }
            enabled.setCheckable(z5).setTitleCondensed(this.f861).setIcon(this.f862);
            int i6 = this.f873;
            if (i6 >= 0) {
                menuItem.setShowAsAction(i6);
            }
            if (this.f877 != null) {
                if (!g.this.f841.isRestricted()) {
                    menuItem.setOnMenuItemClickListener(new a(g.this.m903(), this.f877));
                } else {
                    throw new IllegalStateException("The android:onClick attribute cannot be used within a restricted context");
                }
            }
            if (this.f868 >= 2) {
                if (menuItem instanceof androidx.appcompat.view.menu.i) {
                    ((androidx.appcompat.view.menu.i) menuItem).m1092(true);
                } else if (menuItem instanceof androidx.appcompat.view.menu.j) {
                    ((androidx.appcompat.view.menu.j) menuItem).m1099(true);
                }
            }
            String str = this.f875;
            if (str != null) {
                menuItem.setActionView((View) m905(str, g.f837, g.this.f839));
                z6 = true;
            }
            int i7 = this.f874;
            if (i7 > 0) {
                if (!z6) {
                    menuItem.setActionView(i7);
                } else {
                    Log.w("SupportMenuInflater", "Ignoring attribute 'itemActionViewLayout'. Action view already specified.");
                }
            }
            androidx.core.view.b bVar = this.f867;
            if (bVar != null) {
                j0.m3063(menuItem, bVar);
            }
            j0.m3065(menuItem, this.f869);
            j0.m3069(menuItem, this.f847);
            j0.m3064(menuItem, this.f863, this.f864);
            j0.m3068(menuItem, this.f865, this.f866);
            PorterDuff.Mode mode = this.f849;
            if (mode != null) {
                j0.m3067(menuItem, mode);
            }
            ColorStateList colorStateList = this.f851;
            if (colorStateList != null) {
                j0.m3066(menuItem, colorStateList);
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m907() {
            this.f857 = true;
            m906(this.f846.add(this.f848, this.f858, this.f859, this.f860));
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public SubMenu m908() {
            this.f857 = true;
            SubMenu addSubMenu = this.f846.addSubMenu(this.f848, this.f858, this.f859, this.f860);
            m906(addSubMenu.getItem());
            return addSubMenu;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public boolean m909() {
            return this.f857;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public void m910(AttributeSet attributeSet) {
            TypedArray obtainStyledAttributes = g.this.f841.obtainStyledAttributes(attributeSet, e.j.f8345);
            this.f848 = obtainStyledAttributes.getResourceId(e.j.f8347, 0);
            this.f850 = obtainStyledAttributes.getInt(e.j.f8350, 0);
            this.f852 = obtainStyledAttributes.getInt(e.j.f8351, 0);
            this.f853 = obtainStyledAttributes.getInt(e.j.f8352, 0);
            this.f855 = obtainStyledAttributes.getBoolean(e.j.f8348, true);
            this.f856 = obtainStyledAttributes.getBoolean(e.j.f8346, true);
            obtainStyledAttributes.recycle();
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        public void m911(AttributeSet attributeSet) {
            boolean z5;
            x2 m1775 = x2.m1775(g.this.f841, attributeSet, e.j.f8354);
            this.f858 = m1775.m1790(e.j.f8357, 0);
            this.f859 = (m1775.m1787(e.j.f8360, this.f850) & (-65536)) | (m1775.m1787(e.j.f8361, this.f852) & 65535);
            this.f860 = m1775.m1792(e.j.f8362);
            this.f861 = m1775.m1792(e.j.f8363);
            this.f862 = m1775.m1790(e.j.f8355, 0);
            this.f863 = m904(m1775.m1791(e.j.f8364));
            this.f864 = m1775.m1787(e.j.f8371, 4096);
            this.f865 = m904(m1775.m1791(e.j.f8365));
            this.f866 = m1775.m1787(e.j.f8376, 4096);
            int i6 = e.j.f8366;
            if (m1775.m1795(i6)) {
                this.f868 = m1775.m1777(i6, false) ? 1 : 0;
            } else {
                this.f868 = this.f853;
            }
            this.f870 = m1775.m1777(e.j.f8358, false);
            this.f871 = m1775.m1777(e.j.f8359, this.f855);
            this.f872 = m1775.m1777(e.j.f8356, this.f856);
            this.f873 = m1775.m1787(e.j.f8377, -1);
            this.f877 = m1775.m1791(e.j.f8367);
            this.f874 = m1775.m1790(e.j.f8368, 0);
            this.f875 = m1775.m1791(e.j.f8370);
            String m1791 = m1775.m1791(e.j.f8369);
            this.f876 = m1791;
            if (m1791 != null) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (z5 && this.f874 == 0 && this.f875 == null) {
                this.f867 = (androidx.core.view.b) m905(m1791, g.f838, g.this.f840);
            } else {
                if (z5) {
                    Log.w("SupportMenuInflater", "Ignoring attribute 'actionProviderClass'. Action view already specified.");
                }
                this.f867 = null;
            }
            this.f869 = m1775.m1792(e.j.f8372);
            this.f847 = m1775.m1792(e.j.f8378);
            int i7 = e.j.f8374;
            if (m1775.m1795(i7)) {
                this.f849 = x1.m1773(m1775.m1787(i7, -1), this.f849);
            } else {
                this.f849 = null;
            }
            int i8 = e.j.f8373;
            if (m1775.m1795(i8)) {
                this.f851 = m1775.m1779(i8);
            } else {
                this.f851 = null;
            }
            m1775.m1796();
            this.f857 = false;
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        public void m912() {
            this.f848 = 0;
            this.f850 = 0;
            this.f852 = 0;
            this.f853 = 0;
            this.f855 = true;
            this.f856 = true;
        }
    }

    static {
        Class<?>[] clsArr = {Context.class};
        f837 = clsArr;
        f838 = clsArr;
    }

    public g(Context context) {
        super(context);
        this.f841 = context;
        Object[] objArr = {context};
        this.f839 = objArr;
        this.f840 = objArr;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Object m901(Object obj) {
        if (obj instanceof Activity) {
            return obj;
        }
        if (obj instanceof ContextWrapper) {
            return m901(((ContextWrapper) obj).getBaseContext());
        }
        return obj;
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x003b, code lost:
        r8 = null;
        r6 = false;
        r7 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0040, code lost:
        if (r6 != false) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0042, code lost:
        if (r15 == 1) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0048, code lost:
        if (r15 == 2) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x004b, code lost:
        if (r15 == 3) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x004f, code lost:
        r15 = r13.getName();
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0053, code lost:
        if (r7 == false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0059, code lost:
        if (r15.equals(r8) == false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x005b, code lost:
        r8 = null;
        r7 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0062, code lost:
        if (r15.equals("group") == false) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0064, code lost:
        r0.m912();
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x006c, code lost:
        if (r15.equals("item") == false) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0072, code lost:
        if (r0.m909() != false) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0074, code lost:
        r15 = r0.f867;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0076, code lost:
        if (r15 == null) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x007c, code lost:
        if (r15.mo1100() == false) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x007e, code lost:
        r0.m908();
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0082, code lost:
        r0.m907();
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x008a, code lost:
        if (r15.equals("menu") == false) goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x008c, code lost:
        r6 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x008e, code lost:
        if (r7 == false) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0091, code lost:
        r15 = r13.getName();
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0099, code lost:
        if (r15.equals("group") == false) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x009b, code lost:
        r0.m910(r14);
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x00a3, code lost:
        if (r15.equals("item") == false) goto L53;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x00a5, code lost:
        r0.m911(r14);
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00ad, code lost:
        if (r15.equals("menu") == false) goto L57;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00af, code lost:
        m902(r13, r14, r0.m908());
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00b7, code lost:
        r8 = r15;
        r7 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00b9, code lost:
        r15 = r13.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00c5, code lost:
        throw new java.lang.RuntimeException("Unexpected end of document");
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00c6, code lost:
        return;
     */
    /* renamed from: ʽ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void m902(XmlPullParser xmlPullParser, AttributeSet attributeSet, Menu menu) throws XmlPullParserException, IOException {
        b bVar = new b(menu);
        int eventType = xmlPullParser.getEventType();
        while (true) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                if (name.equals("menu")) {
                    eventType = xmlPullParser.next();
                } else {
                    throw new RuntimeException("Expecting menu, got " + name);
                }
            } else {
                eventType = xmlPullParser.next();
                if (eventType == 1) {
                    break;
                }
            }
        }
    }

    @Override // android.view.MenuInflater
    public void inflate(int i6, Menu menu) {
        if (!(menu instanceof u.a)) {
            super.inflate(i6, menu);
            return;
        }
        XmlResourceParser xmlResourceParser = null;
        try {
            try {
                try {
                    xmlResourceParser = this.f841.getResources().getLayout(i6);
                    m902(xmlResourceParser, Xml.asAttributeSet(xmlResourceParser), menu);
                } catch (XmlPullParserException e6) {
                    throw new InflateException("Error inflating menu XML", e6);
                }
            } catch (IOException e7) {
                throw new InflateException("Error inflating menu XML", e7);
            }
        } finally {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    Object m903() {
        if (this.f842 == null) {
            this.f842 = m901(this.f841);
        }
        return this.f842;
    }
}
