package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.b2;
import androidx.appcompat.widget.d3;
/* loaded from: classes.dex */
public class ActionMenuItemView extends AppCompatTextView implements n.a, View.OnClickListener, ActionMenuView.a {

    /* renamed from: ˎ  reason: contains not printable characters */
    i f888;

    /* renamed from: ˏ  reason: contains not printable characters */
    private CharSequence f889;

    /* renamed from: ˑ  reason: contains not printable characters */
    private Drawable f890;

    /* renamed from: י  reason: contains not printable characters */
    g.b f891;

    /* renamed from: ـ  reason: contains not printable characters */
    private b2 f892;

    /* renamed from: ٴ  reason: contains not printable characters */
    b f893;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f894;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f895;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f896;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f897;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int f898;

    /* loaded from: classes.dex */
    private class a extends b2 {
        public a() {
            super(ActionMenuItemView.this);
        }

        @Override // androidx.appcompat.widget.b2
        /* renamed from: ʼ  reason: contains not printable characters */
        public p mo938() {
            b bVar = ActionMenuItemView.this.f893;
            if (bVar != null) {
                return bVar.mo940();
            }
            return null;
        }

        @Override // androidx.appcompat.widget.b2
        /* renamed from: ʽ  reason: contains not printable characters */
        protected boolean mo939() {
            p mo938;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            g.b bVar = actionMenuItemView.f891;
            if (bVar == null || !bVar.mo941(actionMenuItemView.f888) || (mo938 = mo938()) == null || !mo938.mo984()) {
                return false;
            }
            return true;
        }
    }

    /* loaded from: classes.dex */
    public static abstract class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        public abstract p mo940();
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean m931() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i6 = configuration.screenWidthDp;
        int i7 = configuration.screenHeightDp;
        if (i6 < 480 && ((i6 < 640 || i7 < 480) && configuration.orientation != 2)) {
            return false;
        }
        return true;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private void m932() {
        CharSequence charSequence;
        CharSequence title;
        boolean z5 = true;
        boolean z6 = !TextUtils.isEmpty(this.f889);
        if (this.f890 != null && (!this.f888.m1090() || (!this.f894 && !this.f895))) {
            z5 = false;
        }
        boolean z7 = z6 & z5;
        CharSequence charSequence2 = null;
        if (z7) {
            charSequence = this.f889;
        } else {
            charSequence = null;
        }
        setText(charSequence);
        CharSequence contentDescription = this.f888.getContentDescription();
        if (TextUtils.isEmpty(contentDescription)) {
            if (z7) {
                title = null;
            } else {
                title = this.f888.getTitle();
            }
            setContentDescription(title);
        } else {
            setContentDescription(contentDescription);
        }
        CharSequence tooltipText = this.f888.getTooltipText();
        if (TextUtils.isEmpty(tooltipText)) {
            if (!z7) {
                charSequence2 = this.f888.getTitle();
            }
            d3.m1464(this, charSequence2);
            return;
        }
        d3.m1464(this, tooltipText);
    }

    @Override // android.widget.TextView, android.view.View
    public CharSequence getAccessibilityClassName() {
        return Button.class.getName();
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f888;
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        g.b bVar = this.f891;
        if (bVar != null) {
            bVar.mo941(this.f888);
        }
    }

    @Override // android.widget.TextView, android.view.View
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f894 = m931();
        m932();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatTextView, android.widget.TextView, android.view.View
    public void onMeasure(int i6, int i7) {
        int i8;
        int i9;
        boolean m937 = m937();
        if (m937 && (i9 = this.f897) >= 0) {
            super.setPadding(i9, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i6, i7);
        int mode = View.MeasureSpec.getMode(i6);
        int size = View.MeasureSpec.getSize(i6);
        int measuredWidth = getMeasuredWidth();
        if (mode == Integer.MIN_VALUE) {
            i8 = Math.min(size, this.f896);
        } else {
            i8 = this.f896;
        }
        if (mode != 1073741824 && this.f896 > 0 && measuredWidth < i8) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(i8, 1073741824), i7);
        }
        if (!m937 && this.f890 != null) {
            super.setPadding((getMeasuredWidth() - this.f890.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    @Override // android.widget.TextView, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    @Override // android.widget.TextView, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        b2 b2Var;
        if (this.f888.hasSubMenu() && (b2Var = this.f892) != null && b2Var.onTouch(this, motionEvent)) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setExpandedFormat(boolean z5) {
        if (this.f895 != z5) {
            this.f895 = z5;
            i iVar = this.f888;
            if (iVar != null) {
                iVar.m1075();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f890 = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i6 = this.f898;
            if (intrinsicWidth > i6) {
                intrinsicHeight = (int) (intrinsicHeight * (i6 / intrinsicWidth));
                intrinsicWidth = i6;
            }
            if (intrinsicHeight > i6) {
                intrinsicWidth = (int) (intrinsicWidth * (i6 / intrinsicHeight));
            } else {
                i6 = intrinsicHeight;
            }
            drawable.setBounds(0, 0, intrinsicWidth, i6);
        }
        setCompoundDrawables(drawable, null, null, null);
        m932();
    }

    public void setItemInvoker(g.b bVar) {
        this.f891 = bVar;
    }

    @Override // android.widget.TextView, android.view.View
    public void setPadding(int i6, int i7, int i8, int i9) {
        this.f897 = i6;
        super.setPadding(i6, i7, i8, i9);
    }

    public void setPopupCallback(b bVar) {
        this.f893 = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.f889 = charSequence;
        m932();
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean mo933() {
        return m937();
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean mo934() {
        if (m937() && this.f888.getIcon() == null) {
            return true;
        }
        return false;
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean mo935() {
        return true;
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʾ  reason: contains not printable characters */
    public void mo936(i iVar, int i6) {
        int i7;
        this.f888 = iVar;
        setIcon(iVar.getIcon());
        setTitle(iVar.m1079(this));
        setId(iVar.getItemId());
        if (iVar.isVisible()) {
            i7 = 0;
        } else {
            i7 = 8;
        }
        setVisibility(i7);
        setEnabled(iVar.isEnabled());
        if (iVar.hasSubMenu() && this.f892 == null) {
            this.f892 = new a();
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public boolean m937() {
        return !TextUtils.isEmpty(getText());
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        Resources resources = context.getResources();
        this.f894 = m931();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, e.j.f8503, i6, 0);
        this.f896 = obtainStyledAttributes.getDimensionPixelSize(e.j.f8505, 0);
        obtainStyledAttributes.recycle();
        this.f898 = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.f897 = -1;
        setSaveEnabled(false);
    }

    public void setCheckable(boolean z5) {
    }

    public void setChecked(boolean z5) {
    }
}
