package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.ActionProvider;
import android.view.CollapsibleActionView;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.widget.FrameLayout;
import androidx.core.view.b;
import java.lang.reflect.Method;
/* compiled from: MenuItemWrapperICS.java */
/* loaded from: classes.dex */
public class j extends androidx.appcompat.view.menu.c implements MenuItem {

    /* renamed from: ʾ  reason: contains not printable characters */
    private final u.b f1071;

    /* renamed from: ʿ  reason: contains not printable characters */
    private Method f1072;

    /* compiled from: MenuItemWrapperICS.java */
    /* loaded from: classes.dex */
    private class a extends androidx.core.view.b {

        /* renamed from: ʾ  reason: contains not printable characters */
        final ActionProvider f1073;

        a(Context context, ActionProvider actionProvider) {
            super(context);
            this.f1073 = actionProvider;
        }

        @Override // androidx.core.view.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean mo1100() {
            return this.f1073.hasSubMenu();
        }

        @Override // androidx.core.view.b
        /* renamed from: ʽ  reason: contains not printable characters */
        public View mo1101() {
            return this.f1073.onCreateActionView();
        }

        @Override // androidx.core.view.b
        /* renamed from: ʿ  reason: contains not printable characters */
        public boolean mo1102() {
            return this.f1073.onPerformDefaultAction();
        }

        @Override // androidx.core.view.b
        /* renamed from: ˆ  reason: contains not printable characters */
        public void mo1103(SubMenu subMenu) {
            this.f1073.onPrepareSubMenu(j.this.m972(subMenu));
        }
    }

    /* compiled from: MenuItemWrapperICS.java */
    /* loaded from: classes.dex */
    private class b extends a implements ActionProvider.VisibilityListener {

        /* renamed from: ˆ  reason: contains not printable characters */
        private b.InterfaceC0028b f1075;

        b(Context context, ActionProvider actionProvider) {
            super(context, actionProvider);
        }

        @Override // android.view.ActionProvider.VisibilityListener
        public void onActionProviderVisibilityChanged(boolean z5) {
            b.InterfaceC0028b interfaceC0028b = this.f1075;
            if (interfaceC0028b != null) {
                interfaceC0028b.onActionProviderVisibilityChanged(z5);
            }
        }

        @Override // androidx.core.view.b
        /* renamed from: ʼ  reason: contains not printable characters */
        public boolean mo1104() {
            return this.f1073.isVisible();
        }

        @Override // androidx.core.view.b
        /* renamed from: ʾ  reason: contains not printable characters */
        public View mo1105(MenuItem menuItem) {
            return this.f1073.onCreateActionView(menuItem);
        }

        @Override // androidx.core.view.b
        /* renamed from: ˈ  reason: contains not printable characters */
        public boolean mo1106() {
            return this.f1073.overridesItemVisibility();
        }

        @Override // androidx.core.view.b
        /* renamed from: ˋ  reason: contains not printable characters */
        public void mo1107(b.InterfaceC0028b interfaceC0028b) {
            b bVar;
            this.f1075 = interfaceC0028b;
            ActionProvider actionProvider = this.f1073;
            if (interfaceC0028b != null) {
                bVar = this;
            } else {
                bVar = null;
            }
            actionProvider.setVisibilityListener(bVar);
        }
    }

    /* compiled from: MenuItemWrapperICS.java */
    /* loaded from: classes.dex */
    static class c extends FrameLayout implements androidx.appcompat.view.c {

        /* renamed from: ʾ  reason: contains not printable characters */
        final CollapsibleActionView f1077;

        c(View view) {
            super(view.getContext());
            this.f1077 = (CollapsibleActionView) view;
            addView(view);
        }

        @Override // androidx.appcompat.view.c
        public void onActionViewCollapsed() {
            this.f1077.onActionViewCollapsed();
        }

        @Override // androidx.appcompat.view.c
        public void onActionViewExpanded() {
            this.f1077.onActionViewExpanded();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        View m1108() {
            return (View) this.f1077;
        }
    }

    /* compiled from: MenuItemWrapperICS.java */
    /* loaded from: classes.dex */
    private class d implements MenuItem.OnActionExpandListener {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final MenuItem.OnActionExpandListener f1078;

        d(MenuItem.OnActionExpandListener onActionExpandListener) {
            this.f1078 = onActionExpandListener;
        }

        @Override // android.view.MenuItem.OnActionExpandListener
        public boolean onMenuItemActionCollapse(MenuItem menuItem) {
            return this.f1078.onMenuItemActionCollapse(j.this.m971(menuItem));
        }

        @Override // android.view.MenuItem.OnActionExpandListener
        public boolean onMenuItemActionExpand(MenuItem menuItem) {
            return this.f1078.onMenuItemActionExpand(j.this.m971(menuItem));
        }
    }

    /* compiled from: MenuItemWrapperICS.java */
    /* loaded from: classes.dex */
    private class e implements MenuItem.OnMenuItemClickListener {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final MenuItem.OnMenuItemClickListener f1080;

        e(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
            this.f1080 = onMenuItemClickListener;
        }

        @Override // android.view.MenuItem.OnMenuItemClickListener
        public boolean onMenuItemClick(MenuItem menuItem) {
            return this.f1080.onMenuItemClick(j.this.m971(menuItem));
        }
    }

    public j(Context context, u.b bVar) {
        super(context);
        if (bVar != null) {
            this.f1071 = bVar;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    @Override // android.view.MenuItem
    public boolean collapseActionView() {
        return this.f1071.collapseActionView();
    }

    @Override // android.view.MenuItem
    public boolean expandActionView() {
        return this.f1071.expandActionView();
    }

    @Override // android.view.MenuItem
    public ActionProvider getActionProvider() {
        androidx.core.view.b mo951 = this.f1071.mo951();
        if (mo951 instanceof a) {
            return ((a) mo951).f1073;
        }
        return null;
    }

    @Override // android.view.MenuItem
    public View getActionView() {
        View actionView = this.f1071.getActionView();
        if (actionView instanceof c) {
            return ((c) actionView).m1108();
        }
        return actionView;
    }

    @Override // android.view.MenuItem
    public int getAlphabeticModifiers() {
        return this.f1071.getAlphabeticModifiers();
    }

    @Override // android.view.MenuItem
    public char getAlphabeticShortcut() {
        return this.f1071.getAlphabeticShortcut();
    }

    @Override // android.view.MenuItem
    public CharSequence getContentDescription() {
        return this.f1071.getContentDescription();
    }

    @Override // android.view.MenuItem
    public int getGroupId() {
        return this.f1071.getGroupId();
    }

    @Override // android.view.MenuItem
    public Drawable getIcon() {
        return this.f1071.getIcon();
    }

    @Override // android.view.MenuItem
    public ColorStateList getIconTintList() {
        return this.f1071.getIconTintList();
    }

    @Override // android.view.MenuItem
    public PorterDuff.Mode getIconTintMode() {
        return this.f1071.getIconTintMode();
    }

    @Override // android.view.MenuItem
    public Intent getIntent() {
        return this.f1071.getIntent();
    }

    @Override // android.view.MenuItem
    public int getItemId() {
        return this.f1071.getItemId();
    }

    @Override // android.view.MenuItem
    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f1071.getMenuInfo();
    }

    @Override // android.view.MenuItem
    public int getNumericModifiers() {
        return this.f1071.getNumericModifiers();
    }

    @Override // android.view.MenuItem
    public char getNumericShortcut() {
        return this.f1071.getNumericShortcut();
    }

    @Override // android.view.MenuItem
    public int getOrder() {
        return this.f1071.getOrder();
    }

    @Override // android.view.MenuItem
    public SubMenu getSubMenu() {
        return m972(this.f1071.getSubMenu());
    }

    @Override // android.view.MenuItem
    public CharSequence getTitle() {
        return this.f1071.getTitle();
    }

    @Override // android.view.MenuItem
    public CharSequence getTitleCondensed() {
        return this.f1071.getTitleCondensed();
    }

    @Override // android.view.MenuItem
    public CharSequence getTooltipText() {
        return this.f1071.getTooltipText();
    }

    @Override // android.view.MenuItem
    public boolean hasSubMenu() {
        return this.f1071.hasSubMenu();
    }

    @Override // android.view.MenuItem
    public boolean isActionViewExpanded() {
        return this.f1071.isActionViewExpanded();
    }

    @Override // android.view.MenuItem
    public boolean isCheckable() {
        return this.f1071.isCheckable();
    }

    @Override // android.view.MenuItem
    public boolean isChecked() {
        return this.f1071.isChecked();
    }

    @Override // android.view.MenuItem
    public boolean isEnabled() {
        return this.f1071.isEnabled();
    }

    @Override // android.view.MenuItem
    public boolean isVisible() {
        return this.f1071.isVisible();
    }

    @Override // android.view.MenuItem
    public MenuItem setActionProvider(ActionProvider actionProvider) {
        b bVar = new b(this.f950, actionProvider);
        u.b bVar2 = this.f1071;
        if (actionProvider == null) {
            bVar = null;
        }
        bVar2.mo950(bVar);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(View view) {
        if (view instanceof CollapsibleActionView) {
            view = new c(view);
        }
        this.f1071.setActionView(view);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setAlphabeticShortcut(char c6) {
        this.f1071.setAlphabeticShortcut(c6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setCheckable(boolean z5) {
        this.f1071.setCheckable(z5);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setChecked(boolean z5) {
        this.f1071.setChecked(z5);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setContentDescription(CharSequence charSequence) {
        this.f1071.setContentDescription(charSequence);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setEnabled(boolean z5) {
        this.f1071.setEnabled(z5);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f1071.setIcon(drawable);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f1071.setIconTintList(colorStateList);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f1071.setIconTintMode(mode);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIntent(Intent intent) {
        this.f1071.setIntent(intent);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setNumericShortcut(char c6) {
        this.f1071.setNumericShortcut(c6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        d dVar;
        u.b bVar = this.f1071;
        if (onActionExpandListener != null) {
            dVar = new d(onActionExpandListener);
        } else {
            dVar = null;
        }
        bVar.setOnActionExpandListener(dVar);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        e eVar;
        u.b bVar = this.f1071;
        if (onMenuItemClickListener != null) {
            eVar = new e(onMenuItemClickListener);
        } else {
            eVar = null;
        }
        bVar.setOnMenuItemClickListener(eVar);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setShortcut(char c6, char c7) {
        this.f1071.setShortcut(c6, c7);
        return this;
    }

    @Override // android.view.MenuItem
    public void setShowAsAction(int i6) {
        this.f1071.setShowAsAction(i6);
    }

    @Override // android.view.MenuItem
    public MenuItem setShowAsActionFlags(int i6) {
        this.f1071.setShowAsActionFlags(i6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f1071.setTitle(charSequence);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f1071.setTitleCondensed(charSequence);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTooltipText(CharSequence charSequence) {
        this.f1071.setTooltipText(charSequence);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setVisible(boolean z5) {
        return this.f1071.setVisible(z5);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m1099(boolean z5) {
        try {
            if (this.f1072 == null) {
                this.f1072 = this.f1071.getClass().getDeclaredMethod("setExclusiveCheckable", Boolean.TYPE);
            }
            this.f1072.invoke(this.f1071, Boolean.valueOf(z5));
        } catch (Exception e6) {
            Log.w("MenuItemWrapper", "Error while calling setExclusiveCheckable", e6);
        }
    }

    @Override // android.view.MenuItem
    public MenuItem setAlphabeticShortcut(char c6, int i6) {
        this.f1071.setAlphabeticShortcut(c6, i6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i6) {
        this.f1071.setIcon(i6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setNumericShortcut(char c6, int i6) {
        this.f1071.setNumericShortcut(c6, i6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setShortcut(char c6, char c7, int i6, int i7) {
        this.f1071.setShortcut(c6, c7, i6, i7);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i6) {
        this.f1071.setTitle(i6);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(int i6) {
        this.f1071.setActionView(i6);
        View actionView = this.f1071.getActionView();
        if (actionView instanceof CollapsibleActionView) {
            this.f1071.setActionView(new c(actionView));
        }
        return this;
    }
}
