package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.appcompat.widget.LinearLayoutCompat;
/* loaded from: classes.dex */
public class AlertDialogLayout extends LinearLayoutCompat {
    public AlertDialogLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m1187(int i6, int i7) {
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824);
        for (int i8 = 0; i8 < i6; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                LinearLayoutCompat.a aVar = (LinearLayoutCompat.a) childAt.getLayoutParams();
                if (((LinearLayout.LayoutParams) aVar).width == -1) {
                    int i9 = ((LinearLayout.LayoutParams) aVar).height;
                    ((LinearLayout.LayoutParams) aVar).height = childAt.getMeasuredHeight();
                    measureChildWithMargins(childAt, makeMeasureSpec, 0, i7, 0);
                    ((LinearLayout.LayoutParams) aVar).height = i9;
                }
            }
        }
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private boolean m1188(int i6, int i7) {
        int i8;
        int i9;
        int i10;
        int i11;
        int makeMeasureSpec;
        int childCount = getChildCount();
        View view = null;
        View view2 = null;
        View view3 = null;
        for (int i12 = 0; i12 < childCount; i12++) {
            View childAt = getChildAt(i12);
            if (childAt.getVisibility() != 8) {
                int id = childAt.getId();
                if (id == e.f.f8232) {
                    view = childAt;
                } else if (id == e.f.f8228) {
                    view2 = childAt;
                } else if ((id != e.f.f8231 && id != e.f.f8234) || view3 != null) {
                    return false;
                } else {
                    view3 = childAt;
                }
            }
        }
        int mode = View.MeasureSpec.getMode(i7);
        int size = View.MeasureSpec.getSize(i7);
        int mode2 = View.MeasureSpec.getMode(i6);
        int paddingTop = getPaddingTop() + getPaddingBottom();
        if (view != null) {
            view.measure(i6, 0);
            paddingTop += view.getMeasuredHeight();
            i8 = View.combineMeasuredStates(0, view.getMeasuredState());
        } else {
            i8 = 0;
        }
        if (view2 != null) {
            view2.measure(i6, 0);
            i9 = m1190(view2);
            i10 = view2.getMeasuredHeight() - i9;
            paddingTop += i9;
            i8 = View.combineMeasuredStates(i8, view2.getMeasuredState());
        } else {
            i9 = 0;
            i10 = 0;
        }
        if (view3 != null) {
            if (mode == 0) {
                makeMeasureSpec = 0;
            } else {
                makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(0, size - paddingTop), mode);
            }
            view3.measure(i6, makeMeasureSpec);
            i11 = view3.getMeasuredHeight();
            paddingTop += i11;
            i8 = View.combineMeasuredStates(i8, view3.getMeasuredState());
        } else {
            i11 = 0;
        }
        int i13 = size - paddingTop;
        if (view2 != null) {
            int i14 = paddingTop - i9;
            int min = Math.min(i13, i10);
            if (min > 0) {
                i13 -= min;
                i9 += min;
            }
            view2.measure(i6, View.MeasureSpec.makeMeasureSpec(i9, 1073741824));
            paddingTop = i14 + view2.getMeasuredHeight();
            i8 = View.combineMeasuredStates(i8, view2.getMeasuredState());
        }
        if (view3 != null && i13 > 0) {
            view3.measure(i6, View.MeasureSpec.makeMeasureSpec(i11 + i13, mode));
            paddingTop = (paddingTop - i11) + view3.getMeasuredHeight();
            i8 = View.combineMeasuredStates(i8, view3.getMeasuredState());
        }
        int i15 = 0;
        for (int i16 = 0; i16 < childCount; i16++) {
            View childAt2 = getChildAt(i16);
            if (childAt2.getVisibility() != 8) {
                i15 = Math.max(i15, childAt2.getMeasuredWidth());
            }
        }
        setMeasuredDimension(View.resolveSizeAndState(i15 + getPaddingLeft() + getPaddingRight(), i6, i8), View.resolveSizeAndState(paddingTop, i7, 0));
        if (mode2 != 1073741824) {
            m1187(childCount, i7);
            return true;
        }
        return true;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private void m1189(View view, int i6, int i7, int i8, int i9) {
        view.layout(i6, i7, i8 + i6, i9 + i7);
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private static int m1190(View view) {
        int m3421 = androidx.core.view.z0.m3421(view);
        if (m3421 > 0) {
            return m3421;
        }
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            if (viewGroup.getChildCount() == 1) {
                return m1190(viewGroup.getChildAt(0));
            }
        }
        return 0;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Removed duplicated region for block: B:32:0x00a8  */
    @Override // androidx.appcompat.widget.LinearLayoutCompat, android.view.ViewGroup, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        int paddingTop;
        int intrinsicHeight;
        int i10;
        int i11;
        int i12;
        int paddingLeft = getPaddingLeft();
        int i13 = i8 - i6;
        int paddingRight = i13 - getPaddingRight();
        int paddingRight2 = (i13 - paddingLeft) - getPaddingRight();
        int measuredHeight = getMeasuredHeight();
        int childCount = getChildCount();
        int gravity = getGravity();
        int i14 = gravity & 112;
        int i15 = gravity & 8388615;
        if (i14 != 16) {
            if (i14 != 80) {
                paddingTop = getPaddingTop();
            } else {
                paddingTop = ((getPaddingTop() + i9) - i7) - measuredHeight;
            }
        } else {
            paddingTop = getPaddingTop() + (((i9 - i7) - measuredHeight) / 2);
        }
        Drawable dividerDrawable = getDividerDrawable();
        if (dividerDrawable == null) {
            intrinsicHeight = 0;
        } else {
            intrinsicHeight = dividerDrawable.getIntrinsicHeight();
        }
        for (int i16 = 0; i16 < childCount; i16++) {
            View childAt = getChildAt(i16);
            if (childAt != null && childAt.getVisibility() != 8) {
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight2 = childAt.getMeasuredHeight();
                LinearLayoutCompat.a aVar = (LinearLayoutCompat.a) childAt.getLayoutParams();
                int i17 = ((LinearLayout.LayoutParams) aVar).gravity;
                if (i17 < 0) {
                    i17 = i15;
                }
                int m3208 = androidx.core.view.r.m3208(i17, androidx.core.view.z0.m3395(this)) & 7;
                if (m3208 != 1) {
                    if (m3208 != 5) {
                        i12 = ((LinearLayout.LayoutParams) aVar).leftMargin + paddingLeft;
                        if (m1231(i16)) {
                            paddingTop += intrinsicHeight;
                        }
                        int i18 = paddingTop + ((LinearLayout.LayoutParams) aVar).topMargin;
                        m1189(childAt, i12, i18, measuredWidth, measuredHeight2);
                        paddingTop = i18 + measuredHeight2 + ((LinearLayout.LayoutParams) aVar).bottomMargin;
                    } else {
                        i10 = paddingRight - measuredWidth;
                        i11 = ((LinearLayout.LayoutParams) aVar).rightMargin;
                    }
                } else {
                    i10 = ((paddingRight2 - measuredWidth) / 2) + paddingLeft + ((LinearLayout.LayoutParams) aVar).leftMargin;
                    i11 = ((LinearLayout.LayoutParams) aVar).rightMargin;
                }
                i12 = i10 - i11;
                if (m1231(i16)) {
                }
                int i182 = paddingTop + ((LinearLayout.LayoutParams) aVar).topMargin;
                m1189(childAt, i12, i182, measuredWidth, measuredHeight2);
                paddingTop = i182 + measuredHeight2 + ((LinearLayout.LayoutParams) aVar).bottomMargin;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.LinearLayoutCompat, android.view.View
    public void onMeasure(int i6, int i7) {
        if (!m1188(i6, i7)) {
            super.onMeasure(i6, i7);
        }
    }
}
