package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import java.lang.ref.WeakReference;
/* loaded from: classes.dex */
public final class ViewStubCompat extends View {

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f1376;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f1377;

    /* renamed from: ˆ  reason: contains not printable characters */
    private WeakReference<View> f1378;

    /* renamed from: ˈ  reason: contains not printable characters */
    private LayoutInflater f1379;

    /* loaded from: classes.dex */
    public interface a {
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public int getInflatedId() {
        return this.f1377;
    }

    public LayoutInflater getLayoutInflater() {
        return this.f1379;
    }

    public int getLayoutResource() {
        return this.f1376;
    }

    @Override // android.view.View
    protected void onMeasure(int i6, int i7) {
        setMeasuredDimension(0, 0);
    }

    public void setInflatedId(int i6) {
        this.f1377 = i6;
    }

    public void setLayoutInflater(LayoutInflater layoutInflater) {
        this.f1379 = layoutInflater;
    }

    public void setLayoutResource(int i6) {
        this.f1376 = i6;
    }

    @Override // android.view.View
    public void setVisibility(int i6) {
        WeakReference<View> weakReference = this.f1378;
        if (weakReference != null) {
            View view = weakReference.get();
            if (view != null) {
                view.setVisibility(i6);
                return;
            }
            throw new IllegalStateException("setVisibility called on un-referenced view");
        }
        super.setVisibility(i6);
        if (i6 == 0 || i6 == 4) {
            m1340();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public View m1340() {
        ViewParent parent = getParent();
        if (parent instanceof ViewGroup) {
            if (this.f1376 != 0) {
                ViewGroup viewGroup = (ViewGroup) parent;
                LayoutInflater layoutInflater = this.f1379;
                if (layoutInflater == null) {
                    layoutInflater = LayoutInflater.from(getContext());
                }
                View inflate = layoutInflater.inflate(this.f1376, viewGroup, false);
                int i6 = this.f1377;
                if (i6 != -1) {
                    inflate.setId(i6);
                }
                int indexOfChild = viewGroup.indexOfChild(this);
                viewGroup.removeViewInLayout(this);
                ViewGroup.LayoutParams layoutParams = getLayoutParams();
                if (layoutParams != null) {
                    viewGroup.addView(inflate, indexOfChild, layoutParams);
                } else {
                    viewGroup.addView(inflate, indexOfChild);
                }
                this.f1378 = new WeakReference<>(inflate);
                return inflate;
            }
            throw new IllegalArgumentException("ViewStub must have a valid layoutResource");
        }
        throw new IllegalStateException("ViewStub must have a non-null ViewGroup viewParent");
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f1376 = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, e.j.f8473, i6, 0);
        this.f1377 = obtainStyledAttributes.getResourceId(e.j.f8476, -1);
        this.f1376 = obtainStyledAttributes.getResourceId(e.j.f8475, 0);
        setId(obtainStyledAttributes.getResourceId(e.j.f8474, -1));
        obtainStyledAttributes.recycle();
        setVisibility(8);
        setWillNotDraw(true);
    }

    @Override // android.view.View
    protected void dispatchDraw(Canvas canvas) {
    }

    @Override // android.view.View
    @SuppressLint({"MissingSuperCall"})
    public void draw(Canvas canvas) {
    }

    public void setOnInflateListener(a aVar) {
    }
}
