package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.widget.TextView;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: AppCompatTextViewAutoSizeHelper.java */
/* loaded from: classes.dex */
public class g1 {

    /* renamed from: ˏ  reason: contains not printable characters */
    private static final RectF f1517 = new RectF();
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: ˑ  reason: contains not printable characters */
    private static ConcurrentHashMap<String, Method> f1518 = new ConcurrentHashMap<>();
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: י  reason: contains not printable characters */
    private static ConcurrentHashMap<String, Field> f1519 = new ConcurrentHashMap<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    private int f1520 = 0;

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean f1521 = false;

    /* renamed from: ʽ  reason: contains not printable characters */
    private float f1522 = -1.0f;

    /* renamed from: ʾ  reason: contains not printable characters */
    private float f1523 = -1.0f;

    /* renamed from: ʿ  reason: contains not printable characters */
    private float f1524 = -1.0f;

    /* renamed from: ˆ  reason: contains not printable characters */
    private int[] f1525 = new int[0];

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean f1526 = false;

    /* renamed from: ˉ  reason: contains not printable characters */
    private TextPaint f1527;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final TextView f1528;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final Context f1529;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final f f1530;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper.java */
    /* loaded from: classes.dex */
    public static final class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static StaticLayout m1510(CharSequence charSequence, Layout.Alignment alignment, int i6, TextView textView, TextPaint textPaint) {
            return new StaticLayout(charSequence, textPaint, i6, alignment, textView.getLineSpacingMultiplier(), textView.getLineSpacingExtra(), textView.getIncludeFontPadding());
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m1511(TextView textView) {
            return textView.getMaxLines();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper.java */
    /* loaded from: classes.dex */
    public static final class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m1512(View view) {
            return view.isInLayout();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper.java */
    /* loaded from: classes.dex */
    public static final class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static StaticLayout m1513(CharSequence charSequence, Layout.Alignment alignment, int i6, int i7, TextView textView, TextPaint textPaint, f fVar) {
            StaticLayout.Builder obtain;
            StaticLayout.Builder alignment2;
            StaticLayout.Builder lineSpacing;
            StaticLayout.Builder includePad;
            int breakStrategy;
            StaticLayout.Builder breakStrategy2;
            int hyphenationFrequency;
            StaticLayout.Builder hyphenationFrequency2;
            StaticLayout build;
            obtain = StaticLayout.Builder.obtain(charSequence, 0, charSequence.length(), textPaint, i6);
            alignment2 = obtain.setAlignment(alignment);
            lineSpacing = alignment2.setLineSpacing(textView.getLineSpacingExtra(), textView.getLineSpacingMultiplier());
            includePad = lineSpacing.setIncludePad(textView.getIncludeFontPadding());
            breakStrategy = textView.getBreakStrategy();
            breakStrategy2 = includePad.setBreakStrategy(breakStrategy);
            hyphenationFrequency = textView.getHyphenationFrequency();
            hyphenationFrequency2 = breakStrategy2.setHyphenationFrequency(hyphenationFrequency);
            if (i7 == -1) {
                i7 = Integer.MAX_VALUE;
            }
            hyphenationFrequency2.setMaxLines(i7);
            try {
                fVar.mo1514(obtain, textView);
            } catch (ClassCastException unused) {
                Log.w("ACTVAutoSizeHelper", "Failed to obtain TextDirectionHeuristic, auto size may be incorrect");
            }
            build = obtain.build();
            return build;
        }
    }

    /* compiled from: AppCompatTextViewAutoSizeHelper.java */
    /* loaded from: classes.dex */
    private static class d extends f {
        d() {
        }

        @Override // androidx.appcompat.widget.g1.f
        /* renamed from: ʻ  reason: contains not printable characters */
        void mo1514(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection((TextDirectionHeuristic) g1.m1488(textView, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR));
        }
    }

    /* compiled from: AppCompatTextViewAutoSizeHelper.java */
    /* loaded from: classes.dex */
    private static class e extends d {
        e() {
        }

        @Override // androidx.appcompat.widget.g1.d, androidx.appcompat.widget.g1.f
        /* renamed from: ʻ */
        void mo1514(StaticLayout.Builder builder, TextView textView) {
            TextDirectionHeuristic textDirectionHeuristic;
            textDirectionHeuristic = textView.getTextDirectionHeuristic();
            builder.setTextDirection(textDirectionHeuristic);
        }

        @Override // androidx.appcompat.widget.g1.f
        /* renamed from: ʼ  reason: contains not printable characters */
        boolean mo1515(TextView textView) {
            boolean isHorizontallyScrollable;
            isHorizontallyScrollable = textView.isHorizontallyScrollable();
            return isHorizontallyScrollable;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public g1(TextView textView) {
        this.f1528 = textView;
        this.f1529 = textView.getContext();
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 29) {
            this.f1530 = new e();
        } else if (i6 >= 23) {
            this.f1530 = new d();
        } else {
            this.f1530 = new f();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private int[] m1484(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i6 : iArr) {
            if (i6 > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i6)) < 0) {
                arrayList.add(Integer.valueOf(i6));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i7 = 0; i7 < size; i7++) {
            iArr2[i7] = ((Integer) arrayList.get(i7)).intValue();
        }
        return iArr2;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m1485() {
        this.f1520 = 0;
        this.f1523 = -1.0f;
        this.f1524 = -1.0f;
        this.f1522 = -1.0f;
        this.f1525 = new int[0];
        this.f1521 = false;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private int m1486(RectF rectF) {
        int length = this.f1525.length;
        if (length != 0) {
            int i6 = 1;
            int i7 = length - 1;
            int i8 = 0;
            while (i6 <= i7) {
                int i9 = (i6 + i7) / 2;
                if (m1493(this.f1525[i9], rectF)) {
                    int i10 = i9 + 1;
                    i8 = i6;
                    i6 = i10;
                } else {
                    i8 = i9 - 1;
                    i7 = i8;
                }
            }
            return this.f1525[i8];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private static Method m1487(String str) {
        try {
            Method method = f1518.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f1518.put(str, method);
            }
            return method;
        } catch (Exception e6) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e6);
            return null;
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    static <T> T m1488(Object obj, String str, T t6) {
        try {
            return (T) m1487(str).invoke(obj, new Object[0]);
        } catch (Exception e6) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e6);
            return t6;
        }
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private void m1489(float f6) {
        if (f6 != this.f1528.getPaint().getTextSize()) {
            this.f1528.getPaint().setTextSize(f6);
            boolean m1512 = b.m1512(this.f1528);
            if (this.f1528.getLayout() != null) {
                this.f1521 = false;
                try {
                    Method m1487 = m1487("nullLayouts");
                    if (m1487 != null) {
                        m1487.invoke(this.f1528, new Object[0]);
                    }
                } catch (Exception e6) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e6);
                }
                if (!m1512) {
                    this.f1528.requestLayout();
                } else {
                    this.f1528.forceLayout();
                }
                this.f1528.invalidate();
            }
        }
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean m1490() {
        if (m1494() && this.f1520 == 1) {
            if (!this.f1526 || this.f1525.length == 0) {
                int floor = ((int) Math.floor((this.f1524 - this.f1523) / this.f1522)) + 1;
                int[] iArr = new int[floor];
                for (int i6 = 0; i6 < floor; i6++) {
                    iArr[i6] = Math.round(this.f1523 + (i6 * this.f1522));
                }
                this.f1525 = m1484(iArr);
            }
            this.f1521 = true;
        } else {
            this.f1521 = false;
        }
        return this.f1521;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m1491(TypedArray typedArray) {
        int length = typedArray.length();
        int[] iArr = new int[length];
        if (length > 0) {
            for (int i6 = 0; i6 < length; i6++) {
                iArr[i6] = typedArray.getDimensionPixelSize(i6, -1);
            }
            this.f1525 = m1484(iArr);
            m1492();
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private boolean m1492() {
        boolean z5;
        int[] iArr = this.f1525;
        int length = iArr.length;
        if (length > 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        this.f1526 = z5;
        if (z5) {
            this.f1520 = 1;
            this.f1523 = iArr[0];
            this.f1524 = iArr[length - 1];
            this.f1522 = -1.0f;
        }
        return z5;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean m1493(int i6, RectF rectF) {
        CharSequence transformation;
        CharSequence text = this.f1528.getText();
        TransformationMethod transformationMethod = this.f1528.getTransformationMethod();
        if (transformationMethod != null && (transformation = transformationMethod.getTransformation(text, this.f1528)) != null) {
            text = transformation;
        }
        int m1511 = a.m1511(this.f1528);
        m1503(i6);
        StaticLayout m1497 = m1497(text, (Layout.Alignment) m1488(this.f1528, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL), Math.round(rectF.right), m1511);
        if ((m1511 != -1 && (m1497.getLineCount() > m1511 || m1497.getLineEnd(m1497.getLineCount() - 1) != text.length())) || m1497.getHeight() > rectF.bottom) {
            return false;
        }
        return true;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private boolean m1494() {
        return !(this.f1528 instanceof k);
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private void m1495(float f6, float f7, float f8) throws IllegalArgumentException {
        if (f6 > 0.0f) {
            if (f7 > f6) {
                if (f8 > 0.0f) {
                    this.f1520 = 1;
                    this.f1523 = f6;
                    this.f1524 = f7;
                    this.f1522 = f8;
                    this.f1526 = false;
                    return;
                }
                throw new IllegalArgumentException("The auto-size step granularity (" + f8 + "px) is less or equal to (0px)");
            }
            throw new IllegalArgumentException("Maximum auto-size text size (" + f7 + "px) is less or equal to minimum auto-size text size (" + f6 + "px)");
        }
        throw new IllegalArgumentException("Minimum auto-size text size (" + f6 + "px) is less or equal to (0px)");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public void m1496() {
        int measuredWidth;
        if (!m1504()) {
            return;
        }
        if (this.f1521) {
            if (this.f1528.getMeasuredHeight() > 0 && this.f1528.getMeasuredWidth() > 0) {
                if (this.f1530.mo1515(this.f1528)) {
                    measuredWidth = 1048576;
                } else {
                    measuredWidth = (this.f1528.getMeasuredWidth() - this.f1528.getTotalPaddingLeft()) - this.f1528.getTotalPaddingRight();
                }
                int height = (this.f1528.getHeight() - this.f1528.getCompoundPaddingBottom()) - this.f1528.getCompoundPaddingTop();
                if (measuredWidth > 0 && height > 0) {
                    RectF rectF = f1517;
                    synchronized (rectF) {
                        rectF.setEmpty();
                        rectF.right = measuredWidth;
                        rectF.bottom = height;
                        float m1486 = m1486(rectF);
                        if (m1486 != this.f1528.getTextSize()) {
                            m1509(0, m1486);
                        }
                    }
                } else {
                    return;
                }
            } else {
                return;
            }
        }
        this.f1521 = true;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    StaticLayout m1497(CharSequence charSequence, Layout.Alignment alignment, int i6, int i7) {
        if (Build.VERSION.SDK_INT >= 23) {
            return c.m1513(charSequence, alignment, i6, i7, this.f1528, this.f1527, this.f1530);
        }
        return a.m1510(charSequence, alignment, i6, this.f1528, this.f1527);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public int m1498() {
        return Math.round(this.f1524);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public int m1499() {
        return Math.round(this.f1523);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public int m1500() {
        return Math.round(this.f1522);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public int[] m1501() {
        return this.f1525;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public int m1502() {
        return this.f1520;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    void m1503(int i6) {
        TextPaint textPaint = this.f1527;
        if (textPaint == null) {
            this.f1527 = new TextPaint();
        } else {
            textPaint.reset();
        }
        this.f1527.set(this.f1528.getPaint());
        this.f1527.setTextSize(i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: י  reason: contains not printable characters */
    public boolean m1504() {
        if (m1494() && this.f1520 != 0) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ـ  reason: contains not printable characters */
    public void m1505(AttributeSet attributeSet, int i6) {
        float f6;
        float f7;
        float f8;
        int resourceId;
        Context context = this.f1529;
        int[] iArr = e.j.f8281;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i6, 0);
        TextView textView = this.f1528;
        androidx.core.view.z0.m3388(textView, textView.getContext(), iArr, attributeSet, obtainStyledAttributes, i6, 0);
        int i7 = e.j.f8286;
        if (obtainStyledAttributes.hasValue(i7)) {
            this.f1520 = obtainStyledAttributes.getInt(i7, 0);
        }
        int i8 = e.j.f8285;
        if (obtainStyledAttributes.hasValue(i8)) {
            f6 = obtainStyledAttributes.getDimension(i8, -1.0f);
        } else {
            f6 = -1.0f;
        }
        int i9 = e.j.f8283;
        if (obtainStyledAttributes.hasValue(i9)) {
            f7 = obtainStyledAttributes.getDimension(i9, -1.0f);
        } else {
            f7 = -1.0f;
        }
        int i10 = e.j.f8282;
        if (obtainStyledAttributes.hasValue(i10)) {
            f8 = obtainStyledAttributes.getDimension(i10, -1.0f);
        } else {
            f8 = -1.0f;
        }
        int i11 = e.j.f8284;
        if (obtainStyledAttributes.hasValue(i11) && (resourceId = obtainStyledAttributes.getResourceId(i11, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            m1491(obtainTypedArray);
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (m1494()) {
            if (this.f1520 == 1) {
                if (!this.f1526) {
                    DisplayMetrics displayMetrics = this.f1529.getResources().getDisplayMetrics();
                    if (f7 == -1.0f) {
                        f7 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                    }
                    if (f8 == -1.0f) {
                        f8 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                    }
                    if (f6 == -1.0f) {
                        f6 = 1.0f;
                    }
                    m1495(f7, f8, f6);
                }
                m1490();
                return;
            }
            return;
        }
        this.f1520 = 0;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public void m1506(int i6, int i7, int i8, int i9) throws IllegalArgumentException {
        if (m1494()) {
            DisplayMetrics displayMetrics = this.f1529.getResources().getDisplayMetrics();
            m1495(TypedValue.applyDimension(i9, i6, displayMetrics), TypedValue.applyDimension(i9, i7, displayMetrics), TypedValue.applyDimension(i9, i8, displayMetrics));
            if (m1490()) {
                m1496();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᐧ  reason: contains not printable characters */
    public void m1507(int[] iArr, int i6) throws IllegalArgumentException {
        if (m1494()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i6 == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.f1529.getResources().getDisplayMetrics();
                    for (int i7 = 0; i7 < length; i7++) {
                        iArr2[i7] = Math.round(TypedValue.applyDimension(i6, iArr[i7], displayMetrics));
                    }
                }
                this.f1525 = m1484(iArr2);
                if (!m1492()) {
                    throw new IllegalArgumentException("None of the preset sizes is valid: " + Arrays.toString(iArr));
                }
            } else {
                this.f1526 = false;
            }
            if (m1490()) {
                m1496();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᴵ  reason: contains not printable characters */
    public void m1508(int i6) {
        if (m1494()) {
            if (i6 != 0) {
                if (i6 == 1) {
                    DisplayMetrics displayMetrics = this.f1529.getResources().getDisplayMetrics();
                    m1495(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
                    if (m1490()) {
                        m1496();
                        return;
                    }
                    return;
                }
                throw new IllegalArgumentException("Unknown auto-size text type: " + i6);
            }
            m1485();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵔ  reason: contains not printable characters */
    public void m1509(int i6, float f6) {
        Resources resources;
        Context context = this.f1529;
        if (context == null) {
            resources = Resources.getSystem();
        } else {
            resources = context.getResources();
        }
        m1489(TypedValue.applyDimension(i6, f6, resources.getDisplayMetrics()));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper.java */
    /* loaded from: classes.dex */
    public static class f {
        f() {
        }

        /* renamed from: ʼ */
        boolean mo1515(TextView textView) {
            return ((Boolean) g1.m1488(textView, "getHorizontallyScrolling", Boolean.FALSE)).booleanValue();
        }

        /* renamed from: ʻ */
        void mo1514(StaticLayout.Builder builder, TextView textView) {
        }
    }
}
