package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.transition.Transition;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import androidx.appcompat.view.menu.ListMenuItemView;
import java.lang.reflect.Method;
/* compiled from: MenuPopupWindow.java */
/* loaded from: classes.dex */
public class j2 extends c2 implements g2 {

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private static Method f1573;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private g2 f1574;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: MenuPopupWindow.java */
    /* loaded from: classes.dex */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1582(PopupWindow popupWindow, Transition transition) {
            popupWindow.setEnterTransition(transition);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static void m1583(PopupWindow popupWindow, Transition transition) {
            popupWindow.setExitTransition(transition);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: MenuPopupWindow.java */
    /* loaded from: classes.dex */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m1584(PopupWindow popupWindow, boolean z5) {
            popupWindow.setTouchModal(z5);
        }
    }

    /* compiled from: MenuPopupWindow.java */
    /* loaded from: classes.dex */
    public static class c extends z1 {

        /* renamed from: ᐧ  reason: contains not printable characters */
        final int f1575;

        /* renamed from: ᴵ  reason: contains not printable characters */
        final int f1576;

        /* renamed from: ᵎ  reason: contains not printable characters */
        private g2 f1577;

        /* renamed from: ᵔ  reason: contains not printable characters */
        private MenuItem f1578;

        /* compiled from: MenuPopupWindow.java */
        /* loaded from: classes.dex */
        static class a {
            /* renamed from: ʻ  reason: contains not printable characters */
            static int m1587(Configuration configuration) {
                return configuration.getLayoutDirection();
            }
        }

        public c(Context context, boolean z5) {
            super(context, z5);
            if (1 == a.m1587(context.getResources().getConfiguration())) {
                this.f1575 = 21;
                this.f1576 = 22;
                return;
            }
            this.f1575 = 22;
            this.f1576 = 21;
        }

        @Override // androidx.appcompat.widget.z1, android.view.ViewGroup, android.view.View
        public /* bridge */ /* synthetic */ boolean hasFocus() {
            return super.hasFocus();
        }

        @Override // androidx.appcompat.widget.z1, android.view.View
        public /* bridge */ /* synthetic */ boolean hasWindowFocus() {
            return super.hasWindowFocus();
        }

        @Override // androidx.appcompat.widget.z1, android.view.View
        public /* bridge */ /* synthetic */ boolean isFocused() {
            return super.isFocused();
        }

        @Override // androidx.appcompat.widget.z1, android.view.View
        public /* bridge */ /* synthetic */ boolean isInTouchMode() {
            return super.isInTouchMode();
        }

        @Override // androidx.appcompat.widget.z1, android.view.View
        public boolean onHoverEvent(MotionEvent motionEvent) {
            androidx.appcompat.view.menu.f fVar;
            int i6;
            androidx.appcompat.view.menu.i iVar;
            int pointToPosition;
            int i7;
            if (this.f1577 != null) {
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
                    i6 = headerViewListAdapter.getHeadersCount();
                    fVar = (androidx.appcompat.view.menu.f) headerViewListAdapter.getWrappedAdapter();
                } else {
                    fVar = (androidx.appcompat.view.menu.f) adapter;
                    i6 = 0;
                }
                if (motionEvent.getAction() != 10 && (pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY())) != -1 && (i7 = pointToPosition - i6) >= 0 && i7 < fVar.getCount()) {
                    iVar = fVar.getItem(i7);
                } else {
                    iVar = null;
                }
                MenuItem menuItem = this.f1578;
                if (menuItem != iVar) {
                    androidx.appcompat.view.menu.g m1008 = fVar.m1008();
                    if (menuItem != null) {
                        this.f1577.mo999(m1008, menuItem);
                    }
                    this.f1578 = iVar;
                    if (iVar != null) {
                        this.f1577.mo998(m1008, iVar);
                    }
                }
            }
            return super.onHoverEvent(motionEvent);
        }

        @Override // android.widget.ListView, android.widget.AbsListView, android.view.View, android.view.KeyEvent.Callback
        public boolean onKeyDown(int i6, KeyEvent keyEvent) {
            androidx.appcompat.view.menu.f fVar;
            ListMenuItemView listMenuItemView = (ListMenuItemView) getSelectedView();
            if (listMenuItemView != null && i6 == this.f1575) {
                if (listMenuItemView.isEnabled() && listMenuItemView.getItemData().hasSubMenu()) {
                    performItemClick(listMenuItemView, getSelectedItemPosition(), getSelectedItemId());
                }
                return true;
            } else if (listMenuItemView != null && i6 == this.f1576) {
                setSelection(-1);
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    fVar = (androidx.appcompat.view.menu.f) ((HeaderViewListAdapter) adapter).getWrappedAdapter();
                } else {
                    fVar = (androidx.appcompat.view.menu.f) adapter;
                }
                fVar.m1008().m1036(false);
                return true;
            } else {
                return super.onKeyDown(i6, keyEvent);
            }
        }

        @Override // androidx.appcompat.widget.z1, android.widget.AbsListView, android.view.View
        public /* bridge */ /* synthetic */ boolean onTouchEvent(MotionEvent motionEvent) {
            return super.onTouchEvent(motionEvent);
        }

        public void setHoverListener(g2 g2Var) {
            this.f1577 = g2Var;
        }

        @Override // androidx.appcompat.widget.z1, android.widget.AbsListView
        public /* bridge */ /* synthetic */ void setSelector(Drawable drawable) {
            super.setSelector(drawable);
        }

        @Override // androidx.appcompat.widget.z1
        /* renamed from: ʾ  reason: contains not printable characters */
        public /* bridge */ /* synthetic */ int mo1585(int i6, int i7, int i8, int i9, int i10) {
            return super.mo1585(i6, i7, i8, i9, i10);
        }

        @Override // androidx.appcompat.widget.z1
        /* renamed from: ʿ  reason: contains not printable characters */
        public /* bridge */ /* synthetic */ boolean mo1586(MotionEvent motionEvent, int i6) {
            return super.mo1586(motionEvent, i6);
        }
    }

    static {
        try {
            if (Build.VERSION.SDK_INT <= 28) {
                f1573 = PopupWindow.class.getDeclaredMethod("setTouchModal", Boolean.TYPE);
            }
        } catch (NoSuchMethodException unused) {
            Log.i("MenuPopupWindow", "Could not find method setTouchModal() on PopupWindow. Oh well.");
        }
    }

    public j2(Context context, AttributeSet attributeSet, int i6, int i7) {
        super(context, attributeSet, i6, i7);
    }

    @Override // androidx.appcompat.widget.g2
    /* renamed from: ʿ */
    public void mo998(androidx.appcompat.view.menu.g gVar, MenuItem menuItem) {
        g2 g2Var = this.f1574;
        if (g2Var != null) {
            g2Var.mo998(gVar, menuItem);
        }
    }

    @Override // androidx.appcompat.widget.g2
    /* renamed from: ˆ */
    public void mo999(androidx.appcompat.view.menu.g gVar, MenuItem menuItem) {
        g2 g2Var = this.f1574;
        if (g2Var != null) {
            g2Var.mo999(gVar, menuItem);
        }
    }

    @Override // androidx.appcompat.widget.c2
    /* renamed from: ᵎ */
    z1 mo1448(Context context, boolean z5) {
        c cVar = new c(context, z5);
        cVar.setHoverListener(this);
        return cVar;
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public void m1578(Object obj) {
        if (Build.VERSION.SDK_INT >= 23) {
            a.m1582(this.f1467, (Transition) obj);
        }
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public void m1579(Object obj) {
        if (Build.VERSION.SDK_INT >= 23) {
            a.m1583(this.f1467, (Transition) obj);
        }
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    public void m1580(g2 g2Var) {
        this.f1574 = g2Var;
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    public void m1581(boolean z5) {
        if (Build.VERSION.SDK_INT <= 28) {
            Method method = f1573;
            if (method != null) {
                try {
                    method.invoke(this.f1467, Boolean.valueOf(z5));
                    return;
                } catch (Exception unused) {
                    Log.i("MenuPopupWindow", "Could not invoke setTouchModal() on PopupWindow. Oh well.");
                    return;
                }
            }
            return;
        }
        b.m1584(this.f1467, z5);
    }
}
