package androidx.appcompat.widget;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Shader;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ClipDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.RoundRectShape;
import android.graphics.drawable.shapes.Shape;
import android.os.Build;
import android.util.AttributeSet;
import android.widget.ProgressBar;
/* compiled from: AppCompatProgressBarHelper.java */
/* loaded from: classes.dex */
class l0 {

    /* renamed from: ʽ  reason: contains not printable characters */
    private static final int[] f1590 = {16843067, 16843068};

    /* renamed from: ʻ  reason: contains not printable characters */
    private final ProgressBar f1591;

    /* renamed from: ʼ  reason: contains not printable characters */
    private Bitmap f1592;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatProgressBarHelper.java */
    /* loaded from: classes.dex */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        public static void m1611(LayerDrawable layerDrawable, LayerDrawable layerDrawable2, int i6) {
            int layerGravity;
            int layerWidth;
            int layerHeight;
            int layerInsetLeft;
            int layerInsetRight;
            int layerInsetTop;
            int layerInsetBottom;
            int layerInsetStart;
            int layerInsetEnd;
            layerGravity = layerDrawable.getLayerGravity(i6);
            layerDrawable2.setLayerGravity(i6, layerGravity);
            layerWidth = layerDrawable.getLayerWidth(i6);
            layerDrawable2.setLayerWidth(i6, layerWidth);
            layerHeight = layerDrawable.getLayerHeight(i6);
            layerDrawable2.setLayerHeight(i6, layerHeight);
            layerInsetLeft = layerDrawable.getLayerInsetLeft(i6);
            layerDrawable2.setLayerInsetLeft(i6, layerInsetLeft);
            layerInsetRight = layerDrawable.getLayerInsetRight(i6);
            layerDrawable2.setLayerInsetRight(i6, layerInsetRight);
            layerInsetTop = layerDrawable.getLayerInsetTop(i6);
            layerDrawable2.setLayerInsetTop(i6, layerInsetTop);
            layerInsetBottom = layerDrawable.getLayerInsetBottom(i6);
            layerDrawable2.setLayerInsetBottom(i6, layerInsetBottom);
            layerInsetStart = layerDrawable.getLayerInsetStart(i6);
            layerDrawable2.setLayerInsetStart(i6, layerInsetStart);
            layerInsetEnd = layerDrawable.getLayerInsetEnd(i6);
            layerDrawable2.setLayerInsetEnd(i6, layerInsetEnd);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public l0(ProgressBar progressBar) {
        this.f1591 = progressBar;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private Shape m1606() {
        return new RoundRectShape(new float[]{5.0f, 5.0f, 5.0f, 5.0f, 5.0f, 5.0f, 5.0f, 5.0f}, null, null);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private Drawable m1607(Drawable drawable) {
        if (drawable instanceof AnimationDrawable) {
            AnimationDrawable animationDrawable = (AnimationDrawable) drawable;
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            AnimationDrawable animationDrawable2 = new AnimationDrawable();
            animationDrawable2.setOneShot(animationDrawable.isOneShot());
            for (int i6 = 0; i6 < numberOfFrames; i6++) {
                Drawable m1610 = m1610(animationDrawable.getFrame(i6), true);
                m1610.setLevel(10000);
                animationDrawable2.addFrame(m1610, animationDrawable.getDuration(i6));
            }
            animationDrawable2.setLevel(10000);
            return animationDrawable2;
        }
        return drawable;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public Bitmap m1608() {
        return this.f1592;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public void mo1609(AttributeSet attributeSet, int i6) {
        x2 m1776 = x2.m1776(this.f1591.getContext(), attributeSet, f1590, i6, 0);
        Drawable m1784 = m1776.m1784(0);
        if (m1784 != null) {
            this.f1591.setIndeterminateDrawable(m1607(m1784));
        }
        Drawable m17842 = m1776.m1784(1);
        if (m17842 != null) {
            this.f1591.setProgressDrawable(m1610(m17842, false));
        }
        m1776.m1796();
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    Drawable m1610(Drawable drawable, boolean z5) {
        boolean z6;
        if (drawable instanceof androidx.core.graphics.drawable.z) {
            androidx.core.graphics.drawable.z zVar = (androidx.core.graphics.drawable.z) drawable;
            Drawable mo2454 = zVar.mo2454();
            if (mo2454 != null) {
                zVar.mo2453(m1610(mo2454, z5));
            }
        } else if (drawable instanceof LayerDrawable) {
            LayerDrawable layerDrawable = (LayerDrawable) drawable;
            int numberOfLayers = layerDrawable.getNumberOfLayers();
            Drawable[] drawableArr = new Drawable[numberOfLayers];
            for (int i6 = 0; i6 < numberOfLayers; i6++) {
                int id = layerDrawable.getId(i6);
                Drawable drawable2 = layerDrawable.getDrawable(i6);
                if (id != 16908301 && id != 16908303) {
                    z6 = false;
                } else {
                    z6 = true;
                }
                drawableArr[i6] = m1610(drawable2, z6);
            }
            LayerDrawable layerDrawable2 = new LayerDrawable(drawableArr);
            for (int i7 = 0; i7 < numberOfLayers; i7++) {
                layerDrawable2.setId(i7, layerDrawable.getId(i7));
                if (Build.VERSION.SDK_INT >= 23) {
                    a.m1611(layerDrawable, layerDrawable2, i7);
                }
            }
            return layerDrawable2;
        } else if (drawable instanceof BitmapDrawable) {
            BitmapDrawable bitmapDrawable = (BitmapDrawable) drawable;
            Bitmap bitmap = bitmapDrawable.getBitmap();
            if (this.f1592 == null) {
                this.f1592 = bitmap;
            }
            ShapeDrawable shapeDrawable = new ShapeDrawable(m1606());
            shapeDrawable.getPaint().setShader(new BitmapShader(bitmap, Shader.TileMode.REPEAT, Shader.TileMode.CLAMP));
            shapeDrawable.getPaint().setColorFilter(bitmapDrawable.getPaint().getColorFilter());
            if (z5) {
                return new ClipDrawable(shapeDrawable, 3, 1);
            }
            return shapeDrawable;
        }
        return drawable;
    }
}
