package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: ResourceManagerInternal.java */
/* loaded from: classes.dex */
public final class m2 {

    /* renamed from: ˊ  reason: contains not printable characters */
    private static m2 f1604;

    /* renamed from: ʻ  reason: contains not printable characters */
    private WeakHashMap<Context, l.h<ColorStateList>> f1606;

    /* renamed from: ʼ  reason: contains not printable characters */
    private l.g<String, e> f1607;

    /* renamed from: ʽ  reason: contains not printable characters */
    private l.h<String> f1608;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final WeakHashMap<Context, l.d<WeakReference<Drawable.ConstantState>>> f1609 = new WeakHashMap<>(0);

    /* renamed from: ʿ  reason: contains not printable characters */
    private TypedValue f1610;

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean f1611;

    /* renamed from: ˈ  reason: contains not printable characters */
    private f f1612;

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final PorterDuff.Mode f1603 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ˋ  reason: contains not printable characters */
    private static final c f1605 = new c(6);

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public static class a implements e {
        a() {
        }

        @Override // androidx.appcompat.widget.m2.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public Drawable mo1645(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return g.a.m9649(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e6) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e6);
                return null;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public static class b implements e {
        b() {
        }

        @Override // androidx.appcompat.widget.m2.e
        /* renamed from: ʻ */
        public Drawable mo1645(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return androidx.vectordrawable.graphics.drawable.h.m5903(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e6) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e6);
                return null;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public static class c extends l.e<Integer, PorterDuffColorFilter> {
        public c(int i6) {
            super(i6);
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        private static int m1646(int i6, PorterDuff.Mode mode) {
            return ((i6 + 31) * 31) + mode.hashCode();
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        PorterDuffColorFilter m1647(int i6, PorterDuff.Mode mode) {
            return m11296(Integer.valueOf(m1646(i6, mode)));
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        PorterDuffColorFilter m1648(int i6, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return m11297(Integer.valueOf(m1646(i6, mode)), porterDuffColorFilter);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public static class d implements e {
        d() {
        }

        @Override // androidx.appcompat.widget.m2.e
        /* renamed from: ʻ */
        public Drawable mo1645(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            String classAttribute = attributeSet.getClassAttribute();
            if (classAttribute != null) {
                try {
                    Drawable drawable = (Drawable) d.class.getClassLoader().loadClass(classAttribute).asSubclass(Drawable.class).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                    if (Build.VERSION.SDK_INT >= 21) {
                        h.f.m10206(drawable, context.getResources(), xmlPullParser, attributeSet, theme);
                    } else {
                        drawable.inflate(context.getResources(), xmlPullParser, attributeSet);
                    }
                    return drawable;
                } catch (Exception e6) {
                    Log.e("DrawableDelegate", "Exception while inflating <drawable>", e6);
                }
            }
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public interface e {
        /* renamed from: ʻ */
        Drawable mo1645(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public interface f {
        /* renamed from: ʻ */
        boolean mo1571(Context context, int i6, Drawable drawable);

        /* renamed from: ʼ */
        PorterDuff.Mode mo1572(int i6);

        /* renamed from: ʽ */
        Drawable mo1573(m2 m2Var, Context context, int i6);

        /* renamed from: ʾ */
        ColorStateList mo1574(Context context, int i6);

        /* renamed from: ʿ */
        boolean mo1575(Context context, int i6, Drawable drawable);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal.java */
    /* loaded from: classes.dex */
    public static class g implements e {
        g() {
        }

        @Override // androidx.appcompat.widget.m2.e
        /* renamed from: ʻ */
        public Drawable mo1645(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return androidx.vectordrawable.graphics.drawable.o.m5942(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e6) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e6);
                return null;
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1621(String str, e eVar) {
        if (this.f1607 == null) {
            this.f1607 = new l.g<>();
        }
        this.f1607.put(str, eVar);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private synchronized boolean m1622(Context context, long j6, Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState != null) {
            l.d<WeakReference<Drawable.ConstantState>> dVar = this.f1609.get(context);
            if (dVar == null) {
                dVar = new l.d<>();
                this.f1609.put(context, dVar);
            }
            dVar.m11288(j6, new WeakReference<>(constantState));
            return true;
        }
        return false;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m1623(Context context, int i6, ColorStateList colorStateList) {
        if (this.f1606 == null) {
            this.f1606 = new WeakHashMap<>();
        }
        l.h<ColorStateList> hVar = this.f1606.get(context);
        if (hVar == null) {
            hVar = new l.h<>();
            this.f1606.put(context, hVar);
        }
        hVar.m11325(i6, colorStateList);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m1624(Context context) {
        if (this.f1611) {
            return;
        }
        this.f1611 = true;
        Drawable m1637 = m1637(context, h.g.f9341);
        if (m1637 != null && m1633(m1637)) {
            return;
        }
        this.f1611 = false;
        throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static long m1625(TypedValue typedValue) {
        return (typedValue.assetCookie << 32) | typedValue.data;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private Drawable m1626(Context context, int i6) {
        Drawable mo1573;
        if (this.f1610 == null) {
            this.f1610 = new TypedValue();
        }
        TypedValue typedValue = this.f1610;
        context.getResources().getValue(i6, typedValue, true);
        long m1625 = m1625(typedValue);
        Drawable m1629 = m1629(context, m1625);
        if (m1629 != null) {
            return m1629;
        }
        f fVar = this.f1612;
        if (fVar == null) {
            mo1573 = null;
        } else {
            mo1573 = fVar.mo1573(this, context, i6);
        }
        if (mo1573 != null) {
            mo1573.setChangingConfigurations(typedValue.changingConfigurations);
            m1622(context, m1625, mo1573);
        }
        return mo1573;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static PorterDuffColorFilter m1627(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList != null && mode != null) {
            return m1630(colorStateList.getColorForState(iArr, 0), mode);
        }
        return null;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static synchronized m2 m1628() {
        m2 m2Var;
        synchronized (m2.class) {
            if (f1604 == null) {
                m2 m2Var2 = new m2();
                f1604 = m2Var2;
                m1632(m2Var2);
            }
            m2Var = f1604;
        }
        return m2Var;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private synchronized Drawable m1629(Context context, long j6) {
        l.d<WeakReference<Drawable.ConstantState>> dVar = this.f1609.get(context);
        if (dVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> m11284 = dVar.m11284(j6);
        if (m11284 != null) {
            Drawable.ConstantState constantState = m11284.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            dVar.m11289(j6);
        }
        return null;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public static synchronized PorterDuffColorFilter m1630(int i6, PorterDuff.Mode mode) {
        PorterDuffColorFilter m1647;
        synchronized (m2.class) {
            c cVar = f1605;
            m1647 = cVar.m1647(i6, mode);
            if (m1647 == null) {
                m1647 = new PorterDuffColorFilter(i6, mode);
                cVar.m1648(i6, mode, m1647);
            }
        }
        return m1647;
    }

    /* renamed from: י  reason: contains not printable characters */
    private ColorStateList m1631(Context context, int i6) {
        l.h<ColorStateList> hVar;
        WeakHashMap<Context, l.h<ColorStateList>> weakHashMap = this.f1606;
        if (weakHashMap == null || (hVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return hVar.m11328(i6);
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private static void m1632(m2 m2Var) {
        if (Build.VERSION.SDK_INT < 24) {
            m2Var.m1621("vector", new g());
            m2Var.m1621("animated-vector", new b());
            m2Var.m1621("animated-selector", new a());
            m2Var.m1621("drawable", new d());
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private static boolean m1633(Drawable drawable) {
        if (!(drawable instanceof androidx.vectordrawable.graphics.drawable.o) && !"android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName())) {
            return false;
        }
        return true;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private Drawable m1634(Context context, int i6) {
        int next;
        l.g<String, e> gVar = this.f1607;
        if (gVar == null || gVar.isEmpty()) {
            return null;
        }
        l.h<String> hVar = this.f1608;
        if (hVar != null) {
            String m11328 = hVar.m11328(i6);
            if ("appcompat_skip_skip".equals(m11328) || (m11328 != null && this.f1607.get(m11328) == null)) {
                return null;
            }
        } else {
            this.f1608 = new l.h<>();
        }
        if (this.f1610 == null) {
            this.f1610 = new TypedValue();
        }
        TypedValue typedValue = this.f1610;
        Resources resources = context.getResources();
        resources.getValue(i6, typedValue, true);
        long m1625 = m1625(typedValue);
        Drawable m1629 = m1629(context, m1625);
        if (m1629 != null) {
            return m1629;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i6);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        break;
                    }
                }
                if (next == 2) {
                    String name = xml.getName();
                    this.f1608.m11325(i6, name);
                    e eVar = this.f1607.get(name);
                    if (eVar != null) {
                        m1629 = eVar.mo1645(context, xml, asAttributeSet, context.getTheme());
                    }
                    if (m1629 != null) {
                        m1629.setChangingConfigurations(typedValue.changingConfigurations);
                        m1622(context, m1625, m1629);
                    }
                } else {
                    throw new XmlPullParserException("No start tag found");
                }
            } catch (Exception e6) {
                Log.e("ResourceManagerInternal", "Exception while inflating drawable", e6);
            }
        }
        if (m1629 == null) {
            this.f1608.m11325(i6, "appcompat_skip_skip");
        }
        return m1629;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private Drawable m1635(Context context, int i6, boolean z5, Drawable drawable) {
        ColorStateList m1639 = m1639(context, i6);
        if (m1639 != null) {
            if (x1.m1770(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable m2433 = androidx.core.graphics.drawable.a.m2433(drawable);
            androidx.core.graphics.drawable.a.m2430(m2433, m1639);
            PorterDuff.Mode m1640 = m1640(i6);
            if (m1640 != null) {
                androidx.core.graphics.drawable.a.m2431(m2433, m1640);
                return m2433;
            }
            return m2433;
        }
        f fVar = this.f1612;
        if ((fVar == null || !fVar.mo1575(context, i6, drawable)) && !m1644(context, i6, drawable) && z5) {
            return null;
        }
        return drawable;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﹳ  reason: contains not printable characters */
    public static void m1636(Drawable drawable, v2 v2Var, int[] iArr) {
        ColorStateList colorStateList;
        PorterDuff.Mode mode;
        boolean z5;
        int[] state = drawable.getState();
        if (x1.m1770(drawable)) {
            if (drawable.mutate() == drawable) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (!z5) {
                Log.d("ResourceManagerInternal", "Mutated drawable is not the same instance as the input.");
                return;
            }
        }
        if ((drawable instanceof LayerDrawable) && drawable.isStateful()) {
            drawable.setState(new int[0]);
            drawable.setState(state);
        }
        boolean z6 = v2Var.f1734;
        if (!z6 && !v2Var.f1733) {
            drawable.clearColorFilter();
        } else {
            if (z6) {
                colorStateList = v2Var.f1731;
            } else {
                colorStateList = null;
            }
            if (v2Var.f1733) {
                mode = v2Var.f1732;
            } else {
                mode = f1603;
            }
            drawable.setColorFilter(m1627(colorStateList, mode, iArr));
        }
        if (Build.VERSION.SDK_INT <= 23) {
            drawable.invalidateSelf();
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public synchronized Drawable m1637(Context context, int i6) {
        return m1638(context, i6, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˎ  reason: contains not printable characters */
    public synchronized Drawable m1638(Context context, int i6, boolean z5) {
        Drawable m1634;
        m1624(context);
        m1634 = m1634(context, i6);
        if (m1634 == null) {
            m1634 = m1626(context, i6);
        }
        if (m1634 == null) {
            m1634 = androidx.core.content.a.m2212(context, i6);
        }
        if (m1634 != null) {
            m1634 = m1635(context, i6, z5, m1634);
        }
        if (m1634 != null) {
            x1.m1771(m1634);
        }
        return m1634;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public synchronized ColorStateList m1639(Context context, int i6) {
        ColorStateList m1631;
        m1631 = m1631(context, i6);
        if (m1631 == null) {
            f fVar = this.f1612;
            if (fVar == null) {
                m1631 = null;
            } else {
                m1631 = fVar.mo1574(context, i6);
            }
            if (m1631 != null) {
                m1623(context, i6, m1631);
            }
        }
        return m1631;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    PorterDuff.Mode m1640(int i6) {
        f fVar = this.f1612;
        if (fVar == null) {
            return null;
        }
        return fVar.mo1572(i6);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public synchronized void m1641(Context context) {
        l.d<WeakReference<Drawable.ConstantState>> dVar = this.f1609.get(context);
        if (dVar != null) {
            dVar.m11282();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵔ  reason: contains not printable characters */
    public synchronized Drawable m1642(Context context, i3 i3Var, int i6) {
        Drawable m1634 = m1634(context, i6);
        if (m1634 == null) {
            m1634 = i3Var.m1652(i6);
        }
        if (m1634 != null) {
            return m1635(context, i6, false, m1634);
        }
        return null;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public synchronized void m1643(f fVar) {
        this.f1612 = fVar;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﹶ  reason: contains not printable characters */
    public boolean m1644(Context context, int i6, Drawable drawable) {
        f fVar = this.f1612;
        if (fVar != null && fVar.mo1571(context, i6, drawable)) {
            return true;
        }
        return false;
    }
}
