package androidx.appcompat.widget;

import android.app.Activity;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.os.Build;
import android.text.Selection;
import android.text.Spannable;
import android.util.Log;
import android.view.DragEvent;
import android.view.View;
import android.widget.TextView;
import androidx.core.view.c;
/* compiled from: AppCompatReceiveContentHelper.java */
/* loaded from: classes.dex */
final class o0 {

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AppCompatReceiveContentHelper.java */
    /* loaded from: classes.dex */
    public static final class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m1656(DragEvent dragEvent, TextView textView, Activity activity) {
            activity.requestDragAndDropPermissions(dragEvent);
            int offsetForPosition = textView.getOffsetForPosition(dragEvent.getX(), dragEvent.getY());
            textView.beginBatchEdit();
            try {
                Selection.setSelection((Spannable) textView.getText(), offsetForPosition);
                androidx.core.view.z0.m3380(textView, new c.a(dragEvent.getClipData(), 3).m2956());
                textView.endBatchEdit();
                return true;
            } catch (Throwable th) {
                textView.endBatchEdit();
                throw th;
            }
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m1657(DragEvent dragEvent, View view, Activity activity) {
            activity.requestDragAndDropPermissions(dragEvent);
            androidx.core.view.z0.m3380(view, new c.a(dragEvent.getClipData(), 3).m2956());
            return true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m1653(View view, DragEvent dragEvent) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 < 31 && i6 >= 24 && dragEvent.getLocalState() == null && androidx.core.view.z0.m3441(view) != null) {
            Activity m1655 = m1655(view);
            if (m1655 == null) {
                Log.i("ReceiveContent", "Can't handle drop: no activity: view=" + view);
                return false;
            } else if (dragEvent.getAction() == 1) {
                return !(view instanceof TextView);
            } else {
                if (dragEvent.getAction() == 3) {
                    if (view instanceof TextView) {
                        return a.m1656(dragEvent, (TextView) view, m1655);
                    }
                    return a.m1657(dragEvent, view, m1655);
                }
            }
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static boolean m1654(TextView textView, int i6) {
        ClipData primaryClip;
        int i7 = 0;
        if (Build.VERSION.SDK_INT >= 31 || androidx.core.view.z0.m3441(textView) == null || (i6 != 16908322 && i6 != 16908337)) {
            return false;
        }
        ClipboardManager clipboardManager = (ClipboardManager) textView.getContext().getSystemService("clipboard");
        if (clipboardManager == null) {
            primaryClip = null;
        } else {
            primaryClip = clipboardManager.getPrimaryClip();
        }
        if (primaryClip != null && primaryClip.getItemCount() > 0) {
            c.a aVar = new c.a(primaryClip, 1);
            if (i6 != 16908322) {
                i7 = 1;
            }
            androidx.core.view.z0.m3380(textView, aVar.m2958(i7).m2956());
        }
        return true;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    static Activity m1655(View view) {
        for (Context context = view.getContext(); context instanceof ContextWrapper; context = ((ContextWrapper) context).getBaseContext()) {
            if (context instanceof Activity) {
                return (Activity) context;
            }
        }
        return null;
    }
}
