package androidx.appcompat.widget;

import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.WeakHashMap;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* compiled from: SuggestionsAdapter.java */
/* loaded from: classes.dex */
class r2 extends x.c implements View.OnClickListener {

    /* renamed from: ـ  reason: contains not printable characters */
    private final SearchView f1693;

    /* renamed from: ٴ  reason: contains not printable characters */
    private final SearchableInfo f1694;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private final Context f1695;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private int f1696;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private final WeakHashMap<String, Drawable.ConstantState> f1697;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private int f1698;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private final int f1699;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean f1700;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int f1701;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private ColorStateList f1702;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private int f1703;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f1704;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f1705;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f1706;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: SuggestionsAdapter.java */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        public final TextView f1707;

        /* renamed from: ʼ  reason: contains not printable characters */
        public final TextView f1708;

        /* renamed from: ʽ  reason: contains not printable characters */
        public final ImageView f1709;

        /* renamed from: ʾ  reason: contains not printable characters */
        public final ImageView f1710;

        /* renamed from: ʿ  reason: contains not printable characters */
        public final ImageView f1711;

        public a(View view) {
            this.f1707 = (TextView) view.findViewById(16908308);
            this.f1708 = (TextView) view.findViewById(16908309);
            this.f1709 = (ImageView) view.findViewById(16908295);
            this.f1710 = (ImageView) view.findViewById(16908296);
            this.f1711 = (ImageView) view.findViewById(e.f.f8237);
        }
    }

    public r2(Context context, SearchView searchView, SearchableInfo searchableInfo, WeakHashMap<String, Drawable.ConstantState> weakHashMap) {
        super(context, searchView.getSuggestionRowLayout(), null, true);
        this.f1700 = false;
        this.f1701 = 1;
        this.f1703 = -1;
        this.f1704 = -1;
        this.f1705 = -1;
        this.f1706 = -1;
        this.f1696 = -1;
        this.f1698 = -1;
        this.f1693 = searchView;
        this.f1694 = searchableInfo;
        this.f1699 = searchView.getSuggestionCommitIconResId();
        this.f1695 = context;
        this.f1697 = weakHashMap;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private Drawable m1722(String str) {
        Drawable.ConstantState constantState = this.f1697.get(str);
        if (constantState == null) {
            return null;
        }
        return constantState.newDrawable();
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private CharSequence m1723(CharSequence charSequence) {
        if (this.f1702 == null) {
            TypedValue typedValue = new TypedValue();
            this.f1695.getTheme().resolveAttribute(e.a.f8131, typedValue, true);
            this.f1702 = this.f1695.getResources().getColorStateList(typedValue.resourceId);
        }
        SpannableString spannableString = new SpannableString(charSequence);
        spannableString.setSpan(new TextAppearanceSpan(null, 0, 0, this.f1702, null), 0, charSequence.length(), 33);
        return spannableString;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private Drawable m1724(ComponentName componentName) {
        PackageManager packageManager = this.f1695.getPackageManager();
        try {
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, 128);
            int iconResource = activityInfo.getIconResource();
            if (iconResource == 0) {
                return null;
            }
            Drawable drawable = packageManager.getDrawable(componentName.getPackageName(), iconResource, activityInfo.applicationInfo);
            if (drawable == null) {
                Log.w("SuggestionsAdapter", "Invalid icon resource " + iconResource + " for " + componentName.flattenToShortString());
                return null;
            }
            return drawable;
        } catch (PackageManager.NameNotFoundException e6) {
            Log.w("SuggestionsAdapter", e6.toString());
            return null;
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private Drawable m1725(ComponentName componentName) {
        String flattenToShortString = componentName.flattenToShortString();
        Drawable.ConstantState constantState = null;
        if (this.f1697.containsKey(flattenToShortString)) {
            Drawable.ConstantState constantState2 = this.f1697.get(flattenToShortString);
            if (constantState2 == null) {
                return null;
            }
            return constantState2.newDrawable(this.f1695.getResources());
        }
        Drawable m1724 = m1724(componentName);
        if (m1724 != null) {
            constantState = m1724.getConstantState();
        }
        this.f1697.put(flattenToShortString, constantState);
        return m1724;
    }

    /* renamed from: י  reason: contains not printable characters */
    public static String m1726(Cursor cursor, String str) {
        return m1733(cursor, cursor.getColumnIndex(str));
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private Drawable m1727() {
        Drawable m1725 = m1725(this.f1694.getSearchActivity());
        if (m1725 != null) {
            return m1725;
        }
        return this.f1695.getPackageManager().getDefaultActivityIcon();
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private Drawable m1728(Uri uri) {
        try {
            if ("android.resource".equals(uri.getScheme())) {
                try {
                    return m1741(uri);
                } catch (Resources.NotFoundException unused) {
                    throw new FileNotFoundException("Resource does not exist: " + uri);
                }
            }
            InputStream openInputStream = this.f1695.getContentResolver().openInputStream(uri);
            if (openInputStream != null) {
                Drawable createFromStream = Drawable.createFromStream(openInputStream, null);
                try {
                    openInputStream.close();
                } catch (IOException e6) {
                    Log.e("SuggestionsAdapter", "Error closing icon stream for " + uri, e6);
                }
                return createFromStream;
            }
            throw new FileNotFoundException("Failed to open " + uri);
        } catch (FileNotFoundException e7) {
            Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e7.getMessage());
            return null;
        }
        Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e7.getMessage());
        return null;
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private void m1729(Cursor cursor) {
        Bundle bundle;
        if (cursor != null) {
            bundle = cursor.getExtras();
        } else {
            bundle = null;
        }
        if (bundle != null) {
            bundle.getBoolean("in_progress");
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private Drawable m1730(String str) {
        if (str == null || str.isEmpty() || "0".equals(str)) {
            return null;
        }
        try {
            int parseInt = Integer.parseInt(str);
            String str2 = "android.resource://" + this.f1695.getPackageName() + "/" + parseInt;
            Drawable m1722 = m1722(str2);
            if (m1722 != null) {
                return m1722;
            }
            Drawable m2212 = androidx.core.content.a.m2212(this.f1695, parseInt);
            m1736(str2, m2212);
            return m2212;
        } catch (Resources.NotFoundException unused) {
            Log.w("SuggestionsAdapter", "Icon resource not found: " + str);
            return null;
        } catch (NumberFormatException unused2) {
            Drawable m17222 = m1722(str);
            if (m17222 != null) {
                return m17222;
            }
            Drawable m1728 = m1728(Uri.parse(str));
            m1736(str, m1728);
            return m1728;
        }
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private Drawable m1731(Cursor cursor) {
        int i6 = this.f1706;
        if (i6 == -1) {
            return null;
        }
        Drawable m1730 = m1730(cursor.getString(i6));
        if (m1730 != null) {
            return m1730;
        }
        return m1727();
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private Drawable m1732(Cursor cursor) {
        int i6 = this.f1696;
        if (i6 == -1) {
            return null;
        }
        return m1730(cursor.getString(i6));
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static String m1733(Cursor cursor, int i6) {
        if (i6 == -1) {
            return null;
        }
        try {
            return cursor.getString(i6);
        } catch (Exception e6) {
            Log.e("SuggestionsAdapter", "unexpected error retrieving valid column from cursor, did the remote process die?", e6);
            return null;
        }
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private void m1734(ImageView imageView, Drawable drawable, int i6) {
        imageView.setImageDrawable(drawable);
        if (drawable == null) {
            imageView.setVisibility(i6);
            return;
        }
        imageView.setVisibility(0);
        drawable.setVisible(false, false);
        drawable.setVisible(true, false);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private void m1735(TextView textView, CharSequence charSequence) {
        textView.setText(charSequence);
        if (TextUtils.isEmpty(charSequence)) {
            textView.setVisibility(8);
        } else {
            textView.setVisibility(0);
        }
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private void m1736(String str, Drawable drawable) {
        if (drawable != null) {
            this.f1697.put(str, drawable.getConstantState());
        }
    }

    @Override // x.a, x.b.a
    public CharSequence convertToString(Cursor cursor) {
        String m1726;
        String m17262;
        if (cursor == null) {
            return null;
        }
        String m17263 = m1726(cursor, "suggest_intent_query");
        if (m17263 != null) {
            return m17263;
        }
        if (this.f1694.shouldRewriteQueryFromData() && (m17262 = m1726(cursor, "suggest_intent_data")) != null) {
            return m17262;
        }
        if (!this.f1694.shouldRewriteQueryFromText() || (m1726 = m1726(cursor, "suggest_text_1")) == null) {
            return null;
        }
        return m1726;
    }

    @Override // x.a, android.widget.BaseAdapter, android.widget.SpinnerAdapter
    public View getDropDownView(int i6, View view, ViewGroup viewGroup) {
        try {
            return super.getDropDownView(i6, view, viewGroup);
        } catch (RuntimeException e6) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e6);
            View mo14096 = mo14096(this.f1695, mo14094(), viewGroup);
            if (mo14096 != null) {
                ((a) mo14096.getTag()).f1707.setText(e6.toString());
            }
            return mo14096;
        }
    }

    @Override // x.a, android.widget.Adapter
    public View getView(int i6, View view, ViewGroup viewGroup) {
        try {
            return super.getView(i6, view, viewGroup);
        } catch (RuntimeException e6) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e6);
            View mo1740 = mo1740(this.f1695, mo14094(), viewGroup);
            if (mo1740 != null) {
                ((a) mo1740.getTag()).f1707.setText(e6.toString());
            }
            return mo1740;
        }
    }

    @Override // android.widget.BaseAdapter, android.widget.Adapter
    public boolean hasStableIds() {
        return false;
    }

    @Override // android.widget.BaseAdapter
    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
        m1729(mo14094());
    }

    @Override // android.widget.BaseAdapter
    public void notifyDataSetInvalidated() {
        super.notifyDataSetInvalidated();
        m1729(mo14094());
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        Object tag = view.getTag();
        if (tag instanceof CharSequence) {
            this.f1693.m1268((CharSequence) tag);
        }
    }

    @Override // x.a, x.b.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void mo1737(Cursor cursor) {
        if (this.f1700) {
            Log.w("SuggestionsAdapter", "Tried to change cursor after adapter was closed.");
            if (cursor != null) {
                cursor.close();
                return;
            }
            return;
        }
        try {
            super.mo1737(cursor);
            if (cursor != null) {
                this.f1703 = cursor.getColumnIndex("suggest_text_1");
                this.f1704 = cursor.getColumnIndex("suggest_text_2");
                this.f1705 = cursor.getColumnIndex("suggest_text_2_url");
                this.f1706 = cursor.getColumnIndex("suggest_icon_1");
                this.f1696 = cursor.getColumnIndex("suggest_icon_2");
                this.f1698 = cursor.getColumnIndex("suggest_flags");
            }
        } catch (Exception e6) {
            Log.e("SuggestionsAdapter", "error changing cursor and caching columns", e6);
        }
    }

    @Override // x.b.a
    /* renamed from: ʽ  reason: contains not printable characters */
    public Cursor mo1738(CharSequence charSequence) {
        String charSequence2;
        if (charSequence == null) {
            charSequence2 = BuildConfig.FLAVOR;
        } else {
            charSequence2 = charSequence.toString();
        }
        if (this.f1693.getVisibility() == 0 && this.f1693.getWindowVisibility() == 0) {
            try {
                Cursor m1742 = m1742(this.f1694, charSequence2, 50);
                if (m1742 != null) {
                    m1742.getCount();
                    return m1742;
                }
            } catch (RuntimeException e6) {
                Log.w("SuggestionsAdapter", "Search suggestions query threw an exception.", e6);
            }
        }
        return null;
    }

    @Override // x.a
    /* renamed from: ʾ  reason: contains not printable characters */
    public void mo1739(View view, Context context, Cursor cursor) {
        int i6;
        CharSequence m1733;
        a aVar = (a) view.getTag();
        int i7 = this.f1698;
        if (i7 != -1) {
            i6 = cursor.getInt(i7);
        } else {
            i6 = 0;
        }
        if (aVar.f1707 != null) {
            m1735(aVar.f1707, m1733(cursor, this.f1703));
        }
        if (aVar.f1708 != null) {
            String m17332 = m1733(cursor, this.f1705);
            if (m17332 != null) {
                m1733 = m1723(m17332);
            } else {
                m1733 = m1733(cursor, this.f1704);
            }
            if (TextUtils.isEmpty(m1733)) {
                TextView textView = aVar.f1707;
                if (textView != null) {
                    textView.setSingleLine(false);
                    aVar.f1707.setMaxLines(2);
                }
            } else {
                TextView textView2 = aVar.f1707;
                if (textView2 != null) {
                    textView2.setSingleLine(true);
                    aVar.f1707.setMaxLines(1);
                }
            }
            m1735(aVar.f1708, m1733);
        }
        ImageView imageView = aVar.f1709;
        if (imageView != null) {
            m1734(imageView, m1731(cursor), 4);
        }
        ImageView imageView2 = aVar.f1710;
        if (imageView2 != null) {
            m1734(imageView2, m1732(cursor), 8);
        }
        int i8 = this.f1701;
        if (i8 != 2 && (i8 != 1 || (i6 & 1) == 0)) {
            aVar.f1711.setVisibility(8);
            return;
        }
        aVar.f1711.setVisibility(0);
        aVar.f1711.setTag(aVar.f1707.getText());
        aVar.f1711.setOnClickListener(this);
    }

    @Override // x.c, x.a
    /* renamed from: ˈ  reason: contains not printable characters */
    public View mo1740(Context context, Cursor cursor, ViewGroup viewGroup) {
        View mo1740 = super.mo1740(context, cursor, viewGroup);
        mo1740.setTag(new a(mo1740));
        ((ImageView) mo1740.findViewById(e.f.f8237)).setImageResource(this.f1699);
        return mo1740;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    Drawable m1741(Uri uri) throws FileNotFoundException {
        int parseInt;
        String authority = uri.getAuthority();
        if (!TextUtils.isEmpty(authority)) {
            try {
                Resources resourcesForApplication = this.f1695.getPackageManager().getResourcesForApplication(authority);
                List<String> pathSegments = uri.getPathSegments();
                if (pathSegments != null) {
                    int size = pathSegments.size();
                    if (size == 1) {
                        try {
                            parseInt = Integer.parseInt(pathSegments.get(0));
                        } catch (NumberFormatException unused) {
                            throw new FileNotFoundException("Single path segment is not a resource ID: " + uri);
                        }
                    } else if (size == 2) {
                        parseInt = resourcesForApplication.getIdentifier(pathSegments.get(1), pathSegments.get(0), authority);
                    } else {
                        throw new FileNotFoundException("More than two path segments: " + uri);
                    }
                    if (parseInt != 0) {
                        return resourcesForApplication.getDrawable(parseInt);
                    }
                    throw new FileNotFoundException("No resource found for: " + uri);
                }
                throw new FileNotFoundException("No path: " + uri);
            } catch (PackageManager.NameNotFoundException unused2) {
                throw new FileNotFoundException("No package found for authority: " + uri);
            }
        }
        throw new FileNotFoundException("No authority: " + uri);
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    Cursor m1742(SearchableInfo searchableInfo, String str, int i6) {
        String suggestAuthority;
        String[] strArr = null;
        if (searchableInfo == null || (suggestAuthority = searchableInfo.getSuggestAuthority()) == null) {
            return null;
        }
        Uri.Builder fragment = new Uri.Builder().scheme("content").authority(suggestAuthority).query(BuildConfig.FLAVOR).fragment(BuildConfig.FLAVOR);
        String suggestPath = searchableInfo.getSuggestPath();
        if (suggestPath != null) {
            fragment.appendEncodedPath(suggestPath);
        }
        fragment.appendPath("search_suggest_query");
        String suggestSelection = searchableInfo.getSuggestSelection();
        if (suggestSelection != null) {
            strArr = new String[]{str};
        } else {
            fragment.appendPath(str);
        }
        String[] strArr2 = strArr;
        if (i6 > 0) {
            fragment.appendQueryParameter("limit", String.valueOf(i6));
        }
        return this.f1695.getContentResolver().query(fragment.build(), null, suggestSelection, strArr2, null);
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public void m1743(int i6) {
        this.f1701 = i6;
    }
}
