package androidx.concurrent.futures;

import java.util.Locale;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;
/* compiled from: AbstractResolvableFuture.java */
/* loaded from: classes.dex */
public abstract class a<V> implements b3.a<V> {

    /* renamed from: ˈ  reason: contains not printable characters */
    static final boolean f1787 = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final Logger f1788 = Logger.getLogger(a.class.getName());

    /* renamed from: ˊ  reason: contains not printable characters */
    static final b f1789;

    /* renamed from: ˋ  reason: contains not printable characters */
    private static final Object f1790;

    /* renamed from: ʾ  reason: contains not printable characters */
    volatile Object f1791;

    /* renamed from: ʿ  reason: contains not printable characters */
    volatile e f1792;

    /* renamed from: ˆ  reason: contains not printable characters */
    volatile i f1793;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    public static abstract class b {
        private b() {
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        abstract boolean mo1880(a<?> aVar, e eVar, e eVar2);

        /* renamed from: ʼ  reason: contains not printable characters */
        abstract boolean mo1881(a<?> aVar, Object obj, Object obj2);

        /* renamed from: ʽ  reason: contains not printable characters */
        abstract boolean mo1882(a<?> aVar, i iVar, i iVar2);

        /* renamed from: ʾ  reason: contains not printable characters */
        abstract void mo1883(i iVar, i iVar2);

        /* renamed from: ʿ  reason: contains not printable characters */
        abstract void mo1884(i iVar, Thread thread);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    public static final class c {

        /* renamed from: ʽ  reason: contains not printable characters */
        static final c f1794;

        /* renamed from: ʾ  reason: contains not printable characters */
        static final c f1795;

        /* renamed from: ʻ  reason: contains not printable characters */
        final boolean f1796;

        /* renamed from: ʼ  reason: contains not printable characters */
        final Throwable f1797;

        static {
            if (a.f1787) {
                f1795 = null;
                f1794 = null;
                return;
            }
            f1795 = new c(false, null);
            f1794 = new c(true, null);
        }

        c(boolean z5, Throwable th) {
            this.f1796 = z5;
            this.f1797 = th;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    public static final class d {

        /* renamed from: ʼ  reason: contains not printable characters */
        static final d f1798 = new d(new C0016a("Failure occurred while trying to finish a future."));

        /* renamed from: ʻ  reason: contains not printable characters */
        final Throwable f1799;

        /* compiled from: AbstractResolvableFuture.java */
        /* renamed from: androidx.concurrent.futures.a$d$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        class C0016a extends Throwable {
            C0016a(String str) {
                super(str);
            }

            @Override // java.lang.Throwable
            public synchronized Throwable fillInStackTrace() {
                return this;
            }
        }

        d(Throwable th) {
            this.f1799 = (Throwable) a.m1866(th);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    public static final class e {

        /* renamed from: ʾ  reason: contains not printable characters */
        static final e f1800 = new e(null, null);

        /* renamed from: ʻ  reason: contains not printable characters */
        final Runnable f1801;

        /* renamed from: ʼ  reason: contains not printable characters */
        final Executor f1802;

        /* renamed from: ʽ  reason: contains not printable characters */
        e f1803;

        e(Runnable runnable, Executor executor) {
            this.f1801 = runnable;
            this.f1802 = executor;
        }
    }

    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    private static final class f extends b {

        /* renamed from: ʻ  reason: contains not printable characters */
        final AtomicReferenceFieldUpdater<i, Thread> f1804;

        /* renamed from: ʼ  reason: contains not printable characters */
        final AtomicReferenceFieldUpdater<i, i> f1805;

        /* renamed from: ʽ  reason: contains not printable characters */
        final AtomicReferenceFieldUpdater<a, i> f1806;

        /* renamed from: ʾ  reason: contains not printable characters */
        final AtomicReferenceFieldUpdater<a, e> f1807;

        /* renamed from: ʿ  reason: contains not printable characters */
        final AtomicReferenceFieldUpdater<a, Object> f1808;

        f(AtomicReferenceFieldUpdater<i, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<i, i> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<a, i> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<a, e> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<a, Object> atomicReferenceFieldUpdater5) {
            super();
            this.f1804 = atomicReferenceFieldUpdater;
            this.f1805 = atomicReferenceFieldUpdater2;
            this.f1806 = atomicReferenceFieldUpdater3;
            this.f1807 = atomicReferenceFieldUpdater4;
            this.f1808 = atomicReferenceFieldUpdater5;
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʻ */
        boolean mo1880(a<?> aVar, e eVar, e eVar2) {
            return androidx.concurrent.futures.b.m1887(this.f1807, aVar, eVar, eVar2);
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʼ */
        boolean mo1881(a<?> aVar, Object obj, Object obj2) {
            return androidx.concurrent.futures.b.m1887(this.f1808, aVar, obj, obj2);
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʽ */
        boolean mo1882(a<?> aVar, i iVar, i iVar2) {
            return androidx.concurrent.futures.b.m1887(this.f1806, aVar, iVar, iVar2);
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʾ */
        void mo1883(i iVar, i iVar2) {
            this.f1805.lazySet(iVar, iVar2);
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʿ */
        void mo1884(i iVar, Thread thread) {
            this.f1804.lazySet(iVar, thread);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    public static final class g<V> implements Runnable {

        /* renamed from: ʾ  reason: contains not printable characters */
        final a<V> f1809;

        /* renamed from: ʿ  reason: contains not printable characters */
        final b3.a<? extends V> f1810;

        @Override // java.lang.Runnable
        public void run() {
            if (this.f1809.f1791 != this) {
                return;
            }
            if (a.f1789.mo1881(this.f1809, this, a.m1871(this.f1810))) {
                a.m1868(this.f1809);
            }
        }
    }

    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    private static final class h extends b {
        h() {
            super();
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʻ */
        boolean mo1880(a<?> aVar, e eVar, e eVar2) {
            synchronized (aVar) {
                if (aVar.f1792 == eVar) {
                    aVar.f1792 = eVar2;
                    return true;
                }
                return false;
            }
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʼ */
        boolean mo1881(a<?> aVar, Object obj, Object obj2) {
            synchronized (aVar) {
                if (aVar.f1791 == obj) {
                    aVar.f1791 = obj2;
                    return true;
                }
                return false;
            }
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʽ */
        boolean mo1882(a<?> aVar, i iVar, i iVar2) {
            synchronized (aVar) {
                if (aVar.f1793 == iVar) {
                    aVar.f1793 = iVar2;
                    return true;
                }
                return false;
            }
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʾ */
        void mo1883(i iVar, i iVar2) {
            iVar.f1813 = iVar2;
        }

        @Override // androidx.concurrent.futures.a.b
        /* renamed from: ʿ */
        void mo1884(i iVar, Thread thread) {
            iVar.f1812 = thread;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture.java */
    /* loaded from: classes.dex */
    public static final class i {

        /* renamed from: ʽ  reason: contains not printable characters */
        static final i f1811 = new i(false);

        /* renamed from: ʻ  reason: contains not printable characters */
        volatile Thread f1812;

        /* renamed from: ʼ  reason: contains not printable characters */
        volatile i f1813;

        i(boolean z5) {
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        void m1885(i iVar) {
            a.f1789.mo1883(this, iVar);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        void m1886() {
            Thread thread = this.f1812;
            if (thread != null) {
                this.f1812 = null;
                LockSupport.unpark(thread);
            }
        }

        i() {
            a.f1789.mo1884(this, Thread.currentThread());
        }
    }

    static {
        b hVar;
        try {
            hVar = new f(AtomicReferenceFieldUpdater.newUpdater(i.class, Thread.class, "ʻ"), AtomicReferenceFieldUpdater.newUpdater(i.class, i.class, "ʼ"), AtomicReferenceFieldUpdater.newUpdater(a.class, i.class, "ˆ"), AtomicReferenceFieldUpdater.newUpdater(a.class, e.class, "ʿ"), AtomicReferenceFieldUpdater.newUpdater(a.class, Object.class, "ʾ"));
            th = null;
        } catch (Throwable th) {
            th = th;
            hVar = new h();
        }
        f1789 = hVar;
        if (th != null) {
            f1788.log(Level.SEVERE, "SafeAtomicHelper is broken!", th);
        }
        f1790 = new Object();
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m1864(StringBuilder sb) {
        try {
            Object m1872 = m1872(this);
            sb.append("SUCCESS, result=[");
            sb.append(m1875(m1872));
            sb.append("]");
        } catch (CancellationException unused) {
            sb.append("CANCELLED");
        } catch (RuntimeException e6) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e6.getClass());
            sb.append(" thrown from get()]");
        } catch (ExecutionException e7) {
            sb.append("FAILURE, cause=[");
            sb.append(e7.getCause());
            sb.append("]");
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static CancellationException m1865(String str, Throwable th) {
        CancellationException cancellationException = new CancellationException(str);
        cancellationException.initCause(th);
        return cancellationException;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    static <T> T m1866(T t6) {
        t6.getClass();
        return t6;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private e m1867(e eVar) {
        e eVar2;
        do {
            eVar2 = this.f1792;
        } while (!f1789.mo1880(this, eVar2, e.f1800));
        e eVar3 = eVar;
        e eVar4 = eVar2;
        while (eVar4 != null) {
            e eVar5 = eVar4.f1803;
            eVar4.f1803 = eVar3;
            eVar3 = eVar4;
            eVar4 = eVar5;
        }
        return eVar3;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v0, types: [androidx.concurrent.futures.a$b] */
    /* JADX WARN: Type inference failed for: r4v0, types: [androidx.concurrent.futures.a<?>] */
    /* JADX WARN: Type inference failed for: r4v1, types: [androidx.concurrent.futures.a] */
    /* JADX WARN: Type inference failed for: r4v6, types: [androidx.concurrent.futures.a<V>, androidx.concurrent.futures.a] */
    /* renamed from: ˏ  reason: contains not printable characters */
    static void m1868(a<?> aVar) {
        e eVar = null;
        while (true) {
            aVar.m1873();
            aVar.m1876();
            e m1867 = aVar.m1867(eVar);
            while (m1867 != null) {
                eVar = m1867.f1803;
                Runnable runnable = m1867.f1801;
                if (runnable instanceof g) {
                    g gVar = (g) runnable;
                    aVar = gVar.f1809;
                    if (aVar.f1791 == gVar) {
                        if (f1789.mo1881(aVar, gVar, m1871(gVar.f1810))) {
                            break;
                        }
                    } else {
                        continue;
                    }
                } else {
                    m1869(runnable, m1867.f1802);
                }
                m1867 = eVar;
            }
            return;
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static void m1869(Runnable runnable, Executor executor) {
        try {
            executor.execute(runnable);
        } catch (RuntimeException e6) {
            Logger logger = f1788;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e6);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: י  reason: contains not printable characters */
    private V m1870(Object obj) throws ExecutionException {
        if (!(obj instanceof c)) {
            if (!(obj instanceof d)) {
                if (obj == f1790) {
                    return null;
                }
                return obj;
            }
            throw new ExecutionException(((d) obj).f1799);
        }
        throw m1865("Task was cancelled.", ((c) obj).f1797);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    static Object m1871(b3.a<?> aVar) {
        if (aVar instanceof a) {
            Object obj = ((a) aVar).f1791;
            if (obj instanceof c) {
                c cVar = (c) obj;
                if (cVar.f1796) {
                    if (cVar.f1797 != null) {
                        return new c(false, cVar.f1797);
                    }
                    return c.f1795;
                }
                return obj;
            }
            return obj;
        }
        boolean isCancelled = aVar.isCancelled();
        if ((!f1787) & isCancelled) {
            return c.f1795;
        }
        try {
            Object m1872 = m1872(aVar);
            if (m1872 == null) {
                return f1790;
            }
            return m1872;
        } catch (CancellationException e6) {
            if (!isCancelled) {
                return new d(new IllegalArgumentException("get() threw CancellationException, despite reporting isCancelled() == false: " + aVar, e6));
            }
            return new c(false, e6);
        } catch (ExecutionException e7) {
            return new d(e7.getCause());
        } catch (Throwable th) {
            return new d(th);
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    static <V> V m1872(Future<V> future) throws ExecutionException {
        V v6;
        boolean z5 = false;
        while (true) {
            try {
                v6 = future.get();
                break;
            } catch (InterruptedException unused) {
                z5 = true;
            } catch (Throwable th) {
                if (z5) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z5) {
            Thread.currentThread().interrupt();
        }
        return v6;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private void m1873() {
        i iVar;
        do {
            iVar = this.f1793;
        } while (!f1789.mo1882(this, iVar, i.f1811));
        while (iVar != null) {
            iVar.m1886();
            iVar = iVar.f1813;
        }
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private void m1874(i iVar) {
        iVar.f1812 = null;
        while (true) {
            i iVar2 = this.f1793;
            if (iVar2 == i.f1811) {
                return;
            }
            i iVar3 = null;
            while (iVar2 != null) {
                i iVar4 = iVar2.f1813;
                if (iVar2.f1812 != null) {
                    iVar3 = iVar2;
                } else if (iVar3 != null) {
                    iVar3.f1813 = iVar4;
                    if (iVar3.f1812 == null) {
                        break;
                    }
                } else if (!f1789.mo1882(this, iVar2, iVar4)) {
                    break;
                }
                iVar2 = iVar4;
            }
            return;
        }
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private String m1875(Object obj) {
        if (obj == this) {
            return "this future";
        }
        return String.valueOf(obj);
    }

    @Override // java.util.concurrent.Future
    public final boolean cancel(boolean z5) {
        boolean z6;
        c cVar;
        boolean z7;
        Object obj = this.f1791;
        if (obj == null) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6 | (obj instanceof g)) {
            if (f1787) {
                cVar = new c(z5, new CancellationException("Future.cancel() was called."));
            } else if (z5) {
                cVar = c.f1794;
            } else {
                cVar = c.f1795;
            }
            boolean z8 = false;
            a<V> aVar = this;
            while (true) {
                if (f1789.mo1881(aVar, obj, cVar)) {
                    if (z5) {
                        aVar.m1877();
                    }
                    m1868(aVar);
                    if (!(obj instanceof g)) {
                        return true;
                    }
                    b3.a<? extends V> aVar2 = ((g) obj).f1810;
                    if (aVar2 instanceof a) {
                        aVar = (a) aVar2;
                        obj = aVar.f1791;
                        if (obj == null) {
                            z7 = true;
                        } else {
                            z7 = false;
                        }
                        if (!(z7 | (obj instanceof g))) {
                            return true;
                        }
                        z8 = true;
                    } else {
                        aVar2.cancel(z5);
                        return true;
                    }
                } else {
                    obj = aVar.f1791;
                    if (!(obj instanceof g)) {
                        return z8;
                    }
                }
            }
        } else {
            return false;
        }
    }

    @Override // java.util.concurrent.Future
    public final V get(long j6, TimeUnit timeUnit) throws InterruptedException, TimeoutException, ExecutionException {
        Locale locale;
        long nanos = timeUnit.toNanos(j6);
        if (!Thread.interrupted()) {
            Object obj = this.f1791;
            if ((obj != null) & (!(obj instanceof g))) {
                return m1870(obj);
            }
            long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0L;
            if (nanos >= 1000) {
                i iVar = this.f1793;
                if (iVar != i.f1811) {
                    i iVar2 = new i();
                    do {
                        iVar2.m1885(iVar);
                        if (f1789.mo1882(this, iVar, iVar2)) {
                            do {
                                LockSupport.parkNanos(this, nanos);
                                if (!Thread.interrupted()) {
                                    Object obj2 = this.f1791;
                                    if ((obj2 != null) & (!(obj2 instanceof g))) {
                                        return m1870(obj2);
                                    }
                                    nanos = nanoTime - System.nanoTime();
                                } else {
                                    m1874(iVar2);
                                    throw new InterruptedException();
                                }
                            } while (nanos >= 1000);
                            m1874(iVar2);
                        } else {
                            iVar = this.f1793;
                        }
                    } while (iVar != i.f1811);
                    return m1870(this.f1791);
                }
                return m1870(this.f1791);
            }
            while (nanos > 0) {
                Object obj3 = this.f1791;
                if ((obj3 != null) & (!(obj3 instanceof g))) {
                    return m1870(obj3);
                }
                if (!Thread.interrupted()) {
                    nanos = nanoTime - System.nanoTime();
                } else {
                    throw new InterruptedException();
                }
            }
            String aVar = toString();
            String lowerCase = timeUnit.toString().toLowerCase(Locale.ROOT);
            String str = "Waited " + j6 + " " + timeUnit.toString().toLowerCase(locale);
            if (nanos + 1000 < 0) {
                String str2 = str + " (plus ";
                long j7 = -nanos;
                long convert = timeUnit.convert(j7, TimeUnit.NANOSECONDS);
                long nanos2 = j7 - timeUnit.toNanos(convert);
                boolean z5 = convert == 0 || nanos2 > 1000;
                if (convert > 0) {
                    String str3 = str2 + convert + " " + lowerCase;
                    if (z5) {
                        str3 = str3 + ",";
                    }
                    str2 = str3 + " ";
                }
                if (z5) {
                    str2 = str2 + nanos2 + " nanoseconds ";
                }
                str = str2 + "delay)";
            }
            if (isDone()) {
                throw new TimeoutException(str + " but future completed as timeout expired");
            }
            throw new TimeoutException(str + " for " + aVar);
        }
        throw new InterruptedException();
    }

    @Override // java.util.concurrent.Future
    public final boolean isCancelled() {
        return this.f1791 instanceof c;
    }

    @Override // java.util.concurrent.Future
    public final boolean isDone() {
        boolean z5;
        Object obj = this.f1791;
        if (obj != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        return (!(obj instanceof g)) & z5;
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (isCancelled()) {
            sb.append("CANCELLED");
        } else if (isDone()) {
            m1864(sb);
        } else {
            try {
                str = m1878();
            } catch (RuntimeException e6) {
                str = "Exception thrown from implementation: " + e6.getClass();
            }
            if (str != null && !str.isEmpty()) {
                sb.append("PENDING, info=[");
                sb.append(str);
                sb.append("]");
            } else if (isDone()) {
                m1864(sb);
            } else {
                sb.append("PENDING");
            }
        }
        sb.append("]");
        return sb.toString();
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    protected String m1878() {
        Object obj = this.f1791;
        if (obj instanceof g) {
            return "setFuture=[" + m1875(((g) obj).f1810) + "]";
        } else if (this instanceof ScheduledFuture) {
            return "remaining delay=[" + ((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS) + " ms]";
        } else {
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ᵢ  reason: contains not printable characters */
    public boolean mo1879(V v6) {
        if (v6 == null) {
            v6 = (V) f1790;
        }
        if (f1789.mo1881(this, null, v6)) {
            m1868(this);
            return true;
        }
        return false;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    protected void m1876() {
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    protected void m1877() {
    }

    @Override // java.util.concurrent.Future
    public final V get() throws InterruptedException, ExecutionException {
        Object obj;
        if (!Thread.interrupted()) {
            Object obj2 = this.f1791;
            if ((obj2 != null) & (!(obj2 instanceof g))) {
                return m1870(obj2);
            }
            i iVar = this.f1793;
            if (iVar != i.f1811) {
                i iVar2 = new i();
                do {
                    iVar2.m1885(iVar);
                    if (f1789.mo1882(this, iVar, iVar2)) {
                        do {
                            LockSupport.park(this);
                            if (!Thread.interrupted()) {
                                obj = this.f1791;
                            } else {
                                m1874(iVar2);
                                throw new InterruptedException();
                            }
                        } while (!((obj != null) & (!(obj instanceof g))));
                        return m1870(obj);
                    }
                    iVar = this.f1793;
                } while (iVar != i.f1811);
                return m1870(this.f1791);
            }
            return m1870(this.f1791);
        }
        throw new InterruptedException();
    }
}
