package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.constraintlayout.widget.ConstraintLayout;
import java.util.Arrays;
import java.util.HashMap;
/* compiled from: ConstraintHelper.java */
/* loaded from: classes.dex */
public abstract class d extends View {

    /* renamed from: ʾ  reason: contains not printable characters */
    protected int[] f2065;

    /* renamed from: ʿ  reason: contains not printable characters */
    protected int f2066;

    /* renamed from: ˆ  reason: contains not printable characters */
    protected Context f2067;

    /* renamed from: ˈ  reason: contains not printable characters */
    protected p.i f2068;

    /* renamed from: ˉ  reason: contains not printable characters */
    protected boolean f2069;

    /* renamed from: ˊ  reason: contains not printable characters */
    protected String f2070;

    /* renamed from: ˋ  reason: contains not printable characters */
    protected String f2071;

    /* renamed from: ˎ  reason: contains not printable characters */
    private View[] f2072;

    /* renamed from: ˏ  reason: contains not printable characters */
    protected HashMap<Integer, String> f2073;

    public d(Context context) {
        super(context);
        this.f2065 = new int[32];
        this.f2069 = false;
        this.f2072 = null;
        this.f2073 = new HashMap<>();
        this.f2067 = context;
        mo1889(null);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m1971(String str) {
        if (str == null || str.length() == 0 || this.f2067 == null) {
            return;
        }
        String trim = str.trim();
        if (getParent() instanceof ConstraintLayout) {
            ConstraintLayout constraintLayout = (ConstraintLayout) getParent();
        }
        int m1975 = m1975(trim);
        if (m1975 != 0) {
            this.f2073.put(Integer.valueOf(m1975), trim);
            m1972(m1975);
            return;
        }
        Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m1972(int i6) {
        if (i6 == getId()) {
            return;
        }
        int i7 = this.f2066 + 1;
        int[] iArr = this.f2065;
        if (i7 > iArr.length) {
            this.f2065 = Arrays.copyOf(iArr, iArr.length * 2);
        }
        int[] iArr2 = this.f2065;
        int i8 = this.f2066;
        iArr2[i8] = i6;
        this.f2066 = i8 + 1;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m1973(String str) {
        ConstraintLayout constraintLayout;
        if (str == null || str.length() == 0 || this.f2067 == null) {
            return;
        }
        String trim = str.trim();
        if (getParent() instanceof ConstraintLayout) {
            constraintLayout = (ConstraintLayout) getParent();
        } else {
            constraintLayout = null;
        }
        if (constraintLayout == null) {
            Log.w("ConstraintHelper", "Parent not a ConstraintLayout");
            return;
        }
        int childCount = constraintLayout.getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = constraintLayout.getChildAt(i6);
            ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
            if ((layoutParams instanceof ConstraintLayout.b) && trim.equals(((ConstraintLayout.b) layoutParams).f1969)) {
                if (childAt.getId() == -1) {
                    Log.w("ConstraintHelper", "to use ConstraintTag view " + childAt.getClass().getSimpleName() + " must have an ID");
                } else {
                    m1972(childAt.getId());
                }
            }
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private int m1974(ConstraintLayout constraintLayout, String str) {
        Resources resources;
        String str2;
        if (str == null || constraintLayout == null || (resources = this.f2067.getResources()) == null) {
            return 0;
        }
        int childCount = constraintLayout.getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = constraintLayout.getChildAt(i6);
            if (childAt.getId() != -1) {
                try {
                    str2 = resources.getResourceEntryName(childAt.getId());
                } catch (Resources.NotFoundException unused) {
                    str2 = null;
                }
                if (str.equals(str2)) {
                    return childAt.getId();
                }
            }
        }
        return 0;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private int m1975(String str) {
        ConstraintLayout constraintLayout;
        if (getParent() instanceof ConstraintLayout) {
            constraintLayout = (ConstraintLayout) getParent();
        } else {
            constraintLayout = null;
        }
        int i6 = 0;
        if (isInEditMode() && constraintLayout != null) {
            Object m1949 = constraintLayout.m1949(0, str);
            if (m1949 instanceof Integer) {
                i6 = ((Integer) m1949).intValue();
            }
        }
        if (i6 == 0 && constraintLayout != null) {
            i6 = m1974(constraintLayout, str);
        }
        if (i6 == 0) {
            try {
                i6 = k.class.getField(str).getInt(null);
            } catch (Exception unused) {
            }
        }
        if (i6 == 0) {
            return this.f2067.getResources().getIdentifier(str, "id", this.f2067.getPackageName());
        }
        return i6;
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f2065, this.f2066);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        String str = this.f2070;
        if (str != null) {
            setIds(str);
        }
        String str2 = this.f2071;
        if (str2 != null) {
            setReferenceTags(str2);
        }
    }

    @Override // android.view.View
    protected void onMeasure(int i6, int i7) {
        if (this.f2069) {
            super.onMeasure(i6, i7);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    protected void setIds(String str) {
        this.f2070 = str;
        if (str == null) {
            return;
        }
        int i6 = 0;
        this.f2066 = 0;
        while (true) {
            int indexOf = str.indexOf(44, i6);
            if (indexOf == -1) {
                m1971(str.substring(i6));
                return;
            } else {
                m1971(str.substring(i6, indexOf));
                i6 = indexOf + 1;
            }
        }
    }

    protected void setReferenceTags(String str) {
        this.f2071 = str;
        if (str == null) {
            return;
        }
        int i6 = 0;
        this.f2066 = 0;
        while (true) {
            int indexOf = str.indexOf(44, i6);
            if (indexOf == -1) {
                m1973(str.substring(i6));
                return;
            } else {
                m1973(str.substring(i6, indexOf));
                i6 = indexOf + 1;
            }
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.f2070 = null;
        this.f2066 = 0;
        for (int i6 : iArr) {
            m1972(i6);
        }
    }

    @Override // android.view.View
    public void setTag(int i6, Object obj) {
        super.setTag(i6, obj);
        if (obj == null && this.f2070 == null) {
            m1972(i6);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˈ  reason: contains not printable characters */
    public void m1976() {
        ViewParent parent = getParent();
        if (parent != null && (parent instanceof ConstraintLayout)) {
            m1977((ConstraintLayout) parent);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˉ  reason: contains not printable characters */
    public void m1977(ConstraintLayout constraintLayout) {
        float f6;
        float translationZ;
        int visibility = getVisibility();
        if (Build.VERSION.SDK_INT >= 21) {
            f6 = getElevation();
        } else {
            f6 = 0.0f;
        }
        for (int i6 = 0; i6 < this.f2066; i6++) {
            View m1950 = constraintLayout.m1950(this.f2065[i6]);
            if (m1950 != null) {
                m1950.setVisibility(visibility);
                if (f6 > 0.0f && Build.VERSION.SDK_INT >= 21) {
                    translationZ = m1950.getTranslationZ();
                    m1950.setTranslationZ(translationZ + f6);
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˏ  reason: contains not printable characters */
    public View[] m1979(ConstraintLayout constraintLayout) {
        View[] viewArr = this.f2072;
        if (viewArr == null || viewArr.length != this.f2066) {
            this.f2072 = new View[this.f2066];
        }
        for (int i6 = 0; i6 < this.f2066; i6++) {
            this.f2072[i6] = constraintLayout.m1950(this.f2065[i6]);
        }
        return this.f2072;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˑ */
    public void mo1889(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, l.f2314);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i6 = 0; i6 < indexCount; i6++) {
                int index = obtainStyledAttributes.getIndex(i6);
                if (index == l.f2335) {
                    String string = obtainStyledAttributes.getString(index);
                    this.f2070 = string;
                    setIds(string);
                } else if (index == l.f2336) {
                    String string2 = obtainStyledAttributes.getString(index);
                    this.f2071 = string2;
                    setReferenceTags(string2);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public void m1983(ConstraintLayout constraintLayout) {
        String str;
        int m1974;
        if (isInEditMode()) {
            setIds(this.f2070);
        }
        p.i iVar = this.f2068;
        if (iVar == null) {
            return;
        }
        iVar.mo12254();
        for (int i6 = 0; i6 < this.f2066; i6++) {
            int i7 = this.f2065[i6];
            View m1950 = constraintLayout.m1950(i7);
            if (m1950 == null && (m1974 = m1974(constraintLayout, (str = this.f2073.get(Integer.valueOf(i7))))) != 0) {
                this.f2065[i6] = m1974;
                this.f2073.put(Integer.valueOf(m1974), str);
                m1950 = constraintLayout.m1950(m1974);
            }
            if (m1950 != null) {
                this.f2068.mo12255(constraintLayout.m1951(m1950));
            }
        }
        this.f2068.mo12253(constraintLayout.f1941);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public void m1984() {
        if (this.f2068 == null) {
            return;
        }
        ViewGroup.LayoutParams layoutParams = getLayoutParams();
        if (layoutParams instanceof ConstraintLayout.b) {
            ((ConstraintLayout.b) layoutParams).f1988 = (p.e) this.f2068;
        }
    }

    public d(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2065 = new int[32];
        this.f2069 = false;
        this.f2072 = null;
        this.f2073 = new HashMap<>();
        this.f2067 = context;
        mo1889(attributeSet);
    }

    @Override // android.view.View
    public void onDraw(Canvas canvas) {
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˊ  reason: contains not printable characters */
    public void mo1978(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public void m1980(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public void m1981(ConstraintLayout constraintLayout) {
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public void m1982(ConstraintLayout constraintLayout) {
    }

    /* renamed from: י */
    public void mo1890(p.e eVar, boolean z5) {
    }
}
