package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.Log;
import android.util.SparseArray;
import android.util.Xml;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: ConstraintLayoutStates.java */
/* loaded from: classes.dex */
public class e {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final ConstraintLayout f2074;

    /* renamed from: ʼ  reason: contains not printable characters */
    f f2075;

    /* renamed from: ʽ  reason: contains not printable characters */
    int f2076 = -1;

    /* renamed from: ʾ  reason: contains not printable characters */
    int f2077 = -1;

    /* renamed from: ʿ  reason: contains not printable characters */
    private SparseArray<a> f2078 = new SparseArray<>();

    /* renamed from: ˆ  reason: contains not printable characters */
    private SparseArray<f> f2079 = new SparseArray<>();

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ConstraintLayoutStates.java */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        int f2080;

        /* renamed from: ʼ  reason: contains not printable characters */
        ArrayList<b> f2081 = new ArrayList<>();

        /* renamed from: ʽ  reason: contains not printable characters */
        int f2082;

        /* renamed from: ʾ  reason: contains not printable characters */
        f f2083;

        public a(Context context, XmlPullParser xmlPullParser) {
            this.f2082 = -1;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), l.f2659);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i6 = 0; i6 < indexCount; i6++) {
                int index = obtainStyledAttributes.getIndex(i6);
                if (index == l.f2660) {
                    this.f2080 = obtainStyledAttributes.getResourceId(index, this.f2080);
                } else if (index == l.f2661) {
                    this.f2082 = obtainStyledAttributes.getResourceId(index, this.f2082);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f2082);
                    context.getResources().getResourceName(this.f2082);
                    if ("layout".equals(resourceTypeName)) {
                        f fVar = new f();
                        this.f2083 = fVar;
                        fVar.m2005(context, this.f2082);
                    }
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        void m1989(b bVar) {
            this.f2081.add(bVar);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public int m1990(float f6, float f7) {
            for (int i6 = 0; i6 < this.f2081.size(); i6++) {
                if (this.f2081.get(i6).m1991(f6, f7)) {
                    return i6;
                }
            }
            return -1;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ConstraintLayoutStates.java */
    /* loaded from: classes.dex */
    public static class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        float f2084;

        /* renamed from: ʼ  reason: contains not printable characters */
        float f2085;

        /* renamed from: ʽ  reason: contains not printable characters */
        float f2086;

        /* renamed from: ʾ  reason: contains not printable characters */
        float f2087;

        /* renamed from: ʿ  reason: contains not printable characters */
        int f2088;

        /* renamed from: ˆ  reason: contains not printable characters */
        f f2089;

        public b(Context context, XmlPullParser xmlPullParser) {
            this.f2084 = Float.NaN;
            this.f2085 = Float.NaN;
            this.f2086 = Float.NaN;
            this.f2087 = Float.NaN;
            this.f2088 = -1;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), l.f2685);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i6 = 0; i6 < indexCount; i6++) {
                int index = obtainStyledAttributes.getIndex(i6);
                if (index == l.f2686) {
                    this.f2088 = obtainStyledAttributes.getResourceId(index, this.f2088);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f2088);
                    context.getResources().getResourceName(this.f2088);
                    if ("layout".equals(resourceTypeName)) {
                        f fVar = new f();
                        this.f2089 = fVar;
                        fVar.m2005(context, this.f2088);
                    }
                } else if (index == l.f2687) {
                    this.f2087 = obtainStyledAttributes.getDimension(index, this.f2087);
                } else if (index == l.f2688) {
                    this.f2085 = obtainStyledAttributes.getDimension(index, this.f2085);
                } else if (index == l.f2689) {
                    this.f2086 = obtainStyledAttributes.getDimension(index, this.f2086);
                } else if (index == l.f2690) {
                    this.f2084 = obtainStyledAttributes.getDimension(index, this.f2084);
                } else {
                    Log.v("ConstraintLayoutStates", "Unknown tag");
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        boolean m1991(float f6, float f7) {
            if (!Float.isNaN(this.f2084) && f6 < this.f2084) {
                return false;
            }
            if (!Float.isNaN(this.f2085) && f7 < this.f2085) {
                return false;
            }
            if (!Float.isNaN(this.f2086) && f6 > this.f2086) {
                return false;
            }
            if (!Float.isNaN(this.f2087) && f7 > this.f2087) {
                return false;
            }
            return true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public e(Context context, ConstraintLayout constraintLayout, int i6) {
        this.f2074 = constraintLayout;
        m1985(context, i6);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m1985(Context context, int i6) {
        XmlResourceParser xml = context.getResources().getXml(i6);
        try {
            int eventType = xml.getEventType();
            a aVar = null;
            while (true) {
                char c6 = 1;
                if (eventType != 1) {
                    if (eventType != 0) {
                        if (eventType != 2) {
                            continue;
                        } else {
                            String name = xml.getName();
                            switch (name.hashCode()) {
                                case -1349929691:
                                    if (name.equals("ConstraintSet")) {
                                        c6 = 4;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 80204913:
                                    if (name.equals("State")) {
                                        c6 = 2;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 1382829617:
                                    if (name.equals("StateSet")) {
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 1657696882:
                                    if (name.equals("layoutDescription")) {
                                        c6 = 0;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 1901439077:
                                    if (name.equals("Variant")) {
                                        c6 = 3;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                default:
                                    c6 = 65535;
                                    break;
                            }
                            if (c6 != 2) {
                                if (c6 != 3) {
                                    if (c6 != 4) {
                                        continue;
                                    } else {
                                        m1986(context, xml);
                                        continue;
                                    }
                                } else {
                                    b bVar = new b(context, xml);
                                    if (aVar != null) {
                                        aVar.m1989(bVar);
                                        continue;
                                    } else {
                                        continue;
                                    }
                                }
                            } else {
                                aVar = new a(context, xml);
                                this.f2078.put(aVar.f2080, aVar);
                                continue;
                            }
                        }
                    } else {
                        xml.getName();
                        continue;
                    }
                    eventType = xml.next();
                } else {
                    return;
                }
            }
        } catch (IOException e6) {
            e6.printStackTrace();
        } catch (XmlPullParserException e7) {
            e7.printStackTrace();
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m1986(Context context, XmlPullParser xmlPullParser) {
        int i6;
        f fVar = new f();
        int attributeCount = xmlPullParser.getAttributeCount();
        for (int i7 = 0; i7 < attributeCount; i7++) {
            String attributeName = xmlPullParser.getAttributeName(i7);
            String attributeValue = xmlPullParser.getAttributeValue(i7);
            if (attributeName != null && attributeValue != null && "id".equals(attributeName)) {
                if (attributeValue.contains("/")) {
                    i6 = context.getResources().getIdentifier(attributeValue.substring(attributeValue.indexOf(47) + 1), "id", context.getPackageName());
                } else {
                    i6 = -1;
                }
                if (i6 == -1) {
                    if (attributeValue.length() > 1) {
                        i6 = Integer.parseInt(attributeValue.substring(1));
                    } else {
                        Log.e("ConstraintLayoutStates", "error in parsing id");
                    }
                }
                fVar.m2010(context, xmlPullParser);
                this.f2079.put(i6, fVar);
                return;
            }
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m1988(int i6, float f6, float f7) {
        f fVar;
        a aVar;
        int m1990;
        f fVar2;
        int i7 = this.f2076;
        if (i7 == i6) {
            if (i6 == -1) {
                aVar = this.f2078.valueAt(0);
            } else {
                aVar = this.f2078.get(i7);
            }
            int i8 = this.f2077;
            if ((i8 != -1 && aVar.f2081.get(i8).m1991(f6, f7)) || this.f2077 == (m1990 = aVar.m1990(f6, f7))) {
                return;
            }
            if (m1990 == -1) {
                fVar2 = this.f2075;
            } else {
                fVar2 = aVar.f2081.get(m1990).f2089;
            }
            if (m1990 != -1) {
                int i9 = aVar.f2081.get(m1990).f2088;
            }
            if (fVar2 == null) {
                return;
            }
            this.f2077 = m1990;
            fVar2.m2003(this.f2074);
            return;
        }
        this.f2076 = i6;
        a aVar2 = this.f2078.get(i6);
        int m19902 = aVar2.m1990(f6, f7);
        if (m19902 == -1) {
            fVar = aVar2.f2083;
        } else {
            fVar = aVar2.f2081.get(m19902).f2089;
        }
        if (m19902 != -1) {
            int i10 = aVar2.f2081.get(m19902).f2088;
        }
        if (fVar == null) {
            Log.v("ConstraintLayoutStates", "NO Constraint set found ! id=" + i6 + ", dim =" + f6 + ", " + f7);
            return;
        }
        this.f2077 = m19902;
        fVar.m2003(this.f2074);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m1987(h hVar) {
    }
}
