package androidx.core.app;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
/* compiled from: NavUtils.java */
/* loaded from: classes.dex */
public final class o {

    /* compiled from: NavUtils.java */
    /* loaded from: classes.dex */
    static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Intent m2197(Activity activity) {
            return activity.getParentActivityIntent();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m2198(Activity activity, Intent intent) {
            return activity.navigateUpTo(intent);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static boolean m2199(Activity activity, Intent intent) {
            return activity.shouldUpRecreateTask(intent);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Intent m2191(Activity activity) {
        Intent m2197 = a.m2197(activity);
        if (m2197 != null) {
            return m2197;
        }
        String m2193 = m2193(activity);
        if (m2193 == null) {
            return null;
        }
        ComponentName componentName = new ComponentName(activity, m2193);
        try {
            if (m2194(activity, componentName) == null) {
                return Intent.makeMainActivity(componentName);
            }
            return new Intent().setComponent(componentName);
        } catch (PackageManager.NameNotFoundException unused) {
            Log.e("NavUtils", "getParentActivityIntent: bad parentActivityName '" + m2193 + "' in manifest");
            return null;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static Intent m2192(Context context, ComponentName componentName) throws PackageManager.NameNotFoundException {
        String m2194 = m2194(context, componentName);
        if (m2194 == null) {
            return null;
        }
        ComponentName componentName2 = new ComponentName(componentName.getPackageName(), m2194);
        if (m2194(context, componentName2) == null) {
            return Intent.makeMainActivity(componentName2);
        }
        return new Intent().setComponent(componentName2);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static String m2193(Activity activity) {
        try {
            return m2194(activity, activity.getComponentName());
        } catch (PackageManager.NameNotFoundException e6) {
            throw new IllegalArgumentException(e6);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static String m2194(Context context, ComponentName componentName) throws PackageManager.NameNotFoundException {
        int i6;
        String string;
        PackageManager packageManager = context.getPackageManager();
        int i7 = Build.VERSION.SDK_INT;
        if (i7 >= 29) {
            i6 = 269222528;
        } else if (i7 >= 24) {
            i6 = 787072;
        } else {
            i6 = 640;
        }
        ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, i6);
        String str = activityInfo.parentActivityName;
        if (str != null) {
            return str;
        }
        Bundle bundle = activityInfo.metaData;
        if (bundle == null || (string = bundle.getString("android.support.PARENT_ACTIVITY")) == null) {
            return null;
        }
        if (string.charAt(0) == '.') {
            return context.getPackageName() + string;
        }
        return string;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static void m2195(Activity activity, Intent intent) {
        a.m2198(activity, intent);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static boolean m2196(Activity activity, Intent intent) {
        return a.m2199(activity, intent);
    }
}
