package androidx.core.content;

import android.accounts.AccountManager;
import android.annotation.SuppressLint;
import android.app.ActivityManager;
import android.app.AlarmManager;
import android.app.AppOpsManager;
import android.app.DownloadManager;
import android.app.KeyguardManager;
import android.app.NotificationManager;
import android.app.SearchManager;
import android.app.UiModeManager;
import android.app.WallpaperManager;
import android.app.admin.DevicePolicyManager;
import android.app.job.JobScheduler;
import android.app.usage.UsageStatsManager;
import android.appwidget.AppWidgetManager;
import android.bluetooth.BluetoothManager;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.Intent;
import android.content.RestrictionsManager;
import android.content.pm.LauncherApps;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.hardware.ConsumerIrManager;
import android.hardware.SensorManager;
import android.hardware.camera2.CameraManager;
import android.hardware.display.DisplayManager;
import android.hardware.input.InputManager;
import android.hardware.usb.UsbManager;
import android.location.LocationManager;
import android.media.AudioManager;
import android.media.MediaRouter;
import android.media.projection.MediaProjectionManager;
import android.media.session.MediaSessionManager;
import android.media.tv.TvInputManager;
import android.net.ConnectivityManager;
import android.net.nsd.NsdManager;
import android.net.wifi.WifiManager;
import android.net.wifi.p2p.WifiP2pManager;
import android.nfc.NfcManager;
import android.os.BatteryManager;
import android.os.Build;
import android.os.Bundle;
import android.os.DropBoxManager;
import android.os.PowerManager;
import android.os.Process;
import android.os.UserManager;
import android.os.Vibrator;
import android.os.storage.StorageManager;
import android.print.PrintManager;
import android.telecom.TelecomManager;
import android.telephony.SubscriptionManager;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.CaptioningManager;
import android.view.inputmethod.InputMethodManager;
import android.view.textservice.TextServicesManager;
import androidx.core.app.q;
import java.io.File;
import java.util.HashMap;
/* compiled from: ContextCompat.java */
@SuppressLint({"PrivateConstructorForUtilityClass"})
/* loaded from: classes.dex */
public class a {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final Object f2810 = new Object();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final Object f2811 = new Object();

    /* compiled from: ContextCompat.java */
    /* renamed from: androidx.core.content.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    static class C0020a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2218(Context context, Intent[] intentArr, Bundle bundle) {
            context.startActivities(intentArr, bundle);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static void m2219(Context context, Intent intent, Bundle bundle) {
            context.startActivity(intent, bundle);
        }
    }

    /* compiled from: ContextCompat.java */
    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static File[] m2220(Context context) {
            return context.getExternalCacheDirs();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static File[] m2221(Context context, String str) {
            return context.getExternalFilesDirs(str);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static File[] m2222(Context context) {
            return context.getObbDirs();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ContextCompat.java */
    /* loaded from: classes.dex */
    public static class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static File m2223(Context context) {
            File codeCacheDir;
            codeCacheDir = context.getCodeCacheDir();
            return codeCacheDir;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static Drawable m2224(Context context, int i6) {
            Drawable drawable;
            drawable = context.getDrawable(i6);
            return drawable;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static File m2225(Context context) {
            File noBackupFilesDir;
            noBackupFilesDir = context.getNoBackupFilesDir();
            return noBackupFilesDir;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ContextCompat.java */
    /* loaded from: classes.dex */
    public static class d {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m2226(Context context, int i6) {
            int color;
            color = context.getColor(i6);
            return color;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static <T> T m2227(Context context, Class<T> cls) {
            Object systemService;
            systemService = context.getSystemService(cls);
            return (T) systemService;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static String m2228(Context context, Class<?> cls) {
            String systemServiceName;
            systemServiceName = context.getSystemServiceName(cls);
            return systemServiceName;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ContextCompat.java */
    /* loaded from: classes.dex */
    public static final class e {

        /* renamed from: ʻ  reason: contains not printable characters */
        static final HashMap<Class<?>, String> f2812;

        static {
            HashMap<Class<?>, String> hashMap = new HashMap<>();
            f2812 = hashMap;
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 22) {
                hashMap.put(SubscriptionManager.class, "telephony_subscription_service");
                hashMap.put(UsageStatsManager.class, "usagestats");
            }
            if (i6 >= 21) {
                hashMap.put(AppWidgetManager.class, "appwidget");
                hashMap.put(BatteryManager.class, "batterymanager");
                hashMap.put(CameraManager.class, "camera");
                hashMap.put(JobScheduler.class, "jobscheduler");
                hashMap.put(LauncherApps.class, "launcherapps");
                hashMap.put(MediaProjectionManager.class, "media_projection");
                hashMap.put(MediaSessionManager.class, "media_session");
                hashMap.put(RestrictionsManager.class, "restrictions");
                hashMap.put(TelecomManager.class, "telecom");
                hashMap.put(TvInputManager.class, "tv_input");
            }
            hashMap.put(AppOpsManager.class, "appops");
            hashMap.put(CaptioningManager.class, "captioning");
            hashMap.put(ConsumerIrManager.class, "consumer_ir");
            hashMap.put(PrintManager.class, "print");
            hashMap.put(BluetoothManager.class, "bluetooth");
            hashMap.put(DisplayManager.class, "display");
            hashMap.put(UserManager.class, "user");
            hashMap.put(InputManager.class, "input");
            hashMap.put(MediaRouter.class, "media_router");
            hashMap.put(NsdManager.class, "servicediscovery");
            hashMap.put(AccessibilityManager.class, "accessibility");
            hashMap.put(AccountManager.class, "account");
            hashMap.put(ActivityManager.class, "activity");
            hashMap.put(AlarmManager.class, "alarm");
            hashMap.put(AudioManager.class, "audio");
            hashMap.put(ClipboardManager.class, "clipboard");
            hashMap.put(ConnectivityManager.class, "connectivity");
            hashMap.put(DevicePolicyManager.class, "device_policy");
            hashMap.put(DownloadManager.class, "download");
            hashMap.put(DropBoxManager.class, "dropbox");
            hashMap.put(InputMethodManager.class, "input_method");
            hashMap.put(KeyguardManager.class, "keyguard");
            hashMap.put(LayoutInflater.class, "layout_inflater");
            hashMap.put(LocationManager.class, "location");
            hashMap.put(NfcManager.class, "nfc");
            hashMap.put(NotificationManager.class, "notification");
            hashMap.put(PowerManager.class, "power");
            hashMap.put(SearchManager.class, "search");
            hashMap.put(SensorManager.class, "sensor");
            hashMap.put(StorageManager.class, "storage");
            hashMap.put(TelephonyManager.class, "phone");
            hashMap.put(TextServicesManager.class, "textservices");
            hashMap.put(UiModeManager.class, "uimode");
            hashMap.put(UsbManager.class, "usb");
            hashMap.put(Vibrator.class, "vibrator");
            hashMap.put(WallpaperManager.class, "wallpaper");
            hashMap.put(WifiP2pManager.class, "wifip2p");
            hashMap.put(WifiManager.class, "wifi");
            hashMap.put(WindowManager.class, "window");
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static int m2209(Context context, String str) {
        androidx.core.util.c.m2755(str, "permission must be non-null");
        if (!androidx.core.os.a.m2590() && TextUtils.equals("android.permission.POST_NOTIFICATIONS", str)) {
            if (q.m2201(context).m2202()) {
                return 0;
            }
            return -1;
        }
        return context.checkPermission(str, Process.myPid(), Process.myUid());
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static int m2210(Context context, int i6) {
        if (Build.VERSION.SDK_INT >= 23) {
            return d.m2226(context, i6);
        }
        return context.getResources().getColor(i6);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static ColorStateList m2211(Context context, int i6) {
        return androidx.core.content.res.i.m2324(context.getResources(), i6, context.getTheme());
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static Drawable m2212(Context context, int i6) {
        if (Build.VERSION.SDK_INT >= 21) {
            return c.m2224(context, i6);
        }
        return context.getResources().getDrawable(i6);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static File[] m2213(Context context) {
        return b.m2220(context);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static File[] m2214(Context context, String str) {
        return b.m2221(context, str);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static <T> T m2215(Context context, Class<T> cls) {
        if (Build.VERSION.SDK_INT >= 23) {
            return (T) d.m2227(context, cls);
        }
        String m2216 = m2216(context, cls);
        if (m2216 != null) {
            return (T) context.getSystemService(m2216);
        }
        return null;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static String m2216(Context context, Class<?> cls) {
        if (Build.VERSION.SDK_INT >= 23) {
            return d.m2228(context, cls);
        }
        return e.f2812.get(cls);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static boolean m2217(Context context, Intent[] intentArr, Bundle bundle) {
        C0020a.m2218(context, intentArr, bundle);
        return true;
    }
}
