package androidx.core.content;

import android.annotation.SuppressLint;
import android.content.ContentProvider;
import android.content.ContentValues;
import android.content.Context;
import android.content.pm.ProviderInfo;
import android.content.res.XmlResourceParser;
import android.database.Cursor;
import android.database.MatrixCursor;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.ParcelFileDescriptor;
import android.text.TextUtils;
import android.webkit.MimeTypeMap;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: FileProvider.java */
/* loaded from: classes.dex */
public class h extends ContentProvider {

    /* renamed from: ˆ  reason: contains not printable characters */
    private static final String[] f2813 = {"_display_name", "_size"};

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final File f2814 = new File("/");

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final HashMap<String, b> f2815 = new HashMap<>();

    /* renamed from: ʾ  reason: contains not printable characters */
    private b f2816;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f2817 = 0;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FileProvider.java */
    /* loaded from: classes.dex */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static File[] m2243(Context context) {
            File[] externalMediaDirs;
            externalMediaDirs = context.getExternalMediaDirs();
            return externalMediaDirs;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FileProvider.java */
    /* loaded from: classes.dex */
    public interface b {
        /* renamed from: ʻ  reason: contains not printable characters */
        File mo2244(Uri uri);

        /* renamed from: ʼ  reason: contains not printable characters */
        Uri mo2245(File file);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FileProvider.java */
    /* loaded from: classes.dex */
    public static class c implements b {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final String f2818;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final HashMap<String, File> f2819 = new HashMap<>();

        c(String str) {
            this.f2818 = str;
        }

        @Override // androidx.core.content.h.b
        /* renamed from: ʻ */
        public File mo2244(Uri uri) {
            String encodedPath = uri.getEncodedPath();
            int indexOf = encodedPath.indexOf(47, 1);
            String decode = Uri.decode(encodedPath.substring(1, indexOf));
            String decode2 = Uri.decode(encodedPath.substring(indexOf + 1));
            File file = this.f2819.get(decode);
            if (file != null) {
                File file2 = new File(file, decode2);
                try {
                    File canonicalFile = file2.getCanonicalFile();
                    if (canonicalFile.getPath().startsWith(file.getPath())) {
                        return canonicalFile;
                    }
                    throw new SecurityException("Resolved path jumped beyond configured root");
                } catch (IOException unused) {
                    throw new IllegalArgumentException("Failed to resolve canonical path for " + file2);
                }
            }
            throw new IllegalArgumentException("Unable to find configured root for " + uri);
        }

        @Override // androidx.core.content.h.b
        /* renamed from: ʼ */
        public Uri mo2245(File file) {
            String substring;
            try {
                String canonicalPath = file.getCanonicalPath();
                Map.Entry<String, File> entry = null;
                for (Map.Entry<String, File> entry2 : this.f2819.entrySet()) {
                    String path = entry2.getValue().getPath();
                    if (canonicalPath.startsWith(path) && (entry == null || path.length() > entry.getValue().getPath().length())) {
                        entry = entry2;
                    }
                }
                if (entry != null) {
                    String path2 = entry.getValue().getPath();
                    if (path2.endsWith("/")) {
                        substring = canonicalPath.substring(path2.length());
                    } else {
                        substring = canonicalPath.substring(path2.length() + 1);
                    }
                    return new Uri.Builder().scheme("content").authority(this.f2818).encodedPath(Uri.encode(entry.getKey()) + '/' + Uri.encode(substring, "/")).build();
                }
                throw new IllegalArgumentException("Failed to find configured root that contains " + canonicalPath);
            } catch (IOException unused) {
                throw new IllegalArgumentException("Failed to resolve canonical path for " + file);
            }
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        void m2246(String str, File file) {
            if (!TextUtils.isEmpty(str)) {
                try {
                    this.f2819.put(str, file.getCanonicalFile());
                    return;
                } catch (IOException e6) {
                    throw new IllegalArgumentException("Failed to resolve canonical path for " + file, e6);
                }
            }
            throw new IllegalArgumentException("Name must not be empty");
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static File m2235(File file, String... strArr) {
        for (String str : strArr) {
            if (str != null) {
                file = new File(file, str);
            }
        }
        return file;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Object[] m2236(Object[] objArr, int i6) {
        Object[] objArr2 = new Object[i6];
        System.arraycopy(objArr, 0, objArr2, 0, i6);
        return objArr2;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static String[] m2237(String[] strArr, int i6) {
        String[] strArr2 = new String[i6];
        System.arraycopy(strArr, 0, strArr2, 0, i6);
        return strArr2;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    static XmlResourceParser m2238(Context context, String str, ProviderInfo providerInfo, int i6) {
        if (providerInfo != null) {
            if (providerInfo.metaData == null && i6 != 0) {
                Bundle bundle = new Bundle(1);
                providerInfo.metaData = bundle;
                bundle.putInt("android.support.FILE_PROVIDER_PATHS", i6);
            }
            XmlResourceParser loadXmlMetaData = providerInfo.loadXmlMetaData(context.getPackageManager(), "android.support.FILE_PROVIDER_PATHS");
            if (loadXmlMetaData != null) {
                return loadXmlMetaData;
            }
            throw new IllegalArgumentException("Missing android.support.FILE_PROVIDER_PATHS meta-data");
        }
        throw new IllegalArgumentException("Couldn't find meta-data for provider with authority " + str);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static b m2239(Context context, String str, int i6) {
        b bVar;
        HashMap<String, b> hashMap = f2815;
        synchronized (hashMap) {
            bVar = hashMap.get(str);
            if (bVar == null) {
                try {
                    try {
                        bVar = m2242(context, str, i6);
                        hashMap.put(str, bVar);
                    } catch (XmlPullParserException e6) {
                        throw new IllegalArgumentException("Failed to parse android.support.FILE_PROVIDER_PATHS meta-data", e6);
                    }
                } catch (IOException e7) {
                    throw new IllegalArgumentException("Failed to parse android.support.FILE_PROVIDER_PATHS meta-data", e7);
                }
            }
        }
        return bVar;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static Uri m2240(Context context, String str, File file) {
        return m2239(context, str, 0).mo2245(file);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static int m2241(String str) {
        if ("r".equals(str)) {
            return 268435456;
        }
        if (!"w".equals(str) && !"wt".equals(str)) {
            if ("wa".equals(str)) {
                return 704643072;
            }
            if ("rw".equals(str)) {
                return 939524096;
            }
            if ("rwt".equals(str)) {
                return 1006632960;
            }
            throw new IllegalArgumentException("Invalid mode: " + str);
        }
        return 738197504;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static b m2242(Context context, String str, int i6) throws IOException, XmlPullParserException {
        c cVar = new c(str);
        XmlResourceParser m2238 = m2238(context, str, context.getPackageManager().resolveContentProvider(str, 128), i6);
        while (true) {
            int next = m2238.next();
            if (next != 1) {
                if (next == 2) {
                    String name = m2238.getName();
                    File file = null;
                    String attributeValue = m2238.getAttributeValue(null, "name");
                    String attributeValue2 = m2238.getAttributeValue(null, "path");
                    if ("root-path".equals(name)) {
                        file = f2814;
                    } else if ("files-path".equals(name)) {
                        file = context.getFilesDir();
                    } else if ("cache-path".equals(name)) {
                        file = context.getCacheDir();
                    } else if ("external-path".equals(name)) {
                        file = Environment.getExternalStorageDirectory();
                    } else if ("external-files-path".equals(name)) {
                        File[] m2214 = androidx.core.content.a.m2214(context, null);
                        if (m2214.length > 0) {
                            file = m2214[0];
                        }
                    } else if ("external-cache-path".equals(name)) {
                        File[] m2213 = androidx.core.content.a.m2213(context);
                        if (m2213.length > 0) {
                            file = m2213[0];
                        }
                    } else if (Build.VERSION.SDK_INT >= 21 && "external-media-path".equals(name)) {
                        File[] m2243 = a.m2243(context);
                        if (m2243.length > 0) {
                            file = m2243[0];
                        }
                    }
                    if (file != null) {
                        cVar.m2246(attributeValue, m2235(file, attributeValue2));
                    }
                }
            } else {
                return cVar;
            }
        }
    }

    @Override // android.content.ContentProvider
    public void attachInfo(Context context, ProviderInfo providerInfo) {
        super.attachInfo(context, providerInfo);
        if (!providerInfo.exported) {
            if (providerInfo.grantUriPermissions) {
                String str = providerInfo.authority.split(";")[0];
                HashMap<String, b> hashMap = f2815;
                synchronized (hashMap) {
                    hashMap.remove(str);
                }
                this.f2816 = m2239(context, str, this.f2817);
                return;
            }
            throw new SecurityException("Provider must grant uri permissions");
        }
        throw new SecurityException("Provider must not be exported");
    }

    @Override // android.content.ContentProvider
    public int delete(Uri uri, String str, String[] strArr) {
        return this.f2816.mo2244(uri).delete() ? 1 : 0;
    }

    @Override // android.content.ContentProvider
    public String getType(Uri uri) {
        File mo2244 = this.f2816.mo2244(uri);
        int lastIndexOf = mo2244.getName().lastIndexOf(46);
        if (lastIndexOf >= 0) {
            String mimeTypeFromExtension = MimeTypeMap.getSingleton().getMimeTypeFromExtension(mo2244.getName().substring(lastIndexOf + 1));
            if (mimeTypeFromExtension != null) {
                return mimeTypeFromExtension;
            }
            return "application/octet-stream";
        }
        return "application/octet-stream";
    }

    @Override // android.content.ContentProvider
    public Uri insert(Uri uri, ContentValues contentValues) {
        throw new UnsupportedOperationException("No external inserts");
    }

    @Override // android.content.ContentProvider
    public boolean onCreate() {
        return true;
    }

    @Override // android.content.ContentProvider
    @SuppressLint({"UnknownNullness"})
    public ParcelFileDescriptor openFile(Uri uri, String str) throws FileNotFoundException {
        return ParcelFileDescriptor.open(this.f2816.mo2244(uri), m2241(str));
    }

    @Override // android.content.ContentProvider
    public Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        int i6;
        String str3;
        File mo2244 = this.f2816.mo2244(uri);
        String queryParameter = uri.getQueryParameter("displayName");
        if (strArr == null) {
            strArr = f2813;
        }
        String[] strArr3 = new String[strArr.length];
        Object[] objArr = new Object[strArr.length];
        int i7 = 0;
        for (String str4 : strArr) {
            if ("_display_name".equals(str4)) {
                strArr3[i7] = "_display_name";
                i6 = i7 + 1;
                if (queryParameter == null) {
                    str3 = mo2244.getName();
                } else {
                    str3 = queryParameter;
                }
                objArr[i7] = str3;
            } else if ("_size".equals(str4)) {
                strArr3[i7] = "_size";
                i6 = i7 + 1;
                objArr[i7] = Long.valueOf(mo2244.length());
            }
            i7 = i6;
        }
        String[] m2237 = m2237(strArr3, i7);
        Object[] m2236 = m2236(objArr, i7);
        MatrixCursor matrixCursor = new MatrixCursor(m2237, 1);
        matrixCursor.addRow(m2236);
        return matrixCursor;
    }

    @Override // android.content.ContentProvider
    public int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        throw new UnsupportedOperationException("No external updates");
    }
}
