package androidx.core.content.res;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.StateSet;
import android.util.TypedValue;
import android.util.Xml;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: ColorStateListInflaterCompat.java */
/* loaded from: classes.dex */
public final class c {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final ThreadLocal<TypedValue> f2833 = new ThreadLocal<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ColorStateList m2273(Resources resources, XmlPullParser xmlPullParser, Resources.Theme theme) throws XmlPullParserException, IOException {
        int next;
        AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
        do {
            next = xmlPullParser.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            return m2274(resources, xmlPullParser, asAttributeSet, theme);
        }
        throw new XmlPullParserException("No start tag found");
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static ColorStateList m2274(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        String name = xmlPullParser.getName();
        if (name.equals("selector")) {
            return m2277(resources, xmlPullParser, attributeSet, theme);
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid color state list tag " + name);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static TypedValue m2275() {
        ThreadLocal<TypedValue> threadLocal = f2833;
        TypedValue typedValue = threadLocal.get();
        if (typedValue == null) {
            TypedValue typedValue2 = new TypedValue();
            threadLocal.set(typedValue2);
            return typedValue2;
        }
        return typedValue;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static ColorStateList m2276(Resources resources, int i6, Resources.Theme theme) {
        try {
            return m2273(resources, resources.getXml(i6), theme);
        } catch (Exception e6) {
            Log.e("CSLCompat", "Failed to inflate ColorStateList.", e6);
            return null;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:37:0x00a8  */
    /* renamed from: ʿ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static ColorStateList m2277(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        int depth;
        int color;
        float f6;
        int attributeCount;
        int i6;
        Resources resources2 = resources;
        int i7 = 1;
        int depth2 = xmlPullParser.getDepth() + 1;
        int[][] iArr = new int[20];
        int[] iArr2 = new int[20];
        int i8 = 0;
        while (true) {
            int next = xmlPullParser.next();
            if (next == i7 || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                break;
            }
            if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                TypedArray m2280 = m2280(resources2, theme, attributeSet, t.c.f12561);
                int i9 = t.c.f12563;
                int resourceId = m2280.getResourceId(i9, -1);
                if (resourceId != -1 && !m2278(resources2, resourceId)) {
                    try {
                        color = m2273(resources2, resources2.getXml(resourceId), theme).getDefaultColor();
                    } catch (Exception unused) {
                        color = m2280.getColor(t.c.f12563, -65281);
                    }
                } else {
                    color = m2280.getColor(i9, -65281);
                }
                int i10 = t.c.f12565;
                float f7 = 1.0f;
                if (m2280.hasValue(i10)) {
                    f7 = m2280.getFloat(i10, 1.0f);
                } else {
                    int i11 = t.c.f12569;
                    if (m2280.hasValue(i11)) {
                        f7 = m2280.getFloat(i11, 1.0f);
                    }
                }
                if (Build.VERSION.SDK_INT >= 31) {
                    int i12 = t.c.f12567;
                    if (m2280.hasValue(i12)) {
                        f6 = m2280.getFloat(i12, -1.0f);
                        m2280.recycle();
                        attributeCount = attributeSet.getAttributeCount();
                        int[] iArr3 = new int[attributeCount];
                        int i13 = 0;
                        for (i6 = 0; i6 < attributeCount; i6++) {
                            int attributeNameResource = attributeSet.getAttributeNameResource(i6);
                            if (attributeNameResource != 16843173 && attributeNameResource != 16843551 && attributeNameResource != t.a.f12558 && attributeNameResource != t.a.lStar) {
                                int i14 = i13 + 1;
                                if (!attributeSet.getAttributeBooleanValue(i6, false)) {
                                    attributeNameResource = -attributeNameResource;
                                }
                                iArr3[i13] = attributeNameResource;
                                i13 = i14;
                            }
                        }
                        int[] trimStateSet = StateSet.trimStateSet(iArr3, i13);
                        iArr2 = h.m2318(iArr2, i8, m2279(color, f7, f6));
                        iArr = (int[][]) h.m2319(iArr, i8, trimStateSet);
                        i8++;
                    }
                }
                f6 = m2280.getFloat(t.c.f12571, -1.0f);
                m2280.recycle();
                attributeCount = attributeSet.getAttributeCount();
                int[] iArr32 = new int[attributeCount];
                int i132 = 0;
                while (i6 < attributeCount) {
                }
                int[] trimStateSet2 = StateSet.trimStateSet(iArr32, i132);
                iArr2 = h.m2318(iArr2, i8, m2279(color, f7, f6));
                iArr = (int[][]) h.m2319(iArr, i8, trimStateSet2);
                i8++;
            }
            i7 = 1;
            resources2 = resources;
        }
        int[] iArr4 = new int[i8];
        int[][] iArr5 = new int[i8];
        System.arraycopy(iArr2, 0, iArr4, 0, i8);
        System.arraycopy(iArr, 0, iArr5, 0, i8);
        return new ColorStateList(iArr5, iArr4);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private static boolean m2278(Resources resources, int i6) {
        TypedValue m2275 = m2275();
        resources.getValue(i6, m2275, true);
        int i7 = m2275.type;
        if (i7 >= 28 && i7 <= 31) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static int m2279(int i6, float f6, float f7) {
        boolean z5;
        if (f7 >= 0.0f && f7 <= 100.0f) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (f6 == 1.0f && !z5) {
            return i6;
        }
        int m13580 = v.a.m13580((int) ((Color.alpha(i6) * f6) + 0.5f), 0, 255);
        if (z5) {
            a m2250 = a.m2250(i6);
            i6 = a.m2254(m2250.m2260(), m2250.m2259(), f7);
        }
        return (i6 & 16777215) | (m13580 << 24);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static TypedArray m2280(Resources resources, Resources.Theme theme, AttributeSet attributeSet, int[] iArr) {
        if (theme == null) {
            return resources.obtainAttributes(attributeSet, iArr);
        }
        return theme.obtainStyledAttributes(attributeSet, iArr, 0, 0);
    }
}
