package androidx.core.content.res;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import org.xmlpull.v1.XmlPullParser;
/* compiled from: TypedArrayUtils.java */
/* loaded from: classes.dex */
public class q {
    /* renamed from: ʻ  reason: contains not printable characters */
    public static boolean m2355(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6, boolean z5) {
        if (!m2364(xmlPullParser, str)) {
            return z5;
        }
        return typedArray.getBoolean(i6, z5);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static int m2356(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6, int i7) {
        if (!m2364(xmlPullParser, str)) {
            return i7;
        }
        return typedArray.getColor(i6, i7);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static ColorStateList m2357(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme, String str, int i6) {
        if (m2364(xmlPullParser, str)) {
            TypedValue typedValue = new TypedValue();
            typedArray.getValue(i6, typedValue);
            int i7 = typedValue.type;
            if (i7 != 2) {
                if (i7 >= 28 && i7 <= 31) {
                    return m2358(typedValue);
                }
                return c.m2276(typedArray.getResources(), typedArray.getResourceId(i6, 0), theme);
            }
            throw new UnsupportedOperationException("Failed to resolve attribute at index " + i6 + ": " + typedValue);
        }
        return null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static ColorStateList m2358(TypedValue typedValue) {
        return ColorStateList.valueOf(typedValue.data);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static d m2359(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme, String str, int i6, int i7) {
        if (m2364(xmlPullParser, str)) {
            TypedValue typedValue = new TypedValue();
            typedArray.getValue(i6, typedValue);
            int i8 = typedValue.type;
            if (i8 >= 28 && i8 <= 31) {
                return d.m2282(typedValue.data);
            }
            d m2285 = d.m2285(typedArray.getResources(), typedArray.getResourceId(i6, 0), theme);
            if (m2285 != null) {
                return m2285;
            }
        }
        return d.m2282(i7);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static float m2360(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6, float f6) {
        if (!m2364(xmlPullParser, str)) {
            return f6;
        }
        return typedArray.getFloat(i6, f6);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static int m2361(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6, int i7) {
        if (!m2364(xmlPullParser, str)) {
            return i7;
        }
        return typedArray.getInt(i6, i7);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static int m2362(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6, int i7) {
        if (!m2364(xmlPullParser, str)) {
            return i7;
        }
        return typedArray.getResourceId(i6, i7);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static String m2363(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6) {
        if (!m2364(xmlPullParser, str)) {
            return null;
        }
        return typedArray.getString(i6);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public static boolean m2364(XmlPullParser xmlPullParser, String str) {
        if (xmlPullParser.getAttributeValue("http://schemas.android.com/apk/res/android", str) != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public static TypedArray m2365(Resources resources, Resources.Theme theme, AttributeSet attributeSet, int[] iArr) {
        if (theme == null) {
            return resources.obtainAttributes(attributeSet, iArr);
        }
        return theme.obtainStyledAttributes(attributeSet, iArr, 0, 0);
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public static TypedValue m2366(TypedArray typedArray, XmlPullParser xmlPullParser, String str, int i6) {
        if (!m2364(xmlPullParser, str)) {
            return null;
        }
        return typedArray.peekValue(i6);
    }
}
