package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.InsetDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import java.io.IOException;
import java.lang.reflect.Method;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: DrawableCompat.java */
/* loaded from: classes.dex */
public final class a {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Method f2888;

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean f2889;

    /* renamed from: ʽ  reason: contains not printable characters */
    private static Method f2890;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static boolean f2891;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: DrawableCompat.java */
    /* renamed from: androidx.core.graphics.drawable.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static class C0021a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m2434(Drawable drawable) {
            return drawable.getAlpha();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static Drawable m2435(DrawableContainer.DrawableContainerState drawableContainerState, int i6) {
            return drawableContainerState.getChild(i6);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static Drawable m2436(InsetDrawable insetDrawable) {
            return insetDrawable.getDrawable();
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static boolean m2437(Drawable drawable) {
            return drawable.isAutoMirrored();
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static void m2438(Drawable drawable, boolean z5) {
            drawable.setAutoMirrored(z5);
        }
    }

    /* compiled from: DrawableCompat.java */
    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m2439(Drawable drawable, Resources.Theme theme) {
            drawable.applyTheme(theme);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m2440(Drawable drawable) {
            boolean canApplyTheme;
            canApplyTheme = drawable.canApplyTheme();
            return canApplyTheme;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static ColorFilter m2441(Drawable drawable) {
            ColorFilter colorFilter;
            colorFilter = drawable.getColorFilter();
            return colorFilter;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static void m2442(Drawable drawable, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
            drawable.inflate(resources, xmlPullParser, attributeSet, theme);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static void m2443(Drawable drawable, float f6, float f7) {
            drawable.setHotspot(f6, f7);
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static void m2444(Drawable drawable, int i6, int i7, int i8, int i9) {
            drawable.setHotspotBounds(i6, i7, i8, i9);
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static void m2445(Drawable drawable, int i6) {
            drawable.setTint(i6);
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static void m2446(Drawable drawable, ColorStateList colorStateList) {
            drawable.setTintList(colorStateList);
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        static void m2447(Drawable drawable, PorterDuff.Mode mode) {
            drawable.setTintMode(mode);
        }
    }

    /* compiled from: DrawableCompat.java */
    /* loaded from: classes.dex */
    static class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m2448(Drawable drawable) {
            int layoutDirection;
            layoutDirection = drawable.getLayoutDirection();
            return layoutDirection;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m2449(Drawable drawable, int i6) {
            boolean layoutDirection;
            layoutDirection = drawable.setLayoutDirection(i6);
            return layoutDirection;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m2416(Drawable drawable, Resources.Theme theme) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2439(drawable, theme);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static boolean m2417(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 21) {
            return b.m2440(drawable);
        }
        return false;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static void m2418(Drawable drawable) {
        DrawableContainer.DrawableContainerState drawableContainerState;
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 23) {
            drawable.clearColorFilter();
        } else if (i6 >= 21) {
            drawable.clearColorFilter();
            if (drawable instanceof InsetDrawable) {
                m2418(C0021a.m2436((InsetDrawable) drawable));
            } else if (drawable instanceof z) {
                m2418(((z) drawable).mo2454());
            } else if ((drawable instanceof DrawableContainer) && (drawableContainerState = (DrawableContainer.DrawableContainerState) ((DrawableContainer) drawable).getConstantState()) != null) {
                int childCount = drawableContainerState.getChildCount();
                for (int i7 = 0; i7 < childCount; i7++) {
                    Drawable m2435 = C0021a.m2435(drawableContainerState, i7);
                    if (m2435 != null) {
                        m2418(m2435);
                    }
                }
            }
        } else {
            drawable.clearColorFilter();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static int m2419(Drawable drawable) {
        return C0021a.m2434(drawable);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static ColorFilter m2420(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 21) {
            return b.m2441(drawable);
        }
        return null;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static int m2421(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 23) {
            return c.m2448(drawable);
        }
        if (!f2891) {
            try {
                Method declaredMethod = Drawable.class.getDeclaredMethod("getLayoutDirection", new Class[0]);
                f2890 = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException e6) {
                Log.i("DrawableCompat", "Failed to retrieve getLayoutDirection() method", e6);
            }
            f2891 = true;
        }
        Method method = f2890;
        if (method != null) {
            try {
                return ((Integer) method.invoke(drawable, new Object[0])).intValue();
            } catch (Exception e7) {
                Log.i("DrawableCompat", "Failed to invoke getLayoutDirection() via reflection", e7);
                f2890 = null;
            }
        }
        return 0;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static void m2422(Drawable drawable, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2442(drawable, resources, xmlPullParser, attributeSet, theme);
        } else {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static boolean m2423(Drawable drawable) {
        return C0021a.m2437(drawable);
    }

    @Deprecated
    /* renamed from: ˊ  reason: contains not printable characters */
    public static void m2424(Drawable drawable) {
        drawable.jumpToCurrentState();
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public static void m2425(Drawable drawable, boolean z5) {
        C0021a.m2438(drawable, z5);
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public static void m2426(Drawable drawable, float f6, float f7) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2443(drawable, f6, f7);
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public static void m2427(Drawable drawable, int i6, int i7, int i8, int i9) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2444(drawable, i6, i7, i8, i9);
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public static boolean m2428(Drawable drawable, int i6) {
        if (Build.VERSION.SDK_INT >= 23) {
            return c.m2449(drawable, i6);
        }
        if (!f2889) {
            try {
                Method declaredMethod = Drawable.class.getDeclaredMethod("setLayoutDirection", Integer.TYPE);
                f2888 = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException e6) {
                Log.i("DrawableCompat", "Failed to retrieve setLayoutDirection(int) method", e6);
            }
            f2889 = true;
        }
        Method method = f2888;
        if (method != null) {
            try {
                method.invoke(drawable, Integer.valueOf(i6));
                return true;
            } catch (Exception e7) {
                Log.i("DrawableCompat", "Failed to invoke setLayoutDirection(int) via reflection", e7);
                f2888 = null;
            }
        }
        return false;
    }

    /* renamed from: י  reason: contains not printable characters */
    public static void m2429(Drawable drawable, int i6) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2445(drawable, i6);
        } else if (drawable instanceof y) {
            ((y) drawable).setTint(i6);
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public static void m2430(Drawable drawable, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2446(drawable, colorStateList);
        } else if (drawable instanceof y) {
            ((y) drawable).setTintList(colorStateList);
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public static void m2431(Drawable drawable, PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.m2447(drawable, mode);
        } else if (drawable instanceof y) {
            ((y) drawable).setTintMode(mode);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: ᐧ  reason: contains not printable characters */
    public static <T extends Drawable> T m2432(Drawable drawable) {
        if (drawable instanceof z) {
            return (T) ((z) drawable).mo2454();
        }
        return drawable;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public static Drawable m2433(Drawable drawable) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 23) {
            return drawable;
        }
        if (i6 >= 21) {
            if (!(drawable instanceof y)) {
                return new c0(drawable);
            }
            return drawable;
        } else if (!(drawable instanceof y)) {
            return new a0(drawable);
        } else {
            return drawable;
        }
    }
}
