package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: WrappedDrawableApi14.java */
/* loaded from: classes.dex */
public class a0 extends Drawable implements Drawable.Callback, z, y {

    /* renamed from: ˋ  reason: contains not printable characters */
    static final PorterDuff.Mode f2892 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f2893;

    /* renamed from: ʿ  reason: contains not printable characters */
    private PorterDuff.Mode f2894;

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean f2895;

    /* renamed from: ˈ  reason: contains not printable characters */
    d0 f2896;

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f2897;

    /* renamed from: ˊ  reason: contains not printable characters */
    Drawable f2898;

    /* JADX INFO: Access modifiers changed from: package-private */
    public a0(d0 d0Var, Resources resources) {
        this.f2896 = d0Var;
        m2451(resources);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private d0 m2450() {
        return new d0(this.f2896);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m2451(Resources resources) {
        Drawable.ConstantState constantState;
        d0 d0Var = this.f2896;
        if (d0Var != null && (constantState = d0Var.f2901) != null) {
            mo2453(constantState.newDrawable(resources));
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m2452(int[] iArr) {
        if (!mo2455()) {
            return false;
        }
        d0 d0Var = this.f2896;
        ColorStateList colorStateList = d0Var.f2902;
        PorterDuff.Mode mode = d0Var.f2903;
        if (colorStateList != null && mode != null) {
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (!this.f2895 || colorForState != this.f2893 || mode != this.f2894) {
                setColorFilter(colorForState, mode);
                this.f2893 = colorForState;
                this.f2894 = mode;
                this.f2895 = true;
                return true;
            }
        } else {
            this.f2895 = false;
            clearColorFilter();
        }
        return false;
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        this.f2898.draw(canvas);
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        int i6;
        int changingConfigurations = super.getChangingConfigurations();
        d0 d0Var = this.f2896;
        if (d0Var != null) {
            i6 = d0Var.getChangingConfigurations();
        } else {
            i6 = 0;
        }
        return changingConfigurations | i6 | this.f2898.getChangingConfigurations();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        d0 d0Var = this.f2896;
        if (d0Var != null && d0Var.m2461()) {
            this.f2896.f2900 = getChangingConfigurations();
            return this.f2896;
        }
        return null;
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable getCurrent() {
        return this.f2898.getCurrent();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        return this.f2898.getIntrinsicHeight();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        return this.f2898.getIntrinsicWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getLayoutDirection() {
        return a.m2421(this.f2898);
    }

    @Override // android.graphics.drawable.Drawable
    public int getMinimumHeight() {
        return this.f2898.getMinimumHeight();
    }

    @Override // android.graphics.drawable.Drawable
    public int getMinimumWidth() {
        return this.f2898.getMinimumWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return this.f2898.getOpacity();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean getPadding(Rect rect) {
        return this.f2898.getPadding(rect);
    }

    @Override // android.graphics.drawable.Drawable
    public int[] getState() {
        return this.f2898.getState();
    }

    @Override // android.graphics.drawable.Drawable
    public Region getTransparentRegion() {
        return this.f2898.getTransparentRegion();
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        return a.m2423(this.f2898);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        ColorStateList colorStateList;
        d0 d0Var;
        if (mo2455() && (d0Var = this.f2896) != null) {
            colorStateList = d0Var.f2902;
        } else {
            colorStateList = null;
        }
        if ((colorStateList != null && colorStateList.isStateful()) || this.f2898.isStateful()) {
            return true;
        }
        return false;
    }

    @Override // android.graphics.drawable.Drawable
    public void jumpToCurrentState() {
        this.f2898.jumpToCurrentState();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        Drawable.ConstantState constantState;
        if (!this.f2897 && super.mutate() == this) {
            this.f2896 = m2450();
            Drawable drawable = this.f2898;
            if (drawable != null) {
                drawable.mutate();
            }
            d0 d0Var = this.f2896;
            if (d0Var != null) {
                Drawable drawable2 = this.f2898;
                if (drawable2 != null) {
                    constantState = drawable2.getConstantState();
                } else {
                    constantState = null;
                }
                d0Var.f2901 = constantState;
            }
            this.f2897 = true;
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f2898;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean onLayoutDirectionChanged(int i6) {
        return a.m2428(this.f2898, i6);
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onLevelChange(int i6) {
        return this.f2898.setLevel(i6);
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j6) {
        scheduleSelf(runnable, j6);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i6) {
        this.f2898.setAlpha(i6);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z5) {
        a.m2425(this.f2898, z5);
    }

    @Override // android.graphics.drawable.Drawable
    public void setChangingConfigurations(int i6) {
        this.f2898.setChangingConfigurations(i6);
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        this.f2898.setColorFilter(colorFilter);
    }

    @Override // android.graphics.drawable.Drawable
    public void setDither(boolean z5) {
        this.f2898.setDither(z5);
    }

    @Override // android.graphics.drawable.Drawable
    public void setFilterBitmap(boolean z5) {
        this.f2898.setFilterBitmap(z5);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setState(int[] iArr) {
        boolean state = this.f2898.setState(iArr);
        if (!m2452(iArr) && !state) {
            return false;
        }
        return true;
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTint(int i6) {
        setTintList(ColorStateList.valueOf(i6));
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintList(ColorStateList colorStateList) {
        this.f2896.f2902 = colorStateList;
        m2452(getState());
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintMode(PorterDuff.Mode mode) {
        this.f2896.f2903 = mode;
        m2452(getState());
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z5, boolean z6) {
        if (!super.setVisible(z5, z6) && !this.f2898.setVisible(z5, z6)) {
            return false;
        }
        return true;
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    @Override // androidx.core.graphics.drawable.z
    /* renamed from: ʻ  reason: contains not printable characters */
    public final void mo2453(Drawable drawable) {
        Drawable drawable2 = this.f2898;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f2898 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            d0 d0Var = this.f2896;
            if (d0Var != null) {
                d0Var.f2901 = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.z
    /* renamed from: ʼ  reason: contains not printable characters */
    public final Drawable mo2454() {
        return this.f2898;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    protected boolean mo2455() {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public a0(Drawable drawable) {
        this.f2896 = m2450();
        mo2453(drawable);
    }
}
