package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.Log;
import java.lang.reflect.Method;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: WrappedDrawableApi21.java */
/* loaded from: classes.dex */
public class c0 extends a0 {

    /* renamed from: ˎ  reason: contains not printable characters */
    private static Method f2899;

    /* JADX INFO: Access modifiers changed from: package-private */
    public c0(Drawable drawable) {
        super(drawable);
        m2459();
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m2459() {
        if (f2899 == null) {
            try {
                f2899 = Drawable.class.getDeclaredMethod("isProjected", new Class[0]);
            } catch (Exception e6) {
                Log.w("WrappedDrawableApi21", "Failed to retrieve Drawable#isProjected() method", e6);
            }
        }
    }

    @Override // android.graphics.drawable.Drawable
    public Rect getDirtyBounds() {
        Rect dirtyBounds;
        dirtyBounds = this.f2898.getDirtyBounds();
        return dirtyBounds;
    }

    @Override // android.graphics.drawable.Drawable
    public void getOutline(Outline outline) {
        this.f2898.getOutline(outline);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isProjected() {
        Method method;
        Drawable drawable = this.f2898;
        if (drawable != null && (method = f2899) != null) {
            try {
                return ((Boolean) method.invoke(drawable, new Object[0])).booleanValue();
            } catch (Exception e6) {
                Log.w("WrappedDrawableApi21", "Error calling Drawable#isProjected() method", e6);
            }
        }
        return false;
    }

    @Override // android.graphics.drawable.Drawable
    public void setHotspot(float f6, float f7) {
        this.f2898.setHotspot(f6, f7);
    }

    @Override // android.graphics.drawable.Drawable
    public void setHotspotBounds(int i6, int i7, int i8, int i9) {
        this.f2898.setHotspotBounds(i6, i7, i8, i9);
    }

    @Override // androidx.core.graphics.drawable.a0, android.graphics.drawable.Drawable
    public boolean setState(int[] iArr) {
        if (super.setState(iArr)) {
            invalidateSelf();
            return true;
        }
        return false;
    }

    @Override // androidx.core.graphics.drawable.a0, android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTint(int i6) {
        if (!mo2455()) {
            this.f2898.setTint(i6);
        } else {
            super.setTint(i6);
        }
    }

    @Override // androidx.core.graphics.drawable.a0, android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintList(ColorStateList colorStateList) {
        if (!mo2455()) {
            this.f2898.setTintList(colorStateList);
        } else {
            super.setTintList(colorStateList);
        }
    }

    @Override // androidx.core.graphics.drawable.a0, android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintMode(PorterDuff.Mode mode) {
        if (!mo2455()) {
            this.f2898.setTintMode(mode);
        } else {
            super.setTintMode(mode);
        }
    }

    @Override // androidx.core.graphics.drawable.a0
    /* renamed from: ʽ */
    protected boolean mo2455() {
        if (Build.VERSION.SDK_INT != 21) {
            return false;
        }
        Drawable drawable = this.f2898;
        if (!(drawable instanceof GradientDrawable) && !(drawable instanceof DrawableContainer) && !(drawable instanceof InsetDrawable) && !(drawable instanceof RippleDrawable)) {
            return false;
        }
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public c0(d0 d0Var, Resources resources) {
        super(d0Var, resources);
        m2459();
    }
}
