package androidx.core.graphics;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.CancellationSignal;
import android.util.Log;
import androidx.core.content.res.f;
import androidx.core.provider.g;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.lang.reflect.Field;
import java.util.concurrent.ConcurrentHashMap;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: TypefaceCompatBaseImpl.java */
/* loaded from: classes.dex */
public class m0 {
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: ʻ  reason: contains not printable characters */
    private ConcurrentHashMap<Long, f.c> f2917 = new ConcurrentHashMap<>();

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TypefaceCompatBaseImpl.java */
    /* loaded from: classes.dex */
    public class a implements c<g.b> {
        a() {
        }

        @Override // androidx.core.graphics.m0.c
        /* renamed from: ʽ  reason: contains not printable characters */
        public int mo2541(g.b bVar) {
            return bVar.m2672();
        }

        @Override // androidx.core.graphics.m0.c
        /* renamed from: ʾ  reason: contains not printable characters */
        public boolean mo2542(g.b bVar) {
            return bVar.m2673();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TypefaceCompatBaseImpl.java */
    /* loaded from: classes.dex */
    public class b implements c<f.d> {
        b() {
        }

        @Override // androidx.core.graphics.m0.c
        /* renamed from: ʽ  reason: contains not printable characters */
        public int mo2541(f.d dVar) {
            return dVar.m2308();
        }

        @Override // androidx.core.graphics.m0.c
        /* renamed from: ʾ  reason: contains not printable characters */
        public boolean mo2542(f.d dVar) {
            return dVar.m2309();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: TypefaceCompatBaseImpl.java */
    /* loaded from: classes.dex */
    public interface c<T> {
        /* renamed from: ʻ */
        int mo2541(T t6);

        /* renamed from: ʼ */
        boolean mo2542(T t6);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m2535(Typeface typeface, f.c cVar) {
        long m2539 = m2539(typeface);
        if (m2539 != 0) {
            this.f2917.put(Long.valueOf(m2539), cVar);
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private f.d m2536(f.c cVar, int i6) {
        return (f.d) m2537(cVar.m2303(), i6, new b());
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static <T> T m2537(T[] tArr, int i6, c<T> cVar) {
        int i7;
        boolean z5;
        if ((i6 & 1) == 0) {
            i7 = 400;
        } else {
            i7 = 700;
        }
        if ((i6 & 2) != 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        return (T) m2538(tArr, i7, z5, cVar);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static <T> T m2538(T[] tArr, int i6, boolean z5, c<T> cVar) {
        int i7;
        T t6 = null;
        int i8 = Integer.MAX_VALUE;
        for (T t7 : tArr) {
            int abs = Math.abs(cVar.mo2541(t7) - i6) * 2;
            if (cVar.mo2542(t7) == z5) {
                i7 = 0;
            } else {
                i7 = 1;
            }
            int i9 = abs + i7;
            if (t6 == null || i8 > i9) {
                t6 = t7;
                i8 = i9;
            }
        }
        return t6;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private static long m2539(Typeface typeface) {
        if (typeface == null) {
            return 0L;
        }
        try {
            Field declaredField = Typeface.class.getDeclaredField("native_instance");
            declaredField.setAccessible(true);
            return ((Number) declaredField.get(typeface)).longValue();
        } catch (IllegalAccessException e6) {
            Log.e("TypefaceCompatBaseImpl", "Could not retrieve font from family.", e6);
            return 0L;
        } catch (NoSuchFieldException e7) {
            Log.e("TypefaceCompatBaseImpl", "Could not retrieve font from family.", e7);
            return 0L;
        }
    }

    /* renamed from: ʼ */
    public Typeface mo2529(Context context, f.c cVar, Resources resources, int i6) {
        f.d m2536 = m2536(cVar, i6);
        if (m2536 == null) {
            return null;
        }
        Typeface m2518 = k.m2518(context, resources, m2536.m2305(), m2536.m2304(), 0, i6);
        m2535(m2518, cVar);
        return m2518;
    }

    /* renamed from: ʽ */
    public Typeface mo2530(Context context, CancellationSignal cancellationSignal, g.b[] bVarArr, int i6) {
        InputStream inputStream;
        InputStream inputStream2 = null;
        if (bVarArr.length < 1) {
            return null;
        }
        try {
            inputStream = context.getContentResolver().openInputStream(mo2533(bVarArr, i6).m2671());
        } catch (IOException unused) {
            inputStream = null;
        } catch (Throwable th) {
            th = th;
        }
        try {
            Typeface mo2531 = mo2531(context, inputStream);
            n0.m2548(inputStream);
            return mo2531;
        } catch (IOException unused2) {
            n0.m2548(inputStream);
            return null;
        } catch (Throwable th2) {
            th = th2;
            inputStream2 = inputStream;
            n0.m2548(inputStream2);
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ʾ */
    public Typeface mo2531(Context context, InputStream inputStream) {
        File m2552 = n0.m2552(context);
        if (m2552 == null) {
            return null;
        }
        try {
            if (!n0.m2551(m2552, inputStream)) {
                return null;
            }
            return Typeface.createFromFile(m2552.getPath());
        } catch (RuntimeException unused) {
            return null;
        } finally {
            m2552.delete();
        }
    }

    /* renamed from: ʿ */
    public Typeface mo2532(Context context, Resources resources, int i6, String str, int i7) {
        File m2552 = n0.m2552(context);
        if (m2552 == null) {
            return null;
        }
        try {
            if (!n0.m2550(m2552, resources, i6)) {
                return null;
            }
            return Typeface.createFromFile(m2552.getPath());
        } catch (RuntimeException unused) {
            return null;
        } finally {
            m2552.delete();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˊ */
    public g.b mo2533(g.b[] bVarArr, int i6) {
        return (g.b) m2537(bVarArr, i6, new a());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public f.c m2540(Typeface typeface) {
        long m2539 = m2539(typeface);
        if (m2539 == 0) {
            return null;
        }
        return this.f2917.get(Long.valueOf(m2539));
    }
}
