package androidx.core.graphics;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.system.ErrnoException;
import android.system.Os;
import android.system.OsConstants;
import android.system.StructStat;
import android.util.Log;
import androidx.core.content.res.f;
import androidx.core.provider.g;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
/* compiled from: TypefaceCompatApi21Impl.java */
/* loaded from: classes.dex */
class p extends m0 {

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Class<?> f2920 = null;

    /* renamed from: ʽ  reason: contains not printable characters */
    private static Constructor<?> f2921 = null;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static Method f2922 = null;

    /* renamed from: ʿ  reason: contains not printable characters */
    private static Method f2923 = null;

    /* renamed from: ˆ  reason: contains not printable characters */
    private static boolean f2924 = false;

    /* renamed from: ˏ  reason: contains not printable characters */
    private static boolean m2558(Object obj, String str, int i6, boolean z5) {
        m2561();
        try {
            return ((Boolean) f2922.invoke(obj, str, Integer.valueOf(i6), Boolean.valueOf(z5))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException e6) {
            throw new RuntimeException(e6);
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static Typeface m2559(Object obj) {
        m2561();
        try {
            Object newInstance = Array.newInstance(f2920, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) f2923.invoke(null, newInstance);
        } catch (IllegalAccessException | InvocationTargetException e6) {
            throw new RuntimeException(e6);
        }
    }

    /* renamed from: י  reason: contains not printable characters */
    private File m2560(ParcelFileDescriptor parcelFileDescriptor) {
        String readlink;
        StructStat stat;
        int i6;
        boolean S_ISREG;
        try {
            readlink = Os.readlink("/proc/self/fd/" + parcelFileDescriptor.getFd());
            stat = Os.stat(readlink);
            i6 = stat.st_mode;
            S_ISREG = OsConstants.S_ISREG(i6);
            if (S_ISREG) {
                return new File(readlink);
            }
        } catch (ErrnoException unused) {
        }
        return null;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private static void m2561() {
        Class<?> cls;
        Method method;
        Constructor<?> constructor;
        Method method2;
        if (f2924) {
            return;
        }
        f2924 = true;
        try {
            cls = Class.forName("android.graphics.FontFamily");
            constructor = cls.getConstructor(new Class[0]);
            method2 = cls.getMethod("addFontWeightStyle", String.class, Integer.TYPE, Boolean.TYPE);
            method = Typeface.class.getMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass());
        } catch (ClassNotFoundException | NoSuchMethodException e6) {
            Log.e("TypefaceCompatApi21Impl", e6.getClass().getName(), e6);
            cls = null;
            method = null;
            constructor = null;
            method2 = null;
        }
        f2921 = constructor;
        f2920 = cls;
        f2922 = method2;
        f2923 = method;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private static Object m2562() {
        m2561();
        try {
            return f2921.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException e6) {
            throw new RuntimeException(e6);
        }
    }

    @Override // androidx.core.graphics.m0
    /* renamed from: ʼ */
    public Typeface mo2529(Context context, f.c cVar, Resources resources, int i6) {
        f.d[] m2303;
        Object m2562 = m2562();
        for (f.d dVar : cVar.m2303()) {
            File m2552 = n0.m2552(context);
            if (m2552 == null) {
                return null;
            }
            try {
                if (!n0.m2550(m2552, resources, dVar.m2305())) {
                    return null;
                }
                if (!m2558(m2562, m2552.getPath(), dVar.m2308(), dVar.m2309())) {
                    return null;
                }
                m2552.delete();
            } catch (RuntimeException unused) {
                return null;
            } finally {
                m2552.delete();
            }
        }
        return m2559(m2562);
    }

    @Override // androidx.core.graphics.m0
    /* renamed from: ʽ */
    public Typeface mo2530(Context context, CancellationSignal cancellationSignal, g.b[] bVarArr, int i6) {
        if (bVarArr.length < 1) {
            return null;
        }
        g.b mo2533 = mo2533(bVarArr, i6);
        try {
            ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(mo2533.m2671(), "r", cancellationSignal);
            if (openFileDescriptor == null) {
                if (openFileDescriptor != null) {
                    openFileDescriptor.close();
                }
                return null;
            }
            File m2560 = m2560(openFileDescriptor);
            if (m2560 != null && m2560.canRead()) {
                Typeface createFromFile = Typeface.createFromFile(m2560);
                openFileDescriptor.close();
                return createFromFile;
            }
            FileInputStream fileInputStream = new FileInputStream(openFileDescriptor.getFileDescriptor());
            Typeface mo2531 = super.mo2531(context, fileInputStream);
            fileInputStream.close();
            openFileDescriptor.close();
            return mo2531;
        } catch (IOException unused) {
            return null;
        }
    }
}
