package androidx.core.graphics;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.CancellationSignal;
import android.util.Log;
import androidx.core.content.res.f;
import androidx.core.provider.g;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.List;
/* compiled from: TypefaceCompatApi24Impl.java */
/* loaded from: classes.dex */
class q extends m0 {

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final Class<?> f2925;

    /* renamed from: ʽ  reason: contains not printable characters */
    private static final Constructor<?> f2926;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static final Method f2927;

    /* renamed from: ʿ  reason: contains not printable characters */
    private static final Method f2928;

    static {
        Class<?> cls;
        Method method;
        Constructor<?> constructor;
        Method method2;
        try {
            cls = Class.forName("android.graphics.FontFamily");
            constructor = cls.getConstructor(new Class[0]);
            Class<?> cls2 = Integer.TYPE;
            method2 = cls.getMethod("addFontWeightStyle", ByteBuffer.class, cls2, List.class, cls2, Boolean.TYPE);
            method = Typeface.class.getMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass());
        } catch (ClassNotFoundException | NoSuchMethodException e6) {
            Log.e("TypefaceCompatApi24Impl", e6.getClass().getName(), e6);
            cls = null;
            method = null;
            constructor = null;
            method2 = null;
        }
        f2926 = constructor;
        f2925 = cls;
        f2927 = method2;
        f2928 = method;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private static boolean m2563(Object obj, ByteBuffer byteBuffer, int i6, int i7, boolean z5) {
        try {
            return ((Boolean) f2927.invoke(obj, byteBuffer, Integer.valueOf(i6), null, Integer.valueOf(i7), Boolean.valueOf(z5))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static Typeface m2564(Object obj) {
        try {
            Object newInstance = Array.newInstance(f2925, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) f2928.invoke(null, newInstance);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    /* renamed from: י  reason: contains not printable characters */
    public static boolean m2565() {
        Method method = f2927;
        if (method == null) {
            Log.w("TypefaceCompatApi24Impl", "Unable to collect necessary private methods.Fallback to legacy implementation.");
        }
        if (method != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private static Object m2566() {
        try {
            return f2926.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    @Override // androidx.core.graphics.m0
    /* renamed from: ʼ */
    public Typeface mo2529(Context context, f.c cVar, Resources resources, int i6) {
        f.d[] m2303;
        Object m2566 = m2566();
        if (m2566 == null) {
            return null;
        }
        for (f.d dVar : cVar.m2303()) {
            ByteBuffer m2549 = n0.m2549(context, resources, dVar.m2305());
            if (m2549 == null || !m2563(m2566, m2549, dVar.m2306(), dVar.m2308(), dVar.m2309())) {
                return null;
            }
        }
        return m2564(m2566);
    }

    @Override // androidx.core.graphics.m0
    /* renamed from: ʽ */
    public Typeface mo2530(Context context, CancellationSignal cancellationSignal, g.b[] bVarArr, int i6) {
        Object m2566 = m2566();
        if (m2566 == null) {
            return null;
        }
        l.g gVar = new l.g();
        for (g.b bVar : bVarArr) {
            Uri m2671 = bVar.m2671();
            ByteBuffer byteBuffer = (ByteBuffer) gVar.get(m2671);
            if (byteBuffer == null) {
                byteBuffer = n0.m2553(context, cancellationSignal, m2671);
                gVar.put(m2671, byteBuffer);
            }
            if (byteBuffer == null || !m2563(m2566, byteBuffer, bVar.m2670(), bVar.m2672(), bVar.m2673())) {
                return null;
            }
        }
        Typeface m2564 = m2564(m2566);
        if (m2564 == null) {
            return null;
        }
        return Typeface.create(m2564, i6);
    }
}
