package androidx.core.graphics;

import android.content.Context;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.fonts.FontVariationAxis;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import androidx.core.content.res.f;
import androidx.core.provider.g;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.Map;
/* compiled from: TypefaceCompatApi26Impl.java */
/* loaded from: classes.dex */
public class v extends p {

    /* renamed from: ˈ  reason: contains not printable characters */
    protected final Class<?> f2929;

    /* renamed from: ˉ  reason: contains not printable characters */
    protected final Constructor<?> f2930;

    /* renamed from: ˊ  reason: contains not printable characters */
    protected final Method f2931;

    /* renamed from: ˋ  reason: contains not printable characters */
    protected final Method f2932;

    /* renamed from: ˎ  reason: contains not printable characters */
    protected final Method f2933;

    /* renamed from: ˏ  reason: contains not printable characters */
    protected final Method f2934;

    /* renamed from: ˑ  reason: contains not printable characters */
    protected final Method f2935;

    public v() {
        Class<?> cls;
        Constructor<?> constructor;
        Method method;
        Method method2;
        Method method3;
        Method method4;
        Method method5;
        try {
            cls = m2584();
            constructor = m2578(cls);
            method = m2581(cls);
            method2 = m2582(cls);
            method3 = m2579(cls);
            method4 = m2580(cls);
            method5 = mo2583(cls);
        } catch (ClassNotFoundException | NoSuchMethodException e6) {
            Log.e("TypefaceCompatApi26Impl", "Unable to collect necessary methods for class " + e6.getClass().getName(), e6);
            cls = null;
            constructor = null;
            method = null;
            method2 = null;
            method3 = null;
            method4 = null;
            method5 = null;
        }
        this.f2929 = cls;
        this.f2930 = constructor;
        this.f2931 = method;
        this.f2932 = method2;
        this.f2933 = method3;
        this.f2934 = method4;
        this.f2935 = method5;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private Object m2571() {
        try {
            return this.f2930.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private void m2572(Object obj) {
        try {
            this.f2934.invoke(obj, new Object[0]);
        } catch (IllegalAccessException | InvocationTargetException unused) {
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean m2573(Context context, Object obj, String str, int i6, int i7, int i8, FontVariationAxis[] fontVariationAxisArr) {
        try {
            return ((Boolean) this.f2931.invoke(obj, context.getAssets(), str, 0, Boolean.FALSE, Integer.valueOf(i6), Integer.valueOf(i7), Integer.valueOf(i8), fontVariationAxisArr)).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean m2574(Object obj, ByteBuffer byteBuffer, int i6, int i7, int i8) {
        try {
            return ((Boolean) this.f2932.invoke(obj, byteBuffer, Integer.valueOf(i6), null, Integer.valueOf(i7), Integer.valueOf(i8))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean m2575(Object obj) {
        try {
            return ((Boolean) this.f2933.invoke(obj, new Object[0])).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean m2576() {
        if (this.f2931 == null) {
            Log.w("TypefaceCompatApi26Impl", "Unable to collect necessary private methods. Fallback to legacy implementation.");
        }
        if (this.f2931 != null) {
            return true;
        }
        return false;
    }

    @Override // androidx.core.graphics.p, androidx.core.graphics.m0
    /* renamed from: ʼ */
    public Typeface mo2529(Context context, f.c cVar, Resources resources, int i6) {
        f.d[] m2303;
        FontVariationAxis[] fromFontVariationSettings;
        if (!m2576()) {
            return super.mo2529(context, cVar, resources, i6);
        }
        Object m2571 = m2571();
        if (m2571 == null) {
            return null;
        }
        for (f.d dVar : cVar.m2303()) {
            String m2304 = dVar.m2304();
            int m2306 = dVar.m2306();
            int m2308 = dVar.m2308();
            boolean m2309 = dVar.m2309();
            fromFontVariationSettings = FontVariationAxis.fromFontVariationSettings(dVar.m2307());
            if (!m2573(context, m2571, m2304, m2306, m2308, m2309 ? 1 : 0, fromFontVariationSettings)) {
                m2572(m2571);
                return null;
            }
        }
        if (!m2575(m2571)) {
            return null;
        }
        return mo2577(m2571);
    }

    @Override // androidx.core.graphics.p, androidx.core.graphics.m0
    /* renamed from: ʽ */
    public Typeface mo2530(Context context, CancellationSignal cancellationSignal, g.b[] bVarArr, int i6) {
        Typeface mo2577;
        Typeface.Builder weight;
        Typeface.Builder italic;
        Typeface build;
        if (bVarArr.length < 1) {
            return null;
        }
        if (!m2576()) {
            g.b mo2533 = mo2533(bVarArr, i6);
            try {
                ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(mo2533.m2671(), "r", cancellationSignal);
                if (openFileDescriptor != null) {
                    weight = new Typeface.Builder(openFileDescriptor.getFileDescriptor()).setWeight(mo2533.m2672());
                    italic = weight.setItalic(mo2533.m2673());
                    build = italic.build();
                    openFileDescriptor.close();
                    return build;
                }
                if (openFileDescriptor != null) {
                    openFileDescriptor.close();
                }
                return null;
            } catch (IOException unused) {
                return null;
            }
        }
        Map<Uri, ByteBuffer> m2555 = n0.m2555(context, bVarArr, cancellationSignal);
        Object m2571 = m2571();
        if (m2571 == null) {
            return null;
        }
        boolean z5 = false;
        for (g.b bVar : bVarArr) {
            ByteBuffer byteBuffer = m2555.get(bVar.m2671());
            if (byteBuffer != null) {
                if (!m2574(m2571, byteBuffer, bVar.m2670(), bVar.m2672(), bVar.m2673() ? 1 : 0)) {
                    m2572(m2571);
                    return null;
                }
                z5 = true;
            }
        }
        if (!z5) {
            m2572(m2571);
            return null;
        } else if (!m2575(m2571) || (mo2577 = mo2577(m2571)) == null) {
            return null;
        } else {
            return Typeface.create(mo2577, i6);
        }
    }

    @Override // androidx.core.graphics.m0
    /* renamed from: ʿ */
    public Typeface mo2532(Context context, Resources resources, int i6, String str, int i7) {
        if (!m2576()) {
            return super.mo2532(context, resources, i6, str, i7);
        }
        Object m2571 = m2571();
        if (m2571 == null) {
            return null;
        }
        if (!m2573(context, m2571, str, 0, -1, -1, null)) {
            m2572(m2571);
            return null;
        } else if (!m2575(m2571)) {
            return null;
        } else {
            return mo2577(m2571);
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    protected Typeface mo2577(Object obj) {
        try {
            Object newInstance = Array.newInstance(this.f2929, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) this.f2935.invoke(null, newInstance, -1, -1);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    protected Constructor<?> m2578(Class<?> cls) throws NoSuchMethodException {
        return cls.getConstructor(new Class[0]);
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    protected Method m2579(Class<?> cls) throws NoSuchMethodException {
        return cls.getMethod("freeze", new Class[0]);
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    protected Method m2580(Class<?> cls) throws NoSuchMethodException {
        return cls.getMethod("abortCreation", new Class[0]);
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    protected Method m2581(Class<?> cls) throws NoSuchMethodException {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod("addFontFromAssetManager", AssetManager.class, String.class, cls2, Boolean.TYPE, cls2, cls2, cls2, FontVariationAxis[].class);
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    protected Method m2582(Class<?> cls) throws NoSuchMethodException {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod("addFontFromBuffer", ByteBuffer.class, cls2, FontVariationAxis[].class, cls2, cls2);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    protected Method mo2583(Class<?> cls) throws NoSuchMethodException {
        Class cls2 = Integer.TYPE;
        Method declaredMethod = Typeface.class.getDeclaredMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass(), cls2, cls2);
        declaredMethod.setAccessible(true);
        return declaredMethod;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    protected Class<?> m2584() throws ClassNotFoundException {
        return Class.forName("android.graphics.FontFamily");
    }
}
