package androidx.core.os;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcelable;
import android.util.Size;
import android.util.SizeF;
import java.io.Serializable;
/* compiled from: Bundle.kt */
/* loaded from: classes.dex */
public final class f {
    /* renamed from: ʻ  reason: contains not printable characters */
    public static final Bundle m2596(p4.i<String, ? extends Object>... iVarArr) {
        z4.i.m14314(iVarArr, "pairs");
        Bundle bundle = new Bundle(iVarArr.length);
        for (p4.i<String, ? extends Object> iVar : iVarArr) {
            String m12371 = iVar.m12371();
            Object m12372 = iVar.m12372();
            if (m12372 == null) {
                bundle.putString(m12371, null);
            } else if (m12372 instanceof Boolean) {
                bundle.putBoolean(m12371, ((Boolean) m12372).booleanValue());
            } else if (m12372 instanceof Byte) {
                bundle.putByte(m12371, ((Number) m12372).byteValue());
            } else if (m12372 instanceof Character) {
                bundle.putChar(m12371, ((Character) m12372).charValue());
            } else if (m12372 instanceof Double) {
                bundle.putDouble(m12371, ((Number) m12372).doubleValue());
            } else if (m12372 instanceof Float) {
                bundle.putFloat(m12371, ((Number) m12372).floatValue());
            } else if (m12372 instanceof Integer) {
                bundle.putInt(m12371, ((Number) m12372).intValue());
            } else if (m12372 instanceof Long) {
                bundle.putLong(m12371, ((Number) m12372).longValue());
            } else if (m12372 instanceof Short) {
                bundle.putShort(m12371, ((Number) m12372).shortValue());
            } else if (m12372 instanceof Bundle) {
                bundle.putBundle(m12371, (Bundle) m12372);
            } else if (m12372 instanceof CharSequence) {
                bundle.putCharSequence(m12371, (CharSequence) m12372);
            } else if (m12372 instanceof Parcelable) {
                bundle.putParcelable(m12371, (Parcelable) m12372);
            } else if (m12372 instanceof boolean[]) {
                bundle.putBooleanArray(m12371, (boolean[]) m12372);
            } else if (m12372 instanceof byte[]) {
                bundle.putByteArray(m12371, (byte[]) m12372);
            } else if (m12372 instanceof char[]) {
                bundle.putCharArray(m12371, (char[]) m12372);
            } else if (m12372 instanceof double[]) {
                bundle.putDoubleArray(m12371, (double[]) m12372);
            } else if (m12372 instanceof float[]) {
                bundle.putFloatArray(m12371, (float[]) m12372);
            } else if (m12372 instanceof int[]) {
                bundle.putIntArray(m12371, (int[]) m12372);
            } else if (m12372 instanceof long[]) {
                bundle.putLongArray(m12371, (long[]) m12372);
            } else if (m12372 instanceof short[]) {
                bundle.putShortArray(m12371, (short[]) m12372);
            } else if (m12372 instanceof Object[]) {
                Class<?> componentType = m12372.getClass().getComponentType();
                z4.i.m14311(componentType);
                if (Parcelable.class.isAssignableFrom(componentType)) {
                    z4.i.m14312(m12372, "null cannot be cast to non-null type kotlin.Array<android.os.Parcelable>");
                    bundle.putParcelableArray(m12371, (Parcelable[]) m12372);
                } else if (String.class.isAssignableFrom(componentType)) {
                    z4.i.m14312(m12372, "null cannot be cast to non-null type kotlin.Array<kotlin.String>");
                    bundle.putStringArray(m12371, (String[]) m12372);
                } else if (CharSequence.class.isAssignableFrom(componentType)) {
                    z4.i.m14312(m12372, "null cannot be cast to non-null type kotlin.Array<kotlin.CharSequence>");
                    bundle.putCharSequenceArray(m12371, (CharSequence[]) m12372);
                } else if (Serializable.class.isAssignableFrom(componentType)) {
                    bundle.putSerializable(m12371, (Serializable) m12372);
                } else {
                    throw new IllegalArgumentException("Illegal value array type " + componentType.getCanonicalName() + " for key \"" + m12371 + '\"');
                }
            } else if (m12372 instanceof Serializable) {
                bundle.putSerializable(m12371, (Serializable) m12372);
            } else {
                int i6 = Build.VERSION.SDK_INT;
                if (m12372 instanceof IBinder) {
                    b.m2591(bundle, m12371, (IBinder) m12372);
                } else if (i6 >= 21 && (m12372 instanceof Size)) {
                    e.m2594(bundle, m12371, (Size) m12372);
                } else if (i6 >= 21 && (m12372 instanceof SizeF)) {
                    e.m2595(bundle, m12371, (SizeF) m12372);
                } else {
                    throw new IllegalArgumentException("Illegal value type " + m12372.getClass().getCanonicalName() + " for key \"" + m12371 + '\"');
                }
            }
        }
        return bundle;
    }
}
