package androidx.core.os;

import android.os.Build;
import android.os.LocaleList;
import java.util.Locale;
/* compiled from: LocaleListCompat.java */
/* loaded from: classes.dex */
public final class h {

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final h f2942 = m2603(new Locale[0]);

    /* renamed from: ʻ  reason: contains not printable characters */
    private final l f2943;

    /* compiled from: LocaleListCompat.java */
    /* loaded from: classes.dex */
    static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private static final Locale[] f2944 = {new Locale("en", "XA"), new Locale("ar", "XB")};

        /* renamed from: ʻ  reason: contains not printable characters */
        static Locale m2612(String str) {
            Locale forLanguageTag;
            forLanguageTag = Locale.forLanguageTag(str);
            return forLanguageTag;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private static boolean m2613(Locale locale) {
            for (Locale locale2 : f2944) {
                if (locale2.equals(locale)) {
                    return true;
                }
            }
            return false;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static boolean m2614(Locale locale, Locale locale2) {
            if (locale.equals(locale2)) {
                return true;
            }
            if (!locale.getLanguage().equals(locale2.getLanguage()) || m2613(locale) || m2613(locale2)) {
                return false;
            }
            String m2728 = androidx.core.text.g.m2728(locale);
            if (m2728.isEmpty()) {
                String country = locale.getCountry();
                if (country.isEmpty() || country.equals(locale2.getCountry())) {
                    return true;
                }
                return false;
            }
            return m2728.equals(androidx.core.text.g.m2728(locale2));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: LocaleListCompat.java */
    /* loaded from: classes.dex */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static LocaleList m2615(Locale... localeArr) {
            return new LocaleList(localeArr);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static LocaleList m2616() {
            LocaleList adjustedDefault;
            adjustedDefault = LocaleList.getAdjustedDefault();
            return adjustedDefault;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static LocaleList m2617() {
            LocaleList localeList;
            localeList = LocaleList.getDefault();
            return localeList;
        }
    }

    private h(l lVar) {
        this.f2943 = lVar;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static h m2603(Locale... localeArr) {
        if (Build.VERSION.SDK_INT >= 24) {
            return m2607(b.m2615(localeArr));
        }
        return new h(new k(localeArr));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static Locale m2604(String str) {
        if (str.contains("-")) {
            String[] split = str.split("-", -1);
            if (split.length > 2) {
                return new Locale(split[0], split[1], split[2]);
            }
            if (split.length > 1) {
                return new Locale(split[0], split[1]);
            }
            if (split.length == 1) {
                return new Locale(split[0]);
            }
        } else if (str.contains("_")) {
            String[] split2 = str.split("_", -1);
            if (split2.length > 2) {
                return new Locale(split2[0], split2[1], split2[2]);
            }
            if (split2.length > 1) {
                return new Locale(split2[0], split2[1]);
            }
            if (split2.length == 1) {
                return new Locale(split2[0]);
            }
        } else {
            return new Locale(str);
        }
        throw new IllegalArgumentException("Can not parse language tag: [" + str + "]");
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static h m2605(String str) {
        Locale m2604;
        if (str != null && !str.isEmpty()) {
            String[] split = str.split(",", -1);
            int length = split.length;
            Locale[] localeArr = new Locale[length];
            for (int i6 = 0; i6 < length; i6++) {
                if (Build.VERSION.SDK_INT >= 21) {
                    m2604 = a.m2612(split[i6]);
                } else {
                    m2604 = m2604(split[i6]);
                }
                localeArr[i6] = m2604;
            }
            return m2603(localeArr);
        }
        return m2606();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static h m2606() {
        return f2942;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static h m2607(LocaleList localeList) {
        return new h(new r(localeList));
    }

    public boolean equals(Object obj) {
        if ((obj instanceof h) && this.f2943.equals(((h) obj).f2943)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return this.f2943.hashCode();
    }

    public String toString() {
        return this.f2943.toString();
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public Locale m2608(int i6) {
        return this.f2943.get(i6);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public boolean m2609() {
        return this.f2943.isEmpty();
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public int m2610() {
        return this.f2943.size();
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public String m2611() {
        return this.f2943.mo2621();
    }
}
