package androidx.core.provider;

import android.content.ContentResolver;
import android.content.ContentUris;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.content.pm.Signature;
import android.content.res.Resources;
import android.database.Cursor;
import android.net.Uri;
import android.os.CancellationSignal;
import androidx.core.provider.g;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
/* compiled from: FontProvider.java */
/* loaded from: classes.dex */
class d {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final Comparator<byte[]> f2965 = new Comparator() { // from class: androidx.core.provider.c
        @Override // java.util.Comparator
        public final int compare(Object obj, Object obj2) {
            int m2642;
            m2642 = d.m2642((byte[]) obj, (byte[]) obj2);
            return m2642;
        }
    };

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FontProvider.java */
    /* loaded from: classes.dex */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Cursor m2644(ContentResolver contentResolver, Uri uri, String[] strArr, String str, String[] strArr2, String str2, Object obj) {
            return contentResolver.query(uri, strArr, str, strArr2, str2, (CancellationSignal) obj);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static List<byte[]> m2637(Signature[] signatureArr) {
        ArrayList arrayList = new ArrayList();
        for (Signature signature : signatureArr) {
            arrayList.add(signature.toByteArray());
        }
        return arrayList;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static boolean m2638(List<byte[]> list, List<byte[]> list2) {
        if (list.size() != list2.size()) {
            return false;
        }
        for (int i6 = 0; i6 < list.size(); i6++) {
            if (!Arrays.equals(list.get(i6), list2.get(i6))) {
                return false;
            }
        }
        return true;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static List<List<byte[]>> m2639(e eVar, Resources resources) {
        if (eVar.m2646() != null) {
            return eVar.m2646();
        }
        return androidx.core.content.res.f.m2296(resources, eVar.m2647());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public static g.a m2640(Context context, e eVar, CancellationSignal cancellationSignal) throws PackageManager.NameNotFoundException {
        ProviderInfo m2641 = m2641(context.getPackageManager(), eVar, context.getResources());
        if (m2641 == null) {
            return g.a.m2665(1, null);
        }
        return g.a.m2665(0, m2643(context, eVar, m2641.authority, cancellationSignal));
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    static ProviderInfo m2641(PackageManager packageManager, e eVar, Resources resources) throws PackageManager.NameNotFoundException {
        String m2649 = eVar.m2649();
        ProviderInfo resolveContentProvider = packageManager.resolveContentProvider(m2649, 0);
        if (resolveContentProvider != null) {
            if (resolveContentProvider.packageName.equals(eVar.m2650())) {
                List<byte[]> m2637 = m2637(packageManager.getPackageInfo(resolveContentProvider.packageName, 64).signatures);
                Collections.sort(m2637, f2965);
                List<List<byte[]>> m2639 = m2639(eVar, resources);
                for (int i6 = 0; i6 < m2639.size(); i6++) {
                    ArrayList arrayList = new ArrayList(m2639.get(i6));
                    Collections.sort(arrayList, f2965);
                    if (m2638(m2637, arrayList)) {
                        return resolveContentProvider;
                    }
                }
                return null;
            }
            throw new PackageManager.NameNotFoundException("Found content provider " + m2649 + ", but package was not " + eVar.m2650());
        }
        throw new PackageManager.NameNotFoundException("No package found for authority: " + m2649);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public static /* synthetic */ int m2642(byte[] bArr, byte[] bArr2) {
        if (bArr.length != bArr2.length) {
            return bArr.length - bArr2.length;
        }
        for (int i6 = 0; i6 < bArr.length; i6++) {
            byte b6 = bArr[i6];
            byte b7 = bArr2[i6];
            if (b6 != b7) {
                return b6 - b7;
            }
        }
        return 0;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    static g.b[] m2643(Context context, e eVar, String str, CancellationSignal cancellationSignal) {
        int i6;
        int i7;
        int i8;
        Uri withAppendedId;
        int i9;
        int i10;
        boolean z5;
        ArrayList arrayList = new ArrayList();
        Uri build = new Uri.Builder().scheme("content").authority(str).build();
        Uri build2 = new Uri.Builder().scheme("content").authority(str).appendPath("file").build();
        Cursor cursor = null;
        try {
            cursor = a.m2644(context.getContentResolver(), build, new String[]{"_id", "file_id", "font_ttc_index", "font_variation_settings", "font_weight", "font_italic", "result_code"}, "query = ?", new String[]{eVar.m2651()}, null, cancellationSignal);
            if (cursor != null && cursor.getCount() > 0) {
                int columnIndex = cursor.getColumnIndex("result_code");
                ArrayList arrayList2 = new ArrayList();
                int columnIndex2 = cursor.getColumnIndex("_id");
                int columnIndex3 = cursor.getColumnIndex("file_id");
                int columnIndex4 = cursor.getColumnIndex("font_ttc_index");
                int columnIndex5 = cursor.getColumnIndex("font_weight");
                int columnIndex6 = cursor.getColumnIndex("font_italic");
                while (cursor.moveToNext()) {
                    if (columnIndex != -1) {
                        i6 = cursor.getInt(columnIndex);
                    } else {
                        i6 = 0;
                    }
                    if (columnIndex4 != -1) {
                        i7 = cursor.getInt(columnIndex4);
                    } else {
                        i7 = 0;
                    }
                    if (columnIndex3 == -1) {
                        i8 = i6;
                        withAppendedId = ContentUris.withAppendedId(build, cursor.getLong(columnIndex2));
                    } else {
                        i8 = i6;
                        withAppendedId = ContentUris.withAppendedId(build2, cursor.getLong(columnIndex3));
                    }
                    if (columnIndex5 != -1) {
                        i9 = cursor.getInt(columnIndex5);
                    } else {
                        i9 = 400;
                    }
                    if (columnIndex6 != -1 && cursor.getInt(columnIndex6) == 1) {
                        i10 = i8;
                        z5 = true;
                    } else {
                        i10 = i8;
                        z5 = false;
                    }
                    arrayList2.add(g.b.m2668(withAppendedId, i7, i9, z5, i10));
                }
                arrayList = arrayList2;
            }
            return (g.b[]) arrayList.toArray(new g.b[0]);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
    }
}
