package androidx.core.text;

import android.os.Build;
import android.os.LocaleList;
import android.text.PrecomputedText;
import android.text.Spannable;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.MetricAffectingSpan;
/* compiled from: PrecomputedTextCompat.java */
/* loaded from: classes.dex */
public class a0 implements Spannable {

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final Object f3021 = new Object();

    /* renamed from: ʾ  reason: contains not printable characters */
    private final Spannable f3022;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final a f3023;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final PrecomputedText f3024;

    @Override // java.lang.CharSequence
    public char charAt(int i6) {
        return this.f3022.charAt(i6);
    }

    @Override // android.text.Spanned
    public int getSpanEnd(Object obj) {
        return this.f3022.getSpanEnd(obj);
    }

    @Override // android.text.Spanned
    public int getSpanFlags(Object obj) {
        return this.f3022.getSpanFlags(obj);
    }

    @Override // android.text.Spanned
    public int getSpanStart(Object obj) {
        return this.f3022.getSpanStart(obj);
    }

    @Override // android.text.Spanned
    public <T> T[] getSpans(int i6, int i7, Class<T> cls) {
        Object[] spans;
        if (Build.VERSION.SDK_INT >= 29) {
            spans = this.f3024.getSpans(i6, i7, cls);
            return (T[]) spans;
        }
        return (T[]) this.f3022.getSpans(i6, i7, cls);
    }

    @Override // java.lang.CharSequence
    public int length() {
        return this.f3022.length();
    }

    @Override // android.text.Spanned
    public int nextSpanTransition(int i6, int i7, Class cls) {
        return this.f3022.nextSpanTransition(i6, i7, cls);
    }

    @Override // android.text.Spannable
    public void removeSpan(Object obj) {
        if (!(obj instanceof MetricAffectingSpan)) {
            if (Build.VERSION.SDK_INT >= 29) {
                this.f3024.removeSpan(obj);
                return;
            } else {
                this.f3022.removeSpan(obj);
                return;
            }
        }
        throw new IllegalArgumentException("MetricAffectingSpan can not be removed from PrecomputedText.");
    }

    @Override // android.text.Spannable
    public void setSpan(Object obj, int i6, int i7, int i8) {
        if (!(obj instanceof MetricAffectingSpan)) {
            if (Build.VERSION.SDK_INT >= 29) {
                this.f3024.setSpan(obj, i6, i7, i8);
                return;
            } else {
                this.f3022.setSpan(obj, i6, i7, i8);
                return;
            }
        }
        throw new IllegalArgumentException("MetricAffectingSpan can not be set to PrecomputedText.");
    }

    @Override // java.lang.CharSequence
    public CharSequence subSequence(int i6, int i7) {
        return this.f3022.subSequence(i6, i7);
    }

    @Override // java.lang.CharSequence
    public String toString() {
        return this.f3022.toString();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public a m2700() {
        return this.f3023;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public PrecomputedText m2701() {
        Spannable spannable = this.f3022;
        if (spannable instanceof PrecomputedText) {
            return (PrecomputedText) spannable;
        }
        return null;
    }

    /* compiled from: PrecomputedTextCompat.java */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final TextPaint f3025;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final TextDirectionHeuristic f3026;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final int f3027;

        /* renamed from: ʾ  reason: contains not printable characters */
        private final int f3028;

        /* renamed from: ʿ  reason: contains not printable characters */
        final PrecomputedText.Params f3029;

        /* compiled from: PrecomputedTextCompat.java */
        /* renamed from: androidx.core.text.a0$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        public static class C0025a {

            /* renamed from: ʻ  reason: contains not printable characters */
            private final TextPaint f3030;

            /* renamed from: ʼ  reason: contains not printable characters */
            private TextDirectionHeuristic f3031;

            /* renamed from: ʽ  reason: contains not printable characters */
            private int f3032;

            /* renamed from: ʾ  reason: contains not printable characters */
            private int f3033;

            public C0025a(TextPaint textPaint) {
                this.f3030 = textPaint;
                if (Build.VERSION.SDK_INT >= 23) {
                    this.f3032 = 1;
                    this.f3033 = 1;
                } else {
                    this.f3033 = 0;
                    this.f3032 = 0;
                }
                this.f3031 = TextDirectionHeuristics.FIRSTSTRONG_LTR;
            }

            /* renamed from: ʻ  reason: contains not printable characters */
            public a m2707() {
                return new a(this.f3030, this.f3031, this.f3032, this.f3033);
            }

            /* renamed from: ʼ  reason: contains not printable characters */
            public C0025a m2708(int i6) {
                this.f3032 = i6;
                return this;
            }

            /* renamed from: ʽ  reason: contains not printable characters */
            public C0025a m2709(int i6) {
                this.f3033 = i6;
                return this;
            }

            /* renamed from: ʾ  reason: contains not printable characters */
            public C0025a m2710(TextDirectionHeuristic textDirectionHeuristic) {
                this.f3031 = textDirectionHeuristic;
                return this;
            }
        }

        a(TextPaint textPaint, TextDirectionHeuristic textDirectionHeuristic, int i6, int i7) {
            PrecomputedText.Params.Builder breakStrategy;
            PrecomputedText.Params.Builder hyphenationFrequency;
            PrecomputedText.Params.Builder textDirection;
            PrecomputedText.Params build;
            if (Build.VERSION.SDK_INT >= 29) {
                breakStrategy = new PrecomputedText.Params.Builder(textPaint).setBreakStrategy(i6);
                hyphenationFrequency = breakStrategy.setHyphenationFrequency(i7);
                textDirection = hyphenationFrequency.setTextDirection(textDirectionHeuristic);
                build = textDirection.build();
                this.f3029 = build;
            } else {
                this.f3029 = null;
            }
            this.f3025 = textPaint;
            this.f3026 = textDirectionHeuristic;
            this.f3027 = i6;
            this.f3028 = i7;
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof a)) {
                return false;
            }
            a aVar = (a) obj;
            if (m2702(aVar) && this.f3026 == aVar.m2705()) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            float letterSpacing;
            boolean isElegantTextHeight;
            float letterSpacing2;
            LocaleList textLocales;
            boolean isElegantTextHeight2;
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 24) {
                letterSpacing2 = this.f3025.getLetterSpacing();
                textLocales = this.f3025.getTextLocales();
                isElegantTextHeight2 = this.f3025.isElegantTextHeight();
                return androidx.core.util.c.m2754(Float.valueOf(this.f3025.getTextSize()), Float.valueOf(this.f3025.getTextScaleX()), Float.valueOf(this.f3025.getTextSkewX()), Float.valueOf(letterSpacing2), Integer.valueOf(this.f3025.getFlags()), textLocales, this.f3025.getTypeface(), Boolean.valueOf(isElegantTextHeight2), this.f3026, Integer.valueOf(this.f3027), Integer.valueOf(this.f3028));
            } else if (i6 >= 21) {
                letterSpacing = this.f3025.getLetterSpacing();
                isElegantTextHeight = this.f3025.isElegantTextHeight();
                return androidx.core.util.c.m2754(Float.valueOf(this.f3025.getTextSize()), Float.valueOf(this.f3025.getTextScaleX()), Float.valueOf(this.f3025.getTextSkewX()), Float.valueOf(letterSpacing), Integer.valueOf(this.f3025.getFlags()), this.f3025.getTextLocale(), this.f3025.getTypeface(), Boolean.valueOf(isElegantTextHeight), this.f3026, Integer.valueOf(this.f3027), Integer.valueOf(this.f3028));
            } else {
                return androidx.core.util.c.m2754(Float.valueOf(this.f3025.getTextSize()), Float.valueOf(this.f3025.getTextScaleX()), Float.valueOf(this.f3025.getTextSkewX()), Integer.valueOf(this.f3025.getFlags()), this.f3025.getTextLocale(), this.f3025.getTypeface(), this.f3026, Integer.valueOf(this.f3027), Integer.valueOf(this.f3028));
            }
        }

        public String toString() {
            String fontVariationSettings;
            LocaleList textLocales;
            float letterSpacing;
            boolean isElegantTextHeight;
            StringBuilder sb = new StringBuilder("{");
            sb.append("textSize=" + this.f3025.getTextSize());
            sb.append(", textScaleX=" + this.f3025.getTextScaleX());
            sb.append(", textSkewX=" + this.f3025.getTextSkewX());
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 21) {
                StringBuilder sb2 = new StringBuilder();
                sb2.append(", letterSpacing=");
                letterSpacing = this.f3025.getLetterSpacing();
                sb2.append(letterSpacing);
                sb.append(sb2.toString());
                StringBuilder sb3 = new StringBuilder();
                sb3.append(", elegantTextHeight=");
                isElegantTextHeight = this.f3025.isElegantTextHeight();
                sb3.append(isElegantTextHeight);
                sb.append(sb3.toString());
            }
            if (i6 >= 24) {
                StringBuilder sb4 = new StringBuilder();
                sb4.append(", textLocale=");
                textLocales = this.f3025.getTextLocales();
                sb4.append(textLocales);
                sb.append(sb4.toString());
            } else {
                sb.append(", textLocale=" + this.f3025.getTextLocale());
            }
            sb.append(", typeface=" + this.f3025.getTypeface());
            if (i6 >= 26) {
                StringBuilder sb5 = new StringBuilder();
                sb5.append(", variationSettings=");
                fontVariationSettings = this.f3025.getFontVariationSettings();
                sb5.append(fontVariationSettings);
                sb.append(sb5.toString());
            }
            sb.append(", textDir=" + this.f3026);
            sb.append(", breakStrategy=" + this.f3027);
            sb.append(", hyphenationFrequency=" + this.f3028);
            sb.append("}");
            return sb.toString();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m2702(a aVar) {
            LocaleList textLocales;
            LocaleList textLocales2;
            boolean equals;
            float letterSpacing;
            float letterSpacing2;
            String fontFeatureSettings;
            String fontFeatureSettings2;
            int i6 = Build.VERSION.SDK_INT;
            if ((i6 >= 23 && (this.f3027 != aVar.m2703() || this.f3028 != aVar.m2704())) || this.f3025.getTextSize() != aVar.m2706().getTextSize() || this.f3025.getTextScaleX() != aVar.m2706().getTextScaleX() || this.f3025.getTextSkewX() != aVar.m2706().getTextSkewX()) {
                return false;
            }
            if (i6 >= 21) {
                letterSpacing = this.f3025.getLetterSpacing();
                letterSpacing2 = aVar.m2706().getLetterSpacing();
                if (letterSpacing == letterSpacing2) {
                    fontFeatureSettings = this.f3025.getFontFeatureSettings();
                    fontFeatureSettings2 = aVar.m2706().getFontFeatureSettings();
                    if (!TextUtils.equals(fontFeatureSettings, fontFeatureSettings2)) {
                        return false;
                    }
                } else {
                    return false;
                }
            }
            if (this.f3025.getFlags() != aVar.m2706().getFlags()) {
                return false;
            }
            if (i6 >= 24) {
                textLocales = this.f3025.getTextLocales();
                textLocales2 = aVar.m2706().getTextLocales();
                equals = textLocales.equals(textLocales2);
                if (!equals) {
                    return false;
                }
            } else if (!this.f3025.getTextLocale().equals(aVar.m2706().getTextLocale())) {
                return false;
            }
            if (this.f3025.getTypeface() == null) {
                if (aVar.m2706().getTypeface() != null) {
                    return false;
                }
                return true;
            } else if (!this.f3025.getTypeface().equals(aVar.m2706().getTypeface())) {
                return false;
            } else {
                return true;
            }
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public int m2703() {
            return this.f3027;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public int m2704() {
            return this.f3028;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public TextDirectionHeuristic m2705() {
            return this.f3026;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        public TextPaint m2706() {
            return this.f3025;
        }

        public a(PrecomputedText.Params params) {
            TextPaint textPaint;
            TextDirectionHeuristic textDirection;
            int breakStrategy;
            int hyphenationFrequency;
            textPaint = params.getTextPaint();
            this.f3025 = textPaint;
            textDirection = params.getTextDirection();
            this.f3026 = textDirection;
            breakStrategy = params.getBreakStrategy();
            this.f3027 = breakStrategy;
            hyphenationFrequency = params.getHyphenationFrequency();
            this.f3028 = hyphenationFrequency;
            this.f3029 = Build.VERSION.SDK_INT < 29 ? null : params;
        }
    }
}
