package androidx.core.text;

import android.annotation.SuppressLint;
import android.icu.util.ULocale;
import android.os.Build;
import android.util.Log;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Locale;
/* compiled from: ICUCompat.java */
/* loaded from: classes.dex */
public final class g {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Method f3047;

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Method f3048;

    /* compiled from: ICUCompat.java */
    /* loaded from: classes.dex */
    static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static String m2729(Locale locale) {
            String script;
            script = locale.getScript();
            return script;
        }
    }

    /* compiled from: ICUCompat.java */
    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static ULocale m2730(Object obj) {
            ULocale addLikelySubtags;
            addLikelySubtags = ULocale.addLikelySubtags((ULocale) obj);
            return addLikelySubtags;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static ULocale m2731(Locale locale) {
            ULocale forLocale;
            forLocale = ULocale.forLocale(locale);
            return forLocale;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static String m2732(Object obj) {
            String script;
            script = ((ULocale) obj).getScript();
            return script;
        }
    }

    static {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 < 21) {
            try {
                Class<?> cls = Class.forName("libcore.icu.ICU");
                f3047 = cls.getMethod("getScript", String.class);
                f3048 = cls.getMethod("addLikelySubtags", String.class);
            } catch (Exception e6) {
                f3047 = null;
                f3048 = null;
                Log.w("ICUCompat", e6);
            }
        } else if (i6 < 24) {
            try {
                f3048 = Class.forName("libcore.icu.ICU").getMethod("addLikelySubtags", Locale.class);
            } catch (Exception e7) {
                throw new IllegalStateException(e7);
            }
        }
    }

    @SuppressLint({"BanUncheckedReflection"})
    /* renamed from: ʻ  reason: contains not printable characters */
    private static String m2726(Locale locale) {
        String locale2 = locale.toString();
        try {
            Method method = f3048;
            if (method != null) {
                return (String) method.invoke(null, locale2);
            }
        } catch (IllegalAccessException e6) {
            Log.w("ICUCompat", e6);
        } catch (InvocationTargetException e7) {
            Log.w("ICUCompat", e7);
        }
        return locale2;
    }

    @SuppressLint({"BanUncheckedReflection"})
    /* renamed from: ʼ  reason: contains not printable characters */
    private static String m2727(String str) {
        try {
            Method method = f3047;
            if (method != null) {
                return (String) method.invoke(null, str);
            }
        } catch (IllegalAccessException e6) {
            Log.w("ICUCompat", e6);
        } catch (InvocationTargetException e7) {
            Log.w("ICUCompat", e7);
        }
        return null;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static String m2728(Locale locale) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 24) {
            return b.m2732(b.m2730(b.m2731(locale)));
        }
        if (i6 >= 21) {
            try {
                return a.m2729((Locale) f3048.invoke(null, locale));
            } catch (IllegalAccessException e6) {
                Log.w("ICUCompat", e6);
                return a.m2729(locale);
            } catch (InvocationTargetException e7) {
                Log.w("ICUCompat", e7);
                return a.m2729(locale);
            }
        }
        String m2726 = m2726(locale);
        if (m2726 == null) {
            return null;
        }
        return m2727(m2726);
    }
}
