package androidx.core.view;

import android.os.Bundle;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import androidx.core.view.accessibility.j0;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.List;
/* compiled from: AccessibilityDelegateCompat.java */
/* loaded from: classes.dex */
public class a {

    /* renamed from: ʽ  reason: contains not printable characters */
    private static final View.AccessibilityDelegate f3054 = new View.AccessibilityDelegate();

    /* renamed from: ʻ  reason: contains not printable characters */
    private final View.AccessibilityDelegate f3055;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final View.AccessibilityDelegate f3056;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: AccessibilityDelegateCompat.java */
    /* renamed from: androidx.core.view.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static final class C0026a extends View.AccessibilityDelegate {

        /* renamed from: ʻ  reason: contains not printable characters */
        final a f3057;

        C0026a(a aVar) {
            this.f3057 = aVar;
        }

        @Override // android.view.View.AccessibilityDelegate
        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f3057.mo2773(view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            androidx.core.view.accessibility.m0 mo25 = this.f3057.mo25(view);
            if (mo25 != null) {
                return (AccessibilityNodeProvider) mo25.m2910();
            }
            return null;
        }

        @Override // android.view.View.AccessibilityDelegate
        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f3057.mo26(view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            androidx.core.view.accessibility.j0 m2813 = androidx.core.view.accessibility.j0.m2813(accessibilityNodeInfo);
            m2813.m2852(z0.m3371(view));
            m2813.m2844(z0.m3457(view));
            m2813.m2849(z0.m3446(view));
            m2813.m2860(z0.m3429(view));
            this.f3057.mo28(view, m2813);
            m2813.m2870(accessibilityNodeInfo.getText(), view);
            List<j0.a> m2770 = a.m2770(view);
            for (int i6 = 0; i6 < m2770.size(); i6++) {
                m2813.m2855(m2770.get(i6));
            }
        }

        @Override // android.view.View.AccessibilityDelegate
        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f3057.mo2775(view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.f3057.mo2776(viewGroup, view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public boolean performAccessibilityAction(View view, int i6, Bundle bundle) {
            return this.f3057.mo2777(view, i6, bundle);
        }

        @Override // android.view.View.AccessibilityDelegate
        public void sendAccessibilityEvent(View view, int i6) {
            this.f3057.mo2778(view, i6);
        }

        @Override // android.view.View.AccessibilityDelegate
        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.f3057.mo2779(view, accessibilityEvent);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: AccessibilityDelegateCompat.java */
    /* loaded from: classes.dex */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static AccessibilityNodeProvider m2780(View.AccessibilityDelegate accessibilityDelegate, View view) {
            return accessibilityDelegate.getAccessibilityNodeProvider(view);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m2781(View.AccessibilityDelegate accessibilityDelegate, View view, int i6, Bundle bundle) {
            return accessibilityDelegate.performAccessibilityAction(view, i6, bundle);
        }
    }

    public a() {
        this(f3054);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    static List<j0.a> m2770(View view) {
        List<j0.a> list = (List) view.getTag(t.b.tag_accessibility_actions);
        if (list == null) {
            return Collections.emptyList();
        }
        return list;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m2771(ClickableSpan clickableSpan, View view) {
        if (clickableSpan != null) {
            ClickableSpan[] m2822 = androidx.core.view.accessibility.j0.m2822(view.createAccessibilityNodeInfo().getText());
            for (int i6 = 0; m2822 != null && i6 < m2822.length; i6++) {
                if (clickableSpan.equals(m2822[i6])) {
                    return true;
                }
            }
        }
        return false;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean m2772(int i6, View view) {
        WeakReference weakReference;
        SparseArray sparseArray = (SparseArray) view.getTag(t.b.tag_accessibility_clickable_spans);
        if (sparseArray != null && (weakReference = (WeakReference) sparseArray.get(i6)) != null) {
            ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
            if (m2771(clickableSpan, view)) {
                clickableSpan.onClick(view);
                return true;
            }
            return false;
        }
        return false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean mo2773(View view, AccessibilityEvent accessibilityEvent) {
        return this.f3055.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: ʼ */
    public androidx.core.view.accessibility.m0 mo25(View view) {
        AccessibilityNodeProvider m2780 = b.m2780(this.f3055, view);
        if (m2780 != null) {
            return new androidx.core.view.accessibility.m0(m2780);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public View.AccessibilityDelegate m2774() {
        return this.f3056;
    }

    /* renamed from: ˆ */
    public void mo26(View view, AccessibilityEvent accessibilityEvent) {
        this.f3055.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: ˈ */
    public void mo28(View view, androidx.core.view.accessibility.j0 j0Var) {
        this.f3055.onInitializeAccessibilityNodeInfo(view, j0Var.m2864());
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void mo2775(View view, AccessibilityEvent accessibilityEvent) {
        this.f3055.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public boolean mo2776(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f3055.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public boolean mo2777(View view, int i6, Bundle bundle) {
        List<j0.a> m2770 = m2770(view);
        boolean z5 = false;
        int i7 = 0;
        while (true) {
            if (i7 >= m2770.size()) {
                break;
            }
            j0.a aVar = m2770.get(i7);
            if (aVar.m2897() == i6) {
                z5 = aVar.m2899(view, bundle);
                break;
            }
            i7++;
        }
        if (!z5) {
            z5 = b.m2781(this.f3055, view, i6, bundle);
        }
        if (!z5 && i6 == t.b.accessibility_action_clickable_span && bundle != null) {
            return m2772(bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1), view);
        }
        return z5;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void mo2778(View view, int i6) {
        this.f3055.sendAccessibilityEvent(view, i6);
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public void mo2779(View view, AccessibilityEvent accessibilityEvent) {
        this.f3055.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }

    public a(View.AccessibilityDelegate accessibilityDelegate) {
        this.f3055 = accessibilityDelegate;
        this.f3056 = new C0026a(this);
    }
}
