package androidx.core.view.accessibility;

import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.Spanned;
import android.text.TextUtils;
import android.text.style.ClickableSpan;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.core.view.accessibility.o0;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
/* compiled from: AccessibilityNodeInfoCompat.java */
/* loaded from: classes.dex */
public class j0 {

    /* renamed from: ʾ  reason: contains not printable characters */
    private static int f3062;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final AccessibilityNodeInfo f3063;

    /* renamed from: ʼ  reason: contains not printable characters */
    public int f3064 = -1;

    /* renamed from: ʽ  reason: contains not printable characters */
    private int f3065 = -1;

    /* compiled from: AccessibilityNodeInfoCompat.java */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: ʻʻ  reason: contains not printable characters */
        public static final a f3066;

        /* renamed from: ʼʼ  reason: contains not printable characters */
        public static final a f3067;

        /* renamed from: ʽʽ  reason: contains not printable characters */
        public static final a f3068;

        /* renamed from: ʾʾ  reason: contains not printable characters */
        public static final a f3069;

        /* renamed from: ʿʿ  reason: contains not printable characters */
        public static final a f3071;

        /* renamed from: ˆˆ  reason: contains not printable characters */
        public static final a f3073;

        /* renamed from: ˈˈ  reason: contains not printable characters */
        public static final a f3075;

        /* renamed from: ˉˉ  reason: contains not printable characters */
        public static final a f3077;

        /* renamed from: ˊˊ  reason: contains not printable characters */
        public static final a f3079;

        /* renamed from: ˋˋ  reason: contains not printable characters */
        public static final a f3081;

        /* renamed from: ˎˎ  reason: contains not printable characters */
        public static final a f3083;

        /* renamed from: ˏˏ  reason: contains not printable characters */
        public static final a f3085;

        /* renamed from: ˑˑ  reason: contains not printable characters */
        public static final a f3087;

        /* renamed from: יי  reason: contains not printable characters */
        public static final a f3089;

        /* renamed from: ــ  reason: contains not printable characters */
        public static final a f3091;

        /* renamed from: ᐧᐧ  reason: contains not printable characters */
        public static final a f3094;

        /* renamed from: ᴵᴵ  reason: contains not printable characters */
        public static final a f3096;

        /* renamed from: ᵎᵎ  reason: contains not printable characters */
        public static final a f3098;

        /* renamed from: ᵔᵔ  reason: contains not printable characters */
        public static final a f3100;

        /* renamed from: ᵢᵢ  reason: contains not printable characters */
        public static final a f3102;

        /* renamed from: ⁱⁱ  reason: contains not printable characters */
        public static final a f3104;

        /* renamed from: ʻ  reason: contains not printable characters */
        final Object f3109;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final int f3110;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final Class<? extends o0.a> f3111;

        /* renamed from: ʾ  reason: contains not printable characters */
        protected final o0 f3112;

        /* renamed from: ʿ  reason: contains not printable characters */
        public static final a f3070 = new a(1, null);

        /* renamed from: ˆ  reason: contains not printable characters */
        public static final a f3072 = new a(2, null);

        /* renamed from: ˈ  reason: contains not printable characters */
        public static final a f3074 = new a(4, null);

        /* renamed from: ˉ  reason: contains not printable characters */
        public static final a f3076 = new a(8, null);

        /* renamed from: ˊ  reason: contains not printable characters */
        public static final a f3078 = new a(16, null);

        /* renamed from: ˋ  reason: contains not printable characters */
        public static final a f3080 = new a(32, null);

        /* renamed from: ˎ  reason: contains not printable characters */
        public static final a f3082 = new a(64, null);

        /* renamed from: ˏ  reason: contains not printable characters */
        public static final a f3084 = new a(128, null);

        /* renamed from: ˑ  reason: contains not printable characters */
        public static final a f3086 = new a(256, (CharSequence) null, o0.b.class);

        /* renamed from: י  reason: contains not printable characters */
        public static final a f3088 = new a(512, (CharSequence) null, o0.b.class);

        /* renamed from: ـ  reason: contains not printable characters */
        public static final a f3090 = new a(1024, (CharSequence) null, o0.c.class);

        /* renamed from: ٴ  reason: contains not printable characters */
        public static final a f3092 = new a(2048, (CharSequence) null, o0.c.class);

        /* renamed from: ᐧ  reason: contains not printable characters */
        public static final a f3093 = new a(4096, null);

        /* renamed from: ᴵ  reason: contains not printable characters */
        public static final a f3095 = new a(8192, null);

        /* renamed from: ᵎ  reason: contains not printable characters */
        public static final a f3097 = new a(16384, null);

        /* renamed from: ᵔ  reason: contains not printable characters */
        public static final a f3099 = new a(32768, null);

        /* renamed from: ᵢ  reason: contains not printable characters */
        public static final a f3101 = new a(65536, null);

        /* renamed from: ⁱ  reason: contains not printable characters */
        public static final a f3103 = new a(131072, (CharSequence) null, o0.g.class);

        /* renamed from: ﹳ  reason: contains not printable characters */
        public static final a f3105 = new a(262144, null);

        /* renamed from: ﹶ  reason: contains not printable characters */
        public static final a f3106 = new a(524288, null);

        /* renamed from: ﾞ  reason: contains not printable characters */
        public static final a f3107 = new a(1048576, null);

        /* renamed from: ﾞﾞ  reason: contains not printable characters */
        public static final a f3108 = new a(2097152, (CharSequence) null, o0.h.class);

        static {
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction2;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction3;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction4;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction5;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction6;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction7;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction8;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction9;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction10;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction11;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction12;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction13;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction14;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction15;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction16;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction17;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction18;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction19;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction20;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction21;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction22;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction23;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction24;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction25;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction26;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction27;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction28;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction29;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction30;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction31;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction32;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction33;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction34;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction35;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction36;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction37;
            AccessibilityNodeInfo.AccessibilityAction accessibilityAction38 = null;
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 23) {
                accessibilityAction37 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SHOW_ON_SCREEN;
                accessibilityAction = accessibilityAction37;
            } else {
                accessibilityAction = null;
            }
            f3094 = new a(accessibilityAction, 16908342, null, null, null);
            if (i6 >= 23) {
                accessibilityAction36 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_TO_POSITION;
                accessibilityAction2 = accessibilityAction36;
            } else {
                accessibilityAction2 = null;
            }
            f3096 = new a(accessibilityAction2, 16908343, null, null, o0.e.class);
            if (i6 >= 23) {
                accessibilityAction35 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_UP;
                accessibilityAction3 = accessibilityAction35;
            } else {
                accessibilityAction3 = null;
            }
            f3066 = new a(accessibilityAction3, 16908344, null, null, null);
            if (i6 >= 23) {
                accessibilityAction34 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_LEFT;
                accessibilityAction4 = accessibilityAction34;
            } else {
                accessibilityAction4 = null;
            }
            f3068 = new a(accessibilityAction4, 16908345, null, null, null);
            if (i6 >= 23) {
                accessibilityAction33 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_DOWN;
                accessibilityAction5 = accessibilityAction33;
            } else {
                accessibilityAction5 = null;
            }
            f3067 = new a(accessibilityAction5, 16908346, null, null, null);
            if (i6 >= 23) {
                accessibilityAction32 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_RIGHT;
                accessibilityAction6 = accessibilityAction32;
            } else {
                accessibilityAction6 = null;
            }
            f3071 = new a(accessibilityAction6, 16908347, null, null, null);
            if (i6 >= 29) {
                accessibilityAction31 = AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_UP;
                accessibilityAction7 = accessibilityAction31;
            } else {
                accessibilityAction7 = null;
            }
            f3069 = new a(accessibilityAction7, 16908358, null, null, null);
            if (i6 >= 29) {
                accessibilityAction30 = AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_DOWN;
                accessibilityAction8 = accessibilityAction30;
            } else {
                accessibilityAction8 = null;
            }
            f3091 = new a(accessibilityAction8, 16908359, null, null, null);
            if (i6 >= 29) {
                accessibilityAction29 = AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_LEFT;
                accessibilityAction9 = accessibilityAction29;
            } else {
                accessibilityAction9 = null;
            }
            f3073 = new a(accessibilityAction9, 16908360, null, null, null);
            if (i6 >= 29) {
                accessibilityAction28 = AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_RIGHT;
                accessibilityAction10 = accessibilityAction28;
            } else {
                accessibilityAction10 = null;
            }
            f3077 = new a(accessibilityAction10, 16908361, null, null, null);
            if (i6 >= 23) {
                accessibilityAction27 = AccessibilityNodeInfo.AccessibilityAction.ACTION_CONTEXT_CLICK;
                accessibilityAction11 = accessibilityAction27;
            } else {
                accessibilityAction11 = null;
            }
            f3075 = new a(accessibilityAction11, 16908348, null, null, null);
            if (i6 >= 24) {
                accessibilityAction26 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SET_PROGRESS;
                accessibilityAction12 = accessibilityAction26;
            } else {
                accessibilityAction12 = null;
            }
            f3081 = new a(accessibilityAction12, 16908349, null, null, o0.f.class);
            if (i6 >= 26) {
                accessibilityAction25 = AccessibilityNodeInfo.AccessibilityAction.ACTION_MOVE_WINDOW;
                accessibilityAction13 = accessibilityAction25;
            } else {
                accessibilityAction13 = null;
            }
            f3079 = new a(accessibilityAction13, 16908354, null, null, o0.d.class);
            if (i6 >= 28) {
                accessibilityAction24 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SHOW_TOOLTIP;
                accessibilityAction14 = accessibilityAction24;
            } else {
                accessibilityAction14 = null;
            }
            f3085 = new a(accessibilityAction14, 16908356, null, null, null);
            if (i6 >= 28) {
                accessibilityAction23 = AccessibilityNodeInfo.AccessibilityAction.ACTION_HIDE_TOOLTIP;
                accessibilityAction15 = accessibilityAction23;
            } else {
                accessibilityAction15 = null;
            }
            f3083 = new a(accessibilityAction15, 16908357, null, null, null);
            if (i6 >= 30) {
                accessibilityAction22 = AccessibilityNodeInfo.AccessibilityAction.ACTION_PRESS_AND_HOLD;
                accessibilityAction16 = accessibilityAction22;
            } else {
                accessibilityAction16 = null;
            }
            f3087 = new a(accessibilityAction16, 16908362, null, null, null);
            if (i6 >= 30) {
                accessibilityAction21 = AccessibilityNodeInfo.AccessibilityAction.ACTION_IME_ENTER;
                accessibilityAction17 = accessibilityAction21;
            } else {
                accessibilityAction17 = null;
            }
            f3100 = new a(accessibilityAction17, 16908372, null, null, null);
            if (i6 >= 32) {
                accessibilityAction18 = AccessibilityNodeInfo.AccessibilityAction.ACTION_DRAG_START;
            } else {
                accessibilityAction18 = null;
            }
            f3089 = new a(accessibilityAction18, 16908373, null, null, null);
            if (i6 >= 32) {
                accessibilityAction19 = AccessibilityNodeInfo.AccessibilityAction.ACTION_DRAG_DROP;
            } else {
                accessibilityAction19 = null;
            }
            f3098 = new a(accessibilityAction19, 16908374, null, null, null);
            if (i6 >= 32) {
                accessibilityAction20 = AccessibilityNodeInfo.AccessibilityAction.ACTION_DRAG_CANCEL;
            } else {
                accessibilityAction20 = null;
            }
            f3102 = new a(accessibilityAction20, 16908375, null, null, null);
            if (i6 >= 33) {
                accessibilityAction38 = AccessibilityNodeInfo.AccessibilityAction.ACTION_SHOW_TEXT_SUGGESTIONS;
            }
            f3104 = new a(accessibilityAction38, 16908376, null, null, null);
        }

        public a(int i6, CharSequence charSequence) {
            this(null, i6, charSequence, null, null);
        }

        public boolean equals(Object obj) {
            if (obj == null || !(obj instanceof a)) {
                return false;
            }
            a aVar = (a) obj;
            Object obj2 = this.f3109;
            if (obj2 == null) {
                if (aVar.f3109 != null) {
                    return false;
                }
                return true;
            } else if (!obj2.equals(aVar.f3109)) {
                return false;
            } else {
                return true;
            }
        }

        public int hashCode() {
            Object obj = this.f3109;
            if (obj != null) {
                return obj.hashCode();
            }
            return 0;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public a m2896(CharSequence charSequence, o0 o0Var) {
            return new a(null, this.f3110, charSequence, o0Var, this.f3111);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public int m2897() {
            int id;
            if (Build.VERSION.SDK_INT >= 21) {
                id = ((AccessibilityNodeInfo.AccessibilityAction) this.f3109).getId();
                return id;
            }
            return 0;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public CharSequence m2898() {
            CharSequence label;
            if (Build.VERSION.SDK_INT >= 21) {
                label = ((AccessibilityNodeInfo.AccessibilityAction) this.f3109).getLabel();
                return label;
            }
            return null;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public boolean m2899(View view, Bundle bundle) {
            String name;
            o0.a newInstance;
            if (this.f3112 == null) {
                return false;
            }
            Class<? extends o0.a> cls = this.f3111;
            o0.a aVar = null;
            if (cls != null) {
                try {
                    newInstance = cls.getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                } catch (Exception e6) {
                    e = e6;
                }
                try {
                    newInstance.m2922(bundle);
                    aVar = newInstance;
                } catch (Exception e7) {
                    e = e7;
                    aVar = newInstance;
                    Class<? extends o0.a> cls2 = this.f3111;
                    if (cls2 == null) {
                        name = "null";
                    } else {
                        name = cls2.getName();
                    }
                    Log.e("A11yActionCompat", "Failed to execute command with argument class ViewCommandArgument: " + name, e);
                    return this.f3112.mo2921(view, aVar);
                }
            }
            return this.f3112.mo2921(view, aVar);
        }

        public a(int i6, CharSequence charSequence, o0 o0Var) {
            this(null, i6, charSequence, o0Var, null);
        }

        a(Object obj) {
            this(obj, 0, null, null, null);
        }

        private a(int i6, CharSequence charSequence, Class<? extends o0.a> cls) {
            this(null, i6, charSequence, null, cls);
        }

        a(Object obj, int i6, CharSequence charSequence, o0 o0Var, Class<? extends o0.a> cls) {
            this.f3110 = i6;
            this.f3112 = o0Var;
            if (Build.VERSION.SDK_INT >= 21 && obj == null) {
                this.f3109 = new AccessibilityNodeInfo.AccessibilityAction(i6, charSequence);
            } else {
                this.f3109 = obj;
            }
            this.f3111 = cls;
        }
    }

    /* compiled from: AccessibilityNodeInfoCompat.java */
    /* loaded from: classes.dex */
    public static class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        final Object f3113;

        b(Object obj) {
            this.f3113 = obj;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public static b m2900(int i6, int i7, boolean z5) {
            return new b(AccessibilityNodeInfo.CollectionInfo.obtain(i6, i7, z5));
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public static b m2901(int i6, int i7, boolean z5, int i8) {
            AccessibilityNodeInfo.CollectionInfo obtain;
            if (Build.VERSION.SDK_INT >= 21) {
                obtain = AccessibilityNodeInfo.CollectionInfo.obtain(i6, i7, z5, i8);
                return new b(obtain);
            }
            return new b(AccessibilityNodeInfo.CollectionInfo.obtain(i6, i7, z5));
        }
    }

    /* compiled from: AccessibilityNodeInfoCompat.java */
    /* loaded from: classes.dex */
    public static class c {

        /* renamed from: ʻ  reason: contains not printable characters */
        final Object f3114;

        c(Object obj) {
            this.f3114 = obj;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public static c m2902(int i6, int i7, int i8, int i9, boolean z5, boolean z6) {
            AccessibilityNodeInfo.CollectionItemInfo obtain;
            if (Build.VERSION.SDK_INT >= 21) {
                obtain = AccessibilityNodeInfo.CollectionItemInfo.obtain(i6, i7, i8, i9, z5, z6);
                return new c(obtain);
            }
            return new c(AccessibilityNodeInfo.CollectionItemInfo.obtain(i6, i7, i8, i9, z5));
        }
    }

    private j0(AccessibilityNodeInfo accessibilityNodeInfo) {
        this.f3063 = accessibilityNodeInfo;
    }

    /* renamed from: ʼˋ  reason: contains not printable characters */
    public static j0 m2813(AccessibilityNodeInfo accessibilityNodeInfo) {
        return new j0(accessibilityNodeInfo);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m2814(ClickableSpan clickableSpan, Spanned spanned, int i6) {
        m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").add(Integer.valueOf(spanned.getSpanStart(clickableSpan)));
        m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY").add(Integer.valueOf(spanned.getSpanEnd(clickableSpan)));
        m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY").add(Integer.valueOf(spanned.getSpanFlags(clickableSpan)));
        m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY").add(Integer.valueOf(i6));
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m2815() {
        this.f3063.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
        this.f3063.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
        this.f3063.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
        this.f3063.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private List<Integer> m2816(String str) {
        ArrayList<Integer> integerArrayList = this.f3063.getExtras().getIntegerArrayList(str);
        if (integerArrayList == null) {
            ArrayList<Integer> arrayList = new ArrayList<>();
            this.f3063.getExtras().putIntegerArrayList(str, arrayList);
            return arrayList;
        }
        return integerArrayList;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private static String m2817(int i6) {
        if (i6 != 1) {
            if (i6 != 2) {
                switch (i6) {
                    case 4:
                        return "ACTION_SELECT";
                    case 8:
                        return "ACTION_CLEAR_SELECTION";
                    case 16:
                        return "ACTION_CLICK";
                    case 32:
                        return "ACTION_LONG_CLICK";
                    case 64:
                        return "ACTION_ACCESSIBILITY_FOCUS";
                    case 128:
                        return "ACTION_CLEAR_ACCESSIBILITY_FOCUS";
                    case 256:
                        return "ACTION_NEXT_AT_MOVEMENT_GRANULARITY";
                    case 512:
                        return "ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY";
                    case 1024:
                        return "ACTION_NEXT_HTML_ELEMENT";
                    case 2048:
                        return "ACTION_PREVIOUS_HTML_ELEMENT";
                    case 4096:
                        return "ACTION_SCROLL_FORWARD";
                    case 8192:
                        return "ACTION_SCROLL_BACKWARD";
                    case 16384:
                        return "ACTION_COPY";
                    case 32768:
                        return "ACTION_PASTE";
                    case 65536:
                        return "ACTION_CUT";
                    case 131072:
                        return "ACTION_SET_SELECTION";
                    case 262144:
                        return "ACTION_EXPAND";
                    case 524288:
                        return "ACTION_COLLAPSE";
                    case 2097152:
                        return "ACTION_SET_TEXT";
                    case 16908354:
                        return "ACTION_MOVE_WINDOW";
                    default:
                        switch (i6) {
                            case 16908342:
                                return "ACTION_SHOW_ON_SCREEN";
                            case 16908343:
                                return "ACTION_SCROLL_TO_POSITION";
                            case 16908344:
                                return "ACTION_SCROLL_UP";
                            case 16908345:
                                return "ACTION_SCROLL_LEFT";
                            case 16908346:
                                return "ACTION_SCROLL_DOWN";
                            case 16908347:
                                return "ACTION_SCROLL_RIGHT";
                            case 16908348:
                                return "ACTION_CONTEXT_CLICK";
                            case 16908349:
                                return "ACTION_SET_PROGRESS";
                            default:
                                switch (i6) {
                                    case 16908356:
                                        return "ACTION_SHOW_TOOLTIP";
                                    case 16908357:
                                        return "ACTION_HIDE_TOOLTIP";
                                    case 16908358:
                                        return "ACTION_PAGE_UP";
                                    case 16908359:
                                        return "ACTION_PAGE_DOWN";
                                    case 16908360:
                                        return "ACTION_PAGE_LEFT";
                                    case 16908361:
                                        return "ACTION_PAGE_RIGHT";
                                    case 16908362:
                                        return "ACTION_PRESS_AND_HOLD";
                                    default:
                                        switch (i6) {
                                            case 16908372:
                                                return "ACTION_IME_ENTER";
                                            case 16908373:
                                                return "ACTION_DRAG_START";
                                            case 16908374:
                                                return "ACTION_DRAG_DROP";
                                            case 16908375:
                                                return "ACTION_DRAG_CANCEL";
                                            default:
                                                return "ACTION_UNKNOWN";
                                        }
                                }
                        }
                }
            }
            return "ACTION_CLEAR_FOCUS";
        }
        return "ACTION_FOCUS";
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    public static j0 m2818() {
        return m2813(AccessibilityNodeInfo.obtain());
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean m2819(int i6) {
        Bundle m2887 = m2887();
        if (m2887 == null || (m2887.getInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.BOOLEAN_PROPERTY_KEY", 0) & i6) != i6) {
            return false;
        }
        return true;
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    public static j0 m2820(View view) {
        return m2813(AccessibilityNodeInfo.obtain(view));
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private void m2821(int i6, boolean z5) {
        Bundle m2887 = m2887();
        if (m2887 != null) {
            int i7 = m2887.getInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.BOOLEAN_PROPERTY_KEY", 0) & (i6 ^ (-1));
            if (!z5) {
                i6 = 0;
            }
            m2887.putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.BOOLEAN_PROPERTY_KEY", i6 | i7);
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public static ClickableSpan[] m2822(CharSequence charSequence) {
        if (charSequence instanceof Spanned) {
            return (ClickableSpan[]) ((Spanned) charSequence).getSpans(0, charSequence.length(), ClickableSpan.class);
        }
        return null;
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private int m2823(ClickableSpan clickableSpan, SparseArray<WeakReference<ClickableSpan>> sparseArray) {
        if (sparseArray != null) {
            for (int i6 = 0; i6 < sparseArray.size(); i6++) {
                if (clickableSpan.equals(sparseArray.valueAt(i6).get())) {
                    return sparseArray.keyAt(i6);
                }
            }
        }
        int i7 = f3062;
        f3062 = i7 + 1;
        return i7;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private SparseArray<WeakReference<ClickableSpan>> m2824(View view) {
        SparseArray<WeakReference<ClickableSpan>> m2826 = m2826(view);
        if (m2826 == null) {
            SparseArray<WeakReference<ClickableSpan>> sparseArray = new SparseArray<>();
            view.setTag(t.b.tag_accessibility_clickable_spans, sparseArray);
            return sparseArray;
        }
        return m2826;
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public static j0 m2825(j0 j0Var) {
        return m2813(AccessibilityNodeInfo.obtain(j0Var.f3063));
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private SparseArray<WeakReference<ClickableSpan>> m2826(View view) {
        return (SparseArray) view.getTag(t.b.tag_accessibility_clickable_spans);
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m2827(View view) {
        SparseArray<WeakReference<ClickableSpan>> m2826 = m2826(view);
        if (m2826 != null) {
            ArrayList arrayList = new ArrayList();
            for (int i6 = 0; i6 < m2826.size(); i6++) {
                if (m2826.valueAt(i6).get() == null) {
                    arrayList.add(Integer.valueOf(i6));
                }
            }
            for (int i7 = 0; i7 < arrayList.size(); i7++) {
                m2826.remove(((Integer) arrayList.get(i7)).intValue());
            }
        }
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private boolean m2828() {
        return !m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").isEmpty();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || !(obj instanceof j0)) {
            return false;
        }
        j0 j0Var = (j0) obj;
        AccessibilityNodeInfo accessibilityNodeInfo = this.f3063;
        if (accessibilityNodeInfo == null) {
            if (j0Var.f3063 != null) {
                return false;
            }
        } else if (!accessibilityNodeInfo.equals(j0Var.f3063)) {
            return false;
        }
        if (this.f3065 == j0Var.f3065 && this.f3064 == j0Var.f3064) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        AccessibilityNodeInfo accessibilityNodeInfo = this.f3063;
        if (accessibilityNodeInfo == null) {
            return 0;
        }
        return accessibilityNodeInfo.hashCode();
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        Rect rect = new Rect();
        m2879(rect);
        sb.append("; boundsInParent: " + rect);
        m2880(rect);
        sb.append("; boundsInScreen: " + rect);
        sb.append("; packageName: ");
        sb.append(m2889());
        sb.append("; className: ");
        sb.append(m2884());
        sb.append("; text: ");
        sb.append(m2891());
        sb.append("; contentDescription: ");
        sb.append(m2885());
        sb.append("; viewId: ");
        sb.append(m2895());
        sb.append("; uniqueId: ");
        sb.append(m2893());
        sb.append("; checkable: ");
        sb.append(m2830());
        sb.append("; checked: ");
        sb.append(m2866());
        sb.append("; focusable: ");
        sb.append(m2868());
        sb.append("; focused: ");
        sb.append(m2883());
        sb.append("; selected: ");
        sb.append(m2876());
        sb.append("; clickable: ");
        sb.append(m2857());
        sb.append("; longClickable: ");
        sb.append(m2871());
        sb.append("; enabled: ");
        sb.append(m2869());
        sb.append("; password: ");
        sb.append(m2873());
        sb.append("; scrollable: " + m2872());
        sb.append("; [");
        if (Build.VERSION.SDK_INT >= 21) {
            List<a> m2874 = m2874();
            for (int i6 = 0; i6 < m2874.size(); i6++) {
                a aVar = m2874.get(i6);
                String m2817 = m2817(aVar.m2897());
                if (m2817.equals("ACTION_UNKNOWN") && aVar.m2898() != null) {
                    m2817 = aVar.m2898().toString();
                }
                sb.append(m2817);
                if (i6 != m2874.size() - 1) {
                    sb.append(", ");
                }
            }
        } else {
            int m2877 = m2877();
            while (m2877 != 0) {
                int numberOfTrailingZeros = 1 << Integer.numberOfTrailingZeros(m2877);
                m2877 &= numberOfTrailingZeros ^ (-1);
                sb.append(m2817(numberOfTrailingZeros));
                if (m2877 != 0) {
                    sb.append(", ");
                }
            }
        }
        sb.append("]");
        return sb.toString();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m2829(int i6) {
        this.f3063.addAction(i6);
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    public boolean m2830() {
        return this.f3063.isCheckable();
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    public void m2831(Rect rect) {
        this.f3063.setBoundsInScreen(rect);
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    public void m2832(boolean z5) {
        this.f3063.setCheckable(z5);
    }

    /* renamed from: ʻʾ  reason: contains not printable characters */
    public void m2833(boolean z5) {
        this.f3063.setChecked(z5);
    }

    /* renamed from: ʻʿ  reason: contains not printable characters */
    public void m2834(CharSequence charSequence) {
        this.f3063.setClassName(charSequence);
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    public void m2835(boolean z5) {
        this.f3063.setClickable(z5);
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    public void m2836(Object obj) {
        AccessibilityNodeInfo.CollectionInfo collectionInfo;
        AccessibilityNodeInfo accessibilityNodeInfo = this.f3063;
        if (obj == null) {
            collectionInfo = null;
        } else {
            collectionInfo = (AccessibilityNodeInfo.CollectionInfo) ((b) obj).f3113;
        }
        accessibilityNodeInfo.setCollectionInfo(collectionInfo);
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    public void m2837(Object obj) {
        AccessibilityNodeInfo.CollectionItemInfo collectionItemInfo;
        AccessibilityNodeInfo accessibilityNodeInfo = this.f3063;
        if (obj == null) {
            collectionItemInfo = null;
        } else {
            collectionItemInfo = (AccessibilityNodeInfo.CollectionItemInfo) ((c) obj).f3114;
        }
        accessibilityNodeInfo.setCollectionItemInfo(collectionItemInfo);
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    public void m2838(CharSequence charSequence) {
        this.f3063.setContentDescription(charSequence);
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    public void m2839(boolean z5) {
        this.f3063.setDismissable(z5);
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    public void m2840(boolean z5) {
        this.f3063.setEnabled(z5);
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    public void m2841(CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 21) {
            this.f3063.setError(charSequence);
        }
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    public void m2842(boolean z5) {
        this.f3063.setFocusable(z5);
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    public void m2843(boolean z5) {
        this.f3063.setFocused(z5);
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    public void m2844(boolean z5) {
        if (Build.VERSION.SDK_INT >= 28) {
            this.f3063.setHeading(z5);
        } else {
            m2821(2, z5);
        }
    }

    /* renamed from: ʻٴ  reason: contains not printable characters */
    public void m2845(CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.f3063.setHintText(charSequence);
        } else {
            this.f3063.getExtras().putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.HINT_TEXT_KEY", charSequence);
        }
    }

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public void m2846(View view) {
        this.f3063.setLabelFor(view);
    }

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public void m2847(int i6) {
        if (Build.VERSION.SDK_INT >= 21) {
            this.f3063.setMaxTextLength(i6);
        }
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    public void m2848(CharSequence charSequence) {
        this.f3063.setPackageName(charSequence);
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    public void m2849(CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 28) {
            this.f3063.setPaneTitle(charSequence);
        } else {
            this.f3063.getExtras().putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.PANE_TITLE_KEY", charSequence);
        }
    }

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    public void m2850(View view) {
        this.f3064 = -1;
        this.f3063.setParent(view);
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    public void m2851(View view, int i6) {
        this.f3064 = i6;
        this.f3063.setParent(view, i6);
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    public void m2852(boolean z5) {
        if (Build.VERSION.SDK_INT >= 28) {
            this.f3063.setScreenReaderFocusable(z5);
        } else {
            m2821(1, z5);
        }
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    public void m2853(boolean z5) {
        this.f3063.setScrollable(z5);
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    public void m2854(boolean z5) {
        this.f3063.setSelected(z5);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m2855(a aVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            this.f3063.addAction((AccessibilityNodeInfo.AccessibilityAction) aVar.f3109);
        }
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    public void m2856(boolean z5) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.f3063.setShowingHintText(z5);
        } else {
            m2821(4, z5);
        }
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    public boolean m2857() {
        return this.f3063.isClickable();
    }

    /* renamed from: ʼʽ  reason: contains not printable characters */
    public void m2858(View view) {
        this.f3065 = -1;
        this.f3063.setSource(view);
    }

    /* renamed from: ʼʾ  reason: contains not printable characters */
    public void m2859(View view, int i6) {
        this.f3065 = i6;
        this.f3063.setSource(view, i6);
    }

    /* renamed from: ʼʿ  reason: contains not printable characters */
    public void m2860(CharSequence charSequence) {
        if (androidx.core.os.a.m2589()) {
            this.f3063.setStateDescription(charSequence);
        } else {
            this.f3063.getExtras().putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.STATE_DESCRIPTION_KEY", charSequence);
        }
    }

    /* renamed from: ʼˆ  reason: contains not printable characters */
    public void m2861(CharSequence charSequence) {
        this.f3063.setText(charSequence);
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    public void m2862(View view) {
        if (Build.VERSION.SDK_INT >= 22) {
            this.f3063.setTraversalAfter(view);
        }
    }

    /* renamed from: ʼˉ  reason: contains not printable characters */
    public void m2863(boolean z5) {
        this.f3063.setVisibleToUser(z5);
    }

    /* renamed from: ʼˊ  reason: contains not printable characters */
    public AccessibilityNodeInfo m2864() {
        return this.f3063;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m2865(View view) {
        this.f3063.addChild(view);
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    public boolean m2866() {
        return this.f3063.isChecked();
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public void m2867(View view, int i6) {
        this.f3063.addChild(view, i6);
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    public boolean m2868() {
        return this.f3063.isFocusable();
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    public boolean m2869() {
        return this.f3063.isEnabled();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m2870(CharSequence charSequence, View view) {
        if (Build.VERSION.SDK_INT < 26) {
            m2815();
            m2827(view);
            ClickableSpan[] m2822 = m2822(charSequence);
            if (m2822 != null && m2822.length > 0) {
                m2887().putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY", t.b.accessibility_action_clickable_span);
                SparseArray<WeakReference<ClickableSpan>> m2824 = m2824(view);
                for (int i6 = 0; i6 < m2822.length; i6++) {
                    int m2823 = m2823(m2822[i6], m2824);
                    m2824.put(m2823, new WeakReference<>(m2822[i6]));
                    m2814(m2822[i6], (Spanned) charSequence, m2823);
                }
            }
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    public boolean m2871() {
        return this.f3063.isLongClickable();
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    public boolean m2872() {
        return this.f3063.isScrollable();
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public boolean m2873() {
        return this.f3063.isPassword();
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public List<a> m2874() {
        List list;
        if (Build.VERSION.SDK_INT >= 21) {
            list = this.f3063.getActionList();
        } else {
            list = null;
        }
        if (list != null) {
            ArrayList arrayList = new ArrayList();
            int size = list.size();
            for (int i6 = 0; i6 < size; i6++) {
                arrayList.add(new a(list.get(i6)));
            }
            return arrayList;
        }
        return Collections.emptyList();
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    public boolean m2875() {
        boolean isShowingHintText;
        if (Build.VERSION.SDK_INT >= 26) {
            isShowingHintText = this.f3063.isShowingHintText();
            return isShowingHintText;
        }
        return m2819(4);
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    public boolean m2876() {
        return this.f3063.isSelected();
    }

    @Deprecated
    /* renamed from: ˎ  reason: contains not printable characters */
    public int m2877() {
        return this.f3063.getActions();
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    public boolean m2878() {
        return this.f3063.isVisibleToUser();
    }

    @Deprecated
    /* renamed from: ˑ  reason: contains not printable characters */
    public void m2879(Rect rect) {
        this.f3063.getBoundsInParent(rect);
    }

    /* renamed from: י  reason: contains not printable characters */
    public void m2880(Rect rect) {
        this.f3063.getBoundsInScreen(rect);
    }

    /* renamed from: יי  reason: contains not printable characters */
    public boolean m2881(int i6, Bundle bundle) {
        return this.f3063.performAction(i6, bundle);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public int m2882() {
        return this.f3063.getChildCount();
    }

    /* renamed from: ــ  reason: contains not printable characters */
    public boolean m2883() {
        return this.f3063.isFocused();
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public CharSequence m2884() {
        return this.f3063.getClassName();
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public CharSequence m2885() {
        return this.f3063.getContentDescription();
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public boolean m2886() {
        return this.f3063.isAccessibilityFocused();
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public Bundle m2887() {
        return this.f3063.getExtras();
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public void m2888() {
        this.f3063.recycle();
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public CharSequence m2889() {
        return this.f3063.getPackageName();
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public boolean m2890(a aVar) {
        boolean removeAction;
        if (Build.VERSION.SDK_INT >= 21) {
            removeAction = this.f3063.removeAction((AccessibilityNodeInfo.AccessibilityAction) aVar.f3109);
            return removeAction;
        }
        return false;
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public CharSequence m2891() {
        if (m2828()) {
            List<Integer> m2816 = m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
            List<Integer> m28162 = m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
            List<Integer> m28163 = m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
            List<Integer> m28164 = m2816("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
            SpannableString spannableString = new SpannableString(TextUtils.substring(this.f3063.getText(), 0, this.f3063.getText().length()));
            for (int i6 = 0; i6 < m2816.size(); i6++) {
                spannableString.setSpan(new androidx.core.view.accessibility.a(m28164.get(i6).intValue(), this, m2887().getInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY")), m2816.get(i6).intValue(), m28162.get(i6).intValue(), m28163.get(i6).intValue());
            }
            return spannableString;
        }
        return this.f3063.getText();
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    public void m2892(boolean z5) {
        this.f3063.setAccessibilityFocused(z5);
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public String m2893() {
        if (androidx.core.os.a.m2590()) {
            return this.f3063.getUniqueId();
        }
        return this.f3063.getExtras().getString("androidx.view.accessibility.AccessibilityNodeInfoCompat.UNIQUE_ID_KEY");
    }

    @Deprecated
    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public void m2894(Rect rect) {
        this.f3063.setBoundsInParent(rect);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    public String m2895() {
        return this.f3063.getViewIdResourceName();
    }
}
