package androidx.core.view;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.view.View;
import android.view.ViewPropertyAnimator;
import android.view.animation.Interpolator;
import java.lang.ref.WeakReference;
/* compiled from: ViewPropertyAnimatorCompat.java */
/* loaded from: classes.dex */
public final class e4 {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final WeakReference<View> f3139;

    /* renamed from: ʼ  reason: contains not printable characters */
    Runnable f3140 = null;

    /* renamed from: ʽ  reason: contains not printable characters */
    Runnable f3141 = null;

    /* renamed from: ʾ  reason: contains not printable characters */
    int f3142 = -1;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewPropertyAnimatorCompat.java */
    /* loaded from: classes.dex */
    public class a extends AnimatorListenerAdapter {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ f4 f3143;

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ View f3144;

        a(f4 f4Var, View view) {
            this.f3143 = f4Var;
            this.f3144 = view;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationCancel(Animator animator) {
            this.f3143.mo1346(this.f3144);
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            this.f3143.mo664(this.f3144);
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationStart(Animator animator) {
            this.f3143.mo795(this.f3144);
        }
    }

    /* compiled from: ViewPropertyAnimatorCompat.java */
    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static ViewPropertyAnimator m3011(ViewPropertyAnimator viewPropertyAnimator, ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
            return viewPropertyAnimator.setUpdateListener(animatorUpdateListener);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public e4(View view) {
        this.f3139 = new WeakReference<>(view);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m3000(View view, f4 f4Var) {
        if (f4Var != null) {
            view.animate().setListener(new a(f4Var, view));
        } else {
            view.animate().setListener(null);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public e4 m3001(float f6) {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().alpha(f6);
        }
        return this;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m3002() {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().cancel();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public long m3003() {
        View view = this.f3139.get();
        if (view != null) {
            return view.animate().getDuration();
        }
        return 0L;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public e4 m3004(long j6) {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().setDuration(j6);
        }
        return this;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public e4 m3005(Interpolator interpolator) {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().setInterpolator(interpolator);
        }
        return this;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public e4 m3006(f4 f4Var) {
        View view = this.f3139.get();
        if (view != null) {
            m3000(view, f4Var);
        }
        return this;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public e4 m3007(long j6) {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().setStartDelay(j6);
        }
        return this;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public e4 m3008(final h4 h4Var) {
        ValueAnimator.AnimatorUpdateListener animatorUpdateListener;
        final View view = this.f3139.get();
        if (view != null) {
            if (h4Var != null) {
                animatorUpdateListener = new ValueAnimator.AnimatorUpdateListener() { // from class: androidx.core.view.d4
                    @Override // android.animation.ValueAnimator.AnimatorUpdateListener
                    public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                        h4.this.mo665(view);
                    }
                };
            } else {
                animatorUpdateListener = null;
            }
            b.m3011(view.animate(), animatorUpdateListener);
        }
        return this;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void m3009() {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().start();
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public e4 m3010(float f6) {
        View view = this.f3139.get();
        if (view != null) {
            view.animate().translationY(f6);
        }
        return this;
    }
}
