package androidx.core.view;

import android.annotation.SuppressLint;
import android.app.ActionBar;
import android.app.Activity;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Build;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
/* compiled from: KeyEventDispatcher.java */
/* loaded from: classes.dex */
public class s {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean f3193 = false;

    /* renamed from: ʼ  reason: contains not printable characters */
    private static Method f3194 = null;

    /* renamed from: ʽ  reason: contains not printable characters */
    private static boolean f3195 = false;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static Field f3196;

    /* compiled from: KeyEventDispatcher.java */
    /* loaded from: classes.dex */
    public interface a {
        /* renamed from: ˉ */
        boolean mo839(KeyEvent keyEvent);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static boolean m3222(ActionBar actionBar, KeyEvent keyEvent) {
        if (!f3193) {
            try {
                f3194 = actionBar.getClass().getMethod("onMenuKeyEvent", KeyEvent.class);
            } catch (NoSuchMethodException unused) {
            }
            f3193 = true;
        }
        Method method = f3194;
        if (method != null) {
            try {
                Object invoke = method.invoke(actionBar, keyEvent);
                if (invoke == null) {
                    return false;
                }
                return ((Boolean) invoke).booleanValue();
            } catch (IllegalAccessException | InvocationTargetException unused2) {
            }
        }
        return false;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean m3223(Activity activity, KeyEvent keyEvent) {
        KeyEvent.DispatcherState dispatcherState;
        activity.onUserInteraction();
        Window window = activity.getWindow();
        if (window.hasFeature(8)) {
            ActionBar actionBar = activity.getActionBar();
            if (keyEvent.getKeyCode() == 82 && actionBar != null && m3222(actionBar, keyEvent)) {
                return true;
            }
        }
        if (window.superDispatchKeyEvent(keyEvent)) {
            return true;
        }
        View decorView = window.getDecorView();
        if (z0.m3430(decorView, keyEvent)) {
            return true;
        }
        if (decorView != null) {
            dispatcherState = decorView.getKeyDispatcherState();
        } else {
            dispatcherState = null;
        }
        return keyEvent.dispatch(activity, dispatcherState, activity);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static boolean m3224(Dialog dialog, KeyEvent keyEvent) {
        KeyEvent.DispatcherState dispatcherState;
        DialogInterface.OnKeyListener m3227 = m3227(dialog);
        if (m3227 != null && m3227.onKey(dialog, keyEvent.getKeyCode(), keyEvent)) {
            return true;
        }
        Window window = dialog.getWindow();
        if (window.superDispatchKeyEvent(keyEvent)) {
            return true;
        }
        View decorView = window.getDecorView();
        if (z0.m3430(decorView, keyEvent)) {
            return true;
        }
        if (decorView != null) {
            dispatcherState = decorView.getKeyDispatcherState();
        } else {
            dispatcherState = null;
        }
        return keyEvent.dispatch(dialog, dispatcherState, dialog);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static boolean m3225(View view, KeyEvent keyEvent) {
        return z0.m3432(view, keyEvent);
    }

    @SuppressLint({"LambdaLast"})
    /* renamed from: ʿ  reason: contains not printable characters */
    public static boolean m3226(a aVar, View view, Window.Callback callback, KeyEvent keyEvent) {
        if (aVar == null) {
            return false;
        }
        if (Build.VERSION.SDK_INT >= 28) {
            return aVar.mo839(keyEvent);
        }
        if (callback instanceof Activity) {
            return m3223((Activity) callback, keyEvent);
        }
        if (callback instanceof Dialog) {
            return m3224((Dialog) callback, keyEvent);
        }
        if ((view == null || !z0.m3430(view, keyEvent)) && !aVar.mo839(keyEvent)) {
            return false;
        }
        return true;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private static DialogInterface.OnKeyListener m3227(Dialog dialog) {
        if (!f3195) {
            try {
                Field declaredField = Dialog.class.getDeclaredField("mOnKeyListener");
                f3196 = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException unused) {
            }
            f3195 = true;
        }
        Field field = f3196;
        if (field != null) {
            try {
                return (DialogInterface.OnKeyListener) field.get(dialog);
            } catch (IllegalAccessException unused2) {
                return null;
            }
        }
        return null;
    }
}
