package androidx.core.view;

import android.annotation.SuppressLint;
import android.graphics.Insets;
import android.graphics.Rect;
import android.os.Build;
import android.util.Log;
import android.view.DisplayCutout;
import android.view.View;
import android.view.WindowInsets;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.Objects;
/* compiled from: WindowInsetsCompat.java */
/* loaded from: classes.dex */
public class t4 {

    /* renamed from: ʼ  reason: contains not printable characters */
    public static final t4 f3209;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final l f3210;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: WindowInsetsCompat.java */
    @SuppressLint({"SoonBlockedPrivateApi"})
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private static Field f3211;

        /* renamed from: ʼ  reason: contains not printable characters */
        private static Field f3212;

        /* renamed from: ʽ  reason: contains not printable characters */
        private static Field f3213;

        /* renamed from: ʾ  reason: contains not printable characters */
        private static boolean f3214;

        static {
            try {
                Field declaredField = View.class.getDeclaredField("mAttachInfo");
                f3211 = declaredField;
                declaredField.setAccessible(true);
                Class<?> cls = Class.forName("android.view.View$AttachInfo");
                Field declaredField2 = cls.getDeclaredField("mStableInsets");
                f3212 = declaredField2;
                declaredField2.setAccessible(true);
                Field declaredField3 = cls.getDeclaredField("mContentInsets");
                f3213 = declaredField3;
                declaredField3.setAccessible(true);
                f3214 = true;
            } catch (ReflectiveOperationException e6) {
                Log.w("WindowInsetsCompat", "Failed to get visible insets from AttachInfo " + e6.getMessage(), e6);
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public static t4 m3274(View view) {
            if (f3214 && view.isAttachedToWindow()) {
                try {
                    Object obj = f3211.get(view.getRootView());
                    if (obj != null) {
                        Rect rect = (Rect) f3212.get(obj);
                        Rect rect2 = (Rect) f3213.get(obj);
                        if (rect != null && rect2 != null) {
                            t4 m3275 = new b().m3277(androidx.core.graphics.g.m2488(rect)).m3278(androidx.core.graphics.g.m2488(rect2)).m3275();
                            m3275.m3271(m3275);
                            m3275.m3255(view.getRootView());
                            return m3275;
                        }
                    }
                } catch (IllegalAccessException e6) {
                    Log.w("WindowInsetsCompat", "Failed to get insets from AttachInfo. " + e6.getMessage(), e6);
                }
            }
            return null;
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class e extends d {
        e() {
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ʽ  reason: contains not printable characters */
        void mo3286(int i6, androidx.core.graphics.g gVar) {
            this.f3222.setInsets(n.m3316(i6), gVar.m2490());
        }

        e(t4 t4Var) {
            super(t4Var);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    public static class f {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final t4 f3223;

        /* renamed from: ʼ  reason: contains not printable characters */
        androidx.core.graphics.g[] f3224;

        f() {
            this(new t4((t4) null));
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        protected final void m3287() {
            androidx.core.graphics.g[] gVarArr = this.f3224;
            if (gVarArr != null) {
                androidx.core.graphics.g gVar = gVarArr[m.m3313(1)];
                androidx.core.graphics.g gVar2 = this.f3224[m.m3313(2)];
                if (gVar2 == null) {
                    gVar2 = this.f3223.m3257(2);
                }
                if (gVar == null) {
                    gVar = this.f3223.m3257(1);
                }
                mo3282(androidx.core.graphics.g.m2486(gVar, gVar2));
                androidx.core.graphics.g gVar3 = this.f3224[m.m3313(16)];
                if (gVar3 != null) {
                    mo3284(gVar3);
                }
                androidx.core.graphics.g gVar4 = this.f3224[m.m3313(32)];
                if (gVar4 != null) {
                    mo3283(gVar4);
                }
                androidx.core.graphics.g gVar5 = this.f3224[m.m3313(64)];
                if (gVar5 != null) {
                    mo3285(gVar5);
                }
            }
        }

        /* renamed from: ʼ */
        t4 mo3280() {
            m3287();
            return this.f3223;
        }

        /* renamed from: ʽ */
        void mo3286(int i6, androidx.core.graphics.g gVar) {
            if (this.f3224 == null) {
                this.f3224 = new androidx.core.graphics.g[9];
            }
            for (int i7 = 1; i7 <= 256; i7 <<= 1) {
                if ((i6 & i7) != 0) {
                    this.f3224[m.m3313(i7)] = gVar;
                }
            }
        }

        f(t4 t4Var) {
            this.f3223 = t4Var;
        }

        /* renamed from: ʾ */
        void mo3283(androidx.core.graphics.g gVar) {
        }

        /* renamed from: ʿ */
        void mo3281(androidx.core.graphics.g gVar) {
        }

        /* renamed from: ˆ */
        void mo3284(androidx.core.graphics.g gVar) {
        }

        /* renamed from: ˈ */
        void mo3282(androidx.core.graphics.g gVar) {
        }

        /* renamed from: ˉ */
        void mo3285(androidx.core.graphics.g gVar) {
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class i extends h {
        i(t4 t4Var, WindowInsets windowInsets) {
            super(t4Var, windowInsets);
        }

        @Override // androidx.core.view.t4.g, androidx.core.view.t4.l
        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof i)) {
                return false;
            }
            i iVar = (i) obj;
            if (Objects.equals(this.f3230, iVar.f3230) && Objects.equals(this.f3234, iVar.f3234)) {
                return true;
            }
            return false;
        }

        @Override // androidx.core.view.t4.l
        public int hashCode() {
            int hashCode;
            hashCode = this.f3230.hashCode();
            return hashCode;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ʻ  reason: contains not printable characters */
        t4 mo3307() {
            WindowInsets consumeDisplayCutout;
            consumeDisplayCutout = this.f3230.consumeDisplayCutout();
            return t4.m3250(consumeDisplayCutout);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˆ  reason: contains not printable characters */
        q mo3308() {
            DisplayCutout displayCutout;
            displayCutout = this.f3230.getDisplayCutout();
            return q.m3191(displayCutout);
        }

        i(t4 t4Var, i iVar) {
            super(t4Var, iVar);
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class k extends j {

        /* renamed from: ᐧ  reason: contains not printable characters */
        static final t4 f3239;

        static {
            WindowInsets windowInsets;
            windowInsets = WindowInsets.CONSUMED;
            f3239 = t4.m3250(windowInsets);
        }

        k(t4 t4Var, WindowInsets windowInsets) {
            super(t4Var, windowInsets);
        }

        @Override // androidx.core.view.t4.g, androidx.core.view.t4.l
        /* renamed from: ˈ */
        public androidx.core.graphics.g mo3294(int i6) {
            Insets insets;
            insets = this.f3230.getInsets(n.m3316(i6));
            return androidx.core.graphics.g.m2489(insets);
        }

        k(t4 t4Var, k kVar) {
            super(t4Var, kVar);
        }

        @Override // androidx.core.view.t4.g, androidx.core.view.t4.l
        /* renamed from: ʾ */
        final void mo3292(View view) {
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    public static final class m {
        /* renamed from: ʻ  reason: contains not printable characters */
        public static int m3312() {
            return 8;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m3313(int i6) {
            if (i6 != 1) {
                if (i6 == 2) {
                    return 1;
                }
                if (i6 == 4) {
                    return 2;
                }
                if (i6 != 8) {
                    if (i6 == 16) {
                        return 4;
                    }
                    if (i6 != 32) {
                        if (i6 != 64) {
                            if (i6 != 128) {
                                if (i6 == 256) {
                                    return 8;
                                }
                                throw new IllegalArgumentException("type needs to be >= FIRST and <= LAST, type=" + i6);
                            }
                            return 7;
                        }
                        return 6;
                    }
                    return 5;
                }
                return 3;
            }
            return 0;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public static int m3314() {
            return 32;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public static int m3315() {
            return 7;
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static final class n {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m3316(int i6) {
            int statusBars;
            int i7 = 0;
            for (int i8 = 1; i8 <= 256; i8 <<= 1) {
                if ((i6 & i8) != 0) {
                    if (i8 == 1) {
                        statusBars = WindowInsets.Type.statusBars();
                    } else if (i8 == 2) {
                        statusBars = WindowInsets.Type.navigationBars();
                    } else if (i8 == 4) {
                        statusBars = WindowInsets.Type.captionBar();
                    } else if (i8 == 8) {
                        statusBars = WindowInsets.Type.ime();
                    } else if (i8 == 16) {
                        statusBars = WindowInsets.Type.systemGestures();
                    } else if (i8 == 32) {
                        statusBars = WindowInsets.Type.mandatorySystemGestures();
                    } else if (i8 == 64) {
                        statusBars = WindowInsets.Type.tappableElement();
                    } else if (i8 == 128) {
                        statusBars = WindowInsets.Type.displayCutout();
                    }
                    i7 |= statusBars;
                }
            }
            return i7;
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 30) {
            f3209 = k.f3239;
        } else {
            f3209 = l.f3240;
        }
    }

    private t4(WindowInsets windowInsets) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 30) {
            this.f3210 = new k(this, windowInsets);
        } else if (i6 >= 29) {
            this.f3210 = new j(this, windowInsets);
        } else if (i6 >= 28) {
            this.f3210 = new i(this, windowInsets);
        } else if (i6 >= 21) {
            this.f3210 = new h(this, windowInsets);
        } else if (i6 >= 20) {
            this.f3210 = new g(this, windowInsets);
        } else {
            this.f3210 = new l(this);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public static androidx.core.graphics.g m3249(androidx.core.graphics.g gVar, int i6, int i7, int i8, int i9) {
        int max = Math.max(0, gVar.f2905 - i6);
        int max2 = Math.max(0, gVar.f2906 - i7);
        int max3 = Math.max(0, gVar.f2907 - i8);
        int max4 = Math.max(0, gVar.f2908 - i9);
        if (max == i6 && max2 == i7 && max3 == i8 && max4 == i9) {
            return gVar;
        }
        return androidx.core.graphics.g.m2487(max, max2, max3, max4);
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public static t4 m3250(WindowInsets windowInsets) {
        return m3251(windowInsets, null);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    public static t4 m3251(WindowInsets windowInsets, View view) {
        t4 t4Var = new t4((WindowInsets) androidx.core.util.h.m2767(windowInsets));
        if (view != null && z0.m3443(view)) {
            t4Var.m3271(z0.m3431(view));
            t4Var.m3255(view.getRootView());
        }
        return t4Var;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof t4)) {
            return false;
        }
        return androidx.core.util.c.m2753(this.f3210, ((t4) obj).f3210);
    }

    public int hashCode() {
        l lVar = this.f3210;
        if (lVar == null) {
            return 0;
        }
        return lVar.hashCode();
    }

    @Deprecated
    /* renamed from: ʻ  reason: contains not printable characters */
    public t4 m3252() {
        return this.f3210.mo3307();
    }

    @Deprecated
    /* renamed from: ʼ  reason: contains not printable characters */
    public t4 m3253() {
        return this.f3210.mo3302();
    }

    @Deprecated
    /* renamed from: ʽ  reason: contains not printable characters */
    public t4 m3254() {
        return this.f3210.mo3303();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public void m3255(View view) {
        this.f3210.mo3292(view);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public q m3256() {
        return this.f3210.mo3308();
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public androidx.core.graphics.g m3257(int i6) {
        return this.f3210.mo3294(i6);
    }

    @Deprecated
    /* renamed from: ˈ  reason: contains not printable characters */
    public androidx.core.graphics.g m3258() {
        return this.f3210.mo3304();
    }

    @Deprecated
    /* renamed from: ˉ  reason: contains not printable characters */
    public androidx.core.graphics.g m3259() {
        return this.f3210.mo3310();
    }

    @Deprecated
    /* renamed from: ˊ  reason: contains not printable characters */
    public int m3260() {
        return this.f3210.mo3295().f2908;
    }

    @Deprecated
    /* renamed from: ˋ  reason: contains not printable characters */
    public int m3261() {
        return this.f3210.mo3295().f2905;
    }

    @Deprecated
    /* renamed from: ˎ  reason: contains not printable characters */
    public int m3262() {
        return this.f3210.mo3295().f2907;
    }

    @Deprecated
    /* renamed from: ˏ  reason: contains not printable characters */
    public int m3263() {
        return this.f3210.mo3295().f2906;
    }

    @Deprecated
    /* renamed from: ˑ  reason: contains not printable characters */
    public androidx.core.graphics.g m3264() {
        return this.f3210.mo3295();
    }

    @Deprecated
    /* renamed from: י  reason: contains not printable characters */
    public boolean m3265() {
        return !this.f3210.mo3295().equals(androidx.core.graphics.g.f2904);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public t4 m3266(int i6, int i7, int i8, int i9) {
        return this.f3210.mo3296(i6, i7, i8, i9);
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public boolean m3267() {
        return this.f3210.mo3305();
    }

    @Deprecated
    /* renamed from: ᴵ  reason: contains not printable characters */
    public t4 m3268(int i6, int i7, int i8, int i9) {
        return new b(this).m3278(androidx.core.graphics.g.m2487(i6, i7, i8, i9)).m3275();
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    void m3269(androidx.core.graphics.g[] gVarArr) {
        this.f3210.mo3298(gVarArr);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    void m3270(androidx.core.graphics.g gVar) {
        this.f3210.mo3299(gVar);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵢ  reason: contains not printable characters */
    public void m3271(t4 t4Var) {
        this.f3210.mo3300(t4Var);
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    void m3272(androidx.core.graphics.g gVar) {
        this.f3210.mo3306(gVar);
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public WindowInsets m3273() {
        l lVar = this.f3210;
        if (lVar instanceof g) {
            return ((g) lVar).f3230;
        }
        return null;
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class c extends f {

        /* renamed from: ʿ  reason: contains not printable characters */
        private static Field f3216 = null;

        /* renamed from: ˆ  reason: contains not printable characters */
        private static boolean f3217 = false;

        /* renamed from: ˈ  reason: contains not printable characters */
        private static Constructor<WindowInsets> f3218 = null;

        /* renamed from: ˉ  reason: contains not printable characters */
        private static boolean f3219 = false;

        /* renamed from: ʽ  reason: contains not printable characters */
        private WindowInsets f3220;

        /* renamed from: ʾ  reason: contains not printable characters */
        private androidx.core.graphics.g f3221;

        c() {
            this.f3220 = m3279();
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        private static WindowInsets m3279() {
            if (!f3217) {
                try {
                    f3216 = WindowInsets.class.getDeclaredField("CONSUMED");
                } catch (ReflectiveOperationException e6) {
                    Log.i("WindowInsetsCompat", "Could not retrieve WindowInsets.CONSUMED field", e6);
                }
                f3217 = true;
            }
            Field field = f3216;
            if (field != null) {
                try {
                    WindowInsets windowInsets = (WindowInsets) field.get(null);
                    if (windowInsets != null) {
                        return new WindowInsets(windowInsets);
                    }
                } catch (ReflectiveOperationException e7) {
                    Log.i("WindowInsetsCompat", "Could not get value from WindowInsets.CONSUMED field", e7);
                }
            }
            if (!f3219) {
                try {
                    f3218 = WindowInsets.class.getConstructor(Rect.class);
                } catch (ReflectiveOperationException e8) {
                    Log.i("WindowInsetsCompat", "Could not retrieve WindowInsets(Rect) constructor", e8);
                }
                f3219 = true;
            }
            Constructor<WindowInsets> constructor = f3218;
            if (constructor != null) {
                try {
                    return constructor.newInstance(new Rect());
                } catch (ReflectiveOperationException e9) {
                    Log.i("WindowInsetsCompat", "Could not invoke WindowInsets(Rect) constructor", e9);
                }
            }
            return null;
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ʼ  reason: contains not printable characters */
        t4 mo3280() {
            m3287();
            t4 m3250 = t4.m3250(this.f3220);
            m3250.m3269(this.f3224);
            m3250.m3272(this.f3221);
            return m3250;
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ʿ  reason: contains not printable characters */
        void mo3281(androidx.core.graphics.g gVar) {
            this.f3221 = gVar;
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ˈ  reason: contains not printable characters */
        void mo3282(androidx.core.graphics.g gVar) {
            WindowInsets replaceSystemWindowInsets;
            WindowInsets windowInsets = this.f3220;
            if (windowInsets != null) {
                replaceSystemWindowInsets = windowInsets.replaceSystemWindowInsets(gVar.f2905, gVar.f2906, gVar.f2907, gVar.f2908);
                this.f3220 = replaceSystemWindowInsets;
            }
        }

        c(t4 t4Var) {
            super(t4Var);
            this.f3220 = t4Var.m3273();
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class d extends f {

        /* renamed from: ʽ  reason: contains not printable characters */
        final WindowInsets.Builder f3222;

        d() {
            this.f3222 = new WindowInsets.Builder();
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ʼ */
        t4 mo3280() {
            WindowInsets build;
            m3287();
            build = this.f3222.build();
            t4 m3250 = t4.m3250(build);
            m3250.m3269(this.f3224);
            return m3250;
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ʾ  reason: contains not printable characters */
        void mo3283(androidx.core.graphics.g gVar) {
            this.f3222.setMandatorySystemGestureInsets(gVar.m2490());
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ʿ */
        void mo3281(androidx.core.graphics.g gVar) {
            this.f3222.setStableInsets(gVar.m2490());
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ˆ  reason: contains not printable characters */
        void mo3284(androidx.core.graphics.g gVar) {
            this.f3222.setSystemGestureInsets(gVar.m2490());
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ˈ */
        void mo3282(androidx.core.graphics.g gVar) {
            this.f3222.setSystemWindowInsets(gVar.m2490());
        }

        @Override // androidx.core.view.t4.f
        /* renamed from: ˉ  reason: contains not printable characters */
        void mo3285(androidx.core.graphics.g gVar) {
            this.f3222.setTappableElementInsets(gVar.m2490());
        }

        d(t4 t4Var) {
            super(t4Var);
            WindowInsets.Builder builder;
            WindowInsets m3273 = t4Var.m3273();
            if (m3273 != null) {
                builder = new WindowInsets.Builder(m3273);
            } else {
                builder = new WindowInsets.Builder();
            }
            this.f3222 = builder;
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class h extends g {

        /* renamed from: ˑ  reason: contains not printable characters */
        private androidx.core.graphics.g f3235;

        h(t4 t4Var, WindowInsets windowInsets) {
            super(t4Var, windowInsets);
            this.f3235 = null;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ʼ  reason: contains not printable characters */
        t4 mo3302() {
            WindowInsets consumeStableInsets;
            consumeStableInsets = this.f3230.consumeStableInsets();
            return t4.m3250(consumeStableInsets);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ʽ  reason: contains not printable characters */
        t4 mo3303() {
            WindowInsets consumeSystemWindowInsets;
            consumeSystemWindowInsets = this.f3230.consumeSystemWindowInsets();
            return t4.m3250(consumeSystemWindowInsets);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˊ  reason: contains not printable characters */
        final androidx.core.graphics.g mo3304() {
            int stableInsetLeft;
            int stableInsetTop;
            int stableInsetRight;
            int stableInsetBottom;
            if (this.f3235 == null) {
                stableInsetLeft = this.f3230.getStableInsetLeft();
                stableInsetTop = this.f3230.getStableInsetTop();
                stableInsetRight = this.f3230.getStableInsetRight();
                stableInsetBottom = this.f3230.getStableInsetBottom();
                this.f3235 = androidx.core.graphics.g.m2487(stableInsetLeft, stableInsetTop, stableInsetRight, stableInsetBottom);
            }
            return this.f3235;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: י  reason: contains not printable characters */
        boolean mo3305() {
            boolean isConsumed;
            isConsumed = this.f3230.isConsumed();
            return isConsumed;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ᵎ  reason: contains not printable characters */
        public void mo3306(androidx.core.graphics.g gVar) {
            this.f3235 = gVar;
        }

        h(t4 t4Var, h hVar) {
            super(t4Var, hVar);
            this.f3235 = null;
            this.f3235 = hVar.f3235;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    public static class g extends l {

        /* renamed from: ˉ  reason: contains not printable characters */
        private static boolean f3225 = false;

        /* renamed from: ˊ  reason: contains not printable characters */
        private static Method f3226;

        /* renamed from: ˋ  reason: contains not printable characters */
        private static Class<?> f3227;

        /* renamed from: ˎ  reason: contains not printable characters */
        private static Field f3228;

        /* renamed from: ˏ  reason: contains not printable characters */
        private static Field f3229;

        /* renamed from: ʽ  reason: contains not printable characters */
        final WindowInsets f3230;

        /* renamed from: ʾ  reason: contains not printable characters */
        private androidx.core.graphics.g[] f3231;

        /* renamed from: ʿ  reason: contains not printable characters */
        private androidx.core.graphics.g f3232;

        /* renamed from: ˆ  reason: contains not printable characters */
        private t4 f3233;

        /* renamed from: ˈ  reason: contains not printable characters */
        androidx.core.graphics.g f3234;

        g(t4 t4Var, WindowInsets windowInsets) {
            super(t4Var);
            this.f3232 = null;
            this.f3230 = windowInsets;
        }

        @SuppressLint({"WrongConstant"})
        /* renamed from: ᵔ  reason: contains not printable characters */
        private androidx.core.graphics.g m3288(int i6, boolean z5) {
            androidx.core.graphics.g gVar = androidx.core.graphics.g.f2904;
            for (int i7 = 1; i7 <= 256; i7 <<= 1) {
                if ((i6 & i7) != 0) {
                    gVar = androidx.core.graphics.g.m2486(gVar, m3301(i7, z5));
                }
            }
            return gVar;
        }

        /* renamed from: ⁱ  reason: contains not printable characters */
        private androidx.core.graphics.g m3289() {
            t4 t4Var = this.f3233;
            if (t4Var != null) {
                return t4Var.m3258();
            }
            return androidx.core.graphics.g.f2904;
        }

        /* renamed from: ﹳ  reason: contains not printable characters */
        private androidx.core.graphics.g m3290(View view) {
            if (Build.VERSION.SDK_INT < 30) {
                if (!f3225) {
                    m3291();
                }
                Method method = f3226;
                if (method != null && f3227 != null && f3228 != null) {
                    try {
                        Object invoke = method.invoke(view, new Object[0]);
                        if (invoke == null) {
                            Log.w("WindowInsetsCompat", "Failed to get visible insets. getViewRootImpl() returned null from the provided view. This means that the view is either not attached or the method has been overridden", new NullPointerException());
                            return null;
                        }
                        Rect rect = (Rect) f3228.get(f3229.get(invoke));
                        if (rect == null) {
                            return null;
                        }
                        return androidx.core.graphics.g.m2488(rect);
                    } catch (ReflectiveOperationException e6) {
                        Log.e("WindowInsetsCompat", "Failed to get visible insets. (Reflection error). " + e6.getMessage(), e6);
                    }
                }
                return null;
            }
            throw new UnsupportedOperationException("getVisibleInsets() should not be called on API >= 30. Use WindowInsets.isVisible() instead.");
        }

        @SuppressLint({"PrivateApi"})
        /* renamed from: ﹶ  reason: contains not printable characters */
        private static void m3291() {
            try {
                f3226 = View.class.getDeclaredMethod("getViewRootImpl", new Class[0]);
                Class<?> cls = Class.forName("android.view.View$AttachInfo");
                f3227 = cls;
                f3228 = cls.getDeclaredField("mVisibleInsets");
                f3229 = Class.forName("android.view.ViewRootImpl").getDeclaredField("mAttachInfo");
                f3228.setAccessible(true);
                f3229.setAccessible(true);
            } catch (ReflectiveOperationException e6) {
                Log.e("WindowInsetsCompat", "Failed to get visible insets. (Reflection error). " + e6.getMessage(), e6);
            }
            f3225 = true;
        }

        @Override // androidx.core.view.t4.l
        public boolean equals(Object obj) {
            if (!super.equals(obj)) {
                return false;
            }
            return Objects.equals(this.f3234, ((g) obj).f3234);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ʾ  reason: contains not printable characters */
        void mo3292(View view) {
            androidx.core.graphics.g m3290 = m3290(view);
            if (m3290 == null) {
                m3290 = androidx.core.graphics.g.f2904;
            }
            mo3299(m3290);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ʿ  reason: contains not printable characters */
        void mo3293(t4 t4Var) {
            t4Var.m3271(this.f3233);
            t4Var.m3270(this.f3234);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˈ  reason: contains not printable characters */
        public androidx.core.graphics.g mo3294(int i6) {
            return m3288(i6, false);
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˎ  reason: contains not printable characters */
        final androidx.core.graphics.g mo3295() {
            int systemWindowInsetLeft;
            int systemWindowInsetTop;
            int systemWindowInsetRight;
            int systemWindowInsetBottom;
            if (this.f3232 == null) {
                systemWindowInsetLeft = this.f3230.getSystemWindowInsetLeft();
                systemWindowInsetTop = this.f3230.getSystemWindowInsetTop();
                systemWindowInsetRight = this.f3230.getSystemWindowInsetRight();
                systemWindowInsetBottom = this.f3230.getSystemWindowInsetBottom();
                this.f3232 = androidx.core.graphics.g.m2487(systemWindowInsetLeft, systemWindowInsetTop, systemWindowInsetRight, systemWindowInsetBottom);
            }
            return this.f3232;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˑ  reason: contains not printable characters */
        t4 mo3296(int i6, int i7, int i8, int i9) {
            b bVar = new b(t4.m3250(this.f3230));
            bVar.m3278(t4.m3249(mo3295(), i6, i7, i8, i9));
            bVar.m3277(t4.m3249(mo3304(), i6, i7, i8, i9));
            return bVar.m3275();
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ـ  reason: contains not printable characters */
        boolean mo3297() {
            boolean isRound;
            isRound = this.f3230.isRound();
            return isRound;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ٴ  reason: contains not printable characters */
        public void mo3298(androidx.core.graphics.g[] gVarArr) {
            this.f3231 = gVarArr;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ᐧ  reason: contains not printable characters */
        void mo3299(androidx.core.graphics.g gVar) {
            this.f3234 = gVar;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ᴵ  reason: contains not printable characters */
        void mo3300(t4 t4Var) {
            this.f3233 = t4Var;
        }

        /* renamed from: ᵢ  reason: contains not printable characters */
        protected androidx.core.graphics.g m3301(int i6, boolean z5) {
            int i7;
            q mo3308;
            if (i6 != 1) {
                androidx.core.graphics.g gVar = null;
                if (i6 != 2) {
                    if (i6 != 8) {
                        if (i6 != 16) {
                            if (i6 != 32) {
                                if (i6 != 64) {
                                    if (i6 != 128) {
                                        return androidx.core.graphics.g.f2904;
                                    }
                                    t4 t4Var = this.f3233;
                                    if (t4Var != null) {
                                        mo3308 = t4Var.m3256();
                                    } else {
                                        mo3308 = mo3308();
                                    }
                                    if (mo3308 != null) {
                                        return androidx.core.graphics.g.m2487(mo3308.m3193(), mo3308.m3195(), mo3308.m3194(), mo3308.m3192());
                                    }
                                    return androidx.core.graphics.g.f2904;
                                }
                                return mo3311();
                            }
                            return mo3309();
                        }
                        return mo3310();
                    }
                    androidx.core.graphics.g[] gVarArr = this.f3231;
                    if (gVarArr != null) {
                        gVar = gVarArr[m.m3313(8)];
                    }
                    if (gVar != null) {
                        return gVar;
                    }
                    androidx.core.graphics.g mo3295 = mo3295();
                    androidx.core.graphics.g m3289 = m3289();
                    int i8 = mo3295.f2908;
                    if (i8 > m3289.f2908) {
                        return androidx.core.graphics.g.m2487(0, 0, 0, i8);
                    }
                    androidx.core.graphics.g gVar2 = this.f3234;
                    if (gVar2 != null && !gVar2.equals(androidx.core.graphics.g.f2904) && (i7 = this.f3234.f2908) > m3289.f2908) {
                        return androidx.core.graphics.g.m2487(0, 0, 0, i7);
                    }
                    return androidx.core.graphics.g.f2904;
                } else if (z5) {
                    androidx.core.graphics.g m32892 = m3289();
                    androidx.core.graphics.g mo3304 = mo3304();
                    return androidx.core.graphics.g.m2487(Math.max(m32892.f2905, mo3304.f2905), 0, Math.max(m32892.f2907, mo3304.f2907), Math.max(m32892.f2908, mo3304.f2908));
                } else {
                    androidx.core.graphics.g mo32952 = mo3295();
                    t4 t4Var2 = this.f3233;
                    if (t4Var2 != null) {
                        gVar = t4Var2.m3258();
                    }
                    int i9 = mo32952.f2908;
                    if (gVar != null) {
                        i9 = Math.min(i9, gVar.f2908);
                    }
                    return androidx.core.graphics.g.m2487(mo32952.f2905, 0, mo32952.f2907, i9);
                }
            } else if (z5) {
                return androidx.core.graphics.g.m2487(0, Math.max(m3289().f2906, mo3295().f2906), 0, 0);
            } else {
                return androidx.core.graphics.g.m2487(0, mo3295().f2906, 0, 0);
            }
        }

        g(t4 t4Var, g gVar) {
            this(t4Var, new WindowInsets(gVar.f3230));
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    private static class j extends i {

        /* renamed from: י  reason: contains not printable characters */
        private androidx.core.graphics.g f3236;

        /* renamed from: ـ  reason: contains not printable characters */
        private androidx.core.graphics.g f3237;

        /* renamed from: ٴ  reason: contains not printable characters */
        private androidx.core.graphics.g f3238;

        j(t4 t4Var, WindowInsets windowInsets) {
            super(t4Var, windowInsets);
            this.f3236 = null;
            this.f3237 = null;
            this.f3238 = null;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˉ  reason: contains not printable characters */
        androidx.core.graphics.g mo3309() {
            Insets mandatorySystemGestureInsets;
            if (this.f3237 == null) {
                mandatorySystemGestureInsets = this.f3230.getMandatorySystemGestureInsets();
                this.f3237 = androidx.core.graphics.g.m2489(mandatorySystemGestureInsets);
            }
            return this.f3237;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˋ  reason: contains not printable characters */
        androidx.core.graphics.g mo3310() {
            Insets systemGestureInsets;
            if (this.f3236 == null) {
                systemGestureInsets = this.f3230.getSystemGestureInsets();
                this.f3236 = androidx.core.graphics.g.m2489(systemGestureInsets);
            }
            return this.f3236;
        }

        @Override // androidx.core.view.t4.l
        /* renamed from: ˏ  reason: contains not printable characters */
        androidx.core.graphics.g mo3311() {
            Insets tappableElementInsets;
            if (this.f3238 == null) {
                tappableElementInsets = this.f3230.getTappableElementInsets();
                this.f3238 = androidx.core.graphics.g.m2489(tappableElementInsets);
            }
            return this.f3238;
        }

        @Override // androidx.core.view.t4.g, androidx.core.view.t4.l
        /* renamed from: ˑ */
        t4 mo3296(int i6, int i7, int i8, int i9) {
            WindowInsets inset;
            inset = this.f3230.inset(i6, i7, i8, i9);
            return t4.m3250(inset);
        }

        j(t4 t4Var, j jVar) {
            super(t4Var, jVar);
            this.f3236 = null;
            this.f3237 = null;
            this.f3238 = null;
        }

        @Override // androidx.core.view.t4.h, androidx.core.view.t4.l
        /* renamed from: ᵎ */
        public void mo3306(androidx.core.graphics.g gVar) {
        }
    }

    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    public static final class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final f f3215;

        public b() {
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 30) {
                this.f3215 = new e();
            } else if (i6 >= 29) {
                this.f3215 = new d();
            } else if (i6 >= 20) {
                this.f3215 = new c();
            } else {
                this.f3215 = new f();
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public t4 m3275() {
            return this.f3215.mo3280();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public b m3276(int i6, androidx.core.graphics.g gVar) {
            this.f3215.mo3286(i6, gVar);
            return this;
        }

        @Deprecated
        /* renamed from: ʽ  reason: contains not printable characters */
        public b m3277(androidx.core.graphics.g gVar) {
            this.f3215.mo3281(gVar);
            return this;
        }

        @Deprecated
        /* renamed from: ʾ  reason: contains not printable characters */
        public b m3278(androidx.core.graphics.g gVar) {
            this.f3215.mo3282(gVar);
            return this;
        }

        public b(t4 t4Var) {
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 30) {
                this.f3215 = new e(t4Var);
            } else if (i6 >= 29) {
                this.f3215 = new d(t4Var);
            } else if (i6 >= 20) {
                this.f3215 = new c(t4Var);
            } else {
                this.f3215 = new f(t4Var);
            }
        }
    }

    public t4(t4 t4Var) {
        if (t4Var != null) {
            l lVar = t4Var.f3210;
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 30 && (lVar instanceof k)) {
                this.f3210 = new k(this, (k) lVar);
            } else if (i6 >= 29 && (lVar instanceof j)) {
                this.f3210 = new j(this, (j) lVar);
            } else if (i6 >= 28 && (lVar instanceof i)) {
                this.f3210 = new i(this, (i) lVar);
            } else if (i6 >= 21 && (lVar instanceof h)) {
                this.f3210 = new h(this, (h) lVar);
            } else if (i6 >= 20 && (lVar instanceof g)) {
                this.f3210 = new g(this, (g) lVar);
            } else {
                this.f3210 = new l(this);
            }
            lVar.mo3293(this);
            return;
        }
        this.f3210 = new l(this);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: WindowInsetsCompat.java */
    /* loaded from: classes.dex */
    public static class l {

        /* renamed from: ʼ  reason: contains not printable characters */
        static final t4 f3240 = new b().m3275().m3252().m3253().m3254();

        /* renamed from: ʻ  reason: contains not printable characters */
        final t4 f3241;

        l(t4 t4Var) {
            this.f3241 = t4Var;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof l)) {
                return false;
            }
            l lVar = (l) obj;
            if (mo3297() == lVar.mo3297() && mo3305() == lVar.mo3305() && androidx.core.util.c.m2753(mo3295(), lVar.mo3295()) && androidx.core.util.c.m2753(mo3304(), lVar.mo3304()) && androidx.core.util.c.m2753(mo3308(), lVar.mo3308())) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return androidx.core.util.c.m2754(Boolean.valueOf(mo3297()), Boolean.valueOf(mo3305()), mo3295(), mo3304(), mo3308());
        }

        /* renamed from: ʻ */
        t4 mo3307() {
            return this.f3241;
        }

        /* renamed from: ʼ */
        t4 mo3302() {
            return this.f3241;
        }

        /* renamed from: ʽ */
        t4 mo3303() {
            return this.f3241;
        }

        /* renamed from: ˆ */
        q mo3308() {
            return null;
        }

        /* renamed from: ˈ */
        androidx.core.graphics.g mo3294(int i6) {
            return androidx.core.graphics.g.f2904;
        }

        /* renamed from: ˉ */
        androidx.core.graphics.g mo3309() {
            return mo3295();
        }

        /* renamed from: ˊ */
        androidx.core.graphics.g mo3304() {
            return androidx.core.graphics.g.f2904;
        }

        /* renamed from: ˋ */
        androidx.core.graphics.g mo3310() {
            return mo3295();
        }

        /* renamed from: ˎ */
        androidx.core.graphics.g mo3295() {
            return androidx.core.graphics.g.f2904;
        }

        /* renamed from: ˏ */
        androidx.core.graphics.g mo3311() {
            return mo3295();
        }

        /* renamed from: ˑ */
        t4 mo3296(int i6, int i7, int i8, int i9) {
            return f3240;
        }

        /* renamed from: י */
        boolean mo3305() {
            return false;
        }

        /* renamed from: ـ */
        boolean mo3297() {
            return false;
        }

        /* renamed from: ʾ */
        void mo3292(View view) {
        }

        /* renamed from: ʿ */
        void mo3293(t4 t4Var) {
        }

        /* renamed from: ٴ */
        public void mo3298(androidx.core.graphics.g[] gVarArr) {
        }

        /* renamed from: ᐧ */
        void mo3299(androidx.core.graphics.g gVar) {
        }

        /* renamed from: ᴵ */
        void mo3300(t4 t4Var) {
        }

        /* renamed from: ᵎ */
        public void mo3306(androidx.core.graphics.g gVar) {
        }
    }
}
