package androidx.core.view;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.ContentInfo;
import android.view.Display;
import android.view.KeyEvent;
import android.view.OnReceiveContentListener;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.Window;
import android.view.WindowInsets;
import android.view.WindowInsetsController;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeProvider;
import androidx.core.view.a;
import androidx.core.view.accessibility.j0;
import androidx.core.view.k4;
import androidx.core.view.t4;
import androidx.core.view.z0;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;
/* compiled from: ViewCompat.java */
@SuppressLint({"PrivateConstructorForUtilityClass"})
/* loaded from: classes.dex */
public class z0 {

    /* renamed from: ʼ  reason: contains not printable characters */
    private static WeakHashMap<View, String> f3252;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static Field f3254;

    /* renamed from: ˆ  reason: contains not printable characters */
    private static ThreadLocal<Rect> f3256;

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final AtomicInteger f3251 = new AtomicInteger(1);

    /* renamed from: ʽ  reason: contains not printable characters */
    private static WeakHashMap<View, e4> f3253 = null;

    /* renamed from: ʿ  reason: contains not printable characters */
    private static boolean f3255 = false;

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final int[] f3257 = {t.b.accessibility_custom_action_0, t.b.accessibility_custom_action_1, t.b.accessibility_custom_action_2, t.b.accessibility_custom_action_3, t.b.accessibility_custom_action_4, t.b.accessibility_custom_action_5, t.b.accessibility_custom_action_6, t.b.accessibility_custom_action_7, t.b.accessibility_custom_action_8, t.b.accessibility_custom_action_9, t.b.accessibility_custom_action_10, t.b.accessibility_custom_action_11, t.b.accessibility_custom_action_12, t.b.accessibility_custom_action_13, t.b.accessibility_custom_action_14, t.b.accessibility_custom_action_15, t.b.accessibility_custom_action_16, t.b.accessibility_custom_action_17, t.b.accessibility_custom_action_18, t.b.accessibility_custom_action_19, t.b.accessibility_custom_action_20, t.b.accessibility_custom_action_21, t.b.accessibility_custom_action_22, t.b.accessibility_custom_action_23, t.b.accessibility_custom_action_24, t.b.accessibility_custom_action_25, t.b.accessibility_custom_action_26, t.b.accessibility_custom_action_27, t.b.accessibility_custom_action_28, t.b.accessibility_custom_action_29, t.b.accessibility_custom_action_30, t.b.accessibility_custom_action_31};

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final u0 f3258 = new u0() { // from class: androidx.core.view.y0
        @Override // androidx.core.view.u0
        /* renamed from: ʻ */
        public final c mo1593(c cVar) {
            c m3372;
            m3372 = z0.m3372(cVar);
            return m3372;
        }
    };

    /* renamed from: ˊ  reason: contains not printable characters */
    private static final e f3259 = new e();

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public class a extends f<Boolean> {
        a(int i6, Class cls, int i7) {
            super(i6, cls, i7);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˊ  reason: contains not printable characters */
        public Boolean mo3462(View view) {
            return Boolean.valueOf(p.m3579(view));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˋ  reason: contains not printable characters */
        public void mo3463(View view, Boolean bool) {
            p.m3584(view, bool.booleanValue());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˎ  reason: contains not printable characters */
        public boolean mo3464(Boolean bool, Boolean bool2) {
            return !m3484(bool, bool2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public class b extends f<CharSequence> {
        b(int i6, Class cls, int i7, int i8) {
            super(i6, cls, i7, i8);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˊ  reason: contains not printable characters */
        public CharSequence mo3462(View view) {
            return p.m3577(view);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˋ  reason: contains not printable characters */
        public void mo3463(View view, CharSequence charSequence) {
            p.m3583(view, charSequence);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˎ  reason: contains not printable characters */
        public boolean mo3464(CharSequence charSequence, CharSequence charSequence2) {
            return !TextUtils.equals(charSequence, charSequence2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public class c extends f<CharSequence> {
        c(int i6, Class cls, int i7, int i8) {
            super(i6, cls, i7, i8);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˊ  reason: contains not printable characters */
        public CharSequence mo3462(View view) {
            return r.m3589(view);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˋ  reason: contains not printable characters */
        public void mo3463(View view, CharSequence charSequence) {
            r.m3591(view, charSequence);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˎ  reason: contains not printable characters */
        public boolean mo3464(CharSequence charSequence, CharSequence charSequence2) {
            return !TextUtils.equals(charSequence, charSequence2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public class d extends f<Boolean> {
        d(int i6, Class cls, int i7) {
            super(i6, cls, i7);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˊ  reason: contains not printable characters */
        public Boolean mo3462(View view) {
            return Boolean.valueOf(p.m3578(view));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˋ  reason: contains not printable characters */
        public void mo3463(View view, Boolean bool) {
            p.m3582(view, bool.booleanValue());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.z0.f
        /* renamed from: ˎ  reason: contains not printable characters */
        public boolean mo3464(Boolean bool, Boolean bool2) {
            return !m3484(bool, bool2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static abstract class f<T> {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final int f3261;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final Class<T> f3262;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final int f3263;

        /* renamed from: ʾ  reason: contains not printable characters */
        private final int f3264;

        f(int i6, Class<T> cls, int i7) {
            this(i6, cls, 0, i7);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean m3482() {
            return true;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private boolean m3483() {
            if (Build.VERSION.SDK_INT >= this.f3263) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        boolean m3484(Boolean bool, Boolean bool2) {
            boolean z5;
            boolean z6;
            if (bool != null && bool.booleanValue()) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (bool2 != null && bool2.booleanValue()) {
                z6 = true;
            } else {
                z6 = false;
            }
            if (z5 == z6) {
                return true;
            }
            return false;
        }

        /* renamed from: ʾ */
        abstract T mo3462(View view);

        /* renamed from: ʿ */
        abstract void mo3463(View view, T t6);

        /* renamed from: ˆ  reason: contains not printable characters */
        T m3485(View view) {
            if (m3483()) {
                return mo3462(view);
            }
            if (m3482()) {
                T t6 = (T) view.getTag(this.f3261);
                if (this.f3262.isInstance(t6)) {
                    return t6;
                }
                return null;
            }
            return null;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        void m3486(View view, T t6) {
            if (m3483()) {
                mo3463(view, t6);
            } else if (m3482() && mo3464(m3485(view), t6)) {
                z0.m3434(view);
                view.setTag(this.f3261, t6);
                z0.m3373(view, this.f3264);
            }
        }

        /* renamed from: ˉ */
        abstract boolean mo3464(T t6, T t7);

        f(int i6, Class<T> cls, int i7, int i8) {
            this.f3261 = i6;
            this.f3262 = cls;
            this.f3264 = i7;
            this.f3263 = i8;
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    static class g {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m3487(View view) {
            return view.hasOnClickListeners();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static class h {
        /* renamed from: ʻ  reason: contains not printable characters */
        static AccessibilityNodeProvider m3488(View view) {
            return view.getAccessibilityNodeProvider();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m3489(View view) {
            return view.getFitsSystemWindows();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static int m3490(View view) {
            return view.getImportantForAccessibility();
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static int m3491(View view) {
            return view.getMinimumHeight();
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static int m3492(View view) {
            return view.getMinimumWidth();
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static ViewParent m3493(View view) {
            return view.getParentForAccessibility();
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static int m3494(View view) {
            return view.getWindowSystemUiVisibility();
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static boolean m3495(View view) {
            return view.hasOverlappingRendering();
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        static boolean m3496(View view) {
            return view.hasTransientState();
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        static boolean m3497(View view, int i6, Bundle bundle) {
            return view.performAccessibilityAction(i6, bundle);
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        static void m3498(View view) {
            view.postInvalidateOnAnimation();
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        static void m3499(View view, int i6, int i7, int i8, int i9) {
            view.postInvalidateOnAnimation(i6, i7, i8, i9);
        }

        /* renamed from: ˑ  reason: contains not printable characters */
        static void m3500(View view, Runnable runnable) {
            view.postOnAnimation(runnable);
        }

        /* renamed from: י  reason: contains not printable characters */
        static void m3501(View view, Runnable runnable, long j6) {
            view.postOnAnimationDelayed(runnable, j6);
        }

        /* renamed from: ـ  reason: contains not printable characters */
        static void m3502(ViewTreeObserver viewTreeObserver, ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
            viewTreeObserver.removeOnGlobalLayoutListener(onGlobalLayoutListener);
        }

        /* renamed from: ٴ  reason: contains not printable characters */
        static void m3503(View view) {
            view.requestFitSystemWindows();
        }

        /* renamed from: ᐧ  reason: contains not printable characters */
        static void m3504(View view, Drawable drawable) {
            view.setBackground(drawable);
        }

        /* renamed from: ᴵ  reason: contains not printable characters */
        static void m3505(View view, boolean z5) {
            view.setHasTransientState(z5);
        }

        /* renamed from: ᵎ  reason: contains not printable characters */
        static void m3506(View view, int i6) {
            view.setImportantForAccessibility(i6);
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    static class i {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m3507() {
            return View.generateViewId();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static Display m3508(View view) {
            return view.getDisplay();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static int m3509(View view) {
            return view.getLabelFor();
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static int m3510(View view) {
            return view.getLayoutDirection();
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static int m3511(View view) {
            return view.getPaddingEnd();
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static int m3512(View view) {
            return view.getPaddingStart();
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static boolean m3513(View view) {
            return view.isPaddingRelative();
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static void m3514(View view, int i6) {
            view.setLabelFor(i6);
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        static void m3515(View view, Paint paint) {
            view.setLayerPaint(paint);
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        static void m3516(View view, int i6) {
            view.setLayoutDirection(i6);
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        static void m3517(View view, int i6, int i7, int i8, int i9) {
            view.setPaddingRelative(i6, i7, i8, i9);
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    static class j {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Rect m3518(View view) {
            return view.getClipBounds();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m3519(View view) {
            return view.isInLayout();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3520(View view, Rect rect) {
            view.setClipBounds(rect);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static class k {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m3521(View view) {
            return view.getAccessibilityLiveRegion();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static boolean m3522(View view) {
            return view.isAttachedToWindow();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static boolean m3523(View view) {
            return view.isLaidOut();
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static boolean m3524(View view) {
            return view.isLayoutDirectionResolved();
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static void m3525(ViewParent viewParent, View view, View view2, int i6) {
            viewParent.notifySubtreeAccessibilityStateChanged(view, view2, i6);
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static void m3526(View view, int i6) {
            view.setAccessibilityLiveRegion(i6);
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static void m3527(AccessibilityEvent accessibilityEvent, int i6) {
            accessibilityEvent.setContentChangeTypes(i6);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static class l {
        /* renamed from: ʻ  reason: contains not printable characters */
        static WindowInsets m3528(View view, WindowInsets windowInsets) {
            WindowInsets dispatchApplyWindowInsets;
            dispatchApplyWindowInsets = view.dispatchApplyWindowInsets(windowInsets);
            return dispatchApplyWindowInsets;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static WindowInsets m3529(View view, WindowInsets windowInsets) {
            WindowInsets onApplyWindowInsets;
            onApplyWindowInsets = view.onApplyWindowInsets(windowInsets);
            return onApplyWindowInsets;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3530(View view) {
            view.requestApplyInsets();
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    private static class m {

        /* JADX INFO: Access modifiers changed from: package-private */
        /* compiled from: ViewCompat.java */
        /* loaded from: classes.dex */
        public class a implements View.OnApplyWindowInsetsListener {

            /* renamed from: ʻ  reason: contains not printable characters */
            t4 f3265 = null;

            /* renamed from: ʼ  reason: contains not printable characters */
            final /* synthetic */ View f3266;

            /* renamed from: ʽ  reason: contains not printable characters */
            final /* synthetic */ s0 f3267;

            a(View view, s0 s0Var) {
                this.f3266 = view;
                this.f3267 = s0Var;
            }

            @Override // android.view.View.OnApplyWindowInsetsListener
            public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
                t4 m3251 = t4.m3251(windowInsets, view);
                int i6 = Build.VERSION.SDK_INT;
                if (i6 < 30) {
                    m.m3531(windowInsets, this.f3266);
                    if (m3251.equals(this.f3265)) {
                        return this.f3267.mo792(view, m3251).m3273();
                    }
                }
                this.f3265 = m3251;
                t4 mo792 = this.f3267.mo792(view, m3251);
                if (i6 >= 30) {
                    return mo792.m3273();
                }
                z0.m3387(view);
                return mo792.m3273();
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static void m3531(WindowInsets windowInsets, View view) {
            View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = (View.OnApplyWindowInsetsListener) view.getTag(t.b.tag_window_insets_animation_callback);
            if (onApplyWindowInsetsListener != null) {
                onApplyWindowInsetsListener.onApplyWindowInsets(view, windowInsets);
            }
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static t4 m3532(View view, t4 t4Var, Rect rect) {
            WindowInsets computeSystemWindowInsets;
            WindowInsets m3273 = t4Var.m3273();
            if (m3273 != null) {
                computeSystemWindowInsets = view.computeSystemWindowInsets(m3273, rect);
                return t4.m3251(computeSystemWindowInsets, view);
            }
            rect.setEmpty();
            return t4Var;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static boolean m3533(View view, float f6, float f7, boolean z5) {
            boolean dispatchNestedFling;
            dispatchNestedFling = view.dispatchNestedFling(f6, f7, z5);
            return dispatchNestedFling;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static boolean m3534(View view, float f6, float f7) {
            boolean dispatchNestedPreFling;
            dispatchNestedPreFling = view.dispatchNestedPreFling(f6, f7);
            return dispatchNestedPreFling;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static boolean m3535(View view, int i6, int i7, int[] iArr, int[] iArr2) {
            boolean dispatchNestedPreScroll;
            dispatchNestedPreScroll = view.dispatchNestedPreScroll(i6, i7, iArr, iArr2);
            return dispatchNestedPreScroll;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static boolean m3536(View view, int i6, int i7, int i8, int i9, int[] iArr) {
            boolean dispatchNestedScroll;
            dispatchNestedScroll = view.dispatchNestedScroll(i6, i7, i8, i9, iArr);
            return dispatchNestedScroll;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static ColorStateList m3537(View view) {
            ColorStateList backgroundTintList;
            backgroundTintList = view.getBackgroundTintList();
            return backgroundTintList;
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static PorterDuff.Mode m3538(View view) {
            PorterDuff.Mode backgroundTintMode;
            backgroundTintMode = view.getBackgroundTintMode();
            return backgroundTintMode;
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        static float m3539(View view) {
            float elevation;
            elevation = view.getElevation();
            return elevation;
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        public static t4 m3540(View view) {
            return t4.a.m3274(view);
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        static String m3541(View view) {
            String transitionName;
            transitionName = view.getTransitionName();
            return transitionName;
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        static float m3542(View view) {
            float translationZ;
            translationZ = view.getTranslationZ();
            return translationZ;
        }

        /* renamed from: ˑ  reason: contains not printable characters */
        static float m3543(View view) {
            float z5;
            z5 = view.getZ();
            return z5;
        }

        /* renamed from: י  reason: contains not printable characters */
        static boolean m3544(View view) {
            boolean hasNestedScrollingParent;
            hasNestedScrollingParent = view.hasNestedScrollingParent();
            return hasNestedScrollingParent;
        }

        /* renamed from: ـ  reason: contains not printable characters */
        static boolean m3545(View view) {
            boolean isImportantForAccessibility;
            isImportantForAccessibility = view.isImportantForAccessibility();
            return isImportantForAccessibility;
        }

        /* renamed from: ٴ  reason: contains not printable characters */
        static boolean m3546(View view) {
            boolean isNestedScrollingEnabled;
            isNestedScrollingEnabled = view.isNestedScrollingEnabled();
            return isNestedScrollingEnabled;
        }

        /* renamed from: ᐧ  reason: contains not printable characters */
        static void m3547(View view, ColorStateList colorStateList) {
            view.setBackgroundTintList(colorStateList);
        }

        /* renamed from: ᴵ  reason: contains not printable characters */
        static void m3548(View view, PorterDuff.Mode mode) {
            view.setBackgroundTintMode(mode);
        }

        /* renamed from: ᵎ  reason: contains not printable characters */
        static void m3549(View view, float f6) {
            view.setElevation(f6);
        }

        /* renamed from: ᵔ  reason: contains not printable characters */
        static void m3550(View view, boolean z5) {
            view.setNestedScrollingEnabled(z5);
        }

        /* renamed from: ᵢ  reason: contains not printable characters */
        static void m3551(View view, s0 s0Var) {
            if (Build.VERSION.SDK_INT < 30) {
                view.setTag(t.b.tag_on_apply_window_listener, s0Var);
            }
            if (s0Var == null) {
                view.setOnApplyWindowInsetsListener((View.OnApplyWindowInsetsListener) view.getTag(t.b.tag_window_insets_animation_callback));
            } else {
                view.setOnApplyWindowInsetsListener(new a(view, s0Var));
            }
        }

        /* renamed from: ⁱ  reason: contains not printable characters */
        static void m3552(View view, String str) {
            view.setTransitionName(str);
        }

        /* renamed from: ﹳ  reason: contains not printable characters */
        static void m3553(View view, float f6) {
            view.setTranslationZ(f6);
        }

        /* renamed from: ﹶ  reason: contains not printable characters */
        static void m3554(View view, float f6) {
            view.setZ(f6);
        }

        /* renamed from: ﾞ  reason: contains not printable characters */
        static boolean m3555(View view, int i6) {
            boolean startNestedScroll;
            startNestedScroll = view.startNestedScroll(i6);
            return startNestedScroll;
        }

        /* renamed from: ﾞﾞ  reason: contains not printable characters */
        static void m3556(View view) {
            view.stopNestedScroll();
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    private static class n {
        /* renamed from: ʻ  reason: contains not printable characters */
        public static t4 m3557(View view) {
            WindowInsets rootWindowInsets;
            rootWindowInsets = view.getRootWindowInsets();
            if (rootWindowInsets == null) {
                return null;
            }
            t4 m3250 = t4.m3250(rootWindowInsets);
            m3250.m3271(m3250);
            m3250.m3255(view.getRootView());
            return m3250;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m3558(View view) {
            int scrollIndicators;
            scrollIndicators = view.getScrollIndicators();
            return scrollIndicators;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3559(View view, int i6) {
            view.setScrollIndicators(i6);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static void m3560(View view, int i6, int i7) {
            view.setScrollIndicators(i6, i7);
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    static class o {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m3561(View view, Collection<View> collection, int i6) {
            view.addKeyboardNavigationClusters(collection, i6);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m3562(View view) {
            int importantForAutofill;
            importantForAutofill = view.getImportantForAutofill();
            return importantForAutofill;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static int m3563(View view) {
            int nextClusterForwardId;
            nextClusterForwardId = view.getNextClusterForwardId();
            return nextClusterForwardId;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static boolean m3564(View view) {
            boolean hasExplicitFocusable;
            hasExplicitFocusable = view.hasExplicitFocusable();
            return hasExplicitFocusable;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static boolean m3565(View view) {
            boolean isFocusedByDefault;
            isFocusedByDefault = view.isFocusedByDefault();
            return isFocusedByDefault;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static boolean m3566(View view) {
            boolean isImportantForAutofill;
            isImportantForAutofill = view.isImportantForAutofill();
            return isImportantForAutofill;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static boolean m3567(View view) {
            boolean isKeyboardNavigationCluster;
            isKeyboardNavigationCluster = view.isKeyboardNavigationCluster();
            return isKeyboardNavigationCluster;
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static View m3568(View view, View view2, int i6) {
            View keyboardNavigationClusterSearch;
            keyboardNavigationClusterSearch = view.keyboardNavigationClusterSearch(view2, i6);
            return keyboardNavigationClusterSearch;
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        static boolean m3569(View view) {
            boolean restoreDefaultFocus;
            restoreDefaultFocus = view.restoreDefaultFocus();
            return restoreDefaultFocus;
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        static void m3570(View view, String... strArr) {
            view.setAutofillHints(strArr);
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        static void m3571(View view, boolean z5) {
            view.setFocusedByDefault(z5);
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        static void m3572(View view, int i6) {
            view.setImportantForAutofill(i6);
        }

        /* renamed from: ˑ  reason: contains not printable characters */
        static void m3573(View view, boolean z5) {
            view.setKeyboardNavigationCluster(z5);
        }

        /* renamed from: י  reason: contains not printable characters */
        static void m3574(View view, int i6) {
            view.setNextClusterForwardId(i6);
        }

        /* renamed from: ـ  reason: contains not printable characters */
        static void m3575(View view, CharSequence charSequence) {
            view.setTooltipText(charSequence);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static class p {
        /* renamed from: ʻ  reason: contains not printable characters */
        static void m3576(View view, final u uVar) {
            int i6 = t.b.tag_unhandled_key_listeners;
            l.g gVar = (l.g) view.getTag(i6);
            if (gVar == null) {
                gVar = new l.g();
                view.setTag(i6, gVar);
            }
            Objects.requireNonNull(uVar);
            View.OnUnhandledKeyEventListener onUnhandledKeyEventListener = new View.OnUnhandledKeyEventListener() { // from class: androidx.core.view.z2
                @Override // android.view.View.OnUnhandledKeyEventListener
                public final boolean onUnhandledKeyEvent(View view2, KeyEvent keyEvent) {
                    return z0.u.this.onUnhandledKeyEvent(view2, keyEvent);
                }
            };
            gVar.put(uVar, onUnhandledKeyEventListener);
            view.addOnUnhandledKeyEventListener(onUnhandledKeyEventListener);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static CharSequence m3577(View view) {
            CharSequence accessibilityPaneTitle;
            accessibilityPaneTitle = view.getAccessibilityPaneTitle();
            return accessibilityPaneTitle;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static boolean m3578(View view) {
            boolean isAccessibilityHeading;
            isAccessibilityHeading = view.isAccessibilityHeading();
            return isAccessibilityHeading;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static boolean m3579(View view) {
            boolean isScreenReaderFocusable;
            isScreenReaderFocusable = view.isScreenReaderFocusable();
            return isScreenReaderFocusable;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static void m3580(View view, u uVar) {
            View.OnUnhandledKeyEventListener onUnhandledKeyEventListener;
            l.g gVar = (l.g) view.getTag(t.b.tag_unhandled_key_listeners);
            if (gVar != null && (onUnhandledKeyEventListener = (View.OnUnhandledKeyEventListener) gVar.get(uVar)) != null) {
                view.removeOnUnhandledKeyEventListener(onUnhandledKeyEventListener);
            }
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static <T> T m3581(View view, int i6) {
            View requireViewById;
            requireViewById = view.requireViewById(i6);
            return (T) requireViewById;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static void m3582(View view, boolean z5) {
            view.setAccessibilityHeading(z5);
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static void m3583(View view, CharSequence charSequence) {
            view.setAccessibilityPaneTitle(charSequence);
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        static void m3584(View view, boolean z5) {
            view.setScreenReaderFocusable(z5);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static class q {
        /* renamed from: ʻ  reason: contains not printable characters */
        static View.AccessibilityDelegate m3585(View view) {
            View.AccessibilityDelegate accessibilityDelegate;
            accessibilityDelegate = view.getAccessibilityDelegate();
            return accessibilityDelegate;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static List<Rect> m3586(View view) {
            List<Rect> systemGestureExclusionRects;
            systemGestureExclusionRects = view.getSystemGestureExclusionRects();
            return systemGestureExclusionRects;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3587(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i6, int i7) {
            view.saveAttributeDataForStyleable(context, iArr, attributeSet, typedArray, i6, i7);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static void m3588(View view, List<Rect> list) {
            view.setSystemGestureExclusionRects(list);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public static class r {
        /* renamed from: ʻ  reason: contains not printable characters */
        static CharSequence m3589(View view) {
            CharSequence stateDescription;
            stateDescription = view.getStateDescription();
            return stateDescription;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public static g6 m3590(View view) {
            WindowInsetsController windowInsetsController;
            windowInsetsController = view.getWindowInsetsController();
            if (windowInsetsController != null) {
                return g6.m3026(windowInsetsController);
            }
            return null;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3591(View view, CharSequence charSequence) {
            view.setStateDescription(charSequence);
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    private static final class s {
        /* renamed from: ʻ  reason: contains not printable characters */
        public static String[] m3592(View view) {
            String[] receiveContentMimeTypes;
            receiveContentMimeTypes = view.getReceiveContentMimeTypes();
            return receiveContentMimeTypes;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public static androidx.core.view.c m3593(View view, androidx.core.view.c cVar) {
            ContentInfo performReceiveContent;
            ContentInfo m2955 = cVar.m2955();
            performReceiveContent = view.performReceiveContent(m2955);
            if (performReceiveContent == null) {
                return null;
            }
            if (performReceiveContent == m2955) {
                return cVar;
            }
            return androidx.core.view.c.m2951(performReceiveContent);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public static void m3594(View view, String[] strArr, t0 t0Var) {
            if (t0Var == null) {
                view.setOnReceiveContentListener(strArr, null);
            } else {
                view.setOnReceiveContentListener(strArr, new t(t0Var));
            }
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    private static final class t implements OnReceiveContentListener {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final t0 f3268;

        t(t0 t0Var) {
            this.f3268 = t0Var;
        }

        @Override // android.view.OnReceiveContentListener
        public ContentInfo onReceiveContent(View view, ContentInfo contentInfo) {
            androidx.core.view.c m2951 = androidx.core.view.c.m2951(contentInfo);
            androidx.core.view.c mo3238 = this.f3268.mo3238(view, m2951);
            if (mo3238 == null) {
                return null;
            }
            if (mo3238 == m2951) {
                return contentInfo;
            }
            return mo3238.m2955();
        }
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    public interface u {
        boolean onUnhandledKeyEvent(View view, KeyEvent keyEvent);
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    static class v {

        /* renamed from: ʾ  reason: contains not printable characters */
        private static final ArrayList<WeakReference<View>> f3269 = new ArrayList<>();

        /* renamed from: ʻ  reason: contains not printable characters */
        private WeakHashMap<View, Boolean> f3270 = null;

        /* renamed from: ʼ  reason: contains not printable characters */
        private SparseArray<WeakReference<View>> f3271 = null;

        /* renamed from: ʽ  reason: contains not printable characters */
        private WeakReference<KeyEvent> f3272 = null;

        v() {
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static v m3595(View view) {
            int i6 = t.b.tag_unhandled_key_event_manager;
            v vVar = (v) view.getTag(i6);
            if (vVar == null) {
                v vVar2 = new v();
                view.setTag(i6, vVar2);
                return vVar2;
            }
            return vVar;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private View m3596(View view, KeyEvent keyEvent) {
            WeakHashMap<View, Boolean> weakHashMap = this.f3270;
            if (weakHashMap != null && weakHashMap.containsKey(view)) {
                if (view instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) view;
                    for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                        View m3596 = m3596(viewGroup.getChildAt(childCount), keyEvent);
                        if (m3596 != null) {
                            return m3596;
                        }
                    }
                }
                if (m3598(view, keyEvent)) {
                    return view;
                }
            }
            return null;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private SparseArray<WeakReference<View>> m3597() {
            if (this.f3271 == null) {
                this.f3271 = new SparseArray<>();
            }
            return this.f3271;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean m3598(View view, KeyEvent keyEvent) {
            ArrayList arrayList = (ArrayList) view.getTag(t.b.tag_unhandled_key_listeners);
            if (arrayList != null) {
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    if (((u) arrayList.get(size)).onUnhandledKeyEvent(view, keyEvent)) {
                        return true;
                    }
                }
                return false;
            }
            return false;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        private void m3599() {
            WeakHashMap<View, Boolean> weakHashMap = this.f3270;
            if (weakHashMap != null) {
                weakHashMap.clear();
            }
            ArrayList<WeakReference<View>> arrayList = f3269;
            if (arrayList.isEmpty()) {
                return;
            }
            synchronized (arrayList) {
                if (this.f3270 == null) {
                    this.f3270 = new WeakHashMap<>();
                }
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    ArrayList<WeakReference<View>> arrayList2 = f3269;
                    View view = arrayList2.get(size).get();
                    if (view == null) {
                        arrayList2.remove(size);
                    } else {
                        this.f3270.put(view, Boolean.TRUE);
                        for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
                            this.f3270.put((View) parent, Boolean.TRUE);
                        }
                    }
                }
            }
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        boolean m3600(View view, KeyEvent keyEvent) {
            if (keyEvent.getAction() == 0) {
                m3599();
            }
            View m3596 = m3596(view, keyEvent);
            if (keyEvent.getAction() == 0) {
                int keyCode = keyEvent.getKeyCode();
                if (m3596 != null && !KeyEvent.isModifierKey(keyCode)) {
                    m3597().put(keyCode, new WeakReference<>(m3596));
                }
            }
            if (m3596 != null) {
                return true;
            }
            return false;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        boolean m3601(KeyEvent keyEvent) {
            WeakReference<View> weakReference;
            int indexOfKey;
            WeakReference<KeyEvent> weakReference2 = this.f3272;
            if (weakReference2 != null && weakReference2.get() == keyEvent) {
                return false;
            }
            this.f3272 = new WeakReference<>(keyEvent);
            SparseArray<WeakReference<View>> m3597 = m3597();
            if (keyEvent.getAction() == 1 && (indexOfKey = m3597.indexOfKey(keyEvent.getKeyCode())) >= 0) {
                weakReference = m3597.valueAt(indexOfKey);
                m3597.removeAt(indexOfKey);
            } else {
                weakReference = null;
            }
            if (weakReference == null) {
                weakReference = m3597.get(keyEvent.getKeyCode());
            }
            if (weakReference == null) {
                return false;
            }
            View view = weakReference.get();
            if (view != null && z0.m3443(view)) {
                m3598(view, keyEvent);
            }
            return true;
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    public static int m3368(View view) {
        return h.m3490(view);
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    public static boolean m3369(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3546(view);
        }
        if (view instanceof m0) {
            return ((m0) view).isNestedScrollingEnabled();
        }
        return false;
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    public static boolean m3370(View view) {
        return i.m3513(view);
    }

    /* renamed from: ʻʾ  reason: contains not printable characters */
    public static boolean m3371(View view) {
        Boolean m3485 = m3389().m3485(view);
        if (m3485 != null && m3485.booleanValue()) {
            return true;
        }
        return false;
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    static void m3373(View view, int i6) {
        boolean z5;
        AccessibilityManager accessibilityManager = (AccessibilityManager) view.getContext().getSystemService("accessibility");
        if (!accessibilityManager.isEnabled()) {
            return;
        }
        if (m3446(view) != null && view.isShown() && view.getWindowVisibility() == 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        int i7 = 32;
        if (m3444(view) == 0 && !z5) {
            if (i6 == 32) {
                AccessibilityEvent obtain = AccessibilityEvent.obtain();
                view.onInitializeAccessibilityEvent(obtain);
                obtain.setEventType(32);
                k.m3527(obtain, i6);
                obtain.setSource(view);
                view.onPopulateAccessibilityEvent(obtain);
                obtain.getText().add(m3446(view));
                accessibilityManager.sendAccessibilityEvent(obtain);
                return;
            } else if (view.getParent() != null) {
                try {
                    k.m3525(view.getParent(), view, view, i6);
                    return;
                } catch (AbstractMethodError e6) {
                    Log.e("ViewCompat", view.getParent().getClass().getSimpleName() + " does not fully implement ViewParent", e6);
                    return;
                }
            } else {
                return;
            }
        }
        AccessibilityEvent obtain2 = AccessibilityEvent.obtain();
        if (!z5) {
            i7 = 2048;
        }
        obtain2.setEventType(i7);
        k.m3527(obtain2, i6);
        if (z5) {
            obtain2.getText().add(m3446(view));
            m3411(view);
        }
        view.sendAccessibilityEventUnchecked(obtain2);
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    public static void m3374(View view, int i6) {
        boolean z5;
        int i7 = Build.VERSION.SDK_INT;
        if (i7 >= 23) {
            view.offsetLeftAndRight(i6);
        } else if (i7 >= 21) {
            Rect m3461 = m3461();
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                View view2 = (View) parent;
                m3461.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
                z5 = !m3461.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            } else {
                z5 = false;
            }
            m3422(view, i6);
            if (z5 && m3461.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
                ((View) parent).invalidate(m3461);
            }
        } else {
            m3422(view, i6);
        }
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    public static void m3375(View view, int i6) {
        boolean z5;
        int i7 = Build.VERSION.SDK_INT;
        if (i7 >= 23) {
            view.offsetTopAndBottom(i6);
        } else if (i7 >= 21) {
            Rect m3461 = m3461();
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                View view2 = (View) parent;
                m3461.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
                z5 = !m3461.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            } else {
                z5 = false;
            }
            m3424(view, i6);
            if (z5 && m3461.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
                ((View) parent).invalidate(m3461);
            }
        } else {
            m3424(view, i6);
        }
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    public static t4 m3376(View view, t4 t4Var) {
        WindowInsets m3273;
        boolean equals;
        if (Build.VERSION.SDK_INT >= 21 && (m3273 = t4Var.m3273()) != null) {
            WindowInsets m3529 = l.m3529(view, m3273);
            equals = m3529.equals(m3273);
            if (!equals) {
                return t4.m3251(m3529, view);
            }
        }
        return t4Var;
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    public static void m3377(View view, androidx.core.view.accessibility.j0 j0Var) {
        view.onInitializeAccessibilityNodeInfo(j0Var.m2864());
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private static f<CharSequence> m3378() {
        return new b(t.b.tag_accessibility_pane_title, CharSequence.class, 8, 28);
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    public static boolean m3379(View view, int i6, Bundle bundle) {
        return h.m3497(view, i6, bundle);
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    public static androidx.core.view.c m3380(View view, androidx.core.view.c cVar) {
        if (Log.isLoggable("ViewCompat", 3)) {
            Log.d("ViewCompat", "performReceiveContent: " + cVar + ", view=" + view.getClass().getSimpleName() + "[" + view.getId() + "]");
        }
        if (Build.VERSION.SDK_INT >= 31) {
            return s.m3593(view, cVar);
        }
        t0 t0Var = (t0) view.getTag(t.b.tag_on_receive_content_listener);
        if (t0Var != null) {
            androidx.core.view.c mo3238 = t0Var.mo3238(view, cVar);
            if (mo3238 == null) {
                return null;
            }
            return m3445(view).mo1593(mo3238);
        }
        return m3445(view).mo1593(cVar);
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    public static void m3381(View view) {
        h.m3498(view);
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    public static void m3382(View view, Runnable runnable) {
        h.m3500(view, runnable);
    }

    @SuppressLint({"LambdaLast"})
    /* renamed from: ʻٴ  reason: contains not printable characters */
    public static void m3383(View view, Runnable runnable, long j6) {
        h.m3501(view, runnable, j6);
    }

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public static void m3384(View view, int i6) {
        if (Build.VERSION.SDK_INT >= 21) {
            m3385(i6, view);
            m3373(view, 0);
        }
    }

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private static void m3385(int i6, View view) {
        List<j0.a> m3448 = m3448(view);
        for (int i7 = 0; i7 < m3448.size(); i7++) {
            if (m3448.get(i7).m2897() == i6) {
                m3448.remove(i7);
                return;
            }
        }
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    public static void m3386(View view, j0.a aVar, CharSequence charSequence, androidx.core.view.accessibility.o0 o0Var) {
        if (o0Var == null && charSequence == null) {
            m3384(view, aVar.m2897());
        } else {
            m3418(view, aVar.m2896(charSequence, o0Var));
        }
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    public static void m3387(View view) {
        if (Build.VERSION.SDK_INT >= 20) {
            l.m3530(view);
        } else {
            h.m3503(view);
        }
    }

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    public static void m3388(View view, @SuppressLint({"ContextFirst"}) Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i6, int i7) {
        if (Build.VERSION.SDK_INT >= 29) {
            q.m3587(view, context, iArr, attributeSet, typedArray, i6, i7);
        }
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private static f<Boolean> m3389() {
        return new a(t.b.tag_screen_reader_focusable, Boolean.class, 28);
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    public static void m3390(View view, androidx.core.view.a aVar) {
        View.AccessibilityDelegate m2774;
        if (aVar == null && (m3440(view) instanceof a.C0026a)) {
            aVar = new androidx.core.view.a();
        }
        if (aVar == null) {
            m2774 = null;
        } else {
            m2774 = aVar.m2774();
        }
        view.setAccessibilityDelegate(m2774);
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    public static void m3391(View view, boolean z5) {
        m3393().m3486(view, Boolean.valueOf(z5));
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    public static void m3392(View view, int i6) {
        k.m3526(view, i6);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static f<Boolean> m3393() {
        return new d(t.b.tag_accessibility_heading, Boolean.class, 28);
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    public static void m3394(View view, CharSequence charSequence) {
        m3378().m3486(view, charSequence);
        if (charSequence != null) {
            f3259.m3480(view);
        } else {
            f3259.m3481(view);
        }
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    public static int m3395(View view) {
        return i.m3510(view);
    }

    /* renamed from: ʼʽ  reason: contains not printable characters */
    public static void m3396(View view, Drawable drawable) {
        h.m3504(view, drawable);
    }

    /* renamed from: ʼʾ  reason: contains not printable characters */
    public static void m3397(View view, ColorStateList colorStateList) {
        boolean z5;
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 21) {
            m.m3547(view, colorStateList);
            if (i6 == 21) {
                Drawable background = view.getBackground();
                if (m.m3537(view) == null && m.m3538(view) == null) {
                    z5 = false;
                } else {
                    z5 = true;
                }
                if (background != null && z5) {
                    if (background.isStateful()) {
                        background.setState(view.getDrawableState());
                    }
                    h.m3504(view, background);
                }
            }
        } else if (view instanceof w0) {
            ((w0) view).setSupportBackgroundTintList(colorStateList);
        }
    }

    /* renamed from: ʼʿ  reason: contains not printable characters */
    public static void m3398(View view, PorterDuff.Mode mode) {
        boolean z5;
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 21) {
            m.m3548(view, mode);
            if (i6 == 21) {
                Drawable background = view.getBackground();
                if (m.m3537(view) == null && m.m3538(view) == null) {
                    z5 = false;
                } else {
                    z5 = true;
                }
                if (background != null && z5) {
                    if (background.isStateful()) {
                        background.setState(view.getDrawableState());
                    }
                    h.m3504(view, background);
                }
            }
        } else if (view instanceof w0) {
            ((w0) view).setSupportBackgroundTintMode(mode);
        }
    }

    /* renamed from: ʼˆ  reason: contains not printable characters */
    public static void m3399(View view, Rect rect) {
        j.m3520(view, rect);
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    public static void m3400(View view, float f6) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.m3549(view, f6);
        }
    }

    @Deprecated
    /* renamed from: ʼˉ  reason: contains not printable characters */
    public static void m3401(View view, boolean z5) {
        view.setFitsSystemWindows(z5);
    }

    /* renamed from: ʼˊ  reason: contains not printable characters */
    public static void m3402(View view, boolean z5) {
        h.m3505(view, z5);
    }

    /* renamed from: ʼˋ  reason: contains not printable characters */
    public static void m3403(View view, int i6) {
        h.m3506(view, i6);
    }

    /* renamed from: ʼˎ  reason: contains not printable characters */
    public static void m3404(View view, int i6) {
        if (Build.VERSION.SDK_INT >= 26) {
            o.m3572(view, i6);
        }
    }

    /* renamed from: ʼˏ  reason: contains not printable characters */
    public static void m3405(View view, int i6) {
        i.m3514(view, i6);
    }

    /* renamed from: ʼˑ  reason: contains not printable characters */
    public static void m3406(View view, s0 s0Var) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.m3551(view, s0Var);
        }
    }

    /* renamed from: ʼי  reason: contains not printable characters */
    public static void m3407(View view, int i6, int i7, int i8, int i9) {
        i.m3517(view, i6, i7, i8, i9);
    }

    /* renamed from: ʼـ  reason: contains not printable characters */
    public static void m3408(View view, boolean z5) {
        m3389().m3486(view, Boolean.valueOf(z5));
    }

    /* renamed from: ʼٴ  reason: contains not printable characters */
    public static void m3409(View view, int i6, int i7) {
        if (Build.VERSION.SDK_INT >= 23) {
            n.m3560(view, i6, i7);
        }
    }

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    public static void m3410(View view, String str) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.m3552(view, str);
            return;
        }
        if (f3252 == null) {
            f3252 = new WeakHashMap<>();
        }
        f3252.put(view, str);
    }

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private static void m3411(View view) {
        if (m3368(view) == 0) {
            m3403(view, 1);
        }
        for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
            if (m3368((View) parent) == 4) {
                m3403(view, 2);
                return;
            }
        }
    }

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    public static void m3412(View view, k4.b bVar) {
        k4.m3097(view, bVar);
    }

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    private static f<CharSequence> m3413() {
        return new c(t.b.tag_state_description, CharSequence.class, 64, 30);
    }

    /* renamed from: ʼᵢ  reason: contains not printable characters */
    public static void m3414(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.m3556(view);
        } else if (view instanceof m0) {
            ((m0) view).stopNestedScroll();
        }
    }

    /* renamed from: ʼⁱ  reason: contains not printable characters */
    private static void m3415(View view) {
        float translationY = view.getTranslationY();
        view.setTranslationY(1.0f + translationY);
        view.setTranslationY(translationY);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static int m3416(View view, CharSequence charSequence, androidx.core.view.accessibility.o0 o0Var) {
        int m3450 = m3450(view, charSequence);
        if (m3450 != -1) {
            m3418(view, new j0.a(m3450, charSequence, o0Var));
        }
        return m3450;
    }

    @SuppressLint({"InlinedApi"})
    /* renamed from: ʽʽ  reason: contains not printable characters */
    public static int m3417(View view) {
        if (Build.VERSION.SDK_INT >= 26) {
            return o.m3562(view);
        }
        return 0;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static void m3418(View view, j0.a aVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            m3434(view);
            m3385(aVar.m2897(), view);
            m3448(view).add(aVar);
            m3373(view, 0);
        }
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    public static int m3419(View view) {
        return h.m3492(view);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static e4 m3420(View view) {
        if (f3253 == null) {
            f3253 = new WeakHashMap<>();
        }
        e4 e4Var = f3253.get(view);
        if (e4Var == null) {
            e4 e4Var2 = new e4(view);
            f3253.put(view, e4Var2);
            return e4Var2;
        }
        return e4Var;
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    public static int m3421(View view) {
        return h.m3491(view);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private static void m3422(View view, int i6) {
        view.offsetLeftAndRight(i6);
        if (view.getVisibility() == 0) {
            m3415(view);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                m3415((View) parent);
            }
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    public static int m3423(View view) {
        return i.m3511(view);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static void m3424(View view, int i6) {
        view.offsetTopAndBottom(i6);
        if (view.getVisibility() == 0) {
            m3415(view);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                m3415((View) parent);
            }
        }
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    public static ViewParent m3425(View view) {
        return h.m3493(view);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static t4 m3426(View view, t4 t4Var, Rect rect) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3532(view, t4Var, rect);
        }
        return t4Var;
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public static int m3427(View view) {
        return i.m3512(view);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static t4 m3428(View view, t4 t4Var) {
        WindowInsets m3273;
        boolean equals;
        if (Build.VERSION.SDK_INT >= 21 && (m3273 = t4Var.m3273()) != null) {
            WindowInsets m3528 = l.m3528(view, m3273);
            equals = m3528.equals(m3273);
            if (!equals) {
                return t4.m3251(m3528, view);
            }
        }
        return t4Var;
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    public static CharSequence m3429(View view) {
        return m3413().m3485(view);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public static boolean m3430(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        return v.m3595(view).m3600(view, keyEvent);
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    public static t4 m3431(View view) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 23) {
            return n.m3557(view);
        }
        if (i6 >= 21) {
            return m.m3540(view);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˎ  reason: contains not printable characters */
    public static boolean m3432(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        return v.m3595(view).m3601(keyEvent);
    }

    @Deprecated
    /* renamed from: ˎˎ  reason: contains not printable characters */
    public static g6 m3433(View view) {
        if (Build.VERSION.SDK_INT >= 30) {
            return r.m3590(view);
        }
        for (Context context = view.getContext(); context instanceof ContextWrapper; context = ((ContextWrapper) context).getBaseContext()) {
            if (context instanceof Activity) {
                Window window = ((Activity) context).getWindow();
                if (window == null) {
                    return null;
                }
                return i4.m3056(window, view);
            }
        }
        return null;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    static void m3434(View view) {
        androidx.core.view.a m3438 = m3438(view);
        if (m3438 == null) {
            m3438 = new androidx.core.view.a();
        }
        m3390(view, m3438);
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    public static String m3435(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3541(view);
        }
        WeakHashMap<View, String> weakHashMap = f3252;
        if (weakHashMap == null) {
            return null;
        }
        return weakHashMap.get(view);
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public static int m3436() {
        return i.m3507();
    }

    @Deprecated
    /* renamed from: ˑˑ  reason: contains not printable characters */
    public static int m3437(View view) {
        return h.m3494(view);
    }

    /* renamed from: י  reason: contains not printable characters */
    public static androidx.core.view.a m3438(View view) {
        View.AccessibilityDelegate m3440 = m3440(view);
        if (m3440 == null) {
            return null;
        }
        if (m3440 instanceof a.C0026a) {
            return ((a.C0026a) m3440).f3057;
        }
        return new androidx.core.view.a(m3440);
    }

    /* renamed from: יי  reason: contains not printable characters */
    public static boolean m3439(View view) {
        if (m3440(view) != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private static View.AccessibilityDelegate m3440(View view) {
        if (Build.VERSION.SDK_INT >= 29) {
            return q.m3585(view);
        }
        return m3442(view);
    }

    /* renamed from: ــ  reason: contains not printable characters */
    public static String[] m3441(View view) {
        if (Build.VERSION.SDK_INT >= 31) {
            return s.m3592(view);
        }
        return (String[]) view.getTag(t.b.tag_on_receive_content_mime_types);
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private static View.AccessibilityDelegate m3442(View view) {
        if (f3255) {
            return null;
        }
        if (f3254 == null) {
            try {
                Field declaredField = View.class.getDeclaredField("mAccessibilityDelegate");
                f3254 = declaredField;
                declaredField.setAccessible(true);
            } catch (Throwable unused) {
                f3255 = true;
                return null;
            }
        }
        try {
            Object obj = f3254.get(view);
            if (!(obj instanceof View.AccessibilityDelegate)) {
                return null;
            }
            return (View.AccessibilityDelegate) obj;
        } catch (Throwable unused2) {
            f3255 = true;
            return null;
        }
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    public static boolean m3443(View view) {
        return k.m3522(view);
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public static int m3444(View view) {
        return k.m3521(view);
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private static u0 m3445(View view) {
        if (view instanceof u0) {
            return (u0) view;
        }
        return f3258;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public static CharSequence m3446(View view) {
        return m3378().m3485(view);
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public static boolean m3447(View view) {
        return h.m3489(view);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private static List<j0.a> m3448(View view) {
        int i6 = t.b.tag_accessibility_actions;
        ArrayList arrayList = (ArrayList) view.getTag(i6);
        if (arrayList == null) {
            ArrayList arrayList2 = new ArrayList();
            view.setTag(i6, arrayList2);
            return arrayList2;
        }
        return arrayList;
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public static boolean m3449(View view) {
        return g.m3487(view);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private static int m3450(View view, CharSequence charSequence) {
        boolean z5;
        List<j0.a> m3448 = m3448(view);
        for (int i6 = 0; i6 < m3448.size(); i6++) {
            if (TextUtils.equals(charSequence, m3448.get(i6).m2898())) {
                return m3448.get(i6).m2897();
            }
        }
        int i7 = 0;
        int i8 = -1;
        while (true) {
            int[] iArr = f3257;
            if (i7 >= iArr.length || i8 != -1) {
                break;
            }
            int i9 = iArr[i7];
            boolean z6 = true;
            for (int i10 = 0; i10 < m3448.size(); i10++) {
                if (m3448.get(i10).m2897() != i9) {
                    z5 = true;
                } else {
                    z5 = false;
                }
                z6 &= z5;
            }
            if (z6) {
                i8 = i9;
            }
            i7++;
        }
        return i8;
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public static float m3451(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3543(view);
        }
        return 0.0f;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public static ColorStateList m3452(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3537(view);
        }
        if (view instanceof w0) {
            return ((w0) view).getSupportBackgroundTintList();
        }
        return null;
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public static boolean m3453(View view) {
        return h.m3495(view);
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    public static PorterDuff.Mode m3454(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3538(view);
        }
        if (view instanceof w0) {
            return ((w0) view).getSupportBackgroundTintMode();
        }
        return null;
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    public static boolean m3455(View view) {
        return h.m3496(view);
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public static Rect m3456(View view) {
        return j.m3518(view);
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    public static boolean m3457(View view) {
        Boolean m3485 = m3393().m3485(view);
        if (m3485 != null && m3485.booleanValue()) {
            return true;
        }
        return false;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public static Display m3458(View view) {
        return i.m3508(view);
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public static boolean m3459(View view) {
        return k.m3523(view);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    public static float m3460(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.m3539(view);
        }
        return 0.0f;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private static Rect m3461() {
        if (f3256 == null) {
            f3256 = new ThreadLocal<>();
        }
        Rect rect = f3256.get();
        if (rect == null) {
            rect = new Rect();
            f3256.set(rect);
        }
        rect.setEmpty();
        return rect;
    }

    /* compiled from: ViewCompat.java */
    /* loaded from: classes.dex */
    static class e implements ViewTreeObserver.OnGlobalLayoutListener, View.OnAttachStateChangeListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        private final WeakHashMap<View, Boolean> f3260 = new WeakHashMap<>();

        e() {
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private void m3477(View view, boolean z5) {
            boolean z6;
            int i6;
            if (view.isShown() && view.getWindowVisibility() == 0) {
                z6 = true;
            } else {
                z6 = false;
            }
            if (z5 != z6) {
                if (z6) {
                    i6 = 16;
                } else {
                    i6 = 32;
                }
                z0.m3373(view, i6);
                this.f3260.put(view, Boolean.valueOf(z6));
            }
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private void m3478(View view) {
            view.getViewTreeObserver().addOnGlobalLayoutListener(this);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private void m3479(View view) {
            h.m3502(view.getViewTreeObserver(), this);
        }

        @Override // android.view.ViewTreeObserver.OnGlobalLayoutListener
        public void onGlobalLayout() {
            if (Build.VERSION.SDK_INT < 28) {
                for (Map.Entry<View, Boolean> entry : this.f3260.entrySet()) {
                    m3477(entry.getKey(), entry.getValue().booleanValue());
                }
            }
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewAttachedToWindow(View view) {
            m3478(view);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        void m3480(View view) {
            boolean z5;
            WeakHashMap<View, Boolean> weakHashMap = this.f3260;
            if (view.isShown() && view.getWindowVisibility() == 0) {
                z5 = true;
            } else {
                z5 = false;
            }
            weakHashMap.put(view, Boolean.valueOf(z5));
            view.addOnAttachStateChangeListener(this);
            if (k.m3522(view)) {
                m3478(view);
            }
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        void m3481(View view) {
            this.f3260.remove(view);
            view.removeOnAttachStateChangeListener(this);
            m3479(view);
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewDetachedFromWindow(View view) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻʿ  reason: contains not printable characters */
    public static /* synthetic */ androidx.core.view.c m3372(androidx.core.view.c cVar) {
        return cVar;
    }
}
