package androidx.core.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.AnimationUtils;
import android.widget.EdgeEffect;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import android.widget.ScrollView;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
import java.util.ArrayList;
/* loaded from: classes.dex */
public class NestedScrollView extends FrameLayout implements androidx.core.view.p0, androidx.core.view.m0 {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private float f3277;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private c f3278;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final float f3279;

    /* renamed from: ʿ  reason: contains not printable characters */
    private long f3280;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final Rect f3281;

    /* renamed from: ˈ  reason: contains not printable characters */
    private OverScroller f3282;

    /* renamed from: ˉ  reason: contains not printable characters */
    public EdgeEffect f3283;

    /* renamed from: ˊ  reason: contains not printable characters */
    public EdgeEffect f3284;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f3285;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f3286;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f3287;

    /* renamed from: ˑ  reason: contains not printable characters */
    private View f3288;

    /* renamed from: י  reason: contains not printable characters */
    private boolean f3289;

    /* renamed from: ـ  reason: contains not printable characters */
    private VelocityTracker f3290;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f3291;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f3292;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private final androidx.core.view.r0 f3293;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f3294;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private final androidx.core.view.n0 f3295;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f3296;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f3297;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int f3298;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final int[] f3299;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final int[] f3300;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int f3301;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f3302;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private d f3303;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private static final float f3274 = (float) (Math.log(0.78d) / Math.log(0.9d));

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private static final a f3276 = new a();

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private static final int[] f3275 = {16843130};

    /* loaded from: classes.dex */
    static class a extends androidx.core.view.a {
        a() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˆ */
        public void mo26(View view, AccessibilityEvent accessibilityEvent) {
            boolean z5;
            super.mo26(view, accessibilityEvent);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            accessibilityEvent.setClassName(ScrollView.class.getName());
            if (nestedScrollView.getScrollRange() > 0) {
                z5 = true;
            } else {
                z5 = false;
            }
            accessibilityEvent.setScrollable(z5);
            accessibilityEvent.setScrollX(nestedScrollView.getScrollX());
            accessibilityEvent.setScrollY(nestedScrollView.getScrollY());
            androidx.core.view.accessibility.n0.m2912(accessibilityEvent, nestedScrollView.getScrollX());
            androidx.core.view.accessibility.n0.m2913(accessibilityEvent, nestedScrollView.getScrollRange());
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, androidx.core.view.accessibility.j0 j0Var) {
            int scrollRange;
            super.mo28(view, j0Var);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            j0Var.m2834(ScrollView.class.getName());
            if (nestedScrollView.isEnabled() && (scrollRange = nestedScrollView.getScrollRange()) > 0) {
                j0Var.m2853(true);
                if (nestedScrollView.getScrollY() > 0) {
                    j0Var.m2855(j0.a.f3095);
                    j0Var.m2855(j0.a.f3066);
                }
                if (nestedScrollView.getScrollY() < scrollRange) {
                    j0Var.m2855(j0.a.f3093);
                    j0Var.m2855(j0.a.f3067);
                }
            }
        }

        @Override // androidx.core.view.a
        /* renamed from: ˋ */
        public boolean mo2777(View view, int i6, Bundle bundle) {
            if (super.mo2777(view, i6, bundle)) {
                return true;
            }
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            if (!nestedScrollView.isEnabled()) {
                return false;
            }
            int height = nestedScrollView.getHeight();
            Rect rect = new Rect();
            if (nestedScrollView.getMatrix().isIdentity() && nestedScrollView.getGlobalVisibleRect(rect)) {
                height = rect.height();
            }
            if (i6 != 4096) {
                if (i6 != 8192 && i6 != 16908344) {
                    if (i6 != 16908346) {
                        return false;
                    }
                } else {
                    int max = Math.max(nestedScrollView.getScrollY() - ((height - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), 0);
                    if (max == nestedScrollView.getScrollY()) {
                        return false;
                    }
                    nestedScrollView.m3645(0, max, true);
                    return true;
                }
            }
            int min = Math.min(nestedScrollView.getScrollY() + ((height - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), nestedScrollView.getScrollRange());
            if (min == nestedScrollView.getScrollY()) {
                return false;
            }
            nestedScrollView.m3645(0, min, true);
            return true;
        }
    }

    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m3649(ViewGroup viewGroup) {
            boolean clipToPadding;
            clipToPadding = viewGroup.getClipToPadding();
            return clipToPadding;
        }
    }

    /* loaded from: classes.dex */
    public interface c {
        /* renamed from: ʻ */
        void mo551(NestedScrollView nestedScrollView, int i6, int i7, int i8, int i9);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class d extends View.BaseSavedState {
        public static final Parcelable.Creator<d> CREATOR = new a();

        /* renamed from: ʾ  reason: contains not printable characters */
        public int f3304;

        /* loaded from: classes.dex */
        class a implements Parcelable.Creator<d> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public d createFromParcel(Parcel parcel) {
                return new d(parcel);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʼ  reason: contains not printable characters */
            public d[] newArray(int i6) {
                return new d[i6];
            }
        }

        d(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "HorizontalScrollView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " scrollPosition=" + this.f3304 + "}";
        }

        @Override // android.view.View.BaseSavedState, android.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeInt(this.f3304);
        }

        d(Parcel parcel) {
            super(parcel);
            this.f3304 = parcel.readInt();
        }
    }

    public NestedScrollView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, t.a.nestedScrollViewStyle);
    }

    private float getVerticalScrollFactorCompat() {
        if (this.f3277 == 0.0f) {
            TypedValue typedValue = new TypedValue();
            Context context = getContext();
            if (context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                this.f3277 = typedValue.getDimension(context.getResources().getDisplayMetrics());
            } else {
                throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
            }
        }
        return this.f3277;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m3606() {
        this.f3282.abortAnimation();
        m3640(1);
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private boolean m3607(View view) {
        return !m3608(view, 0, getHeight());
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private boolean m3608(View view, int i6, int i7) {
        view.getDrawingRect(this.f3281);
        offsetDescendantRectToMyCoords(view, this.f3281);
        if (this.f3281.bottom + i6 >= getScrollY() && this.f3281.top - i6 <= getScrollY() + i7) {
            return true;
        }
        return false;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m3609() {
        int overScrollMode = getOverScrollMode();
        if (overScrollMode == 0) {
            return true;
        }
        if (overScrollMode == 1 && getScrollRange() > 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private static boolean m3610(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        if ((parent instanceof ViewGroup) && m3610((View) parent, view2)) {
            return true;
        }
        return false;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m3611() {
        if (getChildCount() <= 0) {
            return false;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        if (childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin <= (getHeight() - getPaddingTop()) - getPaddingBottom()) {
            return false;
        }
        return true;
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private void m3612(MotionEvent motionEvent) {
        int i6;
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f3298) {
            if (actionIndex == 0) {
                i6 = 1;
            } else {
                i6 = 0;
            }
            this.f3285 = (int) motionEvent.getY(i6);
            this.f3298 = motionEvent.getPointerId(i6);
            VelocityTracker velocityTracker = this.f3290;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static int m3613(int i6, int i7, int i8) {
        if (i7 < i8 && i6 >= 0) {
            if (i7 + i6 > i8) {
                return i8 - i7;
            }
            return i6;
        }
        return 0;
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private void m3614(int i6, int i7, int[] iArr) {
        int scrollY = getScrollY();
        scrollBy(0, i6);
        int scrollY2 = getScrollY() - scrollY;
        if (iArr != null) {
            iArr[1] = iArr[1] + scrollY2;
        }
        this.f3295.m3164(0, scrollY2, 0, i6 - scrollY2, null, i7, iArr);
    }

    /* JADX WARN: Removed duplicated region for block: B:15:0x0061  */
    /* renamed from: ˈˈ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private int m3615(int i6, float f6) {
        float m3771;
        int round;
        float width = f6 / getWidth();
        float height = i6 / getHeight();
        float f7 = 0.0f;
        if (l.m3769(this.f3283) != 0.0f) {
            m3771 = -l.m3771(this.f3283, -height, width);
            if (l.m3769(this.f3283) == 0.0f) {
                this.f3283.onRelease();
            }
        } else {
            if (l.m3769(this.f3284) != 0.0f) {
                m3771 = l.m3771(this.f3284, height, 1.0f - width);
                if (l.m3769(this.f3284) == 0.0f) {
                    this.f3284.onRelease();
                }
            }
            round = Math.round(f7 * getHeight());
            if (round != 0) {
                invalidate();
            }
            return round;
        }
        f7 = m3771;
        round = Math.round(f7 * getHeight());
        if (round != 0) {
        }
        return round;
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private void m3616() {
        VelocityTracker velocityTracker = this.f3290;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f3290 = null;
        }
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private boolean m3617(int i6, int i7, int i8) {
        boolean z5;
        int i9;
        int height = getHeight();
        int scrollY = getScrollY();
        int i10 = height + scrollY;
        boolean z6 = false;
        if (i6 == 33) {
            z5 = true;
        } else {
            z5 = false;
        }
        View m3628 = m3628(z5, i7, i8);
        if (m3628 == null) {
            m3628 = this;
        }
        if (i7 < scrollY || i8 > i10) {
            if (z5) {
                i9 = i7 - scrollY;
            } else {
                i9 = i8 - i10;
            }
            m3623(i9);
            z6 = true;
        }
        if (m3628 != findFocus()) {
            m3628.requestFocus(i6);
        }
        return z6;
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private void m3618(boolean z5) {
        if (z5) {
            m3647(2, 1);
        } else {
            m3640(1);
        }
        this.f3302 = getScrollY();
        z0.m3381(this);
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private boolean m3619(Rect rect, boolean z5) {
        boolean z6;
        int m3634 = m3634(rect);
        if (m3634 != 0) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6) {
            if (z5) {
                scrollBy(0, m3634);
            } else {
                m3643(0, m3634);
            }
        }
        return z6;
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private void m3620(View view) {
        view.getDrawingRect(this.f3281);
        offsetDescendantRectToMyCoords(view, this.f3281);
        int m3634 = m3634(this.f3281);
        if (m3634 != 0) {
            scrollBy(0, m3634);
        }
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean m3621(EdgeEffect edgeEffect, int i6) {
        if (i6 > 0) {
            return true;
        }
        if (m3629(-i6) < l.m3769(edgeEffect) * getHeight()) {
            return true;
        }
        return false;
    }

    /* renamed from: יי  reason: contains not printable characters */
    private void m3622(int i6, int i7, int i8, boolean z5) {
        if (getChildCount() == 0) {
            return;
        }
        if (AnimationUtils.currentAnimationTimeMillis() - this.f3280 > 250) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int scrollY = getScrollY();
            OverScroller overScroller = this.f3282;
            int scrollX = getScrollX();
            overScroller.startScroll(scrollX, scrollY, 0, Math.max(0, Math.min(i7 + scrollY, Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom())))) - scrollY, i8);
            m3618(z5);
        } else {
            if (!this.f3282.isFinished()) {
                m3606();
            }
            scrollBy(i6, i7);
        }
        this.f3280 = AnimationUtils.currentAnimationTimeMillis();
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private void m3623(int i6) {
        if (i6 != 0) {
            if (this.f3292) {
                m3643(0, i6);
            } else {
                scrollBy(0, i6);
            }
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean m3624(int i6) {
        if (l.m3769(this.f3283) != 0.0f) {
            if (m3621(this.f3283, i6)) {
                this.f3283.onAbsorb(i6);
            } else {
                m3644(-i6);
            }
        } else if (l.m3769(this.f3284) != 0.0f) {
            int i7 = -i6;
            if (m3621(this.f3284, i7)) {
                this.f3284.onAbsorb(i7);
            } else {
                m3644(i7);
            }
        } else {
            return false;
        }
        return true;
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private void m3625() {
        this.f3282 = new OverScroller(getContext());
        setFocusable(true);
        setDescendantFocusability(262144);
        setWillNotDraw(false);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.f3294 = viewConfiguration.getScaledTouchSlop();
        this.f3296 = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f3297 = viewConfiguration.getScaledMaximumFlingVelocity();
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private void m3626() {
        this.f3289 = false;
        m3616();
        m3640(0);
        this.f3283.onRelease();
        this.f3284.onRelease();
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private void m3627() {
        if (this.f3290 == null) {
            this.f3290 = VelocityTracker.obtain();
        }
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private View m3628(boolean z5, int i6, int i7) {
        boolean z6;
        boolean z7;
        ArrayList<View> focusables = getFocusables(2);
        int size = focusables.size();
        View view = null;
        boolean z8 = false;
        for (int i8 = 0; i8 < size; i8++) {
            View view2 = focusables.get(i8);
            int top = view2.getTop();
            int bottom = view2.getBottom();
            if (i6 < bottom && top < i7) {
                if (i6 < top && bottom < i7) {
                    z6 = true;
                } else {
                    z6 = false;
                }
                if (view == null) {
                    view = view2;
                    z8 = z6;
                } else {
                    if ((z5 && top < view.getTop()) || (!z5 && bottom > view.getBottom())) {
                        z7 = true;
                    } else {
                        z7 = false;
                    }
                    if (z8) {
                        if (z6) {
                            if (!z7) {
                            }
                            view = view2;
                        }
                    } else if (z6) {
                        view = view2;
                        z8 = true;
                    } else {
                        if (!z7) {
                        }
                        view = view2;
                    }
                }
            }
        }
        return view;
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private float m3629(int i6) {
        double log = Math.log((Math.abs(i6) * 0.35f) / (this.f3279 * 0.015f));
        float f6 = f3274;
        double d6 = f6;
        Double.isNaN(d6);
        double d7 = this.f3279 * 0.015f;
        double d8 = f6;
        Double.isNaN(d8);
        double exp = Math.exp((d8 / (d6 - 1.0d)) * log);
        Double.isNaN(d7);
        return (float) (d7 * exp);
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private boolean m3630(MotionEvent motionEvent) {
        boolean z5;
        if (l.m3769(this.f3283) != 0.0f) {
            l.m3771(this.f3283, 0.0f, motionEvent.getX() / getWidth());
            z5 = true;
        } else {
            z5 = false;
        }
        if (l.m3769(this.f3284) != 0.0f) {
            l.m3771(this.f3284, 0.0f, 1.0f - (motionEvent.getX() / getWidth()));
            return true;
        }
        return z5;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private boolean m3631(int i6, int i7) {
        if (getChildCount() <= 0) {
            return false;
        }
        int scrollY = getScrollY();
        View childAt = getChildAt(0);
        if (i7 < childAt.getTop() - scrollY || i7 >= childAt.getBottom() - scrollY || i6 < childAt.getLeft() || i6 >= childAt.getRight()) {
            return false;
        }
        return true;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private void m3632() {
        VelocityTracker velocityTracker = this.f3290;
        if (velocityTracker == null) {
            this.f3290 = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view) {
        if (getChildCount() <= 0) {
            super.addView(view);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // android.view.View
    public int computeHorizontalScrollExtent() {
        return super.computeHorizontalScrollExtent();
    }

    @Override // android.view.View
    public int computeHorizontalScrollOffset() {
        return super.computeHorizontalScrollOffset();
    }

    @Override // android.view.View
    public int computeHorizontalScrollRange() {
        return super.computeHorizontalScrollRange();
    }

    @Override // android.view.View
    public void computeScroll() {
        if (this.f3282.isFinished()) {
            return;
        }
        this.f3282.computeScrollOffset();
        int currY = this.f3282.getCurrY();
        int m3636 = m3636(currY - this.f3302);
        this.f3302 = currY;
        int[] iArr = this.f3300;
        boolean z5 = false;
        iArr[1] = 0;
        m3637(0, m3636, iArr, null, 1);
        int i6 = m3636 - this.f3300[1];
        int scrollRange = getScrollRange();
        if (i6 != 0) {
            int scrollY = getScrollY();
            m3639(0, i6, getScrollX(), scrollY, 0, scrollRange, 0, 0, false);
            int scrollY2 = getScrollY() - scrollY;
            int i7 = i6 - scrollY2;
            int[] iArr2 = this.f3300;
            iArr2[1] = 0;
            m3638(0, scrollY2, 0, i7, this.f3299, 1, iArr2);
            i6 = i7 - this.f3300[1];
        }
        if (i6 != 0) {
            int overScrollMode = getOverScrollMode();
            if (overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0)) {
                z5 = true;
            }
            if (z5) {
                if (i6 < 0) {
                    if (this.f3283.isFinished()) {
                        this.f3283.onAbsorb((int) this.f3282.getCurrVelocity());
                    }
                } else if (this.f3284.isFinished()) {
                    this.f3284.onAbsorb((int) this.f3282.getCurrVelocity());
                }
            }
            m3606();
        }
        if (!this.f3282.isFinished()) {
            z0.m3381(this);
        } else {
            m3640(1);
        }
    }

    @Override // android.view.View
    public int computeVerticalScrollExtent() {
        return super.computeVerticalScrollExtent();
    }

    @Override // android.view.View
    public int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    @Override // android.view.View
    public int computeVerticalScrollRange() {
        int childCount = getChildCount();
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (childCount == 0) {
            return height;
        }
        View childAt = getChildAt(0);
        int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
        int scrollY = getScrollY();
        int max = Math.max(0, bottom - height);
        if (scrollY < 0) {
            return bottom - scrollY;
        }
        if (scrollY > max) {
            return bottom + (scrollY - max);
        }
        return bottom;
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (!super.dispatchKeyEvent(keyEvent) && !m3641(keyEvent)) {
            return false;
        }
        return true;
    }

    @Override // android.view.View
    public boolean dispatchNestedFling(float f6, float f7, boolean z5) {
        return this.f3295.m3160(f6, f7, z5);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreFling(float f6, float f7) {
        return this.f3295.m3161(f6, f7);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreScroll(int i6, int i7, int[] iArr, int[] iArr2) {
        return m3637(i6, i7, iArr, iArr2, 0);
    }

    @Override // android.view.View
    public boolean dispatchNestedScroll(int i6, int i7, int i8, int i9, int[] iArr) {
        return this.f3295.m3165(i6, i7, i8, i9, iArr);
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        int paddingLeft;
        super.draw(canvas);
        int scrollY = getScrollY();
        int i6 = 0;
        if (!this.f3283.isFinished()) {
            int save = canvas.save();
            int width = getWidth();
            int height = getHeight();
            int min = Math.min(0, scrollY);
            int i7 = Build.VERSION.SDK_INT;
            if (i7 >= 21 && !b.m3649(this)) {
                paddingLeft = 0;
            } else {
                width -= getPaddingLeft() + getPaddingRight();
                paddingLeft = getPaddingLeft() + 0;
            }
            if (i7 >= 21 && b.m3649(this)) {
                height -= getPaddingTop() + getPaddingBottom();
                min += getPaddingTop();
            }
            canvas.translate(paddingLeft, min);
            this.f3283.setSize(width, height);
            if (this.f3283.draw(canvas)) {
                z0.m3381(this);
            }
            canvas.restoreToCount(save);
        }
        if (!this.f3284.isFinished()) {
            int save2 = canvas.save();
            int width2 = getWidth();
            int height2 = getHeight();
            int max = Math.max(getScrollRange(), scrollY) + height2;
            int i8 = Build.VERSION.SDK_INT;
            if (i8 < 21 || b.m3649(this)) {
                width2 -= getPaddingLeft() + getPaddingRight();
                i6 = 0 + getPaddingLeft();
            }
            if (i8 >= 21 && b.m3649(this)) {
                height2 -= getPaddingTop() + getPaddingBottom();
                max -= getPaddingBottom();
            }
            canvas.translate(i6 - width2, max);
            canvas.rotate(180.0f, width2, 0.0f);
            this.f3284.setSize(width2, height2);
            if (this.f3284.draw(canvas)) {
                z0.m3381(this);
            }
            canvas.restoreToCount(save2);
        }
    }

    @Override // android.view.View
    protected float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        View childAt = getChildAt(0);
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = ((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - getScrollY()) - (getHeight() - getPaddingBottom());
        if (bottom < verticalFadingEdgeLength) {
            return bottom / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    public int getMaxScrollAmount() {
        return (int) (getHeight() * 0.5f);
    }

    @Override // android.view.ViewGroup
    public int getNestedScrollAxes() {
        return this.f3293.m3212();
    }

    int getScrollRange() {
        if (getChildCount() <= 0) {
            return 0;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        return Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom()));
    }

    @Override // android.view.View
    protected float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        if (scrollY < verticalFadingEdgeLength) {
            return scrollY / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    @Override // android.view.View
    public boolean hasNestedScrollingParent() {
        return m3648(0);
    }

    @Override // android.view.View, androidx.core.view.m0
    public boolean isNestedScrollingEnabled() {
        return this.f3295.m3168();
    }

    @Override // android.view.ViewGroup
    protected void measureChild(View view, int i6, int i7) {
        view.measure(ViewGroup.getChildMeasureSpec(i6, getPaddingLeft() + getPaddingRight(), view.getLayoutParams().width), View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    @Override // android.view.ViewGroup
    protected void measureChildWithMargins(View view, int i6, int i7, int i8, int i9) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        view.measure(ViewGroup.getChildMeasureSpec(i6, getPaddingLeft() + getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i7, marginLayoutParams.width), View.MeasureSpec.makeMeasureSpec(marginLayoutParams.topMargin + marginLayoutParams.bottomMargin, 0));
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f3287 = false;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Override // android.view.View
    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        float f6;
        boolean z5;
        boolean z6;
        boolean z7;
        int i6 = 0;
        if (motionEvent.getAction() == 8 && !this.f3289) {
            if (androidx.core.view.l0.m3135(motionEvent, 2)) {
                f6 = motionEvent.getAxisValue(9);
            } else if (androidx.core.view.l0.m3135(motionEvent, 4194304)) {
                f6 = motionEvent.getAxisValue(26);
            } else {
                f6 = 0.0f;
            }
            if (f6 != 0.0f) {
                int scrollRange = getScrollRange();
                int scrollY = getScrollY();
                int verticalScrollFactorCompat = scrollY - ((int) (f6 * getVerticalScrollFactorCompat()));
                if (verticalScrollFactorCompat < 0) {
                    if (m3609() && !androidx.core.view.l0.m3135(motionEvent, 8194)) {
                        z7 = true;
                    } else {
                        z7 = false;
                    }
                    if (z7) {
                        l.m3771(this.f3283, (-verticalScrollFactorCompat) / getHeight(), 0.5f);
                        this.f3283.onRelease();
                        invalidate();
                        z6 = 1;
                    }
                    z6 = 0;
                } else if (verticalScrollFactorCompat > scrollRange) {
                    if (m3609() && !androidx.core.view.l0.m3135(motionEvent, 8194)) {
                        z5 = true;
                    } else {
                        z5 = false;
                    }
                    if (z5) {
                        l.m3771(this.f3284, (verticalScrollFactorCompat - scrollRange) / getHeight(), 0.5f);
                        this.f3284.onRelease();
                        invalidate();
                        i6 = 1;
                    }
                    z6 = i6;
                    i6 = scrollRange;
                } else {
                    i6 = verticalScrollFactorCompat;
                    z6 = 0;
                }
                if (i6 != scrollY) {
                    super.scrollTo(getScrollX(), i6);
                    return true;
                }
                return z6;
            }
        }
        return false;
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        boolean z5 = true;
        if (action == 2 && this.f3289) {
            return true;
        }
        int i6 = action & 255;
        if (i6 != 0) {
            if (i6 != 1) {
                if (i6 != 2) {
                    if (i6 != 3) {
                        if (i6 == 6) {
                            m3612(motionEvent);
                        }
                    }
                } else {
                    int i7 = this.f3298;
                    if (i7 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i7);
                        if (findPointerIndex == -1) {
                            Log.e("NestedScrollView", "Invalid pointerId=" + i7 + " in onInterceptTouchEvent");
                        } else {
                            int y5 = (int) motionEvent.getY(findPointerIndex);
                            if (Math.abs(y5 - this.f3285) > this.f3294 && (2 & getNestedScrollAxes()) == 0) {
                                this.f3289 = true;
                                this.f3285 = y5;
                                m3627();
                                this.f3290.addMovement(motionEvent);
                                this.f3301 = 0;
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                }
            }
            this.f3289 = false;
            this.f3298 = -1;
            m3616();
            if (this.f3282.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                z0.m3381(this);
            }
            m3640(0);
        } else {
            int y6 = (int) motionEvent.getY();
            if (!m3631((int) motionEvent.getX(), y6)) {
                if (!m3630(motionEvent) && this.f3282.isFinished()) {
                    z5 = false;
                }
                this.f3289 = z5;
                m3616();
            } else {
                this.f3285 = y6;
                this.f3298 = motionEvent.getPointerId(0);
                m3632();
                this.f3290.addMovement(motionEvent);
                this.f3282.computeScrollOffset();
                if (!m3630(motionEvent) && this.f3282.isFinished()) {
                    z5 = false;
                }
                this.f3289 = z5;
                m3647(2, 0);
            }
        }
        return this.f3289;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        int i10 = 0;
        this.f3286 = false;
        View view = this.f3288;
        if (view != null && m3610(view, this)) {
            m3620(this.f3288);
        }
        this.f3288 = null;
        if (!this.f3287) {
            if (this.f3303 != null) {
                scrollTo(getScrollX(), this.f3303.f3304);
                this.f3303 = null;
            }
            if (getChildCount() > 0) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                i10 = childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            }
            int paddingTop = ((i9 - i7) - getPaddingTop()) - getPaddingBottom();
            int scrollY = getScrollY();
            int m3613 = m3613(scrollY, paddingTop, i10);
            if (m3613 != scrollY) {
                scrollTo(getScrollX(), m3613);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.f3287 = true;
    }

    @Override // android.widget.FrameLayout, android.view.View
    protected void onMeasure(int i6, int i7) {
        super.onMeasure(i6, i7);
        if (this.f3291 && View.MeasureSpec.getMode(i7) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int measuredHeight2 = (((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom()) - layoutParams.topMargin) - layoutParams.bottomMargin;
            if (measuredHeight < measuredHeight2) {
                childAt.measure(ViewGroup.getChildMeasureSpec(i6, getPaddingLeft() + getPaddingRight() + layoutParams.leftMargin + layoutParams.rightMargin, layoutParams.width), View.MeasureSpec.makeMeasureSpec(measuredHeight2, 1073741824));
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public boolean onNestedFling(View view, float f6, float f7, boolean z5) {
        if (!z5) {
            dispatchNestedFling(0.0f, f7, true);
            m3644((int) f7);
            return true;
        }
        return false;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public boolean onNestedPreFling(View view, float f6, float f7) {
        return dispatchNestedPreFling(f6, f7);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public void onNestedPreScroll(View view, int i6, int i7, int[] iArr) {
        mo1158(view, i6, i7, iArr, 0);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public void onNestedScroll(View view, int i6, int i7, int i8, int i9) {
        m3614(i9, 0, null);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public void onNestedScrollAccepted(View view, View view2, int i6) {
        mo1156(view, view2, i6, 0);
    }

    @Override // android.view.View
    protected void onOverScrolled(int i6, int i7, boolean z5, boolean z6) {
        super.scrollTo(i6, i7);
    }

    @Override // android.view.ViewGroup
    protected boolean onRequestFocusInDescendants(int i6, Rect rect) {
        View findNextFocusFromRect;
        if (i6 == 2) {
            i6 = 130;
        } else if (i6 == 1) {
            i6 = 33;
        }
        if (rect == null) {
            findNextFocusFromRect = FocusFinder.getInstance().findNextFocus(this, null, i6);
        } else {
            findNextFocusFromRect = FocusFinder.getInstance().findNextFocusFromRect(this, rect, i6);
        }
        if (findNextFocusFromRect == null || m3607(findNextFocusFromRect)) {
            return false;
        }
        return findNextFocusFromRect.requestFocus(i6, rect);
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof d)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        d dVar = (d) parcelable;
        super.onRestoreInstanceState(dVar.getSuperState());
        this.f3303 = dVar;
        requestLayout();
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        d dVar = new d(super.onSaveInstanceState());
        dVar.f3304 = getScrollY();
        return dVar;
    }

    @Override // android.view.View
    protected void onScrollChanged(int i6, int i7, int i8, int i9) {
        super.onScrollChanged(i6, i7, i8, i9);
        c cVar = this.f3278;
        if (cVar != null) {
            cVar.mo551(this, i6, i7, i8, i9);
        }
    }

    @Override // android.view.View
    protected void onSizeChanged(int i6, int i7, int i8, int i9) {
        super.onSizeChanged(i6, i7, i8, i9);
        View findFocus = findFocus();
        if (findFocus != null && this != findFocus && m3608(findFocus, 0, i9)) {
            findFocus.getDrawingRect(this.f3281);
            offsetDescendantRectToMyCoords(findFocus, this.f3281);
            m3623(m3634(this.f3281));
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public boolean onStartNestedScroll(View view, View view2, int i6) {
        return mo1163(view, view2, i6, 0);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.q0
    public void onStopNestedScroll(View view) {
        mo1157(view, 0);
    }

    /* JADX WARN: Removed duplicated region for block: B:78:0x01d6  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        boolean z5;
        boolean z6;
        m3627();
        int actionMasked = motionEvent.getActionMasked();
        boolean z7 = false;
        if (actionMasked == 0) {
            this.f3301 = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.offsetLocation(0.0f, this.f3301);
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked != 2) {
                    if (actionMasked != 3) {
                        if (actionMasked != 5) {
                            if (actionMasked == 6) {
                                m3612(motionEvent);
                                this.f3285 = (int) motionEvent.getY(motionEvent.findPointerIndex(this.f3298));
                            }
                        } else {
                            int actionIndex = motionEvent.getActionIndex();
                            this.f3285 = (int) motionEvent.getY(actionIndex);
                            this.f3298 = motionEvent.getPointerId(actionIndex);
                        }
                    } else {
                        if (this.f3289 && getChildCount() > 0 && this.f3282.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                            z0.m3381(this);
                        }
                        this.f3298 = -1;
                        m3626();
                    }
                } else {
                    int findPointerIndex = motionEvent.findPointerIndex(this.f3298);
                    if (findPointerIndex == -1) {
                        Log.e("NestedScrollView", "Invalid pointerId=" + this.f3298 + " in onTouchEvent");
                    } else {
                        int y5 = (int) motionEvent.getY(findPointerIndex);
                        int i6 = this.f3285 - y5;
                        int m3615 = i6 - m3615(i6, motionEvent.getX(findPointerIndex));
                        if (!this.f3289 && Math.abs(m3615) > this.f3294) {
                            ViewParent parent2 = getParent();
                            if (parent2 != null) {
                                parent2.requestDisallowInterceptTouchEvent(true);
                            }
                            this.f3289 = true;
                            m3615 = m3615 > 0 ? m3615 - this.f3294 : m3615 + this.f3294;
                        }
                        int i7 = m3615;
                        if (this.f3289) {
                            if (m3637(0, i7, this.f3300, this.f3299, 0)) {
                                i7 -= this.f3300[1];
                                this.f3301 += this.f3299[1];
                            }
                            int i8 = i7;
                            this.f3285 = y5 - this.f3299[1];
                            int scrollY = getScrollY();
                            int scrollRange = getScrollRange();
                            int overScrollMode = getOverScrollMode();
                            if (overScrollMode != 0 && (overScrollMode != 1 || scrollRange <= 0)) {
                                z5 = false;
                            } else {
                                z5 = true;
                            }
                            if (m3639(0, i8, 0, getScrollY(), 0, scrollRange, 0, 0, true) && !m3648(0)) {
                                z6 = true;
                            } else {
                                z6 = false;
                            }
                            int scrollY2 = getScrollY() - scrollY;
                            int[] iArr = this.f3300;
                            iArr[1] = 0;
                            m3638(0, scrollY2, 0, i8 - scrollY2, this.f3299, 0, iArr);
                            int i9 = this.f3285;
                            int i10 = this.f3299[1];
                            this.f3285 = i9 - i10;
                            this.f3301 += i10;
                            if (z5) {
                                int i11 = i8 - this.f3300[1];
                                int i12 = scrollY + i11;
                                if (i12 < 0) {
                                    l.m3771(this.f3283, (-i11) / getHeight(), motionEvent.getX(findPointerIndex) / getWidth());
                                    if (!this.f3284.isFinished()) {
                                        this.f3284.onRelease();
                                    }
                                } else if (i12 > scrollRange) {
                                    l.m3771(this.f3284, i11 / getHeight(), 1.0f - (motionEvent.getX(findPointerIndex) / getWidth()));
                                    if (!this.f3283.isFinished()) {
                                        this.f3283.onRelease();
                                    }
                                }
                                if (!this.f3283.isFinished() || !this.f3284.isFinished()) {
                                    z0.m3381(this);
                                    if (z7) {
                                        this.f3290.clear();
                                    }
                                }
                            }
                            z7 = z6;
                            if (z7) {
                            }
                        }
                    }
                }
            } else {
                VelocityTracker velocityTracker = this.f3290;
                velocityTracker.computeCurrentVelocity(1000, this.f3297);
                int yVelocity = (int) velocityTracker.getYVelocity(this.f3298);
                if (Math.abs(yVelocity) >= this.f3296) {
                    if (!m3624(yVelocity)) {
                        int i13 = -yVelocity;
                        float f6 = i13;
                        if (!dispatchNestedPreFling(0.0f, f6)) {
                            dispatchNestedFling(0.0f, f6, true);
                            m3644(i13);
                        }
                    }
                } else if (this.f3282.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                    z0.m3381(this);
                }
                this.f3298 = -1;
                m3626();
            }
        } else if (getChildCount() == 0) {
            return false;
        } else {
            if (this.f3289 && (parent = getParent()) != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            if (!this.f3282.isFinished()) {
                m3606();
            }
            this.f3285 = (int) motionEvent.getY();
            this.f3298 = motionEvent.getPointerId(0);
            m3647(2, 0);
        }
        VelocityTracker velocityTracker2 = this.f3290;
        if (velocityTracker2 != null) {
            velocityTracker2.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestChildFocus(View view, View view2) {
        if (!this.f3286) {
            m3620(view2);
        } else {
            this.f3288 = view2;
        }
        super.requestChildFocus(view, view2);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z5) {
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        return m3619(rect, z5);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestDisallowInterceptTouchEvent(boolean z5) {
        if (z5) {
            m3616();
        }
        super.requestDisallowInterceptTouchEvent(z5);
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        this.f3286 = true;
        super.requestLayout();
    }

    @Override // android.view.View
    public void scrollTo(int i6, int i7) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int m3613 = m3613(i6, (getWidth() - getPaddingLeft()) - getPaddingRight(), childAt.getWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
            int m36132 = m3613(i7, (getHeight() - getPaddingTop()) - getPaddingBottom(), childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin);
            if (m3613 != getScrollX() || m36132 != getScrollY()) {
                super.scrollTo(m3613, m36132);
            }
        }
    }

    public void setFillViewport(boolean z5) {
        if (z5 != this.f3291) {
            this.f3291 = z5;
            requestLayout();
        }
    }

    @Override // android.view.View
    public void setNestedScrollingEnabled(boolean z5) {
        this.f3295.m3169(z5);
    }

    public void setOnScrollChangeListener(c cVar) {
        this.f3278 = cVar;
    }

    public void setSmoothScrollingEnabled(boolean z5) {
        this.f3292 = z5;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup
    public boolean shouldDelayChildPressedState() {
        return true;
    }

    @Override // android.view.View
    public boolean startNestedScroll(int i6) {
        return m3647(i6, 0);
    }

    @Override // android.view.View, androidx.core.view.m0
    public void stopNestedScroll() {
        m3640(0);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m3633(int i6) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i6);
        int maxScrollAmount = getMaxScrollAmount();
        if (findNextFocus != null && m3608(findNextFocus, maxScrollAmount, getHeight())) {
            findNextFocus.getDrawingRect(this.f3281);
            offsetDescendantRectToMyCoords(findNextFocus, this.f3281);
            m3623(m3634(this.f3281));
            findNextFocus.requestFocus(i6);
        } else {
            if (i6 == 33 && getScrollY() < maxScrollAmount) {
                maxScrollAmount = getScrollY();
            } else if (i6 == 130 && getChildCount() > 0) {
                View childAt = getChildAt(0);
                maxScrollAmount = Math.min((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - ((getScrollY() + getHeight()) - getPaddingBottom()), maxScrollAmount);
            }
            if (maxScrollAmount == 0) {
                return false;
            }
            if (i6 != 130) {
                maxScrollAmount = -maxScrollAmount;
            }
            m3623(maxScrollAmount);
        }
        if (findFocus != null && findFocus.isFocused() && m3607(findFocus)) {
            int descendantFocusability = getDescendantFocusability();
            setDescendantFocusability(131072);
            requestFocus();
            setDescendantFocusability(descendantFocusability);
            return true;
        }
        return true;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    protected int m3634(Rect rect) {
        int i6;
        int i7;
        int i8;
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i9 = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        if (rect.bottom < childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin) {
            i6 = i9 - verticalFadingEdgeLength;
        } else {
            i6 = i9;
        }
        int i10 = rect.bottom;
        if (i10 > i6 && rect.top > scrollY) {
            if (rect.height() > height) {
                i8 = rect.top - scrollY;
            } else {
                i8 = rect.bottom - i6;
            }
            return Math.min(i8 + 0, (childAt.getBottom() + layoutParams.bottomMargin) - i9);
        } else if (rect.top >= scrollY || i10 >= i6) {
            return 0;
        } else {
            if (rect.height() > height) {
                i7 = 0 - (i6 - rect.bottom);
            } else {
                i7 = 0 - (scrollY - rect.top);
            }
            return Math.max(i7, -getScrollY());
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    public boolean m3635(int i6) {
        boolean z5;
        if (i6 == 130) {
            z5 = true;
        } else {
            z5 = false;
        }
        int height = getHeight();
        if (z5) {
            this.f3281.top = getScrollY() + height;
            int childCount = getChildCount();
            if (childCount > 0) {
                View childAt = getChildAt(childCount - 1);
                int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
                Rect rect = this.f3281;
                if (rect.top + height > bottom) {
                    rect.top = bottom - height;
                }
            }
        } else {
            this.f3281.top = getScrollY() - height;
            Rect rect2 = this.f3281;
            if (rect2.top < 0) {
                rect2.top = 0;
            }
        }
        Rect rect3 = this.f3281;
        int i7 = rect3.top;
        int i8 = height + i7;
        rect3.bottom = i8;
        return m3617(i6, i7, i8);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    int m3636(int i6) {
        int height = getHeight();
        if (i6 > 0 && l.m3769(this.f3283) != 0.0f) {
            int round = Math.round(((-height) / 4.0f) * l.m3771(this.f3283, ((-i6) * 4.0f) / height, 0.5f));
            if (round != i6) {
                this.f3283.finish();
            }
            return i6 - round;
        } else if (i6 < 0 && l.m3769(this.f3284) != 0.0f) {
            float f6 = height;
            int round2 = Math.round((f6 / 4.0f) * l.m3771(this.f3284, (i6 * 4.0f) / f6, 0.5f));
            if (round2 != i6) {
                this.f3284.finish();
            }
            return i6 - round2;
        } else {
            return i6;
        }
    }

    @Override // androidx.core.view.o0
    /* renamed from: ˉ */
    public void mo1156(View view, View view2, int i6, int i7) {
        this.f3293.m3214(view, view2, i6, i7);
        m3647(2, i7);
    }

    @Override // androidx.core.view.o0
    /* renamed from: ˊ */
    public void mo1157(View view, int i6) {
        this.f3293.m3216(view, i6);
        m3640(i6);
    }

    @Override // androidx.core.view.o0
    /* renamed from: ˋ */
    public void mo1158(View view, int i6, int i7, int[] iArr, int i8) {
        m3637(i6, i7, iArr, null, i8);
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public boolean m3637(int i6, int i7, int[] iArr, int[] iArr2, int i8) {
        return this.f3295.m3163(i6, i7, iArr, iArr2, i8);
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public void m3638(int i6, int i7, int i8, int i9, int[] iArr, int i10, int[] iArr2) {
        this.f3295.m3164(i6, i7, i8, i9, iArr, i10, iArr2);
    }

    @Override // androidx.core.view.p0
    /* renamed from: ˑ */
    public void mo1161(View view, int i6, int i7, int i8, int i9, int i10, int[] iArr) {
        m3614(i9, i10, iArr);
    }

    @Override // androidx.core.view.o0
    /* renamed from: י */
    public void mo1162(View view, int i6, int i7, int i8, int i9, int i10) {
        m3614(i9, i10, null);
    }

    @Override // androidx.core.view.o0
    /* renamed from: ـ */
    public boolean mo1163(View view, View view2, int i6, int i7) {
        if ((i6 & 2) != 0) {
            return true;
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:38:0x0057  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x005a  */
    /* JADX WARN: Removed duplicated region for block: B:44:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:49:0x0083 A[ADDED_TO_REGION] */
    /* renamed from: ــ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    boolean m3639(int i6, int i7, int i8, int i9, int i10, int i11, int i12, int i13, boolean z5) {
        boolean z6;
        boolean z7;
        boolean z8;
        boolean z9;
        int i14;
        int i15;
        boolean z10;
        boolean z11;
        int overScrollMode = getOverScrollMode();
        if (computeHorizontalScrollRange() > computeHorizontalScrollExtent()) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (computeVerticalScrollRange() > computeVerticalScrollExtent()) {
            z7 = true;
        } else {
            z7 = false;
        }
        if (overScrollMode != 0 && (overScrollMode != 1 || !z6)) {
            z8 = false;
        } else {
            z8 = true;
        }
        if (overScrollMode != 0 && (overScrollMode != 1 || !z7)) {
            z9 = false;
        } else {
            z9 = true;
        }
        int i16 = i8 + i6;
        if (!z8) {
            i14 = 0;
        } else {
            i14 = i12;
        }
        int i17 = i9 + i7;
        if (!z9) {
            i15 = 0;
        } else {
            i15 = i13;
        }
        int i18 = -i14;
        int i19 = i14 + i10;
        int i20 = -i15;
        int i21 = i15 + i11;
        if (i16 > i19) {
            i16 = i19;
        } else if (i16 < i18) {
            i16 = i18;
        } else {
            z10 = false;
            if (i17 <= i21) {
                i17 = i21;
            } else if (i17 < i20) {
                i17 = i20;
            } else {
                z11 = false;
                if (z11 && !m3648(1)) {
                    this.f3282.springBack(i16, i17, 0, 0, 0, getScrollRange());
                }
                onOverScrolled(i16, i17, z10, z11);
                if (z10 && !z11) {
                    return false;
                }
                return true;
            }
            z11 = true;
            if (z11) {
                this.f3282.springBack(i16, i17, 0, 0, 0, getScrollRange());
            }
            onOverScrolled(i16, i17, z10, z11);
            if (z10) {
            }
            return true;
        }
        z10 = true;
        if (i17 <= i21) {
        }
        z11 = true;
        if (z11) {
        }
        onOverScrolled(i16, i17, z10, z11);
        if (z10) {
        }
        return true;
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    public void m3640(int i6) {
        this.f3295.m3173(i6);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public boolean m3641(KeyEvent keyEvent) {
        this.f3281.setEmpty();
        int i6 = 130;
        if (!m3611()) {
            if (!isFocused() || keyEvent.getKeyCode() == 4) {
                return false;
            }
            View findFocus = findFocus();
            if (findFocus == this) {
                findFocus = null;
            }
            View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
            if (findNextFocus == null || findNextFocus == this || !findNextFocus.requestFocus(130)) {
                return false;
            }
            return true;
        } else if (keyEvent.getAction() != 0) {
            return false;
        } else {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 19) {
                if (keyCode != 20) {
                    if (keyCode != 62) {
                        return false;
                    }
                    if (keyEvent.isShiftPressed()) {
                        i6 = 33;
                    }
                    m3635(i6);
                    return false;
                } else if (!keyEvent.isAltPressed()) {
                    return m3633(130);
                } else {
                    return m3646(130);
                }
            } else if (!keyEvent.isAltPressed()) {
                return m3633(33);
            } else {
                return m3646(33);
            }
        }
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    void m3642(int i6, int i7, int i8, boolean z5) {
        m3622(i6 - getScrollX(), i7 - getScrollY(), i8, z5);
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public final void m3643(int i6, int i7) {
        m3622(i6, i7, 250, false);
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public void m3644(int i6) {
        if (getChildCount() > 0) {
            this.f3282.fling(getScrollX(), getScrollY(), 0, i6, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE, 0, 0);
            m3618(true);
        }
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    void m3645(int i6, int i7, boolean z5) {
        m3642(i6, i7, 250, z5);
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    public boolean m3646(int i6) {
        boolean z5;
        int childCount;
        if (i6 == 130) {
            z5 = true;
        } else {
            z5 = false;
        }
        int height = getHeight();
        Rect rect = this.f3281;
        rect.top = 0;
        rect.bottom = height;
        if (z5 && (childCount = getChildCount()) > 0) {
            View childAt = getChildAt(childCount - 1);
            this.f3281.bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
            Rect rect2 = this.f3281;
            rect2.top = rect2.bottom - height;
        }
        Rect rect3 = this.f3281;
        return m3617(i6, rect3.top, rect3.bottom);
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    public boolean m3647(int i6, int i7) {
        return this.f3295.m3171(i6, i7);
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public boolean m3648(int i6) {
        return this.f3295.m3167(i6);
    }

    public NestedScrollView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f3281 = new Rect();
        this.f3286 = true;
        this.f3287 = false;
        this.f3288 = null;
        this.f3289 = false;
        this.f3292 = true;
        this.f3298 = -1;
        this.f3299 = new int[2];
        this.f3300 = new int[2];
        this.f3283 = l.m3768(context, attributeSet);
        this.f3284 = l.m3768(context, attributeSet);
        this.f3279 = context.getResources().getDisplayMetrics().density * 160.0f * 386.0878f * 0.84f;
        m3625();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f3275, i6, 0);
        setFillViewport(obtainStyledAttributes.getBoolean(0, false));
        obtainStyledAttributes.recycle();
        this.f3293 = new androidx.core.view.r0(this);
        this.f3295 = new androidx.core.view.n0(this);
        setNestedScrollingEnabled(true);
        z0.m3390(this, f3276);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6) {
        if (getChildCount() <= 0) {
            super.addView(view, i6);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() <= 0) {
            super.addView(view, layoutParams);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() <= 0) {
            super.addView(view, i6, layoutParams);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }
}
