package androidx.core.widget;

import android.content.res.Resources;
import android.os.SystemClock;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import androidx.core.view.z0;
/* compiled from: AutoScrollHelper.java */
/* loaded from: classes.dex */
public abstract class a implements View.OnTouchListener {

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static final int f3305 = ViewConfiguration.getTapTimeout();

    /* renamed from: ˆ  reason: contains not printable characters */
    final View f3308;

    /* renamed from: ˈ  reason: contains not printable characters */
    private Runnable f3309;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f3312;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f3313;

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean f3317;

    /* renamed from: ٴ  reason: contains not printable characters */
    boolean f3318;

    /* renamed from: ᐧ  reason: contains not printable characters */
    boolean f3319;

    /* renamed from: ᴵ  reason: contains not printable characters */
    boolean f3320;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f3321;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean f3322;

    /* renamed from: ʾ  reason: contains not printable characters */
    final C0032a f3306 = new C0032a();

    /* renamed from: ʿ  reason: contains not printable characters */
    private final Interpolator f3307 = new AccelerateInterpolator();

    /* renamed from: ˉ  reason: contains not printable characters */
    private float[] f3310 = {0.0f, 0.0f};

    /* renamed from: ˊ  reason: contains not printable characters */
    private float[] f3311 = {Float.MAX_VALUE, Float.MAX_VALUE};

    /* renamed from: ˏ  reason: contains not printable characters */
    private float[] f3314 = {0.0f, 0.0f};

    /* renamed from: ˑ  reason: contains not printable characters */
    private float[] f3315 = {0.0f, 0.0f};

    /* renamed from: י  reason: contains not printable characters */
    private float[] f3316 = {Float.MAX_VALUE, Float.MAX_VALUE};

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AutoScrollHelper.java */
    /* renamed from: androidx.core.widget.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static class C0032a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private int f3323;

        /* renamed from: ʼ  reason: contains not printable characters */
        private int f3324;

        /* renamed from: ʽ  reason: contains not printable characters */
        private float f3325;

        /* renamed from: ʾ  reason: contains not printable characters */
        private float f3326;

        /* renamed from: ˋ  reason: contains not printable characters */
        private float f3332;

        /* renamed from: ˎ  reason: contains not printable characters */
        private int f3333;

        /* renamed from: ʿ  reason: contains not printable characters */
        private long f3327 = Long.MIN_VALUE;

        /* renamed from: ˊ  reason: contains not printable characters */
        private long f3331 = -1;

        /* renamed from: ˆ  reason: contains not printable characters */
        private long f3328 = 0;

        /* renamed from: ˈ  reason: contains not printable characters */
        private int f3329 = 0;

        /* renamed from: ˉ  reason: contains not printable characters */
        private int f3330 = 0;

        C0032a() {
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private float m3674(long j6) {
            long j7 = this.f3327;
            if (j6 < j7) {
                return 0.0f;
            }
            long j8 = this.f3331;
            if (j8 >= 0 && j6 >= j8) {
                float f6 = this.f3332;
                return (1.0f - f6) + (f6 * a.m3653(((float) (j6 - j8)) / this.f3333, 0.0f, 1.0f));
            }
            return a.m3653(((float) (j6 - j7)) / this.f3323, 0.0f, 1.0f) * 0.5f;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        private float m3675(float f6) {
            return ((-4.0f) * f6 * f6) + (f6 * 4.0f);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m3676() {
            if (this.f3328 != 0) {
                long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
                float m3675 = m3675(m3674(currentAnimationTimeMillis));
                this.f3328 = currentAnimationTimeMillis;
                float f6 = ((float) (currentAnimationTimeMillis - this.f3328)) * m3675;
                this.f3329 = (int) (this.f3325 * f6);
                this.f3330 = (int) (f6 * this.f3326);
                return;
            }
            throw new RuntimeException("Cannot compute scroll delta before calling start()");
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public int m3677() {
            return this.f3329;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public int m3678() {
            return this.f3330;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public int m3679() {
            float f6 = this.f3325;
            return (int) (f6 / Math.abs(f6));
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public int m3680() {
            float f6 = this.f3326;
            return (int) (f6 / Math.abs(f6));
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        public boolean m3681() {
            if (this.f3331 > 0 && AnimationUtils.currentAnimationTimeMillis() > this.f3331 + this.f3333) {
                return true;
            }
            return false;
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        public void m3682() {
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            this.f3333 = a.m3654((int) (currentAnimationTimeMillis - this.f3327), 0, this.f3324);
            this.f3332 = m3674(currentAnimationTimeMillis);
            this.f3331 = currentAnimationTimeMillis;
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        public void m3683(int i6) {
            this.f3324 = i6;
        }

        /* renamed from: ˎ  reason: contains not printable characters */
        public void m3684(int i6) {
            this.f3323 = i6;
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        public void m3685(float f6, float f7) {
            this.f3325 = f6;
            this.f3326 = f7;
        }

        /* renamed from: ˑ  reason: contains not printable characters */
        public void m3686() {
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            this.f3327 = currentAnimationTimeMillis;
            this.f3331 = -1L;
            this.f3328 = currentAnimationTimeMillis;
            this.f3332 = 0.5f;
            this.f3329 = 0;
            this.f3330 = 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AutoScrollHelper.java */
    /* loaded from: classes.dex */
    public class b implements Runnable {
        b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            a aVar = a.this;
            if (!aVar.f3320) {
                return;
            }
            if (aVar.f3318) {
                aVar.f3318 = false;
                aVar.f3306.m3686();
            }
            C0032a c0032a = a.this.f3306;
            if (!c0032a.m3681() && a.this.m3673()) {
                a aVar2 = a.this;
                if (aVar2.f3319) {
                    aVar2.f3319 = false;
                    aVar2.m3661();
                }
                c0032a.m3676();
                a.this.mo3662(c0032a.m3677(), c0032a.m3678());
                z0.m3382(a.this.f3308, this);
                return;
            }
            a.this.f3320 = false;
        }
    }

    public a(View view) {
        this.f3308 = view;
        float f6 = Resources.getSystem().getDisplayMetrics().density;
        float f7 = (int) ((1575.0f * f6) + 0.5f);
        m3667(f7, f7);
        float f8 = (int) ((f6 * 315.0f) + 0.5f);
        m3668(f8, f8);
        m3664(1);
        m3666(Float.MAX_VALUE, Float.MAX_VALUE);
        m3671(0.2f, 0.2f);
        m3672(1.0f, 1.0f);
        m3663(f3305);
        m3670(500);
        m3669(500);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private float m3652(int i6, float f6, float f7, float f8) {
        float m3656 = m3656(this.f3310[i6], f7, this.f3311[i6], f6);
        if (m3656 == 0.0f) {
            return 0.0f;
        }
        float f9 = this.f3314[i6];
        float f10 = this.f3315[i6];
        float f11 = this.f3316[i6];
        float f12 = f9 * f8;
        if (m3656 > 0.0f) {
            return m3653(m3656 * f12, f10, f11);
        }
        return -m3653((-m3656) * f12, f10, f11);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    static float m3653(float f6, float f7, float f8) {
        if (f6 > f8) {
            return f8;
        }
        if (f6 < f7) {
            return f7;
        }
        return f6;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    static int m3654(int i6, int i7, int i8) {
        if (i6 > i8) {
            return i8;
        }
        if (i6 < i7) {
            return i7;
        }
        return i6;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private float m3655(float f6, float f7) {
        if (f7 == 0.0f) {
            return 0.0f;
        }
        int i6 = this.f3312;
        if (i6 != 0 && i6 != 1) {
            if (i6 == 2 && f6 < 0.0f) {
                return f6 / (-f7);
            }
        } else if (f6 < f7) {
            if (f6 >= 0.0f) {
                return 1.0f - (f6 / f7);
            }
            if (this.f3320 && i6 == 1) {
                return 1.0f;
            }
        }
        return 0.0f;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private float m3656(float f6, float f7, float f8, float f9) {
        float interpolation;
        float m3653 = m3653(f6 * f7, 0.0f, f8);
        float m3655 = m3655(f7 - f9, m3653) - m3655(f9, m3653);
        if (m3655 < 0.0f) {
            interpolation = -this.f3307.getInterpolation(-m3655);
        } else if (m3655 <= 0.0f) {
            return 0.0f;
        } else {
            interpolation = this.f3307.getInterpolation(m3655);
        }
        return m3653(interpolation, -1.0f, 1.0f);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m3657() {
        if (this.f3318) {
            this.f3320 = false;
        } else {
            this.f3306.m3682();
        }
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m3658() {
        int i6;
        if (this.f3309 == null) {
            this.f3309 = new b();
        }
        this.f3320 = true;
        this.f3318 = true;
        if (!this.f3317 && (i6 = this.f3313) > 0) {
            z0.m3383(this.f3308, this.f3309, i6);
        } else {
            this.f3309.run();
        }
        this.f3317 = true;
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0013, code lost:
        if (r0 != 3) goto L12;
     */
    @Override // android.view.View.OnTouchListener
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouch(View view, MotionEvent motionEvent) {
        if (!this.f3321) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked != 2) {
                }
            }
            m3657();
            if (!this.f3322 && this.f3320) {
                return true;
            }
        }
        this.f3319 = true;
        this.f3317 = false;
        this.f3306.m3685(m3652(0, motionEvent.getX(), view.getWidth(), this.f3308.getWidth()), m3652(1, motionEvent.getY(), view.getHeight(), this.f3308.getHeight()));
        if (!this.f3320 && m3673()) {
            m3658();
        }
        return !this.f3322 ? false : false;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public abstract boolean mo3659(int i6);

    /* renamed from: ʼ  reason: contains not printable characters */
    public abstract boolean mo3660(int i6);

    /* renamed from: ʽ  reason: contains not printable characters */
    void m3661() {
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
        this.f3308.onTouchEvent(obtain);
        obtain.recycle();
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public abstract void mo3662(int i6, int i7);

    /* renamed from: ˎ  reason: contains not printable characters */
    public a m3663(int i6) {
        this.f3313 = i6;
        return this;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public a m3664(int i6) {
        this.f3312 = i6;
        return this;
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public a m3665(boolean z5) {
        if (this.f3321 && !z5) {
            m3657();
        }
        this.f3321 = z5;
        return this;
    }

    /* renamed from: י  reason: contains not printable characters */
    public a m3666(float f6, float f7) {
        float[] fArr = this.f3311;
        fArr[0] = f6;
        fArr[1] = f7;
        return this;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public a m3667(float f6, float f7) {
        float[] fArr = this.f3316;
        fArr[0] = f6 / 1000.0f;
        fArr[1] = f7 / 1000.0f;
        return this;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public a m3668(float f6, float f7) {
        float[] fArr = this.f3315;
        fArr[0] = f6 / 1000.0f;
        fArr[1] = f7 / 1000.0f;
        return this;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public a m3669(int i6) {
        this.f3306.m3683(i6);
        return this;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public a m3670(int i6) {
        this.f3306.m3684(i6);
        return this;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public a m3671(float f6, float f7) {
        float[] fArr = this.f3310;
        fArr[0] = f6;
        fArr[1] = f7;
        return this;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    public a m3672(float f6, float f7) {
        float[] fArr = this.f3314;
        fArr[0] = f6 / 1000.0f;
        fArr[1] = f7 / 1000.0f;
        return this;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    boolean m3673() {
        C0032a c0032a = this.f3306;
        int m3680 = c0032a.m3680();
        int m3679 = c0032a.m3679();
        if ((m3680 != 0 && mo3660(m3680)) || (m3679 != 0 && mo3659(m3679))) {
            return true;
        }
        return false;
    }
}
