package androidx.core.widget;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.ColorStateList;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.icu.text.DecimalFormatSymbols;
import android.os.Build;
import android.text.Editable;
import android.text.PrecomputedText;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.PasswordTransformationMethod;
import android.view.ActionMode;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import androidx.core.text.a0;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
/* compiled from: TextViewCompat.java */
/* loaded from: classes.dex */
public final class c0 {

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TextViewCompat.java */
    /* loaded from: classes.dex */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static boolean m3713(TextView textView) {
            return textView.getIncludeFontPadding();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m3714(TextView textView) {
            return textView.getMaxLines();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static int m3715(TextView textView) {
            return textView.getMinLines();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TextViewCompat.java */
    /* loaded from: classes.dex */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable[] m3716(TextView textView) {
            return textView.getCompoundDrawablesRelative();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static int m3717(View view) {
            return view.getLayoutDirection();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static int m3718(View view) {
            return view.getTextDirection();
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static Locale m3719(TextView textView) {
            return textView.getTextLocale();
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static void m3720(TextView textView, Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
            textView.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static void m3721(TextView textView, int i6, int i7, int i8, int i9) {
            textView.setCompoundDrawablesRelativeWithIntrinsicBounds(i6, i7, i8, i9);
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static void m3722(TextView textView, Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
            textView.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static void m3723(View view, int i6) {
            view.setTextDirection(i6);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TextViewCompat.java */
    /* loaded from: classes.dex */
    public static class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m3724(TextView textView) {
            int breakStrategy;
            breakStrategy = textView.getBreakStrategy();
            return breakStrategy;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static ColorStateList m3725(TextView textView) {
            ColorStateList compoundDrawableTintList;
            compoundDrawableTintList = textView.getCompoundDrawableTintList();
            return compoundDrawableTintList;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static PorterDuff.Mode m3726(TextView textView) {
            PorterDuff.Mode compoundDrawableTintMode;
            compoundDrawableTintMode = textView.getCompoundDrawableTintMode();
            return compoundDrawableTintMode;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static int m3727(TextView textView) {
            int hyphenationFrequency;
            hyphenationFrequency = textView.getHyphenationFrequency();
            return hyphenationFrequency;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        static void m3728(TextView textView, int i6) {
            textView.setBreakStrategy(i6);
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        static void m3729(TextView textView, ColorStateList colorStateList) {
            textView.setCompoundDrawableTintList(colorStateList);
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        static void m3730(TextView textView, PorterDuff.Mode mode) {
            textView.setCompoundDrawableTintMode(mode);
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        static void m3731(TextView textView, int i6) {
            textView.setHyphenationFrequency(i6);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TextViewCompat.java */
    /* loaded from: classes.dex */
    public static class d {
        /* renamed from: ʻ  reason: contains not printable characters */
        static DecimalFormatSymbols m3732(Locale locale) {
            DecimalFormatSymbols decimalFormatSymbols;
            decimalFormatSymbols = DecimalFormatSymbols.getInstance(locale);
            return decimalFormatSymbols;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: TextViewCompat.java */
    /* loaded from: classes.dex */
    public static class e {
        /* renamed from: ʻ  reason: contains not printable characters */
        static String[] m3733(DecimalFormatSymbols decimalFormatSymbols) {
            String[] digitStrings;
            digitStrings = decimalFormatSymbols.getDigitStrings();
            return digitStrings;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static PrecomputedText.Params m3734(TextView textView) {
            PrecomputedText.Params textMetricsParams;
            textMetricsParams = textView.getTextMetricsParams();
            return textMetricsParams;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3735(TextView textView, int i6) {
            textView.setFirstBaselineToTopHeight(i6);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: TextViewCompat.java */
    /* loaded from: classes.dex */
    public static class f implements ActionMode.Callback {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final ActionMode.Callback f3335;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final TextView f3336;

        /* renamed from: ʽ  reason: contains not printable characters */
        private Class<?> f3337;

        /* renamed from: ʾ  reason: contains not printable characters */
        private Method f3338;

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean f3339;

        /* renamed from: ˆ  reason: contains not printable characters */
        private boolean f3340 = false;

        f(ActionMode.Callback callback, TextView textView) {
            this.f3335 = callback;
            this.f3336 = textView;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private Intent m3736() {
            return new Intent().setAction("android.intent.action.PROCESS_TEXT").setType("text/plain");
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private Intent m3737(ResolveInfo resolveInfo, TextView textView) {
            Intent putExtra = m3736().putExtra("android.intent.extra.PROCESS_TEXT_READONLY", !m3739(textView));
            ActivityInfo activityInfo = resolveInfo.activityInfo;
            return putExtra.setClassName(activityInfo.packageName, activityInfo.name);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private List<ResolveInfo> m3738(Context context, PackageManager packageManager) {
            ArrayList arrayList = new ArrayList();
            if (!(context instanceof Activity)) {
                return arrayList;
            }
            for (ResolveInfo resolveInfo : packageManager.queryIntentActivities(m3736(), 0)) {
                if (m3740(resolveInfo, context)) {
                    arrayList.add(resolveInfo);
                }
            }
            return arrayList;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private boolean m3739(TextView textView) {
            if ((textView instanceof Editable) && textView.onCheckIsTextEditor() && textView.isEnabled()) {
                return true;
            }
            return false;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        private boolean m3740(ResolveInfo resolveInfo, Context context) {
            int checkSelfPermission;
            if (context.getPackageName().equals(resolveInfo.activityInfo.packageName)) {
                return true;
            }
            ActivityInfo activityInfo = resolveInfo.activityInfo;
            if (!activityInfo.exported) {
                return false;
            }
            String str = activityInfo.permission;
            if (str != null) {
                checkSelfPermission = context.checkSelfPermission(str);
                if (checkSelfPermission == 0) {
                    return true;
                }
                return false;
            }
            return true;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        private void m3741(Menu menu) {
            Method declaredMethod;
            Context context = this.f3336.getContext();
            PackageManager packageManager = context.getPackageManager();
            if (!this.f3340) {
                this.f3340 = true;
                try {
                    Class<?> cls = Class.forName("com.android.internal.view.menu.MenuBuilder");
                    this.f3337 = cls;
                    this.f3338 = cls.getDeclaredMethod("removeItemAt", Integer.TYPE);
                    this.f3339 = true;
                } catch (ClassNotFoundException | NoSuchMethodException unused) {
                    this.f3337 = null;
                    this.f3338 = null;
                    this.f3339 = false;
                }
            }
            try {
                if (this.f3339 && this.f3337.isInstance(menu)) {
                    declaredMethod = this.f3338;
                } else {
                    declaredMethod = menu.getClass().getDeclaredMethod("removeItemAt", Integer.TYPE);
                }
                for (int size = menu.size() - 1; size >= 0; size--) {
                    MenuItem item = menu.getItem(size);
                    if (item.getIntent() != null && "android.intent.action.PROCESS_TEXT".equals(item.getIntent().getAction())) {
                        declaredMethod.invoke(menu, Integer.valueOf(size));
                    }
                }
                List<ResolveInfo> m3738 = m3738(context, packageManager);
                for (int i6 = 0; i6 < m3738.size(); i6++) {
                    ResolveInfo resolveInfo = m3738.get(i6);
                    menu.add(0, 0, i6 + 100, resolveInfo.loadLabel(packageManager)).setIntent(m3737(resolveInfo, this.f3336)).setShowAsAction(1);
                }
            } catch (IllegalAccessException | NoSuchMethodException | InvocationTargetException unused2) {
            }
        }

        @Override // android.view.ActionMode.Callback
        public boolean onActionItemClicked(ActionMode actionMode, MenuItem menuItem) {
            return this.f3335.onActionItemClicked(actionMode, menuItem);
        }

        @Override // android.view.ActionMode.Callback
        public boolean onCreateActionMode(ActionMode actionMode, Menu menu) {
            return this.f3335.onCreateActionMode(actionMode, menu);
        }

        @Override // android.view.ActionMode.Callback
        public void onDestroyActionMode(ActionMode actionMode) {
            this.f3335.onDestroyActionMode(actionMode);
        }

        @Override // android.view.ActionMode.Callback
        public boolean onPrepareActionMode(ActionMode actionMode, Menu menu) {
            m3741(menu);
            return this.f3335.onPrepareActionMode(actionMode, menu);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        ActionMode.Callback m3742() {
            return this.f3335;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Drawable[] m3696(TextView textView) {
        return b.m3716(textView);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static int m3697(TextView textView) {
        return textView.getPaddingTop() - textView.getPaint().getFontMetricsInt().top;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static int m3698(TextView textView) {
        return textView.getPaddingBottom() + textView.getPaint().getFontMetricsInt().bottom;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static int m3699(TextDirectionHeuristic textDirectionHeuristic) {
        if (textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_RTL || textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_LTR) {
            return 1;
        }
        if (textDirectionHeuristic == TextDirectionHeuristics.ANYRTL_LTR) {
            return 2;
        }
        if (textDirectionHeuristic == TextDirectionHeuristics.LTR) {
            return 3;
        }
        if (textDirectionHeuristic == TextDirectionHeuristics.RTL) {
            return 4;
        }
        if (textDirectionHeuristic == TextDirectionHeuristics.LOCALE) {
            return 5;
        }
        if (textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_LTR) {
            return 6;
        }
        if (textDirectionHeuristic != TextDirectionHeuristics.FIRSTSTRONG_RTL) {
            return 1;
        }
        return 7;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static TextDirectionHeuristic m3700(TextView textView) {
        if (textView.getTransformationMethod() instanceof PasswordTransformationMethod) {
            return TextDirectionHeuristics.LTR;
        }
        boolean z5 = false;
        if (Build.VERSION.SDK_INT >= 28 && (textView.getInputType() & 15) == 3) {
            byte directionality = Character.getDirectionality(e.m3733(d.m3732(b.m3719(textView)))[0].codePointAt(0));
            if (directionality != 1 && directionality != 2) {
                return TextDirectionHeuristics.LTR;
            }
            return TextDirectionHeuristics.RTL;
        }
        if (b.m3717(textView) == 1) {
            z5 = true;
        }
        switch (b.m3718(textView)) {
            case 2:
                return TextDirectionHeuristics.ANYRTL_LTR;
            case 3:
                return TextDirectionHeuristics.LTR;
            case 4:
                return TextDirectionHeuristics.RTL;
            case 5:
                return TextDirectionHeuristics.LOCALE;
            case 6:
                return TextDirectionHeuristics.FIRSTSTRONG_LTR;
            case 7:
                return TextDirectionHeuristics.FIRSTSTRONG_RTL;
            default:
                if (z5) {
                    return TextDirectionHeuristics.FIRSTSTRONG_RTL;
                }
                return TextDirectionHeuristics.FIRSTSTRONG_LTR;
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static a0.a m3701(TextView textView) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 28) {
            return new a0.a(e.m3734(textView));
        }
        a0.a.C0025a c0025a = new a0.a.C0025a(new TextPaint(textView.getPaint()));
        if (i6 >= 23) {
            c0025a.m2708(c.m3724(textView));
            c0025a.m2709(c.m3727(textView));
        }
        c0025a.m2710(m3700(textView));
        return c0025a.m2707();
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static void m3702(TextView textView, ColorStateList colorStateList) {
        androidx.core.util.h.m2767(textView);
        if (Build.VERSION.SDK_INT >= 24) {
            c.m3729(textView, colorStateList);
        } else if (textView instanceof r0) {
            ((r0) textView).setSupportCompoundDrawablesTintList(colorStateList);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static void m3703(TextView textView, PorterDuff.Mode mode) {
        androidx.core.util.h.m2767(textView);
        if (Build.VERSION.SDK_INT >= 24) {
            c.m3730(textView, mode);
        } else if (textView instanceof r0) {
            ((r0) textView).setSupportCompoundDrawablesTintMode(mode);
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static void m3704(TextView textView, Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        b.m3720(textView, drawable, drawable2, drawable3, drawable4);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public static void m3705(TextView textView, int i6) {
        int i7;
        androidx.core.util.h.m2764(i6);
        if (Build.VERSION.SDK_INT >= 28) {
            e.m3735(textView, i6);
            return;
        }
        Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
        if (a.m3713(textView)) {
            i7 = fontMetricsInt.top;
        } else {
            i7 = fontMetricsInt.ascent;
        }
        if (i6 > Math.abs(i7)) {
            textView.setPadding(textView.getPaddingLeft(), i6 + i7, textView.getPaddingRight(), textView.getPaddingBottom());
        }
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public static void m3706(TextView textView, int i6) {
        int i7;
        androidx.core.util.h.m2764(i6);
        Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
        if (a.m3713(textView)) {
            i7 = fontMetricsInt.bottom;
        } else {
            i7 = fontMetricsInt.descent;
        }
        if (i6 > Math.abs(i7)) {
            textView.setPadding(textView.getPaddingLeft(), textView.getPaddingTop(), textView.getPaddingRight(), i6 - i7);
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public static void m3707(TextView textView, int i6) {
        androidx.core.util.h.m2764(i6);
        int fontMetricsInt = textView.getPaint().getFontMetricsInt(null);
        if (i6 != fontMetricsInt) {
            textView.setLineSpacing(i6 - fontMetricsInt, 1.0f);
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public static void m3708(TextView textView, androidx.core.text.a0 a0Var) {
        if (Build.VERSION.SDK_INT >= 29) {
            textView.setText(a0Var.m2701());
        } else if (m3701(textView).m2702(a0Var.m2700())) {
            textView.setText(a0Var);
        } else {
            throw new IllegalArgumentException("Given text can not be applied to TextView.");
        }
    }

    /* renamed from: י  reason: contains not printable characters */
    public static void m3709(TextView textView, int i6) {
        if (Build.VERSION.SDK_INT >= 23) {
            textView.setTextAppearance(i6);
        } else {
            textView.setTextAppearance(textView.getContext(), i6);
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public static void m3710(TextView textView, a0.a aVar) {
        int i6 = Build.VERSION.SDK_INT;
        b.m3723(textView, m3699(aVar.m2705()));
        if (i6 < 23) {
            float textScaleX = aVar.m2706().getTextScaleX();
            textView.getPaint().set(aVar.m2706());
            if (textScaleX == textView.getTextScaleX()) {
                textView.setTextScaleX((textScaleX / 2.0f) + 1.0f);
            }
            textView.setTextScaleX(textScaleX);
            return;
        }
        textView.getPaint().set(aVar.m2706());
        c.m3728(textView, aVar.m2703());
        c.m3731(textView, aVar.m2704());
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public static ActionMode.Callback m3711(ActionMode.Callback callback) {
        if ((callback instanceof f) && Build.VERSION.SDK_INT >= 26) {
            return ((f) callback).m3742();
        }
        return callback;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public static ActionMode.Callback m3712(TextView textView, ActionMode.Callback callback) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 26 && i6 <= 27 && !(callback instanceof f) && callback != null) {
            return new f(callback, textView);
        }
        return callback;
    }
}
