package androidx.core.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.widget.CompoundButton;
import java.lang.reflect.Field;
/* compiled from: CompoundButtonCompat.java */
/* loaded from: classes.dex */
public final class i {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Field f3341;

    /* renamed from: ʼ  reason: contains not printable characters */
    private static boolean f3342;

    /* compiled from: CompoundButtonCompat.java */
    /* loaded from: classes.dex */
    static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static ColorStateList m3758(CompoundButton compoundButton) {
            ColorStateList buttonTintList;
            buttonTintList = compoundButton.getButtonTintList();
            return buttonTintList;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static PorterDuff.Mode m3759(CompoundButton compoundButton) {
            PorterDuff.Mode buttonTintMode;
            buttonTintMode = compoundButton.getButtonTintMode();
            return buttonTintMode;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        static void m3760(CompoundButton compoundButton, ColorStateList colorStateList) {
            compoundButton.setButtonTintList(colorStateList);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        static void m3761(CompoundButton compoundButton, PorterDuff.Mode mode) {
            compoundButton.setButtonTintMode(mode);
        }
    }

    /* compiled from: CompoundButtonCompat.java */
    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m3762(CompoundButton compoundButton) {
            Drawable buttonDrawable;
            buttonDrawable = compoundButton.getButtonDrawable();
            return buttonDrawable;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static Drawable m3753(CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 23) {
            return b.m3762(compoundButton);
        }
        if (!f3342) {
            try {
                Field declaredField = CompoundButton.class.getDeclaredField("mButtonDrawable");
                f3341 = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException e6) {
                Log.i("CompoundButtonCompat", "Failed to retrieve mButtonDrawable field", e6);
            }
            f3342 = true;
        }
        Field field = f3341;
        if (field != null) {
            try {
                return (Drawable) field.get(compoundButton);
            } catch (IllegalAccessException e7) {
                Log.i("CompoundButtonCompat", "Failed to get button drawable via reflection", e7);
                f3341 = null;
            }
        }
        return null;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static ColorStateList m3754(CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 21) {
            return a.m3758(compoundButton);
        }
        if (compoundButton instanceof q0) {
            return ((q0) compoundButton).getSupportButtonTintList();
        }
        return null;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static PorterDuff.Mode m3755(CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 21) {
            return a.m3759(compoundButton);
        }
        if (compoundButton instanceof q0) {
            return ((q0) compoundButton).getSupportButtonTintMode();
        }
        return null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static void m3756(CompoundButton compoundButton, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            a.m3760(compoundButton, colorStateList);
        } else if (compoundButton instanceof q0) {
            ((q0) compoundButton).setSupportButtonTintList(colorStateList);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static void m3757(CompoundButton compoundButton, PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            a.m3761(compoundButton, mode);
        } else if (compoundButton instanceof q0) {
            ((q0) compoundButton).setSupportButtonTintMode(mode);
        }
    }
}
