package androidx.core.widget;

import android.content.ClipData;
import android.content.Context;
import android.text.Editable;
import android.text.Selection;
import android.text.Spanned;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import androidx.core.view.t0;
/* compiled from: TextViewOnReceiveContentListener.java */
/* loaded from: classes.dex */
public final class o0 implements t0 {

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: TextViewOnReceiveContentListener.java */
    /* loaded from: classes.dex */
    public static final class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static CharSequence m3784(Context context, ClipData.Item item, int i6) {
            if ((i6 & 1) != 0) {
                CharSequence coerceToText = item.coerceToText(context);
                if (coerceToText instanceof Spanned) {
                    return coerceToText.toString();
                }
                return coerceToText;
            }
            return item.coerceToStyledText(context);
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static CharSequence m3782(Context context, ClipData.Item item, int i6) {
        return a.m3784(context, item, i6);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static void m3783(Editable editable, CharSequence charSequence) {
        int selectionStart = Selection.getSelectionStart(editable);
        int selectionEnd = Selection.getSelectionEnd(editable);
        int max = Math.max(0, Math.min(selectionStart, selectionEnd));
        int max2 = Math.max(0, Math.max(selectionStart, selectionEnd));
        Selection.setSelection(editable, max2);
        editable.replace(max, max2, charSequence);
    }

    @Override // androidx.core.view.t0
    /* renamed from: ʻ */
    public androidx.core.view.c mo3238(View view, androidx.core.view.c cVar) {
        if (Log.isLoggable("ReceiveContent", 3)) {
            Log.d("ReceiveContent", "onReceive: " + cVar);
        }
        if (cVar.m2954() == 2) {
            return cVar;
        }
        ClipData m2952 = cVar.m2952();
        int m2953 = cVar.m2953();
        TextView textView = (TextView) view;
        Editable editable = (Editable) textView.getText();
        Context context = textView.getContext();
        boolean z5 = false;
        for (int i6 = 0; i6 < m2952.getItemCount(); i6++) {
            CharSequence m3782 = m3782(context, m2952.getItemAt(i6), m2953);
            if (m3782 != null) {
                if (!z5) {
                    m3783(editable, m3782);
                    z5 = true;
                } else {
                    editable.insert(Selection.getSelectionEnd(editable), "\n");
                    editable.insert(Selection.getSelectionEnd(editable), m3782);
                }
            }
        }
        return null;
    }
}
