package androidx.emoji2.text;

import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.content.pm.ResolveInfo;
import android.content.pm.Signature;
import android.os.Build;
import android.util.Log;
import androidx.emoji2.text.e;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
/* compiled from: DefaultEmojiCompatConfig.java */
/* loaded from: classes.dex */
public final class c {

    /* compiled from: DefaultEmojiCompatConfig.java */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final b f3417;

        public a(b bVar) {
            this.f3417 = bVar == null ? m3906() : bVar;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private e.c m3903(Context context, androidx.core.provider.e eVar) {
            if (eVar == null) {
                return null;
            }
            return new i(context, eVar);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private List<List<byte[]>> m3904(Signature[] signatureArr) {
            ArrayList arrayList = new ArrayList();
            for (Signature signature : signatureArr) {
                arrayList.add(signature.toByteArray());
            }
            return Collections.singletonList(arrayList);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private androidx.core.provider.e m3905(ProviderInfo providerInfo, PackageManager packageManager) throws PackageManager.NameNotFoundException {
            String str = providerInfo.authority;
            String str2 = providerInfo.packageName;
            return new androidx.core.provider.e(str, str2, "emojicompat-emoji-font", m3904(this.f3417.mo3912(packageManager, str2)));
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private static b m3906() {
            if (Build.VERSION.SDK_INT >= 28) {
                return new d();
            }
            return new C0034c();
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        private boolean m3907(ProviderInfo providerInfo) {
            ApplicationInfo applicationInfo;
            if (providerInfo != null && (applicationInfo = providerInfo.applicationInfo) != null && (applicationInfo.flags & 1) == 1) {
                return true;
            }
            return false;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        private ProviderInfo m3908(PackageManager packageManager) {
            for (ResolveInfo resolveInfo : this.f3417.mo3913(packageManager, new Intent("androidx.content.action.LOAD_EMOJI_FONT"), 0)) {
                ProviderInfo mo3911 = this.f3417.mo3911(resolveInfo);
                if (m3907(mo3911)) {
                    return mo3911;
                }
            }
            return null;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public e.c m3909(Context context) {
            return m3903(context, m3910(context));
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        androidx.core.provider.e m3910(Context context) {
            PackageManager packageManager = context.getPackageManager();
            androidx.core.util.h.m2768(packageManager, "Package manager required to locate emoji font provider");
            ProviderInfo m3908 = m3908(packageManager);
            if (m3908 == null) {
                return null;
            }
            try {
                return m3905(m3908, packageManager);
            } catch (PackageManager.NameNotFoundException e6) {
                Log.wtf("emoji2.text.DefaultEmojiConfig", e6);
                return null;
            }
        }
    }

    /* compiled from: DefaultEmojiCompatConfig.java */
    /* loaded from: classes.dex */
    public static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        public ProviderInfo mo3911(ResolveInfo resolveInfo) {
            throw null;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public Signature[] mo3912(PackageManager packageManager, String str) throws PackageManager.NameNotFoundException {
            return packageManager.getPackageInfo(str, 64).signatures;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public List<ResolveInfo> mo3913(PackageManager packageManager, Intent intent, int i6) {
            throw null;
        }
    }

    /* compiled from: DefaultEmojiCompatConfig.java */
    /* renamed from: androidx.emoji2.text.c$c  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static class C0034c extends b {
        @Override // androidx.emoji2.text.c.b
        /* renamed from: ʻ */
        public ProviderInfo mo3911(ResolveInfo resolveInfo) {
            return resolveInfo.providerInfo;
        }

        @Override // androidx.emoji2.text.c.b
        /* renamed from: ʽ */
        public List<ResolveInfo> mo3913(PackageManager packageManager, Intent intent, int i6) {
            return packageManager.queryIntentContentProviders(intent, i6);
        }
    }

    /* compiled from: DefaultEmojiCompatConfig.java */
    /* loaded from: classes.dex */
    public static class d extends C0034c {
        @Override // androidx.emoji2.text.c.b
        /* renamed from: ʼ */
        public Signature[] mo3912(PackageManager packageManager, String str) throws PackageManager.NameNotFoundException {
            return packageManager.getPackageInfo(str, 64).signatures;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static i m3902(Context context) {
        return (i) new a(null).m3909(context);
    }
}
