package androidx.fragment.app;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import androidx.core.view.t4;
import androidx.core.view.z0;
import java.util.ArrayList;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* loaded from: classes.dex */
public final class FragmentContainerView extends FrameLayout {

    /* renamed from: ʾ  reason: contains not printable characters */
    private ArrayList<View> f3587;

    /* renamed from: ʿ  reason: contains not printable characters */
    private ArrayList<View> f3588;

    /* renamed from: ˆ  reason: contains not printable characters */
    private View.OnApplyWindowInsetsListener f3589;

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean f3590;

    public FragmentContainerView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m4079(View view) {
        ArrayList<View> arrayList = this.f3588;
        if (arrayList != null && arrayList.contains(view)) {
            if (this.f3587 == null) {
                this.f3587 = new ArrayList<>();
            }
            this.f3587.add(view);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (n.m4419(view) != null) {
            super.addView(view, i6, layoutParams);
            return;
        }
        throw new IllegalStateException("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.");
    }

    @Override // android.view.ViewGroup
    protected boolean addViewInLayout(View view, int i6, ViewGroup.LayoutParams layoutParams, boolean z5) {
        if (n.m4419(view) != null) {
            return super.addViewInLayout(view, i6, layoutParams, z5);
        }
        throw new IllegalStateException("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.");
    }

    @Override // android.view.ViewGroup, android.view.View
    public WindowInsets dispatchApplyWindowInsets(WindowInsets windowInsets) {
        t4 m3376;
        WindowInsets onApplyWindowInsets;
        t4 m3250 = t4.m3250(windowInsets);
        View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = this.f3589;
        if (onApplyWindowInsetsListener != null) {
            onApplyWindowInsets = onApplyWindowInsetsListener.onApplyWindowInsets(this, windowInsets);
            m3376 = t4.m3250(onApplyWindowInsets);
        } else {
            m3376 = z0.m3376(this, m3250);
        }
        if (!m3376.m3267()) {
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                z0.m3428(getChildAt(i6), m3376);
            }
        }
        return windowInsets;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void dispatchDraw(Canvas canvas) {
        if (this.f3590 && this.f3587 != null) {
            for (int i6 = 0; i6 < this.f3587.size(); i6++) {
                super.drawChild(canvas, this.f3587.get(i6), getDrawingTime());
            }
        }
        super.dispatchDraw(canvas);
    }

    @Override // android.view.ViewGroup
    protected boolean drawChild(Canvas canvas, View view, long j6) {
        ArrayList<View> arrayList;
        if (this.f3590 && (arrayList = this.f3587) != null && arrayList.size() > 0 && this.f3587.contains(view)) {
            return false;
        }
        return super.drawChild(canvas, view, j6);
    }

    @Override // android.view.ViewGroup
    public void endViewTransition(View view) {
        ArrayList<View> arrayList = this.f3588;
        if (arrayList != null) {
            arrayList.remove(view);
            ArrayList<View> arrayList2 = this.f3587;
            if (arrayList2 != null && arrayList2.remove(view)) {
                this.f3590 = true;
            }
        }
        super.endViewTransition(view);
    }

    @Override // android.view.ViewGroup
    public void removeAllViewsInLayout() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            m4079(getChildAt(childCount));
        }
        super.removeAllViewsInLayout();
    }

    @Override // android.view.ViewGroup
    protected void removeDetachedView(View view, boolean z5) {
        if (z5) {
            m4079(view);
        }
        super.removeDetachedView(view, z5);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        m4079(view);
        super.removeView(view);
    }

    @Override // android.view.ViewGroup
    public void removeViewAt(int i6) {
        m4079(getChildAt(i6));
        super.removeViewAt(i6);
    }

    @Override // android.view.ViewGroup
    public void removeViewInLayout(View view) {
        m4079(view);
        super.removeViewInLayout(view);
    }

    @Override // android.view.ViewGroup
    public void removeViews(int i6, int i7) {
        for (int i8 = i6; i8 < i6 + i7; i8++) {
            m4079(getChildAt(i8));
        }
        super.removeViews(i6, i7);
    }

    @Override // android.view.ViewGroup
    public void removeViewsInLayout(int i6, int i7) {
        for (int i8 = i6; i8 < i6 + i7; i8++) {
            m4079(getChildAt(i8));
        }
        super.removeViewsInLayout(i6, i7);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setDrawDisappearingViewsLast(boolean z5) {
        this.f3590 = z5;
    }

    @Override // android.view.ViewGroup
    public void setLayoutTransition(LayoutTransition layoutTransition) {
        throw new UnsupportedOperationException("FragmentContainerView does not support Layout Transitions or animateLayoutChanges=\"true\".");
    }

    @Override // android.view.View
    public void setOnApplyWindowInsetsListener(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        this.f3589 = onApplyWindowInsetsListener;
    }

    @Override // android.view.ViewGroup
    public void startViewTransition(View view) {
        if (view.getParent() == this) {
            if (this.f3588 == null) {
                this.f3588 = new ArrayList<>();
            }
            this.f3588.add(view);
        }
        super.startViewTransition(view);
    }

    public FragmentContainerView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        String str;
        this.f3590 = true;
        if (attributeSet != null) {
            String classAttribute = attributeSet.getClassAttribute();
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f0.c.f8799);
            if (classAttribute == null) {
                classAttribute = obtainStyledAttributes.getString(f0.c.f8800);
                str = "android:name";
            } else {
                str = "class";
            }
            obtainStyledAttributes.recycle();
            if (classAttribute == null || isInEditMode()) {
                return;
            }
            throw new UnsupportedOperationException("FragmentContainerView must be within a FragmentActivity to use " + str + "=\"" + classAttribute + "\"");
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public FragmentContainerView(Context context, AttributeSet attributeSet, n nVar) {
        super(context, attributeSet);
        String str;
        this.f3590 = true;
        String classAttribute = attributeSet.getClassAttribute();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f0.c.f8799);
        classAttribute = classAttribute == null ? obtainStyledAttributes.getString(f0.c.f8800) : classAttribute;
        String string = obtainStyledAttributes.getString(f0.c.f8801);
        obtainStyledAttributes.recycle();
        int id = getId();
        e m4447 = nVar.m4447(id);
        if (classAttribute != null && m4447 == null) {
            if (id <= 0) {
                if (string != null) {
                    str = " with tag " + string;
                } else {
                    str = BuildConfig.FLAVOR;
                }
                throw new IllegalStateException("FragmentContainerView must have an android:id to add Fragment " + classAttribute + str);
            }
            e mo4393 = nVar.m4452().mo4393(context.getClassLoader(), classAttribute);
            mo4393.m4215(context, attributeSet, null);
            nVar.m4504().m4610(true).m4603(this, mo4393, string).mo4088();
        }
        nVar.m4476(this);
    }

    @Override // android.view.View
    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        return windowInsets;
    }
}
