package androidx.fragment.app;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: FragmentLayoutInflaterFactory.java */
/* loaded from: classes.dex */
public class l implements LayoutInflater.Factory2 {

    /* renamed from: ʾ  reason: contains not printable characters */
    final n f3850;

    /* JADX INFO: Access modifiers changed from: package-private */
    public l(n nVar) {
        this.f3850 = nVar;
    }

    @Override // android.view.LayoutInflater.Factory
    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        return onCreateView(null, str, context, attributeSet);
    }

    @Override // android.view.LayoutInflater.Factory2
    public View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        t m4514;
        if (FragmentContainerView.class.getName().equals(str)) {
            return new FragmentContainerView(context, attributeSet, this.f3850);
        }
        if ("fragment".equals(str)) {
            String attributeValue = attributeSet.getAttributeValue(null, "class");
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f0.c.f8795);
            if (attributeValue == null) {
                attributeValue = obtainStyledAttributes.getString(f0.c.f8796);
            }
            int resourceId = obtainStyledAttributes.getResourceId(f0.c.f8797, -1);
            String string = obtainStyledAttributes.getString(f0.c.f8798);
            obtainStyledAttributes.recycle();
            if (attributeValue == null || !j.m4390(context.getClassLoader(), attributeValue)) {
                return null;
            }
            int id = view != null ? view.getId() : 0;
            if (id == -1 && resourceId == -1 && string == null) {
                throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Must specify unique android:id, android:tag, or have a parent with an id for " + attributeValue);
            }
            e m4447 = resourceId != -1 ? this.f3850.m4447(resourceId) : null;
            if (m4447 == null && string != null) {
                m4447 = this.f3850.m4448(string);
            }
            if (m4447 == null && id != -1) {
                m4447 = this.f3850.m4447(id);
            }
            if (m4447 == null) {
                m4447 = this.f3850.m4452().mo4393(context.getClassLoader(), attributeValue);
                m4447.f3735 = true;
                m4447.f3752 = resourceId != 0 ? resourceId : id;
                m4447.f3736 = id;
                m4447.f3738 = string;
                m4447.f3737 = true;
                n nVar = this.f3850;
                m4447.f3745 = nVar;
                m4447.f3747 = nVar.m4455();
                m4447.m4215(this.f3850.m4455().m4395(), attributeSet, m4447.f3711);
                m4514 = this.f3850.m4495(m4447);
                if (n.m4421(2)) {
                    Log.v("FragmentManager", "Fragment " + m4447 + " has been inflated via the <fragment> tag: id=0x" + Integer.toHexString(resourceId));
                }
            } else if (!m4447.f3737) {
                m4447.f3737 = true;
                n nVar2 = this.f3850;
                m4447.f3745 = nVar2;
                m4447.f3747 = nVar2.m4455();
                m4447.m4215(this.f3850.m4455().m4395(), attributeSet, m4447.f3711);
                m4514 = this.f3850.m4514(m4447);
                if (n.m4421(2)) {
                    Log.v("FragmentManager", "Retained Fragment " + m4447 + " has been re-attached via the <fragment> tag: id=0x" + Integer.toHexString(resourceId));
                }
            } else {
                throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Duplicate id 0x" + Integer.toHexString(resourceId) + ", tag " + string + ", or parent id 0x" + Integer.toHexString(id) + " with another fragment for " + attributeValue);
            }
            m4447.f3718 = (ViewGroup) view;
            m4514.m4569();
            m4514.m4567();
            View view2 = m4447.f3716;
            if (view2 != null) {
                if (resourceId != 0) {
                    view2.setId(resourceId);
                }
                if (m4447.f3716.getTag() == null) {
                    m4447.f3716.setTag(string);
                }
                m4447.f3716.addOnAttachStateChangeListener(new a(m4514));
                return m4447.f3716;
            }
            throw new IllegalStateException("Fragment " + attributeValue + " did not create a view.");
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: FragmentLayoutInflaterFactory.java */
    /* loaded from: classes.dex */
    public class a implements View.OnAttachStateChangeListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ t f3851;

        a(t tVar) {
            this.f3851 = tVar;
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewAttachedToWindow(View view) {
            e m4568 = this.f3851.m4568();
            this.f3851.m4569();
            g0.m4335((ViewGroup) m4568.f3716.getParent(), l.this.f3850).m4343();
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewDetachedFromWindow(View view) {
        }
    }
}
