package androidx.profileinstaller;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.charset.StandardCharsets;
import java.util.zip.DataFormatException;
import java.util.zip.Deflater;
import java.util.zip.DeflaterOutputStream;
import java.util.zip.Inflater;
/* compiled from: Encoding.java */
/* loaded from: classes.dex */
class f {
    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public static int m4808(int i6) {
        return (((i6 + 8) - 1) & (-8)) / 8;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static byte[] m4809(byte[] bArr) throws IOException {
        Deflater deflater = new Deflater(1);
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            DeflaterOutputStream deflaterOutputStream = new DeflaterOutputStream(byteArrayOutputStream, deflater);
            deflaterOutputStream.write(bArr);
            deflaterOutputStream.close();
            deflater.end();
            return byteArrayOutputStream.toByteArray();
        } catch (Throwable th) {
            deflater.end();
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public static RuntimeException m4810(String str) {
        return new IllegalStateException(str);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public static byte[] m4811(InputStream inputStream, int i6) throws IOException {
        byte[] bArr = new byte[i6];
        int i7 = 0;
        while (i7 < i6) {
            int read = inputStream.read(bArr, i7, i6 - i7);
            if (read >= 0) {
                i7 += read;
            } else {
                throw m4810("Not enough bytes to read: " + i6);
            }
        }
        return bArr;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0059, code lost:
        if (r0.finished() == false) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x005e, code lost:
        return r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0065, code lost:
        throw m4810("Inflater did not finish");
     */
    /* renamed from: ʿ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static byte[] m4812(InputStream inputStream, int i6, int i7) throws IOException {
        Inflater inflater = new Inflater();
        try {
            byte[] bArr = new byte[i7];
            byte[] bArr2 = new byte[2048];
            int i8 = 0;
            int i9 = 0;
            while (!inflater.finished() && !inflater.needsDictionary() && i8 < i6) {
                int read = inputStream.read(bArr2);
                if (read >= 0) {
                    inflater.setInput(bArr2, 0, read);
                    try {
                        i9 += inflater.inflate(bArr, i9, i7 - i9);
                        i8 += read;
                    } catch (DataFormatException e6) {
                        throw m4810(e6.getMessage());
                    }
                } else {
                    throw m4810("Invalid zip data. Stream ended after $totalBytesRead bytes. Expected " + i6 + " bytes");
                }
            }
            throw m4810("Didn't read enough bytes during decompression. expected=" + i6 + " actual=" + i8);
        } finally {
            inflater.end();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public static String m4813(InputStream inputStream, int i6) throws IOException {
        return new String(m4811(inputStream, i6), StandardCharsets.UTF_8);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    static long m4814(InputStream inputStream, int i6) throws IOException {
        byte[] m4811 = m4811(inputStream, i6);
        long j6 = 0;
        for (int i7 = 0; i7 < i6; i7++) {
            j6 += (m4811[i7] & 255) << (i7 * 8);
        }
        return j6;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public static int m4815(InputStream inputStream) throws IOException {
        return (int) m4814(inputStream, 2);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public static long m4816(InputStream inputStream) throws IOException {
        return m4814(inputStream, 4);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public static int m4817(InputStream inputStream) throws IOException {
        return (int) m4814(inputStream, 1);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˎ  reason: contains not printable characters */
    public static int m4818(String str) {
        return str.getBytes(StandardCharsets.UTF_8).length;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˏ  reason: contains not printable characters */
    public static void m4819(InputStream inputStream, OutputStream outputStream) throws IOException {
        byte[] bArr = new byte[512];
        while (true) {
            int read = inputStream.read(bArr);
            if (read > 0) {
                outputStream.write(bArr, 0, read);
            } else {
                return;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public static void m4820(OutputStream outputStream, byte[] bArr) throws IOException {
        m4824(outputStream, bArr.length);
        byte[] m4809 = m4809(bArr);
        m4824(outputStream, m4809.length);
        outputStream.write(m4809);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: י  reason: contains not printable characters */
    public static void m4821(OutputStream outputStream, String str) throws IOException {
        outputStream.write(str.getBytes(StandardCharsets.UTF_8));
    }

    /* renamed from: ـ  reason: contains not printable characters */
    static void m4822(OutputStream outputStream, long j6, int i6) throws IOException {
        byte[] bArr = new byte[i6];
        for (int i7 = 0; i7 < i6; i7++) {
            bArr[i7] = (byte) ((j6 >> (i7 * 8)) & 255);
        }
        outputStream.write(bArr);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public static void m4823(OutputStream outputStream, int i6) throws IOException {
        m4822(outputStream, i6, 2);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᐧ  reason: contains not printable characters */
    public static void m4824(OutputStream outputStream, long j6) throws IOException {
        m4822(outputStream, j6, 4);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᴵ  reason: contains not printable characters */
    public static void m4825(OutputStream outputStream, int i6) throws IOException {
        m4822(outputStream, i6, 1);
    }
}
