package androidx.profileinstaller;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.res.AssetManager;
import android.util.Log;
import androidx.profileinstaller.j;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.concurrent.Executor;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* compiled from: ProfileInstaller.java */
/* loaded from: classes.dex */
public class j {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final c f4187 = new a();

    /* renamed from: ʼ  reason: contains not printable characters */
    static final c f4188 = new b();

    /* compiled from: ProfileInstaller.java */
    /* loaded from: classes.dex */
    class b implements c {
        b() {
        }

        @Override // androidx.profileinstaller.j.c
        /* renamed from: ʻ */
        public void mo4773(int i6, Object obj) {
            String str;
            if (i6 != 1) {
                if (i6 != 2) {
                    if (i6 != 3) {
                        if (i6 != 4) {
                            if (i6 != 5) {
                                str = BuildConfig.FLAVOR;
                            } else {
                                str = "DIAGNOSTIC_PROFILE_IS_COMPRESSED";
                            }
                        } else {
                            str = "DIAGNOSTIC_REF_PROFILE_DOES_NOT_EXIST";
                        }
                    } else {
                        str = "DIAGNOSTIC_REF_PROFILE_EXISTS";
                    }
                } else {
                    str = "DIAGNOSTIC_CURRENT_PROFILE_DOES_NOT_EXIST";
                }
            } else {
                str = "DIAGNOSTIC_CURRENT_PROFILE_EXISTS";
            }
            Log.d("ProfileInstaller", str);
        }

        @Override // androidx.profileinstaller.j.c
        /* renamed from: ʼ */
        public void mo4774(int i6, Object obj) {
            String str;
            switch (i6) {
                case 1:
                    str = "RESULT_INSTALL_SUCCESS";
                    break;
                case 2:
                    str = "RESULT_ALREADY_INSTALLED";
                    break;
                case 3:
                    str = "RESULT_UNSUPPORTED_ART_VERSION";
                    break;
                case 4:
                    str = "RESULT_NOT_WRITABLE";
                    break;
                case 5:
                    str = "RESULT_DESIRED_FORMAT_UNSUPPORTED";
                    break;
                case 6:
                    str = "RESULT_BASELINE_PROFILE_NOT_FOUND";
                    break;
                case 7:
                    str = "RESULT_IO_EXCEPTION";
                    break;
                case 8:
                    str = "RESULT_PARSE_EXCEPTION";
                    break;
                case 9:
                default:
                    str = BuildConfig.FLAVOR;
                    break;
                case 10:
                    str = "RESULT_INSTALL_SKIP_FILE_SUCCESS";
                    break;
                case 11:
                    str = "RESULT_DELETE_SKIP_FILE_SUCCESS";
                    break;
            }
            if (i6 != 6 && i6 != 7 && i6 != 8) {
                Log.d("ProfileInstaller", str);
            } else {
                Log.e("ProfileInstaller", str, (Throwable) obj);
            }
        }
    }

    /* compiled from: ProfileInstaller.java */
    /* loaded from: classes.dex */
    public interface c {
        /* renamed from: ʻ */
        void mo4773(int i6, Object obj);

        /* renamed from: ʼ */
        void mo4774(int i6, Object obj);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    static boolean m4829(File file) {
        return new File(file, "profileinstaller_profileWrittenFor_lastUpdateTime.dat").delete();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public static void m4830(Context context, Executor executor, c cVar) {
        m4829(context.getFilesDir());
        m4834(executor, cVar, 11, null);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    static boolean m4831(PackageInfo packageInfo, File file, c cVar) {
        File file2 = new File(file, "profileinstaller_profileWrittenFor_lastUpdateTime.dat");
        boolean z5 = false;
        if (!file2.exists()) {
            return false;
        }
        try {
            DataInputStream dataInputStream = new DataInputStream(new FileInputStream(file2));
            long readLong = dataInputStream.readLong();
            dataInputStream.close();
            if (readLong == packageInfo.lastUpdateTime) {
                z5 = true;
            }
            if (z5) {
                cVar.mo4774(2, null);
            }
            return z5;
        } catch (IOException unused) {
            return false;
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    static void m4833(PackageInfo packageInfo, File file) {
        try {
            DataOutputStream dataOutputStream = new DataOutputStream(new FileOutputStream(new File(file, "profileinstaller_profileWrittenFor_lastUpdateTime.dat")));
            dataOutputStream.writeLong(packageInfo.lastUpdateTime);
            dataOutputStream.close();
        } catch (IOException unused) {
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    static void m4834(Executor executor, final c cVar, final int i6, final Object obj) {
        executor.execute(new Runnable() { // from class: androidx.profileinstaller.i
            @Override // java.lang.Runnable
            public final void run() {
                j.c.this.mo4774(i6, obj);
            }
        });
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static boolean m4835(AssetManager assetManager, String str, PackageInfo packageInfo, File file, String str2, Executor executor, c cVar) {
        d dVar = new d(assetManager, executor, cVar, str2, "dexopt/baseline.prof", "dexopt/baseline.profm", new File(new File("/data/misc/profiles/cur/0", str), "primary.prof"));
        if (!dVar.m4804()) {
            return false;
        }
        boolean m4807 = dVar.m4805().m4806().m4807();
        if (m4807) {
            m4833(packageInfo, file);
        }
        return m4807;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static void m4836(Context context) {
        m4837(context, new h(), f4187);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public static void m4837(Context context, Executor executor, c cVar) {
        m4838(context, executor, cVar, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˎ  reason: contains not printable characters */
    public static void m4838(Context context, Executor executor, c cVar, boolean z5) {
        Context applicationContext = context.getApplicationContext();
        String packageName = applicationContext.getPackageName();
        ApplicationInfo applicationInfo = applicationContext.getApplicationInfo();
        AssetManager assets = applicationContext.getAssets();
        String name = new File(applicationInfo.sourceDir).getName();
        boolean z6 = false;
        try {
            PackageInfo packageInfo = context.getPackageManager().getPackageInfo(packageName, 0);
            File filesDir = context.getFilesDir();
            if (!z5 && m4831(packageInfo, filesDir, cVar)) {
                Log.d("ProfileInstaller", "Skipping profile installation for " + context.getPackageName());
                p.m4883(context, false);
                return;
            }
            Log.d("ProfileInstaller", "Installing profile for " + context.getPackageName());
            if (m4835(assets, packageName, packageInfo, filesDir, name, executor, cVar) && z5) {
                z6 = true;
            }
            p.m4883(context, z6);
        } catch (PackageManager.NameNotFoundException e6) {
            cVar.mo4774(7, e6);
            p.m4883(context, false);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˏ  reason: contains not printable characters */
    public static void m4839(Context context, Executor executor, c cVar) {
        try {
            m4833(context.getPackageManager().getPackageInfo(context.getApplicationContext().getPackageName(), 0), context.getFilesDir());
            m4834(executor, cVar, 10, null);
        } catch (PackageManager.NameNotFoundException e6) {
            m4834(executor, cVar, 7, e6);
        }
    }

    /* compiled from: ProfileInstaller.java */
    /* loaded from: classes.dex */
    class a implements c {
        a() {
        }

        @Override // androidx.profileinstaller.j.c
        /* renamed from: ʻ */
        public void mo4773(int i6, Object obj) {
        }

        @Override // androidx.profileinstaller.j.c
        /* renamed from: ʼ */
        public void mo4774(int i6, Object obj) {
        }
    }
}
