package androidx.profileinstaller;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Objects;
/* compiled from: ProfileVerifier.java */
/* loaded from: classes.dex */
public final class p {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final androidx.concurrent.futures.c<c> f4196 = androidx.concurrent.futures.c.m1888();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final Object f4197 = new Object();

    /* renamed from: ʽ  reason: contains not printable characters */
    private static c f4198 = null;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ProfileVerifier.java */
    /* loaded from: classes.dex */
    public static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static PackageInfo m4884(PackageManager packageManager, Context context) throws PackageManager.NameNotFoundException {
            return packageManager.getPackageInfo(context.getPackageName(), PackageManager.PackageInfoFlags.of(0L));
        }
    }

    /* compiled from: ProfileVerifier.java */
    /* loaded from: classes.dex */
    static class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        final int f4199;

        /* renamed from: ʼ  reason: contains not printable characters */
        final int f4200;

        /* renamed from: ʽ  reason: contains not printable characters */
        final long f4201;

        /* renamed from: ʾ  reason: contains not printable characters */
        final long f4202;

        b(int i6, int i7, long j6, long j7) {
            this.f4199 = i6;
            this.f4200 = i7;
            this.f4201 = j6;
            this.f4202 = j7;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        static b m4885(File file) throws IOException {
            DataInputStream dataInputStream = new DataInputStream(new FileInputStream(file));
            try {
                b bVar = new b(dataInputStream.readInt(), dataInputStream.readInt(), dataInputStream.readLong(), dataInputStream.readLong());
                dataInputStream.close();
                return bVar;
            } catch (Throwable th) {
                try {
                    dataInputStream.close();
                } catch (Throwable th2) {
                    th.addSuppressed(th2);
                }
                throw th;
            }
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || !(obj instanceof b)) {
                return false;
            }
            b bVar = (b) obj;
            if (this.f4200 == bVar.f4200 && this.f4201 == bVar.f4201 && this.f4199 == bVar.f4199 && this.f4202 == bVar.f4202) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return Objects.hash(Integer.valueOf(this.f4200), Long.valueOf(this.f4201), Integer.valueOf(this.f4199), Long.valueOf(this.f4202));
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        void m4886(File file) throws IOException {
            file.delete();
            DataOutputStream dataOutputStream = new DataOutputStream(new FileOutputStream(file));
            try {
                dataOutputStream.writeInt(this.f4199);
                dataOutputStream.writeInt(this.f4200);
                dataOutputStream.writeLong(this.f4201);
                dataOutputStream.writeLong(this.f4202);
                dataOutputStream.close();
            } catch (Throwable th) {
                try {
                    dataOutputStream.close();
                } catch (Throwable th2) {
                    th.addSuppressed(th2);
                }
                throw th;
            }
        }
    }

    /* compiled from: ProfileVerifier.java */
    /* loaded from: classes.dex */
    public static class c {

        /* renamed from: ʻ  reason: contains not printable characters */
        final int f4203;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final boolean f4204;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final boolean f4205;

        c(int i6, boolean z5, boolean z6) {
            this.f4203 = i6;
            this.f4205 = z6;
            this.f4204 = z5;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static long m4881(Context context) throws PackageManager.NameNotFoundException {
        PackageManager packageManager = context.getApplicationContext().getPackageManager();
        if (Build.VERSION.SDK_INT >= 33) {
            return a.m4884(packageManager, context).lastUpdateTime;
        }
        return packageManager.getPackageInfo(context.getPackageName(), 0).lastUpdateTime;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static c m4882(int i6, boolean z5, boolean z6) {
        c cVar = new c(i6, z5, z6);
        f4198 = cVar;
        f4196.mo1879(cVar);
        return f4198;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Can't wrap try/catch for region: R(20:14|(1:78)(1:18)|19|(1:77)(1:23)|24|25|26|(2:63|64)(1:28)|29|(8:36|(1:40)|(1:47)|48|(2:55|56)|52|53|54)|(1:62)|(1:40)|(3:42|45|47)|48|(1:50)|55|56|52|53|54) */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x009d, code lost:
        r3 = 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x00cc, code lost:
        r3 = 196608;
     */
    /* renamed from: ʽ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static c m4883(Context context, boolean z5) {
        boolean z6;
        boolean z7;
        b m4885;
        b bVar;
        int i6;
        c cVar;
        if (!z5 && (cVar = f4198) != null) {
            return cVar;
        }
        synchronized (f4197) {
            if (!z5) {
                c cVar2 = f4198;
                if (cVar2 != null) {
                    return cVar2;
                }
            }
            int i7 = Build.VERSION.SDK_INT;
            int i8 = 0;
            if (i7 >= 28 && i7 != 30) {
                File file = new File(new File("/data/misc/profiles/ref/", context.getPackageName()), "primary.prof");
                long length = file.length();
                if (file.exists() && length > 0) {
                    z6 = true;
                } else {
                    z6 = false;
                }
                File file2 = new File(new File("/data/misc/profiles/cur/0/", context.getPackageName()), "primary.prof");
                long length2 = file2.length();
                if (file2.exists() && length2 > 0) {
                    z7 = true;
                } else {
                    z7 = false;
                }
                try {
                    long m4881 = m4881(context);
                    File file3 = new File(context.getFilesDir(), "profileInstalled");
                    if (file3.exists()) {
                        try {
                            m4885 = b.m4885(file3);
                        } catch (IOException unused) {
                            return m4882(131072, z6, z7);
                        }
                    } else {
                        m4885 = null;
                    }
                    if (m4885 != null && m4885.f4201 == m4881 && (i6 = m4885.f4200) != 2) {
                        i8 = i6;
                        if (z5 && z7 && i8 != 1) {
                            i8 = 2;
                        }
                        if (m4885 != null && m4885.f4200 == 2 && i8 == 1 && length < m4885.f4202) {
                            i8 = 3;
                        }
                        bVar = new b(1, i8, m4881, length2);
                        if (m4885 != null || !m4885.equals(bVar)) {
                            bVar.m4886(file3);
                        }
                        return m4882(i8, z6, z7);
                    }
                    if (z7) {
                        i8 = 2;
                    }
                    if (z5) {
                        i8 = 2;
                    }
                    if (m4885 != null) {
                        i8 = 3;
                    }
                    bVar = new b(1, i8, m4881, length2);
                    if (m4885 != null) {
                    }
                    bVar.m4886(file3);
                    return m4882(i8, z6, z7);
                } catch (PackageManager.NameNotFoundException unused2) {
                    return m4882(65536, z6, z7);
                }
            }
            return m4882(262144, false, false);
        }
    }
}
