package androidx.recyclerview.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import android.widget.GridView;
import androidx.core.view.accessibility.j0;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import java.util.Arrays;
/* loaded from: classes.dex */
public class GridLayoutManager extends LinearLayoutManager {

    /* renamed from: ˆˆ  reason: contains not printable characters */
    boolean f4217;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    int[] f4218;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    int f4219;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    final SparseIntArray f4220;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    View[] f4221;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    c f4222;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    final SparseIntArray f4223;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    final Rect f4224;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private boolean f4225;

    /* loaded from: classes.dex */
    public static final class a extends c {
        @Override // androidx.recyclerview.widget.GridLayoutManager.c
        /* renamed from: ʿ  reason: contains not printable characters */
        public int mo4936(int i6, int i7) {
            return i6 % i7;
        }

        @Override // androidx.recyclerview.widget.GridLayoutManager.c
        /* renamed from: ˆ  reason: contains not printable characters */
        public int mo4937(int i6) {
            return 1;
        }
    }

    /* loaded from: classes.dex */
    public static abstract class c {

        /* renamed from: ʻ  reason: contains not printable characters */
        final SparseIntArray f4228 = new SparseIntArray();

        /* renamed from: ʼ  reason: contains not printable characters */
        final SparseIntArray f4229 = new SparseIntArray();

        /* renamed from: ʽ  reason: contains not printable characters */
        private boolean f4230 = false;

        /* renamed from: ʾ  reason: contains not printable characters */
        private boolean f4231 = false;

        /* renamed from: ʻ  reason: contains not printable characters */
        static int m4940(SparseIntArray sparseIntArray, int i6) {
            int size = sparseIntArray.size() - 1;
            int i7 = 0;
            while (i7 <= size) {
                int i8 = (i7 + size) >>> 1;
                if (sparseIntArray.keyAt(i8) < i6) {
                    i7 = i8 + 1;
                } else {
                    size = i8 - 1;
                }
            }
            int i9 = i7 - 1;
            if (i9 >= 0 && i9 < sparseIntArray.size()) {
                return sparseIntArray.keyAt(i9);
            }
            return -1;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        int m4941(int i6, int i7) {
            if (!this.f4231) {
                return m4943(i6, i7);
            }
            int i8 = this.f4229.get(i6, -1);
            if (i8 != -1) {
                return i8;
            }
            int m4943 = m4943(i6, i7);
            this.f4229.put(i6, m4943);
            return m4943;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        int m4942(int i6, int i7) {
            if (!this.f4230) {
                return mo4936(i6, i7);
            }
            int i8 = this.f4228.get(i6, -1);
            if (i8 != -1) {
                return i8;
            }
            int mo4936 = mo4936(i6, i7);
            this.f4228.put(i6, mo4936);
            return mo4936;
        }

        /* JADX WARN: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARN: Removed duplicated region for block: B:21:0x0043  */
        /* JADX WARN: Removed duplicated region for block: B:27:? A[RETURN, SYNTHETIC] */
        /* renamed from: ʾ  reason: contains not printable characters */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public int m4943(int i6, int i7) {
            int i8;
            int i9;
            int i10;
            int mo4937;
            int m4940;
            if (this.f4231 && (m4940 = m4940(this.f4229, i6)) != -1) {
                i8 = this.f4229.get(m4940);
                i9 = m4940 + 1;
                i10 = m4942(m4940, i7) + mo4937(m4940);
                if (i10 == i7) {
                    i8++;
                }
                mo4937 = mo4937(i6);
                while (i9 < i6) {
                    int mo49372 = mo4937(i9);
                    i10 += mo49372;
                    if (i10 == i7) {
                        i8++;
                        i10 = 0;
                    } else if (i10 > i7) {
                        i8++;
                        i10 = mo49372;
                    }
                    i9++;
                }
                if (i10 + mo4937 <= i7) {
                    return i8 + 1;
                }
                return i8;
            }
            i8 = 0;
            i9 = 0;
            i10 = 0;
            mo4937 = mo4937(i6);
            while (i9 < i6) {
            }
            if (i10 + mo4937 <= i7) {
            }
        }

        /* renamed from: ʿ */
        public abstract int mo4936(int i6, int i7);

        /* renamed from: ˆ */
        public abstract int mo4937(int i6);

        /* renamed from: ˈ  reason: contains not printable characters */
        public void m4944() {
            this.f4229.clear();
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        public void m4945() {
            this.f4228.clear();
        }
    }

    public GridLayoutManager(Context context, AttributeSet attributeSet, int i6, int i7) {
        super(context, attributeSet, i6, i7);
        this.f4217 = false;
        this.f4219 = -1;
        this.f4220 = new SparseIntArray();
        this.f4223 = new SparseIntArray();
        this.f4222 = new a();
        this.f4224 = new Rect();
        m4928(RecyclerView.p.m5322(context, attributeSet, i6, i7).f4467);
    }

    /* renamed from: ˈʽ  reason: contains not printable characters */
    private void m4888(RecyclerView.w wVar, RecyclerView.b0 b0Var, int i6, boolean z5) {
        int i7;
        int i8;
        int i9;
        int i10 = 0;
        if (z5) {
            i8 = i6;
            i7 = 0;
            i9 = 1;
        } else {
            i7 = i6 - 1;
            i8 = -1;
            i9 = -1;
        }
        while (i7 != i8) {
            View view = this.f4221[i7];
            b bVar = (b) view.getLayoutParams();
            int m4899 = m4899(wVar, b0Var, m5346(view));
            bVar.f4227 = m4899;
            bVar.f4226 = i10;
            i10 += m4899;
            i7 += i9;
        }
    }

    /* renamed from: ˈʾ  reason: contains not printable characters */
    private void m4889() {
        int m5410 = m5410();
        for (int i6 = 0; i6 < m5410; i6++) {
            b bVar = (b) m5411(i6).getLayoutParams();
            int m5431 = bVar.m5431();
            this.f4220.put(m5431, bVar.m4939());
            this.f4223.put(m5431, bVar.m4938());
        }
    }

    /* renamed from: ˈʿ  reason: contains not printable characters */
    private void m4890(int i6) {
        this.f4218 = m4891(this.f4218, this.f4219, i6);
    }

    /* renamed from: ˈˆ  reason: contains not printable characters */
    static int[] m4891(int[] iArr, int i6, int i7) {
        int i8;
        if (iArr == null || iArr.length != i6 + 1 || iArr[iArr.length - 1] != i7) {
            iArr = new int[i6 + 1];
        }
        int i9 = 0;
        iArr[0] = 0;
        int i10 = i7 / i6;
        int i11 = i7 % i6;
        int i12 = 0;
        for (int i13 = 1; i13 <= i6; i13++) {
            i9 += i11;
            if (i9 > 0 && i6 - i9 < i11) {
                i8 = i10 + 1;
                i9 -= i6;
            } else {
                i8 = i10;
            }
            i12 += i8;
            iArr[i13] = i12;
        }
        return iArr;
    }

    /* renamed from: ˈˉ  reason: contains not printable characters */
    private void m4892() {
        this.f4220.clear();
        this.f4223.clear();
    }

    /* renamed from: ˈˊ  reason: contains not printable characters */
    private int m4893(RecyclerView.b0 b0Var) {
        int max;
        if (m5410() != 0 && b0Var.m5183() != 0) {
            m4984();
            boolean m4995 = m4995();
            View m4987 = m4987(!m4995, true);
            View m4986 = m4986(!m4995, true);
            if (m4987 != null && m4986 != null) {
                int m4941 = this.f4222.m4941(m5346(m4987), this.f4219);
                int m49412 = this.f4222.m4941(m5346(m4986), this.f4219);
                int min = Math.min(m4941, m49412);
                int max2 = Math.max(m4941, m49412);
                int m49413 = this.f4222.m4941(b0Var.m5183() - 1, this.f4219) + 1;
                if (this.f4245) {
                    max = Math.max(0, (m49413 - max2) - 1);
                } else {
                    max = Math.max(0, min);
                }
                if (!m4995) {
                    return max;
                }
                return Math.round((max * (Math.abs(this.f4242.mo5738(m4986) - this.f4242.mo5741(m4987)) / ((this.f4222.m4941(m5346(m4986), this.f4219) - this.f4222.m4941(m5346(m4987), this.f4219)) + 1))) + (this.f4242.mo5747() - this.f4242.mo5741(m4987)));
            }
        }
        return 0;
    }

    /* renamed from: ˈˋ  reason: contains not printable characters */
    private int m4894(RecyclerView.b0 b0Var) {
        if (m5410() != 0 && b0Var.m5183() != 0) {
            m4984();
            View m4987 = m4987(!m4995(), true);
            View m4986 = m4986(!m4995(), true);
            if (m4987 != null && m4986 != null) {
                if (!m4995()) {
                    return this.f4222.m4941(b0Var.m5183() - 1, this.f4219) + 1;
                }
                int mo5738 = this.f4242.mo5738(m4986) - this.f4242.mo5741(m4987);
                int m4941 = this.f4222.m4941(m5346(m4987), this.f4219);
                return (int) ((mo5738 / ((this.f4222.m4941(m5346(m4986), this.f4219) - m4941) + 1)) * (this.f4222.m4941(b0Var.m5183() - 1, this.f4219) + 1));
            }
        }
        return 0;
    }

    /* renamed from: ˈˎ  reason: contains not printable characters */
    private void m4895(RecyclerView.w wVar, RecyclerView.b0 b0Var, LinearLayoutManager.a aVar, int i6) {
        boolean z5;
        if (i6 == 1) {
            z5 = true;
        } else {
            z5 = false;
        }
        int m4898 = m4898(wVar, b0Var, aVar.f4249);
        if (z5) {
            while (m4898 > 0) {
                int i7 = aVar.f4249;
                if (i7 > 0) {
                    int i8 = i7 - 1;
                    aVar.f4249 = i8;
                    m4898 = m4898(wVar, b0Var, i8);
                } else {
                    return;
                }
            }
            return;
        }
        int m5183 = b0Var.m5183() - 1;
        int i9 = aVar.f4249;
        while (i9 < m5183) {
            int i10 = i9 + 1;
            int m48982 = m4898(wVar, b0Var, i10);
            if (m48982 <= m4898) {
                break;
            }
            i9 = i10;
            m4898 = m48982;
        }
        aVar.f4249 = i9;
    }

    /* renamed from: ˈˏ  reason: contains not printable characters */
    private void m4896() {
        View[] viewArr = this.f4221;
        if (viewArr == null || viewArr.length != this.f4219) {
            this.f4221 = new View[this.f4219];
        }
    }

    /* renamed from: ˈـ  reason: contains not printable characters */
    private int m4897(RecyclerView.w wVar, RecyclerView.b0 b0Var, int i6) {
        if (!b0Var.m5186()) {
            return this.f4222.m4941(i6, this.f4219);
        }
        int m5472 = wVar.m5472(i6);
        if (m5472 == -1) {
            Log.w("GridLayoutManager", "Cannot find span size for pre layout position. " + i6);
            return 0;
        }
        return this.f4222.m4941(m5472, this.f4219);
    }

    /* renamed from: ˈٴ  reason: contains not printable characters */
    private int m4898(RecyclerView.w wVar, RecyclerView.b0 b0Var, int i6) {
        if (!b0Var.m5186()) {
            return this.f4222.m4942(i6, this.f4219);
        }
        int i7 = this.f4223.get(i6, -1);
        if (i7 != -1) {
            return i7;
        }
        int m5472 = wVar.m5472(i6);
        if (m5472 == -1) {
            Log.w("GridLayoutManager", "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i6);
            return 0;
        }
        return this.f4222.m4942(m5472, this.f4219);
    }

    /* renamed from: ˈᐧ  reason: contains not printable characters */
    private int m4899(RecyclerView.w wVar, RecyclerView.b0 b0Var, int i6) {
        if (!b0Var.m5186()) {
            return this.f4222.mo4937(i6);
        }
        int i7 = this.f4220.get(i6, -1);
        if (i7 != -1) {
            return i7;
        }
        int m5472 = wVar.m5472(i6);
        if (m5472 == -1) {
            Log.w("GridLayoutManager", "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i6);
            return 1;
        }
        return this.f4222.mo4937(m5472);
    }

    /* renamed from: ˈᴵ  reason: contains not printable characters */
    private void m4900(float f6, int i6) {
        m4890(Math.max(Math.round(f6 * this.f4219), i6));
    }

    /* renamed from: ˈᵎ  reason: contains not printable characters */
    private void m4901(View view, int i6, boolean z5) {
        int i7;
        int i8;
        b bVar = (b) view.getLayoutParams();
        Rect rect = bVar.f4471;
        int i9 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) bVar).topMargin + ((ViewGroup.MarginLayoutParams) bVar).bottomMargin;
        int i10 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) bVar).leftMargin + ((ViewGroup.MarginLayoutParams) bVar).rightMargin;
        int m4926 = m4926(bVar.f4226, bVar.f4227);
        if (this.f4240 == 1) {
            i8 = RecyclerView.p.m5328(m4926, i6, i10, ((ViewGroup.MarginLayoutParams) bVar).width, false);
            i7 = RecyclerView.p.m5328(this.f4242.mo5748(), m5334(), i9, ((ViewGroup.MarginLayoutParams) bVar).height, true);
        } else {
            int m5328 = RecyclerView.p.m5328(m4926, i6, i9, ((ViewGroup.MarginLayoutParams) bVar).height, false);
            int m53282 = RecyclerView.p.m5328(this.f4242.mo5748(), m5352(), i10, ((ViewGroup.MarginLayoutParams) bVar).width, true);
            i7 = m5328;
            i8 = m53282;
        }
        m4902(view, i8, i7, z5);
    }

    /* renamed from: ˈᵔ  reason: contains not printable characters */
    private void m4902(View view, int i6, int i7, boolean z5) {
        boolean m5400;
        RecyclerView.q qVar = (RecyclerView.q) view.getLayoutParams();
        if (z5) {
            m5400 = m5401(view, i6, i7, qVar);
        } else {
            m5400 = m5400(view, i6, i7, qVar);
        }
        if (m5400) {
            view.measure(i6, i7);
        }
    }

    /* renamed from: ˈⁱ  reason: contains not printable characters */
    private void m4903() {
        int m5333;
        int m5345;
        if (m4993() == 1) {
            m5333 = m5351() - m5343();
            m5345 = m5342();
        } else {
            m5333 = m5333() - m5340();
            m5345 = m5345();
        }
        m4890(m5333 - m5345);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʻᵎ  reason: contains not printable characters */
    public int mo4904(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (this.f4240 == 0) {
            return this.f4219;
        }
        if (b0Var.m5183() < 1) {
            return 0;
        }
        return m4897(wVar, b0Var, b0Var.m5183() - 1) + 1;
    }

    /* JADX WARN: Code restructure failed: missing block: B:59:0x00d6, code lost:
        if (r13 == r7) goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x00f6, code lost:
        if (r13 == r11) goto L51;
     */
    /* JADX WARN: Removed duplicated region for block: B:79:0x0107  */
    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʼᵔ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public View mo4905(View view, int i6, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        boolean z5;
        boolean z6;
        int m5410;
        int i7;
        int i8;
        boolean z7;
        View view2;
        View view3;
        int i9;
        int i10;
        boolean z8;
        int i11;
        int i12;
        boolean z9;
        RecyclerView.w wVar2 = wVar;
        RecyclerView.b0 b0Var2 = b0Var;
        View m5355 = m5355(view);
        View view4 = null;
        if (m5355 == null) {
            return null;
        }
        b bVar = (b) m5355.getLayoutParams();
        int i13 = bVar.f4226;
        int i14 = bVar.f4227 + i13;
        if (super.mo4905(view, i6, wVar, b0Var) == null) {
            return null;
        }
        if (m4982(i6) == 1) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (z5 != this.f4245) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6) {
            i7 = m5410() - 1;
            m5410 = -1;
            i8 = -1;
        } else {
            m5410 = m5410();
            i7 = 0;
            i8 = 1;
        }
        if (this.f4240 == 1 && m4994()) {
            z7 = true;
        } else {
            z7 = false;
        }
        int m4897 = m4897(wVar2, b0Var2, i7);
        int i15 = i7;
        int i16 = 0;
        int i17 = -1;
        int i18 = -1;
        int i19 = 0;
        View view5 = null;
        while (i15 != m5410) {
            int m48972 = m4897(wVar2, b0Var2, i15);
            View m5411 = m5411(i15);
            if (m5411 == m5355) {
                break;
            }
            if (m5411.hasFocusable() && m48972 != m4897) {
                if (view4 != null) {
                    break;
                }
                view2 = m5355;
                view3 = view5;
                i9 = i16;
                i10 = m5410;
                i12 = i18;
                i11 = i19;
            } else {
                b bVar2 = (b) m5411.getLayoutParams();
                int i20 = bVar2.f4226;
                view2 = m5355;
                int i21 = bVar2.f4227 + i20;
                if (m5411.hasFocusable() && i20 == i13 && i21 == i14) {
                    return m5411;
                }
                if ((m5411.hasFocusable() && view4 == null) || (!m5411.hasFocusable() && view5 == null)) {
                    view3 = view5;
                } else {
                    view3 = view5;
                    int min = Math.min(i21, i14) - Math.max(i20, i13);
                    if (m5411.hasFocusable()) {
                        if (min <= i16) {
                            if (min == i16) {
                                if (i20 > i17) {
                                    z9 = true;
                                } else {
                                    z9 = false;
                                }
                            }
                        }
                    } else if (view4 == null) {
                        i9 = i16;
                        i10 = m5410;
                        z8 = true;
                        if (m5359(m5411, false, true)) {
                            i11 = i19;
                            if (min > i11) {
                                i12 = i18;
                                if (z8) {
                                    if (m5411.hasFocusable()) {
                                        i17 = bVar2.f4226;
                                        i18 = i12;
                                        i19 = i11;
                                        view5 = view3;
                                        view4 = m5411;
                                        i16 = Math.min(i21, i14) - Math.max(i20, i13);
                                    } else {
                                        int i22 = bVar2.f4226;
                                        i19 = Math.min(i21, i14) - Math.max(i20, i13);
                                        i18 = i22;
                                        i16 = i9;
                                        view5 = m5411;
                                    }
                                    i15 += i8;
                                    wVar2 = wVar;
                                    b0Var2 = b0Var;
                                    m5355 = view2;
                                    m5410 = i10;
                                }
                            } else {
                                if (min == i11) {
                                    i12 = i18;
                                    if (i20 <= i12) {
                                        z8 = false;
                                    }
                                } else {
                                    i12 = i18;
                                }
                                z8 = false;
                                if (z8) {
                                }
                            }
                        }
                        i12 = i18;
                        i11 = i19;
                        z8 = false;
                        if (z8) {
                        }
                    }
                    i9 = i16;
                    i10 = m5410;
                    i12 = i18;
                    i11 = i19;
                    z8 = false;
                    if (z8) {
                    }
                }
                i9 = i16;
                i10 = m5410;
                i12 = i18;
                i11 = i19;
                z8 = true;
                if (z8) {
                }
            }
            i18 = i12;
            i19 = i11;
            i16 = i9;
            view5 = view3;
            i15 += i8;
            wVar2 = wVar;
            b0Var2 = b0Var;
            m5355 = view2;
            m5410 = i10;
        }
        View view6 = view5;
        if (view4 == null) {
            return view6;
        }
        return view4;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʼﹶ  reason: contains not printable characters */
    public void mo4906(RecyclerView.w wVar, RecyclerView.b0 b0Var, j0 j0Var) {
        super.mo4906(wVar, b0Var, j0Var);
        j0Var.m2834(GridView.class.getName());
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽʻ  reason: contains not printable characters */
    public void mo4907(RecyclerView.w wVar, RecyclerView.b0 b0Var, View view, j0 j0Var) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof b)) {
            super.m5371(view, j0Var);
            return;
        }
        b bVar = (b) layoutParams;
        int m4897 = m4897(wVar, b0Var, bVar.m5431());
        if (this.f4240 == 0) {
            j0Var.m2837(j0.c.m2902(bVar.m4938(), bVar.m4939(), m4897, 1, false, false));
        } else {
            j0Var.m2837(j0.c.m2902(m4897, 1, bVar.m4938(), bVar.m4939(), false, false));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽʾ  reason: contains not printable characters */
    public void mo4908(RecyclerView recyclerView, int i6, int i7) {
        this.f4222.m4945();
        this.f4222.m4944();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽʿ  reason: contains not printable characters */
    public void mo4909(RecyclerView recyclerView) {
        this.f4222.m4945();
        this.f4222.m4944();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˆ  reason: contains not printable characters */
    public void mo4910(RecyclerView recyclerView, int i6, int i7, int i8) {
        this.f4222.m4945();
        this.f4222.m4944();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˈ  reason: contains not printable characters */
    public void mo4911(RecyclerView recyclerView, int i6, int i7) {
        this.f4222.m4945();
        this.f4222.m4944();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˊ  reason: contains not printable characters */
    public void mo4912(RecyclerView recyclerView, int i6, int i7, Object obj) {
        this.f4222.m4945();
        this.f4222.m4944();
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˋ  reason: contains not printable characters */
    public void mo4913(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (b0Var.m5186()) {
            m4889();
        }
        super.mo4913(wVar, b0Var);
        m4892();
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˎ  reason: contains not printable characters */
    public void mo4914(RecyclerView.b0 b0Var) {
        super.mo4914(b0Var);
        this.f4217 = false;
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾʾ  reason: contains not printable characters */
    public RecyclerView.q mo4915() {
        if (this.f4240 == 0) {
            return new b(-2, -1);
        }
        return new b(-1, -2);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾˎ  reason: contains not printable characters */
    public int mo4916(int i6, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        m4903();
        m4896();
        return super.mo4916(i6, wVar, b0Var);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾˑ  reason: contains not printable characters */
    public int mo4917(int i6, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        m4903();
        m4896();
        return super.mo4917(i6, wVar, b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾᐧ  reason: contains not printable characters */
    public void mo4918(Rect rect, int i6, int i7) {
        int m5329;
        int m53292;
        if (this.f4218 == null) {
            super.mo4918(rect, i6, i7);
        }
        int m5342 = m5342() + m5343();
        int m5345 = m5345() + m5340();
        if (this.f4240 == 1) {
            m53292 = RecyclerView.p.m5329(i7, rect.height() + m5345, m5338());
            int[] iArr = this.f4218;
            m5329 = RecyclerView.p.m5329(i6, iArr[iArr.length - 1] + m5342, m5339());
        } else {
            m5329 = RecyclerView.p.m5329(i6, rect.width() + m5342, m5339());
            int[] iArr2 = this.f4218;
            m53292 = RecyclerView.p.m5329(i7, iArr2[iArr2.length - 1] + m5345, m5338());
        }
        m5397(m5329, m53292);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʿʻ  reason: contains not printable characters */
    public boolean mo4919() {
        if (this.f4234 == null && !this.f4217) {
            return true;
        }
        return false;
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    /* renamed from: ʿʽ  reason: contains not printable characters */
    void mo4920(RecyclerView.b0 b0Var, LinearLayoutManager.c cVar, RecyclerView.p.c cVar2) {
        int i6 = this.f4219;
        for (int i7 = 0; i7 < this.f4219 && cVar.m5016(b0Var) && i6 > 0; i7++) {
            int i8 = cVar.f4260;
            cVar2.mo5430(i8, Math.max(0, cVar.f4263));
            i6 -= this.f4222.mo4937(i8);
            cVar.f4260 += cVar.f4261;
        }
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    /* renamed from: ʿⁱ  reason: contains not printable characters */
    View mo4921(RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z5, boolean z6) {
        int i6;
        int i7;
        int m5410 = m5410();
        int i8 = 1;
        if (z6) {
            i7 = m5410() - 1;
            i6 = -1;
            i8 = -1;
        } else {
            i6 = m5410;
            i7 = 0;
        }
        int m5183 = b0Var.m5183();
        m4984();
        int mo5747 = this.f4242.mo5747();
        int mo5743 = this.f4242.mo5743();
        View view = null;
        View view2 = null;
        while (i7 != i6) {
            View m5411 = m5411(i7);
            int m5346 = m5346(m5411);
            if (m5346 >= 0 && m5346 < m5183 && m4898(wVar, b0Var, m5346) == 0) {
                if (((RecyclerView.q) m5411.getLayoutParams()).m5433()) {
                    if (view2 == null) {
                        view2 = m5411;
                    }
                } else if (this.f4242.mo5741(m5411) < mo5743 && this.f4242.mo5738(m5411) >= mo5747) {
                    return m5411;
                } else {
                    if (view == null) {
                        view = m5411;
                    }
                }
            }
            i7 += i8;
        }
        if (view == null) {
            return view2;
        }
        return view;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ˆˆ  reason: contains not printable characters */
    public RecyclerView.q mo4922(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new b((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new b(layoutParams);
    }

    /* JADX WARN: Code restructure failed: missing block: B:37:0x009f, code lost:
        r21.f4254 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x00a1, code lost:
        return;
     */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    /* renamed from: ˆˈ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    void mo4923(RecyclerView.w wVar, RecyclerView.b0 b0Var, LinearLayoutManager.c cVar, LinearLayoutManager.b bVar) {
        boolean z5;
        int i6;
        boolean z6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int mo5740;
        int i16;
        int m5328;
        int i17;
        View m5017;
        int mo5746 = this.f4242.mo5746();
        if (mo5746 != 1073741824) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (m5410() > 0) {
            i6 = this.f4218[this.f4219];
        } else {
            i6 = 0;
        }
        if (z5) {
            m4903();
        }
        if (cVar.f4261 == 1) {
            z6 = true;
        } else {
            z6 = false;
        }
        int i18 = this.f4219;
        if (!z6) {
            i18 = m4898(wVar, b0Var, cVar.f4260) + m4899(wVar, b0Var, cVar.f4260);
        }
        int i19 = 0;
        while (i19 < this.f4219 && cVar.m5016(b0Var) && i18 > 0) {
            int i20 = cVar.f4260;
            int m4899 = m4899(wVar, b0Var, i20);
            if (m4899 <= this.f4219) {
                i18 -= m4899;
                if (i18 < 0 || (m5017 = cVar.m5017(wVar)) == null) {
                    break;
                }
                this.f4221[i19] = m5017;
                i19++;
            } else {
                throw new IllegalArgumentException("Item at position " + i20 + " requires " + m4899 + " spans but GridLayoutManager has only " + this.f4219 + " spans.");
            }
        }
        m4888(wVar, b0Var, i19, z6);
        float f6 = 0.0f;
        int i21 = 0;
        for (int i22 = 0; i22 < i19; i22++) {
            View view = this.f4221[i22];
            if (cVar.f4268 == null) {
                if (z6) {
                    m5406(view);
                } else {
                    m5408(view, 0);
                }
            } else if (z6) {
                m5404(view);
            } else {
                m5405(view, 0);
            }
            m5414(view, this.f4224);
            m4901(view, mo5746, false);
            int mo5739 = this.f4242.mo5739(view);
            if (mo5739 > i21) {
                i21 = mo5739;
            }
            float mo57402 = (this.f4242.mo5740(view) * 1.0f) / ((b) view.getLayoutParams()).f4227;
            if (mo57402 > f6) {
                f6 = mo57402;
            }
        }
        if (z5) {
            m4900(f6, i6);
            i21 = 0;
            for (int i23 = 0; i23 < i19; i23++) {
                View view2 = this.f4221[i23];
                m4901(view2, 1073741824, true);
                int mo57392 = this.f4242.mo5739(view2);
                if (mo57392 > i21) {
                    i21 = mo57392;
                }
            }
        }
        for (int i24 = 0; i24 < i19; i24++) {
            View view3 = this.f4221[i24];
            if (this.f4242.mo5739(view3) != i21) {
                b bVar2 = (b) view3.getLayoutParams();
                Rect rect = bVar2.f4471;
                int i25 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) bVar2).topMargin + ((ViewGroup.MarginLayoutParams) bVar2).bottomMargin;
                int i26 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) bVar2).leftMargin + ((ViewGroup.MarginLayoutParams) bVar2).rightMargin;
                int m4926 = m4926(bVar2.f4226, bVar2.f4227);
                if (this.f4240 == 1) {
                    i17 = RecyclerView.p.m5328(m4926, 1073741824, i26, ((ViewGroup.MarginLayoutParams) bVar2).width, false);
                    m5328 = View.MeasureSpec.makeMeasureSpec(i21 - i25, 1073741824);
                } else {
                    int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i21 - i26, 1073741824);
                    m5328 = RecyclerView.p.m5328(m4926, 1073741824, i25, ((ViewGroup.MarginLayoutParams) bVar2).height, false);
                    i17 = makeMeasureSpec;
                }
                m4902(view3, i17, m5328, true);
            }
        }
        bVar.f4253 = i21;
        if (this.f4240 == 1) {
            if (cVar.f4262 == -1) {
                i12 = cVar.f4258;
                i16 = i12 - i21;
            } else {
                i16 = cVar.f4258;
                i12 = i16 + i21;
            }
            i10 = i16;
            i11 = 0;
            i9 = 0;
        } else {
            if (cVar.f4262 == -1) {
                i8 = cVar.f4258;
                i7 = i8 - i21;
            } else {
                i7 = cVar.f4258;
                i8 = i7 + i21;
            }
            i9 = i7;
            i10 = 0;
            i11 = i8;
            i12 = 0;
        }
        int i27 = 0;
        while (i27 < i19) {
            View view4 = this.f4221[i27];
            b bVar3 = (b) view4.getLayoutParams();
            if (this.f4240 == 1) {
                if (m4994()) {
                    int m5342 = m5342() + this.f4218[this.f4219 - bVar3.f4226];
                    mo5740 = i12;
                    i14 = m5342;
                    i15 = m5342 - this.f4242.mo5740(view4);
                } else {
                    int m53422 = m5342() + this.f4218[bVar3.f4226];
                    mo5740 = i12;
                    i15 = m53422;
                    i14 = this.f4242.mo5740(view4) + m53422;
                }
                i13 = i10;
            } else {
                int m5345 = m5345() + this.f4218[bVar3.f4226];
                i13 = m5345;
                i14 = i11;
                i15 = i9;
                mo5740 = this.f4242.mo5740(view4) + m5345;
            }
            m5360(view4, i15, i13, i14, mo5740);
            if (bVar3.m5433() || bVar3.m5432()) {
                bVar.f4255 = true;
            }
            bVar.f4256 |= view4.hasFocusable();
            i27++;
            i12 = mo5740;
            i11 = i14;
            i9 = i15;
            i10 = i13;
        }
        Arrays.fill(this.f4221, (Object) null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    /* renamed from: ˆˊ  reason: contains not printable characters */
    public void mo4924(RecyclerView.w wVar, RecyclerView.b0 b0Var, LinearLayoutManager.a aVar, int i6) {
        super.mo4924(wVar, b0Var, aVar, i6);
        m4903();
        if (b0Var.m5183() > 0 && !b0Var.m5186()) {
            m4895(wVar, b0Var, aVar, i6);
        }
        m4896();
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    /* renamed from: ˆᵎ  reason: contains not printable characters */
    public void mo4925(boolean z5) {
        if (!z5) {
            super.mo4925(false);
            return;
        }
        throw new UnsupportedOperationException("GridLayoutManager does not support stack from end. Consider using reverse layout");
    }

    /* renamed from: ˈˑ  reason: contains not printable characters */
    int m4926(int i6, int i7) {
        if (this.f4240 == 1 && m4994()) {
            int[] iArr = this.f4218;
            int i8 = this.f4219;
            return iArr[i8 - i6] - iArr[(i8 - i6) - i7];
        }
        int[] iArr2 = this.f4218;
        return iArr2[i7 + i6] - iArr2[i6];
    }

    /* renamed from: ˈי  reason: contains not printable characters */
    public int m4927() {
        return this.f4219;
    }

    /* renamed from: ˈᵢ  reason: contains not printable characters */
    public void m4928(int i6) {
        if (i6 == this.f4219) {
            return;
        }
        this.f4217 = true;
        if (i6 >= 1) {
            this.f4219 = i6;
            this.f4222.m4945();
            m5393();
            return;
        }
        throw new IllegalArgumentException("Span count should be at least 1. Provided " + i6);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ــ  reason: contains not printable characters */
    public RecyclerView.q mo4929(Context context, AttributeSet attributeSet) {
        return new b(context, attributeSet);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ٴ  reason: contains not printable characters */
    public boolean mo4930(RecyclerView.q qVar) {
        return qVar instanceof b;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public int mo4931(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (this.f4240 == 1) {
            return this.f4219;
        }
        if (b0Var.m5183() < 1) {
            return 0;
        }
        return m4897(wVar, b0Var, b0Var.m5183() - 1) + 1;
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ᵢ  reason: contains not printable characters */
    public int mo4932(RecyclerView.b0 b0Var) {
        if (this.f4225) {
            return m4893(b0Var);
        }
        return super.mo4932(b0Var);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ⁱ  reason: contains not printable characters */
    public int mo4933(RecyclerView.b0 b0Var) {
        if (this.f4225) {
            return m4894(b0Var);
        }
        return super.mo4933(b0Var);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ﹶ  reason: contains not printable characters */
    public int mo4934(RecyclerView.b0 b0Var) {
        if (this.f4225) {
            return m4893(b0Var);
        }
        return super.mo4934(b0Var);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ﾞ  reason: contains not printable characters */
    public int mo4935(RecyclerView.b0 b0Var) {
        if (this.f4225) {
            return m4894(b0Var);
        }
        return super.mo4935(b0Var);
    }

    /* loaded from: classes.dex */
    public static class b extends RecyclerView.q {

        /* renamed from: ʿ  reason: contains not printable characters */
        int f4226;

        /* renamed from: ˆ  reason: contains not printable characters */
        int f4227;

        public b(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f4226 = -1;
            this.f4227 = 0;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        public int m4938() {
            return this.f4226;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public int m4939() {
            return this.f4227;
        }

        public b(int i6, int i7) {
            super(i6, i7);
            this.f4226 = -1;
            this.f4227 = 0;
        }

        public b(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            this.f4226 = -1;
            this.f4227 = 0;
        }

        public b(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.f4226 = -1;
            this.f4227 = 0;
        }
    }

    public GridLayoutManager(Context context, int i6, int i7, boolean z5) {
        super(context, i7, z5);
        this.f4217 = false;
        this.f4219 = -1;
        this.f4220 = new SparseIntArray();
        this.f4223 = new SparseIntArray();
        this.f4222 = new a();
        this.f4224 = new Rect();
        m4928(i6);
    }
}
