package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ArgbEvaluator;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimatedVectorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.core.content.res.q;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: AnimatedVectorDrawableCompat.java */
/* loaded from: classes.dex */
public class h extends n implements Animatable {

    /* renamed from: ʿ  reason: contains not printable characters */
    private c f4828;

    /* renamed from: ˆ  reason: contains not printable characters */
    private Context f4829;

    /* renamed from: ˈ  reason: contains not printable characters */
    private ArgbEvaluator f4830;

    /* renamed from: ˉ  reason: contains not printable characters */
    d f4831;

    /* renamed from: ˊ  reason: contains not printable characters */
    private Animator.AnimatorListener f4832;

    /* renamed from: ˋ  reason: contains not printable characters */
    ArrayList<androidx.vectordrawable.graphics.drawable.b> f4833;

    /* renamed from: ˎ  reason: contains not printable characters */
    final Drawable.Callback f4834;

    /* compiled from: AnimatedVectorDrawableCompat.java */
    /* loaded from: classes.dex */
    class a implements Drawable.Callback {
        a() {
        }

        @Override // android.graphics.drawable.Drawable.Callback
        public void invalidateDrawable(Drawable drawable) {
            h.this.invalidateSelf();
        }

        @Override // android.graphics.drawable.Drawable.Callback
        public void scheduleDrawable(Drawable drawable, Runnable runnable, long j6) {
            h.this.scheduleSelf(runnable, j6);
        }

        @Override // android.graphics.drawable.Drawable.Callback
        public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
            h.this.unscheduleSelf(runnable);
        }
    }

    /* compiled from: AnimatedVectorDrawableCompat.java */
    /* loaded from: classes.dex */
    class b extends AnimatorListenerAdapter {
        b() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            ArrayList arrayList = new ArrayList(h.this.f4833);
            int size = arrayList.size();
            for (int i6 = 0; i6 < size; i6++) {
                ((androidx.vectordrawable.graphics.drawable.b) arrayList.get(i6)).mo5895(h.this);
            }
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationStart(Animator animator) {
            ArrayList arrayList = new ArrayList(h.this.f4833);
            int size = arrayList.size();
            for (int i6 = 0; i6 < size; i6++) {
                ((androidx.vectordrawable.graphics.drawable.b) arrayList.get(i6)).mo5896(h.this);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AnimatedVectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class c extends Drawable.ConstantState {

        /* renamed from: ʻ  reason: contains not printable characters */
        int f4837;

        /* renamed from: ʼ  reason: contains not printable characters */
        o f4838;

        /* renamed from: ʽ  reason: contains not printable characters */
        AnimatorSet f4839;

        /* renamed from: ʾ  reason: contains not printable characters */
        ArrayList<Animator> f4840;

        /* renamed from: ʿ  reason: contains not printable characters */
        l.a<Animator, String> f4841;

        public c(Context context, c cVar, Drawable.Callback callback, Resources resources) {
            if (cVar != null) {
                this.f4837 = cVar.f4837;
                o oVar = cVar.f4838;
                if (oVar != null) {
                    Drawable.ConstantState constantState = oVar.getConstantState();
                    if (resources != null) {
                        this.f4838 = (o) constantState.newDrawable(resources);
                    } else {
                        this.f4838 = (o) constantState.newDrawable();
                    }
                    o oVar2 = (o) this.f4838.mutate();
                    this.f4838 = oVar2;
                    oVar2.setCallback(callback);
                    this.f4838.setBounds(cVar.f4838.getBounds());
                    this.f4838.m5948(false);
                }
                ArrayList<Animator> arrayList = cVar.f4840;
                if (arrayList != null) {
                    int size = arrayList.size();
                    this.f4840 = new ArrayList<>(size);
                    this.f4841 = new l.a<>(size);
                    for (int i6 = 0; i6 < size; i6++) {
                        Animator animator = cVar.f4840.get(i6);
                        Animator clone = animator.clone();
                        String str = cVar.f4841.get(animator);
                        clone.setTarget(this.f4838.m5947(str));
                        this.f4840.add(clone);
                        this.f4841.put(clone, str);
                    }
                    m5911();
                }
            }
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public int getChangingConfigurations() {
            return this.f4837;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable() {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m5911() {
            if (this.f4839 == null) {
                this.f4839 = new AnimatorSet();
            }
            this.f4839.playTogether(this.f4840);
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources) {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }
    }

    h() {
        this(null, null, null);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static h m5902(Context context, int i6) {
        int next;
        if (Build.VERSION.SDK_INT >= 24) {
            h hVar = new h(context);
            Drawable m2325 = androidx.core.content.res.i.m2325(context.getResources(), i6, context.getTheme());
            hVar.f4847 = m2325;
            m2325.setCallback(hVar.f4834);
            hVar.f4831 = new d(hVar.f4847.getConstantState());
            return hVar;
        }
        try {
            XmlResourceParser xml = context.getResources().getXml(i6);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    break;
                }
            }
            if (next == 2) {
                return m5903(context, context.getResources(), xml, asAttributeSet, context.getTheme());
            }
            throw new XmlPullParserException("No start tag found");
        } catch (IOException e6) {
            Log.e("AnimatedVDCompat", "parser error", e6);
            return null;
        } catch (XmlPullParserException e7) {
            Log.e("AnimatedVDCompat", "parser error", e7);
            return null;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static h m5903(Context context, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        h hVar = new h(context);
        hVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return hVar;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static void m5904(AnimatedVectorDrawable animatedVectorDrawable, androidx.vectordrawable.graphics.drawable.b bVar) {
        animatedVectorDrawable.registerAnimationCallback(bVar.m5894());
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5905() {
        Animator.AnimatorListener animatorListener = this.f4832;
        if (animatorListener != null) {
            this.f4828.f4839.removeListener(animatorListener);
            this.f4832 = null;
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m5906(String str, Animator animator) {
        animator.setTarget(this.f4828.f4838.m5947(str));
        if (Build.VERSION.SDK_INT < 21) {
            m5907(animator);
        }
        c cVar = this.f4828;
        if (cVar.f4840 == null) {
            cVar.f4840 = new ArrayList<>();
            this.f4828.f4841 = new l.a<>();
        }
        this.f4828.f4840.add(animator);
        this.f4828.f4841.put(animator, str);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m5907(Animator animator) {
        ArrayList<Animator> childAnimations;
        if ((animator instanceof AnimatorSet) && (childAnimations = ((AnimatorSet) animator).getChildAnimations()) != null) {
            for (int i6 = 0; i6 < childAnimations.size(); i6++) {
                m5907(childAnimations.get(i6));
            }
        }
        if (animator instanceof ObjectAnimator) {
            ObjectAnimator objectAnimator = (ObjectAnimator) animator;
            String propertyName = objectAnimator.getPropertyName();
            if ("fillColor".equals(propertyName) || "strokeColor".equals(propertyName)) {
                if (this.f4830 == null) {
                    this.f4830 = new ArgbEvaluator();
                }
                objectAnimator.setEvaluator(this.f4830);
            }
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private static boolean m5908(AnimatedVectorDrawable animatedVectorDrawable, androidx.vectordrawable.graphics.drawable.b bVar) {
        boolean unregisterAnimationCallback;
        unregisterAnimationCallback = animatedVectorDrawable.unregisterAnimationCallback(bVar.m5894());
        return unregisterAnimationCallback;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2416(drawable, theme);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean canApplyTheme() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2417(drawable);
        }
        return false;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        this.f4828.f4838.draw(canvas);
        if (this.f4828.f4839.isStarted()) {
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2419(drawable);
        }
        return this.f4828.f4838.getAlpha();
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.f4828.f4837;
    }

    @Override // android.graphics.drawable.Drawable
    public ColorFilter getColorFilter() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2420(drawable);
        }
        return this.f4828.f4838.getColorFilter();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        if (this.f4847 != null && Build.VERSION.SDK_INT >= 24) {
            return new d(this.f4847.getConstantState());
        }
        return null;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return this.f4828.f4838.getIntrinsicHeight();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return this.f4828.f4838.getIntrinsicWidth();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return this.f4828.f4838.getOpacity();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2422(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                if ("animated-vector".equals(name)) {
                    TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4818);
                    int resourceId = m2365.getResourceId(0, 0);
                    if (resourceId != 0) {
                        o m5941 = o.m5941(resources, resourceId, theme);
                        m5941.m5948(false);
                        m5941.setCallback(this.f4834);
                        o oVar = this.f4828.f4838;
                        if (oVar != null) {
                            oVar.setCallback(null);
                        }
                        this.f4828.f4838 = m5941;
                    }
                    m2365.recycle();
                } else if ("target".equals(name)) {
                    TypedArray obtainAttributes = resources.obtainAttributes(attributeSet, androidx.vectordrawable.graphics.drawable.a.f4819);
                    String string = obtainAttributes.getString(0);
                    int resourceId2 = obtainAttributes.getResourceId(1, 0);
                    if (resourceId2 != 0) {
                        Context context = this.f4829;
                        if (context != null) {
                            m5906(string, k.m5923(context, resourceId2));
                        } else {
                            obtainAttributes.recycle();
                            throw new IllegalStateException("Context can't be null when inflating animators");
                        }
                    }
                    obtainAttributes.recycle();
                } else {
                    continue;
                }
            }
            eventType = xmlPullParser.next();
        }
        this.f4828.m5911();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2423(drawable);
        }
        return this.f4828.f4838.isAutoMirrored();
    }

    @Override // android.graphics.drawable.Animatable
    public boolean isRunning() {
        boolean isRunning;
        Drawable drawable = this.f4847;
        if (drawable != null) {
            isRunning = ((AnimatedVectorDrawable) drawable).isRunning();
            return isRunning;
        }
        return this.f4828.f4839.isRunning();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.isStateful();
        }
        return this.f4828.f4838.isStateful();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.mutate();
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.setBounds(rect);
        } else {
            this.f4828.f4838.setBounds(rect);
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    protected boolean onLevelChange(int i6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.setLevel(i6);
        }
        return this.f4828.f4838.setLevel(i6);
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onStateChange(int[] iArr) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        return this.f4828.f4838.setState(iArr);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.setAlpha(i6);
        } else {
            this.f4828.f4838.setAlpha(i6);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z5) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2425(drawable, z5);
        } else {
            this.f4828.f4838.setAutoMirrored(z5);
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i6) {
        super.setChangingConfigurations(i6);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setColorFilter(int i6, PorterDuff.Mode mode) {
        super.setColorFilter(i6, mode);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z5) {
        super.setFilterBitmap(z5);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setHotspot(float f6, float f7) {
        super.setHotspot(f6, f7);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i6, int i7, int i8, int i9) {
        super.setHotspotBounds(i6, i7, i8, i9);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTint(int i6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2429(drawable, i6);
        } else {
            this.f4828.f4838.setTint(i6);
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2430(drawable, colorStateList);
        } else {
            this.f4828.f4838.setTintList(colorStateList);
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2431(drawable, mode);
        } else {
            this.f4828.f4838.setTintMode(mode);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z5, boolean z6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.setVisible(z5, z6);
        }
        this.f4828.f4838.setVisible(z5, z6);
        return super.setVisible(z5, z6);
    }

    @Override // android.graphics.drawable.Animatable
    public void start() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).start();
        } else if (this.f4828.f4839.isStarted()) {
        } else {
            this.f4828.f4839.start();
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Animatable
    public void stop() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).stop();
        } else {
            this.f4828.f4839.end();
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public void m5909(androidx.vectordrawable.graphics.drawable.b bVar) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            m5904((AnimatedVectorDrawable) drawable, bVar);
        } else if (bVar == null) {
        } else {
            if (this.f4833 == null) {
                this.f4833 = new ArrayList<>();
            }
            if (this.f4833.contains(bVar)) {
                return;
            }
            this.f4833.add(bVar);
            if (this.f4832 == null) {
                this.f4832 = new b();
            }
            this.f4828.f4839.addListener(this.f4832);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public boolean m5910(androidx.vectordrawable.graphics.drawable.b bVar) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            m5908((AnimatedVectorDrawable) drawable, bVar);
        }
        ArrayList<androidx.vectordrawable.graphics.drawable.b> arrayList = this.f4833;
        if (arrayList != null && bVar != null) {
            boolean remove = arrayList.remove(bVar);
            if (this.f4833.size() == 0) {
                m5905();
            }
            return remove;
        }
        return false;
    }

    private h(Context context) {
        this(context, null, null);
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
        } else {
            this.f4828.f4838.setColorFilter(colorFilter);
        }
    }

    /* compiled from: AnimatedVectorDrawableCompat.java */
    /* loaded from: classes.dex */
    private static class d extends Drawable.ConstantState {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Drawable.ConstantState f4842;

        public d(Drawable.ConstantState constantState) {
            this.f4842 = constantState;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public boolean canApplyTheme() {
            boolean canApplyTheme;
            canApplyTheme = this.f4842.canApplyTheme();
            return canApplyTheme;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public int getChangingConfigurations() {
            return this.f4842.getChangingConfigurations();
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable() {
            h hVar = new h();
            Drawable newDrawable = this.f4842.newDrawable();
            hVar.f4847 = newDrawable;
            newDrawable.setCallback(hVar.f4834);
            return hVar;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources) {
            h hVar = new h();
            Drawable newDrawable = this.f4842.newDrawable(resources);
            hVar.f4847 = newDrawable;
            newDrawable.setCallback(hVar.f4834);
            return hVar;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            Drawable newDrawable;
            h hVar = new h();
            newDrawable = this.f4842.newDrawable(resources, theme);
            hVar.f4847 = newDrawable;
            newDrawable.setCallback(hVar.f4834);
            return hVar;
        }
    }

    private h(Context context, c cVar, Resources resources) {
        this.f4830 = null;
        this.f4832 = null;
        this.f4833 = null;
        a aVar = new a();
        this.f4834 = aVar;
        this.f4829 = context;
        if (cVar != null) {
            this.f4828 = cVar;
        } else {
            this.f4828 = new c(context, cVar, aVar, resources);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        inflate(resources, xmlPullParser, attributeSet, null);
    }
}
