package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.Keyframe;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TypeEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.os.Build;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.InflateException;
import androidx.core.content.res.q;
import androidx.core.graphics.j;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import me.zhanghai.android.materialprogressbar.BuildConfig;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: AnimatorInflaterCompat.java */
/* loaded from: classes.dex */
public class k {

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: AnimatorInflaterCompat.java */
    /* loaded from: classes.dex */
    public static class a implements TypeEvaluator<j.b[]> {

        /* renamed from: ʻ  reason: contains not printable characters */
        private j.b[] f4843;

        a() {
        }

        @Override // android.animation.TypeEvaluator
        /* renamed from: ʻ  reason: contains not printable characters */
        public j.b[] evaluate(float f6, j.b[] bVarArr, j.b[] bVarArr2) {
            if (androidx.core.graphics.j.m2500(bVarArr, bVarArr2)) {
                if (!androidx.core.graphics.j.m2500(this.f4843, bVarArr)) {
                    this.f4843 = androidx.core.graphics.j.m2504(bVarArr);
                }
                for (int i6 = 0; i6 < bVarArr.length; i6++) {
                    this.f4843[i6].m2513(bVarArr[i6], bVarArr2[i6], f6);
                }
                return this.f4843;
            }
            throw new IllegalArgumentException("Can't interpolate between two incompatible pathData");
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static Animator m5915(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, float f6) throws XmlPullParserException, IOException {
        return m5916(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser), null, 0, f6);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:33:0x00b8  */
    /* renamed from: ʼ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static Animator m5916(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet, AnimatorSet animatorSet, int i6, float f6) throws XmlPullParserException, IOException {
        int i7;
        int depth = xmlPullParser.getDepth();
        ValueAnimator valueAnimator = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            i7 = 0;
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("objectAnimator")) {
                        valueAnimator = m5928(context, resources, theme, attributeSet, f6, xmlPullParser);
                    } else if (name.equals("animator")) {
                        valueAnimator = m5926(context, resources, theme, attributeSet, null, f6, xmlPullParser);
                    } else {
                        if (name.equals("set")) {
                            AnimatorSet animatorSet2 = new AnimatorSet();
                            TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4821);
                            m5916(context, resources, theme, xmlPullParser, attributeSet, animatorSet2, q.m2361(m2365, xmlPullParser, "ordering", 0, 0), f6);
                            m2365.recycle();
                            valueAnimator = animatorSet2;
                        } else if (name.equals("propertyValuesHolder")) {
                            PropertyValuesHolder[] m5930 = m5930(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser));
                            if (m5930 != null && (valueAnimator instanceof ValueAnimator)) {
                                valueAnimator.setValues(m5930);
                            }
                            i7 = 1;
                        } else {
                            throw new RuntimeException("Unknown animator name: " + xmlPullParser.getName());
                        }
                        if (animatorSet != null && i7 == 0) {
                            if (arrayList == null) {
                                arrayList = new ArrayList();
                            }
                            arrayList.add(valueAnimator);
                        }
                    }
                    if (animatorSet != null) {
                        if (arrayList == null) {
                        }
                        arrayList.add(valueAnimator);
                    }
                }
            }
        }
        if (animatorSet != null && arrayList != null) {
            Animator[] animatorArr = new Animator[arrayList.size()];
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                animatorArr[i7] = (Animator) it.next();
                i7++;
            }
            if (i6 == 0) {
                animatorSet.playTogether(animatorArr);
            } else {
                animatorSet.playSequentially(animatorArr);
            }
        }
        return valueAnimator;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static Keyframe m5917(Keyframe keyframe, float f6) {
        if (keyframe.getType() == Float.TYPE) {
            return Keyframe.ofFloat(f6);
        }
        if (keyframe.getType() == Integer.TYPE) {
            return Keyframe.ofInt(f6);
        }
        return Keyframe.ofObject(f6);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static void m5918(Keyframe[] keyframeArr, float f6, int i6, int i7) {
        float f7 = f6 / ((i7 - i6) + 2);
        while (i6 <= i7) {
            keyframeArr[i6].setFraction(keyframeArr[i6 - 1].getFraction() + f7);
            i6++;
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static PropertyValuesHolder m5919(TypedArray typedArray, int i6, int i7, int i8, String str) {
        boolean z5;
        int i9;
        boolean z6;
        int i10;
        boolean z7;
        l lVar;
        int i11;
        int i12;
        int i13;
        float f6;
        PropertyValuesHolder ofFloat;
        float f7;
        float f8;
        PropertyValuesHolder ofObject;
        TypedValue peekValue = typedArray.peekValue(i7);
        if (peekValue != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (z5) {
            i9 = peekValue.type;
        } else {
            i9 = 0;
        }
        TypedValue peekValue2 = typedArray.peekValue(i8);
        if (peekValue2 != null) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6) {
            i10 = peekValue2.type;
        } else {
            i10 = 0;
        }
        if (i6 == 4) {
            if ((z5 && m5922(i9)) || (z6 && m5922(i10))) {
                i6 = 3;
            } else {
                i6 = 0;
            }
        }
        if (i6 == 0) {
            z7 = true;
        } else {
            z7 = false;
        }
        PropertyValuesHolder propertyValuesHolder = null;
        if (i6 == 2) {
            String string = typedArray.getString(i7);
            String string2 = typedArray.getString(i8);
            j.b[] m2502 = androidx.core.graphics.j.m2502(string);
            j.b[] m25022 = androidx.core.graphics.j.m2502(string2);
            if (m2502 == null && m25022 == null) {
                return null;
            }
            if (m2502 != null) {
                a aVar = new a();
                if (m25022 != null) {
                    if (androidx.core.graphics.j.m2500(m2502, m25022)) {
                        ofObject = PropertyValuesHolder.ofObject(str, aVar, m2502, m25022);
                    } else {
                        throw new InflateException(" Can't morph from " + string + " to " + string2);
                    }
                } else {
                    ofObject = PropertyValuesHolder.ofObject(str, aVar, m2502);
                }
                return ofObject;
            } else if (m25022 == null) {
                return null;
            } else {
                return PropertyValuesHolder.ofObject(str, new a(), m25022);
            }
        }
        if (i6 == 3) {
            lVar = l.m5935();
        } else {
            lVar = null;
        }
        if (z7) {
            if (z5) {
                if (i9 == 5) {
                    f7 = typedArray.getDimension(i7, 0.0f);
                } else {
                    f7 = typedArray.getFloat(i7, 0.0f);
                }
                if (z6) {
                    if (i10 == 5) {
                        f8 = typedArray.getDimension(i8, 0.0f);
                    } else {
                        f8 = typedArray.getFloat(i8, 0.0f);
                    }
                    ofFloat = PropertyValuesHolder.ofFloat(str, f7, f8);
                } else {
                    ofFloat = PropertyValuesHolder.ofFloat(str, f7);
                }
            } else {
                if (i10 == 5) {
                    f6 = typedArray.getDimension(i8, 0.0f);
                } else {
                    f6 = typedArray.getFloat(i8, 0.0f);
                }
                ofFloat = PropertyValuesHolder.ofFloat(str, f6);
            }
            propertyValuesHolder = ofFloat;
        } else if (z5) {
            if (i9 == 5) {
                i12 = (int) typedArray.getDimension(i7, 0.0f);
            } else if (m5922(i9)) {
                i12 = typedArray.getColor(i7, 0);
            } else {
                i12 = typedArray.getInt(i7, 0);
            }
            if (z6) {
                if (i10 == 5) {
                    i13 = (int) typedArray.getDimension(i8, 0.0f);
                } else if (m5922(i10)) {
                    i13 = typedArray.getColor(i8, 0);
                } else {
                    i13 = typedArray.getInt(i8, 0);
                }
                propertyValuesHolder = PropertyValuesHolder.ofInt(str, i12, i13);
            } else {
                propertyValuesHolder = PropertyValuesHolder.ofInt(str, i12);
            }
        } else if (z6) {
            if (i10 == 5) {
                i11 = (int) typedArray.getDimension(i8, 0.0f);
            } else if (m5922(i10)) {
                i11 = typedArray.getColor(i8, 0);
            } else {
                i11 = typedArray.getInt(i8, 0);
            }
            propertyValuesHolder = PropertyValuesHolder.ofInt(str, i11);
        }
        if (propertyValuesHolder != null && lVar != null) {
            propertyValuesHolder.setEvaluator(lVar);
            return propertyValuesHolder;
        }
        return propertyValuesHolder;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private static int m5920(TypedArray typedArray, int i6, int i7) {
        boolean z5;
        int i8;
        int i9;
        TypedValue peekValue = typedArray.peekValue(i6);
        boolean z6 = true;
        if (peekValue != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (z5) {
            i8 = peekValue.type;
        } else {
            i8 = 0;
        }
        TypedValue peekValue2 = typedArray.peekValue(i7);
        if (peekValue2 == null) {
            z6 = false;
        }
        if (z6) {
            i9 = peekValue2.type;
        } else {
            i9 = 0;
        }
        if ((!z5 || !m5922(i8)) && (!z6 || !m5922(i9))) {
            return 0;
        }
        return 3;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static int m5921(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        boolean z5;
        TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4823);
        int i6 = 0;
        TypedValue m2366 = q.m2366(m2365, xmlPullParser, "value", 0);
        if (m2366 != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (z5 && m5922(m2366.type)) {
            i6 = 3;
        }
        m2365.recycle();
        return i6;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static boolean m5922(int i6) {
        if (i6 >= 28 && i6 <= 31) {
            return true;
        }
        return false;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static Animator m5923(Context context, int i6) throws Resources.NotFoundException {
        if (Build.VERSION.SDK_INT >= 24) {
            return AnimatorInflater.loadAnimator(context, i6);
        }
        return m5924(context, context.getResources(), context.getTheme(), i6);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public static Animator m5924(Context context, Resources resources, Resources.Theme theme, int i6) throws Resources.NotFoundException {
        return m5925(context, resources, theme, i6, 1.0f);
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public static Animator m5925(Context context, Resources resources, Resources.Theme theme, int i6, float f6) throws Resources.NotFoundException {
        XmlResourceParser xmlResourceParser = null;
        try {
            try {
                try {
                    xmlResourceParser = resources.getAnimation(i6);
                    return m5915(context, resources, theme, xmlResourceParser, f6);
                } catch (XmlPullParserException e6) {
                    Resources.NotFoundException notFoundException = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i6));
                    notFoundException.initCause(e6);
                    throw notFoundException;
                }
            } catch (IOException e7) {
                Resources.NotFoundException notFoundException2 = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i6));
                notFoundException2.initCause(e7);
                throw notFoundException2;
            }
        } finally {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private static ValueAnimator m5926(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, ValueAnimator valueAnimator, float f6, XmlPullParser xmlPullParser) throws Resources.NotFoundException {
        TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4820);
        TypedArray m23652 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4824);
        if (valueAnimator == null) {
            valueAnimator = new ValueAnimator();
        }
        m5931(valueAnimator, m2365, m23652, f6, xmlPullParser);
        int m2362 = q.m2362(m2365, xmlPullParser, "interpolator", 0, 0);
        if (m2362 > 0) {
            valueAnimator.setInterpolator(j.m5914(context, m2362));
        }
        m2365.recycle();
        if (m23652 != null) {
            m23652.recycle();
        }
        return valueAnimator;
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static Keyframe m5927(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, int i6, XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        boolean z5;
        Keyframe ofInt;
        TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4823);
        float m2360 = q.m2360(m2365, xmlPullParser, "fraction", 3, -1.0f);
        TypedValue m2366 = q.m2366(m2365, xmlPullParser, "value", 0);
        if (m2366 != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (i6 == 4) {
            if (z5 && m5922(m2366.type)) {
                i6 = 3;
            } else {
                i6 = 0;
            }
        }
        if (z5) {
            if (i6 != 0) {
                if (i6 != 1 && i6 != 3) {
                    ofInt = null;
                } else {
                    ofInt = Keyframe.ofInt(m2360, q.m2361(m2365, xmlPullParser, "value", 0, 0));
                }
            } else {
                ofInt = Keyframe.ofFloat(m2360, q.m2360(m2365, xmlPullParser, "value", 0, 0.0f));
            }
        } else if (i6 == 0) {
            ofInt = Keyframe.ofFloat(m2360);
        } else {
            ofInt = Keyframe.ofInt(m2360);
        }
        int m2362 = q.m2362(m2365, xmlPullParser, "interpolator", 1, 0);
        if (m2362 > 0) {
            ofInt.setInterpolator(j.m5914(context, m2362));
        }
        m2365.recycle();
        return ofInt;
    }

    /* renamed from: י  reason: contains not printable characters */
    private static ObjectAnimator m5928(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, float f6, XmlPullParser xmlPullParser) throws Resources.NotFoundException {
        ObjectAnimator objectAnimator = new ObjectAnimator();
        m5926(context, resources, theme, attributeSet, objectAnimator, f6, xmlPullParser);
        return objectAnimator;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private static PropertyValuesHolder m5929(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, String str, int i6) throws XmlPullParserException, IOException {
        int size;
        PropertyValuesHolder propertyValuesHolder = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            if (next == 3 || next == 1) {
                break;
            } else if (xmlPullParser.getName().equals("keyframe")) {
                if (i6 == 4) {
                    i6 = m5921(resources, theme, Xml.asAttributeSet(xmlPullParser), xmlPullParser);
                }
                Keyframe m5927 = m5927(context, resources, theme, Xml.asAttributeSet(xmlPullParser), i6, xmlPullParser);
                if (m5927 != null) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(m5927);
                }
                xmlPullParser.next();
            }
        }
        if (arrayList != null && (size = arrayList.size()) > 0) {
            Keyframe keyframe = (Keyframe) arrayList.get(0);
            Keyframe keyframe2 = (Keyframe) arrayList.get(size - 1);
            float fraction = keyframe2.getFraction();
            if (fraction < 1.0f) {
                if (fraction < 0.0f) {
                    keyframe2.setFraction(1.0f);
                } else {
                    arrayList.add(arrayList.size(), m5917(keyframe2, 1.0f));
                    size++;
                }
            }
            float fraction2 = keyframe.getFraction();
            if (fraction2 != 0.0f) {
                if (fraction2 < 0.0f) {
                    keyframe.setFraction(0.0f);
                } else {
                    arrayList.add(0, m5917(keyframe, 0.0f));
                    size++;
                }
            }
            Keyframe[] keyframeArr = new Keyframe[size];
            arrayList.toArray(keyframeArr);
            for (int i7 = 0; i7 < size; i7++) {
                Keyframe keyframe3 = keyframeArr[i7];
                if (keyframe3.getFraction() < 0.0f) {
                    if (i7 == 0) {
                        keyframe3.setFraction(0.0f);
                    } else {
                        int i8 = size - 1;
                        if (i7 == i8) {
                            keyframe3.setFraction(1.0f);
                        } else {
                            int i9 = i7;
                            for (int i10 = i7 + 1; i10 < i8 && keyframeArr[i10].getFraction() < 0.0f; i10++) {
                                i9 = i10;
                            }
                            m5918(keyframeArr, keyframeArr[i9 + 1].getFraction() - keyframeArr[i7 - 1].getFraction(), i7, i9);
                        }
                    }
                }
            }
            propertyValuesHolder = PropertyValuesHolder.ofKeyframe(str, keyframeArr);
            if (i6 == 3) {
                propertyValuesHolder.setEvaluator(l.m5935());
            }
        }
        return propertyValuesHolder;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private static PropertyValuesHolder[] m5930(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        int i6;
        PropertyValuesHolder[] propertyValuesHolderArr = null;
        ArrayList arrayList = null;
        while (true) {
            int eventType = xmlPullParser.getEventType();
            if (eventType == 3 || eventType == 1) {
                break;
            } else if (eventType != 2) {
                xmlPullParser.next();
            } else {
                if (xmlPullParser.getName().equals("propertyValuesHolder")) {
                    TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4822);
                    String m2363 = q.m2363(m2365, xmlPullParser, "propertyName", 3);
                    int m2361 = q.m2361(m2365, xmlPullParser, "valueType", 2, 4);
                    PropertyValuesHolder m5929 = m5929(context, resources, theme, xmlPullParser, m2363, m2361);
                    if (m5929 == null) {
                        m5929 = m5919(m2365, m2361, 0, 1, m2363);
                    }
                    if (m5929 != null) {
                        if (arrayList == null) {
                            arrayList = new ArrayList();
                        }
                        arrayList.add(m5929);
                    }
                    m2365.recycle();
                }
                xmlPullParser.next();
            }
        }
        if (arrayList != null) {
            int size = arrayList.size();
            propertyValuesHolderArr = new PropertyValuesHolder[size];
            for (i6 = 0; i6 < size; i6++) {
                propertyValuesHolderArr[i6] = (PropertyValuesHolder) arrayList.get(i6);
            }
        }
        return propertyValuesHolderArr;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private static void m5931(ValueAnimator valueAnimator, TypedArray typedArray, TypedArray typedArray2, float f6, XmlPullParser xmlPullParser) {
        long m2361 = q.m2361(typedArray, xmlPullParser, "duration", 1, 300);
        long m23612 = q.m2361(typedArray, xmlPullParser, "startOffset", 2, 0);
        int m23613 = q.m2361(typedArray, xmlPullParser, "valueType", 7, 4);
        if (q.m2364(xmlPullParser, "valueFrom") && q.m2364(xmlPullParser, "valueTo")) {
            if (m23613 == 4) {
                m23613 = m5920(typedArray, 5, 6);
            }
            PropertyValuesHolder m5919 = m5919(typedArray, m23613, 5, 6, BuildConfig.FLAVOR);
            if (m5919 != null) {
                valueAnimator.setValues(m5919);
            }
        }
        valueAnimator.setDuration(m2361);
        valueAnimator.setStartDelay(m23612);
        valueAnimator.setRepeatCount(q.m2361(typedArray, xmlPullParser, "repeatCount", 3, 0));
        valueAnimator.setRepeatMode(q.m2361(typedArray, xmlPullParser, "repeatMode", 4, 1));
        if (typedArray2 != null) {
            m5932(valueAnimator, typedArray2, m23613, f6, xmlPullParser);
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static void m5932(ValueAnimator valueAnimator, TypedArray typedArray, int i6, float f6, XmlPullParser xmlPullParser) {
        ObjectAnimator objectAnimator = (ObjectAnimator) valueAnimator;
        String m2363 = q.m2363(typedArray, xmlPullParser, "pathData", 1);
        if (m2363 != null) {
            String m23632 = q.m2363(typedArray, xmlPullParser, "propertyXName", 2);
            String m23633 = q.m2363(typedArray, xmlPullParser, "propertyYName", 3);
            if (i6 != 2) {
            }
            if (m23632 == null && m23633 == null) {
                throw new InflateException(typedArray.getPositionDescription() + " propertyXName or propertyYName is needed for PathData");
            }
            m5933(androidx.core.graphics.j.m2503(m2363), objectAnimator, f6 * 0.5f, m23632, m23633);
            return;
        }
        objectAnimator.setPropertyName(q.m2363(typedArray, xmlPullParser, "propertyName", 0));
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private static void m5933(Path path, ObjectAnimator objectAnimator, float f6, String str, String str2) {
        PropertyValuesHolder propertyValuesHolder;
        PropertyValuesHolder propertyValuesHolder2;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        ArrayList arrayList = new ArrayList();
        float f7 = 0.0f;
        arrayList.add(Float.valueOf(0.0f));
        float f8 = 0.0f;
        do {
            f8 += pathMeasure.getLength();
            arrayList.add(Float.valueOf(f8));
        } while (pathMeasure.nextContour());
        PathMeasure pathMeasure2 = new PathMeasure(path, false);
        int min = Math.min(100, ((int) (f8 / f6)) + 1);
        float[] fArr = new float[min];
        float[] fArr2 = new float[min];
        float[] fArr3 = new float[2];
        float f9 = f8 / (min - 1);
        int i6 = 0;
        int i7 = 0;
        while (true) {
            propertyValuesHolder = null;
            if (i6 >= min) {
                break;
            }
            pathMeasure2.getPosTan(f7 - ((Float) arrayList.get(i7)).floatValue(), fArr3, null);
            fArr[i6] = fArr3[0];
            fArr2[i6] = fArr3[1];
            f7 += f9;
            int i8 = i7 + 1;
            if (i8 < arrayList.size() && f7 > ((Float) arrayList.get(i8)).floatValue()) {
                pathMeasure2.nextContour();
                i7 = i8;
            }
            i6++;
        }
        if (str != null) {
            propertyValuesHolder2 = PropertyValuesHolder.ofFloat(str, fArr);
        } else {
            propertyValuesHolder2 = null;
        }
        if (str2 != null) {
            propertyValuesHolder = PropertyValuesHolder.ofFloat(str2, fArr2);
        }
        if (propertyValuesHolder2 == null) {
            objectAnimator.setValues(propertyValuesHolder);
        } else if (propertyValuesHolder == null) {
            objectAnimator.setValues(propertyValuesHolder2);
        } else {
            objectAnimator.setValues(propertyValuesHolder2, propertyValuesHolder);
        }
    }
}
