package androidx.vectordrawable.graphics.drawable;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.animation.Interpolator;
import androidx.core.content.res.q;
import org.xmlpull.v1.XmlPullParser;
/* compiled from: PathInterpolatorCompat.java */
/* loaded from: classes.dex */
public class m implements Interpolator {

    /* renamed from: ʻ  reason: contains not printable characters */
    private float[] f4845;

    /* renamed from: ʼ  reason: contains not printable characters */
    private float[] f4846;

    public m(Context context, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        this(context.getResources(), context.getTheme(), attributeSet, xmlPullParser);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m5936(float f6, float f7, float f8, float f9) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.cubicTo(f6, f7, f8, f9, 1.0f, 1.0f);
        m5937(path);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m5937(Path path) {
        int i6 = 0;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int min = Math.min(3000, ((int) (length / 0.002f)) + 1);
        if (min > 0) {
            this.f4845 = new float[min];
            this.f4846 = new float[min];
            float[] fArr = new float[2];
            for (int i7 = 0; i7 < min; i7++) {
                pathMeasure.getPosTan((i7 * length) / (min - 1), fArr, null);
                this.f4845[i7] = fArr[0];
                this.f4846[i7] = fArr[1];
            }
            if (Math.abs(this.f4845[0]) <= 1.0E-5d && Math.abs(this.f4846[0]) <= 1.0E-5d) {
                int i8 = min - 1;
                if (Math.abs(this.f4845[i8] - 1.0f) <= 1.0E-5d && Math.abs(this.f4846[i8] - 1.0f) <= 1.0E-5d) {
                    float f6 = 0.0f;
                    int i9 = 0;
                    while (i6 < min) {
                        float[] fArr2 = this.f4845;
                        int i10 = i9 + 1;
                        float f7 = fArr2[i9];
                        if (f7 >= f6) {
                            fArr2[i6] = f7;
                            i6++;
                            f6 = f7;
                            i9 = i10;
                        } else {
                            throw new IllegalArgumentException("The Path cannot loop back on itself, x :" + f7);
                        }
                    }
                    if (!pathMeasure.nextContour()) {
                        return;
                    }
                    throw new IllegalArgumentException("The Path should be continuous, can't have 2+ contours");
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("The Path must start at (0,0) and end at (1,1) start: ");
            sb.append(this.f4845[0]);
            sb.append(",");
            sb.append(this.f4846[0]);
            sb.append(" end:");
            int i11 = min - 1;
            sb.append(this.f4845[i11]);
            sb.append(",");
            sb.append(this.f4846[i11]);
            throw new IllegalArgumentException(sb.toString());
        }
        throw new IllegalArgumentException("The Path has a invalid length " + length);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m5938(float f6, float f7) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.quadTo(f6, f7, 1.0f, 1.0f);
        m5937(path);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m5939(TypedArray typedArray, XmlPullParser xmlPullParser) {
        if (q.m2364(xmlPullParser, "pathData")) {
            String m2363 = q.m2363(typedArray, xmlPullParser, "pathData", 4);
            Path m2503 = androidx.core.graphics.j.m2503(m2363);
            if (m2503 != null) {
                m5937(m2503);
                return;
            }
            throw new InflateException("The path is null, which is created from " + m2363);
        } else if (q.m2364(xmlPullParser, "controlX1")) {
            if (q.m2364(xmlPullParser, "controlY1")) {
                float m2360 = q.m2360(typedArray, xmlPullParser, "controlX1", 0, 0.0f);
                float m23602 = q.m2360(typedArray, xmlPullParser, "controlY1", 1, 0.0f);
                boolean m2364 = q.m2364(xmlPullParser, "controlX2");
                if (m2364 == q.m2364(xmlPullParser, "controlY2")) {
                    if (!m2364) {
                        m5938(m2360, m23602);
                        return;
                    } else {
                        m5936(m2360, m23602, q.m2360(typedArray, xmlPullParser, "controlX2", 2, 0.0f), q.m2360(typedArray, xmlPullParser, "controlY2", 3, 0.0f));
                        return;
                    }
                }
                throw new InflateException("pathInterpolator requires both controlX2 and controlY2 for cubic Beziers.");
            }
            throw new InflateException("pathInterpolator requires the controlY1 attribute");
        } else {
            throw new InflateException("pathInterpolator requires the controlX1 attribute");
        }
    }

    @Override // android.animation.TimeInterpolator
    public float getInterpolation(float f6) {
        if (f6 <= 0.0f) {
            return 0.0f;
        }
        if (f6 >= 1.0f) {
            return 1.0f;
        }
        int length = this.f4845.length - 1;
        int i6 = 0;
        while (length - i6 > 1) {
            int i7 = (i6 + length) / 2;
            if (f6 < this.f4845[i7]) {
                length = i7;
            } else {
                i6 = i7;
            }
        }
        float[] fArr = this.f4845;
        float f7 = fArr[length];
        float f8 = fArr[i6];
        float f9 = f7 - f8;
        if (f9 == 0.0f) {
            return this.f4846[i6];
        }
        float[] fArr2 = this.f4846;
        float f10 = fArr2[i6];
        return f10 + (((f6 - f8) / f9) * (fArr2[length] - f10));
    }

    public m(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray m2365 = q.m2365(resources, theme, attributeSet, a.f4825);
        m5939(m2365, xmlPullParser);
        m2365.recycle();
    }
}
