package androidx.vectordrawable.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.VectorDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.core.content.res.q;
import androidx.core.graphics.j;
import java.io.IOException;
import java.util.ArrayDeque;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: VectorDrawableCompat.java */
/* loaded from: classes.dex */
public class o extends n {

    /* renamed from: י  reason: contains not printable characters */
    static final PorterDuff.Mode f4848 = PorterDuff.Mode.SRC_IN;

    /* renamed from: ʿ  reason: contains not printable characters */
    private h f4849;

    /* renamed from: ˆ  reason: contains not printable characters */
    private PorterDuffColorFilter f4850;

    /* renamed from: ˈ  reason: contains not printable characters */
    private ColorFilter f4851;

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f4852;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f4853;

    /* renamed from: ˋ  reason: contains not printable characters */
    private Drawable.ConstantState f4854;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final float[] f4855;

    /* renamed from: ˏ  reason: contains not printable characters */
    private final Matrix f4856;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final Rect f4857;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class b extends f {
        b() {
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        private void m5950(TypedArray typedArray, XmlPullParser xmlPullParser) {
            String string = typedArray.getString(0);
            if (string != null) {
                this.f4884 = string;
            }
            String string2 = typedArray.getString(1);
            if (string2 != null) {
                this.f4883 = androidx.core.graphics.j.m2502(string2);
            }
            this.f4885 = q.m2361(typedArray, xmlPullParser, "fillType", 2, 0);
        }

        @Override // androidx.vectordrawable.graphics.drawable.o.f
        /* renamed from: ʽ  reason: contains not printable characters */
        public boolean mo5951() {
            return true;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        public void m5952(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            if (!q.m2364(xmlPullParser, "pathData")) {
                return;
            }
            TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4817);
            m5950(m2365, xmlPullParser);
            m2365.recycle();
        }

        b(b bVar) {
            super(bVar);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static abstract class e {
        private e() {
        }

        /* renamed from: ʻ */
        public boolean mo5956() {
            return false;
        }

        /* renamed from: ʼ */
        public boolean mo5957(int[] iArr) {
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class h extends Drawable.ConstantState {

        /* renamed from: ʻ  reason: contains not printable characters */
        int f4904;

        /* renamed from: ʼ  reason: contains not printable characters */
        g f4905;

        /* renamed from: ʽ  reason: contains not printable characters */
        ColorStateList f4906;

        /* renamed from: ʾ  reason: contains not printable characters */
        PorterDuff.Mode f4907;

        /* renamed from: ʿ  reason: contains not printable characters */
        boolean f4908;

        /* renamed from: ˆ  reason: contains not printable characters */
        Bitmap f4909;

        /* renamed from: ˈ  reason: contains not printable characters */
        ColorStateList f4910;

        /* renamed from: ˉ  reason: contains not printable characters */
        PorterDuff.Mode f4911;

        /* renamed from: ˊ  reason: contains not printable characters */
        int f4912;

        /* renamed from: ˋ  reason: contains not printable characters */
        boolean f4913;

        /* renamed from: ˎ  reason: contains not printable characters */
        boolean f4914;

        /* renamed from: ˏ  reason: contains not printable characters */
        Paint f4915;

        public h(h hVar) {
            this.f4906 = null;
            this.f4907 = o.f4848;
            if (hVar != null) {
                this.f4904 = hVar.f4904;
                g gVar = new g(hVar.f4905);
                this.f4905 = gVar;
                if (hVar.f4905.f4892 != null) {
                    gVar.f4892 = new Paint(hVar.f4905.f4892);
                }
                if (hVar.f4905.f4891 != null) {
                    this.f4905.f4891 = new Paint(hVar.f4905.f4891);
                }
                this.f4906 = hVar.f4906;
                this.f4907 = hVar.f4907;
                this.f4908 = hVar.f4908;
            }
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public int getChangingConfigurations() {
            return this.f4904;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable() {
            return new o(this);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m5970(int i6, int i7) {
            if (i6 == this.f4909.getWidth() && i7 == this.f4909.getHeight()) {
                return true;
            }
            return false;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public boolean m5971() {
            if (!this.f4914 && this.f4910 == this.f4906 && this.f4911 == this.f4907 && this.f4913 == this.f4908 && this.f4912 == this.f4905.getRootAlpha()) {
                return true;
            }
            return false;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public void m5972(int i6, int i7) {
            if (this.f4909 == null || !m5970(i6, i7)) {
                this.f4909 = Bitmap.createBitmap(i6, i7, Bitmap.Config.ARGB_8888);
                this.f4914 = true;
            }
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public void m5973(Canvas canvas, ColorFilter colorFilter, Rect rect) {
            canvas.drawBitmap(this.f4909, (Rect) null, rect, m5974(colorFilter));
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        public Paint m5974(ColorFilter colorFilter) {
            if (!m5975() && colorFilter == null) {
                return null;
            }
            if (this.f4915 == null) {
                Paint paint = new Paint();
                this.f4915 = paint;
                paint.setFilterBitmap(true);
            }
            this.f4915.setAlpha(this.f4905.getRootAlpha());
            this.f4915.setColorFilter(colorFilter);
            return this.f4915;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public boolean m5975() {
            if (this.f4905.getRootAlpha() < 255) {
                return true;
            }
            return false;
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        public boolean m5976() {
            return this.f4905.m5968();
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        public boolean m5977(int[] iArr) {
            boolean m5969 = this.f4905.m5969(iArr);
            this.f4914 |= m5969;
            return m5969;
        }

        /* renamed from: ˊ  reason: contains not printable characters */
        public void m5978() {
            this.f4910 = this.f4906;
            this.f4911 = this.f4907;
            this.f4912 = this.f4905.getRootAlpha();
            this.f4913 = this.f4908;
            this.f4914 = false;
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        public void m5979(int i6, int i7) {
            this.f4909.eraseColor(0);
            this.f4905.m5967(new Canvas(this.f4909), i6, i7, null);
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources) {
            return new o(this);
        }

        public h() {
            this.f4906 = null;
            this.f4907 = o.f4848;
            this.f4905 = new g();
        }
    }

    o() {
        this.f4853 = true;
        this.f4855 = new float[9];
        this.f4856 = new Matrix();
        this.f4857 = new Rect();
        this.f4849 = new h();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static int m5940(int i6, float f6) {
        return (i6 & 16777215) | (((int) (Color.alpha(i6) * f6)) << 24);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static o m5941(Resources resources, int i6, Resources.Theme theme) {
        int next;
        if (Build.VERSION.SDK_INT >= 24) {
            o oVar = new o();
            oVar.f4847 = androidx.core.content.res.i.m2325(resources, i6, theme);
            oVar.f4854 = new i(oVar.f4847.getConstantState());
            return oVar;
        }
        try {
            XmlResourceParser xml = resources.getXml(i6);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    break;
                }
            }
            if (next == 2) {
                return m5942(resources, xml, asAttributeSet, theme);
            }
            throw new XmlPullParserException("No start tag found");
        } catch (IOException e6) {
            Log.e("VectorDrawableCompat", "parser error", e6);
            return null;
        } catch (XmlPullParserException e7) {
            Log.e("VectorDrawableCompat", "parser error", e7);
            return null;
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static o m5942(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        o oVar = new o();
        oVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return oVar;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m5943(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        h hVar = this.f4849;
        g gVar = hVar.f4905;
        ArrayDeque arrayDeque = new ArrayDeque();
        arrayDeque.push(gVar.f4895);
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        boolean z5 = true;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                d dVar = (d) arrayDeque.peek();
                if ("path".equals(name)) {
                    c cVar = new c();
                    cVar.m5958(resources, attributeSet, theme, xmlPullParser);
                    dVar.f4871.add(cVar);
                    if (cVar.getPathName() != null) {
                        gVar.f4903.put(cVar.getPathName(), cVar);
                    }
                    hVar.f4904 = cVar.f4886 | hVar.f4904;
                    z5 = false;
                } else if ("clip-path".equals(name)) {
                    b bVar = new b();
                    bVar.m5952(resources, attributeSet, theme, xmlPullParser);
                    dVar.f4871.add(bVar);
                    if (bVar.getPathName() != null) {
                        gVar.f4903.put(bVar.getPathName(), bVar);
                    }
                    hVar.f4904 = bVar.f4886 | hVar.f4904;
                } else if ("group".equals(name)) {
                    d dVar2 = new d();
                    dVar2.m5961(resources, attributeSet, theme, xmlPullParser);
                    dVar.f4871.add(dVar2);
                    arrayDeque.push(dVar2);
                    if (dVar2.getGroupName() != null) {
                        gVar.f4903.put(dVar2.getGroupName(), dVar2);
                    }
                    hVar.f4904 = dVar2.f4880 | hVar.f4904;
                }
            } else if (eventType == 3 && "group".equals(xmlPullParser.getName())) {
                arrayDeque.pop();
            }
            eventType = xmlPullParser.next();
        }
        if (!z5) {
            return;
        }
        throw new XmlPullParserException("no path defined");
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m5944() {
        if (isAutoMirrored() && androidx.core.graphics.drawable.a.m2421(this) == 1) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static PorterDuff.Mode m5945(int i6, PorterDuff.Mode mode) {
        if (i6 != 3) {
            if (i6 != 5) {
                if (i6 != 9) {
                    switch (i6) {
                        case 14:
                            return PorterDuff.Mode.MULTIPLY;
                        case 15:
                            return PorterDuff.Mode.SCREEN;
                        case 16:
                            return PorterDuff.Mode.ADD;
                        default:
                            return mode;
                    }
                }
                return PorterDuff.Mode.SRC_ATOP;
            }
            return PorterDuff.Mode.SRC_IN;
        }
        return PorterDuff.Mode.SRC_OVER;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m5946(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme) throws XmlPullParserException {
        h hVar = this.f4849;
        g gVar = hVar.f4905;
        hVar.f4907 = m5945(q.m2361(typedArray, xmlPullParser, "tintMode", 6, -1), PorterDuff.Mode.SRC_IN);
        ColorStateList m2357 = q.m2357(typedArray, xmlPullParser, theme, "tint", 1);
        if (m2357 != null) {
            hVar.f4906 = m2357;
        }
        hVar.f4908 = q.m2355(typedArray, xmlPullParser, "autoMirrored", 5, hVar.f4908);
        gVar.f4898 = q.m2360(typedArray, xmlPullParser, "viewportWidth", 7, gVar.f4898);
        float m2360 = q.m2360(typedArray, xmlPullParser, "viewportHeight", 8, gVar.f4899);
        gVar.f4899 = m2360;
        if (gVar.f4898 > 0.0f) {
            if (m2360 > 0.0f) {
                gVar.f4896 = typedArray.getDimension(3, gVar.f4896);
                float dimension = typedArray.getDimension(2, gVar.f4897);
                gVar.f4897 = dimension;
                if (gVar.f4896 > 0.0f) {
                    if (dimension > 0.0f) {
                        gVar.setAlpha(q.m2360(typedArray, xmlPullParser, "alpha", 4, gVar.getAlpha()));
                        String string = typedArray.getString(0);
                        if (string != null) {
                            gVar.f4901 = string;
                            gVar.f4903.put(string, gVar);
                            return;
                        }
                        return;
                    }
                    throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires height > 0");
                }
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires width > 0");
            }
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportHeight > 0");
        }
        throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportWidth > 0");
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void applyTheme(Resources.Theme theme) {
        super.applyTheme(theme);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean canApplyTheme() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2417(drawable);
            return false;
        }
        return false;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        copyBounds(this.f4857);
        if (this.f4857.width() > 0 && this.f4857.height() > 0) {
            ColorFilter colorFilter = this.f4851;
            if (colorFilter == null) {
                colorFilter = this.f4850;
            }
            canvas.getMatrix(this.f4856);
            this.f4856.getValues(this.f4855);
            float abs = Math.abs(this.f4855[0]);
            float abs2 = Math.abs(this.f4855[4]);
            float abs3 = Math.abs(this.f4855[1]);
            float abs4 = Math.abs(this.f4855[3]);
            if (abs3 != 0.0f || abs4 != 0.0f) {
                abs = 1.0f;
                abs2 = 1.0f;
            }
            int min = Math.min(2048, (int) (this.f4857.width() * abs));
            int min2 = Math.min(2048, (int) (this.f4857.height() * abs2));
            if (min > 0 && min2 > 0) {
                int save = canvas.save();
                Rect rect = this.f4857;
                canvas.translate(rect.left, rect.top);
                if (m5944()) {
                    canvas.translate(this.f4857.width(), 0.0f);
                    canvas.scale(-1.0f, 1.0f);
                }
                this.f4857.offsetTo(0, 0);
                this.f4849.m5972(min, min2);
                if (!this.f4853) {
                    this.f4849.m5979(min, min2);
                } else if (!this.f4849.m5971()) {
                    this.f4849.m5979(min, min2);
                    this.f4849.m5978();
                }
                this.f4849.m5973(canvas, colorFilter, this.f4857);
                canvas.restoreToCount(save);
            }
        }
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2419(drawable);
        }
        return this.f4849.f4905.getRootAlpha();
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.f4849.getChangingConfigurations();
    }

    @Override // android.graphics.drawable.Drawable
    public ColorFilter getColorFilter() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2420(drawable);
        }
        return this.f4851;
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        if (this.f4847 != null && Build.VERSION.SDK_INT >= 24) {
            return new i(this.f4847.getConstantState());
        }
        this.f4849.f4904 = getChangingConfigurations();
        return this.f4849;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return (int) this.f4849.f4905.f4897;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return (int) this.f4849.f4905.f4896;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return -3;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        } else {
            inflate(resources, xmlPullParser, attributeSet, null);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void invalidateSelf() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.invalidateSelf();
        } else {
            super.invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2423(drawable);
        }
        return this.f4849.f4908;
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        h hVar;
        ColorStateList colorStateList;
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.isStateful();
        }
        if (!super.isStateful() && ((hVar = this.f4849) == null || (!hVar.m5976() && ((colorStateList = this.f4849.f4906) == null || !colorStateList.isStateful())))) {
            return false;
        }
        return true;
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.mutate();
            return this;
        }
        if (!this.f4852 && super.mutate() == this) {
            this.f4849 = new h(this.f4849);
            this.f4852 = true;
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onStateChange(int[] iArr) {
        boolean z5;
        PorterDuff.Mode mode;
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        h hVar = this.f4849;
        ColorStateList colorStateList = hVar.f4906;
        if (colorStateList != null && (mode = hVar.f4907) != null) {
            this.f4850 = m5949(this.f4850, colorStateList, mode);
            invalidateSelf();
            z5 = true;
        } else {
            z5 = false;
        }
        if (hVar.m5976() && hVar.m5977(iArr)) {
            invalidateSelf();
            return true;
        }
        return z5;
    }

    @Override // android.graphics.drawable.Drawable
    public void scheduleSelf(Runnable runnable, long j6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.scheduleSelf(runnable, j6);
        } else {
            super.scheduleSelf(runnable, j6);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.setAlpha(i6);
        } else if (this.f4849.f4905.getRootAlpha() != i6) {
            this.f4849.f4905.setRootAlpha(i6);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z5) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2425(drawable, z5);
        } else {
            this.f4849.f4908 = z5;
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i6) {
        super.setChangingConfigurations(i6);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setColorFilter(int i6, PorterDuff.Mode mode) {
        super.setColorFilter(i6, mode);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z5) {
        super.setFilterBitmap(z5);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setHotspot(float f6, float f7) {
        super.setHotspot(f6, f7);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i6, int i7, int i8, int i9) {
        super.setHotspotBounds(i6, i7, i8, i9);
    }

    @Override // androidx.vectordrawable.graphics.drawable.n, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTint(int i6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2429(drawable, i6);
        } else {
            setTintList(ColorStateList.valueOf(i6));
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2430(drawable, colorStateList);
            return;
        }
        h hVar = this.f4849;
        if (hVar.f4906 != colorStateList) {
            hVar.f4906 = colorStateList;
            this.f4850 = m5949(this.f4850, colorStateList, hVar.f4907);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2431(drawable, mode);
            return;
        }
        h hVar = this.f4849;
        if (hVar.f4907 != mode) {
            hVar.f4907 = mode;
            this.f4850 = m5949(this.f4850, hVar.f4906, mode);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z5, boolean z6) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            return drawable.setVisible(z5, z6);
        }
        return super.setVisible(z5, z6);
    }

    @Override // android.graphics.drawable.Drawable
    public void unscheduleSelf(Runnable runnable) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.unscheduleSelf(runnable);
        } else {
            super.unscheduleSelf(runnable);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public Object m5947(String str) {
        return this.f4849.f4905.f4903.get(str);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public void m5948(boolean z5) {
        this.f4853 = z5;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    PorterDuffColorFilter m5949(PorterDuffColorFilter porterDuffColorFilter, ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList != null && mode != null) {
            return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class i extends Drawable.ConstantState {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Drawable.ConstantState f4916;

        public i(Drawable.ConstantState constantState) {
            this.f4916 = constantState;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public boolean canApplyTheme() {
            boolean canApplyTheme;
            canApplyTheme = this.f4916.canApplyTheme();
            return canApplyTheme;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public int getChangingConfigurations() {
            return this.f4916.getChangingConfigurations();
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable() {
            o oVar = new o();
            oVar.f4847 = (VectorDrawable) this.f4916.newDrawable();
            return oVar;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources) {
            o oVar = new o();
            oVar.f4847 = (VectorDrawable) this.f4916.newDrawable(resources);
            return oVar;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            Drawable newDrawable;
            o oVar = new o();
            newDrawable = this.f4916.newDrawable(resources, theme);
            oVar.f4847 = (VectorDrawable) newDrawable;
            return oVar;
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
            return;
        }
        this.f4851 = colorFilter;
        invalidateSelf();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static abstract class f extends e {

        /* renamed from: ʻ  reason: contains not printable characters */
        protected j.b[] f4883;

        /* renamed from: ʼ  reason: contains not printable characters */
        String f4884;

        /* renamed from: ʽ  reason: contains not printable characters */
        int f4885;

        /* renamed from: ʾ  reason: contains not printable characters */
        int f4886;

        public f() {
            super();
            this.f4883 = null;
            this.f4885 = 0;
        }

        public j.b[] getPathData() {
            return this.f4883;
        }

        public String getPathName() {
            return this.f4884;
        }

        public void setPathData(j.b[] bVarArr) {
            if (!androidx.core.graphics.j.m2500(this.f4883, bVarArr)) {
                this.f4883 = androidx.core.graphics.j.m2504(bVarArr);
            } else {
                androidx.core.graphics.j.m2508(this.f4883, bVarArr);
            }
        }

        /* renamed from: ʽ */
        public boolean mo5951() {
            return false;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public void m5962(Path path) {
            path.reset();
            j.b[] bVarArr = this.f4883;
            if (bVarArr != null) {
                j.b.m2512(bVarArr, path);
            }
        }

        public f(f fVar) {
            super();
            this.f4883 = null;
            this.f4885 = 0;
            this.f4884 = fVar.f4884;
            this.f4886 = fVar.f4886;
            this.f4883 = androidx.core.graphics.j.m2504(fVar.f4883);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        Drawable drawable = this.f4847;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m2422(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        h hVar = this.f4849;
        hVar.f4905 = new g();
        TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4814);
        m5946(m2365, xmlPullParser, theme);
        m2365.recycle();
        hVar.f4904 = getChangingConfigurations();
        hVar.f4914 = true;
        m5943(resources, xmlPullParser, attributeSet, theme);
        this.f4850 = m5949(this.f4850, hVar.f4906, hVar.f4907);
    }

    o(h hVar) {
        this.f4853 = true;
        this.f4855 = new float[9];
        this.f4856 = new Matrix();
        this.f4857 = new Rect();
        this.f4849 = hVar;
        this.f4850 = m5949(this.f4850, hVar.f4906, hVar.f4907);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class c extends f {

        /* renamed from: ʿ  reason: contains not printable characters */
        private int[] f4858;

        /* renamed from: ˆ  reason: contains not printable characters */
        androidx.core.content.res.d f4859;

        /* renamed from: ˈ  reason: contains not printable characters */
        float f4860;

        /* renamed from: ˉ  reason: contains not printable characters */
        androidx.core.content.res.d f4861;

        /* renamed from: ˊ  reason: contains not printable characters */
        float f4862;

        /* renamed from: ˋ  reason: contains not printable characters */
        float f4863;

        /* renamed from: ˎ  reason: contains not printable characters */
        float f4864;

        /* renamed from: ˏ  reason: contains not printable characters */
        float f4865;

        /* renamed from: ˑ  reason: contains not printable characters */
        float f4866;

        /* renamed from: י  reason: contains not printable characters */
        Paint.Cap f4867;

        /* renamed from: ـ  reason: contains not printable characters */
        Paint.Join f4868;

        /* renamed from: ٴ  reason: contains not printable characters */
        float f4869;

        c() {
            this.f4860 = 0.0f;
            this.f4862 = 1.0f;
            this.f4863 = 1.0f;
            this.f4864 = 0.0f;
            this.f4865 = 1.0f;
            this.f4866 = 0.0f;
            this.f4867 = Paint.Cap.BUTT;
            this.f4868 = Paint.Join.MITER;
            this.f4869 = 4.0f;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private Paint.Cap m5953(int i6, Paint.Cap cap) {
            if (i6 != 0) {
                if (i6 != 1) {
                    if (i6 != 2) {
                        return cap;
                    }
                    return Paint.Cap.SQUARE;
                }
                return Paint.Cap.ROUND;
            }
            return Paint.Cap.BUTT;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        private Paint.Join m5954(int i6, Paint.Join join) {
            if (i6 != 0) {
                if (i6 != 1) {
                    if (i6 != 2) {
                        return join;
                    }
                    return Paint.Join.BEVEL;
                }
                return Paint.Join.ROUND;
            }
            return Paint.Join.MITER;
        }

        /* renamed from: ˉ  reason: contains not printable characters */
        private void m5955(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme) {
            this.f4858 = null;
            if (!q.m2364(xmlPullParser, "pathData")) {
                return;
            }
            String string = typedArray.getString(0);
            if (string != null) {
                this.f4884 = string;
            }
            String string2 = typedArray.getString(2);
            if (string2 != null) {
                this.f4883 = androidx.core.graphics.j.m2502(string2);
            }
            this.f4861 = q.m2359(typedArray, xmlPullParser, theme, "fillColor", 1, 0);
            this.f4863 = q.m2360(typedArray, xmlPullParser, "fillAlpha", 12, this.f4863);
            this.f4867 = m5953(q.m2361(typedArray, xmlPullParser, "strokeLineCap", 8, -1), this.f4867);
            this.f4868 = m5954(q.m2361(typedArray, xmlPullParser, "strokeLineJoin", 9, -1), this.f4868);
            this.f4869 = q.m2360(typedArray, xmlPullParser, "strokeMiterLimit", 10, this.f4869);
            this.f4859 = q.m2359(typedArray, xmlPullParser, theme, "strokeColor", 3, 0);
            this.f4862 = q.m2360(typedArray, xmlPullParser, "strokeAlpha", 11, this.f4862);
            this.f4860 = q.m2360(typedArray, xmlPullParser, "strokeWidth", 4, this.f4860);
            this.f4865 = q.m2360(typedArray, xmlPullParser, "trimPathEnd", 6, this.f4865);
            this.f4866 = q.m2360(typedArray, xmlPullParser, "trimPathOffset", 7, this.f4866);
            this.f4864 = q.m2360(typedArray, xmlPullParser, "trimPathStart", 5, this.f4864);
            this.f4885 = q.m2361(typedArray, xmlPullParser, "fillType", 13, this.f4885);
        }

        float getFillAlpha() {
            return this.f4863;
        }

        int getFillColor() {
            return this.f4861.m2286();
        }

        float getStrokeAlpha() {
            return this.f4862;
        }

        int getStrokeColor() {
            return this.f4859.m2286();
        }

        float getStrokeWidth() {
            return this.f4860;
        }

        float getTrimPathEnd() {
            return this.f4865;
        }

        float getTrimPathOffset() {
            return this.f4866;
        }

        float getTrimPathStart() {
            return this.f4864;
        }

        void setFillAlpha(float f6) {
            this.f4863 = f6;
        }

        void setFillColor(int i6) {
            this.f4861.m2291(i6);
        }

        void setStrokeAlpha(float f6) {
            this.f4862 = f6;
        }

        void setStrokeColor(int i6) {
            this.f4859.m2291(i6);
        }

        void setStrokeWidth(float f6) {
            this.f4860 = f6;
        }

        void setTrimPathEnd(float f6) {
            this.f4865 = f6;
        }

        void setTrimPathOffset(float f6) {
            this.f4866 = f6;
        }

        void setTrimPathStart(float f6) {
            this.f4864 = f6;
        }

        @Override // androidx.vectordrawable.graphics.drawable.o.e
        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean mo5956() {
            if (!this.f4861.m2289() && !this.f4859.m2289()) {
                return false;
            }
            return true;
        }

        @Override // androidx.vectordrawable.graphics.drawable.o.e
        /* renamed from: ʼ  reason: contains not printable characters */
        public boolean mo5957(int[] iArr) {
            return this.f4859.m2290(iArr) | this.f4861.m2290(iArr);
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        public void m5958(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4816);
            m5955(m2365, xmlPullParser, theme);
            m2365.recycle();
        }

        c(c cVar) {
            super(cVar);
            this.f4860 = 0.0f;
            this.f4862 = 1.0f;
            this.f4863 = 1.0f;
            this.f4864 = 0.0f;
            this.f4865 = 1.0f;
            this.f4866 = 0.0f;
            this.f4867 = Paint.Cap.BUTT;
            this.f4868 = Paint.Join.MITER;
            this.f4869 = 4.0f;
            this.f4858 = cVar.f4858;
            this.f4859 = cVar.f4859;
            this.f4860 = cVar.f4860;
            this.f4862 = cVar.f4862;
            this.f4861 = cVar.f4861;
            this.f4885 = cVar.f4885;
            this.f4863 = cVar.f4863;
            this.f4864 = cVar.f4864;
            this.f4865 = cVar.f4865;
            this.f4866 = cVar.f4866;
            this.f4867 = cVar.f4867;
            this.f4868 = cVar.f4868;
            this.f4869 = cVar.f4869;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class g {

        /* renamed from: ᐧ  reason: contains not printable characters */
        private static final Matrix f4887 = new Matrix();

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Path f4888;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final Path f4889;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final Matrix f4890;

        /* renamed from: ʾ  reason: contains not printable characters */
        Paint f4891;

        /* renamed from: ʿ  reason: contains not printable characters */
        Paint f4892;

        /* renamed from: ˆ  reason: contains not printable characters */
        private PathMeasure f4893;

        /* renamed from: ˈ  reason: contains not printable characters */
        private int f4894;

        /* renamed from: ˉ  reason: contains not printable characters */
        final d f4895;

        /* renamed from: ˊ  reason: contains not printable characters */
        float f4896;

        /* renamed from: ˋ  reason: contains not printable characters */
        float f4897;

        /* renamed from: ˎ  reason: contains not printable characters */
        float f4898;

        /* renamed from: ˏ  reason: contains not printable characters */
        float f4899;

        /* renamed from: ˑ  reason: contains not printable characters */
        int f4900;

        /* renamed from: י  reason: contains not printable characters */
        String f4901;

        /* renamed from: ـ  reason: contains not printable characters */
        Boolean f4902;

        /* renamed from: ٴ  reason: contains not printable characters */
        final l.a<String, Object> f4903;

        public g() {
            this.f4890 = new Matrix();
            this.f4896 = 0.0f;
            this.f4897 = 0.0f;
            this.f4898 = 0.0f;
            this.f4899 = 0.0f;
            this.f4900 = 255;
            this.f4901 = null;
            this.f4902 = null;
            this.f4903 = new l.a<>();
            this.f4895 = new d();
            this.f4888 = new Path();
            this.f4889 = new Path();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private static float m5963(float f6, float f7, float f8, float f9) {
            return (f6 * f9) - (f7 * f8);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private void m5964(d dVar, Matrix matrix, Canvas canvas, int i6, int i7, ColorFilter colorFilter) {
            dVar.f4870.set(matrix);
            dVar.f4870.preConcat(dVar.f4879);
            canvas.save();
            for (int i8 = 0; i8 < dVar.f4871.size(); i8++) {
                e eVar = dVar.f4871.get(i8);
                if (eVar instanceof d) {
                    m5964((d) eVar, dVar.f4870, canvas, i6, i7, colorFilter);
                } else if (eVar instanceof f) {
                    m5965(dVar, (f) eVar, canvas, i6, i7, colorFilter);
                }
            }
            canvas.restore();
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private void m5965(d dVar, f fVar, Canvas canvas, int i6, int i7, ColorFilter colorFilter) {
            Path.FillType fillType;
            Path.FillType fillType2;
            float f6 = i6 / this.f4898;
            float f7 = i7 / this.f4899;
            float min = Math.min(f6, f7);
            Matrix matrix = dVar.f4870;
            this.f4890.set(matrix);
            this.f4890.postScale(f6, f7);
            float m5966 = m5966(matrix);
            if (m5966 == 0.0f) {
                return;
            }
            fVar.m5962(this.f4888);
            Path path = this.f4888;
            this.f4889.reset();
            if (fVar.mo5951()) {
                Path path2 = this.f4889;
                if (fVar.f4885 == 0) {
                    fillType2 = Path.FillType.WINDING;
                } else {
                    fillType2 = Path.FillType.EVEN_ODD;
                }
                path2.setFillType(fillType2);
                this.f4889.addPath(path, this.f4890);
                canvas.clipPath(this.f4889);
                return;
            }
            c cVar = (c) fVar;
            float f8 = cVar.f4864;
            if (f8 != 0.0f || cVar.f4865 != 1.0f) {
                float f9 = cVar.f4866;
                float f10 = (f8 + f9) % 1.0f;
                float f11 = (cVar.f4865 + f9) % 1.0f;
                if (this.f4893 == null) {
                    this.f4893 = new PathMeasure();
                }
                this.f4893.setPath(this.f4888, false);
                float length = this.f4893.getLength();
                float f12 = f10 * length;
                float f13 = f11 * length;
                path.reset();
                if (f12 > f13) {
                    this.f4893.getSegment(f12, length, path, true);
                    this.f4893.getSegment(0.0f, f13, path, true);
                } else {
                    this.f4893.getSegment(f12, f13, path, true);
                }
                path.rLineTo(0.0f, 0.0f);
            }
            this.f4889.addPath(path, this.f4890);
            if (cVar.f4861.m2292()) {
                androidx.core.content.res.d dVar2 = cVar.f4861;
                if (this.f4892 == null) {
                    Paint paint = new Paint(1);
                    this.f4892 = paint;
                    paint.setStyle(Paint.Style.FILL);
                }
                Paint paint2 = this.f4892;
                if (dVar2.m2288()) {
                    Shader m2287 = dVar2.m2287();
                    m2287.setLocalMatrix(this.f4890);
                    paint2.setShader(m2287);
                    paint2.setAlpha(Math.round(cVar.f4863 * 255.0f));
                } else {
                    paint2.setShader(null);
                    paint2.setAlpha(255);
                    paint2.setColor(o.m5940(dVar2.m2286(), cVar.f4863));
                }
                paint2.setColorFilter(colorFilter);
                Path path3 = this.f4889;
                if (cVar.f4885 == 0) {
                    fillType = Path.FillType.WINDING;
                } else {
                    fillType = Path.FillType.EVEN_ODD;
                }
                path3.setFillType(fillType);
                canvas.drawPath(this.f4889, paint2);
            }
            if (cVar.f4859.m2292()) {
                androidx.core.content.res.d dVar3 = cVar.f4859;
                if (this.f4891 == null) {
                    Paint paint3 = new Paint(1);
                    this.f4891 = paint3;
                    paint3.setStyle(Paint.Style.STROKE);
                }
                Paint paint4 = this.f4891;
                Paint.Join join = cVar.f4868;
                if (join != null) {
                    paint4.setStrokeJoin(join);
                }
                Paint.Cap cap = cVar.f4867;
                if (cap != null) {
                    paint4.setStrokeCap(cap);
                }
                paint4.setStrokeMiter(cVar.f4869);
                if (dVar3.m2288()) {
                    Shader m22872 = dVar3.m2287();
                    m22872.setLocalMatrix(this.f4890);
                    paint4.setShader(m22872);
                    paint4.setAlpha(Math.round(cVar.f4862 * 255.0f));
                } else {
                    paint4.setShader(null);
                    paint4.setAlpha(255);
                    paint4.setColor(o.m5940(dVar3.m2286(), cVar.f4862));
                }
                paint4.setColorFilter(colorFilter);
                paint4.setStrokeWidth(cVar.f4860 * min * m5966);
                canvas.drawPath(this.f4889, paint4);
            }
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private float m5966(Matrix matrix) {
            float[] fArr = {0.0f, 1.0f, 1.0f, 0.0f};
            matrix.mapVectors(fArr);
            float m5963 = m5963(fArr[0], fArr[1], fArr[2], fArr[3]);
            float max = Math.max((float) Math.hypot(fArr[0], fArr[1]), (float) Math.hypot(fArr[2], fArr[3]));
            if (max <= 0.0f) {
                return 0.0f;
            }
            return Math.abs(m5963) / max;
        }

        public float getAlpha() {
            return getRootAlpha() / 255.0f;
        }

        public int getRootAlpha() {
            return this.f4900;
        }

        public void setAlpha(float f6) {
            setRootAlpha((int) (f6 * 255.0f));
        }

        public void setRootAlpha(int i6) {
            this.f4900 = i6;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public void m5967(Canvas canvas, int i6, int i7, ColorFilter colorFilter) {
            m5964(this.f4895, f4887, canvas, i6, i7, colorFilter);
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public boolean m5968() {
            if (this.f4902 == null) {
                this.f4902 = Boolean.valueOf(this.f4895.mo5956());
            }
            return this.f4902.booleanValue();
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        public boolean m5969(int[] iArr) {
            return this.f4895.mo5957(iArr);
        }

        public g(g gVar) {
            this.f4890 = new Matrix();
            this.f4896 = 0.0f;
            this.f4897 = 0.0f;
            this.f4898 = 0.0f;
            this.f4899 = 0.0f;
            this.f4900 = 255;
            this.f4901 = null;
            this.f4902 = null;
            l.a<String, Object> aVar = new l.a<>();
            this.f4903 = aVar;
            this.f4895 = new d(gVar.f4895, aVar);
            this.f4888 = new Path(gVar.f4888);
            this.f4889 = new Path(gVar.f4889);
            this.f4896 = gVar.f4896;
            this.f4897 = gVar.f4897;
            this.f4898 = gVar.f4898;
            this.f4899 = gVar.f4899;
            this.f4894 = gVar.f4894;
            this.f4900 = gVar.f4900;
            this.f4901 = gVar.f4901;
            String str = gVar.f4901;
            if (str != null) {
                aVar.put(str, this);
            }
            this.f4902 = gVar.f4902;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat.java */
    /* loaded from: classes.dex */
    public static class d extends e {

        /* renamed from: ʻ  reason: contains not printable characters */
        final Matrix f4870;

        /* renamed from: ʼ  reason: contains not printable characters */
        final ArrayList<e> f4871;

        /* renamed from: ʽ  reason: contains not printable characters */
        float f4872;

        /* renamed from: ʾ  reason: contains not printable characters */
        private float f4873;

        /* renamed from: ʿ  reason: contains not printable characters */
        private float f4874;

        /* renamed from: ˆ  reason: contains not printable characters */
        private float f4875;

        /* renamed from: ˈ  reason: contains not printable characters */
        private float f4876;

        /* renamed from: ˉ  reason: contains not printable characters */
        private float f4877;

        /* renamed from: ˊ  reason: contains not printable characters */
        private float f4878;

        /* renamed from: ˋ  reason: contains not printable characters */
        final Matrix f4879;

        /* renamed from: ˎ  reason: contains not printable characters */
        int f4880;

        /* renamed from: ˏ  reason: contains not printable characters */
        private int[] f4881;

        /* renamed from: ˑ  reason: contains not printable characters */
        private String f4882;

        public d(d dVar, l.a<String, Object> aVar) {
            super();
            f bVar;
            this.f4870 = new Matrix();
            this.f4871 = new ArrayList<>();
            this.f4872 = 0.0f;
            this.f4873 = 0.0f;
            this.f4874 = 0.0f;
            this.f4875 = 1.0f;
            this.f4876 = 1.0f;
            this.f4877 = 0.0f;
            this.f4878 = 0.0f;
            Matrix matrix = new Matrix();
            this.f4879 = matrix;
            this.f4882 = null;
            this.f4872 = dVar.f4872;
            this.f4873 = dVar.f4873;
            this.f4874 = dVar.f4874;
            this.f4875 = dVar.f4875;
            this.f4876 = dVar.f4876;
            this.f4877 = dVar.f4877;
            this.f4878 = dVar.f4878;
            this.f4881 = dVar.f4881;
            String str = dVar.f4882;
            this.f4882 = str;
            this.f4880 = dVar.f4880;
            if (str != null) {
                aVar.put(str, this);
            }
            matrix.set(dVar.f4879);
            ArrayList<e> arrayList = dVar.f4871;
            for (int i6 = 0; i6 < arrayList.size(); i6++) {
                e eVar = arrayList.get(i6);
                if (eVar instanceof d) {
                    this.f4871.add(new d((d) eVar, aVar));
                } else {
                    if (eVar instanceof c) {
                        bVar = new c((c) eVar);
                    } else if (eVar instanceof b) {
                        bVar = new b((b) eVar);
                    } else {
                        throw new IllegalStateException("Unknown object in the tree!");
                    }
                    this.f4871.add(bVar);
                    String str2 = bVar.f4884;
                    if (str2 != null) {
                        aVar.put(str2, bVar);
                    }
                }
            }
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private void m5959() {
            this.f4879.reset();
            this.f4879.postTranslate(-this.f4873, -this.f4874);
            this.f4879.postScale(this.f4875, this.f4876);
            this.f4879.postRotate(this.f4872, 0.0f, 0.0f);
            this.f4879.postTranslate(this.f4877 + this.f4873, this.f4878 + this.f4874);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private void m5960(TypedArray typedArray, XmlPullParser xmlPullParser) {
            this.f4881 = null;
            this.f4872 = q.m2360(typedArray, xmlPullParser, "rotation", 5, this.f4872);
            this.f4873 = typedArray.getFloat(1, this.f4873);
            this.f4874 = typedArray.getFloat(2, this.f4874);
            this.f4875 = q.m2360(typedArray, xmlPullParser, "scaleX", 3, this.f4875);
            this.f4876 = q.m2360(typedArray, xmlPullParser, "scaleY", 4, this.f4876);
            this.f4877 = q.m2360(typedArray, xmlPullParser, "translateX", 6, this.f4877);
            this.f4878 = q.m2360(typedArray, xmlPullParser, "translateY", 7, this.f4878);
            String string = typedArray.getString(0);
            if (string != null) {
                this.f4882 = string;
            }
            m5959();
        }

        public String getGroupName() {
            return this.f4882;
        }

        public Matrix getLocalMatrix() {
            return this.f4879;
        }

        public float getPivotX() {
            return this.f4873;
        }

        public float getPivotY() {
            return this.f4874;
        }

        public float getRotation() {
            return this.f4872;
        }

        public float getScaleX() {
            return this.f4875;
        }

        public float getScaleY() {
            return this.f4876;
        }

        public float getTranslateX() {
            return this.f4877;
        }

        public float getTranslateY() {
            return this.f4878;
        }

        public void setPivotX(float f6) {
            if (f6 != this.f4873) {
                this.f4873 = f6;
                m5959();
            }
        }

        public void setPivotY(float f6) {
            if (f6 != this.f4874) {
                this.f4874 = f6;
                m5959();
            }
        }

        public void setRotation(float f6) {
            if (f6 != this.f4872) {
                this.f4872 = f6;
                m5959();
            }
        }

        public void setScaleX(float f6) {
            if (f6 != this.f4875) {
                this.f4875 = f6;
                m5959();
            }
        }

        public void setScaleY(float f6) {
            if (f6 != this.f4876) {
                this.f4876 = f6;
                m5959();
            }
        }

        public void setTranslateX(float f6) {
            if (f6 != this.f4877) {
                this.f4877 = f6;
                m5959();
            }
        }

        public void setTranslateY(float f6) {
            if (f6 != this.f4878) {
                this.f4878 = f6;
                m5959();
            }
        }

        @Override // androidx.vectordrawable.graphics.drawable.o.e
        /* renamed from: ʻ */
        public boolean mo5956() {
            for (int i6 = 0; i6 < this.f4871.size(); i6++) {
                if (this.f4871.get(i6).mo5956()) {
                    return true;
                }
            }
            return false;
        }

        @Override // androidx.vectordrawable.graphics.drawable.o.e
        /* renamed from: ʼ */
        public boolean mo5957(int[] iArr) {
            boolean z5 = false;
            for (int i6 = 0; i6 < this.f4871.size(); i6++) {
                z5 |= this.f4871.get(i6).mo5957(iArr);
            }
            return z5;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public void m5961(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray m2365 = q.m2365(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f4815);
            m5960(m2365, xmlPullParser);
            m2365.recycle();
        }

        public d() {
            super();
            this.f4870 = new Matrix();
            this.f4871 = new ArrayList<>();
            this.f4872 = 0.0f;
            this.f4873 = 0.0f;
            this.f4874 = 0.0f;
            this.f4875 = 1.0f;
            this.f4876 = 1.0f;
            this.f4877 = 0.0f;
            this.f4878 = 0.0f;
            this.f4879 = new Matrix();
            this.f4882 = null;
        }
    }
}
