package androidx.versionedparcelable;

import android.os.Parcelable;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
/* compiled from: VersionedParcel.java */
/* loaded from: classes.dex */
public abstract class a {

    /* renamed from: ʻ  reason: contains not printable characters */
    protected final l.a<String, Method> f4918;

    /* renamed from: ʼ  reason: contains not printable characters */
    protected final l.a<String, Method> f4919;

    /* renamed from: ʽ  reason: contains not printable characters */
    protected final l.a<String, Class> f4920;

    public a(l.a<String, Method> aVar, l.a<String, Method> aVar2, l.a<String, Class> aVar3) {
        this.f4918 = aVar;
        this.f4919 = aVar2;
        this.f4920 = aVar3;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private Class m5982(Class<? extends r0.a> cls) throws ClassNotFoundException {
        Class cls2 = this.f4920.get(cls.getName());
        if (cls2 == null) {
            Class<?> cls3 = Class.forName(String.format("%s.%sParcelizer", cls.getPackage().getName(), cls.getSimpleName()), false, cls.getClassLoader());
            this.f4920.put(cls.getName(), cls3);
            return cls3;
        }
        return cls2;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private Method m5983(String str) throws IllegalAccessException, NoSuchMethodException, ClassNotFoundException {
        Method method = this.f4918.get(str);
        if (method == null) {
            System.currentTimeMillis();
            Method declaredMethod = Class.forName(str, true, a.class.getClassLoader()).getDeclaredMethod("read", a.class);
            this.f4918.put(str, declaredMethod);
            return declaredMethod;
        }
        return method;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private Method m5984(Class cls) throws IllegalAccessException, NoSuchMethodException, ClassNotFoundException {
        Method method = this.f4919.get(cls.getName());
        if (method == null) {
            Class m5982 = m5982(cls);
            System.currentTimeMillis();
            Method declaredMethod = m5982.getDeclaredMethod("write", cls, a.class);
            this.f4919.put(cls.getName(), declaredMethod);
            return declaredMethod;
        }
        return method;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: ˏˏ  reason: contains not printable characters */
    private void m5985(r0.a aVar) {
        try {
            mo5994(m5982(aVar.getClass()).getName());
        } catch (ClassNotFoundException e6) {
            throw new RuntimeException(aVar.getClass().getSimpleName() + " does not have a Parcelizer", e6);
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    protected abstract void mo5986();

    /* renamed from: ʻʻ  reason: contains not printable characters */
    protected abstract void mo5987(CharSequence charSequence);

    /* renamed from: ʼ  reason: contains not printable characters */
    protected abstract a mo5988();

    /* renamed from: ʼʼ  reason: contains not printable characters */
    protected abstract void mo5989(int i6);

    /* renamed from: ʽʽ  reason: contains not printable characters */
    public void m5990(CharSequence charSequence, int i6) {
        mo6018(i6);
        mo5987(charSequence);
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    protected abstract void mo5991(Parcelable parcelable);

    /* renamed from: ʿʿ  reason: contains not printable characters */
    public void m5992(int i6, int i7) {
        mo6018(i7);
        mo5989(i6);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public boolean m5993() {
        return false;
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    protected abstract void mo5994(String str);

    /* renamed from: ˈ  reason: contains not printable characters */
    protected abstract boolean mo5995();

    /* renamed from: ˈˈ  reason: contains not printable characters */
    protected <T extends r0.a> void m5996(T t6, a aVar) {
        try {
            m5984(t6.getClass()).invoke(null, t6, aVar);
        } catch (ClassNotFoundException e6) {
            throw new RuntimeException("VersionedParcel encountered ClassNotFoundException", e6);
        } catch (IllegalAccessException e7) {
            throw new RuntimeException("VersionedParcel encountered IllegalAccessException", e7);
        } catch (NoSuchMethodException e8) {
            throw new RuntimeException("VersionedParcel encountered NoSuchMethodException", e8);
        } catch (InvocationTargetException e9) {
            if (e9.getCause() instanceof RuntimeException) {
                throw ((RuntimeException) e9.getCause());
            }
            throw new RuntimeException("VersionedParcel encountered InvocationTargetException", e9);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public boolean m5997(boolean z5, int i6) {
        if (!mo6005(i6)) {
            return z5;
        }
        return mo5995();
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public void m5998(String str, int i6) {
        mo6018(i6);
        mo5994(str);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    protected abstract byte[] mo5999();

    /* renamed from: ˊˊ  reason: contains not printable characters */
    public void m6000(r0.a aVar, int i6) {
        mo6018(i6);
        m6002(aVar);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public byte[] m6001(byte[] bArr, int i6) {
        if (!mo6005(i6)) {
            return bArr;
        }
        return mo5999();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ˋˋ  reason: contains not printable characters */
    public void m6002(r0.a aVar) {
        if (aVar == null) {
            mo5994(null);
            return;
        }
        m5985(aVar);
        a mo5988 = mo5988();
        m5996(aVar, mo5988);
        mo5988.mo5986();
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    protected abstract CharSequence mo6003();

    /* renamed from: ˏ  reason: contains not printable characters */
    public CharSequence m6004(CharSequence charSequence, int i6) {
        if (!mo6005(i6)) {
            return charSequence;
        }
        return mo6003();
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    protected abstract boolean mo6005(int i6);

    /* renamed from: י  reason: contains not printable characters */
    protected <T extends r0.a> T m6006(String str, a aVar) {
        try {
            return (T) m5983(str).invoke(null, aVar);
        } catch (ClassNotFoundException e6) {
            throw new RuntimeException("VersionedParcel encountered ClassNotFoundException", e6);
        } catch (IllegalAccessException e7) {
            throw new RuntimeException("VersionedParcel encountered IllegalAccessException", e7);
        } catch (NoSuchMethodException e8) {
            throw new RuntimeException("VersionedParcel encountered NoSuchMethodException", e8);
        } catch (InvocationTargetException e9) {
            if (e9.getCause() instanceof RuntimeException) {
                throw ((RuntimeException) e9.getCause());
            }
            throw new RuntimeException("VersionedParcel encountered InvocationTargetException", e9);
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    protected abstract int mo6007();

    /* renamed from: ــ  reason: contains not printable characters */
    public void m6008(Parcelable parcelable, int i6) {
        mo6018(i6);
        mo5991(parcelable);
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public int m6009(int i6, int i7) {
        if (!mo6005(i7)) {
            return i6;
        }
        return mo6007();
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    protected abstract <T extends Parcelable> T mo6010();

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    protected abstract void mo6011(byte[] bArr);

    /* renamed from: ᴵ  reason: contains not printable characters */
    public <T extends Parcelable> T m6012(T t6, int i6) {
        if (!mo6005(i6)) {
            return t6;
        }
        return (T) mo6010();
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public void m6013(byte[] bArr, int i6) {
        mo6018(i6);
        mo6011(bArr);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    protected abstract String mo6014();

    /* renamed from: ᵔ  reason: contains not printable characters */
    public String m6015(String str, int i6) {
        if (!mo6005(i6)) {
            return str;
        }
        return mo6014();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ᵢ  reason: contains not printable characters */
    public <T extends r0.a> T m6016() {
        String mo6014 = mo6014();
        if (mo6014 == null) {
            return null;
        }
        return (T) m6006(mo6014, mo5988());
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    public <T extends r0.a> T m6017(T t6, int i6) {
        if (!mo6005(i6)) {
            return t6;
        }
        return (T) m6016();
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    protected abstract void mo6018(int i6);

    /* renamed from: ﾞ  reason: contains not printable characters */
    protected abstract void mo6020(boolean z5);

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    public void m6021(boolean z5, int i6) {
        mo6018(i6);
        mo6020(z5);
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public void m6019(boolean z5, boolean z6) {
    }
}
