package androidx.versionedparcelable;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.SparseIntArray;
import java.lang.reflect.Method;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* compiled from: VersionedParcelParcel.java */
/* loaded from: classes.dex */
class b extends a {

    /* renamed from: ʾ  reason: contains not printable characters */
    private final SparseIntArray f4921;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final Parcel f4922;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final int f4923;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final int f4924;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final String f4925;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f4926;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f4927;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f4928;

    /* JADX INFO: Access modifiers changed from: package-private */
    public b(Parcel parcel) {
        this(parcel, parcel.dataPosition(), parcel.dataSize(), BuildConfig.FLAVOR, new l.a(), new l.a(), new l.a());
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ʻ */
    public void mo5986() {
        int i6 = this.f4926;
        if (i6 >= 0) {
            int i7 = this.f4921.get(i6);
            int dataPosition = this.f4922.dataPosition();
            this.f4922.setDataPosition(i7);
            this.f4922.writeInt(dataPosition - i7);
            this.f4922.setDataPosition(dataPosition);
        }
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ʻʻ */
    protected void mo5987(CharSequence charSequence) {
        TextUtils.writeToParcel(charSequence, this.f4922, 0);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ʼ */
    protected a mo5988() {
        Parcel parcel = this.f4922;
        int dataPosition = parcel.dataPosition();
        int i6 = this.f4927;
        if (i6 == this.f4923) {
            i6 = this.f4924;
        }
        int i7 = i6;
        return new b(parcel, dataPosition, i7, this.f4925 + "  ", this.f4918, this.f4919, this.f4920);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ʼʼ */
    public void mo5989(int i6) {
        this.f4922.writeInt(i6);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ʾʾ */
    public void mo5991(Parcelable parcelable) {
        this.f4922.writeParcelable(parcelable, 0);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ˆˆ */
    public void mo5994(String str) {
        this.f4922.writeString(str);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ˈ */
    public boolean mo5995() {
        if (this.f4922.readInt() != 0) {
            return true;
        }
        return false;
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ˊ */
    public byte[] mo5999() {
        int readInt = this.f4922.readInt();
        if (readInt < 0) {
            return null;
        }
        byte[] bArr = new byte[readInt];
        this.f4922.readByteArray(bArr);
        return bArr;
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ˎ */
    protected CharSequence mo6003() {
        return (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(this.f4922);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ˑ */
    public boolean mo6005(int i6) {
        while (this.f4927 < this.f4924) {
            int i7 = this.f4928;
            if (i7 == i6) {
                return true;
            }
            if (String.valueOf(i7).compareTo(String.valueOf(i6)) > 0) {
                return false;
            }
            this.f4922.setDataPosition(this.f4927);
            int readInt = this.f4922.readInt();
            this.f4928 = this.f4922.readInt();
            this.f4927 += readInt;
        }
        if (this.f4928 == i6) {
            return true;
        }
        return false;
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ـ */
    public int mo6007() {
        return this.f4922.readInt();
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ᐧ */
    public <T extends Parcelable> T mo6010() {
        return (T) this.f4922.readParcelable(getClass().getClassLoader());
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ᐧᐧ */
    public void mo6011(byte[] bArr) {
        if (bArr != null) {
            this.f4922.writeInt(bArr.length);
            this.f4922.writeByteArray(bArr);
            return;
        }
        this.f4922.writeInt(-1);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ᵎ */
    public String mo6014() {
        return this.f4922.readString();
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ﹳ */
    public void mo6018(int i6) {
        mo5986();
        this.f4926 = i6;
        this.f4921.put(i6, this.f4922.dataPosition());
        mo5989(0);
        mo5989(i6);
    }

    @Override // androidx.versionedparcelable.a
    /* renamed from: ﾞ */
    public void mo6020(boolean z5) {
        this.f4922.writeInt(z5 ? 1 : 0);
    }

    private b(Parcel parcel, int i6, int i7, String str, l.a<String, Method> aVar, l.a<String, Method> aVar2, l.a<String, Class> aVar3) {
        super(aVar, aVar2, aVar3);
        this.f4921 = new SparseIntArray();
        this.f4926 = -1;
        this.f4928 = -1;
        this.f4922 = parcel;
        this.f4923 = i6;
        this.f4924 = i7;
        this.f4927 = i6;
        this.f4925 = str;
    }
}
