package androidx.viewpager.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.EdgeEffect;
import android.widget.Scroller;
import androidx.core.view.accessibility.j0;
import androidx.core.view.s0;
import androidx.core.view.t4;
import androidx.core.view.z0;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
/* loaded from: classes.dex */
public class ViewPager extends ViewGroup {

    /* renamed from: ʻˊ  reason: contains not printable characters */
    static final int[] f4929 = {16842931};

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private static final Comparator<f> f4930 = new a();

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private static final Interpolator f4931 = new b();

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private static final m f4932 = new m();

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private boolean f4933;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private j f4934;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private j f4935;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private List<i> f4936;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private int f4937;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private ArrayList<View> f4938;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private final Runnable f4939;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private int f4940;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private int f4941;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private int f4942;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f4943;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private float f4944;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final ArrayList<f> f4945;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private int f4946;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final f f4947;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private float f4948;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final Rect f4949;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private int f4950;

    /* renamed from: ˉ  reason: contains not printable characters */
    androidx.viewpager.widget.a f4951;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private float f4952;

    /* renamed from: ˊ  reason: contains not printable characters */
    int f4953;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private int f4954;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f4955;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private VelocityTracker f4956;

    /* renamed from: ˎ  reason: contains not printable characters */
    private Parcelable f4957;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private int f4958;

    /* renamed from: ˏ  reason: contains not printable characters */
    private ClassLoader f4959;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private int f4960;

    /* renamed from: ˑ  reason: contains not printable characters */
    private Scroller f4961;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private int f4962;

    /* renamed from: י  reason: contains not printable characters */
    private boolean f4963;

    /* renamed from: יי  reason: contains not printable characters */
    private EdgeEffect f4964;

    /* renamed from: ـ  reason: contains not printable characters */
    private k f4965;

    /* renamed from: ــ  reason: contains not printable characters */
    private float f4966;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f4967;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private int f4968;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private Drawable f4969;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private int f4970;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f4971;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private boolean f4972;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f4973;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private EdgeEffect f4974;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private float f4975;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private boolean f4976;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private float f4977;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private boolean f4978;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private int f4979;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private boolean f4980;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private int f4981;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private boolean f4982;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean f4983;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private List<j> f4984;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private boolean f4985;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private boolean f4986;

    /* loaded from: classes.dex */
    static class a implements Comparator<f> {
        a() {
        }

        @Override // java.util.Comparator
        /* renamed from: ʻ  reason: contains not printable characters */
        public int compare(f fVar, f fVar2) {
            return fVar.f4991 - fVar2.f4991;
        }
    }

    /* loaded from: classes.dex */
    static class b implements Interpolator {
        b() {
        }

        @Override // android.animation.TimeInterpolator
        public float getInterpolation(float f6) {
            float f7 = f6 - 1.0f;
            return (f7 * f7 * f7 * f7 * f7) + 1.0f;
        }
    }

    /* loaded from: classes.dex */
    class c implements Runnable {
        c() {
        }

        @Override // java.lang.Runnable
        public void run() {
            ViewPager.this.setScrollState(0);
            ViewPager.this.m6043();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d implements s0 {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Rect f4988 = new Rect();

        d() {
        }

        @Override // androidx.core.view.s0
        /* renamed from: ʻ */
        public t4 mo792(View view, t4 t4Var) {
            t4 m3376 = z0.m3376(view, t4Var);
            if (m3376.m3267()) {
                return m3376;
            }
            Rect rect = this.f4988;
            rect.left = m3376.m3261();
            rect.top = m3376.m3263();
            rect.right = m3376.m3262();
            rect.bottom = m3376.m3260();
            int childCount = ViewPager.this.getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                t4 m3428 = z0.m3428(ViewPager.this.getChildAt(i6), m3376);
                rect.left = Math.min(m3428.m3261(), rect.left);
                rect.top = Math.min(m3428.m3263(), rect.top);
                rect.right = Math.min(m3428.m3262(), rect.right);
                rect.bottom = Math.min(m3428.m3260(), rect.bottom);
            }
            return m3376.m3268(rect.left, rect.top, rect.right, rect.bottom);
        }
    }

    @Target({ElementType.TYPE})
    @Inherited
    @Retention(RetentionPolicy.RUNTIME)
    /* loaded from: classes.dex */
    public @interface e {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class f {

        /* renamed from: ʻ  reason: contains not printable characters */
        Object f4990;

        /* renamed from: ʼ  reason: contains not printable characters */
        int f4991;

        /* renamed from: ʽ  reason: contains not printable characters */
        boolean f4992;

        /* renamed from: ʾ  reason: contains not printable characters */
        float f4993;

        /* renamed from: ʿ  reason: contains not printable characters */
        float f4994;

        f() {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class h extends androidx.core.view.a {
        h() {
        }

        /* renamed from: י  reason: contains not printable characters */
        private boolean m6063() {
            androidx.viewpager.widget.a aVar = ViewPager.this.f4951;
            if (aVar != null && aVar.mo6075() > 1) {
                return true;
            }
            return false;
        }

        @Override // androidx.core.view.a
        /* renamed from: ˆ */
        public void mo26(View view, AccessibilityEvent accessibilityEvent) {
            androidx.viewpager.widget.a aVar;
            super.mo26(view, accessibilityEvent);
            accessibilityEvent.setClassName(ViewPager.class.getName());
            accessibilityEvent.setScrollable(m6063());
            if (accessibilityEvent.getEventType() == 4096 && (aVar = ViewPager.this.f4951) != null) {
                accessibilityEvent.setItemCount(aVar.mo6075());
                accessibilityEvent.setFromIndex(ViewPager.this.f4953);
                accessibilityEvent.setToIndex(ViewPager.this.f4953);
            }
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            j0Var.m2834(ViewPager.class.getName());
            j0Var.m2853(m6063());
            if (ViewPager.this.canScrollHorizontally(1)) {
                j0Var.m2829(4096);
            }
            if (ViewPager.this.canScrollHorizontally(-1)) {
                j0Var.m2829(8192);
            }
        }

        @Override // androidx.core.view.a
        /* renamed from: ˋ */
        public boolean mo2777(View view, int i6, Bundle bundle) {
            if (super.mo2777(view, i6, bundle)) {
                return true;
            }
            if (i6 != 4096) {
                if (i6 != 8192 || !ViewPager.this.canScrollHorizontally(-1)) {
                    return false;
                }
                ViewPager viewPager = ViewPager.this;
                viewPager.setCurrentItem(viewPager.f4953 - 1);
                return true;
            } else if (!ViewPager.this.canScrollHorizontally(1)) {
                return false;
            } else {
                ViewPager viewPager2 = ViewPager.this;
                viewPager2.setCurrentItem(viewPager2.f4953 + 1);
                return true;
            }
        }
    }

    /* loaded from: classes.dex */
    public interface i {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6064(ViewPager viewPager, androidx.viewpager.widget.a aVar, androidx.viewpager.widget.a aVar2);
    }

    /* loaded from: classes.dex */
    public interface j {
        /* renamed from: ʻ  reason: contains not printable characters */
        void mo6065(int i6, float f6, int i7);

        /* renamed from: ʼ  reason: contains not printable characters */
        void mo6066(int i6);

        /* renamed from: ʽ  reason: contains not printable characters */
        void mo6067(int i6);
    }

    /* loaded from: classes.dex */
    private class k extends DataSetObserver {
        k() {
        }

        @Override // android.database.DataSetObserver
        public void onChanged() {
            ViewPager.this.m6048();
        }

        @Override // android.database.DataSetObserver
        public void onInvalidated() {
            ViewPager.this.m6048();
        }
    }

    /* loaded from: classes.dex */
    public static class l extends z.a {
        public static final Parcelable.Creator<l> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        int f5003;

        /* renamed from: ˈ  reason: contains not printable characters */
        Parcelable f5004;

        /* renamed from: ˉ  reason: contains not printable characters */
        ClassLoader f5005;

        /* loaded from: classes.dex */
        static class a implements Parcelable.ClassLoaderCreator<l> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public l createFromParcel(Parcel parcel) {
                return new l(parcel, null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public l createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new l(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public l[] newArray(int i6) {
                return new l[i6];
            }
        }

        public l(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.f5003 + "}";
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeInt(this.f5003);
            parcel.writeParcelable(this.f5004, i6);
        }

        l(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            classLoader = classLoader == null ? getClass().getClassLoader() : classLoader;
            this.f5003 = parcel.readInt();
            this.f5004 = parcel.readParcelable(classLoader);
            this.f5005 = classLoader;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class m implements Comparator<View> {
        m() {
        }

        @Override // java.util.Comparator
        /* renamed from: ʻ  reason: contains not printable characters */
        public int compare(View view, View view2) {
            g gVar = (g) view.getLayoutParams();
            g gVar2 = (g) view2.getLayoutParams();
            boolean z5 = gVar.f4995;
            if (z5 != gVar2.f4995) {
                if (z5) {
                    return 1;
                }
                return -1;
            }
            return gVar.f4999 - gVar2.f4999;
        }
    }

    public ViewPager(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f4945 = new ArrayList<>();
        this.f4947 = new f();
        this.f4949 = new Rect();
        this.f4955 = -1;
        this.f4957 = null;
        this.f4959 = null;
        this.f4975 = -3.4028235E38f;
        this.f4977 = Float.MAX_VALUE;
        this.f4970 = 1;
        this.f4950 = -1;
        this.f4978 = true;
        this.f4980 = false;
        this.f4939 = new c();
        this.f4940 = 0;
        m6058();
    }

    private int getClientWidth() {
        return (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
    }

    private void setScrollingCacheEnabled(boolean z5) {
        if (this.f4985 != z5) {
            this.f4985 = z5;
        }
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private void m6022(int i6, int i7, int i8, int i9) {
        float f6;
        if (i7 > 0 && !this.f4945.isEmpty()) {
            if (!this.f4961.isFinished()) {
                this.f4961.setFinalX(getCurrentItem() * getClientWidth());
                return;
            }
            scrollTo((int) ((getScrollX() / (((i7 - getPaddingLeft()) - getPaddingRight()) + i9)) * (((i6 - getPaddingLeft()) - getPaddingRight()) + i8)), getScrollY());
            return;
        }
        f m6057 = m6057(this.f4953);
        if (m6057 != null) {
            f6 = Math.min(m6057.f4994, this.f4977);
        } else {
            f6 = 0.0f;
        }
        int paddingLeft = (int) (f6 * ((i6 - getPaddingLeft()) - getPaddingRight()));
        if (paddingLeft != getScrollX()) {
            m6026(false);
            scrollTo(paddingLeft, getScrollY());
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m6023(f fVar, int i6, f fVar2) {
        float f6;
        float f7;
        float f8;
        int i7;
        int i8;
        f fVar3;
        f fVar4;
        int mo6075 = this.f4951.mo6075();
        int clientWidth = getClientWidth();
        if (clientWidth > 0) {
            f6 = this.f4967 / clientWidth;
        } else {
            f6 = 0.0f;
        }
        if (fVar2 != null) {
            int i9 = fVar2.f4991;
            int i10 = fVar.f4991;
            if (i9 < i10) {
                float f9 = fVar2.f4994 + fVar2.f4993 + f6;
                int i11 = i9 + 1;
                int i12 = 0;
                while (i11 <= fVar.f4991 && i12 < this.f4945.size()) {
                    f fVar5 = this.f4945.get(i12);
                    while (true) {
                        fVar4 = fVar5;
                        if (i11 <= fVar4.f4991 || i12 >= this.f4945.size() - 1) {
                            break;
                        }
                        i12++;
                        fVar5 = this.f4945.get(i12);
                    }
                    while (i11 < fVar4.f4991) {
                        f9 += this.f4951.m6078(i11) + f6;
                        i11++;
                    }
                    fVar4.f4994 = f9;
                    f9 += fVar4.f4993 + f6;
                    i11++;
                }
            } else if (i9 > i10) {
                int size = this.f4945.size() - 1;
                float f10 = fVar2.f4994;
                while (true) {
                    i9--;
                    if (i9 < fVar.f4991 || size < 0) {
                        break;
                    }
                    f fVar6 = this.f4945.get(size);
                    while (true) {
                        fVar3 = fVar6;
                        if (i9 >= fVar3.f4991 || size <= 0) {
                            break;
                        }
                        size--;
                        fVar6 = this.f4945.get(size);
                    }
                    while (i9 > fVar3.f4991) {
                        f10 -= this.f4951.m6078(i9) + f6;
                        i9--;
                    }
                    f10 -= fVar3.f4993 + f6;
                    fVar3.f4994 = f10;
                }
            }
        }
        int size2 = this.f4945.size();
        float f11 = fVar.f4994;
        int i13 = fVar.f4991;
        int i14 = i13 - 1;
        if (i13 == 0) {
            f7 = f11;
        } else {
            f7 = -3.4028235E38f;
        }
        this.f4975 = f7;
        int i15 = mo6075 - 1;
        if (i13 == i15) {
            f8 = (fVar.f4993 + f11) - 1.0f;
        } else {
            f8 = Float.MAX_VALUE;
        }
        this.f4977 = f8;
        int i16 = i6 - 1;
        while (i16 >= 0) {
            f fVar7 = this.f4945.get(i16);
            while (true) {
                i8 = fVar7.f4991;
                if (i14 <= i8) {
                    break;
                }
                f11 -= this.f4951.m6078(i14) + f6;
                i14--;
            }
            f11 -= fVar7.f4993 + f6;
            fVar7.f4994 = f11;
            if (i8 == 0) {
                this.f4975 = f11;
            }
            i16--;
            i14--;
        }
        float f12 = fVar.f4994 + fVar.f4993 + f6;
        int i17 = fVar.f4991 + 1;
        int i18 = i6 + 1;
        while (i18 < size2) {
            f fVar8 = this.f4945.get(i18);
            while (true) {
                i7 = fVar8.f4991;
                if (i17 >= i7) {
                    break;
                }
                f12 += this.f4951.m6078(i17) + f6;
                i17++;
            }
            if (i7 == i15) {
                this.f4977 = (fVar8.f4993 + f12) - 1.0f;
            }
            fVar8.f4994 = f12;
            f12 += fVar8.f4993 + f6;
            i18++;
            i17++;
        }
        this.f4980 = false;
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private void m6024(boolean z5) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z5);
        }
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private void m6025() {
        int i6 = 0;
        while (i6 < getChildCount()) {
            if (!((g) getChildAt(i6).getLayoutParams()).f4995) {
                removeViewAt(i6);
                i6--;
            }
            i6++;
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m6026(boolean z5) {
        boolean z6;
        if (this.f4940 == 2) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6) {
            setScrollingCacheEnabled(false);
            if (!this.f4961.isFinished()) {
                this.f4961.abortAnimation();
                int scrollX = getScrollX();
                int scrollY = getScrollY();
                int currX = this.f4961.getCurrX();
                int currY = this.f4961.getCurrY();
                if (scrollX != currX || scrollY != currY) {
                    scrollTo(currX, currY);
                    if (currX != scrollX) {
                        m6036(currX);
                    }
                }
            }
        }
        this.f4986 = false;
        for (int i6 = 0; i6 < this.f4945.size(); i6++) {
            f fVar = this.f4945.get(i6);
            if (fVar.f4992) {
                fVar.f4992 = false;
                z6 = true;
            }
        }
        if (z6) {
            if (z5) {
                z0.m3382(this, this.f4939);
            } else {
                this.f4939.run();
            }
        }
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private void m6027(int i6, boolean z5, int i7, boolean z6) {
        int i8;
        f m6057 = m6057(i6);
        if (m6057 != null) {
            i8 = (int) (getClientWidth() * Math.max(this.f4975, Math.min(m6057.f4994, this.f4977)));
        } else {
            i8 = 0;
        }
        if (z5) {
            m6051(i8, 0, i7);
            if (z6) {
                m6030(i6);
                return;
            }
            return;
        }
        if (z6) {
            m6030(i6);
        }
        m6026(false);
        scrollTo(i8, 0);
        m6036(i8);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private int m6028(int i6, float f6, int i7, int i8) {
        float f7;
        if (Math.abs(i8) > this.f4958 && Math.abs(i7) > this.f4954) {
            if (i7 <= 0) {
                i6++;
            }
        } else {
            if (i6 >= this.f4953) {
                f7 = 0.4f;
            } else {
                f7 = 0.6f;
            }
            i6 += (int) (f6 + f7);
        }
        if (this.f4945.size() > 0) {
            ArrayList<f> arrayList = this.f4945;
            return Math.max(this.f4945.get(0).f4991, Math.min(i6, arrayList.get(arrayList.size() - 1).f4991));
        }
        return i6;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m6029(int i6, float f6, int i7) {
        j jVar = this.f4934;
        if (jVar != null) {
            jVar.mo6065(i6, f6, i7);
        }
        List<j> list = this.f4984;
        if (list != null) {
            int size = list.size();
            for (int i8 = 0; i8 < size; i8++) {
                j jVar2 = this.f4984.get(i8);
                if (jVar2 != null) {
                    jVar2.mo6065(i6, f6, i7);
                }
            }
        }
        j jVar3 = this.f4935;
        if (jVar3 != null) {
            jVar3.mo6065(i6, f6, i7);
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m6030(int i6) {
        j jVar = this.f4934;
        if (jVar != null) {
            jVar.mo6067(i6);
        }
        List<j> list = this.f4984;
        if (list != null) {
            int size = list.size();
            for (int i7 = 0; i7 < size; i7++) {
                j jVar2 = this.f4984.get(i7);
                if (jVar2 != null) {
                    jVar2.mo6067(i6);
                }
            }
        }
        j jVar3 = this.f4935;
        if (jVar3 != null) {
            jVar3.mo6067(i6);
        }
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private void m6031(int i6) {
        j jVar = this.f4934;
        if (jVar != null) {
            jVar.mo6066(i6);
        }
        List<j> list = this.f4984;
        if (list != null) {
            int size = list.size();
            for (int i7 = 0; i7 < size; i7++) {
                j jVar2 = this.f4984.get(i7);
                if (jVar2 != null) {
                    jVar2.mo6066(i6);
                }
            }
        }
        j jVar3 = this.f4935;
        if (jVar3 != null) {
            jVar3.mo6066(i6);
        }
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private void m6032() {
        if (this.f4937 != 0) {
            ArrayList<View> arrayList = this.f4938;
            if (arrayList == null) {
                this.f4938 = new ArrayList<>();
            } else {
                arrayList.clear();
            }
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                this.f4938.add(getChildAt(i6));
            }
            Collections.sort(this.f4938, f4932);
        }
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private void m6033() {
        this.f4972 = false;
        this.f4933 = false;
        VelocityTracker velocityTracker = this.f4956;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f4956 = null;
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private Rect m6034(Rect rect, View view) {
        if (rect == null) {
            rect = new Rect();
        }
        if (view == null) {
            rect.set(0, 0, 0, 0);
            return rect;
        }
        rect.left = view.getLeft();
        rect.right = view.getRight();
        rect.top = view.getTop();
        rect.bottom = view.getBottom();
        ViewParent parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = (ViewGroup) parent;
            rect.left += viewGroup.getLeft();
            rect.right += viewGroup.getRight();
            rect.top += viewGroup.getTop();
            rect.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect;
    }

    /* renamed from: ــ  reason: contains not printable characters */
    private boolean m6035() {
        this.f4950 = -1;
        m6033();
        this.f4964.onRelease();
        this.f4974.onRelease();
        if (!this.f4964.isFinished() && !this.f4974.isFinished()) {
            return false;
        }
        return true;
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private boolean m6036(int i6) {
        if (this.f4945.size() == 0) {
            if (this.f4978) {
                return false;
            }
            this.f4982 = false;
            m6059(0, 0.0f, 0);
            if (this.f4982) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
        f m6037 = m6037();
        int clientWidth = getClientWidth();
        int i7 = this.f4967;
        int i8 = clientWidth + i7;
        float f6 = clientWidth;
        int i9 = m6037.f4991;
        float f7 = ((i6 / f6) - m6037.f4994) / (m6037.f4993 + (i7 / f6));
        this.f4982 = false;
        m6059(i9, f7, (int) (i8 * f7));
        if (this.f4982) {
            return true;
        }
        throw new IllegalStateException("onPageScrolled did not call superclass implementation");
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private f m6037() {
        float f6;
        float f7;
        int i6;
        int clientWidth = getClientWidth();
        float f8 = 0.0f;
        if (clientWidth > 0) {
            f6 = getScrollX() / clientWidth;
        } else {
            f6 = 0.0f;
        }
        if (clientWidth > 0) {
            f7 = this.f4967 / clientWidth;
        } else {
            f7 = 0.0f;
        }
        f fVar = null;
        float f9 = 0.0f;
        int i7 = -1;
        int i8 = 0;
        boolean z5 = true;
        while (i8 < this.f4945.size()) {
            f fVar2 = this.f4945.get(i8);
            if (!z5 && fVar2.f4991 != (i6 = i7 + 1)) {
                fVar2 = this.f4947;
                fVar2.f4994 = f8 + f9 + f7;
                fVar2.f4991 = i6;
                fVar2.f4993 = this.f4951.m6078(i6);
                i8--;
            }
            f fVar3 = fVar2;
            f8 = fVar3.f4994;
            float f10 = fVar3.f4993 + f8 + f7;
            if (!z5 && f6 < f8) {
                return fVar;
            }
            if (f6 >= f10 && i8 != this.f4945.size() - 1) {
                int i9 = fVar3.f4991;
                float f11 = fVar3.f4993;
                i8++;
                z5 = false;
                i7 = i9;
                f9 = f11;
                fVar = fVar3;
            } else {
                return fVar3;
            }
        }
        return fVar;
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private boolean m6038(float f6) {
        boolean z5;
        boolean z6;
        float f7 = this.f4944 - f6;
        this.f4944 = f6;
        float scrollX = getScrollX() + f7;
        float clientWidth = getClientWidth();
        float f8 = this.f4975 * clientWidth;
        float f9 = this.f4977 * clientWidth;
        boolean z7 = false;
        f fVar = this.f4945.get(0);
        ArrayList<f> arrayList = this.f4945;
        f fVar2 = arrayList.get(arrayList.size() - 1);
        if (fVar.f4991 != 0) {
            f8 = fVar.f4994 * clientWidth;
            z5 = false;
        } else {
            z5 = true;
        }
        if (fVar2.f4991 != this.f4951.mo6075() - 1) {
            f9 = fVar2.f4994 * clientWidth;
            z6 = false;
        } else {
            z6 = true;
        }
        if (scrollX < f8) {
            if (z5) {
                this.f4964.onPull(Math.abs(f8 - scrollX) / clientWidth);
                z7 = true;
            }
            scrollX = f8;
        } else if (scrollX > f9) {
            if (z6) {
                this.f4974.onPull(Math.abs(scrollX - f9) / clientWidth);
                z7 = true;
            }
            scrollX = f9;
        }
        int i6 = (int) scrollX;
        this.f4944 += scrollX - i6;
        scrollTo(i6, getScrollY());
        m6036(i6);
        return z7;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static boolean m6039(View view) {
        if (view.getClass().getAnnotation(e.class) != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean m6040(float f6, float f7) {
        if ((f6 < this.f4941 && f7 > 0.0f) || (f6 > getWidth() - this.f4941 && f7 < 0.0f)) {
            return true;
        }
        return false;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private void m6041(MotionEvent motionEvent) {
        int i6;
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f4950) {
            if (actionIndex == 0) {
                i6 = 1;
            } else {
                i6 = 0;
            }
            this.f4944 = motionEvent.getX(i6);
            this.f4950 = motionEvent.getPointerId(i6);
            VelocityTracker velocityTracker = this.f4956;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public void addFocusables(ArrayList<View> arrayList, int i6, int i7) {
        f m6056;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i8 = 0; i8 < getChildCount(); i8++) {
                View childAt = getChildAt(i8);
                if (childAt.getVisibility() == 0 && (m6056 = m6056(childAt)) != null && m6056.f4991 == this.f4953) {
                    childAt.addFocusables(arrayList, i6, i7);
                }
            }
        }
        if ((descendantFocusability == 262144 && size != arrayList.size()) || !isFocusable()) {
            return;
        }
        if ((i7 & 1) == 1 && isInTouchMode() && !isFocusableInTouchMode()) {
            return;
        }
        arrayList.add(this);
    }

    @Override // android.view.ViewGroup, android.view.View
    public void addTouchables(ArrayList<View> arrayList) {
        f m6056;
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() == 0 && (m6056 = m6056(childAt)) != null && m6056.f4991 == this.f4953) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (!checkLayoutParams(layoutParams)) {
            layoutParams = generateLayoutParams(layoutParams);
        }
        g gVar = (g) layoutParams;
        boolean m6039 = gVar.f4995 | m6039(view);
        gVar.f4995 = m6039;
        if (this.f4983) {
            if (!m6039) {
                gVar.f4998 = true;
                addViewInLayout(view, i6, layoutParams);
                return;
            }
            throw new IllegalStateException("Cannot add pager decor view during layout");
        }
        super.addView(view, i6, layoutParams);
    }

    @Override // android.view.View
    public boolean canScrollHorizontally(int i6) {
        if (this.f4951 == null) {
            return false;
        }
        int clientWidth = getClientWidth();
        int scrollX = getScrollX();
        if (i6 < 0) {
            if (scrollX <= ((int) (clientWidth * this.f4975))) {
                return false;
            }
            return true;
        } else if (i6 <= 0 || scrollX >= ((int) (clientWidth * this.f4977))) {
            return false;
        } else {
            return true;
        }
    }

    @Override // android.view.ViewGroup
    protected boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if ((layoutParams instanceof g) && super.checkLayoutParams(layoutParams)) {
            return true;
        }
        return false;
    }

    @Override // android.view.View
    public void computeScroll() {
        this.f4963 = true;
        if (!this.f4961.isFinished() && this.f4961.computeScrollOffset()) {
            int scrollX = getScrollX();
            int scrollY = getScrollY();
            int currX = this.f4961.getCurrX();
            int currY = this.f4961.getCurrY();
            if (scrollX != currX || scrollY != currY) {
                scrollTo(currX, currY);
                if (!m6036(currX)) {
                    this.f4961.abortAnimation();
                    scrollTo(0, currY);
                }
            }
            z0.m3381(this);
            return;
        }
        m6026(true);
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (!super.dispatchKeyEvent(keyEvent) && !m6054(keyEvent)) {
            return false;
        }
        return true;
    }

    @Override // android.view.View
    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        f m6056;
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() == 0 && (m6056 = m6056(childAt)) != null && m6056.f4991 == this.f4953 && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        androidx.viewpager.widget.a aVar;
        super.draw(canvas);
        int overScrollMode = getOverScrollMode();
        boolean z5 = false;
        if (overScrollMode != 0 && (overScrollMode != 1 || (aVar = this.f4951) == null || aVar.mo6075() <= 1)) {
            this.f4964.finish();
            this.f4974.finish();
        } else {
            if (!this.f4964.isFinished()) {
                int save = canvas.save();
                int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                int width = getWidth();
                canvas.rotate(270.0f);
                canvas.translate((-height) + getPaddingTop(), this.f4975 * width);
                this.f4964.setSize(height, width);
                z5 = false | this.f4964.draw(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.f4974.isFinished()) {
                int save2 = canvas.save();
                int width2 = getWidth();
                int height2 = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(90.0f);
                canvas.translate(-getPaddingTop(), (-(this.f4977 + 1.0f)) * width2);
                this.f4974.setSize(height2, width2);
                z5 |= this.f4974.draw(canvas);
                canvas.restoreToCount(save2);
            }
        }
        if (z5) {
            z0.m3381(this);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f4969;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    @Override // android.view.ViewGroup
    protected ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new g();
    }

    @Override // android.view.ViewGroup
    protected ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    public androidx.viewpager.widget.a getAdapter() {
        return this.f4951;
    }

    @Override // android.view.ViewGroup
    protected int getChildDrawingOrder(int i6, int i7) {
        if (this.f4937 == 2) {
            i7 = (i6 - 1) - i7;
        }
        return ((g) this.f4938.get(i7).getLayoutParams()).f5000;
    }

    public int getCurrentItem() {
        return this.f4953;
    }

    public int getOffscreenPageLimit() {
        return this.f4970;
    }

    public int getPageMargin() {
        return this.f4967;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f4978 = true;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        removeCallbacks(this.f4939);
        Scroller scroller = this.f4961;
        if (scroller != null && !scroller.isFinished()) {
            this.f4961.abortAnimation();
        }
        super.onDetachedFromWindow();
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        int width;
        int i6;
        float f6;
        float f7;
        super.onDraw(canvas);
        if (this.f4967 > 0 && this.f4969 != null && this.f4945.size() > 0 && this.f4951 != null) {
            int scrollX = getScrollX();
            float width2 = getWidth();
            float f8 = this.f4967 / width2;
            int i7 = 0;
            f fVar = this.f4945.get(0);
            float f9 = fVar.f4994;
            int size = this.f4945.size();
            int i8 = fVar.f4991;
            int i9 = this.f4945.get(size - 1).f4991;
            while (i8 < i9) {
                while (true) {
                    i6 = fVar.f4991;
                    if (i8 <= i6 || i7 >= size) {
                        break;
                    }
                    i7++;
                    fVar = this.f4945.get(i7);
                }
                if (i8 == i6) {
                    float f10 = fVar.f4994;
                    float f11 = fVar.f4993;
                    f6 = (f10 + f11) * width2;
                    f9 = f10 + f11 + f8;
                } else {
                    float m6078 = this.f4951.m6078(i8);
                    f6 = (f9 + m6078) * width2;
                    f9 += m6078 + f8;
                }
                if (this.f4967 + f6 > scrollX) {
                    f7 = f8;
                    this.f4969.setBounds(Math.round(f6), this.f4971, Math.round(this.f4967 + f6), this.f4973);
                    this.f4969.draw(canvas);
                } else {
                    f7 = f8;
                }
                if (f6 <= scrollX + width) {
                    i8++;
                    f8 = f7;
                } else {
                    return;
                }
            }
        }
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        float f6;
        int action = motionEvent.getAction() & 255;
        if (action != 3 && action != 1) {
            if (action != 0) {
                if (this.f4972) {
                    return true;
                }
                if (this.f4933) {
                    return false;
                }
            }
            if (action != 0) {
                if (action != 2) {
                    if (action == 6) {
                        m6041(motionEvent);
                    }
                } else {
                    int i6 = this.f4950;
                    if (i6 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i6);
                        float x5 = motionEvent.getX(findPointerIndex);
                        float f7 = x5 - this.f4944;
                        float abs = Math.abs(f7);
                        float y5 = motionEvent.getY(findPointerIndex);
                        float abs2 = Math.abs(y5 - this.f4952);
                        if (f7 != 0.0f && !m6040(this.f4944, f7) && m6047(this, false, (int) f7, (int) x5, (int) y5)) {
                            this.f4944 = x5;
                            this.f4966 = y5;
                            this.f4933 = true;
                            return false;
                        }
                        int i7 = this.f4946;
                        if (abs > i7 && abs * 0.5f > abs2) {
                            this.f4972 = true;
                            m6024(true);
                            setScrollState(1);
                            if (f7 > 0.0f) {
                                f6 = this.f4948 + this.f4946;
                            } else {
                                f6 = this.f4948 - this.f4946;
                            }
                            this.f4944 = f6;
                            this.f4966 = y5;
                            setScrollingCacheEnabled(true);
                        } else if (abs2 > i7) {
                            this.f4933 = true;
                        }
                        if (this.f4972 && m6038(x5)) {
                            z0.m3381(this);
                        }
                    }
                }
            } else {
                float x6 = motionEvent.getX();
                this.f4948 = x6;
                this.f4944 = x6;
                float y6 = motionEvent.getY();
                this.f4952 = y6;
                this.f4966 = y6;
                this.f4950 = motionEvent.getPointerId(0);
                this.f4933 = false;
                this.f4963 = true;
                this.f4961.computeScrollOffset();
                if (this.f4940 == 2 && Math.abs(this.f4961.getFinalX() - this.f4961.getCurrX()) > this.f4962) {
                    this.f4961.abortAnimation();
                    this.f4986 = false;
                    m6043();
                    this.f4972 = true;
                    m6024(true);
                    setScrollState(1);
                } else {
                    m6026(false);
                    this.f4972 = false;
                }
            }
            if (this.f4956 == null) {
                this.f4956 = VelocityTracker.obtain();
            }
            this.f4956.addMovement(motionEvent);
            return this.f4972;
        }
        m6035();
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:22:0x0071  */
    /* JADX WARN: Removed duplicated region for block: B:29:0x008e  */
    @Override // android.view.ViewGroup, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        boolean z6;
        f m6056;
        int max;
        int i10;
        int max2;
        int i11;
        int childCount = getChildCount();
        int i12 = i8 - i6;
        int i13 = i9 - i7;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollX = getScrollX();
        int i14 = 0;
        for (int i15 = 0; i15 < childCount; i15++) {
            View childAt = getChildAt(i15);
            if (childAt.getVisibility() != 8) {
                g gVar = (g) childAt.getLayoutParams();
                if (gVar.f4995) {
                    int i16 = gVar.f4996;
                    int i17 = i16 & 7;
                    int i18 = i16 & 112;
                    if (i17 != 1) {
                        if (i17 != 3) {
                            if (i17 != 5) {
                                i10 = paddingLeft;
                            } else {
                                max = (i12 - paddingRight) - childAt.getMeasuredWidth();
                                paddingRight += childAt.getMeasuredWidth();
                            }
                        } else {
                            i10 = childAt.getMeasuredWidth() + paddingLeft;
                        }
                        if (i18 == 16) {
                            if (i18 != 48) {
                                if (i18 != 80) {
                                    i11 = paddingTop;
                                } else {
                                    max2 = (i13 - paddingBottom) - childAt.getMeasuredHeight();
                                    paddingBottom += childAt.getMeasuredHeight();
                                }
                            } else {
                                i11 = childAt.getMeasuredHeight() + paddingTop;
                            }
                            int i19 = paddingLeft + scrollX;
                            childAt.layout(i19, paddingTop, childAt.getMeasuredWidth() + i19, paddingTop + childAt.getMeasuredHeight());
                            i14++;
                            paddingTop = i11;
                            paddingLeft = i10;
                        } else {
                            max2 = Math.max((i13 - childAt.getMeasuredHeight()) / 2, paddingTop);
                        }
                        int i20 = max2;
                        i11 = paddingTop;
                        paddingTop = i20;
                        int i192 = paddingLeft + scrollX;
                        childAt.layout(i192, paddingTop, childAt.getMeasuredWidth() + i192, paddingTop + childAt.getMeasuredHeight());
                        i14++;
                        paddingTop = i11;
                        paddingLeft = i10;
                    } else {
                        max = Math.max((i12 - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    int i21 = max;
                    i10 = paddingLeft;
                    paddingLeft = i21;
                    if (i18 == 16) {
                    }
                    int i202 = max2;
                    i11 = paddingTop;
                    paddingTop = i202;
                    int i1922 = paddingLeft + scrollX;
                    childAt.layout(i1922, paddingTop, childAt.getMeasuredWidth() + i1922, paddingTop + childAt.getMeasuredHeight());
                    i14++;
                    paddingTop = i11;
                    paddingLeft = i10;
                }
            }
        }
        int i22 = (i12 - paddingLeft) - paddingRight;
        for (int i23 = 0; i23 < childCount; i23++) {
            View childAt2 = getChildAt(i23);
            if (childAt2.getVisibility() != 8) {
                g gVar2 = (g) childAt2.getLayoutParams();
                if (!gVar2.f4995 && (m6056 = m6056(childAt2)) != null) {
                    float f6 = i22;
                    int i24 = ((int) (m6056.f4994 * f6)) + paddingLeft;
                    if (gVar2.f4998) {
                        gVar2.f4998 = false;
                        childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (f6 * gVar2.f4997), 1073741824), View.MeasureSpec.makeMeasureSpec((i13 - paddingTop) - paddingBottom, 1073741824));
                    }
                    childAt2.layout(i24, paddingTop, childAt2.getMeasuredWidth() + i24, childAt2.getMeasuredHeight() + paddingTop);
                }
            }
        }
        this.f4971 = paddingTop;
        this.f4973 = i13 - paddingBottom;
        this.f4968 = i14;
        if (this.f4978) {
            z6 = false;
            m6027(this.f4953, false, 0, false);
        } else {
            z6 = false;
        }
        this.f4978 = z6;
    }

    /* JADX WARN: Removed duplicated region for block: B:32:0x0082  */
    /* JADX WARN: Removed duplicated region for block: B:36:0x0089  */
    /* JADX WARN: Removed duplicated region for block: B:39:0x008e  */
    /* JADX WARN: Removed duplicated region for block: B:42:0x0093  */
    /* JADX WARN: Removed duplicated region for block: B:45:0x00a2  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x00a8  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onMeasure(int i6, int i7) {
        g gVar;
        g gVar2;
        boolean z5;
        int i8;
        int i9;
        int i10;
        setMeasuredDimension(View.getDefaultSize(0, i6), View.getDefaultSize(0, i7));
        int measuredWidth = getMeasuredWidth();
        this.f4941 = Math.min(measuredWidth / 10, this.f4942);
        int paddingLeft = (measuredWidth - getPaddingLeft()) - getPaddingRight();
        int measuredHeight = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        int i11 = 0;
        while (true) {
            boolean z6 = true;
            int i12 = 1073741824;
            if (i11 >= childCount) {
                break;
            }
            View childAt = getChildAt(i11);
            if (childAt.getVisibility() != 8 && (gVar2 = (g) childAt.getLayoutParams()) != null && gVar2.f4995) {
                int i13 = gVar2.f4996;
                int i14 = i13 & 7;
                int i15 = i13 & 112;
                if (i15 != 48 && i15 != 80) {
                    z5 = false;
                } else {
                    z5 = true;
                }
                if (i14 != 3 && i14 != 5) {
                    z6 = false;
                }
                int i16 = Integer.MIN_VALUE;
                if (z5) {
                    i16 = 1073741824;
                } else if (z6) {
                    i8 = 1073741824;
                    i9 = ((ViewGroup.LayoutParams) gVar2).width;
                    if (i9 == -2) {
                        if (i9 == -1) {
                            i9 = paddingLeft;
                        }
                        i16 = 1073741824;
                    } else {
                        i9 = paddingLeft;
                    }
                    i10 = ((ViewGroup.LayoutParams) gVar2).height;
                    if (i10 == -2) {
                        if (i10 == -1) {
                            i10 = measuredHeight;
                        }
                    } else {
                        i10 = measuredHeight;
                        i12 = i8;
                    }
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(i9, i16), View.MeasureSpec.makeMeasureSpec(i10, i12));
                    if (!z5) {
                        measuredHeight -= childAt.getMeasuredHeight();
                    } else if (z6) {
                        paddingLeft -= childAt.getMeasuredWidth();
                    }
                }
                i8 = Integer.MIN_VALUE;
                i9 = ((ViewGroup.LayoutParams) gVar2).width;
                if (i9 == -2) {
                }
                i10 = ((ViewGroup.LayoutParams) gVar2).height;
                if (i10 == -2) {
                }
                childAt.measure(View.MeasureSpec.makeMeasureSpec(i9, i16), View.MeasureSpec.makeMeasureSpec(i10, i12));
                if (!z5) {
                }
            }
            i11++;
        }
        this.f4979 = View.MeasureSpec.makeMeasureSpec(paddingLeft, 1073741824);
        this.f4981 = View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824);
        this.f4983 = true;
        m6043();
        this.f4983 = false;
        int childCount2 = getChildCount();
        for (int i17 = 0; i17 < childCount2; i17++) {
            View childAt2 = getChildAt(i17);
            if (childAt2.getVisibility() != 8 && ((gVar = (g) childAt2.getLayoutParams()) == null || !gVar.f4995)) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (paddingLeft * gVar.f4997), 1073741824), this.f4981);
            }
        }
    }

    @Override // android.view.ViewGroup
    protected boolean onRequestFocusInDescendants(int i6, Rect rect) {
        int i7;
        int i8;
        int i9;
        f m6056;
        int childCount = getChildCount();
        if ((i6 & 2) != 0) {
            i8 = childCount;
            i7 = 0;
            i9 = 1;
        } else {
            i7 = childCount - 1;
            i8 = -1;
            i9 = -1;
        }
        while (i7 != i8) {
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() == 0 && (m6056 = m6056(childAt)) != null && m6056.f4991 == this.f4953 && childAt.requestFocus(i6, rect)) {
                return true;
            }
            i7 += i9;
        }
        return false;
    }

    @Override // android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof l)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        l lVar = (l) parcelable;
        super.onRestoreInstanceState(lVar.m14260());
        androidx.viewpager.widget.a aVar = this.f4951;
        if (aVar != null) {
            aVar.m6081(lVar.f5004, lVar.f5005);
            m6049(lVar.f5003, false, true);
            return;
        }
        this.f4955 = lVar.f5003;
        this.f4957 = lVar.f5004;
        this.f4959 = lVar.f5005;
    }

    @Override // android.view.View
    public Parcelable onSaveInstanceState() {
        l lVar = new l(super.onSaveInstanceState());
        lVar.f5003 = this.f4953;
        androidx.viewpager.widget.a aVar = this.f4951;
        if (aVar != null) {
            lVar.f5004 = aVar.m6082();
        }
        return lVar;
    }

    @Override // android.view.View
    protected void onSizeChanged(int i6, int i7, int i8, int i9) {
        super.onSizeChanged(i6, i7, i8, i9);
        if (i6 != i8) {
            int i10 = this.f4967;
            m6022(i6, i8, i10, i10);
        }
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        androidx.viewpager.widget.a aVar;
        float f6;
        if (this.f4976) {
            return true;
        }
        boolean z5 = false;
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || (aVar = this.f4951) == null || aVar.mo6075() == 0) {
            return false;
        }
        if (this.f4956 == null) {
            this.f4956 = VelocityTracker.obtain();
        }
        this.f4956.addMovement(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action != 0) {
            if (action != 1) {
                if (action != 2) {
                    if (action != 3) {
                        if (action != 5) {
                            if (action == 6) {
                                m6041(motionEvent);
                                this.f4944 = motionEvent.getX(motionEvent.findPointerIndex(this.f4950));
                            }
                        } else {
                            int actionIndex = motionEvent.getActionIndex();
                            this.f4944 = motionEvent.getX(actionIndex);
                            this.f4950 = motionEvent.getPointerId(actionIndex);
                        }
                    } else if (this.f4972) {
                        m6027(this.f4953, true, 0, false);
                        z5 = m6035();
                    }
                } else {
                    if (!this.f4972) {
                        int findPointerIndex = motionEvent.findPointerIndex(this.f4950);
                        if (findPointerIndex == -1) {
                            z5 = m6035();
                        } else {
                            float x5 = motionEvent.getX(findPointerIndex);
                            float abs = Math.abs(x5 - this.f4944);
                            float y5 = motionEvent.getY(findPointerIndex);
                            float abs2 = Math.abs(y5 - this.f4966);
                            if (abs > this.f4946 && abs > abs2) {
                                this.f4972 = true;
                                m6024(true);
                                float f7 = this.f4948;
                                if (x5 - f7 > 0.0f) {
                                    f6 = f7 + this.f4946;
                                } else {
                                    f6 = f7 - this.f4946;
                                }
                                this.f4944 = f6;
                                this.f4966 = y5;
                                setScrollState(1);
                                setScrollingCacheEnabled(true);
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                    if (this.f4972) {
                        z5 = false | m6038(motionEvent.getX(motionEvent.findPointerIndex(this.f4950)));
                    }
                }
            } else if (this.f4972) {
                VelocityTracker velocityTracker = this.f4956;
                velocityTracker.computeCurrentVelocity(1000, this.f4960);
                int xVelocity = (int) velocityTracker.getXVelocity(this.f4950);
                this.f4986 = true;
                int clientWidth = getClientWidth();
                int scrollX = getScrollX();
                f m6037 = m6037();
                float f8 = clientWidth;
                m6052(m6028(m6037.f4991, ((scrollX / f8) - m6037.f4994) / (m6037.f4993 + (this.f4967 / f8)), xVelocity, (int) (motionEvent.getX(motionEvent.findPointerIndex(this.f4950)) - this.f4948)), true, true, xVelocity);
                z5 = m6035();
            }
        } else {
            this.f4961.abortAnimation();
            this.f4986 = false;
            m6043();
            float x6 = motionEvent.getX();
            this.f4948 = x6;
            this.f4944 = x6;
            float y6 = motionEvent.getY();
            this.f4952 = y6;
            this.f4966 = y6;
            this.f4950 = motionEvent.getPointerId(0);
        }
        if (z5) {
            z0.m3381(this);
        }
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        if (this.f4983) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public void setAdapter(androidx.viewpager.widget.a aVar) {
        androidx.viewpager.widget.a aVar2 = this.f4951;
        if (aVar2 != null) {
            aVar2.m6085(null);
            this.f4951.m6087(this);
            for (int i6 = 0; i6 < this.f4945.size(); i6++) {
                f fVar = this.f4945.get(i6);
                this.f4951.mo6072(this, fVar.f4991, fVar.f4990);
            }
            this.f4951.m6074(this);
            this.f4945.clear();
            m6025();
            this.f4953 = 0;
            scrollTo(0, 0);
        }
        androidx.viewpager.widget.a aVar3 = this.f4951;
        this.f4951 = aVar;
        this.f4943 = 0;
        if (aVar != null) {
            if (this.f4965 == null) {
                this.f4965 = new k();
            }
            this.f4951.m6085(this.f4965);
            this.f4986 = false;
            boolean z5 = this.f4978;
            this.f4978 = true;
            this.f4943 = this.f4951.mo6075();
            if (this.f4955 >= 0) {
                this.f4951.m6081(this.f4957, this.f4959);
                m6049(this.f4955, false, true);
                this.f4955 = -1;
                this.f4957 = null;
                this.f4959 = null;
            } else if (!z5) {
                m6043();
            } else {
                requestLayout();
            }
        }
        List<i> list = this.f4936;
        if (list != null && !list.isEmpty()) {
            int size = this.f4936.size();
            for (int i7 = 0; i7 < size; i7++) {
                this.f4936.get(i7).m6064(this, aVar3, aVar);
            }
        }
    }

    public void setCurrentItem(int i6) {
        this.f4986 = false;
        m6049(i6, !this.f4978, false);
    }

    public void setOffscreenPageLimit(int i6) {
        if (i6 < 1) {
            Log.w("ViewPager", "Requested offscreen page limit " + i6 + " too small; defaulting to 1");
            i6 = 1;
        }
        if (i6 != this.f4970) {
            this.f4970 = i6;
            m6043();
        }
    }

    @Deprecated
    public void setOnPageChangeListener(j jVar) {
        this.f4934 = jVar;
    }

    public void setPageMargin(int i6) {
        int i7 = this.f4967;
        this.f4967 = i6;
        int width = getWidth();
        m6022(width, width, i6, i7);
        requestLayout();
    }

    public void setPageMarginDrawable(Drawable drawable) {
        this.f4969 = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    void setScrollState(int i6) {
        if (this.f4940 == i6) {
            return;
        }
        this.f4940 = i6;
        m6031(i6);
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable drawable) {
        if (!super.verifyDrawable(drawable) && drawable != this.f4969) {
            return false;
        }
        return true;
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    f m6042(int i6, int i7) {
        f fVar = new f();
        fVar.f4991 = i6;
        fVar.f4990 = this.f4951.mo6079(this, i6);
        fVar.f4993 = this.f4951.m6078(i6);
        if (i7 >= 0 && i7 < this.f4945.size()) {
            this.f4945.add(i7, fVar);
        } else {
            this.f4945.add(fVar);
        }
        return fVar;
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    void m6043() {
        m6046(this.f4953);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m6044(j jVar) {
        if (this.f4984 == null) {
            this.f4984 = new ArrayList();
        }
        this.f4984.add(jVar);
    }

    /* JADX WARN: Removed duplicated region for block: B:44:0x00cf  */
    /* renamed from: ʽ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean m6045(int i6) {
        boolean z5;
        View findNextFocus;
        boolean requestFocus;
        View findFocus = findFocus();
        boolean z6 = false;
        if (findFocus != this) {
            if (findFocus != null) {
                ViewParent parent = findFocus.getParent();
                while (true) {
                    if (parent instanceof ViewGroup) {
                        if (parent == this) {
                            z5 = true;
                            break;
                        }
                        parent = parent.getParent();
                    } else {
                        z5 = false;
                        break;
                    }
                }
                if (!z5) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        sb.append(" => ");
                        sb.append(parent2.getClass().getSimpleName());
                    }
                    Log.e("ViewPager", "arrowScroll tried to find focus based on non-child current focused view " + sb.toString());
                }
            }
            findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i6);
            if (findNextFocus == null && findNextFocus != findFocus) {
                if (i6 == 17) {
                    int i7 = m6034(this.f4949, findNextFocus).left;
                    int i8 = m6034(this.f4949, findFocus).left;
                    if (findFocus != null && i7 >= i8) {
                        requestFocus = m6060();
                    } else {
                        requestFocus = findNextFocus.requestFocus();
                    }
                } else if (i6 == 66) {
                    int i9 = m6034(this.f4949, findNextFocus).left;
                    int i10 = m6034(this.f4949, findFocus).left;
                    if (findFocus != null && i9 <= i10) {
                        requestFocus = m6061();
                    } else {
                        requestFocus = findNextFocus.requestFocus();
                    }
                }
                z6 = requestFocus;
            } else if (i6 == 17 && i6 != 1) {
                if (i6 == 66 || i6 == 2) {
                    z6 = m6061();
                }
            } else {
                z6 = m6060();
            }
            if (z6) {
                playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i6));
            }
            return z6;
        }
        findFocus = null;
        findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i6);
        if (findNextFocus == null) {
        }
        if (i6 == 17) {
        }
        z6 = m6060();
        if (z6) {
        }
        return z6;
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x0060, code lost:
        if (r9 == r10) goto L27;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0066, code lost:
        r8 = null;
     */
    /* renamed from: ʽʽ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    void m6046(int i6) {
        f fVar;
        String hexString;
        f fVar2;
        f fVar3;
        f m6056;
        f fVar4;
        float paddingLeft;
        f fVar5;
        float paddingRight;
        f fVar6;
        int i7 = this.f4953;
        if (i7 != i6) {
            fVar = m6057(i7);
            this.f4953 = i6;
        } else {
            fVar = null;
        }
        if (this.f4951 == null) {
            m6032();
        } else if (this.f4986) {
            m6032();
        } else if (getWindowToken() != null) {
            this.f4951.m6087(this);
            int i8 = this.f4970;
            int max = Math.max(0, this.f4953 - i8);
            int mo6075 = this.f4951.mo6075();
            int min = Math.min(mo6075 - 1, this.f4953 + i8);
            if (mo6075 == this.f4943) {
                int i9 = 0;
                while (true) {
                    if (i9 >= this.f4945.size()) {
                        break;
                    }
                    fVar2 = this.f4945.get(i9);
                    int i10 = fVar2.f4991;
                    int i11 = this.f4953;
                    if (i10 < i11) {
                        i9++;
                    }
                }
                if (fVar2 == null && mo6075 > 0) {
                    fVar2 = m6042(this.f4953, i9);
                }
                if (fVar2 != null) {
                    int i12 = i9 - 1;
                    if (i12 >= 0) {
                        fVar4 = this.f4945.get(i12);
                    } else {
                        fVar4 = null;
                    }
                    int clientWidth = getClientWidth();
                    if (clientWidth <= 0) {
                        paddingLeft = 0.0f;
                    } else {
                        paddingLeft = (2.0f - fVar2.f4993) + (getPaddingLeft() / clientWidth);
                    }
                    float f6 = 0.0f;
                    for (int i13 = this.f4953 - 1; i13 >= 0; i13--) {
                        if (f6 >= paddingLeft && i13 < max) {
                            if (fVar4 == null) {
                                break;
                            }
                            if (i13 == fVar4.f4991 && !fVar4.f4992) {
                                this.f4945.remove(i12);
                                this.f4951.mo6072(this, i13, fVar4.f4990);
                                i12--;
                                i9--;
                                if (i12 >= 0) {
                                    fVar6 = this.f4945.get(i12);
                                    fVar4 = fVar6;
                                }
                                fVar6 = null;
                                fVar4 = fVar6;
                            }
                        } else if (fVar4 != null && i13 == fVar4.f4991) {
                            f6 += fVar4.f4993;
                            i12--;
                            if (i12 >= 0) {
                                fVar6 = this.f4945.get(i12);
                                fVar4 = fVar6;
                            }
                            fVar6 = null;
                            fVar4 = fVar6;
                        } else {
                            f6 += m6042(i13, i12 + 1).f4993;
                            i9++;
                            if (i12 >= 0) {
                                fVar6 = this.f4945.get(i12);
                                fVar4 = fVar6;
                            }
                            fVar6 = null;
                            fVar4 = fVar6;
                        }
                    }
                    float f7 = fVar2.f4993;
                    int i14 = i9 + 1;
                    if (f7 < 2.0f) {
                        if (i14 < this.f4945.size()) {
                            fVar5 = this.f4945.get(i14);
                        } else {
                            fVar5 = null;
                        }
                        if (clientWidth <= 0) {
                            paddingRight = 0.0f;
                        } else {
                            paddingRight = (getPaddingRight() / clientWidth) + 2.0f;
                        }
                        int i15 = this.f4953;
                        while (true) {
                            i15++;
                            if (i15 >= mo6075) {
                                break;
                            } else if (f7 >= paddingRight && i15 > min) {
                                if (fVar5 == null) {
                                    break;
                                } else if (i15 == fVar5.f4991 && !fVar5.f4992) {
                                    this.f4945.remove(i14);
                                    this.f4951.mo6072(this, i15, fVar5.f4990);
                                    if (i14 < this.f4945.size()) {
                                        fVar5 = this.f4945.get(i14);
                                    } else {
                                        fVar5 = null;
                                    }
                                }
                            } else if (fVar5 != null && i15 == fVar5.f4991) {
                                f7 += fVar5.f4993;
                                i14++;
                                if (i14 >= this.f4945.size()) {
                                    fVar5 = null;
                                } else {
                                    fVar5 = this.f4945.get(i14);
                                }
                            } else {
                                f m6042 = m6042(i15, i14);
                                i14++;
                                f7 += m6042.f4993;
                                if (i14 >= this.f4945.size()) {
                                    fVar5 = null;
                                } else {
                                    fVar5 = this.f4945.get(i14);
                                }
                            }
                        }
                    }
                    m6023(fVar2, i9, fVar);
                    this.f4951.m6084(this, this.f4953, fVar2.f4990);
                }
                this.f4951.m6074(this);
                int childCount = getChildCount();
                for (int i16 = 0; i16 < childCount; i16++) {
                    View childAt = getChildAt(i16);
                    g gVar = (g) childAt.getLayoutParams();
                    gVar.f5000 = i16;
                    if (!gVar.f4995 && gVar.f4997 == 0.0f && (m6056 = m6056(childAt)) != null) {
                        gVar.f4997 = m6056.f4993;
                        gVar.f4999 = m6056.f4991;
                    }
                }
                m6032();
                if (hasFocus()) {
                    View findFocus = findFocus();
                    if (findFocus != null) {
                        fVar3 = m6055(findFocus);
                    } else {
                        fVar3 = null;
                    }
                    if (fVar3 == null || fVar3.f4991 != this.f4953) {
                        for (int i17 = 0; i17 < getChildCount(); i17++) {
                            View childAt2 = getChildAt(i17);
                            f m60562 = m6056(childAt2);
                            if (m60562 != null && m60562.f4991 == this.f4953 && childAt2.requestFocus(2)) {
                                return;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            try {
                hexString = getResources().getResourceName(getId());
            } catch (Resources.NotFoundException unused) {
                hexString = Integer.toHexString(getId());
            }
            throw new IllegalStateException("The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.f4943 + ", found: " + mo6075 + " Pager id: " + hexString + " Pager class: " + getClass() + " Problematic adapter: " + this.f4951.getClass());
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    protected boolean m6047(View view, boolean z5, int i6, int i7, int i8) {
        int i9;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                int i10 = i7 + scrollX;
                if (i10 >= childAt.getLeft() && i10 < childAt.getRight() && (i9 = i8 + scrollY) >= childAt.getTop() && i9 < childAt.getBottom() && m6047(childAt, true, i6, i10 - childAt.getLeft(), i9 - childAt.getTop())) {
                    return true;
                }
            }
        }
        if (z5 && view.canScrollHorizontally(-i6)) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    void m6048() {
        boolean z5;
        int mo6075 = this.f4951.mo6075();
        this.f4943 = mo6075;
        if (this.f4945.size() < (this.f4970 * 2) + 1 && this.f4945.size() < mo6075) {
            z5 = true;
        } else {
            z5 = false;
        }
        int i6 = this.f4953;
        int i7 = 0;
        boolean z6 = false;
        while (i7 < this.f4945.size()) {
            f fVar = this.f4945.get(i7);
            int m6076 = this.f4951.m6076(fVar.f4990);
            if (m6076 != -1) {
                if (m6076 == -2) {
                    this.f4945.remove(i7);
                    i7--;
                    if (!z6) {
                        this.f4951.m6087(this);
                        z6 = true;
                    }
                    this.f4951.mo6072(this, fVar.f4991, fVar.f4990);
                    int i8 = this.f4953;
                    if (i8 == fVar.f4991) {
                        i6 = Math.max(0, Math.min(i8, mo6075 - 1));
                    }
                } else {
                    int i9 = fVar.f4991;
                    if (i9 != m6076) {
                        if (i9 == this.f4953) {
                            i6 = m6076;
                        }
                        fVar.f4991 = m6076;
                    }
                }
                z5 = true;
            }
            i7++;
        }
        if (z6) {
            this.f4951.m6074(this);
        }
        Collections.sort(this.f4945, f4930);
        if (z5) {
            int childCount = getChildCount();
            for (int i10 = 0; i10 < childCount; i10++) {
                g gVar = (g) getChildAt(i10).getLayoutParams();
                if (!gVar.f4995) {
                    gVar.f4997 = 0.0f;
                }
            }
            m6049(i6, false, true);
            requestLayout();
        }
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    void m6049(int i6, boolean z5, boolean z6) {
        m6052(i6, z5, z6, 0);
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public void m6050(int i6, boolean z5) {
        this.f4986 = false;
        m6049(i6, z5, false);
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    void m6051(int i6, int i7, int i8) {
        boolean z5;
        int scrollX;
        int abs;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        Scroller scroller = this.f4961;
        if (scroller != null && !scroller.isFinished()) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (z5) {
            if (this.f4963) {
                scrollX = this.f4961.getCurrX();
            } else {
                scrollX = this.f4961.getStartX();
            }
            this.f4961.abortAnimation();
            setScrollingCacheEnabled(false);
        } else {
            scrollX = getScrollX();
        }
        int i9 = scrollX;
        int scrollY = getScrollY();
        int i10 = i6 - i9;
        int i11 = i7 - scrollY;
        if (i10 == 0 && i11 == 0) {
            m6026(false);
            m6043();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientWidth = getClientWidth();
        int i12 = clientWidth / 2;
        float f6 = clientWidth;
        float f7 = i12;
        float m6053 = f7 + (m6053(Math.min(1.0f, (Math.abs(i10) * 1.0f) / f6)) * f7);
        int abs2 = Math.abs(i8);
        if (abs2 > 0) {
            abs = Math.round(Math.abs(m6053 / abs2) * 1000.0f) * 4;
        } else {
            abs = (int) (((Math.abs(i10) / ((f6 * this.f4951.m6078(this.f4953)) + this.f4967)) + 1.0f) * 100.0f);
        }
        int min = Math.min(abs, 600);
        this.f4963 = false;
        this.f4961.startScroll(i9, scrollY, i10, i11, min);
        z0.m3381(this);
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    void m6052(int i6, boolean z5, boolean z6, int i7) {
        androidx.viewpager.widget.a aVar = this.f4951;
        boolean z7 = false;
        if (aVar != null && aVar.mo6075() > 0) {
            if (!z6 && this.f4953 == i6 && this.f4945.size() != 0) {
                setScrollingCacheEnabled(false);
                return;
            }
            if (i6 < 0) {
                i6 = 0;
            } else if (i6 >= this.f4951.mo6075()) {
                i6 = this.f4951.mo6075() - 1;
            }
            int i8 = this.f4970;
            int i9 = this.f4953;
            if (i6 > i9 + i8 || i6 < i9 - i8) {
                for (int i10 = 0; i10 < this.f4945.size(); i10++) {
                    this.f4945.get(i10).f4992 = true;
                }
            }
            if (this.f4953 != i6) {
                z7 = true;
            }
            if (this.f4978) {
                this.f4953 = i6;
                if (z7) {
                    m6030(i6);
                }
                requestLayout();
                return;
            }
            m6046(i6);
            m6027(i6, z5, i7, z7);
            return;
        }
        setScrollingCacheEnabled(false);
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    float m6053(float f6) {
        return (float) Math.sin((f6 - 0.5f) * 0.47123894f);
    }

    /* renamed from: י  reason: contains not printable characters */
    public boolean m6054(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 21) {
                if (keyCode != 22) {
                    if (keyCode == 61) {
                        if (keyEvent.hasNoModifiers()) {
                            return m6045(2);
                        }
                        if (keyEvent.hasModifiers(1)) {
                            return m6045(1);
                        }
                    }
                } else if (keyEvent.hasModifiers(2)) {
                    return m6061();
                } else {
                    return m6045(66);
                }
            } else if (keyEvent.hasModifiers(2)) {
                return m6060();
            } else {
                return m6045(17);
            }
        }
        return false;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    f m6055(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent != this) {
                if (parent != null && (parent instanceof View)) {
                    view = (View) parent;
                } else {
                    return null;
                }
            } else {
                return m6056(view);
            }
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    f m6056(View view) {
        for (int i6 = 0; i6 < this.f4945.size(); i6++) {
            f fVar = this.f4945.get(i6);
            if (this.f4951.mo6080(view, fVar.f4990)) {
                return fVar;
            }
        }
        return null;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    f m6057(int i6) {
        for (int i7 = 0; i7 < this.f4945.size(); i7++) {
            f fVar = this.f4945.get(i7);
            if (fVar.f4991 == i6) {
                return fVar;
            }
        }
        return null;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    void m6058() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.f4961 = new Scroller(context, f4931);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        float f6 = context.getResources().getDisplayMetrics().density;
        this.f4946 = viewConfiguration.getScaledPagingTouchSlop();
        this.f4954 = (int) (400.0f * f6);
        this.f4960 = viewConfiguration.getScaledMaximumFlingVelocity();
        this.f4964 = new EdgeEffect(context);
        this.f4974 = new EdgeEffect(context);
        this.f4958 = (int) (25.0f * f6);
        this.f4962 = (int) (2.0f * f6);
        this.f4942 = (int) (f6 * 16.0f);
        z0.m3390(this, new h());
        if (z0.m3368(this) == 0) {
            z0.m3403(this, 1);
        }
        z0.m3406(this, new d());
    }

    /* JADX WARN: Removed duplicated region for block: B:22:0x0063  */
    /* renamed from: ﹳ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void m6059(int i6, float f6, int i7) {
        int max;
        int i8;
        int left;
        if (this.f4968 > 0) {
            int scrollX = getScrollX();
            int paddingLeft = getPaddingLeft();
            int paddingRight = getPaddingRight();
            int width = getWidth();
            int childCount = getChildCount();
            for (int i9 = 0; i9 < childCount; i9++) {
                View childAt = getChildAt(i9);
                g gVar = (g) childAt.getLayoutParams();
                if (gVar.f4995) {
                    int i10 = gVar.f4996 & 7;
                    if (i10 != 1) {
                        if (i10 != 3) {
                            if (i10 != 5) {
                                i8 = paddingLeft;
                            } else {
                                max = (width - paddingRight) - childAt.getMeasuredWidth();
                                paddingRight += childAt.getMeasuredWidth();
                            }
                        } else {
                            i8 = childAt.getWidth() + paddingLeft;
                        }
                        left = (paddingLeft + scrollX) - childAt.getLeft();
                        if (left != 0) {
                            childAt.offsetLeftAndRight(left);
                        }
                        paddingLeft = i8;
                    } else {
                        max = Math.max((width - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    int i11 = max;
                    i8 = paddingLeft;
                    paddingLeft = i11;
                    left = (paddingLeft + scrollX) - childAt.getLeft();
                    if (left != 0) {
                    }
                    paddingLeft = i8;
                }
            }
        }
        m6029(i6, f6, i7);
        this.f4982 = true;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    boolean m6060() {
        int i6 = this.f4953;
        if (i6 > 0) {
            m6050(i6 - 1, true);
            return true;
        }
        return false;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    boolean m6061() {
        androidx.viewpager.widget.a aVar = this.f4951;
        if (aVar != null && this.f4953 < aVar.mo6075() - 1) {
            m6050(this.f4953 + 1, true);
            return true;
        }
        return false;
    }

    /* loaded from: classes.dex */
    public static class g extends ViewGroup.LayoutParams {

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean f4995;

        /* renamed from: ʼ  reason: contains not printable characters */
        public int f4996;

        /* renamed from: ʽ  reason: contains not printable characters */
        float f4997;

        /* renamed from: ʾ  reason: contains not printable characters */
        boolean f4998;

        /* renamed from: ʿ  reason: contains not printable characters */
        int f4999;

        /* renamed from: ˆ  reason: contains not printable characters */
        int f5000;

        public g() {
            super(-1, -1);
            this.f4997 = 0.0f;
        }

        public g(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f4997 = 0.0f;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, ViewPager.f4929);
            this.f4996 = obtainStyledAttributes.getInteger(0, 48);
            obtainStyledAttributes.recycle();
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new g(getContext(), attributeSet);
    }

    public void setPageMarginDrawable(int i6) {
        setPageMarginDrawable(androidx.core.content.a.m2212(getContext(), i6));
    }
}
