package c1;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;
/* compiled from: LruBitmapPool.java */
/* loaded from: classes.dex */
public class k implements d {

    /* renamed from: ˎ  reason: contains not printable characters */
    private static final Bitmap.Config f5587 = Bitmap.Config.ARGB_8888;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final l f5588;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final Set<Bitmap.Config> f5589;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final long f5590;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final a f5591;

    /* renamed from: ʿ  reason: contains not printable characters */
    private long f5592;

    /* renamed from: ˆ  reason: contains not printable characters */
    private long f5593;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f5594;

    /* renamed from: ˉ  reason: contains not printable characters */
    private int f5595;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f5596;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f5597;

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: LruBitmapPool.java */
    /* loaded from: classes.dex */
    public interface a {
        /* renamed from: ʻ  reason: contains not printable characters */
        void mo6622(Bitmap bitmap);

        /* renamed from: ʼ  reason: contains not printable characters */
        void mo6623(Bitmap bitmap);
    }

    k(long j6, l lVar, Set<Bitmap.Config> set) {
        this.f5590 = j6;
        this.f5592 = j6;
        this.f5588 = lVar;
        this.f5589 = set;
        this.f5591 = new b();
    }

    @TargetApi(26)
    /* renamed from: ˆ  reason: contains not printable characters */
    private static void m6610(Bitmap.Config config) {
        Bitmap.Config config2;
        if (Build.VERSION.SDK_INT >= 26) {
            config2 = Bitmap.Config.HARDWARE;
            if (config != config2) {
                return;
            }
            throw new IllegalArgumentException("Cannot create a mutable Bitmap with config: " + config + ". Consider setting Downsampler#ALLOW_HARDWARE_CONFIG to false in your RequestOptions and/or in GlideBuilder.setDefaultRequestOptions");
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private static Bitmap m6611(int i6, int i7, Bitmap.Config config) {
        if (config == null) {
            config = f5587;
        }
        return Bitmap.createBitmap(i6, i7, config);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m6612() {
        if (Log.isLoggable("LruBitmapPool", 2)) {
            m6613();
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m6613() {
        Log.v("LruBitmapPool", "Hits=" + this.f5594 + ", misses=" + this.f5595 + ", puts=" + this.f5596 + ", evictions=" + this.f5597 + ", currentSize=" + this.f5593 + ", maxSize=" + this.f5592 + "\nStrategy=" + this.f5588);
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m6614() {
        m6620(this.f5592);
    }

    @TargetApi(26)
    /* renamed from: ˎ  reason: contains not printable characters */
    private static Set<Bitmap.Config> m6615() {
        Bitmap.Config config;
        HashSet hashSet = new HashSet(Arrays.asList(Bitmap.Config.values()));
        int i6 = Build.VERSION.SDK_INT;
        hashSet.add(null);
        if (i6 >= 26) {
            config = Bitmap.Config.HARDWARE;
            hashSet.remove(config);
        }
        return Collections.unmodifiableSet(hashSet);
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private static l m6616() {
        return new o();
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private synchronized Bitmap m6617(int i6, int i7, Bitmap.Config config) {
        Bitmap.Config config2;
        Bitmap mo6626;
        m6610(config);
        l lVar = this.f5588;
        if (config != null) {
            config2 = config;
        } else {
            config2 = f5587;
        }
        mo6626 = lVar.mo6626(i6, i7, config2);
        if (mo6626 == null) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Missing bitmap=" + this.f5588.mo6624(i6, i7, config));
            }
            this.f5595++;
        } else {
            this.f5594++;
            this.f5593 -= this.f5588.mo6625(mo6626);
            this.f5591.mo6622(mo6626);
            m6619(mo6626);
        }
        if (Log.isLoggable("LruBitmapPool", 2)) {
            Log.v("LruBitmapPool", "Get bitmap=" + this.f5588.mo6624(i6, i7, config));
        }
        m6612();
        return mo6626;
    }

    @TargetApi(19)
    /* renamed from: ـ  reason: contains not printable characters */
    private static void m6618(Bitmap bitmap) {
        bitmap.setPremultiplied(true);
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private static void m6619(Bitmap bitmap) {
        bitmap.setHasAlpha(true);
        m6618(bitmap);
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private synchronized void m6620(long j6) {
        while (this.f5593 > j6) {
            Bitmap removeLast = this.f5588.removeLast();
            if (removeLast == null) {
                if (Log.isLoggable("LruBitmapPool", 5)) {
                    Log.w("LruBitmapPool", "Size mismatch, resetting");
                    m6613();
                }
                this.f5593 = 0L;
                return;
            }
            this.f5591.mo6622(removeLast);
            this.f5593 -= this.f5588.mo6625(removeLast);
            this.f5597++;
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Evicting bitmap=" + this.f5588.mo6628(removeLast));
            }
            m6612();
            removeLast.recycle();
        }
    }

    @Override // c1.d
    @SuppressLint({"InlinedApi"})
    /* renamed from: ʻ */
    public void mo6575(int i6) {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "trimMemory, level=" + i6);
        }
        if (i6 < 40 && (Build.VERSION.SDK_INT < 23 || i6 < 20)) {
            if (i6 >= 20 || i6 == 15) {
                m6620(m6621() / 2);
                return;
            }
            return;
        }
        mo6576();
    }

    @Override // c1.d
    /* renamed from: ʼ */
    public void mo6576() {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "clearMemory");
        }
        m6620(0L);
    }

    @Override // c1.d
    /* renamed from: ʽ */
    public Bitmap mo6577(int i6, int i7, Bitmap.Config config) {
        Bitmap m6617 = m6617(i6, i7, config);
        if (m6617 != null) {
            m6617.eraseColor(0);
            return m6617;
        }
        return m6611(i6, i7, config);
    }

    @Override // c1.d
    /* renamed from: ʾ */
    public synchronized void mo6578(Bitmap bitmap) {
        try {
            if (bitmap != null) {
                if (!bitmap.isRecycled()) {
                    if (bitmap.isMutable() && this.f5588.mo6625(bitmap) <= this.f5592 && this.f5589.contains(bitmap.getConfig())) {
                        int mo6625 = this.f5588.mo6625(bitmap);
                        this.f5588.mo6627(bitmap);
                        this.f5591.mo6623(bitmap);
                        this.f5596++;
                        this.f5593 += mo6625;
                        if (Log.isLoggable("LruBitmapPool", 2)) {
                            Log.v("LruBitmapPool", "Put bitmap in pool=" + this.f5588.mo6628(bitmap));
                        }
                        m6612();
                        m6614();
                        return;
                    }
                    if (Log.isLoggable("LruBitmapPool", 2)) {
                        Log.v("LruBitmapPool", "Reject bitmap from pool, bitmap: " + this.f5588.mo6628(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f5589.contains(bitmap.getConfig()));
                    }
                    bitmap.recycle();
                    return;
                }
                throw new IllegalStateException("Cannot pool recycled bitmap");
            }
            throw new NullPointerException("Bitmap must not be null");
        } catch (Throwable th) {
            throw th;
        }
    }

    @Override // c1.d
    /* renamed from: ʿ */
    public Bitmap mo6579(int i6, int i7, Bitmap.Config config) {
        Bitmap m6617 = m6617(i6, i7, config);
        if (m6617 == null) {
            return m6611(i6, i7, config);
        }
        return m6617;
    }

    /* renamed from: י  reason: contains not printable characters */
    public long m6621() {
        return this.f5592;
    }

    public k(long j6) {
        this(j6, m6616(), m6615());
    }

    /* compiled from: LruBitmapPool.java */
    /* loaded from: classes.dex */
    private static final class b implements a {
        b() {
        }

        @Override // c1.k.a
        /* renamed from: ʻ */
        public void mo6622(Bitmap bitmap) {
        }

        @Override // c1.k.a
        /* renamed from: ʼ */
        public void mo6623(Bitmap bitmap) {
        }
    }
}
