package com.bumptech.glide;

import android.content.ComponentCallbacks2;
import android.content.Context;
import android.content.res.Configuration;
import android.util.Log;
import android.view.View;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import o1.o;
/* compiled from: Glide.java */
/* loaded from: classes.dex */
public class b implements ComponentCallbacks2 {

    /* renamed from: י  reason: contains not printable characters */
    private static volatile b f6173;

    /* renamed from: ـ  reason: contains not printable characters */
    private static volatile boolean f6174;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final b1.k f6175;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final c1.d f6176;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final d1.h f6177;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final d f6178;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final c1.b f6179;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final o f6180;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final o1.c f6181;

    /* renamed from: ˏ  reason: contains not printable characters */
    private final a f6183;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final List<l> f6182 = new ArrayList();

    /* renamed from: ˑ  reason: contains not printable characters */
    private f f6184 = f.NORMAL;

    /* compiled from: Glide.java */
    /* loaded from: classes.dex */
    public interface a {
        r1.g build();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public b(Context context, b1.k kVar, d1.h hVar, c1.d dVar, c1.b bVar, o oVar, o1.c cVar, int i6, a aVar, Map<Class<?>, m<?, ?>> map, List<r1.f<Object>> list, List<p1.b> list2, p1.a aVar2, e eVar) {
        this.f6175 = kVar;
        this.f6176 = dVar;
        this.f6179 = bVar;
        this.f6177 = hVar;
        this.f6180 = oVar;
        this.f6181 = cVar;
        this.f6183 = aVar;
        this.f6178 = new d(context, bVar, j.m6769(this, list2, aVar2), new s1.f(), aVar, map, list, kVar, eVar, i6);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    static void m6711(Context context, GeneratedAppGlideModule generatedAppGlideModule) {
        if (!f6174) {
            f6174 = true;
            try {
                m6715(context, generatedAppGlideModule);
                return;
            } finally {
                f6174 = false;
            }
        }
        throw new IllegalStateException("Glide has been called recursively, this is probably an internal library error!");
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static b m6712(Context context) {
        if (f6173 == null) {
            GeneratedAppGlideModule m6713 = m6713(context.getApplicationContext());
            synchronized (b.class) {
                if (f6173 == null) {
                    m6711(context, m6713);
                }
            }
        }
        return f6173;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static GeneratedAppGlideModule m6713(Context context) {
        try {
            return (GeneratedAppGlideModule) Class.forName("com.bumptech.glide.GeneratedAppGlideModuleImpl").getDeclaredConstructor(Context.class).newInstance(context.getApplicationContext());
        } catch (ClassNotFoundException unused) {
            if (Log.isLoggable("Glide", 5)) {
                Log.w("Glide", "Failed to find GeneratedAppGlideModule. You should include an annotationProcessor compile dependency on com.github.bumptech.glide:compiler in your application and a @GlideModule annotated AppGlideModule implementation or LibraryGlideModules will be silently ignored");
            }
            return null;
        } catch (IllegalAccessException e6) {
            m6717(e6);
            return null;
        } catch (InstantiationException e7) {
            m6717(e7);
            return null;
        } catch (NoSuchMethodException e8) {
            m6717(e8);
            return null;
        } catch (InvocationTargetException e9) {
            m6717(e9);
            return null;
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private static o m6714(Context context) {
        v1.k.m13637(context, "You cannot start a load on a not yet attached View or a Fragment where getActivity() returns null (which usually occurs when getActivity() is called before the Fragment is attached or after the Fragment is destroyed).");
        return m6712(context).m6727();
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static void m6715(Context context, GeneratedAppGlideModule generatedAppGlideModule) {
        m6716(context, new c(), generatedAppGlideModule);
    }

    /* renamed from: י  reason: contains not printable characters */
    private static void m6716(Context context, c cVar, GeneratedAppGlideModule generatedAppGlideModule) {
        o.b bVar;
        Context applicationContext = context.getApplicationContext();
        List<p1.b> emptyList = Collections.emptyList();
        if (generatedAppGlideModule == null || generatedAppGlideModule.m12294()) {
            emptyList = new p1.d(applicationContext).m12301();
        }
        if (generatedAppGlideModule != null && !generatedAppGlideModule.m6709().isEmpty()) {
            Set<Class<?>> m6709 = generatedAppGlideModule.m6709();
            Iterator<p1.b> it = emptyList.iterator();
            while (it.hasNext()) {
                p1.b next = it.next();
                if (m6709.contains(next.getClass())) {
                    if (Log.isLoggable("Glide", 3)) {
                        Log.d("Glide", "AppGlideModule excludes manifest GlideModule: " + next);
                    }
                    it.remove();
                }
            }
        }
        if (Log.isLoggable("Glide", 3)) {
            Iterator<p1.b> it2 = emptyList.iterator();
            while (it2.hasNext()) {
                Log.d("Glide", "Discovered GlideModule from manifest: " + it2.next().getClass());
            }
        }
        if (generatedAppGlideModule != null) {
            bVar = generatedAppGlideModule.m6710();
        } else {
            bVar = null;
        }
        cVar.m6733(bVar);
        for (p1.b bVar2 : emptyList) {
            bVar2.m12295(applicationContext, cVar);
        }
        if (generatedAppGlideModule != null) {
            generatedAppGlideModule.m12293(applicationContext, cVar);
        }
        b m6732 = cVar.m6732(applicationContext, emptyList, generatedAppGlideModule);
        applicationContext.registerComponentCallbacks(m6732);
        f6173 = m6732;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private static void m6717(Exception exc) {
        throw new IllegalStateException("GeneratedAppGlideModuleImpl is implemented incorrectly. If you've manually implemented this class, remove your implementation. The Annotation processor will generate a correct implementation.", exc);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    public static l m6718(Context context) {
        return m6714(context).m11935(context);
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public static l m6719(View view) {
        return m6714(view.getContext()).m11936(view);
    }

    @Override // android.content.ComponentCallbacks
    public void onLowMemory() {
        m6720();
    }

    @Override // android.content.ComponentCallbacks2
    public void onTrimMemory(int i6) {
        m6730(i6);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m6720() {
        v1.l.m13638();
        this.f6177.m9162();
        this.f6176.mo6576();
        this.f6179.mo6569();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public c1.b m6721() {
        return this.f6179;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public c1.d m6722() {
        return this.f6176;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public o1.c m6723() {
        return this.f6181;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public Context m6724() {
        return this.f6178.getBaseContext();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public d m6725() {
        return this.f6178;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public i m6726() {
        return this.f6178.m6742();
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public o m6727() {
        return this.f6180;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ـ  reason: contains not printable characters */
    public void m6728(l lVar) {
        synchronized (this.f6182) {
            if (!this.f6182.contains(lVar)) {
                this.f6182.add(lVar);
            } else {
                throw new IllegalStateException("Cannot register already registered manager");
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public boolean m6729(s1.h<?> hVar) {
        synchronized (this.f6182) {
            for (l lVar : this.f6182) {
                if (lVar.m6800(hVar)) {
                    return true;
                }
            }
            return false;
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public void m6730(int i6) {
        v1.l.m13638();
        synchronized (this.f6182) {
            for (l lVar : this.f6182) {
                lVar.onTrimMemory(i6);
            }
        }
        this.f6177.mo9154(i6);
        this.f6176.mo6575(i6);
        this.f6179.mo6568(i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵎ  reason: contains not printable characters */
    public void m6731(l lVar) {
        synchronized (this.f6182) {
            if (this.f6182.contains(lVar)) {
                this.f6182.remove(lVar);
            } else {
                throw new IllegalStateException("Cannot unregister not yet registered manager");
            }
        }
    }

    @Override // android.content.ComponentCallbacks
    public void onConfigurationChanged(Configuration configuration) {
    }
}
