package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.Menu;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.z0;
import com.google.android.material.internal.y;
import com.google.android.material.internal.z;
/* loaded from: classes.dex */
public class MaterialToolbar extends Toolbar {

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private static final int f6377 = c2.j.Widget_MaterialComponents_Toolbar;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private static final ImageView.ScaleType[] f6378 = {ImageView.ScaleType.MATRIX, ImageView.ScaleType.FIT_XY, ImageView.ScaleType.FIT_START, ImageView.ScaleType.FIT_CENTER, ImageView.ScaleType.FIT_END, ImageView.ScaleType.CENTER, ImageView.ScaleType.CENTER_CROP, ImageView.ScaleType.CENTER_INSIDE};

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private boolean f6379;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private boolean f6380;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private ImageView.ScaleType f6381;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private Boolean f6382;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private Integer f6383;

    public MaterialToolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.f5611);
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private Drawable m6965(Drawable drawable) {
        if (drawable != null && this.f6383 != null) {
            Drawable m2433 = androidx.core.graphics.drawable.a.m2433(drawable.mutate());
            androidx.core.graphics.drawable.a.m2429(m2433, this.f6383.intValue());
            return m2433;
        }
        return drawable;
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private Pair<Integer, Integer> m6966(TextView textView, TextView textView2) {
        int measuredWidth = getMeasuredWidth();
        int i6 = measuredWidth / 2;
        int paddingLeft = getPaddingLeft();
        int paddingRight = measuredWidth - getPaddingRight();
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() != 8 && childAt != textView && childAt != textView2) {
                if (childAt.getRight() < i6 && childAt.getRight() > paddingLeft) {
                    paddingLeft = childAt.getRight();
                }
                if (childAt.getLeft() > i6 && childAt.getLeft() < paddingRight) {
                    paddingRight = childAt.getLeft();
                }
            }
        }
        return new Pair<>(Integer.valueOf(paddingLeft), Integer.valueOf(paddingRight));
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private void m6967(Context context) {
        int i6;
        Drawable background = getBackground();
        if (background != null && !(background instanceof ColorDrawable)) {
            return;
        }
        v2.g gVar = new v2.g();
        if (background != null) {
            i6 = ((ColorDrawable) background).getColor();
        } else {
            i6 = 0;
        }
        gVar.m13691(ColorStateList.valueOf(i6));
        gVar.m13708(context);
        gVar.m13723(z0.m3460(this));
        z0.m3396(this, gVar);
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m6968(View view, Pair<Integer, Integer> pair) {
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = view.getMeasuredWidth();
        int i6 = (measuredWidth / 2) - (measuredWidth2 / 2);
        int i7 = measuredWidth2 + i6;
        int max = Math.max(Math.max(((Integer) pair.first).intValue() - i6, 0), Math.max(i7 - ((Integer) pair.second).intValue(), 0));
        if (max > 0) {
            i6 += max;
            i7 -= max;
            view.measure(View.MeasureSpec.makeMeasureSpec(i7 - i6, 1073741824), view.getMeasuredHeightAndState());
        }
        view.layout(i6, view.getTop(), i7, view.getBottom());
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private void m6969() {
        if (!this.f6379 && !this.f6380) {
            return;
        }
        TextView m8108 = z.m8108(this);
        TextView m8106 = z.m8106(this);
        if (m8108 == null && m8106 == null) {
            return;
        }
        Pair<Integer, Integer> m6966 = m6966(m8108, m8106);
        if (this.f6379 && m8108 != null) {
            m6968(m8108, m6966);
        }
        if (this.f6380 && m8106 != null) {
            m6968(m8106, m6966);
        }
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private void m6970() {
        ImageView m8104 = z.m8104(this);
        if (m8104 != null) {
            Boolean bool = this.f6382;
            if (bool != null) {
                m8104.setAdjustViewBounds(bool.booleanValue());
            }
            ImageView.ScaleType scaleType = this.f6381;
            if (scaleType != null) {
                m8104.setScaleType(scaleType);
            }
        }
    }

    public ImageView.ScaleType getLogoScaleType() {
        return this.f6381;
    }

    public Integer getNavigationIconTint() {
        return this.f6383;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        v2.h.m13733(this);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        m6969();
        m6970();
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        v2.h.m13732(this, f6);
    }

    public void setLogoAdjustViewBounds(boolean z5) {
        Boolean bool = this.f6382;
        if (bool == null || bool.booleanValue() != z5) {
            this.f6382 = Boolean.valueOf(z5);
            requestLayout();
        }
    }

    public void setLogoScaleType(ImageView.ScaleType scaleType) {
        if (this.f6381 != scaleType) {
            this.f6381 = scaleType;
            requestLayout();
        }
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationIcon(Drawable drawable) {
        super.setNavigationIcon(m6965(drawable));
    }

    public void setNavigationIconTint(int i6) {
        this.f6383 = Integer.valueOf(i6);
        Drawable navigationIcon = getNavigationIcon();
        if (navigationIcon != null) {
            setNavigationIcon(navigationIcon);
        }
    }

    public void setSubtitleCentered(boolean z5) {
        if (this.f6380 != z5) {
            this.f6380 = z5;
            requestLayout();
        }
    }

    public void setTitleCentered(boolean z5) {
        if (this.f6379 != z5) {
            this.f6379 = z5;
            requestLayout();
        }
    }

    @Override // androidx.appcompat.widget.Toolbar
    /* renamed from: ﹶ */
    public void mo1330(int i6) {
        Menu menu = getMenu();
        boolean z5 = menu instanceof androidx.appcompat.view.menu.g;
        if (z5) {
            ((androidx.appcompat.view.menu.g) menu).m1030();
        }
        super.mo1330(i6);
        if (z5) {
            ((androidx.appcompat.view.menu.g) menu).m1029();
        }
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public MaterialToolbar(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14289(context, attributeSet, i6, r4), attributeSet, i6);
        int i7 = f6377;
        Context context2 = getContext();
        TypedArray m8101 = y.m8101(context2, attributeSet, c2.k.f5855, i6, i7, new int[0]);
        int i8 = c2.k.f5858;
        if (m8101.hasValue(i8)) {
            setNavigationIconTint(m8101.getColor(i8, -1));
        }
        this.f6379 = m8101.getBoolean(c2.k.f5860, false);
        this.f6380 = m8101.getBoolean(c2.k.f5859, false);
        int i9 = m8101.getInt(c2.k.f5857, -1);
        if (i9 >= 0) {
            ImageView.ScaleType[] scaleTypeArr = f6378;
            if (i9 < scaleTypeArr.length) {
                this.f6381 = scaleTypeArr[i9];
            }
        }
        int i10 = c2.k.f5856;
        if (m8101.hasValue(i10)) {
            this.f6382 = Boolean.valueOf(m8101.getBoolean(i10, false));
        }
        m8101.recycle();
        m6967(context2);
    }
}
