package com.google.android.material.bottomsheet;

import a0.c;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.RoundedCorner;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.accessibility.j0;
import androidx.core.view.accessibility.o0;
import androidx.core.view.t4;
import androidx.core.view.z0;
import c2.j;
import com.google.android.material.internal.b0;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import v2.k;
/* loaded from: classes.dex */
public class BottomSheetBehavior<V extends View> extends CoordinatorLayout.c<V> implements q2.b {

    /* renamed from: ʻـ  reason: contains not printable characters */
    private static final int f6498 = j.Widget_Design_BottomSheet_Modal;

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private k f6499;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    int f6500;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    WeakReference<V> f6501;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    WeakReference<View> f6502;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    WeakReference<View> f6503;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private final ArrayList<g> f6504;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private VelocityTracker f6505;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    q2.e f6506;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    int f6507;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private int f6508;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    boolean f6509;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private Map<View, Integer> f6510;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    final SparseIntArray f6511;

    /* renamed from: ʻי  reason: contains not printable characters */
    private final c.AbstractC0005c f6512;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private final BottomSheetBehavior<V>.i f6513;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private boolean f6514;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f6515;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    int f6516;

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean f6517;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private ValueAnimator f6518;

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean f6519;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    int f6520;

    /* renamed from: ˈ  reason: contains not printable characters */
    private float f6521;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    int f6522;

    /* renamed from: ˉ  reason: contains not printable characters */
    private int f6523;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    float f6524;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f6525;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    boolean f6526;

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean f6527;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    float f6528;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f6529;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private boolean f6530;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f6531;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private boolean f6532;

    /* renamed from: ˑ  reason: contains not printable characters */
    private v2.g f6533;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    int f6534;

    /* renamed from: י  reason: contains not printable characters */
    private ColorStateList f6535;

    /* renamed from: יי  reason: contains not printable characters */
    a0.c f6536;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f6537;

    /* renamed from: ــ  reason: contains not printable characters */
    int f6538;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f6539;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private int f6540;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private int f6541;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private int f6542;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f6543;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private boolean f6544;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f6545;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private boolean f6546;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean f6547;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    int f6548;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f6549;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private int f6550;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean f6551;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private boolean f6552;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private boolean f6553;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private float f6554;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean f6555;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    int f6556;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private boolean f6557;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f6558;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements Runnable {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ View f6559;

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ int f6560;

        a(View view, int i6) {
            this.f6559 = view;
            this.f6560 = i6;
        }

        @Override // java.lang.Runnable
        public void run() {
            BottomSheetBehavior.this.m7121(this.f6559, this.f6560, false);
        }
    }

    /* loaded from: classes.dex */
    class b extends AnimatorListenerAdapter {
        b() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            BottomSheetBehavior.this.m7171(5);
            WeakReference<V> weakReference = BottomSheetBehavior.this.f6501;
            if (weakReference != null && weakReference.get() != null) {
                BottomSheetBehavior.this.f6501.get().requestLayout();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        c() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            if (BottomSheetBehavior.this.f6533 != null) {
                BottomSheetBehavior.this.f6533.m13692(floatValue);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d implements b0.c {

        /* renamed from: ʻ  reason: contains not printable characters */
        final /* synthetic */ boolean f6564;

        d(boolean z5) {
            this.f6564 = z5;
        }

        /* JADX WARN: Removed duplicated region for block: B:25:0x0089  */
        /* JADX WARN: Removed duplicated region for block: B:30:0x009a  */
        /* JADX WARN: Removed duplicated region for block: B:35:0x00a6  */
        /* JADX WARN: Removed duplicated region for block: B:38:0x00b4  */
        /* JADX WARN: Removed duplicated region for block: B:41:0x00c3  */
        @Override // com.google.android.material.internal.b0.c
        /* renamed from: ʻ  reason: contains not printable characters */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public t4 mo7177(View view, t4 t4Var, b0.d dVar) {
            boolean z5;
            int i6;
            int i7;
            androidx.core.graphics.g m3257 = t4Var.m3257(t4.m.m3315());
            androidx.core.graphics.g m32572 = t4Var.m3257(t4.m.m3314());
            BottomSheetBehavior.this.f6542 = m3257.f2906;
            boolean m7969 = b0.m7969(view);
            int paddingBottom = view.getPaddingBottom();
            int paddingLeft = view.getPaddingLeft();
            int paddingRight = view.getPaddingRight();
            if (BottomSheetBehavior.this.f6545) {
                BottomSheetBehavior.this.f6558 = t4Var.m3260();
                paddingBottom = dVar.f7205 + BottomSheetBehavior.this.f6558;
            }
            if (BottomSheetBehavior.this.f6547) {
                if (m7969) {
                    i7 = dVar.f7204;
                } else {
                    i7 = dVar.f7202;
                }
                paddingLeft = i7 + m3257.f2905;
            }
            if (BottomSheetBehavior.this.f6549) {
                if (m7969) {
                    i6 = dVar.f7202;
                } else {
                    i6 = dVar.f7204;
                }
                paddingRight = i6 + m3257.f2907;
            }
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
            boolean z6 = true;
            if (BottomSheetBehavior.this.f6553) {
                int i8 = marginLayoutParams.leftMargin;
                int i9 = m3257.f2905;
                if (i8 != i9) {
                    marginLayoutParams.leftMargin = i9;
                    z5 = true;
                    if (BottomSheetBehavior.this.f6555) {
                        int i10 = marginLayoutParams.rightMargin;
                        int i11 = m3257.f2907;
                        if (i10 != i11) {
                            marginLayoutParams.rightMargin = i11;
                            z5 = true;
                        }
                    }
                    if (BottomSheetBehavior.this.f6557) {
                        int i12 = marginLayoutParams.topMargin;
                        int i13 = m3257.f2906;
                        if (i12 != i13) {
                            marginLayoutParams.topMargin = i13;
                            if (z6) {
                                view.setLayoutParams(marginLayoutParams);
                            }
                            view.setPadding(paddingLeft, view.getPaddingTop(), paddingRight, paddingBottom);
                            if (this.f6564) {
                                BottomSheetBehavior.this.f6541 = m32572.f2908;
                            }
                            if (!BottomSheetBehavior.this.f6545 || this.f6564) {
                                BottomSheetBehavior.this.m7126(false);
                            }
                            return t4Var;
                        }
                    }
                    z6 = z5;
                    if (z6) {
                    }
                    view.setPadding(paddingLeft, view.getPaddingTop(), paddingRight, paddingBottom);
                    if (this.f6564) {
                    }
                    if (!BottomSheetBehavior.this.f6545) {
                    }
                    BottomSheetBehavior.this.m7126(false);
                    return t4Var;
                }
            }
            z5 = false;
            if (BottomSheetBehavior.this.f6555) {
            }
            if (BottomSheetBehavior.this.f6557) {
            }
            z6 = z5;
            if (z6) {
            }
            view.setPadding(paddingLeft, view.getPaddingTop(), paddingRight, paddingBottom);
            if (this.f6564) {
            }
            if (!BottomSheetBehavior.this.f6545) {
            }
            BottomSheetBehavior.this.m7126(false);
            return t4Var;
        }
    }

    /* loaded from: classes.dex */
    class e extends c.AbstractC0005c {

        /* renamed from: ʻ  reason: contains not printable characters */
        private long f6566;

        e() {
        }

        /* renamed from: י  reason: contains not printable characters */
        private boolean m7178(View view) {
            int top = view.getTop();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            if (top > (bottomSheetBehavior.f6500 + bottomSheetBehavior.m7147()) / 2) {
                return true;
            }
            return false;
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ʻ */
        public int mo113(View view, int i6, int i7) {
            return view.getLeft();
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ʼ */
        public int mo114(View view, int i6, int i7) {
            return v.a.m13580(i6, BottomSheetBehavior.this.m7147(), mo117(view));
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ʿ */
        public int mo117(View view) {
            if (BottomSheetBehavior.this.m7103()) {
                return BottomSheetBehavior.this.f6500;
            }
            return BottomSheetBehavior.this.f6522;
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˋ */
        public void mo122(int i6) {
            if (i6 == 1 && BottomSheetBehavior.this.f6530) {
                BottomSheetBehavior.this.m7171(1);
            }
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˎ */
        public void mo123(View view, int i6, int i7, int i8, int i9) {
            BottomSheetBehavior.this.m7145(i7);
        }

        /* JADX WARN: Code restructure failed: missing block: B:10:0x0035, code lost:
            if (r10.m7172(r3, (r9 * 100.0f) / r10.f6500) != false) goto L5;
         */
        /* JADX WARN: Code restructure failed: missing block: B:13:0x003c, code lost:
            if (r9 > r7.f6567.f6520) goto L6;
         */
        /* JADX WARN: Code restructure failed: missing block: B:30:0x0091, code lost:
            if (java.lang.Math.abs(r8.getTop() - r7.f6567.m7147()) < java.lang.Math.abs(r8.getTop() - r7.f6567.f6520)) goto L5;
         */
        /* JADX WARN: Code restructure failed: missing block: B:43:0x00d0, code lost:
            if (r7.f6567.m7174() == false) goto L6;
         */
        /* JADX WARN: Code restructure failed: missing block: B:48:0x00f2, code lost:
            if (java.lang.Math.abs(r9 - r7.f6567.f6538) < java.lang.Math.abs(r9 - r7.f6567.f6522)) goto L5;
         */
        /* JADX WARN: Code restructure failed: missing block: B:56:0x010e, code lost:
            if (r7.f6567.m7174() != false) goto L13;
         */
        /* JADX WARN: Code restructure failed: missing block: B:61:0x0128, code lost:
            if (r7.f6567.m7174() == false) goto L6;
         */
        @Override // a0.c.AbstractC0005c
        /* renamed from: ˏ */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void mo124(View view, float f6, float f7) {
            int i6 = 6;
            if (f7 < 0.0f) {
                if (!BottomSheetBehavior.this.f6517) {
                    int top = view.getTop();
                    long currentTimeMillis = System.currentTimeMillis() - this.f6566;
                    if (BottomSheetBehavior.this.m7174()) {
                        BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                    }
                }
                i6 = 3;
            } else {
                BottomSheetBehavior bottomSheetBehavior2 = BottomSheetBehavior.this;
                if (bottomSheetBehavior2.f6526 && bottomSheetBehavior2.m7173(view, f7)) {
                    if ((Math.abs(f6) < Math.abs(f7) && f7 > BottomSheetBehavior.this.f6523) || m7178(view)) {
                        i6 = 5;
                    } else {
                        if (!BottomSheetBehavior.this.f6517) {
                        }
                        i6 = 3;
                    }
                } else if (f7 != 0.0f && Math.abs(f6) <= Math.abs(f7)) {
                    if (!BottomSheetBehavior.this.f6517) {
                        int top2 = view.getTop();
                        if (Math.abs(top2 - BottomSheetBehavior.this.f6520) < Math.abs(top2 - BottomSheetBehavior.this.f6522)) {
                        }
                    }
                    i6 = 4;
                } else {
                    int top3 = view.getTop();
                    if (!BottomSheetBehavior.this.f6517) {
                        BottomSheetBehavior bottomSheetBehavior3 = BottomSheetBehavior.this;
                        int i7 = bottomSheetBehavior3.f6520;
                        if (top3 < i7) {
                            if (top3 >= Math.abs(top3 - bottomSheetBehavior3.f6522)) {
                            }
                            i6 = 3;
                        } else {
                            if (Math.abs(top3 - i7) < Math.abs(top3 - BottomSheetBehavior.this.f6522)) {
                            }
                            i6 = 4;
                        }
                    }
                }
            }
            BottomSheetBehavior bottomSheetBehavior4 = BottomSheetBehavior.this;
            bottomSheetBehavior4.m7121(view, i6, bottomSheetBehavior4.m7175());
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˑ */
        public boolean mo125(View view, int i6) {
            View view2;
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            int i7 = bottomSheetBehavior.f6534;
            if (i7 == 1 || bottomSheetBehavior.f6509) {
                return false;
            }
            if (i7 == 3 && bottomSheetBehavior.f6507 == i6) {
                WeakReference<View> weakReference = bottomSheetBehavior.f6503;
                if (weakReference != null) {
                    view2 = weakReference.get();
                } else {
                    view2 = null;
                }
                if (view2 != null && view2.canScrollVertically(-1)) {
                    return false;
                }
            }
            this.f6566 = System.currentTimeMillis();
            WeakReference<V> weakReference2 = BottomSheetBehavior.this.f6501;
            if (weakReference2 == null || weakReference2.get() != view) {
                return false;
            }
            return true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class f implements o0 {

        /* renamed from: ʻ  reason: contains not printable characters */
        final /* synthetic */ int f6568;

        f(int i6) {
            this.f6568 = i6;
        }

        @Override // androidx.core.view.accessibility.o0
        /* renamed from: ʻ */
        public boolean mo2921(View view, o0.a aVar) {
            BottomSheetBehavior.this.m7170(this.f6568);
            return true;
        }
    }

    public BottomSheetBehavior() {
        this.f6515 = 0;
        this.f6517 = true;
        this.f6519 = false;
        this.f6537 = -1;
        this.f6539 = -1;
        this.f6513 = new i(this, null);
        this.f6524 = 0.5f;
        this.f6528 = -1.0f;
        this.f6530 = true;
        this.f6534 = 4;
        this.f6548 = 4;
        this.f6554 = 0.1f;
        this.f6504 = new ArrayList<>();
        this.f6508 = -1;
        this.f6511 = new SparseIntArray();
        this.f6512 = new e();
    }

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private int m7096(View view, int i6, int i7) {
        return z0.m3416(view, view.getResources().getString(i6), m7105(i7));
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private void m7097() {
        int m7101 = m7101();
        if (this.f6517) {
            this.f6522 = Math.max(this.f6500 - m7101, this.f6538);
        } else {
            this.f6522 = this.f6500 - m7101;
        }
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private float m7098(float f6, RoundedCorner roundedCorner) {
        int radius;
        if (roundedCorner != null) {
            radius = roundedCorner.getRadius();
            float f7 = radius;
            if (f7 > 0.0f && f6 > 0.0f) {
                return f7 / f6;
            }
        }
        return 0.0f;
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private void m7099() {
        this.f6520 = (int) (this.f6500 * (1.0f - this.f6524));
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x0022, code lost:
        r0 = r0.getRootWindowInsets();
     */
    /* renamed from: ʻˋ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private float m7100() {
        WeakReference<V> weakReference;
        WindowInsets rootWindowInsets;
        RoundedCorner roundedCorner;
        RoundedCorner roundedCorner2;
        if (this.f6533 != null && (weakReference = this.f6501) != null && weakReference.get() != null && Build.VERSION.SDK_INT >= 31) {
            V v6 = this.f6501.get();
            if (m7112() && rootWindowInsets != null) {
                float m13711 = this.f6533.m13711();
                roundedCorner = rootWindowInsets.getRoundedCorner(0);
                float m7098 = m7098(m13711, roundedCorner);
                float m13704 = this.f6533.m13704();
                roundedCorner2 = rootWindowInsets.getRoundedCorner(1);
                return Math.max(m7098, m7098(m13704, roundedCorner2));
            }
            return 0.0f;
        }
        return 0.0f;
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private int m7101() {
        int i6;
        if (this.f6527) {
            return Math.min(Math.max(this.f6529, this.f6500 - ((this.f6556 * 9) / 16)), this.f6540) + this.f6558;
        }
        if (!this.f6543 && !this.f6545 && (i6 = this.f6541) > 0) {
            return Math.max(this.f6525, i6 + this.f6531);
        }
        return this.f6525 + this.f6558;
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private float m7102(int i6) {
        float f6;
        float f7;
        int i7 = this.f6522;
        if (i6 <= i7 && i7 != m7147()) {
            int i8 = this.f6522;
            f6 = i8 - i6;
            f7 = i8 - m7147();
        } else {
            int i9 = this.f6522;
            f6 = i9 - i6;
            f7 = this.f6500 - i9;
        }
        return f6 / f7;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻˑ  reason: contains not printable characters */
    public boolean m7103() {
        if (m7152() && m7153()) {
            return true;
        }
        return false;
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    private void m7104(View view, int i6) {
        if (view == null) {
            return;
        }
        z0.m3384(view, 524288);
        z0.m3384(view, 262144);
        z0.m3384(view, 1048576);
        int i7 = this.f6511.get(i6, -1);
        if (i7 != -1) {
            z0.m3384(view, i7);
            this.f6511.delete(i6);
        }
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    private o0 m7105(int i6) {
        return new f(i6);
    }

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private void m7106(Context context) {
        if (this.f6499 == null) {
            return;
        }
        v2.g gVar = new v2.g(this.f6499);
        this.f6533 = gVar;
        gVar.m13708(context);
        ColorStateList colorStateList = this.f6535;
        if (colorStateList != null) {
            this.f6533.m13691(colorStateList);
            return;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(16842801, typedValue, true);
        this.f6533.setTint(typedValue.data);
    }

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private void m7107() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(m7100(), 1.0f);
        this.f6518 = ofFloat;
        ofFloat.setDuration(500L);
        this.f6518.addUpdateListener(new c());
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    public static <V extends View> BottomSheetBehavior<V> m7108(V v6) {
        ViewGroup.LayoutParams layoutParams = v6.getLayoutParams();
        if (layoutParams instanceof CoordinatorLayout.f) {
            CoordinatorLayout.c m2117 = ((CoordinatorLayout.f) layoutParams).m2117();
            if (m2117 instanceof BottomSheetBehavior) {
                return (BottomSheetBehavior) m2117;
            }
            throw new IllegalArgumentException("The view is not associated with BottomSheetBehavior");
        }
        throw new IllegalArgumentException("The view is not a child of CoordinatorLayout");
    }

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private int m7109(int i6, int i7, int i8, int i9) {
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i6, i7, i9);
        if (i8 == -1) {
            return childMeasureSpec;
        }
        int mode = View.MeasureSpec.getMode(childMeasureSpec);
        int size = View.MeasureSpec.getSize(childMeasureSpec);
        if (mode != 1073741824) {
            if (size != 0) {
                i8 = Math.min(size, i8);
            }
            return View.MeasureSpec.makeMeasureSpec(i8, Integer.MIN_VALUE);
        }
        return View.MeasureSpec.makeMeasureSpec(Math.min(size, i8), 1073741824);
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private int m7110(int i6) {
        if (i6 != 3) {
            if (i6 != 4) {
                if (i6 != 5) {
                    if (i6 == 6) {
                        return this.f6520;
                    }
                    throw new IllegalArgumentException("Invalid state to get top offset: " + i6);
                }
                return this.f6500;
            }
            return this.f6522;
        }
        return m7147();
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private float m7111() {
        VelocityTracker velocityTracker = this.f6505;
        if (velocityTracker == null) {
            return 0.0f;
        }
        velocityTracker.computeCurrentVelocity(1000, this.f6521);
        return this.f6505.getYVelocity(this.f6507);
    }

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private boolean m7112() {
        WeakReference<V> weakReference = this.f6501;
        if (weakReference == null || weakReference.get() == null) {
            return false;
        }
        int[] iArr = new int[2];
        this.f6501.get().getLocationOnScreen(iArr);
        if (iArr[1] != 0) {
            return false;
        }
        return true;
    }

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private boolean m7113() {
        if (this.f6534 == 3 && (this.f6544 || m7112())) {
            return true;
        }
        return false;
    }

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private boolean m7114(V v6) {
        ViewParent parent = v6.getParent();
        if (parent != null && parent.isLayoutRequested() && z0.m3443(v6)) {
            return true;
        }
        return false;
    }

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private void m7115(View view, j0.a aVar, int i6) {
        z0.m3386(view, aVar, null, m7105(i6));
    }

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private void m7116() {
        this.f6507 = -1;
        this.f6508 = -1;
        VelocityTracker velocityTracker = this.f6505;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f6505 = null;
        }
    }

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private void m7117(h hVar) {
        int i6 = this.f6515;
        if (i6 == 0) {
            return;
        }
        if (i6 == -1 || (i6 & 1) == 1) {
            this.f6525 = hVar.f6571;
        }
        if (i6 == -1 || (i6 & 2) == 2) {
            this.f6517 = hVar.f6572;
        }
        if (i6 == -1 || (i6 & 4) == 4) {
            this.f6526 = hVar.f6573;
        }
        if (i6 == -1 || (i6 & 8) == 8) {
            this.f6532 = hVar.f6574;
        }
    }

    /* renamed from: ʼי  reason: contains not printable characters */
    private void m7118(V v6, Runnable runnable) {
        if (m7114(v6)) {
            v6.post(runnable);
        } else {
            runnable.run();
        }
    }

    /* renamed from: ʽˆ  reason: contains not printable characters */
    private void m7119(View view) {
        boolean z5;
        if (Build.VERSION.SDK_INT >= 29 && !m7151() && !this.f6527) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (!this.f6545 && !this.f6547 && !this.f6549 && !this.f6553 && !this.f6555 && !this.f6557 && !z5) {
            return;
        }
        b0.m7964(view, new d(z5));
    }

    /* renamed from: ʽˉ  reason: contains not printable characters */
    private boolean m7120() {
        if (this.f6536 != null && (this.f6530 || this.f6534 == 1)) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʽˏ  reason: contains not printable characters */
    public void m7121(View view, int i6, boolean z5) {
        boolean z6;
        int m7110 = m7110(i6);
        a0.c cVar = this.f6536;
        if (cVar != null && (!z5 ? cVar.m108(view, view.getLeft(), m7110) : cVar.m100(view.getLeft(), m7110))) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6) {
            m7171(2);
            m7124(i6, true);
            this.f6513.m7187(i6);
            return;
        }
        m7171(i6);
    }

    /* renamed from: ʽˑ  reason: contains not printable characters */
    private void m7122() {
        WeakReference<V> weakReference = this.f6501;
        if (weakReference != null) {
            m7123(weakReference.get(), 0);
        }
        WeakReference<View> weakReference2 = this.f6502;
        if (weakReference2 != null) {
            m7123(weakReference2.get(), 1);
        }
    }

    /* renamed from: ʽי  reason: contains not printable characters */
    private void m7123(View view, int i6) {
        if (view == null) {
            return;
        }
        m7104(view, i6);
        int i7 = 6;
        if (!this.f6517 && this.f6534 != 6) {
            this.f6511.put(i6, m7096(view, c2.i.bottomsheet_action_expand_halfway, 6));
        }
        if (this.f6526 && m7153() && this.f6534 != 5) {
            m7115(view, j0.a.f3107, 5);
        }
        int i8 = this.f6534;
        if (i8 != 3) {
            if (i8 != 4) {
                if (i8 == 6) {
                    m7115(view, j0.a.f3106, 4);
                    m7115(view, j0.a.f3105, 3);
                    return;
                }
                return;
            }
            if (this.f6517) {
                i7 = 3;
            }
            m7115(view, j0.a.f3105, i7);
            return;
        }
        if (this.f6517) {
            i7 = 4;
        }
        m7115(view, j0.a.f3106, i7);
    }

    /* renamed from: ʽـ  reason: contains not printable characters */
    private void m7124(int i6, boolean z5) {
        boolean m7113;
        ValueAnimator valueAnimator;
        if (i6 != 2 && this.f6514 != (m7113 = m7113()) && this.f6533 != null) {
            this.f6514 = m7113;
            float f6 = 1.0f;
            if (z5 && (valueAnimator = this.f6518) != null) {
                if (valueAnimator.isRunning()) {
                    this.f6518.reverse();
                    return;
                }
                float m13720 = this.f6533.m13720();
                if (m7113) {
                    f6 = m7100();
                }
                this.f6518.setFloatValues(m13720, f6);
                this.f6518.start();
                return;
            }
            ValueAnimator valueAnimator2 = this.f6518;
            if (valueAnimator2 != null && valueAnimator2.isRunning()) {
                this.f6518.cancel();
            }
            v2.g gVar = this.f6533;
            if (this.f6514) {
                f6 = m7100();
            }
            gVar.m13692(f6);
        }
    }

    /* renamed from: ʽٴ  reason: contains not printable characters */
    private void m7125(boolean z5) {
        Map<View, Integer> map;
        WeakReference<V> weakReference = this.f6501;
        if (weakReference == null) {
            return;
        }
        ViewParent parent = weakReference.get().getParent();
        if (!(parent instanceof CoordinatorLayout)) {
            return;
        }
        CoordinatorLayout coordinatorLayout = (CoordinatorLayout) parent;
        int childCount = coordinatorLayout.getChildCount();
        if (z5) {
            if (this.f6510 == null) {
                this.f6510 = new HashMap(childCount);
            } else {
                return;
            }
        }
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = coordinatorLayout.getChildAt(i6);
            if (childAt != this.f6501.get()) {
                if (z5) {
                    this.f6510.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                    if (this.f6519) {
                        z0.m3403(childAt, 4);
                    }
                } else if (this.f6519 && (map = this.f6510) != null && map.containsKey(childAt)) {
                    z0.m3403(childAt, this.f6510.get(childAt).intValue());
                }
            }
        }
        if (!z5) {
            this.f6510 = null;
        } else if (this.f6519) {
            this.f6501.get().sendAccessibilityEvent(8);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʽᐧ  reason: contains not printable characters */
    public void m7126(boolean z5) {
        V v6;
        if (this.f6501 != null) {
            m7097();
            if (this.f6534 == 4 && (v6 = this.f6501.get()) != null) {
                if (z5) {
                    m7170(4);
                } else {
                    v6.requestLayout();
                }
            }
        }
    }

    @Override // q2.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void mo7143() {
        q2.e eVar = this.f6506;
        if (eVar == null) {
            return;
        }
        androidx.activity.b m12694 = eVar.m12694();
        int i6 = 4;
        if (m12694 != null && Build.VERSION.SDK_INT >= 34) {
            if (this.f6526) {
                this.f6506.m12709(m12694, new b());
                return;
            }
            this.f6506.m12710(m12694, null);
            m7170(4);
            return;
        }
        if (this.f6526) {
            i6 = 5;
        }
        m7170(i6);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ʻʻ */
    public Parcelable mo2079(CoordinatorLayout coordinatorLayout, V v6) {
        return new h(super.mo2079(coordinatorLayout, v6), (BottomSheetBehavior<?>) this);
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    public void m7144(g gVar) {
        if (!this.f6504.contains(gVar)) {
            this.f6504.add(gVar);
        }
    }

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    void m7145(int i6) {
        V v6 = this.f6501.get();
        if (v6 != null && !this.f6504.isEmpty()) {
            float m7102 = m7102(i6);
            for (int i7 = 0; i7 < this.f6504.size(); i7++) {
                this.f6504.get(i7).mo7180(v6, m7102);
            }
        }
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    View m7146(View view) {
        if (view.getVisibility() != 0) {
            return null;
        }
        if (z0.m3369(view)) {
            return view;
        }
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int childCount = viewGroup.getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View m7146 = m7146(viewGroup.getChildAt(i6));
                if (m7146 != null) {
                    return m7146;
                }
            }
        }
        return null;
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    public int m7147() {
        int i6;
        if (this.f6517) {
            return this.f6538;
        }
        int i7 = this.f6516;
        if (this.f6551) {
            i6 = 0;
        } else {
            i6 = this.f6542;
        }
        return Math.max(i7, i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻﹳ  reason: contains not printable characters */
    public v2.g m7148() {
        return this.f6533;
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    public int m7149() {
        return this.f6534;
    }

    @Override // q2.b
    /* renamed from: ʼ  reason: contains not printable characters */
    public void mo7150(androidx.activity.b bVar) {
        q2.e eVar = this.f6506;
        if (eVar == null) {
            return;
        }
        eVar.m12711(bVar);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ʼʼ */
    public boolean mo2080(CoordinatorLayout coordinatorLayout, V v6, View view, View view2, int i6, int i7) {
        this.f6550 = 0;
        this.f6552 = false;
        if ((i6 & 2) == 0) {
            return false;
        }
        return true;
    }

    /* renamed from: ʼʿ  reason: contains not printable characters */
    public boolean m7151() {
        return this.f6543;
    }

    /* renamed from: ʼˆ  reason: contains not printable characters */
    public boolean m7152() {
        return this.f6526;
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    public boolean m7153() {
        return true;
    }

    /* renamed from: ʼˊ  reason: contains not printable characters */
    public boolean m7154() {
        return true;
    }

    /* renamed from: ʼˋ  reason: contains not printable characters */
    public void m7155(g gVar) {
        this.f6504.remove(gVar);
    }

    /* renamed from: ʼـ  reason: contains not printable characters */
    public void m7156(boolean z5) {
        this.f6530 = z5;
    }

    /* renamed from: ʼٴ  reason: contains not printable characters */
    public void m7157(int i6) {
        if (i6 >= 0) {
            this.f6516 = i6;
            m7124(this.f6534, true);
            return;
        }
        throw new IllegalArgumentException("offset must be greater than or equal to 0");
    }

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    public void m7158(boolean z5) {
        int i6;
        if (this.f6517 == z5) {
            return;
        }
        this.f6517 = z5;
        if (this.f6501 != null) {
            m7097();
        }
        if (this.f6517 && this.f6534 == 6) {
            i6 = 3;
        } else {
            i6 = this.f6534;
        }
        m7171(i6);
        m7124(this.f6534, true);
        m7122();
    }

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    public void m7159(boolean z5) {
        this.f6543 = z5;
    }

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    public void m7160(float f6) {
        if (f6 > 0.0f && f6 < 1.0f) {
            this.f6524 = f6;
            if (this.f6501 != null) {
                m7099();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("ratio must be a float value between 0 and 1");
    }

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    public void m7161(boolean z5) {
        if (this.f6526 != z5) {
            this.f6526 = z5;
            if (!z5 && this.f6534 == 5) {
                m7170(4);
            }
            m7122();
        }
    }

    /* renamed from: ʼᵢ  reason: contains not printable characters */
    public void m7162(int i6) {
        this.f6539 = i6;
    }

    /* renamed from: ʼⁱ  reason: contains not printable characters */
    public void m7163(int i6) {
        this.f6537 = i6;
    }

    /* renamed from: ʼﹳ  reason: contains not printable characters */
    public void m7164(int i6) {
        m7165(i6, false);
    }

    /* renamed from: ʼﹶ  reason: contains not printable characters */
    public final void m7165(int i6, boolean z5) {
        boolean z6 = true;
        if (i6 == -1) {
            if (!this.f6527) {
                this.f6527 = true;
            }
            z6 = false;
        } else {
            if (this.f6527 || this.f6525 != i6) {
                this.f6527 = false;
                this.f6525 = Math.max(0, i6);
            }
            z6 = false;
        }
        if (z6) {
            m7126(z5);
        }
    }

    /* renamed from: ʼﾞ  reason: contains not printable characters */
    public void m7166(int i6) {
        this.f6515 = i6;
    }

    @Override // q2.b
    /* renamed from: ʽ  reason: contains not printable characters */
    public void mo7167(androidx.activity.b bVar) {
        q2.e eVar = this.f6506;
        if (eVar == null) {
            return;
        }
        eVar.m12713(bVar);
    }

    /* renamed from: ʽʻ  reason: contains not printable characters */
    public void m7168(int i6) {
        this.f6523 = i6;
    }

    /* renamed from: ʽʼ  reason: contains not printable characters */
    public void m7169(boolean z5) {
        this.f6532 = z5;
    }

    /* renamed from: ʽʾ  reason: contains not printable characters */
    public void m7170(int i6) {
        String str;
        int i7;
        if (i6 != 1 && i6 != 2) {
            if (!this.f6526 && i6 == 5) {
                Log.w("BottomSheetBehavior", "Cannot set state: " + i6);
                return;
            }
            if (i6 == 6 && this.f6517 && m7110(i6) <= this.f6538) {
                i7 = 3;
            } else {
                i7 = i6;
            }
            WeakReference<V> weakReference = this.f6501;
            if (weakReference != null && weakReference.get() != null) {
                V v6 = this.f6501.get();
                m7118(v6, new a(v6, i7));
                return;
            }
            m7171(i6);
            return;
        }
        StringBuilder sb = new StringBuilder();
        sb.append("STATE_");
        if (i6 == 1) {
            str = "DRAGGING";
        } else {
            str = "SETTLING";
        }
        sb.append(str);
        sb.append(" should not be set externally.");
        throw new IllegalArgumentException(sb.toString());
    }

    /* renamed from: ʽʿ  reason: contains not printable characters */
    void m7171(int i6) {
        V v6;
        if (this.f6534 == i6) {
            return;
        }
        this.f6534 = i6;
        if (i6 == 4 || i6 == 3 || i6 == 6 || (this.f6526 && i6 == 5)) {
            this.f6548 = i6;
        }
        WeakReference<V> weakReference = this.f6501;
        if (weakReference == null || (v6 = weakReference.get()) == null) {
            return;
        }
        if (i6 == 3) {
            m7125(true);
        } else if (i6 == 6 || i6 == 5 || i6 == 4) {
            m7125(false);
        }
        m7124(i6, true);
        for (int i7 = 0; i7 < this.f6504.size(); i7++) {
            this.f6504.get(i7).mo7181(v6, i6);
        }
        m7122();
    }

    /* renamed from: ʽˈ  reason: contains not printable characters */
    public boolean m7172(long j6, float f6) {
        return false;
    }

    /* renamed from: ʽˊ  reason: contains not printable characters */
    boolean m7173(View view, float f6) {
        if (this.f6532) {
            return true;
        }
        if (!m7153() || view.getTop() < this.f6522) {
            return false;
        }
        if (Math.abs((view.getTop() + (f6 * this.f6554)) - this.f6522) / m7101() > 0.5f) {
            return true;
        }
        return false;
    }

    /* renamed from: ʽˋ  reason: contains not printable characters */
    public boolean m7174() {
        return false;
    }

    /* renamed from: ʽˎ  reason: contains not printable characters */
    public boolean m7175() {
        return true;
    }

    @Override // q2.b
    /* renamed from: ʾ  reason: contains not printable characters */
    public void mo7176() {
        q2.e eVar = this.f6506;
        if (eVar == null) {
            return;
        }
        eVar.m12708();
    }

    /* JADX WARN: Code restructure failed: missing block: B:21:0x0035, code lost:
        if (r4.getTop() <= r2.f6520) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0065, code lost:
        if (java.lang.Math.abs(r3 - r2.f6538) < java.lang.Math.abs(r3 - r2.f6522)) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x007b, code lost:
        if (m7174() != false) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x008b, code lost:
        if (java.lang.Math.abs(r3 - r1) < java.lang.Math.abs(r3 - r2.f6522)) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00a7, code lost:
        if (java.lang.Math.abs(r3 - r2.f6520) < java.lang.Math.abs(r3 - r2.f6522)) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00a9, code lost:
        r0 = 6;
     */
    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ʾʾ */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void mo2082(CoordinatorLayout coordinatorLayout, V v6, View view, int i6) {
        WeakReference<View> weakReference;
        int i7 = 3;
        if (v6.getTop() == m7147()) {
            m7171(3);
        } else if (m7154() && ((weakReference = this.f6503) == null || view != weakReference.get() || !this.f6552)) {
        } else {
            if (this.f6550 > 0) {
                if (!this.f6517) {
                }
                m7121(v6, i7, false);
                this.f6552 = false;
            }
            if (this.f6526 && m7173(v6, m7111())) {
                i7 = 5;
            } else if (this.f6550 == 0) {
                int top = v6.getTop();
                if (!this.f6517) {
                    int i8 = this.f6520;
                    if (top < i8) {
                        if (top >= Math.abs(top - this.f6522)) {
                        }
                    }
                }
            } else {
                if (!this.f6517) {
                    int top2 = v6.getTop();
                }
                i7 = 4;
            }
            m7121(v6, i7, false);
            this.f6552 = false;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ˎ */
    public void mo2090(CoordinatorLayout.f fVar) {
        super.mo2090(fVar);
        this.f6501 = null;
        this.f6536 = null;
        this.f6506 = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: י */
    public void mo2093() {
        super.mo2093();
        this.f6501 = null;
        this.f6536 = null;
        this.f6506 = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ـ */
    public boolean mo2094(CoordinatorLayout coordinatorLayout, V v6, MotionEvent motionEvent) {
        boolean z5;
        View view;
        int i6;
        a0.c cVar;
        if (v6.isShown() && this.f6530) {
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked == 0) {
                m7116();
            }
            if (this.f6505 == null) {
                this.f6505 = VelocityTracker.obtain();
            }
            this.f6505.addMovement(motionEvent);
            View view2 = null;
            if (actionMasked != 0) {
                if (actionMasked == 1 || actionMasked == 3) {
                    this.f6509 = false;
                    this.f6507 = -1;
                    if (this.f6546) {
                        this.f6546 = false;
                        return false;
                    }
                }
            } else {
                int x5 = (int) motionEvent.getX();
                this.f6508 = (int) motionEvent.getY();
                if (this.f6534 != 2) {
                    WeakReference<View> weakReference = this.f6503;
                    if (weakReference != null) {
                        view = weakReference.get();
                    } else {
                        view = null;
                    }
                    if (view != null && coordinatorLayout.m2073(view, x5, this.f6508)) {
                        this.f6507 = motionEvent.getPointerId(motionEvent.getActionIndex());
                        this.f6509 = true;
                    }
                }
                if (this.f6507 == -1 && !coordinatorLayout.m2073(v6, x5, this.f6508)) {
                    z5 = true;
                } else {
                    z5 = false;
                }
                this.f6546 = z5;
            }
            if (!this.f6546 && (cVar = this.f6536) != null && cVar.m103(motionEvent)) {
                return true;
            }
            WeakReference<View> weakReference2 = this.f6503;
            if (weakReference2 != null) {
                view2 = weakReference2.get();
            }
            if (actionMasked != 2 || view2 == null || this.f6546 || this.f6534 == 1 || coordinatorLayout.m2073(view2, (int) motionEvent.getX(), (int) motionEvent.getY()) || this.f6536 == null || (i6 = this.f6508) == -1 || Math.abs(i6 - motionEvent.getY()) <= this.f6536.m112()) {
                return false;
            }
            return true;
        }
        this.f6546 = true;
        return false;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ــ */
    public boolean mo2095(CoordinatorLayout coordinatorLayout, V v6, MotionEvent motionEvent) {
        if (!v6.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.f6534 == 1 && actionMasked == 0) {
            return true;
        }
        if (m7120()) {
            this.f6536.m96(motionEvent);
        }
        if (actionMasked == 0) {
            m7116();
        }
        if (this.f6505 == null) {
            this.f6505 = VelocityTracker.obtain();
        }
        this.f6505.addMovement(motionEvent);
        if (m7120() && actionMasked == 2 && !this.f6546 && Math.abs(this.f6508 - motionEvent.getY()) > this.f6536.m112()) {
            this.f6536.m92(v6, motionEvent.getPointerId(motionEvent.getActionIndex()));
        }
        return !this.f6546;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ٴ */
    public boolean mo2096(CoordinatorLayout coordinatorLayout, V v6, int i6) {
        if (z0.m3447(coordinatorLayout) && !z0.m3447(v6)) {
            v6.setFitsSystemWindows(true);
        }
        if (this.f6501 == null) {
            this.f6529 = coordinatorLayout.getResources().getDimensionPixelSize(c2.d.design_bottom_sheet_peek_height_min);
            m7119(v6);
            z0.m3412(v6, new com.google.android.material.bottomsheet.c(v6));
            this.f6501 = new WeakReference<>(v6);
            this.f6506 = new q2.e(v6);
            v2.g gVar = this.f6533;
            if (gVar != null) {
                z0.m3396(v6, gVar);
                v2.g gVar2 = this.f6533;
                float f6 = this.f6528;
                if (f6 == -1.0f) {
                    f6 = z0.m3460(v6);
                }
                gVar2.m13723(f6);
            } else {
                ColorStateList colorStateList = this.f6535;
                if (colorStateList != null) {
                    z0.m3397(v6, colorStateList);
                }
            }
            m7122();
            if (z0.m3368(v6) == 0) {
                z0.m3403(v6, 1);
            }
        }
        if (this.f6536 == null) {
            this.f6536 = a0.c.m82(coordinatorLayout, this.f6512);
        }
        int top = v6.getTop();
        coordinatorLayout.m2061(v6, i6);
        this.f6556 = coordinatorLayout.getWidth();
        this.f6500 = coordinatorLayout.getHeight();
        int height = v6.getHeight();
        this.f6540 = height;
        int i7 = this.f6500;
        int i8 = i7 - height;
        int i9 = this.f6542;
        if (i8 < i9) {
            if (this.f6551) {
                int i10 = this.f6539;
                if (i10 != -1) {
                    i7 = Math.min(i7, i10);
                }
                this.f6540 = i7;
            } else {
                int i11 = i7 - i9;
                int i12 = this.f6539;
                if (i12 != -1) {
                    i11 = Math.min(i11, i12);
                }
                this.f6540 = i11;
            }
        }
        this.f6538 = Math.max(0, this.f6500 - this.f6540);
        m7099();
        m7097();
        int i13 = this.f6534;
        if (i13 == 3) {
            z0.m3375(v6, m7147());
        } else if (i13 == 6) {
            z0.m3375(v6, this.f6520);
        } else if (this.f6526 && i13 == 5) {
            z0.m3375(v6, this.f6500);
        } else if (i13 == 4) {
            z0.m3375(v6, this.f6522);
        } else if (i13 == 1 || i13 == 2) {
            z0.m3375(v6, top - v6.getTop());
        }
        m7124(this.f6534, false);
        this.f6503 = new WeakReference<>(m7146(v6));
        for (int i14 = 0; i14 < this.f6504.size(); i14++) {
            this.f6504.get(i14).mo7179(v6);
        }
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ᐧ */
    public boolean mo2097(CoordinatorLayout coordinatorLayout, V v6, int i6, int i7, int i8, int i9) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) v6.getLayoutParams();
        v6.measure(m7109(i6, coordinatorLayout.getPaddingLeft() + coordinatorLayout.getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i7, this.f6537, marginLayoutParams.width), m7109(i8, coordinatorLayout.getPaddingTop() + coordinatorLayout.getPaddingBottom() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i9, this.f6539, marginLayoutParams.height));
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ᴵᴵ */
    public void mo2100(CoordinatorLayout coordinatorLayout, V v6, Parcelable parcelable) {
        h hVar = (h) parcelable;
        super.mo2100(coordinatorLayout, v6, hVar.m14260());
        m7117(hVar);
        int i6 = hVar.f6570;
        if (i6 != 1 && i6 != 2) {
            this.f6534 = i6;
            this.f6548 = i6;
            return;
        }
        this.f6534 = 4;
        this.f6548 = 4;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ᵎ */
    public boolean mo2101(CoordinatorLayout coordinatorLayout, V v6, View view, float f6, float f7) {
        WeakReference<View> weakReference;
        if (!m7154() || (weakReference = this.f6503) == null || view != weakReference.get()) {
            return false;
        }
        if (this.f6534 == 3 && !super.mo2101(coordinatorLayout, v6, view, f6, f7)) {
            return false;
        }
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ᵢ */
    public void mo2103(CoordinatorLayout coordinatorLayout, V v6, View view, int i6, int i7, int[] iArr, int i8) {
        View view2;
        if (i8 == 1) {
            return;
        }
        WeakReference<View> weakReference = this.f6503;
        if (weakReference != null) {
            view2 = weakReference.get();
        } else {
            view2 = null;
        }
        if (m7154() && view != view2) {
            return;
        }
        int top = v6.getTop();
        int i9 = top - i7;
        if (i7 > 0) {
            if (i9 < m7147()) {
                int m7147 = top - m7147();
                iArr[1] = m7147;
                z0.m3375(v6, -m7147);
                m7171(3);
            } else if (!this.f6530) {
                return;
            } else {
                iArr[1] = i7;
                z0.m3375(v6, -i7);
                m7171(1);
            }
        } else if (i7 < 0 && !view.canScrollVertically(-1)) {
            if (i9 > this.f6522 && !m7103()) {
                int i10 = top - this.f6522;
                iArr[1] = i10;
                z0.m3375(v6, -i10);
                m7171(4);
            } else if (!this.f6530) {
                return;
            } else {
                iArr[1] = i7;
                z0.m3375(v6, -i7);
                m7171(1);
            }
        }
        m7145(v6.getTop());
        this.f6550 = i7;
        this.f6552 = true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class i {

        /* renamed from: ʻ  reason: contains not printable characters */
        private int f6575;

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean f6576;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final Runnable f6577;

        /* loaded from: classes.dex */
        class a implements Runnable {
            a() {
            }

            @Override // java.lang.Runnable
            public void run() {
                i.this.f6576 = false;
                a0.c cVar = BottomSheetBehavior.this.f6536;
                if (cVar != null && cVar.m102(true)) {
                    i iVar = i.this;
                    iVar.m7187(iVar.f6575);
                    return;
                }
                i iVar2 = i.this;
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (bottomSheetBehavior.f6534 == 2) {
                    bottomSheetBehavior.m7171(iVar2.f6575);
                }
            }
        }

        private i() {
            this.f6577 = new a();
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        void m7187(int i6) {
            WeakReference<V> weakReference = BottomSheetBehavior.this.f6501;
            if (weakReference != null && weakReference.get() != null) {
                this.f6575 = i6;
                if (!this.f6576) {
                    z0.m3382(BottomSheetBehavior.this.f6501.get(), this.f6577);
                    this.f6576 = true;
                }
            }
        }

        /* synthetic */ i(BottomSheetBehavior bottomSheetBehavior, a aVar) {
            this();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* loaded from: classes.dex */
    public static class h extends z.a {
        public static final Parcelable.Creator<h> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        final int f6570;

        /* renamed from: ˈ  reason: contains not printable characters */
        int f6571;

        /* renamed from: ˉ  reason: contains not printable characters */
        boolean f6572;

        /* renamed from: ˊ  reason: contains not printable characters */
        boolean f6573;

        /* renamed from: ˋ  reason: contains not printable characters */
        boolean f6574;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<h> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public h createFromParcel(Parcel parcel) {
                return new h(parcel, (ClassLoader) null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public h createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new h(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public h[] newArray(int i6) {
                return new h[i6];
            }
        }

        public h(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f6570 = parcel.readInt();
            this.f6571 = parcel.readInt();
            this.f6572 = parcel.readInt() == 1;
            this.f6573 = parcel.readInt() == 1;
            this.f6574 = parcel.readInt() == 1;
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeInt(this.f6570);
            parcel.writeInt(this.f6571);
            parcel.writeInt(this.f6572 ? 1 : 0);
            parcel.writeInt(this.f6573 ? 1 : 0);
            parcel.writeInt(this.f6574 ? 1 : 0);
        }

        public h(Parcelable parcelable, BottomSheetBehavior<?> bottomSheetBehavior) {
            super(parcelable);
            this.f6570 = bottomSheetBehavior.f6534;
            this.f6571 = ((BottomSheetBehavior) bottomSheetBehavior).f6525;
            this.f6572 = ((BottomSheetBehavior) bottomSheetBehavior).f6517;
            this.f6573 = bottomSheetBehavior.f6526;
            this.f6574 = ((BottomSheetBehavior) bottomSheetBehavior).f6532;
        }
    }

    public BottomSheetBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        int i6;
        this.f6515 = 0;
        this.f6517 = true;
        this.f6519 = false;
        this.f6537 = -1;
        this.f6539 = -1;
        this.f6513 = new i(this, null);
        this.f6524 = 0.5f;
        this.f6528 = -1.0f;
        this.f6530 = true;
        this.f6534 = 4;
        this.f6548 = 4;
        this.f6554 = 0.1f;
        this.f6504 = new ArrayList<>();
        this.f6508 = -1;
        this.f6511 = new SparseIntArray();
        this.f6512 = new e();
        this.f6531 = context.getResources().getDimensionPixelSize(c2.d.mtrl_min_touch_target_size);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, c2.k.f5818);
        int i7 = c2.k.f5926;
        if (obtainStyledAttributes.hasValue(i7)) {
            this.f6535 = s2.c.m13185(context, obtainStyledAttributes, i7);
        }
        if (obtainStyledAttributes.hasValue(c2.k.f5637)) {
            this.f6499 = k.m13740(context, attributeSet, c2.b.bottomSheetStyle, f6498).m13778();
        }
        m7106(context);
        m7107();
        if (Build.VERSION.SDK_INT >= 21) {
            this.f6528 = obtainStyledAttributes.getDimension(c2.k.f5845, -1.0f);
        }
        int i8 = c2.k.f5791;
        if (obtainStyledAttributes.hasValue(i8)) {
            m7163(obtainStyledAttributes.getDimensionPixelSize(i8, -1));
        }
        int i9 = c2.k.f5872;
        if (obtainStyledAttributes.hasValue(i9)) {
            m7162(obtainStyledAttributes.getDimensionPixelSize(i9, -1));
        }
        int i10 = c2.k.f6088;
        TypedValue peekValue = obtainStyledAttributes.peekValue(i10);
        if (peekValue != null && (i6 = peekValue.data) == -1) {
            m7164(i6);
        } else {
            m7164(obtainStyledAttributes.getDimensionPixelSize(i10, -1));
        }
        m7161(obtainStyledAttributes.getBoolean(c2.k.f6084, false));
        m7159(obtainStyledAttributes.getBoolean(c2.k.f6094, false));
        m7158(obtainStyledAttributes.getBoolean(c2.k.f6086, true));
        m7169(obtainStyledAttributes.getBoolean(c2.k.f6034, false));
        m7156(obtainStyledAttributes.getBoolean(c2.k.f5899, true));
        m7166(obtainStyledAttributes.getInt(c2.k.f6090, 0));
        m7160(obtainStyledAttributes.getFloat(c2.k.f5980, 0.5f));
        int i11 = c2.k.f5953;
        TypedValue peekValue2 = obtainStyledAttributes.peekValue(i11);
        if (peekValue2 != null && peekValue2.type == 16) {
            m7157(peekValue2.data);
        } else {
            m7157(obtainStyledAttributes.getDimensionPixelOffset(i11, 0));
        }
        m7168(obtainStyledAttributes.getInt(c2.k.f6092, 500));
        this.f6545 = obtainStyledAttributes.getBoolean(c2.k.f5633, false);
        this.f6547 = obtainStyledAttributes.getBoolean(c2.k.f5634, false);
        this.f6549 = obtainStyledAttributes.getBoolean(c2.k.f5635, false);
        this.f6551 = obtainStyledAttributes.getBoolean(c2.k.f5636, true);
        this.f6553 = obtainStyledAttributes.getBoolean(c2.k.f5630, false);
        this.f6555 = obtainStyledAttributes.getBoolean(c2.k.f5631, false);
        this.f6557 = obtainStyledAttributes.getBoolean(c2.k.f5632, false);
        this.f6544 = obtainStyledAttributes.getBoolean(c2.k.f5638, true);
        obtainStyledAttributes.recycle();
        this.f6521 = ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }

    /* loaded from: classes.dex */
    public static abstract class g {
        /* renamed from: ʼ  reason: contains not printable characters */
        public abstract void mo7180(View view, float f6);

        /* renamed from: ʽ  reason: contains not printable characters */
        public abstract void mo7181(View view, int i6);

        /* renamed from: ʻ  reason: contains not printable characters */
        void mo7179(View view) {
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ﹶ */
    public void mo2106(CoordinatorLayout coordinatorLayout, V v6, View view, int i6, int i7, int i8, int i9, int i10, int[] iArr) {
    }
}
