package com.google.android.material.bottomsheet;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Build;
import android.os.Bundle;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.FrameLayout;
import androidx.appcompat.app.t;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.accessibility.j0;
import androidx.core.view.i4;
import androidx.core.view.s0;
import androidx.core.view.t4;
import androidx.core.view.z0;
import c2.h;
import c2.j;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import v2.g;
/* compiled from: BottomSheetDialog.java */
/* loaded from: classes.dex */
public class a extends t {

    /* renamed from: ˊ  reason: contains not printable characters */
    private BottomSheetBehavior<FrameLayout> f6580;

    /* renamed from: ˋ  reason: contains not printable characters */
    private FrameLayout f6581;

    /* renamed from: ˎ  reason: contains not printable characters */
    private CoordinatorLayout f6582;

    /* renamed from: ˏ  reason: contains not printable characters */
    private FrameLayout f6583;

    /* renamed from: ˑ  reason: contains not printable characters */
    boolean f6584;

    /* renamed from: י  reason: contains not printable characters */
    boolean f6585;

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean f6586;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f6587;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private f f6588;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f6589;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private q2.c f6590;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private BottomSheetBehavior.g f6591;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: BottomSheetDialog.java */
    /* renamed from: com.google.android.material.bottomsheet.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public class C0071a implements s0 {
        C0071a() {
        }

        @Override // androidx.core.view.s0
        /* renamed from: ʻ */
        public t4 mo792(View view, t4 t4Var) {
            if (a.this.f6588 != null) {
                a.this.f6580.m7155(a.this.f6588);
            }
            if (t4Var != null) {
                a aVar = a.this;
                aVar.f6588 = new f(aVar.f6583, t4Var, null);
                a.this.f6588.m7201(a.this.getWindow());
                a.this.f6580.m7144(a.this.f6588);
            }
            return t4Var;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: BottomSheetDialog.java */
    /* loaded from: classes.dex */
    public class b implements View.OnClickListener {
        b() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            a aVar = a.this;
            if (aVar.f6585 && aVar.isShowing() && a.this.m7199()) {
                a.this.cancel();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: BottomSheetDialog.java */
    /* loaded from: classes.dex */
    public class c extends androidx.core.view.a {
        c() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            if (a.this.f6585) {
                j0Var.m2829(1048576);
                j0Var.m2839(true);
                return;
            }
            j0Var.m2839(false);
        }

        @Override // androidx.core.view.a
        /* renamed from: ˋ */
        public boolean mo2777(View view, int i6, Bundle bundle) {
            if (i6 == 1048576) {
                a aVar = a.this;
                if (aVar.f6585) {
                    aVar.cancel();
                    return true;
                }
            }
            return super.mo2777(view, i6, bundle);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: BottomSheetDialog.java */
    /* loaded from: classes.dex */
    public class d implements View.OnTouchListener {
        d() {
        }

        @Override // android.view.View.OnTouchListener
        public boolean onTouch(View view, MotionEvent motionEvent) {
            return true;
        }
    }

    /* compiled from: BottomSheetDialog.java */
    /* loaded from: classes.dex */
    private static class f extends BottomSheetBehavior.g {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Boolean f6597;

        /* renamed from: ʼ  reason: contains not printable characters */
        private final t4 f6598;

        /* renamed from: ʽ  reason: contains not printable characters */
        private Window f6599;

        /* renamed from: ʾ  reason: contains not printable characters */
        private boolean f6600;

        /* synthetic */ f(View view, t4 t4Var, C0071a c0071a) {
            this(view, t4Var);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private void m7200(View view) {
            boolean booleanValue;
            if (view.getTop() < this.f6598.m3263()) {
                Window window = this.f6599;
                if (window != null) {
                    Boolean bool = this.f6597;
                    if (bool == null) {
                        booleanValue = this.f6600;
                    } else {
                        booleanValue = bool.booleanValue();
                    }
                    com.google.android.material.internal.f.m7990(window, booleanValue);
                }
                view.setPadding(view.getPaddingLeft(), this.f6598.m3263() - view.getTop(), view.getPaddingRight(), view.getPaddingBottom());
            } else if (view.getTop() != 0) {
                Window window2 = this.f6599;
                if (window2 != null) {
                    com.google.android.material.internal.f.m7990(window2, this.f6600);
                }
                view.setPadding(view.getPaddingLeft(), 0, view.getPaddingRight(), view.getPaddingBottom());
            }
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.g
        /* renamed from: ʻ */
        void mo7179(View view) {
            m7200(view);
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.g
        /* renamed from: ʼ */
        public void mo7180(View view, float f6) {
            m7200(view);
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.g
        /* renamed from: ʽ */
        public void mo7181(View view, int i6) {
            m7200(view);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        void m7201(Window window) {
            if (this.f6599 == window) {
                return;
            }
            this.f6599 = window;
            if (window != null) {
                this.f6600 = i4.m3056(window, window.getDecorView()).m3027();
            }
        }

        private f(View view, t4 t4Var) {
            ColorStateList m3452;
            this.f6598 = t4Var;
            g m7148 = BottomSheetBehavior.m7108(view).m7148();
            if (m7148 != null) {
                m3452 = m7148.m13719();
            } else {
                m3452 = z0.m3452(view);
            }
            if (m3452 != null) {
                this.f6597 = Boolean.valueOf(k2.a.m11165(m3452.getDefaultColor()));
            } else if (view.getBackground() instanceof ColorDrawable) {
                this.f6597 = Boolean.valueOf(k2.a.m11165(((ColorDrawable) view.getBackground()).getColor()));
            } else {
                this.f6597 = null;
            }
        }
    }

    public a(Context context, int i6) {
        super(context, m7188(context, i6));
        this.f6585 = true;
        this.f6586 = true;
        this.f6591 = new e();
        m843(1);
        this.f6589 = getContext().getTheme().obtainStyledAttributes(new int[]{c2.b.enableEdgeToEdge}).getBoolean(0, false);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static int m7188(Context context, int i6) {
        if (i6 == 0) {
            TypedValue typedValue = new TypedValue();
            if (context.getTheme().resolveAttribute(c2.b.bottomSheetDialogTheme, typedValue, true)) {
                return typedValue.resourceId;
            }
            return j.Theme_Design_Light_BottomSheetDialog;
        }
        return i6;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private FrameLayout m7193() {
        if (this.f6581 == null) {
            FrameLayout frameLayout = (FrameLayout) View.inflate(getContext(), h.design_bottom_sheet_dialog, null);
            this.f6581 = frameLayout;
            this.f6582 = (CoordinatorLayout) frameLayout.findViewById(c2.f.coordinator);
            FrameLayout frameLayout2 = (FrameLayout) this.f6581.findViewById(c2.f.design_bottom_sheet);
            this.f6583 = frameLayout2;
            BottomSheetBehavior<FrameLayout> m7108 = BottomSheetBehavior.m7108(frameLayout2);
            this.f6580 = m7108;
            m7108.m7144(this.f6591);
            this.f6580.m7161(this.f6585);
            this.f6590 = new q2.c(this.f6580, this.f6583);
        }
        return this.f6581;
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m7194() {
        q2.c cVar = this.f6590;
        if (cVar == null) {
            return;
        }
        if (this.f6585) {
            cVar.m12700();
        } else {
            cVar.m12702();
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private View m7195(int i6, View view, ViewGroup.LayoutParams layoutParams) {
        m7193();
        CoordinatorLayout coordinatorLayout = (CoordinatorLayout) this.f6581.findViewById(c2.f.coordinator);
        if (i6 != 0 && view == null) {
            view = getLayoutInflater().inflate(i6, (ViewGroup) coordinatorLayout, false);
        }
        if (this.f6589) {
            z0.m3406(this.f6583, new C0071a());
        }
        this.f6583.removeAllViews();
        if (layoutParams == null) {
            this.f6583.addView(view);
        } else {
            this.f6583.addView(view, layoutParams);
        }
        coordinatorLayout.findViewById(c2.f.touch_outside).setOnClickListener(new b());
        z0.m3390(this.f6583, new c());
        this.f6583.setOnTouchListener(new d());
        return this.f6581;
    }

    @Override // android.app.Dialog, android.content.DialogInterface
    public void cancel() {
        BottomSheetBehavior<FrameLayout> m7196 = m7196();
        if (this.f6584 && m7196.m7149() != 5) {
            m7196.m7170(5);
        } else {
            super.cancel();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:14:0x0027  */
    /* JADX WARN: Removed duplicated region for block: B:17:0x0030  */
    @Override // android.app.Dialog, android.view.Window.Callback
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onAttachedToWindow() {
        boolean z5;
        FrameLayout frameLayout;
        CoordinatorLayout coordinatorLayout;
        int navigationBarColor;
        super.onAttachedToWindow();
        Window window = getWindow();
        if (window != null) {
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.f6589) {
                    navigationBarColor = window.getNavigationBarColor();
                    if (Color.alpha(navigationBarColor) < 255) {
                        z5 = true;
                        frameLayout = this.f6581;
                        if (frameLayout != null) {
                            frameLayout.setFitsSystemWindows(!z5);
                        }
                        coordinatorLayout = this.f6582;
                        if (coordinatorLayout != null) {
                            coordinatorLayout.setFitsSystemWindows(!z5);
                        }
                        i4.m3057(window, !z5);
                    }
                }
                z5 = false;
                frameLayout = this.f6581;
                if (frameLayout != null) {
                }
                coordinatorLayout = this.f6582;
                if (coordinatorLayout != null) {
                }
                i4.m3057(window, !z5);
            }
            f fVar = this.f6588;
            if (fVar != null) {
                fVar.m7201(window);
            }
        }
        m7194();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.app.t, androidx.activity.k, android.app.Dialog
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Window window = getWindow();
        if (window != null) {
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 21) {
                window.setStatusBarColor(0);
                window.addFlags(Integer.MIN_VALUE);
                if (i6 < 23) {
                    window.addFlags(67108864);
                }
            }
            window.setLayout(-1, -1);
        }
    }

    @Override // android.app.Dialog, android.view.Window.Callback
    public void onDetachedFromWindow() {
        f fVar = this.f6588;
        if (fVar != null) {
            fVar.m7201(null);
        }
        q2.c cVar = this.f6590;
        if (cVar != null) {
            cVar.m12702();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.activity.k, android.app.Dialog
    public void onStart() {
        super.onStart();
        BottomSheetBehavior<FrameLayout> bottomSheetBehavior = this.f6580;
        if (bottomSheetBehavior != null && bottomSheetBehavior.m7149() == 5) {
            this.f6580.m7170(4);
        }
    }

    @Override // android.app.Dialog
    public void setCancelable(boolean z5) {
        super.setCancelable(z5);
        if (this.f6585 != z5) {
            this.f6585 = z5;
            BottomSheetBehavior<FrameLayout> bottomSheetBehavior = this.f6580;
            if (bottomSheetBehavior != null) {
                bottomSheetBehavior.m7161(z5);
            }
            if (getWindow() != null) {
                m7194();
            }
        }
    }

    @Override // android.app.Dialog
    public void setCanceledOnTouchOutside(boolean z5) {
        super.setCanceledOnTouchOutside(z5);
        if (z5 && !this.f6585) {
            this.f6585 = true;
        }
        this.f6586 = z5;
        this.f6587 = true;
    }

    @Override // androidx.appcompat.app.t, android.app.Dialog
    public void setContentView(int i6) {
        super.setContentView(m7195(i6, null, null));
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public BottomSheetBehavior<FrameLayout> m7196() {
        if (this.f6580 == null) {
            m7193();
        }
        return this.f6580;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public boolean m7197() {
        return this.f6584;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵔ  reason: contains not printable characters */
    public void m7198() {
        this.f6580.m7155(this.f6591);
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    boolean m7199() {
        if (!this.f6587) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(new int[]{16843611});
            this.f6586 = obtainStyledAttributes.getBoolean(0, true);
            obtainStyledAttributes.recycle();
            this.f6587 = true;
        }
        return this.f6586;
    }

    @Override // androidx.appcompat.app.t, android.app.Dialog
    public void setContentView(View view) {
        super.setContentView(m7195(0, view, null));
    }

    @Override // androidx.appcompat.app.t, android.app.Dialog
    public void setContentView(View view, ViewGroup.LayoutParams layoutParams) {
        super.setContentView(m7195(0, view, layoutParams));
    }

    /* compiled from: BottomSheetDialog.java */
    /* loaded from: classes.dex */
    class e extends BottomSheetBehavior.g {
        e() {
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.g
        /* renamed from: ʽ */
        public void mo7181(View view, int i6) {
            if (i6 == 5) {
                a.this.cancel();
            }
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.g
        /* renamed from: ʼ */
        public void mo7180(View view, float f6) {
        }
    }
}
