package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Layout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import androidx.appcompat.widget.f;
import androidx.core.view.z0;
import androidx.core.widget.c0;
import c2.j;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.y;
import java.util.Iterator;
import java.util.LinkedHashSet;
import v2.h;
import v2.k;
import v2.n;
/* loaded from: classes.dex */
public class MaterialButton extends f implements Checkable, n {

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static final int[] f6607 = {16842911};

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static final int[] f6608 = {16842912};

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static final int f6609 = j.Widget_MaterialComponents_Button;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final com.google.android.material.button.a f6610;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final LinkedHashSet<a> f6611;

    /* renamed from: ˊ  reason: contains not printable characters */
    private b f6612;

    /* renamed from: ˋ  reason: contains not printable characters */
    private PorterDuff.Mode f6613;

    /* renamed from: ˎ  reason: contains not printable characters */
    private ColorStateList f6614;

    /* renamed from: ˏ  reason: contains not printable characters */
    private Drawable f6615;

    /* renamed from: ˑ  reason: contains not printable characters */
    private String f6616;

    /* renamed from: י  reason: contains not printable characters */
    private int f6617;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f6618;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f6619;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private int f6620;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f6621;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f6622;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f6623;

    /* loaded from: classes.dex */
    public interface a {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m7215(MaterialButton materialButton, boolean z5);
    }

    /* loaded from: classes.dex */
    interface b {
        /* renamed from: ʻ  reason: contains not printable characters */
        void mo7216(MaterialButton materialButton, boolean z5);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class c extends z.a {
        public static final Parcelable.Creator<c> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        boolean f6624;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<c> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public c createFromParcel(Parcel parcel) {
                return new c(parcel, null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public c createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new c(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public c[] newArray(int i6) {
                return new c[i6];
            }
        }

        public c(Parcelable parcelable) {
            super(parcelable);
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        private void m7217(Parcel parcel) {
            boolean z5 = true;
            if (parcel.readInt() != 1) {
                z5 = false;
            }
            this.f6624 = z5;
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeInt(this.f6624 ? 1 : 0);
        }

        public c(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            if (classLoader == null) {
                getClass().getClassLoader();
            }
            m7217(parcel);
        }
    }

    public MaterialButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.materialButtonStyle);
    }

    private Layout.Alignment getActualTextAlignment() {
        int textAlignment = getTextAlignment();
        if (textAlignment != 1) {
            if (textAlignment != 6 && textAlignment != 3) {
                if (textAlignment != 4) {
                    return Layout.Alignment.ALIGN_NORMAL;
                }
                return Layout.Alignment.ALIGN_CENTER;
            }
            return Layout.Alignment.ALIGN_OPPOSITE;
        }
        return getGravityTextAlignment();
    }

    private Layout.Alignment getGravityTextAlignment() {
        int gravity = getGravity() & 8388615;
        if (gravity != 1) {
            if (gravity != 5 && gravity != 8388613) {
                return Layout.Alignment.ALIGN_NORMAL;
            }
            return Layout.Alignment.ALIGN_OPPOSITE;
        }
        return Layout.Alignment.ALIGN_CENTER;
    }

    private int getTextHeight() {
        if (getLineCount() > 1) {
            return getLayout().getHeight();
        }
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        Rect rect = new Rect();
        paint.getTextBounds(charSequence, 0, charSequence.length(), rect);
        return Math.min(rect.height(), getLayout().getHeight());
    }

    private int getTextLayoutWidth() {
        int lineCount = getLineCount();
        float f6 = 0.0f;
        for (int i6 = 0; i6 < lineCount; i6++) {
            f6 = Math.max(f6, getLayout().getLineWidth(i6));
        }
        return (int) Math.ceil(f6);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private boolean m7206() {
        int i6 = this.f6623;
        if (i6 != 3 && i6 != 4) {
            return false;
        }
        return true;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m7207() {
        int i6 = this.f6623;
        if (i6 == 1 || i6 == 2) {
            return true;
        }
        return false;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private boolean m7208() {
        int i6 = this.f6623;
        if (i6 != 16 && i6 != 32) {
            return false;
        }
        return true;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m7209() {
        if (z0.m3395(this) == 1) {
            return true;
        }
        return false;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m7210() {
        com.google.android.material.button.a aVar = this.f6610;
        if (aVar != null && !aVar.m7273()) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m7211() {
        if (m7207()) {
            c0.m3704(this, this.f6615, null, null, null);
        } else if (m7206()) {
            c0.m3704(this, null, null, this.f6615, null);
        } else if (m7208()) {
            c0.m3704(this, null, this.f6615, null, null);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m7212(boolean z5) {
        Drawable drawable = this.f6615;
        boolean z6 = true;
        if (drawable != null) {
            Drawable mutate = androidx.core.graphics.drawable.a.m2433(drawable).mutate();
            this.f6615 = mutate;
            androidx.core.graphics.drawable.a.m2430(mutate, this.f6614);
            PorterDuff.Mode mode = this.f6613;
            if (mode != null) {
                androidx.core.graphics.drawable.a.m2431(this.f6615, mode);
            }
            int i6 = this.f6617;
            if (i6 == 0) {
                i6 = this.f6615.getIntrinsicWidth();
            }
            int i7 = this.f6617;
            if (i7 == 0) {
                i7 = this.f6615.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f6615;
            int i8 = this.f6618;
            int i9 = this.f6619;
            drawable2.setBounds(i8, i9, i6 + i8, i7 + i9);
            this.f6615.setVisible(true, z5);
        }
        if (z5) {
            m7211();
            return;
        }
        Drawable[] m3696 = c0.m3696(this);
        Drawable drawable3 = m3696[0];
        Drawable drawable4 = m3696[1];
        Drawable drawable5 = m3696[2];
        if ((!m7207() || drawable3 == this.f6615) && ((!m7206() || drawable5 == this.f6615) && (!m7208() || drawable4 == this.f6615))) {
            z6 = false;
        }
        if (z6) {
            m7211();
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m7213(int i6, int i7) {
        if (this.f6615 != null && getLayout() != null) {
            if (!m7207() && !m7206()) {
                if (m7208()) {
                    this.f6618 = 0;
                    if (this.f6623 == 16) {
                        this.f6619 = 0;
                        m7212(false);
                        return;
                    }
                    int i8 = this.f6617;
                    if (i8 == 0) {
                        i8 = this.f6615.getIntrinsicHeight();
                    }
                    int max = Math.max(0, (((((i7 - getTextHeight()) - getPaddingTop()) - i8) - this.f6620) - getPaddingBottom()) / 2);
                    if (this.f6619 != max) {
                        this.f6619 = max;
                        m7212(false);
                        return;
                    }
                    return;
                }
                return;
            }
            this.f6619 = 0;
            Layout.Alignment actualTextAlignment = getActualTextAlignment();
            int i9 = this.f6623;
            boolean z5 = true;
            if (i9 != 1 && i9 != 3 && ((i9 != 2 || actualTextAlignment != Layout.Alignment.ALIGN_NORMAL) && (i9 != 4 || actualTextAlignment != Layout.Alignment.ALIGN_OPPOSITE))) {
                int i10 = this.f6617;
                if (i10 == 0) {
                    i10 = this.f6615.getIntrinsicWidth();
                }
                int textLayoutWidth = ((((i6 - getTextLayoutWidth()) - z0.m3423(this)) - i10) - this.f6620) - z0.m3427(this);
                if (actualTextAlignment == Layout.Alignment.ALIGN_CENTER) {
                    textLayoutWidth /= 2;
                }
                boolean m7209 = m7209();
                if (this.f6623 != 4) {
                    z5 = false;
                }
                if (m7209 != z5) {
                    textLayoutWidth = -textLayoutWidth;
                }
                if (this.f6618 != textLayoutWidth) {
                    this.f6618 = textLayoutWidth;
                    m7212(false);
                    return;
                }
                return;
            }
            this.f6618 = 0;
            m7212(false);
        }
    }

    String getA11yClassName() {
        Class cls;
        if (!TextUtils.isEmpty(this.f6616)) {
            return this.f6616;
        }
        if (m7214()) {
            cls = CompoundButton.class;
        } else {
            cls = Button.class;
        }
        return cls.getName();
    }

    @Override // android.view.View
    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    @Override // android.view.View
    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    public int getCornerRadius() {
        if (m7210()) {
            return this.f6610.m7258();
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.f6615;
    }

    public int getIconGravity() {
        return this.f6623;
    }

    public int getIconPadding() {
        return this.f6620;
    }

    public int getIconSize() {
        return this.f6617;
    }

    public ColorStateList getIconTint() {
        return this.f6614;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f6613;
    }

    public int getInsetBottom() {
        return this.f6610.m7260();
    }

    public int getInsetTop() {
        return this.f6610.m7262();
    }

    public ColorStateList getRippleColor() {
        if (m7210()) {
            return this.f6610.m7266();
        }
        return null;
    }

    public k getShapeAppearanceModel() {
        if (m7210()) {
            return this.f6610.m7268();
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (m7210()) {
            return this.f6610.m7269();
        }
        return null;
    }

    public int getStrokeWidth() {
        if (m7210()) {
            return this.f6610.m7270();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.f, androidx.core.view.w0
    public ColorStateList getSupportBackgroundTintList() {
        if (m7210()) {
            return this.f6610.m7271();
        }
        return super.getSupportBackgroundTintList();
    }

    @Override // androidx.appcompat.widget.f, androidx.core.view.w0
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (m7210()) {
            return this.f6610.m7272();
        }
        return super.getSupportBackgroundTintMode();
    }

    @Override // android.widget.Checkable
    public boolean isChecked() {
        return this.f6621;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.widget.TextView, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (m7210()) {
            h.m13734(this, this.f6610.m7265());
        }
    }

    @Override // android.widget.TextView, android.view.View
    protected int[] onCreateDrawableState(int i6) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i6 + 2);
        if (m7214()) {
            View.mergeDrawableStates(onCreateDrawableState, f6607);
        }
        if (isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f6608);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.widget.f, android.view.View
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // androidx.appcompat.widget.f, android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(m7214());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    @Override // androidx.appcompat.widget.f, android.widget.TextView, android.view.View
    protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        com.google.android.material.button.a aVar;
        super.onLayout(z5, i6, i7, i8, i9);
        if (Build.VERSION.SDK_INT == 21 && (aVar = this.f6610) != null) {
            aVar.m7267(i9 - i7, i8 - i6);
        }
        m7213(getMeasuredWidth(), getMeasuredHeight());
    }

    @Override // android.widget.TextView, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof c)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        c cVar = (c) parcelable;
        super.onRestoreInstanceState(cVar.m14260());
        setChecked(cVar.f6624);
    }

    @Override // android.widget.TextView, android.view.View
    public Parcelable onSaveInstanceState() {
        c cVar = new c(super.onSaveInstanceState());
        cVar.f6624 = this.f6621;
        return cVar;
    }

    @Override // androidx.appcompat.widget.f, android.widget.TextView
    protected void onTextChanged(CharSequence charSequence, int i6, int i7, int i8) {
        super.onTextChanged(charSequence, i6, i7, i8);
        m7213(getMeasuredWidth(), getMeasuredHeight());
    }

    @Override // android.view.View
    public boolean performClick() {
        if (this.f6610.m7275()) {
            toggle();
        }
        return super.performClick();
    }

    @Override // android.view.View
    public void refreshDrawableState() {
        super.refreshDrawableState();
        if (this.f6615 != null) {
            if (this.f6615.setState(getDrawableState())) {
                invalidate();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setA11yClassName(String str) {
        this.f6616 = str;
    }

    @Override // android.view.View
    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    @Override // android.view.View
    public void setBackgroundColor(int i6) {
        if (m7210()) {
            this.f6610.m7279(i6);
        } else {
            super.setBackgroundColor(i6);
        }
    }

    @Override // androidx.appcompat.widget.f, android.view.View
    public void setBackgroundDrawable(Drawable drawable) {
        if (m7210()) {
            if (drawable != getBackground()) {
                Log.w("MaterialButton", "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
                this.f6610.m7280();
                super.setBackgroundDrawable(drawable);
                return;
            }
            getBackground().setState(drawable.getState());
            return;
        }
        super.setBackgroundDrawable(drawable);
    }

    @Override // androidx.appcompat.widget.f, android.view.View
    public void setBackgroundResource(int i6) {
        Drawable drawable;
        if (i6 != 0) {
            drawable = f.a.m9499(getContext(), i6);
        } else {
            drawable = null;
        }
        setBackgroundDrawable(drawable);
    }

    @Override // android.view.View
    public void setBackgroundTintList(ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    @Override // android.view.View
    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z5) {
        if (m7210()) {
            this.f6610.m7281(z5);
        }
    }

    @Override // android.widget.Checkable
    public void setChecked(boolean z5) {
        if (m7214() && isEnabled() && this.f6621 != z5) {
            this.f6621 = z5;
            refreshDrawableState();
            if (getParent() instanceof MaterialButtonToggleGroup) {
                ((MaterialButtonToggleGroup) getParent()).m7239(this, this.f6621);
            }
            if (this.f6622) {
                return;
            }
            this.f6622 = true;
            Iterator<a> it = this.f6611.iterator();
            while (it.hasNext()) {
                it.next().m7215(this, this.f6621);
            }
            this.f6622 = false;
        }
    }

    public void setCornerRadius(int i6) {
        if (m7210()) {
            this.f6610.m7282(i6);
        }
    }

    public void setCornerRadiusResource(int i6) {
        if (m7210()) {
            setCornerRadius(getResources().getDimensionPixelSize(i6));
        }
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        if (m7210()) {
            this.f6610.m7265().m13723(f6);
        }
    }

    public void setIcon(Drawable drawable) {
        if (this.f6615 != drawable) {
            this.f6615 = drawable;
            m7212(true);
            m7213(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconGravity(int i6) {
        if (this.f6623 != i6) {
            this.f6623 = i6;
            m7213(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconPadding(int i6) {
        if (this.f6620 != i6) {
            this.f6620 = i6;
            setCompoundDrawablePadding(i6);
        }
    }

    public void setIconResource(int i6) {
        Drawable drawable;
        if (i6 != 0) {
            drawable = f.a.m9499(getContext(), i6);
        } else {
            drawable = null;
        }
        setIcon(drawable);
    }

    public void setIconSize(int i6) {
        if (i6 >= 0) {
            if (this.f6617 != i6) {
                this.f6617 = i6;
                m7212(true);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("iconSize cannot be less than 0");
    }

    public void setIconTint(ColorStateList colorStateList) {
        if (this.f6614 != colorStateList) {
            this.f6614 = colorStateList;
            m7212(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.f6613 != mode) {
            this.f6613 = mode;
            m7212(false);
        }
    }

    public void setIconTintResource(int i6) {
        setIconTint(f.a.m9498(getContext(), i6));
    }

    public void setInsetBottom(int i6) {
        this.f6610.m7283(i6);
    }

    public void setInsetTop(int i6) {
        this.f6610.m7284(i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setOnPressedChangeListenerInternal(b bVar) {
        this.f6612 = bVar;
    }

    @Override // android.view.View
    public void setPressed(boolean z5) {
        b bVar = this.f6612;
        if (bVar != null) {
            bVar.mo7216(this, z5);
        }
        super.setPressed(z5);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (m7210()) {
            this.f6610.m7285(colorStateList);
        }
    }

    public void setRippleColorResource(int i6) {
        if (m7210()) {
            setRippleColor(f.a.m9498(getContext(), i6));
        }
    }

    @Override // v2.n
    public void setShapeAppearanceModel(k kVar) {
        if (m7210()) {
            this.f6610.m7286(kVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setShouldDrawSurfaceColorStroke(boolean z5) {
        if (m7210()) {
            this.f6610.m7276(z5);
        }
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        if (m7210()) {
            this.f6610.m7278(colorStateList);
        }
    }

    public void setStrokeColorResource(int i6) {
        if (m7210()) {
            setStrokeColor(f.a.m9498(getContext(), i6));
        }
    }

    public void setStrokeWidth(int i6) {
        if (m7210()) {
            this.f6610.m7257(i6);
        }
    }

    public void setStrokeWidthResource(int i6) {
        if (m7210()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i6));
        }
    }

    @Override // androidx.appcompat.widget.f, androidx.core.view.w0
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (m7210()) {
            this.f6610.m7261(colorStateList);
        } else {
            super.setSupportBackgroundTintList(colorStateList);
        }
    }

    @Override // androidx.appcompat.widget.f, androidx.core.view.w0
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        if (m7210()) {
            this.f6610.m7259(mode);
        } else {
            super.setSupportBackgroundTintMode(mode);
        }
    }

    @Override // android.view.View
    public void setTextAlignment(int i6) {
        super.setTextAlignment(i6);
        m7213(getMeasuredWidth(), getMeasuredHeight());
    }

    public void setToggleCheckedStateOnClick(boolean z5) {
        this.f6610.m7264(z5);
    }

    @Override // android.widget.Checkable
    public void toggle() {
        setChecked(!this.f6621);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7214() {
        com.google.android.material.button.a aVar = this.f6610;
        if (aVar != null && aVar.m7274()) {
            return true;
        }
        return false;
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public MaterialButton(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14289(context, attributeSet, i6, r6), attributeSet, i6);
        int i7 = f6609;
        this.f6611 = new LinkedHashSet<>();
        this.f6621 = false;
        this.f6622 = false;
        Context context2 = getContext();
        TypedArray m8101 = y.m8101(context2, attributeSet, c2.k.f5772, i6, i7, new int[0]);
        this.f6620 = m8101.getDimensionPixelSize(c2.k.f5786, 0);
        this.f6613 = b0.m7971(m8101.getInt(c2.k.f5789, -1), PorterDuff.Mode.SRC_IN);
        this.f6614 = s2.c.m13185(getContext(), m8101, c2.k.f5788);
        this.f6615 = s2.c.m13188(getContext(), m8101, c2.k.f5783);
        this.f6623 = m8101.getInteger(c2.k.f5785, 1);
        this.f6617 = m8101.getDimensionPixelSize(c2.k.f5787, 0);
        com.google.android.material.button.a aVar = new com.google.android.material.button.a(this, k.m13740(context2, attributeSet, i6, i7).m13778());
        this.f6610 = aVar;
        aVar.m7277(m8101);
        m8101.recycle();
        setCompoundDrawablePadding(this.f6620);
        m7212(this.f6615 != null);
    }
}
