package com.google.android.material.button;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.ToggleButton;
import androidx.core.view.accessibility.j0;
import androidx.core.view.u;
import androidx.core.view.z0;
import c2.j;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.y;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;
import java.util.TreeMap;
import v2.k;
/* loaded from: classes.dex */
public class MaterialButtonToggleGroup extends LinearLayout {

    /* renamed from: י  reason: contains not printable characters */
    private static final int f6625 = j.Widget_MaterialComponents_MaterialButtonToggleGroup;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final List<c> f6626;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final e f6627;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final LinkedHashSet<d> f6628;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final Comparator<MaterialButton> f6629;

    /* renamed from: ˉ  reason: contains not printable characters */
    private Integer[] f6630;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f6631;

    /* renamed from: ˋ  reason: contains not printable characters */
    private boolean f6632;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f6633;

    /* renamed from: ˏ  reason: contains not printable characters */
    private final int f6634;

    /* renamed from: ˑ  reason: contains not printable characters */
    private Set<Integer> f6635;

    /* loaded from: classes.dex */
    class a implements Comparator<MaterialButton> {
        a() {
        }

        @Override // java.util.Comparator
        /* renamed from: ʻ  reason: contains not printable characters */
        public int compare(MaterialButton materialButton, MaterialButton materialButton2) {
            int compareTo = Boolean.valueOf(materialButton.isChecked()).compareTo(Boolean.valueOf(materialButton2.isChecked()));
            if (compareTo != 0) {
                return compareTo;
            }
            int compareTo2 = Boolean.valueOf(materialButton.isPressed()).compareTo(Boolean.valueOf(materialButton2.isPressed()));
            if (compareTo2 != 0) {
                return compareTo2;
            }
            return Integer.valueOf(MaterialButtonToggleGroup.this.indexOfChild(materialButton)).compareTo(Integer.valueOf(MaterialButtonToggleGroup.this.indexOfChild(materialButton2)));
        }
    }

    /* loaded from: classes.dex */
    class b extends androidx.core.view.a {
        b() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            j0Var.m2837(j0.c.m2902(0, 1, MaterialButtonToggleGroup.this.m7227(view), 1, false, ((MaterialButton) view).isChecked()));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class c {

        /* renamed from: ʿ  reason: contains not printable characters */
        private static final v2.c f6638 = new v2.a(0.0f);

        /* renamed from: ʻ  reason: contains not printable characters */
        v2.c f6639;

        /* renamed from: ʼ  reason: contains not printable characters */
        v2.c f6640;

        /* renamed from: ʽ  reason: contains not printable characters */
        v2.c f6641;

        /* renamed from: ʾ  reason: contains not printable characters */
        v2.c f6642;

        c(v2.c cVar, v2.c cVar2, v2.c cVar3, v2.c cVar4) {
            this.f6639 = cVar;
            this.f6640 = cVar3;
            this.f6641 = cVar4;
            this.f6642 = cVar2;
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public static c m7242(c cVar) {
            v2.c cVar2 = f6638;
            return new c(cVar2, cVar.f6642, cVar2, cVar.f6641);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public static c m7243(c cVar, View view) {
            if (b0.m7969(view)) {
                return m7244(cVar);
            }
            return m7245(cVar);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public static c m7244(c cVar) {
            v2.c cVar2 = cVar.f6639;
            v2.c cVar3 = cVar.f6642;
            v2.c cVar4 = f6638;
            return new c(cVar2, cVar3, cVar4, cVar4);
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public static c m7245(c cVar) {
            v2.c cVar2 = f6638;
            return new c(cVar2, cVar2, cVar.f6640, cVar.f6641);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        public static c m7246(c cVar, View view) {
            if (b0.m7969(view)) {
                return m7245(cVar);
            }
            return m7244(cVar);
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public static c m7247(c cVar) {
            v2.c cVar2 = cVar.f6639;
            v2.c cVar3 = f6638;
            return new c(cVar2, cVar3, cVar.f6640, cVar3);
        }
    }

    /* loaded from: classes.dex */
    public interface d {
        /* renamed from: ʻ  reason: contains not printable characters */
        void mo7248(MaterialButtonToggleGroup materialButtonToggleGroup, int i6, boolean z5);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class e implements MaterialButton.b {
        private e() {
        }

        @Override // com.google.android.material.button.MaterialButton.b
        /* renamed from: ʻ */
        public void mo7216(MaterialButton materialButton, boolean z5) {
            MaterialButtonToggleGroup.this.invalidate();
        }

        /* synthetic */ e(MaterialButtonToggleGroup materialButtonToggleGroup, a aVar) {
            this();
        }
    }

    public MaterialButtonToggleGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.materialButtonToggleGroupStyle);
    }

    private int getFirstVisibleChildIndex() {
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            if (m7229(i6)) {
                return i6;
            }
        }
        return -1;
    }

    private int getLastVisibleChildIndex() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            if (m7229(childCount)) {
                return childCount;
            }
        }
        return -1;
    }

    private int getVisibleButtonCount() {
        int i6 = 0;
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            if ((getChildAt(i7) instanceof MaterialButton) && m7229(i7)) {
                i6++;
            }
        }
        return i6;
    }

    private void setGeneratedIdIfNeeded(MaterialButton materialButton) {
        if (materialButton.getId() == -1) {
            materialButton.setId(z0.m3436());
        }
    }

    private void setupButtonChild(MaterialButton materialButton) {
        materialButton.setMaxLines(1);
        materialButton.setEllipsize(TextUtils.TruncateAt.END);
        materialButton.setCheckable(true);
        materialButton.setOnPressedChangeListenerInternal(this.f6627);
        materialButton.setShouldDrawSurfaceColorStroke(true);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m7222() {
        int firstVisibleChildIndex = getFirstVisibleChildIndex();
        if (firstVisibleChildIndex == -1) {
            return;
        }
        for (int i6 = firstVisibleChildIndex + 1; i6 < getChildCount(); i6++) {
            MaterialButton m7226 = m7226(i6);
            int min = Math.min(m7226.getStrokeWidth(), m7226(i6 - 1).getStrokeWidth());
            LinearLayout.LayoutParams m7223 = m7223(m7226);
            if (getOrientation() == 0) {
                u.m3320(m7223, 0);
                u.m3321(m7223, -min);
                m7223.topMargin = 0;
            } else {
                m7223.bottomMargin = 0;
                m7223.topMargin = -min;
                u.m3321(m7223, 0);
            }
            m7226.setLayoutParams(m7223);
        }
        m7230(firstVisibleChildIndex);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private LinearLayout.LayoutParams m7223(View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams instanceof LinearLayout.LayoutParams) {
            return (LinearLayout.LayoutParams) layoutParams;
        }
        return new LinearLayout.LayoutParams(layoutParams.width, layoutParams.height);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m7224(int i6, boolean z5) {
        if (i6 == -1) {
            Log.e("MButtonToggleGroup", "Button ID is not valid: " + i6);
            return;
        }
        HashSet hashSet = new HashSet(this.f6635);
        if (z5 && !hashSet.contains(Integer.valueOf(i6))) {
            if (this.f6632 && !hashSet.isEmpty()) {
                hashSet.clear();
            }
            hashSet.add(Integer.valueOf(i6));
        } else if (!z5 && hashSet.contains(Integer.valueOf(i6))) {
            if (!this.f6633 || hashSet.size() > 1) {
                hashSet.remove(Integer.valueOf(i6));
            }
        } else {
            return;
        }
        m7233(hashSet);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private void m7225(int i6, boolean z5) {
        Iterator<d> it = this.f6628.iterator();
        while (it.hasNext()) {
            it.next().mo7248(this, i6, z5);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private MaterialButton m7226(int i6) {
        return (MaterialButton) getChildAt(i6);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public int m7227(View view) {
        if (!(view instanceof MaterialButton)) {
            return -1;
        }
        int i6 = 0;
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            if (getChildAt(i7) == view) {
                return i6;
            }
            if ((getChildAt(i7) instanceof MaterialButton) && m7229(i7)) {
                i6++;
            }
        }
        return -1;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private c m7228(int i6, int i7, int i8) {
        boolean z5;
        c cVar = this.f6626.get(i6);
        if (i7 == i8) {
            return cVar;
        }
        if (getOrientation() == 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (i6 == i7) {
            if (z5) {
                return c.m7246(cVar, this);
            }
            return c.m7247(cVar);
        } else if (i6 == i8) {
            if (z5) {
                return c.m7243(cVar, this);
            }
            return c.m7242(cVar);
        } else {
            return null;
        }
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean m7229(int i6) {
        if (getChildAt(i6).getVisibility() != 8) {
            return true;
        }
        return false;
    }

    /* renamed from: י  reason: contains not printable characters */
    private void m7230(int i6) {
        if (getChildCount() != 0 && i6 != -1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) m7226(i6).getLayoutParams();
            if (getOrientation() == 1) {
                layoutParams.topMargin = 0;
                layoutParams.bottomMargin = 0;
                return;
            }
            u.m3320(layoutParams, 0);
            u.m3321(layoutParams, 0);
            layoutParams.leftMargin = 0;
            layoutParams.rightMargin = 0;
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private void m7231(int i6, boolean z5) {
        View findViewById = findViewById(i6);
        if (findViewById instanceof MaterialButton) {
            this.f6631 = true;
            ((MaterialButton) findViewById).setChecked(z5);
            this.f6631 = false;
        }
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private static void m7232(k.b bVar, c cVar) {
        if (cVar == null) {
            bVar.m13779(0.0f);
        } else {
            bVar.m13784(cVar.f6639).m13786(cVar.f6642).m13777(cVar.f6640).m13790(cVar.f6641);
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private void m7233(Set<Integer> set) {
        Set<Integer> set2 = this.f6635;
        this.f6635 = new HashSet(set);
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            int id = m7226(i6).getId();
            m7231(id, set.contains(Integer.valueOf(id)));
            if (set2.contains(Integer.valueOf(id)) != set.contains(Integer.valueOf(id))) {
                m7225(id, set.contains(Integer.valueOf(id)));
            }
        }
        invalidate();
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private void m7234() {
        TreeMap treeMap = new TreeMap(this.f6629);
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            treeMap.put(m7226(i6), Integer.valueOf(i6));
        }
        this.f6630 = (Integer[]) treeMap.values().toArray(new Integer[0]);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private void m7235() {
        Class cls;
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            if (this.f6632) {
                cls = RadioButton.class;
            } else {
                cls = ToggleButton.class;
            }
            m7226(i6).setA11yClassName(cls.getName());
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (!(view instanceof MaterialButton)) {
            Log.e("MButtonToggleGroup", "Child views must be of type MaterialButton.");
            return;
        }
        super.addView(view, i6, layoutParams);
        MaterialButton materialButton = (MaterialButton) view;
        setGeneratedIdIfNeeded(materialButton);
        setupButtonChild(materialButton);
        m7224(materialButton.getId(), materialButton.isChecked());
        k shapeAppearanceModel = materialButton.getShapeAppearanceModel();
        this.f6626.add(new c(shapeAppearanceModel.m13753(), shapeAppearanceModel.m13746(), shapeAppearanceModel.m13755(), shapeAppearanceModel.m13748()));
        materialButton.setEnabled(isEnabled());
        z0.m3390(materialButton, new b());
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void dispatchDraw(Canvas canvas) {
        m7234();
        super.dispatchDraw(canvas);
    }

    public int getCheckedButtonId() {
        if (this.f6632 && !this.f6635.isEmpty()) {
            return this.f6635.iterator().next().intValue();
        }
        return -1;
    }

    public List<Integer> getCheckedButtonIds() {
        ArrayList arrayList = new ArrayList();
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            int id = m7226(i6).getId();
            if (this.f6635.contains(Integer.valueOf(id))) {
                arrayList.add(Integer.valueOf(id));
            }
        }
        return arrayList;
    }

    @Override // android.view.ViewGroup
    protected int getChildDrawingOrder(int i6, int i7) {
        Integer[] numArr = this.f6630;
        if (numArr != null && i7 < numArr.length) {
            return numArr[i7].intValue();
        }
        Log.w("MButtonToggleGroup", "Child order wasn't updated");
        return i7;
    }

    @Override // android.view.View
    protected void onFinishInflate() {
        super.onFinishInflate();
        int i6 = this.f6634;
        if (i6 != -1) {
            m7233(Collections.singleton(Integer.valueOf(i6)));
        }
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        int i6;
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        j0 m2813 = j0.m2813(accessibilityNodeInfo);
        int visibleButtonCount = getVisibleButtonCount();
        if (m7238()) {
            i6 = 1;
        } else {
            i6 = 2;
        }
        m2813.m2836(j0.b.m2901(1, visibleButtonCount, false, i6));
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onMeasure(int i6, int i7) {
        m7240();
        m7222();
        super.onMeasure(i6, i7);
    }

    @Override // android.view.ViewGroup
    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        if (view instanceof MaterialButton) {
            ((MaterialButton) view).setOnPressedChangeListenerInternal(null);
        }
        int indexOfChild = indexOfChild(view);
        if (indexOfChild >= 0) {
            this.f6626.remove(indexOfChild);
        }
        m7240();
        m7222();
    }

    @Override // android.view.View
    public void setEnabled(boolean z5) {
        super.setEnabled(z5);
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            m7226(i6).setEnabled(z5);
        }
    }

    public void setSelectionRequired(boolean z5) {
        this.f6633 = z5;
    }

    public void setSingleSelection(boolean z5) {
        if (this.f6632 != z5) {
            this.f6632 = z5;
            m7237();
        }
        m7235();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public void m7236(d dVar) {
        this.f6628.add(dVar);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7237() {
        m7233(new HashSet());
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public boolean m7238() {
        return this.f6632;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public void m7239(MaterialButton materialButton, boolean z5) {
        if (this.f6631) {
            return;
        }
        m7224(materialButton.getId(), z5);
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    void m7240() {
        int childCount = getChildCount();
        int firstVisibleChildIndex = getFirstVisibleChildIndex();
        int lastVisibleChildIndex = getLastVisibleChildIndex();
        for (int i6 = 0; i6 < childCount; i6++) {
            MaterialButton m7226 = m7226(i6);
            if (m7226.getVisibility() != 8) {
                k.b m13757 = m7226.getShapeAppearanceModel().m13757();
                m7232(m13757, m7228(i6, firstVisibleChildIndex, lastVisibleChildIndex));
                m7226.setShapeAppearanceModel(m13757.m13778());
            }
        }
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public MaterialButtonToggleGroup(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14289(context, attributeSet, i6, r4), attributeSet, i6);
        int i7 = f6625;
        this.f6626 = new ArrayList();
        this.f6627 = new e(this, null);
        this.f6628 = new LinkedHashSet<>();
        this.f6629 = new a();
        this.f6631 = false;
        this.f6635 = new HashSet();
        TypedArray m8101 = y.m8101(getContext(), attributeSet, c2.k.f5795, i6, i7, new int[0]);
        setSingleSelection(m8101.getBoolean(c2.k.f5799, false));
        this.f6634 = m8101.getResourceId(c2.k.f5797, -1);
        this.f6633 = m8101.getBoolean(c2.k.f5798, false);
        setChildrenDrawingOrderEnabled(true);
        setEnabled(m8101.getBoolean(c2.k.f5796, true));
        m8101.recycle();
        z0.m3403(this, 1);
    }

    public void setSingleSelection(int i6) {
        setSingleSelection(getResources().getBoolean(i6));
    }
}
