package com.google.android.material.carousel;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.material.carousel.f;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class CarouselLayoutManager extends RecyclerView.p implements com.google.android.material.carousel.b, RecyclerView.a0.b {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private com.google.android.material.carousel.c f6673;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private int f6674;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private Map<Integer, f> f6675;

    /* renamed from: ᵎ  reason: contains not printable characters */
    int f6676;

    /* renamed from: ᵔ  reason: contains not printable characters */
    int f6677;

    /* renamed from: ᵢ  reason: contains not printable characters */
    int f6678;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean f6679;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final c f6680;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private com.google.android.material.carousel.d f6681;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private g f6682;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private f f6683;

    /* loaded from: classes.dex */
    class a extends androidx.recyclerview.widget.g {
        a(Context context) {
            super(context);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.a0
        /* renamed from: ʻ */
        public PointF mo5159(int i6) {
            return CarouselLayoutManager.this.mo4974(i6);
        }

        @Override // androidx.recyclerview.widget.g
        /* renamed from: ᵔ */
        public int mo5723(View view, int i6) {
            if (CarouselLayoutManager.this.f6682 != null && CarouselLayoutManager.this.mo7332()) {
                CarouselLayoutManager carouselLayoutManager = CarouselLayoutManager.this;
                return carouselLayoutManager.m7333(carouselLayoutManager.m5346(view));
            }
            return 0;
        }

        @Override // androidx.recyclerview.widget.g
        /* renamed from: ᵢ */
        public int mo5724(View view, int i6) {
            if (CarouselLayoutManager.this.f6682 != null && !CarouselLayoutManager.this.mo7332()) {
                CarouselLayoutManager carouselLayoutManager = CarouselLayoutManager.this;
                return carouselLayoutManager.m7333(carouselLayoutManager.m5346(view));
            }
            return 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        final View f6685;

        /* renamed from: ʼ  reason: contains not printable characters */
        final float f6686;

        /* renamed from: ʽ  reason: contains not printable characters */
        final float f6687;

        /* renamed from: ʾ  reason: contains not printable characters */
        final d f6688;

        b(View view, float f6, float f7, d dVar) {
            this.f6685 = view;
            this.f6686 = f6;
            this.f6687 = f7;
            this.f6688 = dVar;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class c extends RecyclerView.o {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Paint f6689;

        /* renamed from: ʼ  reason: contains not printable characters */
        private List<f.c> f6690;

        c() {
            Paint paint = new Paint();
            this.f6689 = paint;
            this.f6690 = Collections.unmodifiableList(new ArrayList());
            paint.setStrokeWidth(5.0f);
            paint.setColor(-65281);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.o
        /* renamed from: ˊ */
        public void mo5321(Canvas canvas, RecyclerView recyclerView, RecyclerView.b0 b0Var) {
            super.mo5321(canvas, recyclerView, b0Var);
            this.f6689.setStrokeWidth(recyclerView.getResources().getDimension(c2.d.m3_carousel_debug_keyline_width));
            for (f.c cVar : this.f6690) {
                this.f6689.setColor(androidx.core.graphics.a.m2380(-65281, -16776961, cVar.f6717));
                if (((CarouselLayoutManager) recyclerView.getLayoutManager()).mo7332()) {
                    canvas.drawLine(cVar.f6716, ((CarouselLayoutManager) recyclerView.getLayoutManager()).m7316(), cVar.f6716, ((CarouselLayoutManager) recyclerView.getLayoutManager()).m7311(), this.f6689);
                } else {
                    canvas.drawLine(((CarouselLayoutManager) recyclerView.getLayoutManager()).m7313(), cVar.f6716, ((CarouselLayoutManager) recyclerView.getLayoutManager()).m7314(), cVar.f6716, this.f6689);
                }
            }
        }

        /* renamed from: ˋ  reason: contains not printable characters */
        void m7338(List<f.c> list) {
            this.f6690 = Collections.unmodifiableList(list);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class d {

        /* renamed from: ʻ  reason: contains not printable characters */
        final f.c f6691;

        /* renamed from: ʼ  reason: contains not printable characters */
        final f.c f6692;

        d(f.c cVar, f.c cVar2) {
            boolean z5;
            if (cVar.f6715 <= cVar2.f6715) {
                z5 = true;
            } else {
                z5 = false;
            }
            androidx.core.util.h.m2761(z5);
            this.f6691 = cVar;
            this.f6692 = cVar2;
        }
    }

    public CarouselLayoutManager() {
        this(new i());
    }

    /* renamed from: ʿˉ  reason: contains not printable characters */
    private void m7296(View view, int i6, b bVar) {
        float m7373 = this.f6683.m7373() / 2.0f;
        m5408(view, i6);
        float f6 = bVar.f6687;
        this.f6673.mo7357(view, (int) (f6 - m7373), (int) (f6 + m7373));
        m7327(view, bVar.f6686, bVar.f6688);
    }

    /* renamed from: ʿˊ  reason: contains not printable characters */
    private int m7297(int i6, int i7) {
        if (m7335()) {
            return i6 - i7;
        }
        return i6 + i7;
    }

    /* renamed from: ʿˋ  reason: contains not printable characters */
    private int m7298(int i6, int i7) {
        if (m7335()) {
            return i6 + i7;
        }
        return i6 - i7;
    }

    /* renamed from: ʿˎ  reason: contains not printable characters */
    private void m7299(RecyclerView.w wVar, RecyclerView.b0 b0Var, int i6) {
        int m7302 = m7302(i6);
        while (i6 < b0Var.m5183()) {
            b m7322 = m7322(wVar, m7302, i6);
            if (!m7319(m7322.f6687, m7322.f6688)) {
                m7302 = m7297(m7302, (int) this.f6683.m7373());
                if (!m7320(m7322.f6687, m7322.f6688)) {
                    m7296(m7322.f6685, -1, m7322);
                }
                i6++;
            } else {
                return;
            }
        }
    }

    /* renamed from: ʿˏ  reason: contains not printable characters */
    private void m7300(RecyclerView.w wVar, int i6) {
        int m7302 = m7302(i6);
        while (i6 >= 0) {
            b m7322 = m7322(wVar, m7302, i6);
            if (!m7320(m7322.f6687, m7322.f6688)) {
                m7302 = m7298(m7302, (int) this.f6683.m7373());
                if (!m7319(m7322.f6687, m7322.f6688)) {
                    m7296(m7322.f6685, 0, m7322);
                }
                i6--;
            } else {
                return;
            }
        }
    }

    /* renamed from: ʿˑ  reason: contains not printable characters */
    private float m7301(View view, float f6, d dVar) {
        f.c cVar = dVar.f6691;
        float f7 = cVar.f6716;
        f.c cVar2 = dVar.f6692;
        float m9176 = d2.a.m9176(f7, cVar2.f6716, cVar.f6715, cVar2.f6715, f6);
        if (dVar.f6692 == this.f6683.m7372() || dVar.f6691 == this.f6683.m7377()) {
            float mo7349 = this.f6673.mo7349((RecyclerView.q) view.getLayoutParams()) / this.f6683.m7373();
            f.c cVar3 = dVar.f6692;
            return m9176 + ((f6 - cVar3.f6715) * ((1.0f - cVar3.f6717) + mo7349));
        }
        return m9176;
    }

    /* renamed from: ʿי  reason: contains not printable characters */
    private int m7302(int i6) {
        return m7297(m7315() - this.f6676, (int) (this.f6683.m7373() * i6));
    }

    /* renamed from: ʿـ  reason: contains not printable characters */
    private int m7303(RecyclerView.b0 b0Var, g gVar) {
        f m7400;
        f.c m7375;
        float f6;
        boolean m7335 = m7335();
        if (m7335) {
            m7400 = gVar.m7404();
        } else {
            m7400 = gVar.m7400();
        }
        if (m7335) {
            m7375 = m7400.m7370();
        } else {
            m7375 = m7400.m7375();
        }
        float m5183 = ((b0Var.m5183() - 1) * m7400.m7373()) + m5341();
        if (m7335) {
            f6 = -1.0f;
        } else {
            f6 = 1.0f;
        }
        float f7 = m5183 * f6;
        float m7315 = m7375.f6715 - m7315();
        float m7312 = m7312() - m7375.f6715;
        if (Math.abs(m7315) > Math.abs(f7)) {
            return 0;
        }
        return (int) ((f7 - m7315) + m7312);
    }

    /* renamed from: ʿᐧ  reason: contains not printable characters */
    private static int m7304(int i6, int i7, int i8, int i9) {
        int i10 = i7 + i6;
        if (i10 < i8) {
            return i8 - i7;
        }
        if (i10 > i9) {
            return i9 - i7;
        }
        return i6;
    }

    /* renamed from: ʿᴵ  reason: contains not printable characters */
    private int m7305(g gVar) {
        f m7404;
        f.c m7370;
        int i6;
        boolean m7335 = m7335();
        if (m7335) {
            m7404 = gVar.m7400();
        } else {
            m7404 = gVar.m7404();
        }
        if (m7335) {
            m7370 = m7404.m7375();
        } else {
            m7370 = m7404.m7370();
        }
        int m5344 = m5344();
        if (m7335) {
            i6 = 1;
        } else {
            i6 = -1;
        }
        return (int) (((m5344 * i6) + m7315()) - m7298((int) m7370.f6715, (int) (m7404.m7373() / 2.0f)));
    }

    /* renamed from: ʿᵎ  reason: contains not printable characters */
    private void m7306(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        m7325(wVar);
        if (m5410() == 0) {
            m7300(wVar, this.f6674 - 1);
            m7299(wVar, b0Var, this.f6674);
        } else {
            int m5346 = m5346(m5411(0));
            int m53462 = m5346(m5411(m5410() - 1));
            m7300(wVar, m5346 - 1);
            m7299(wVar, b0Var, m53462 + 1);
        }
        m7329();
    }

    /* renamed from: ʿᵔ  reason: contains not printable characters */
    private int m7307() {
        if (mo7332()) {
            return mo7330();
        }
        return mo7331();
    }

    /* renamed from: ʿᵢ  reason: contains not printable characters */
    private float m7308(View view) {
        Rect rect = new Rect();
        super.mo5419(view, rect);
        return rect.centerX();
    }

    /* renamed from: ʿⁱ  reason: contains not printable characters */
    private f m7309(int i6) {
        f fVar;
        Map<Integer, f> map = this.f6675;
        if (map != null && (fVar = map.get(Integer.valueOf(v.a.m13580(i6, 0, Math.max(0, m5335() - 1))))) != null) {
            return fVar;
        }
        return this.f6682.m7399();
    }

    /* renamed from: ʿﹳ  reason: contains not printable characters */
    private float m7310(float f6, d dVar) {
        f.c cVar = dVar.f6691;
        float f7 = cVar.f6718;
        f.c cVar2 = dVar.f6692;
        return d2.a.m9176(f7, cVar2.f6718, cVar.f6716, cVar2.f6716, f6);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʿﾞ  reason: contains not printable characters */
    public int m7311() {
        return this.f6673.mo7351();
    }

    /* renamed from: ˆʻ  reason: contains not printable characters */
    private int m7312() {
        return this.f6673.mo7352();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˆʼ  reason: contains not printable characters */
    public int m7313() {
        return this.f6673.mo7353();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˆʽ  reason: contains not printable characters */
    public int m7314() {
        return this.f6673.mo7354();
    }

    /* renamed from: ˆʾ  reason: contains not printable characters */
    private int m7315() {
        return this.f6673.mo7355();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˆʿ  reason: contains not printable characters */
    public int m7316() {
        return this.f6673.mo7356();
    }

    /* renamed from: ˆˈ  reason: contains not printable characters */
    private int m7317(int i6, f fVar) {
        if (m7335()) {
            return (int) (((m7307() - fVar.m7375().f6715) - (i6 * fVar.m7373())) - (fVar.m7373() / 2.0f));
        }
        return (int) (((i6 * fVar.m7373()) - fVar.m7370().f6715) + (fVar.m7373() / 2.0f));
    }

    /* renamed from: ˆˉ  reason: contains not printable characters */
    private static d m7318(List<f.c> list, float f6, boolean z5) {
        float f7;
        float f8 = Float.MAX_VALUE;
        float f9 = Float.MAX_VALUE;
        float f10 = Float.MAX_VALUE;
        float f11 = -3.4028235E38f;
        int i6 = -1;
        int i7 = -1;
        int i8 = -1;
        int i9 = -1;
        for (int i10 = 0; i10 < list.size(); i10++) {
            f.c cVar = list.get(i10);
            if (z5) {
                f7 = cVar.f6716;
            } else {
                f7 = cVar.f6715;
            }
            float abs = Math.abs(f7 - f6);
            if (f7 <= f6 && abs <= f8) {
                i6 = i10;
                f8 = abs;
            }
            if (f7 > f6 && abs <= f9) {
                i8 = i10;
                f9 = abs;
            }
            if (f7 <= f10) {
                i7 = i10;
                f10 = f7;
            }
            if (f7 > f11) {
                i9 = i10;
                f11 = f7;
            }
        }
        if (i6 == -1) {
            i6 = i7;
        }
        if (i8 == -1) {
            i8 = i9;
        }
        return new d(list.get(i6), list.get(i8));
    }

    /* renamed from: ˆˋ  reason: contains not printable characters */
    private boolean m7319(float f6, d dVar) {
        int m7298 = m7298((int) f6, (int) (m7310(f6, dVar) / 2.0f));
        if (m7335()) {
            if (m7298 < 0) {
                return true;
            }
        } else if (m7298 > m7307()) {
            return true;
        }
        return false;
    }

    /* renamed from: ˆˎ  reason: contains not printable characters */
    private boolean m7320(float f6, d dVar) {
        int m7297 = m7297((int) f6, (int) (m7310(f6, dVar) / 2.0f));
        if (m7335()) {
            if (m7297 > m7307()) {
                return true;
            }
        } else if (m7297 < 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ˆˏ  reason: contains not printable characters */
    private void m7321() {
        if (this.f6679 && Log.isLoggable("CarouselLayoutManager", 3)) {
            Log.d("CarouselLayoutManager", "internal representation of views on the screen");
            for (int i6 = 0; i6 < m5410(); i6++) {
                View m5411 = m5411(i6);
                float m7308 = m7308(m5411);
                Log.d("CarouselLayoutManager", "item position " + m5346(m5411) + ", center:" + m7308 + ", child index:" + i6);
            }
            Log.d("CarouselLayoutManager", "==============");
        }
    }

    /* renamed from: ˆˑ  reason: contains not printable characters */
    private b m7322(RecyclerView.w wVar, float f6, int i6) {
        View m5489 = wVar.m5489(i6);
        mo5361(m5489, 0, 0);
        float m7297 = m7297((int) f6, (int) (this.f6683.m7373() / 2.0f));
        d m7318 = m7318(this.f6683.m7374(), m7297, false);
        return new b(m5489, m7297, m7301(m5489, m7297, m7318), m7318);
    }

    /* renamed from: ˆי  reason: contains not printable characters */
    private void m7323(View view, float f6, float f7, Rect rect) {
        float m7297 = m7297((int) f6, (int) f7);
        d m7318 = m7318(this.f6683.m7374(), m7297, false);
        float m7301 = m7301(view, m7297, m7318);
        super.mo5419(view, rect);
        m7327(view, m7297, m7318);
        this.f6673.mo7359(view, rect, f7, m7301);
    }

    /* renamed from: ˆـ  reason: contains not printable characters */
    private void m7324() {
        this.f6682 = null;
        m5393();
    }

    /* renamed from: ˆٴ  reason: contains not printable characters */
    private void m7325(RecyclerView.w wVar) {
        while (m5410() > 0) {
            View m5411 = m5411(0);
            float m7308 = m7308(m5411);
            if (!m7320(m7308, m7318(this.f6683.m7374(), m7308, true))) {
                break;
            }
            m5386(m5411, wVar);
        }
        while (m5410() - 1 >= 0) {
            View m54112 = m5411(m5410() - 1);
            float m73082 = m7308(m54112);
            if (m7319(m73082, m7318(this.f6683.m7374(), m73082, true))) {
                m5386(m54112, wVar);
            } else {
                return;
            }
        }
    }

    /* renamed from: ˆᐧ  reason: contains not printable characters */
    private int m7326(int i6, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (m5410() == 0 || i6 == 0) {
            return 0;
        }
        int m7304 = m7304(i6, this.f6676, this.f6677, this.f6678);
        this.f6676 += m7304;
        m7328();
        float m7373 = this.f6683.m7373() / 2.0f;
        int m7302 = m7302(m5346(m5411(0)));
        Rect rect = new Rect();
        for (int i7 = 0; i7 < m5410(); i7++) {
            m7323(m5411(i7), m7302, m7373, rect);
            m7302 = m7297(m7302, (int) this.f6683.m7373());
        }
        m7306(wVar, b0Var);
        return m7304;
    }

    /* renamed from: ˆᵔ  reason: contains not printable characters */
    private void m7327(View view, float f6, d dVar) {
        if (!(view instanceof h)) {
            return;
        }
        f.c cVar = dVar.f6691;
        float f7 = cVar.f6717;
        f.c cVar2 = dVar.f6692;
        float m9176 = d2.a.m9176(f7, cVar2.f6717, cVar.f6715, cVar2.f6715, f6);
        float height = view.getHeight();
        float width = view.getWidth();
        RectF mo7350 = this.f6673.mo7350(height, width, d2.a.m9176(0.0f, height / 2.0f, 0.0f, 1.0f, m9176), d2.a.m9176(0.0f, width / 2.0f, 0.0f, 1.0f, m9176));
        float m7301 = m7301(view, f6, dVar);
        RectF rectF = new RectF(m7301 - (mo7350.width() / 2.0f), m7301 - (mo7350.height() / 2.0f), m7301 + (mo7350.width() / 2.0f), (mo7350.height() / 2.0f) + m7301);
        RectF rectF2 = new RectF(m7313(), m7316(), m7314(), m7311());
        if (this.f6681.m7361()) {
            this.f6673.mo7348(mo7350, rectF, rectF2);
        }
        this.f6673.mo7358(mo7350, rectF, rectF2);
        ((h) view).m7405(mo7350);
    }

    /* renamed from: ˆᵢ  reason: contains not printable characters */
    private void m7328() {
        f m7404;
        int i6 = this.f6678;
        int i7 = this.f6677;
        if (i6 <= i7) {
            if (m7335()) {
                m7404 = this.f6682.m7400();
            } else {
                m7404 = this.f6682.m7404();
            }
            this.f6683 = m7404;
        } else {
            this.f6683 = this.f6682.m7402(this.f6676, i7, i6);
        }
        this.f6680.m7338(this.f6683.m7374());
    }

    /* renamed from: ˆⁱ  reason: contains not printable characters */
    private void m7329() {
        if (this.f6679 && m5410() >= 1) {
            int i6 = 0;
            while (i6 < m5410() - 1) {
                int m5346 = m5346(m5411(i6));
                int i7 = i6 + 1;
                int m53462 = m5346(m5411(i7));
                if (m5346 <= m53462) {
                    i6 = i7;
                } else {
                    m7321();
                    throw new IllegalStateException("Detected invalid child order. Child at index [" + i6 + "] had adapter position [" + m5346 + "] and child at index [" + i7 + "] had adapter position [" + m53462 + "].");
                }
            }
        }
    }

    @Override // com.google.android.material.carousel.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public int mo7330() {
        return m5351();
    }

    @Override // com.google.android.material.carousel.b
    /* renamed from: ʼ  reason: contains not printable characters */
    public int mo7331() {
        return m5333();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʼˎ */
    public void mo5361(View view, int i6, int i7) {
        float f6;
        float f7;
        if (view instanceof h) {
            RecyclerView.q qVar = (RecyclerView.q) view.getLayoutParams();
            Rect rect = new Rect();
            m5414(view, rect);
            int i8 = i6 + rect.left + rect.right;
            int i9 = i7 + rect.top + rect.bottom;
            g gVar = this.f6682;
            if (gVar != null && this.f6673.f6701 == 0) {
                f6 = gVar.m7399().m7373();
            } else {
                f6 = ((ViewGroup.MarginLayoutParams) qVar).width;
            }
            g gVar2 = this.f6682;
            if (gVar2 != null && this.f6673.f6701 == 1) {
                f7 = gVar2.m7399().m7373();
            } else {
                f7 = ((ViewGroup.MarginLayoutParams) qVar).height;
            }
            view.measure(RecyclerView.p.m5328(m5351(), m5352(), m5342() + m5343() + ((ViewGroup.MarginLayoutParams) qVar).leftMargin + ((ViewGroup.MarginLayoutParams) qVar).rightMargin + i8, (int) f6, mo5001()), RecyclerView.p.m5328(m5333(), m5334(), m5345() + m5340() + ((ViewGroup.MarginLayoutParams) qVar).topMargin + ((ViewGroup.MarginLayoutParams) qVar).bottomMargin + i9, (int) f7, mo5002()));
            return;
        }
        throw new IllegalStateException("All children of a RecyclerView using CarouselLayoutManager must use MaskableFrameLayout as their root ViewGroup.");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʼᵢ */
    public void mo4973(AccessibilityEvent accessibilityEvent) {
        super.mo4973(accessibilityEvent);
        if (m5410() > 0) {
            accessibilityEvent.setFromIndex(m5346(m5411(0)));
            accessibilityEvent.setToIndex(m5346(m5411(m5410() - 1)));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.a0.b
    /* renamed from: ʽ */
    public PointF mo4974(int i6) {
        if (this.f6682 == null) {
            return null;
        }
        int m7334 = m7334(i6, m7309(i6));
        if (mo7332()) {
            return new PointF(m7334, 0.0f);
        }
        return new PointF(0.0f, m7334);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˋ */
    public void mo4913(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        boolean z5;
        int i6;
        if (b0Var.m5183() <= 0) {
            m5384(wVar);
            this.f6674 = 0;
            return;
        }
        boolean m7335 = m7335();
        if (this.f6682 == null) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (z5) {
            View m5489 = wVar.m5489(0);
            mo5361(m5489, 0, 0);
            f mo7362 = this.f6681.mo7362(this, m5489);
            if (m7335) {
                mo7362 = f.m7369(mo7362);
            }
            this.f6682 = g.m7390(this, mo7362);
        }
        int m7305 = m7305(this.f6682);
        int m7303 = m7303(b0Var, this.f6682);
        if (m7335) {
            i6 = m7303;
        } else {
            i6 = m7305;
        }
        this.f6677 = i6;
        if (m7335) {
            m7303 = m7305;
        }
        this.f6678 = m7303;
        if (z5) {
            this.f6676 = m7305;
            this.f6675 = this.f6682.m7401(m5335(), this.f6677, this.f6678, m7335());
        } else {
            int i7 = this.f6676;
            this.f6676 = i7 + m7304(0, i7, i6, m7303);
        }
        this.f6674 = v.a.m13580(this.f6674, 0, b0Var.m5183());
        m7328();
        m5424(wVar);
        m7306(wVar, b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʽˎ */
    public void mo4914(RecyclerView.b0 b0Var) {
        super.mo4914(b0Var);
        if (m5410() == 0) {
            this.f6674 = 0;
        } else {
            this.f6674 = m5346(m5411(0));
        }
        m7329();
    }

    @Override // com.google.android.material.carousel.b
    /* renamed from: ʾ  reason: contains not printable characters */
    public boolean mo7332() {
        if (this.f6673.f6701 == 0) {
            return true;
        }
        return false;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾʾ */
    public RecyclerView.q mo4915() {
        return new RecyclerView.q(-2, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾˈ */
    public boolean mo5392(RecyclerView recyclerView, View view, Rect rect, boolean z5, boolean z6) {
        if (this.f6682 == null) {
            return false;
        }
        int m7334 = m7334(m5346(view), m7309(m5346(view)));
        if (z6 || m7334 == 0) {
            return false;
        }
        recyclerView.scrollBy(m7334, 0);
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾˎ */
    public int mo4916(int i6, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (mo5001()) {
            return m7326(i6, wVar, b0Var);
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾˏ */
    public void mo4977(int i6) {
        if (this.f6682 == null) {
            return;
        }
        this.f6676 = m7317(i6, m7309(i6));
        this.f6674 = v.a.m13580(i6, 0, Math.max(0, m5335() - 1));
        m7328();
        m5393();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾˑ */
    public int mo4917(int i6, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (mo5002()) {
            return m7326(i6, wVar, b0Var);
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ʾﹳ */
    public void mo4979(RecyclerView recyclerView, RecyclerView.b0 b0Var, int i6) {
        a aVar = new a(recyclerView.getContext());
        aVar.m5174(i6);
        m5402(aVar);
    }

    /* renamed from: ʿٴ  reason: contains not printable characters */
    int m7333(int i6) {
        return (int) (this.f6676 - m7317(i6, m7309(i6)));
    }

    /* renamed from: ʿﹶ  reason: contains not printable characters */
    int m7334(int i6, f fVar) {
        return m7317(i6, fVar) - this.f6676;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆˊ  reason: contains not printable characters */
    public boolean m7335() {
        if (mo7332() && m5336() == 1) {
            return true;
        }
        return false;
    }

    /* renamed from: ˆᴵ  reason: contains not printable characters */
    public void m7336(com.google.android.material.carousel.d dVar) {
        this.f6681 = dVar;
        m7324();
    }

    /* renamed from: ˆᵎ  reason: contains not printable characters */
    public void m7337(int i6) {
        if (i6 != 0 && i6 != 1) {
            throw new IllegalArgumentException("invalid orientation:" + i6);
        }
        mo5000(null);
        com.google.android.material.carousel.c cVar = this.f6673;
        if (cVar == null || i6 != cVar.f6701) {
            this.f6673 = com.google.android.material.carousel.c.m7346(this, i6);
            m7324();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: י */
    public boolean mo5001() {
        return mo7332();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ـ */
    public boolean mo5002() {
        return !mo7332();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ᵎᵎ */
    public void mo5419(View view, Rect rect) {
        super.mo5419(view, rect);
        float centerX = rect.centerX();
        float width = (rect.width() - m7310(centerX, m7318(this.f6683.m7374(), centerX, true))) / 2.0f;
        rect.set((int) (rect.left + width), rect.top, (int) (rect.right - width), rect.bottom);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ᵔ */
    public int mo5005(RecyclerView.b0 b0Var) {
        return (int) this.f6682.m7399().m7373();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ᵢ */
    public int mo4932(RecyclerView.b0 b0Var) {
        return this.f6676;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ⁱ */
    public int mo4933(RecyclerView.b0 b0Var) {
        return this.f6678 - this.f6677;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ﹳ */
    public int mo5006(RecyclerView.b0 b0Var) {
        return (int) this.f6682.m7399().m7373();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ﹶ */
    public int mo4934(RecyclerView.b0 b0Var) {
        return this.f6676;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    /* renamed from: ﾞ */
    public int mo4935(RecyclerView.b0 b0Var) {
        return this.f6678 - this.f6677;
    }

    public CarouselLayoutManager(com.google.android.material.carousel.d dVar) {
        this(dVar, 0);
    }

    public CarouselLayoutManager(com.google.android.material.carousel.d dVar, int i6) {
        this.f6679 = false;
        this.f6680 = new c();
        this.f6674 = 0;
        m7336(dVar);
        m7337(i6);
    }

    @SuppressLint({"UnknownNullness"})
    public CarouselLayoutManager(Context context, AttributeSet attributeSet, int i6, int i7) {
        this.f6679 = false;
        this.f6680 = new c();
        this.f6674 = 0;
        m7337(RecyclerView.p.m5322(context, attributeSet, i6, i7).f4466);
        m7336(new i());
    }
}
