package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.View;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
import java.util.Calendar;
import java.util.Iterator;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public final class MaterialCalendarGridView extends GridView {

    /* renamed from: ʾ  reason: contains not printable characters */
    private final Calendar f6825;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final boolean f6826;

    /* loaded from: classes.dex */
    class a extends androidx.core.view.a {
        a() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            j0Var.m2836(null);
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private void m7583(int i6, Rect rect) {
        if (i6 == 33) {
            setSelection(getAdapter2().m7741());
        } else if (i6 == 130) {
            setSelection(getAdapter2().m7734());
        } else {
            super.onFocusChanged(true, i6, rect);
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private View m7584(int i6) {
        return getChildAt(i6 - getFirstVisiblePosition());
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static int m7585(View view) {
        return view.getLeft() + (view.getWidth() / 2);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static boolean m7586(Long l6, Long l7, Long l8, Long l9) {
        if (l6 == null || l7 == null || l8 == null || l9 == null || l8.longValue() > l7.longValue() || l9.longValue() < l6.longValue()) {
            return true;
        }
        return false;
    }

    @Override // android.widget.AbsListView, android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        getAdapter2().notifyDataSetChanged();
    }

    @Override // android.view.View
    protected final void onDraw(Canvas canvas) {
        int m7733;
        int m7585;
        int m77332;
        int m75852;
        int i6;
        int i7;
        int i8;
        int i9;
        int left;
        int left2;
        MaterialCalendarGridView materialCalendarGridView = this;
        super.onDraw(canvas);
        p adapter2 = getAdapter2();
        d<?> dVar = adapter2.f6956;
        c cVar = adapter2.f6958;
        int max = Math.max(adapter2.m7734(), getFirstVisiblePosition());
        int min = Math.min(adapter2.m7741(), getLastVisiblePosition());
        Long item = adapter2.getItem(max);
        Long item2 = adapter2.getItem(min);
        Iterator<androidx.core.util.d<Long, Long>> it = dVar.m7634().iterator();
        while (it.hasNext()) {
            androidx.core.util.d<Long, Long> next = it.next();
            Long l6 = next.f3049;
            if (l6 != null) {
                if (next.f3050 != null) {
                    long longValue = l6.longValue();
                    long longValue2 = next.f3050.longValue();
                    if (!m7586(item, item2, Long.valueOf(longValue), Long.valueOf(longValue2))) {
                        boolean m7969 = com.google.android.material.internal.b0.m7969(this);
                        if (longValue < item.longValue()) {
                            if (adapter2.m7738(max)) {
                                left2 = 0;
                            } else if (!m7969) {
                                left2 = materialCalendarGridView.m7584(max - 1).getRight();
                            } else {
                                left2 = materialCalendarGridView.m7584(max - 1).getLeft();
                            }
                            m7585 = left2;
                            m7733 = max;
                        } else {
                            materialCalendarGridView.f6825.setTimeInMillis(longValue);
                            m7733 = adapter2.m7733(materialCalendarGridView.f6825.get(5));
                            m7585 = m7585(materialCalendarGridView.m7584(m7733));
                        }
                        if (longValue2 > item2.longValue()) {
                            if (adapter2.m7739(min)) {
                                left = getWidth();
                            } else if (!m7969) {
                                left = materialCalendarGridView.m7584(min).getRight();
                            } else {
                                left = materialCalendarGridView.m7584(min).getLeft();
                            }
                            m75852 = left;
                            m77332 = min;
                        } else {
                            materialCalendarGridView.f6825.setTimeInMillis(longValue2);
                            m77332 = adapter2.m7733(materialCalendarGridView.f6825.get(5));
                            m75852 = m7585(materialCalendarGridView.m7584(m77332));
                        }
                        int itemId = (int) adapter2.getItemId(m7733);
                        int i10 = max;
                        int i11 = min;
                        int itemId2 = (int) adapter2.getItemId(m77332);
                        while (itemId <= itemId2) {
                            int numColumns = getNumColumns() * itemId;
                            p pVar = adapter2;
                            int numColumns2 = (numColumns + getNumColumns()) - 1;
                            View m7584 = materialCalendarGridView.m7584(numColumns);
                            int top = m7584.getTop() + cVar.f6853.m7622();
                            Iterator<androidx.core.util.d<Long, Long>> it2 = it;
                            int bottom = m7584.getBottom() - cVar.f6853.m7621();
                            if (!m7969) {
                                if (numColumns > m7733) {
                                    i8 = 0;
                                } else {
                                    i8 = m7585;
                                }
                                if (m77332 > numColumns2) {
                                    i9 = getWidth();
                                } else {
                                    i9 = m75852;
                                }
                            } else {
                                if (m77332 > numColumns2) {
                                    i6 = 0;
                                } else {
                                    i6 = m75852;
                                }
                                if (numColumns > m7733) {
                                    i7 = getWidth();
                                } else {
                                    i7 = m7585;
                                }
                                int i12 = i7;
                                i8 = i6;
                                i9 = i12;
                            }
                            canvas.drawRect(i8, top, i9, bottom, cVar.f6860);
                            itemId++;
                            materialCalendarGridView = this;
                            itemId2 = itemId2;
                            adapter2 = pVar;
                            it = it2;
                        }
                        materialCalendarGridView = this;
                        max = i10;
                        min = i11;
                    }
                }
            } else {
                materialCalendarGridView = this;
            }
        }
    }

    @Override // android.widget.GridView, android.widget.AbsListView, android.view.View
    protected void onFocusChanged(boolean z5, int i6, Rect rect) {
        if (z5) {
            m7583(i6, rect);
        } else {
            super.onFocusChanged(false, i6, rect);
        }
    }

    @Override // android.widget.GridView, android.widget.AbsListView, android.view.View, android.view.KeyEvent.Callback
    public boolean onKeyDown(int i6, KeyEvent keyEvent) {
        if (!super.onKeyDown(i6, keyEvent)) {
            return false;
        }
        if (getSelectedItemPosition() == -1 || getSelectedItemPosition() >= getAdapter2().m7734()) {
            return true;
        }
        if (19 != i6) {
            return false;
        }
        setSelection(getAdapter2().m7734());
        return true;
    }

    @Override // android.widget.GridView, android.widget.AbsListView, android.view.View
    public void onMeasure(int i6, int i7) {
        if (this.f6826) {
            super.onMeasure(i6, View.MeasureSpec.makeMeasureSpec(16777215, Integer.MIN_VALUE));
            getLayoutParams().height = getMeasuredHeight();
            return;
        }
        super.onMeasure(i6, i7);
    }

    @Override // android.widget.GridView, android.widget.AdapterView
    public void setSelection(int i6) {
        if (i6 < getAdapter2().m7734()) {
            super.setSelection(getAdapter2().m7734());
        } else {
            super.setSelection(i6);
        }
    }

    @Override // android.widget.GridView, android.widget.AdapterView
    /* renamed from: ʼ  reason: contains not printable characters */
    public p getAdapter2() {
        return (p) super.getAdapter();
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f6825 = a0.m7616();
        if (l.m7700(getContext())) {
            setNextFocusLeftId(c2.f.cancel_button);
            setNextFocusRightId(c2.f.confirm_button);
        }
        this.f6826 = l.m7702(getContext());
        z0.m3390(this, new a());
    }

    @Override // android.widget.AdapterView
    public final void setAdapter(ListAdapter listAdapter) {
        if (listAdapter instanceof p) {
            super.setAdapter(listAdapter);
            return;
        }
        throw new IllegalArgumentException(String.format("%1$s must have its Adapter set to a %2$s", MaterialCalendarGridView.class.getCanonicalName(), p.class.getCanonicalName()));
    }
}
