package com.google.android.material.internal;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.widget.Checkable;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
/* loaded from: classes.dex */
public class CheckableImageButton extends androidx.appcompat.widget.o implements Checkable {

    /* renamed from: ˋ  reason: contains not printable characters */
    private static final int[] f7102 = {16842912};

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean f7103;

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f7104;

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean f7105;

    /* loaded from: classes.dex */
    class a extends androidx.core.view.a {
        a() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˆ */
        public void mo26(View view, AccessibilityEvent accessibilityEvent) {
            super.mo26(view, accessibilityEvent);
            accessibilityEvent.setChecked(CheckableImageButton.this.isChecked());
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            j0Var.m2832(CheckableImageButton.this.m7889());
            j0Var.m2833(CheckableImageButton.this.isChecked());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class b extends z.a {
        public static final Parcelable.Creator<b> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        boolean f7107;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<b> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public b createFromParcel(Parcel parcel) {
                return new b(parcel, null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public b createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new b(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public b[] newArray(int i6) {
                return new b[i6];
            }
        }

        public b(Parcelable parcelable) {
            super(parcelable);
        }

        /* renamed from: ˏ  reason: contains not printable characters */
        private void m7890(Parcel parcel) {
            boolean z5 = true;
            if (parcel.readInt() != 1) {
                z5 = false;
            }
            this.f7107 = z5;
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeInt(this.f7107 ? 1 : 0);
        }

        public b(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            m7890(parcel);
        }
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, e.a.f8113);
    }

    @Override // android.widget.Checkable
    public boolean isChecked() {
        return this.f7103;
    }

    @Override // android.widget.ImageView, android.view.View
    public int[] onCreateDrawableState(int i6) {
        if (this.f7103) {
            int[] iArr = f7102;
            return View.mergeDrawableStates(super.onCreateDrawableState(i6 + iArr.length), iArr);
        }
        return super.onCreateDrawableState(i6);
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof b)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        b bVar = (b) parcelable;
        super.onRestoreInstanceState(bVar.m14260());
        setChecked(bVar.f7107);
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        b bVar = new b(super.onSaveInstanceState());
        bVar.f7107 = this.f7103;
        return bVar;
    }

    public void setCheckable(boolean z5) {
        if (this.f7104 != z5) {
            this.f7104 = z5;
            sendAccessibilityEvent(0);
        }
    }

    @Override // android.widget.Checkable
    public void setChecked(boolean z5) {
        if (this.f7104 && this.f7103 != z5) {
            this.f7103 = z5;
            refreshDrawableState();
            sendAccessibilityEvent(2048);
        }
    }

    public void setPressable(boolean z5) {
        this.f7105 = z5;
    }

    @Override // android.view.View
    public void setPressed(boolean z5) {
        if (this.f7105) {
            super.setPressed(z5);
        }
    }

    @Override // android.widget.Checkable
    public void toggle() {
        setChecked(!this.f7103);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean m7889() {
        return this.f7104;
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f7104 = true;
        this.f7105 = true;
        z0.m3390(this, new a());
    }
}
