package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.CheckedTextView;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.LinearLayoutCompat;
import androidx.appcompat.widget.d3;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
/* loaded from: classes.dex */
public class NavigationMenuItemView extends j implements n.a {

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private static final int[] f7110 = {16842912};

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private final CheckedTextView f7111;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private androidx.appcompat.view.menu.i f7112;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private FrameLayout f7113;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean f7114;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private ColorStateList f7115;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private final androidx.core.view.a f7116;

    /* renamed from: ــ  reason: contains not printable characters */
    private Drawable f7117;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    boolean f7118;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    boolean f7119;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f7120;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private boolean f7121;

    /* loaded from: classes.dex */
    class a extends androidx.core.view.a {
        a() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            j0Var.m2832(NavigationMenuItemView.this.f7118);
        }
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    private void setActionView(View view) {
        if (view != null) {
            if (this.f7113 == null) {
                this.f7113 = (FrameLayout) ((ViewStub) findViewById(c2.f.design_menu_item_action_area_stub)).inflate();
            }
            this.f7113.removeAllViews();
            this.f7113.addView(view);
        }
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private boolean m7894() {
        if (this.f7112.getTitle() == null && this.f7112.getIcon() == null && this.f7112.getActionView() != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private StateListDrawable m7895() {
        TypedValue typedValue = new TypedValue();
        if (getContext().getTheme().resolveAttribute(e.a.f8146, typedValue, true)) {
            StateListDrawable stateListDrawable = new StateListDrawable();
            stateListDrawable.addState(f7110, new ColorDrawable(typedValue.data));
            stateListDrawable.addState(ViewGroup.EMPTY_STATE_SET, new ColorDrawable(0));
            return stateListDrawable;
        }
        return null;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private void m7896() {
        if (m7894()) {
            this.f7111.setVisibility(8);
            FrameLayout frameLayout = this.f7113;
            if (frameLayout != null) {
                LinearLayoutCompat.a aVar = (LinearLayoutCompat.a) frameLayout.getLayoutParams();
                ((LinearLayout.LayoutParams) aVar).width = -1;
                this.f7113.setLayoutParams(aVar);
                return;
            }
            return;
        }
        this.f7111.setVisibility(0);
        FrameLayout frameLayout2 = this.f7113;
        if (frameLayout2 != null) {
            LinearLayoutCompat.a aVar2 = (LinearLayoutCompat.a) frameLayout2.getLayoutParams();
            ((LinearLayout.LayoutParams) aVar2).width = -2;
            this.f7113.setLayoutParams(aVar2);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public androidx.appcompat.view.menu.i getItemData() {
        return this.f7112;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected int[] onCreateDrawableState(int i6) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i6 + 1);
        androidx.appcompat.view.menu.i iVar = this.f7112;
        if (iVar != null && iVar.isCheckable() && this.f7112.isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f7110);
        }
        return onCreateDrawableState;
    }

    public void setCheckable(boolean z5) {
        refreshDrawableState();
        if (this.f7118 != z5) {
            this.f7118 = z5;
            this.f7116.mo2778(this.f7111, 2048);
        }
    }

    public void setChecked(boolean z5) {
        int i6;
        refreshDrawableState();
        this.f7111.setChecked(z5);
        CheckedTextView checkedTextView = this.f7111;
        Typeface typeface = checkedTextView.getTypeface();
        if (z5 && this.f7119) {
            i6 = 1;
        } else {
            i6 = 0;
        }
        checkedTextView.setTypeface(typeface, i6);
    }

    public void setHorizontalPadding(int i6) {
        setPadding(i6, getPaddingTop(), i6, getPaddingBottom());
    }

    public void setIcon(Drawable drawable) {
        if (drawable != null) {
            if (this.f7114) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = androidx.core.graphics.drawable.a.m2433(drawable).mutate();
                androidx.core.graphics.drawable.a.m2430(drawable, this.f7115);
            }
            int i6 = this.f7120;
            drawable.setBounds(0, 0, i6, i6);
        } else if (this.f7121) {
            if (this.f7117 == null) {
                Drawable m2325 = androidx.core.content.res.i.m2325(getResources(), c2.e.navigation_empty_icon, getContext().getTheme());
                this.f7117 = m2325;
                if (m2325 != null) {
                    int i7 = this.f7120;
                    m2325.setBounds(0, 0, i7, i7);
                }
            }
            drawable = this.f7117;
        }
        androidx.core.widget.c0.m3704(this.f7111, drawable, null, null, null);
    }

    public void setIconPadding(int i6) {
        this.f7111.setCompoundDrawablePadding(i6);
    }

    public void setIconSize(int i6) {
        this.f7120 = i6;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void setIconTintList(ColorStateList colorStateList) {
        boolean z5;
        this.f7115 = colorStateList;
        if (colorStateList != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        this.f7114 = z5;
        androidx.appcompat.view.menu.i iVar = this.f7112;
        if (iVar != null) {
            setIcon(iVar.getIcon());
        }
    }

    public void setMaxLines(int i6) {
        this.f7111.setMaxLines(i6);
    }

    public void setNeedsEmptyIcon(boolean z5) {
        this.f7121 = z5;
    }

    public void setTextAppearance(int i6) {
        androidx.core.widget.c0.m3709(this.f7111, i6);
    }

    public void setTextColor(ColorStateList colorStateList) {
        this.f7111.setTextColor(colorStateList);
    }

    public void setTitle(CharSequence charSequence) {
        this.f7111.setText(charSequence);
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    public void m7897() {
        FrameLayout frameLayout = this.f7113;
        if (frameLayout != null) {
            frameLayout.removeAllViews();
        }
        this.f7111.setCompoundDrawables(null, null, null, null);
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʽ */
    public boolean mo935() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.n.a
    /* renamed from: ʾ */
    public void mo936(androidx.appcompat.view.menu.i iVar, int i6) {
        int i7;
        this.f7112 = iVar;
        if (iVar.getItemId() > 0) {
            setId(iVar.getItemId());
        }
        if (iVar.isVisible()) {
            i7 = 0;
        } else {
            i7 = 8;
        }
        setVisibility(i7);
        if (getBackground() == null) {
            z0.m3396(this, m7895());
        }
        setCheckable(iVar.isCheckable());
        setChecked(iVar.isChecked());
        setEnabled(iVar.isEnabled());
        setTitle(iVar.getTitle());
        setIcon(iVar.getIcon());
        setActionView(iVar.getActionView());
        setContentDescription(iVar.getContentDescription());
        d3.m1464(this, iVar.getTooltipText());
        m7896();
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public void m7898(androidx.appcompat.view.menu.i iVar, boolean z5) {
        this.f7119 = z5;
        mo936(iVar, 0);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f7119 = true;
        a aVar = new a();
        this.f7116 = aVar;
        setOrientation(0);
        LayoutInflater.from(context).inflate(c2.h.design_navigation_menu_item, (ViewGroup) this, true);
        setIconSize(context.getResources().getDimensionPixelSize(c2.d.design_navigation_icon_size));
        CheckedTextView checkedTextView = (CheckedTextView) findViewById(c2.f.design_menu_item_text);
        this.f7111 = checkedTextView;
        checkedTextView.setDuplicateParentStateEnabled(true);
        z0.m3390(checkedTextView, aVar);
    }
}
