package com.google.android.material.internal;

import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
/* compiled from: DescendantOffsetUtils.java */
/* loaded from: classes.dex */
public class d {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final ThreadLocal<Matrix> f7207 = new ThreadLocal<>();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final ThreadLocal<RectF> f7208 = new ThreadLocal<>();

    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m7977(ViewGroup viewGroup, View view, Rect rect) {
        rect.set(0, 0, view.getWidth(), view.getHeight());
        m7979(viewGroup, view, rect);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static void m7978(ViewParent viewParent, View view, Matrix matrix) {
        ViewParent parent = view.getParent();
        if ((parent instanceof View) && parent != viewParent) {
            View view2 = (View) parent;
            m7978(viewParent, view2, matrix);
            matrix.preTranslate(-view2.getScrollX(), -view2.getScrollY());
        }
        matrix.preTranslate(view.getLeft(), view.getTop());
        if (!view.getMatrix().isIdentity()) {
            matrix.preConcat(view.getMatrix());
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static void m7979(ViewGroup viewGroup, View view, Rect rect) {
        ThreadLocal<Matrix> threadLocal = f7207;
        Matrix matrix = threadLocal.get();
        if (matrix == null) {
            matrix = new Matrix();
            threadLocal.set(matrix);
        } else {
            matrix.reset();
        }
        m7978(viewGroup, view, matrix);
        ThreadLocal<RectF> threadLocal2 = f7208;
        RectF rectF = threadLocal2.get();
        if (rectF == null) {
            rectF = new RectF();
            threadLocal2.set(rectF);
        }
        rectF.set(rect);
        matrix.mapRect(rectF);
        rect.set((int) (rectF.left + 0.5f), (int) (rectF.top + 0.5f), (int) (rectF.right + 0.5f), (int) (rectF.bottom + 0.5f));
    }
}
