package com.google.android.material.internal;

import android.view.View;
import android.view.ViewGroup;
import androidx.core.view.z0;
/* compiled from: FlowLayout.java */
/* loaded from: classes.dex */
public class i extends ViewGroup {

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f7213;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f7214;

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean f7215;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f7216;

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m7994(int i6, int i7, int i8) {
        if (i7 != Integer.MIN_VALUE) {
            if (i7 != 1073741824) {
                return i8;
            }
            return i6;
        }
        return Math.min(i8, i6);
    }

    protected int getItemSpacing() {
        return this.f7214;
    }

    protected int getLineSpacing() {
        return this.f7213;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public int getRowCount() {
        return this.f7216;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        boolean z6;
        int paddingLeft;
        int paddingRight;
        int i10;
        int i11;
        if (getChildCount() == 0) {
            this.f7216 = 0;
            return;
        }
        this.f7216 = 1;
        if (z0.m3395(this) == 1) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z6) {
            paddingLeft = getPaddingRight();
        } else {
            paddingLeft = getPaddingLeft();
        }
        if (z6) {
            paddingRight = getPaddingLeft();
        } else {
            paddingRight = getPaddingRight();
        }
        int paddingTop = getPaddingTop();
        int i12 = (i8 - i6) - paddingRight;
        int i13 = paddingLeft;
        int i14 = paddingTop;
        for (int i15 = 0; i15 < getChildCount(); i15++) {
            View childAt = getChildAt(i15);
            if (childAt.getVisibility() == 8) {
                childAt.setTag(c2.f.row_index_key, -1);
            } else {
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    i11 = androidx.core.view.u.m3319(marginLayoutParams);
                    i10 = androidx.core.view.u.m3318(marginLayoutParams);
                } else {
                    i10 = 0;
                    i11 = 0;
                }
                int measuredWidth = i13 + i11 + childAt.getMeasuredWidth();
                if (!this.f7215 && measuredWidth > i12) {
                    i14 = this.f7213 + paddingTop;
                    this.f7216++;
                    i13 = paddingLeft;
                }
                childAt.setTag(c2.f.row_index_key, Integer.valueOf(this.f7216 - 1));
                int i16 = i13 + i11;
                int measuredWidth2 = childAt.getMeasuredWidth() + i16;
                int measuredHeight = childAt.getMeasuredHeight() + i14;
                if (z6) {
                    childAt.layout(i12 - measuredWidth2, i14, (i12 - i13) - i11, measuredHeight);
                } else {
                    childAt.layout(i16, i14, measuredWidth2, measuredHeight);
                }
                i13 += i11 + i10 + childAt.getMeasuredWidth() + this.f7214;
                paddingTop = measuredHeight;
            }
        }
    }

    @Override // android.view.View
    protected void onMeasure(int i6, int i7) {
        int i8;
        int i9;
        int i10;
        int i11;
        int size = View.MeasureSpec.getSize(i6);
        int mode = View.MeasureSpec.getMode(i6);
        int size2 = View.MeasureSpec.getSize(i7);
        int mode2 = View.MeasureSpec.getMode(i7);
        if (mode != Integer.MIN_VALUE && mode != 1073741824) {
            i8 = Integer.MAX_VALUE;
        } else {
            i8 = size;
        }
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = i8 - getPaddingRight();
        int i12 = paddingTop;
        int i13 = 0;
        for (int i14 = 0; i14 < getChildCount(); i14++) {
            View childAt = getChildAt(i14);
            if (childAt.getVisibility() != 8) {
                measureChild(childAt, i6, i7);
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    i9 = marginLayoutParams.leftMargin + 0;
                    i10 = marginLayoutParams.rightMargin + 0;
                } else {
                    i9 = 0;
                    i10 = 0;
                }
                int i15 = paddingLeft;
                if (paddingLeft + i9 + childAt.getMeasuredWidth() > paddingRight && !mo7579()) {
                    i11 = getPaddingLeft();
                    i12 = this.f7213 + paddingTop;
                } else {
                    i11 = i15;
                }
                int measuredWidth = i11 + i9 + childAt.getMeasuredWidth();
                int measuredHeight = i12 + childAt.getMeasuredHeight();
                if (measuredWidth > i13) {
                    i13 = measuredWidth;
                }
                paddingLeft = i11 + i9 + i10 + childAt.getMeasuredWidth() + this.f7214;
                if (i14 == getChildCount() - 1) {
                    i13 += i10;
                }
                paddingTop = measuredHeight;
            }
        }
        setMeasuredDimension(m7994(size, mode, i13 + getPaddingRight()), m7994(size2, mode2, paddingTop + getPaddingBottom()));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void setItemSpacing(int i6) {
        this.f7214 = i6;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void setLineSpacing(int i6) {
        this.f7213 = i6;
    }

    public void setSingleLine(boolean z5) {
        this.f7215 = z5;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public int m7995(View view) {
        Object tag = view.getTag(c2.f.row_index_key);
        if (!(tag instanceof Integer)) {
            return -1;
        }
        return ((Integer) tag).intValue();
    }

    /* renamed from: ʽ */
    public boolean mo7579() {
        return this.f7215;
    }
}
