package com.google.android.material.internal;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import androidx.appcompat.widget.LinearLayoutCompat;
/* compiled from: ForegroundLinearLayout.java */
/* loaded from: classes.dex */
public class j extends LinearLayoutCompat {

    /* renamed from: ᵎ  reason: contains not printable characters */
    private Drawable f7217;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private final Rect f7218;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private final Rect f7219;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private int f7220;

    /* renamed from: ﹳ  reason: contains not printable characters */
    protected boolean f7221;

    /* renamed from: ﹶ  reason: contains not printable characters */
    boolean f7222;

    public j(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        super.draw(canvas);
        Drawable drawable = this.f7217;
        if (drawable != null) {
            if (this.f7222) {
                this.f7222 = false;
                Rect rect = this.f7218;
                Rect rect2 = this.f7219;
                int right = getRight() - getLeft();
                int bottom = getBottom() - getTop();
                if (this.f7221) {
                    rect.set(0, 0, right, bottom);
                } else {
                    rect.set(getPaddingLeft(), getPaddingTop(), right - getPaddingRight(), bottom - getPaddingBottom());
                }
                Gravity.apply(this.f7220, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), rect, rect2);
                drawable.setBounds(rect2);
            }
            drawable.draw(canvas);
        }
    }

    @Override // android.view.View
    @TargetApi(21)
    public void drawableHotspotChanged(float f6, float f7) {
        super.drawableHotspotChanged(f6, f7);
        Drawable drawable = this.f7217;
        if (drawable != null) {
            drawable.setHotspot(f6, f7);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f7217;
        if (drawable != null && drawable.isStateful()) {
            this.f7217.setState(getDrawableState());
        }
    }

    @Override // android.view.View
    public Drawable getForeground() {
        return this.f7217;
    }

    @Override // android.view.View
    public int getForegroundGravity() {
        return this.f7220;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f7217;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.LinearLayoutCompat, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        this.f7222 = z5 | this.f7222;
    }

    @Override // android.view.View
    protected void onSizeChanged(int i6, int i7, int i8, int i9) {
        super.onSizeChanged(i6, i7, i8, i9);
        this.f7222 = true;
    }

    @Override // android.view.View
    public void setForeground(Drawable drawable) {
        Drawable drawable2 = this.f7217;
        if (drawable2 != drawable) {
            if (drawable2 != null) {
                drawable2.setCallback(null);
                unscheduleDrawable(this.f7217);
            }
            this.f7217 = drawable;
            this.f7222 = true;
            if (drawable != null) {
                setWillNotDraw(false);
                drawable.setCallback(this);
                if (drawable.isStateful()) {
                    drawable.setState(getDrawableState());
                }
                if (this.f7220 == 119) {
                    drawable.getPadding(new Rect());
                }
            } else {
                setWillNotDraw(true);
            }
            requestLayout();
            invalidate();
        }
    }

    @Override // android.view.View
    public void setForegroundGravity(int i6) {
        if (this.f7220 != i6) {
            if ((8388615 & i6) == 0) {
                i6 |= 8388611;
            }
            if ((i6 & 112) == 0) {
                i6 |= 48;
            }
            this.f7220 = i6;
            if (i6 == 119 && this.f7217 != null) {
                this.f7217.getPadding(new Rect());
            }
            requestLayout();
        }
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable drawable) {
        if (!super.verifyDrawable(drawable) && drawable != this.f7217) {
            return false;
        }
        return true;
    }

    public j(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f7218 = new Rect();
        this.f7219 = new Rect();
        this.f7220 = 119;
        this.f7221 = true;
        this.f7222 = false;
        TypedArray m8101 = y.m8101(context, attributeSet, c2.k.f5740, i6, 0, new int[0]);
        this.f7220 = m8101.getInt(c2.k.f5742, this.f7220);
        Drawable drawable = m8101.getDrawable(c2.k.f5741);
        if (drawable != null) {
            setForeground(drawable);
        }
        this.f7221 = m8101.getBoolean(c2.k.f5743, true);
        m8101.recycle();
    }
}
