package com.google.android.material.internal;

import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import java.lang.reflect.Constructor;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* compiled from: StaticLayoutBuilderCompat.java */
/* loaded from: classes.dex */
final class u {

    /* renamed from: י  reason: contains not printable characters */
    static final int f7281;

    /* renamed from: ـ  reason: contains not printable characters */
    private static boolean f7282;

    /* renamed from: ٴ  reason: contains not printable characters */
    private static Constructor<StaticLayout> f7283;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private static Object f7284;

    /* renamed from: ʻ  reason: contains not printable characters */
    private CharSequence f7285;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final TextPaint f7286;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final int f7287;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f7289;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f7296;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f7288 = 0;

    /* renamed from: ˆ  reason: contains not printable characters */
    private Layout.Alignment f7290 = Layout.Alignment.ALIGN_NORMAL;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f7291 = Integer.MAX_VALUE;

    /* renamed from: ˉ  reason: contains not printable characters */
    private float f7292 = 0.0f;

    /* renamed from: ˊ  reason: contains not printable characters */
    private float f7293 = 1.0f;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f7294 = f7281;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f7295 = true;

    /* renamed from: ˑ  reason: contains not printable characters */
    private TextUtils.TruncateAt f7297 = null;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: StaticLayoutBuilderCompat.java */
    /* loaded from: classes.dex */
    public static class a extends Exception {
        a(Throwable th) {
            super("Error thrown initializing StaticLayout " + th.getMessage(), th);
        }
    }

    static {
        int i6;
        if (Build.VERSION.SDK_INT >= 23) {
            i6 = 1;
        } else {
            i6 = 0;
        }
        f7281 = i6;
    }

    private u(CharSequence charSequence, TextPaint textPaint, int i6) {
        this.f7285 = charSequence;
        this.f7286 = textPaint;
        this.f7287 = i6;
        this.f7289 = charSequence.length();
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m8070() throws a {
        boolean z5;
        TextDirectionHeuristic textDirectionHeuristic;
        if (f7282) {
            return;
        }
        try {
            if (this.f7296 && Build.VERSION.SDK_INT >= 23) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (z5) {
                textDirectionHeuristic = TextDirectionHeuristics.RTL;
            } else {
                textDirectionHeuristic = TextDirectionHeuristics.LTR;
            }
            f7284 = textDirectionHeuristic;
            Class cls = Integer.TYPE;
            Class cls2 = Float.TYPE;
            Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(CharSequence.class, cls, cls, TextPaint.class, cls, Layout.Alignment.class, TextDirectionHeuristic.class, cls2, cls2, Boolean.TYPE, TextUtils.TruncateAt.class, cls, cls);
            f7283 = declaredConstructor;
            declaredConstructor.setAccessible(true);
            f7282 = true;
        } catch (Exception e6) {
            throw new a(e6);
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static u m8071(CharSequence charSequence, TextPaint textPaint, int i6) {
        return new u(charSequence, textPaint, i6);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public StaticLayout m8072() throws a {
        StaticLayout.Builder obtain;
        TextDirectionHeuristic textDirectionHeuristic;
        StaticLayout build;
        if (this.f7285 == null) {
            this.f7285 = BuildConfig.FLAVOR;
        }
        int max = Math.max(0, this.f7287);
        CharSequence charSequence = this.f7285;
        if (this.f7291 == 1) {
            charSequence = TextUtils.ellipsize(charSequence, this.f7286, max, this.f7297);
        }
        int min = Math.min(charSequence.length(), this.f7289);
        this.f7289 = min;
        if (Build.VERSION.SDK_INT >= 23) {
            if (this.f7296 && this.f7291 == 1) {
                this.f7290 = Layout.Alignment.ALIGN_OPPOSITE;
            }
            obtain = StaticLayout.Builder.obtain(charSequence, this.f7288, min, this.f7286, max);
            obtain.setAlignment(this.f7290);
            obtain.setIncludePad(this.f7295);
            if (this.f7296) {
                textDirectionHeuristic = TextDirectionHeuristics.RTL;
            } else {
                textDirectionHeuristic = TextDirectionHeuristics.LTR;
            }
            obtain.setTextDirection(textDirectionHeuristic);
            TextUtils.TruncateAt truncateAt = this.f7297;
            if (truncateAt != null) {
                obtain.setEllipsize(truncateAt);
            }
            obtain.setMaxLines(this.f7291);
            float f6 = this.f7292;
            if (f6 != 0.0f || this.f7293 != 1.0f) {
                obtain.setLineSpacing(f6, this.f7293);
            }
            if (this.f7291 > 1) {
                obtain.setHyphenationFrequency(this.f7294);
            }
            build = obtain.build();
            return build;
        }
        m8070();
        try {
            return (StaticLayout) ((Constructor) androidx.core.util.h.m2767(f7283)).newInstance(charSequence, Integer.valueOf(this.f7288), Integer.valueOf(this.f7289), this.f7286, Integer.valueOf(max), this.f7290, androidx.core.util.h.m2767(f7284), Float.valueOf(1.0f), Float.valueOf(0.0f), Boolean.valueOf(this.f7295), null, Integer.valueOf(max), Integer.valueOf(this.f7291));
        } catch (Exception e6) {
            throw new a(e6);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public u m8073(Layout.Alignment alignment) {
        this.f7290 = alignment;
        return this;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public u m8074(TextUtils.TruncateAt truncateAt) {
        this.f7297 = truncateAt;
        return this;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public u m8075(int i6) {
        this.f7294 = i6;
        return this;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public u m8076(boolean z5) {
        this.f7295 = z5;
        return this;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public u m8077(boolean z5) {
        this.f7296 = z5;
        return this;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public u m8078(float f6, float f7) {
        this.f7292 = f6;
        this.f7293 = f7;
        return this;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public u m8079(int i6) {
        this.f7291 = i6;
        return this;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public u m8080(v vVar) {
        return this;
    }
}
