package com.google.android.material.internal;

import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.widget.Toolbar;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
/* compiled from: ToolbarUtils.java */
/* loaded from: classes.dex */
public class z {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final Comparator<View> f7308 = new a();

    /* compiled from: ToolbarUtils.java */
    /* loaded from: classes.dex */
    class a implements Comparator<View> {
        a() {
        }

        @Override // java.util.Comparator
        /* renamed from: ʻ  reason: contains not printable characters */
        public int compare(View view, View view2) {
            return view.getTop() - view2.getTop();
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static ImageView m8103(Toolbar toolbar, Drawable drawable) {
        ImageView imageView;
        Drawable drawable2;
        if (drawable == null) {
            return null;
        }
        for (int i6 = 0; i6 < toolbar.getChildCount(); i6++) {
            View childAt = toolbar.getChildAt(i6);
            if ((childAt instanceof ImageView) && (drawable2 = (imageView = (ImageView) childAt).getDrawable()) != null && drawable2.getConstantState() != null && drawable2.getConstantState().equals(drawable.getConstantState())) {
                return imageView;
            }
        }
        return null;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static ImageView m8104(Toolbar toolbar) {
        return m8103(toolbar, toolbar.getLogo());
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static ImageButton m8105(Toolbar toolbar) {
        Drawable navigationIcon = toolbar.getNavigationIcon();
        if (navigationIcon == null) {
            return null;
        }
        for (int i6 = 0; i6 < toolbar.getChildCount(); i6++) {
            View childAt = toolbar.getChildAt(i6);
            if (childAt instanceof ImageButton) {
                ImageButton imageButton = (ImageButton) childAt;
                if (imageButton.getDrawable() == navigationIcon) {
                    return imageButton;
                }
            }
        }
        return null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static TextView m8106(Toolbar toolbar) {
        List<TextView> m8107 = m8107(toolbar, toolbar.getSubtitle());
        if (m8107.isEmpty()) {
            return null;
        }
        return (TextView) Collections.max(m8107, f7308);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private static List<TextView> m8107(Toolbar toolbar, CharSequence charSequence) {
        ArrayList arrayList = new ArrayList();
        for (int i6 = 0; i6 < toolbar.getChildCount(); i6++) {
            View childAt = toolbar.getChildAt(i6);
            if (childAt instanceof TextView) {
                TextView textView = (TextView) childAt;
                if (TextUtils.equals(textView.getText(), charSequence)) {
                    arrayList.add(textView);
                }
            }
        }
        return arrayList;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static TextView m8108(Toolbar toolbar) {
        List<TextView> m8107 = m8107(toolbar, toolbar.getTitle());
        if (m8107.isEmpty()) {
            return null;
        }
        return (TextView) Collections.min(m8107, f7308);
    }
}
