package com.google.android.material.snackbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import c2.h;
import com.google.android.material.snackbar.BaseTransientBottomBar;
/* loaded from: classes.dex */
public class Snackbar extends BaseTransientBottomBar<Snackbar> {

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private static final int[] f7485;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private static final int[] f7486;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private final AccessibilityManager f7487;

    /* renamed from: ــ  reason: contains not printable characters */
    private boolean f7488;

    /* loaded from: classes.dex */
    public static final class SnackbarLayout extends BaseTransientBottomBar.s {
        public SnackbarLayout(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        /* JADX INFO: Access modifiers changed from: protected */
        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.widget.FrameLayout, android.view.View
        public void onMeasure(int i6, int i7) {
            super.onMeasure(i6, i7);
            int childCount = getChildCount();
            int measuredWidth = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
            for (int i8 = 0; i8 < childCount; i8++) {
                View childAt = getChildAt(i8);
                if (childAt.getLayoutParams().width == -1) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(childAt.getMeasuredHeight(), 1073741824));
                }
            }
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.view.View
        public /* bridge */ /* synthetic */ void setBackground(Drawable drawable) {
            super.setBackground(drawable);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.view.View
        public /* bridge */ /* synthetic */ void setBackgroundDrawable(Drawable drawable) {
            super.setBackgroundDrawable(drawable);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.view.View
        public /* bridge */ /* synthetic */ void setBackgroundTintList(ColorStateList colorStateList) {
            super.setBackgroundTintList(colorStateList);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.view.View
        public /* bridge */ /* synthetic */ void setBackgroundTintMode(PorterDuff.Mode mode) {
            super.setBackgroundTintMode(mode);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.view.View
        public /* bridge */ /* synthetic */ void setLayoutParams(ViewGroup.LayoutParams layoutParams) {
            super.setLayoutParams(layoutParams);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.s, android.view.View
        public /* bridge */ /* synthetic */ void setOnClickListener(View.OnClickListener onClickListener) {
            super.setOnClickListener(onClickListener);
        }
    }

    static {
        int i6 = c2.b.snackbarButtonStyle;
        f7485 = new int[]{i6};
        f7486 = new int[]{i6, c2.b.snackbarTextViewStyle};
    }

    private Snackbar(Context context, ViewGroup viewGroup, View view, a aVar) {
        super(context, viewGroup, view, aVar);
        this.f7487 = (AccessibilityManager) viewGroup.getContext().getSystemService("accessibility");
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private static ViewGroup m8319(View view) {
        ViewGroup viewGroup = null;
        while (!(view instanceof CoordinatorLayout)) {
            if (view instanceof FrameLayout) {
                if (view.getId() == 16908290) {
                    return (ViewGroup) view;
                }
                viewGroup = (ViewGroup) view;
            }
            if (view != null) {
                ViewParent parent = view.getParent();
                if (parent instanceof View) {
                    view = (View) parent;
                    continue;
                } else {
                    view = null;
                    continue;
                }
            }
            if (view == null) {
                return viewGroup;
            }
        }
        return (ViewGroup) view;
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private SnackbarContentLayout m8320() {
        return (SnackbarContentLayout) this.f7434.getChildAt(0);
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private TextView m8321() {
        return m8320().getMessageView();
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private static boolean m8322(Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f7486);
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        int resourceId2 = obtainStyledAttributes.getResourceId(1, -1);
        obtainStyledAttributes.recycle();
        if (resourceId == -1 || resourceId2 == -1) {
            return false;
        }
        return true;
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    public static Snackbar m8323(View view, CharSequence charSequence, int i6) {
        return m8324(null, view, charSequence, i6);
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    private static Snackbar m8324(Context context, View view, CharSequence charSequence, int i6) {
        int i7;
        ViewGroup m8319 = m8319(view);
        if (m8319 != null) {
            if (context == null) {
                context = m8319.getContext();
            }
            LayoutInflater from = LayoutInflater.from(context);
            if (m8322(context)) {
                i7 = h.mtrl_layout_snackbar_include;
            } else {
                i7 = h.design_layout_snackbar_include;
            }
            SnackbarContentLayout snackbarContentLayout = (SnackbarContentLayout) from.inflate(i7, m8319, false);
            Snackbar snackbar = new Snackbar(context, m8319, snackbarContentLayout, snackbarContentLayout);
            snackbar.m8327(charSequence);
            snackbar.m8300(i6);
            return snackbar;
        }
        throw new IllegalArgumentException("No suitable parent found from the given view. Please provide a valid view.");
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    public Snackbar m8325(int i6) {
        return m8326(ColorStateList.valueOf(i6));
    }

    /* renamed from: ʻٴ  reason: contains not printable characters */
    public Snackbar m8326(ColorStateList colorStateList) {
        this.f7434.setBackgroundTintList(colorStateList);
        return this;
    }

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public Snackbar m8327(CharSequence charSequence) {
        m8321().setText(charSequence);
        return this;
    }

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public Snackbar m8328(int i6) {
        m8321().setTextColor(i6);
        return this;
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    public Snackbar m8329(int i6) {
        m8321().setMaxLines(i6);
        return this;
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    /* renamed from: ˉˉ */
    public boolean mo8289() {
        return super.mo8289();
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    /* renamed from: ᴵᴵ */
    public int mo8296() {
        int i6;
        int recommendedTimeoutMillis;
        int mo8296 = super.mo8296();
        if (mo8296 == -2) {
            return -2;
        }
        if (Build.VERSION.SDK_INT >= 29) {
            if (this.f7488) {
                i6 = 4;
            } else {
                i6 = 0;
            }
            recommendedTimeoutMillis = this.f7487.getRecommendedTimeoutMillis(mo8296, i6 | 1 | 2);
            return recommendedTimeoutMillis;
        } else if (this.f7488 && this.f7487.isTouchExplorationEnabled()) {
            return -2;
        } else {
            return mo8296;
        }
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    /* renamed from: ﹶ */
    public void mo8302() {
        super.mo8302();
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    /* renamed from: ﹶﹶ */
    public void mo8303() {
        super.mo8303();
    }
}
