package com.google.android.material.textfield;

import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.view.accessibility.AccessibilityEvent;
import android.widget.AutoCompleteTextView;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.x1;
import androidx.appcompat.widget.x2;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
import com.google.android.material.internal.CheckableImageButton;
import java.util.Iterator;
import java.util.LinkedHashSet;
import me.zhanghai.android.materialprogressbar.BuildConfig;
import v2.k;
/* loaded from: classes.dex */
public class TextInputLayout extends LinearLayout {

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private static final int f7504 = c2.j.Widget_Design_TextInputLayout;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private static final int[][] f7505 = {new int[]{16842919}, new int[0]};

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private ColorStateList f7506;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private final Rect f7507;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private final Rect f7508;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private final RectF f7509;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private Typeface f7510;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private Drawable f7511;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private int f7512;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private final LinkedHashSet<g> f7513;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private Drawable f7514;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private int f7515;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private Drawable f7516;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private ColorStateList f7517;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private ColorStateList f7518;

    /* renamed from: ʻי  reason: contains not printable characters */
    private int f7519;

    /* renamed from: ʻـ  reason: contains not printable characters */
    private int f7520;

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private int f7521;

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private ColorStateList f7522;

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private int f7523;

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private int f7524;

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private int f7525;

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private int f7526;

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private int f7527;

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private boolean f7528;

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    final com.google.android.material.internal.b f7529;

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private boolean f7530;

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private boolean f7531;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private ColorStateList f7532;

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private ValueAnimator f7533;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private boolean f7534;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private boolean f7535;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private ColorStateList f7536;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final FrameLayout f7537;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private CharSequence f7538;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final a0 f7539;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private boolean f7540;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final s f7541;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private v2.g f7542;

    /* renamed from: ˈ  reason: contains not printable characters */
    EditText f7543;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private StateListDrawable f7544;

    /* renamed from: ˉ  reason: contains not printable characters */
    private CharSequence f7545;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private v2.g f7546;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f7547;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private v2.g f7548;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f7549;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private boolean f7550;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f7551;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private v2.k f7552;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f7553;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private v2.g f7554;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final v f7555;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean f7556;

    /* renamed from: י  reason: contains not printable characters */
    boolean f7557;

    /* renamed from: יי  reason: contains not printable characters */
    private int f7558;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f7559;

    /* renamed from: ــ  reason: contains not printable characters */
    private boolean f7560;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f7561;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private int f7562;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private f f7563;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private q0.d f7564;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private TextView f7565;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private ColorStateList f7566;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f7567;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private int f7568;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f7569;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private final int f7570;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private CharSequence f7571;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private int f7572;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean f7573;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private int f7574;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private TextView f7575;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private int f7576;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private ColorStateList f7577;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private int f7578;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private int f7579;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private q0.d f7580;

    /* loaded from: classes.dex */
    class b implements Runnable {
        b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            TextInputLayout.this.f7541.m8586();
        }
    }

    /* loaded from: classes.dex */
    class c implements Runnable {
        c() {
        }

        @Override // java.lang.Runnable
        public void run() {
            TextInputLayout.this.f7543.requestLayout();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TextInputLayout.this.f7529.m7935(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* loaded from: classes.dex */
    public static class e extends androidx.core.view.a {

        /* renamed from: ʾ  reason: contains not printable characters */
        private final TextInputLayout f7585;

        public e(TextInputLayout textInputLayout) {
            this.f7585 = textInputLayout;
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            CharSequence charSequence;
            boolean z5;
            String str;
            super.mo28(view, j0Var);
            EditText editText = this.f7585.getEditText();
            if (editText != null) {
                charSequence = editText.getText();
            } else {
                charSequence = null;
            }
            CharSequence hint = this.f7585.getHint();
            CharSequence error = this.f7585.getError();
            CharSequence placeholderText = this.f7585.getPlaceholderText();
            int counterMaxLength = this.f7585.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f7585.getCounterOverflowDescription();
            boolean z6 = !TextUtils.isEmpty(charSequence);
            boolean z7 = !TextUtils.isEmpty(hint);
            boolean z8 = !this.f7585.m8426();
            boolean z9 = !TextUtils.isEmpty(error);
            if (!z9 && TextUtils.isEmpty(counterOverflowDescription)) {
                z5 = false;
            } else {
                z5 = true;
            }
            if (z7) {
                str = hint.toString();
            } else {
                str = BuildConfig.FLAVOR;
            }
            this.f7585.f7539.m8454(j0Var);
            if (z6) {
                j0Var.m2861(charSequence);
            } else if (!TextUtils.isEmpty(str)) {
                j0Var.m2861(str);
                if (z8 && placeholderText != null) {
                    j0Var.m2861(str + ", " + ((Object) placeholderText));
                }
            } else if (placeholderText != null) {
                j0Var.m2861(placeholderText);
            }
            if (!TextUtils.isEmpty(str)) {
                if (Build.VERSION.SDK_INT >= 26) {
                    j0Var.m2845(str);
                } else {
                    if (z6) {
                        str = ((Object) charSequence) + ", " + str;
                    }
                    j0Var.m2861(str);
                }
                j0Var.m2856(!z6);
            }
            j0Var.m2847((charSequence == null || charSequence.length() != counterMaxLength) ? -1 : -1);
            if (z5) {
                if (!z9) {
                    error = counterOverflowDescription;
                }
                j0Var.m2841(error);
            }
            View m8671 = this.f7585.f7555.m8671();
            if (m8671 != null) {
                j0Var.m2846(m8671);
            }
            this.f7585.f7541.m8593().mo8536(view, j0Var);
        }

        @Override // androidx.core.view.a
        /* renamed from: ˉ */
        public void mo2775(View view, AccessibilityEvent accessibilityEvent) {
            super.mo2775(view, accessibilityEvent);
            this.f7585.f7541.m8593().mo8537(view, accessibilityEvent);
        }
    }

    /* loaded from: classes.dex */
    public interface f {
        /* renamed from: ʻ  reason: contains not printable characters */
        int mo8430(Editable editable);
    }

    /* loaded from: classes.dex */
    public interface g {
        /* renamed from: ʻ  reason: contains not printable characters */
        void mo8431(TextInputLayout textInputLayout);
    }

    /* loaded from: classes.dex */
    public interface h {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m8432(TextInputLayout textInputLayout, int i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class i extends z.a {
        public static final Parcelable.Creator<i> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        CharSequence f7586;

        /* renamed from: ˈ  reason: contains not printable characters */
        boolean f7587;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<i> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public i createFromParcel(Parcel parcel) {
                return new i(parcel, null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public i createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new i(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public i[] newArray(int i6) {
                return new i[i6];
            }
        }

        i(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + ((Object) this.f7586) + "}";
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            TextUtils.writeToParcel(this.f7586, parcel, i6);
            parcel.writeInt(this.f7587 ? 1 : 0);
        }

        i(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7586 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f7587 = parcel.readInt() == 1;
        }
    }

    public TextInputLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.textInputStyle);
    }

    private Drawable getEditTextBoxBackground() {
        EditText editText = this.f7543;
        if ((editText instanceof AutoCompleteTextView) && !r.m8539(editText)) {
            int m11161 = k2.a.m11161(this.f7543, c2.b.f5615);
            int i6 = this.f7558;
            if (i6 == 2) {
                return m8386(getContext(), this.f7542, m11161, f7505);
            }
            if (i6 == 1) {
                return m8379(this.f7542, this.f7578, m11161, f7505);
            }
            return null;
        }
        return this.f7542;
    }

    private Drawable getOrCreateFilledDropDownMenuBackground() {
        if (this.f7544 == null) {
            StateListDrawable stateListDrawable = new StateListDrawable();
            this.f7544 = stateListDrawable;
            stateListDrawable.addState(new int[]{16842922}, getOrCreateOutlinedDropDownMenuBackground());
            this.f7544.addState(new int[0], m8381(false));
        }
        return this.f7544;
    }

    private Drawable getOrCreateOutlinedDropDownMenuBackground() {
        if (this.f7546 == null) {
            this.f7546 = m8381(true);
        }
        return this.f7546;
    }

    private void setEditText(EditText editText) {
        float letterSpacing;
        if (this.f7543 == null) {
            if (getEndIconMode() != 3 && !(editText instanceof TextInputEditText)) {
                Log.i("TextInputLayout", "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.f7543 = editText;
            int i6 = this.f7547;
            if (i6 != -1) {
                setMinEms(i6);
            } else {
                setMinWidth(this.f7551);
            }
            int i7 = this.f7549;
            if (i7 != -1) {
                setMaxEms(i7);
            } else {
                setMaxWidth(this.f7553);
            }
            this.f7550 = false;
            m8406();
            setTextInputAccessibilityDelegate(new e(this));
            this.f7529.m7940(this.f7543.getTypeface());
            this.f7529.m7934(this.f7543.getTextSize());
            int i8 = Build.VERSION.SDK_INT;
            if (i8 >= 21) {
                com.google.android.material.internal.b bVar = this.f7529;
                letterSpacing = this.f7543.getLetterSpacing();
                bVar.m7961(letterSpacing);
            }
            int gravity = this.f7543.getGravity();
            this.f7529.m7955((gravity & (-113)) | 48);
            this.f7529.m7933(gravity);
            this.f7543.addTextChangedListener(new a());
            if (this.f7517 == null) {
                this.f7517 = this.f7543.getHintTextColors();
            }
            if (this.f7540) {
                if (TextUtils.isEmpty(this.f7538)) {
                    CharSequence hint = this.f7543.getHint();
                    this.f7545 = hint;
                    setHint(hint);
                    this.f7543.setHint((CharSequence) null);
                }
                this.f7560 = true;
            }
            if (i8 >= 29) {
                m8366();
            }
            if (this.f7565 != null) {
                m8416(this.f7543.getText());
            }
            m8418();
            this.f7555.m8653();
            this.f7539.bringToFront();
            this.f7541.bringToFront();
            m8401();
            this.f7541.m8581();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            m8369(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.f7538)) {
            this.f7538 = charSequence;
            this.f7529.m7938(charSequence);
            if (!this.f7528) {
                m8408();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z5) {
        if (this.f7573 == z5) {
            return;
        }
        if (z5) {
            m8387();
        } else {
            m8356();
            this.f7575 = null;
        }
        this.f7573 = z5;
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private void m8355(Canvas canvas) {
        v2.g gVar;
        if (this.f7554 != null && (gVar = this.f7548) != null) {
            gVar.draw(canvas);
            if (this.f7543.isFocused()) {
                Rect bounds = this.f7554.getBounds();
                Rect bounds2 = this.f7548.getBounds();
                float m7960 = this.f7529.m7960();
                int centerX = bounds2.centerX();
                bounds.left = d2.a.m9177(centerX, bounds2.left, m7960);
                bounds.right = d2.a.m9177(centerX, bounds2.right, m7960);
                this.f7554.draw(canvas);
            }
        }
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private void m8356() {
        TextView textView = this.f7575;
        if (textView != null) {
            textView.setVisibility(8);
        }
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private void m8357() {
        EditText editText = this.f7543;
        if (!(editText instanceof AutoCompleteTextView)) {
            return;
        }
        AutoCompleteTextView autoCompleteTextView = (AutoCompleteTextView) editText;
        if (Build.VERSION.SDK_INT >= 21 && autoCompleteTextView.getDropDownBackground() == null) {
            int i6 = this.f7558;
            if (i6 == 2) {
                autoCompleteTextView.setDropDownBackgroundDrawable(getOrCreateOutlinedDropDownMenuBackground());
            } else if (i6 == 1) {
                autoCompleteTextView.setDropDownBackgroundDrawable(getOrCreateFilledDropDownMenuBackground());
            }
        }
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private boolean m8358() {
        if ((this.f7541.m8582() || ((this.f7541.m8602() && m8424()) || this.f7541.m8611() != null)) && this.f7541.getMeasuredWidth() > 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private boolean m8359() {
        if ((getStartIconDrawable() != null || (getPrefixText() != null && getPrefixTextView().getVisibility() == 0)) && this.f7539.getMeasuredWidth() > 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private void m8360() {
        if (this.f7575 != null && this.f7573 && !TextUtils.isEmpty(this.f7571)) {
            this.f7575.setText(this.f7571);
            q0.q.m12640(this.f7537, this.f7580);
            this.f7575.setVisibility(0);
            this.f7575.bringToFront();
            announceForAccessibility(this.f7571);
        }
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private void m8361() {
        if (this.f7558 == 1) {
            if (s2.c.m13192(getContext())) {
                this.f7568 = getResources().getDimensionPixelSize(c2.d.material_font_2_0_box_collapsed_padding_top);
            } else if (s2.c.m13191(getContext())) {
                this.f7568 = getResources().getDimensionPixelSize(c2.d.material_font_1_3_box_collapsed_padding_top);
            }
        }
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private void m8362(Rect rect) {
        v2.g gVar = this.f7548;
        if (gVar != null) {
            int i6 = rect.bottom;
            gVar.setBounds(rect.left, i6 - this.f7574, rect.right, i6);
        }
        v2.g gVar2 = this.f7554;
        if (gVar2 != null) {
            int i7 = rect.bottom;
            gVar2.setBounds(rect.left, i7 - this.f7576, rect.right, i7);
        }
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private void m8363() {
        Editable text;
        if (this.f7565 != null) {
            EditText editText = this.f7543;
            if (editText == null) {
                text = null;
            } else {
                text = editText.getText();
            }
            m8416(text);
        }
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private static void m8364(Context context, TextView textView, int i6, int i7, boolean z5) {
        int i8;
        if (z5) {
            i8 = c2.i.character_counter_overflowed_content_description;
        } else {
            i8 = c2.i.character_counter_content_description;
        }
        textView.setContentDescription(context.getString(i8, Integer.valueOf(i6), Integer.valueOf(i7)));
    }

    /* renamed from: ʻי  reason: contains not printable characters */
    private void m8365() {
        int i6;
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.f7565;
        if (textView != null) {
            if (this.f7561) {
                i6 = this.f7567;
            } else {
                i6 = this.f7569;
            }
            m8414(textView, i6);
            if (!this.f7561 && (colorStateList2 = this.f7566) != null) {
                this.f7565.setTextColor(colorStateList2);
            }
            if (this.f7561 && (colorStateList = this.f7506) != null) {
                this.f7565.setTextColor(colorStateList);
            }
        }
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    private void m8366() {
        Drawable textCursorDrawable;
        Drawable textCursorDrawable2;
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.f7536;
        if (colorStateList2 == null) {
            colorStateList2 = k2.a.m11164(getContext(), c2.b.f5614);
        }
        EditText editText = this.f7543;
        if (editText != null) {
            textCursorDrawable = editText.getTextCursorDrawable();
            if (textCursorDrawable != null) {
                textCursorDrawable2 = this.f7543.getTextCursorDrawable();
                if (m8391() && (colorStateList = this.f7532) != null) {
                    colorStateList2 = colorStateList;
                }
                androidx.core.graphics.drawable.a.m2430(textCursorDrawable2, colorStateList2);
            }
        }
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private boolean m8367() {
        int max;
        if (this.f7543 == null || this.f7543.getMeasuredHeight() >= (max = Math.max(this.f7541.getMeasuredHeight(), this.f7539.getMeasuredHeight()))) {
            return false;
        }
        this.f7543.setMinimumHeight(max);
        return true;
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private void m8368() {
        if (this.f7558 != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f7537.getLayoutParams();
            int m8405 = m8405();
            if (m8405 != layoutParams.topMargin) {
                layoutParams.topMargin = m8405;
                this.f7537.requestLayout();
            }
        }
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private void m8369(boolean z5, boolean z6) {
        boolean z7;
        boolean z8;
        ColorStateList colorStateList;
        TextView textView;
        int i6;
        boolean isEnabled = isEnabled();
        EditText editText = this.f7543;
        if (editText != null && !TextUtils.isEmpty(editText.getText())) {
            z7 = true;
        } else {
            z7 = false;
        }
        EditText editText2 = this.f7543;
        if (editText2 != null && editText2.hasFocus()) {
            z8 = true;
        } else {
            z8 = false;
        }
        ColorStateList colorStateList2 = this.f7517;
        if (colorStateList2 != null) {
            this.f7529.m7944(colorStateList2);
        }
        if (!isEnabled) {
            ColorStateList colorStateList3 = this.f7517;
            if (colorStateList3 != null) {
                i6 = colorStateList3.getColorForState(new int[]{-16842910}, this.f7527);
            } else {
                i6 = this.f7527;
            }
            this.f7529.m7944(ColorStateList.valueOf(i6));
        } else if (m8415()) {
            this.f7529.m7944(this.f7555.m8668());
        } else if (this.f7561 && (textView = this.f7565) != null) {
            this.f7529.m7944(textView.getTextColors());
        } else if (z8 && (colorStateList = this.f7518) != null) {
            this.f7529.m7949(colorStateList);
        }
        if (!z7 && this.f7530 && (!isEnabled() || !z8)) {
            if (z6 || !this.f7528) {
                m8375(z5);
            }
        } else if (z6 || this.f7528) {
            m8412(z5);
        }
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private void m8370() {
        EditText editText;
        if (this.f7575 != null && (editText = this.f7543) != null) {
            this.f7575.setGravity(editText.getGravity());
            this.f7575.setPadding(this.f7543.getCompoundPaddingLeft(), this.f7543.getCompoundPaddingTop(), this.f7543.getCompoundPaddingRight(), this.f7543.getCompoundPaddingBottom());
        }
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private void m8371() {
        Editable text;
        EditText editText = this.f7543;
        if (editText == null) {
            text = null;
        } else {
            text = editText.getText();
        }
        m8372(text);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻﾞ  reason: contains not printable characters */
    public void m8372(Editable editable) {
        if (this.f7563.mo8430(editable) == 0 && !this.f7528) {
            m8360();
        } else {
            m8385();
        }
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private void m8374(boolean z5, boolean z6) {
        int defaultColor = this.f7522.getDefaultColor();
        int colorForState = this.f7522.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.f7522.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z5) {
            this.f7562 = colorForState2;
        } else if (z6) {
            this.f7562 = colorForState;
        } else {
            this.f7562 = defaultColor;
        }
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private void m8375(boolean z5) {
        ValueAnimator valueAnimator = this.f7533;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.f7533.cancel();
        }
        if (z5 && this.f7531) {
            m8425(0.0f);
        } else {
            this.f7529.m7935(0.0f);
        }
        if (m8399() && ((com.google.android.material.textfield.h) this.f7542).m8499()) {
            m8411();
        }
        this.f7528 = true;
        m8385();
        this.f7539.m8448(true);
        this.f7541.m8598(true);
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private void m8377(Canvas canvas) {
        if (this.f7540) {
            this.f7529.m7946(canvas);
        }
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private static Drawable m8379(v2.g gVar, int i6, int i7, int[][] iArr) {
        int[] iArr2 = {k2.a.m11167(i7, i6, 0.1f), i6};
        if (Build.VERSION.SDK_INT >= 21) {
            return new RippleDrawable(new ColorStateList(iArr, iArr2), gVar, gVar);
        }
        v2.g gVar2 = new v2.g(gVar.m13690());
        gVar2.m13691(new ColorStateList(iArr, iArr2));
        return new LayerDrawable(new Drawable[]{gVar, gVar2});
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private v2.g m8381(boolean z5) {
        float f6;
        float dimensionPixelOffset;
        ColorStateList colorStateList;
        float dimensionPixelOffset2 = getResources().getDimensionPixelOffset(c2.d.mtrl_shape_corner_size_small_component);
        if (z5) {
            f6 = dimensionPixelOffset2;
        } else {
            f6 = 0.0f;
        }
        EditText editText = this.f7543;
        if (editText instanceof w) {
            dimensionPixelOffset = ((w) editText).getPopupElevation();
        } else {
            dimensionPixelOffset = getResources().getDimensionPixelOffset(c2.d.m3_comp_outlined_autocomplete_menu_container_elevation);
        }
        int dimensionPixelOffset3 = getResources().getDimensionPixelOffset(c2.d.mtrl_exposed_dropdown_menu_popup_vertical_padding);
        v2.k m13778 = v2.k.m13736().m13782(f6).m13775(f6).m13785(dimensionPixelOffset2).m13789(dimensionPixelOffset2).m13778();
        EditText editText2 = this.f7543;
        if (editText2 instanceof w) {
            colorStateList = ((w) editText2).getDropDownBackgroundTintList();
        } else {
            colorStateList = null;
        }
        v2.g m13681 = v2.g.m13681(getContext(), dimensionPixelOffset, colorStateList);
        m13681.setShapeAppearanceModel(m13778);
        m13681.m13693(0, dimensionPixelOffset3, 0, dimensionPixelOffset3);
        return m13681;
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private int m8383(int i6, boolean z5) {
        int compoundPaddingRight;
        if (!z5 && getSuffixText() != null) {
            compoundPaddingRight = this.f7541.m8615();
        } else if (z5 && getPrefixText() != null) {
            compoundPaddingRight = this.f7539.m8441();
        } else {
            compoundPaddingRight = this.f7543.getCompoundPaddingRight();
        }
        return i6 - compoundPaddingRight;
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private void m8385() {
        TextView textView = this.f7575;
        if (textView != null && this.f7573) {
            textView.setText((CharSequence) null);
            q0.q.m12640(this.f7537, this.f7564);
            this.f7575.setVisibility(4);
        }
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private static Drawable m8386(Context context, v2.g gVar, int i6, int[][] iArr) {
        int m11160 = k2.a.m11160(context, c2.b.colorSurface, "TextInputLayout");
        v2.g gVar2 = new v2.g(gVar.m13690());
        int m11167 = k2.a.m11167(i6, m11160, 0.1f);
        gVar2.m13691(new ColorStateList(iArr, new int[]{m11167, 0}));
        if (Build.VERSION.SDK_INT >= 21) {
            gVar2.setTint(m11160);
            ColorStateList colorStateList = new ColorStateList(iArr, new int[]{m11167, m11160});
            v2.g gVar3 = new v2.g(gVar.m13690());
            gVar3.setTint(-1);
            return new LayerDrawable(new Drawable[]{new RippleDrawable(colorStateList, gVar2, gVar3), gVar});
        }
        return new LayerDrawable(new Drawable[]{gVar2, gVar});
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m8387() {
        TextView textView = this.f7575;
        if (textView != null) {
            this.f7537.addView(textView);
            this.f7575.setVisibility(0);
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m8388() {
        if (this.f7543 != null && this.f7558 == 1) {
            if (s2.c.m13192(getContext())) {
                EditText editText = this.f7543;
                z0.m3407(editText, z0.m3427(editText), getResources().getDimensionPixelSize(c2.d.material_filled_edittext_font_2_0_padding_top), z0.m3423(this.f7543), getResources().getDimensionPixelSize(c2.d.material_filled_edittext_font_2_0_padding_bottom));
            } else if (s2.c.m13191(getContext())) {
                EditText editText2 = this.f7543;
                z0.m3407(editText2, z0.m3427(editText2), getResources().getDimensionPixelSize(c2.d.material_filled_edittext_font_1_3_padding_top), z0.m3423(this.f7543), getResources().getDimensionPixelSize(c2.d.material_filled_edittext_font_1_3_padding_bottom));
            }
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m8389() {
        v2.g gVar = this.f7542;
        if (gVar == null) {
            return;
        }
        v2.k m13690 = gVar.m13690();
        v2.k kVar = this.f7552;
        if (m13690 != kVar) {
            this.f7542.setShapeAppearanceModel(kVar);
        }
        if (m8407()) {
            this.f7542.m13697(this.f7572, this.f7562);
        }
        int m8396 = m8396();
        this.f7578 = m8396;
        this.f7542.m13691(ColorStateList.valueOf(m8396));
        m8390();
        m8419();
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private void m8390() {
        ColorStateList valueOf;
        if (this.f7548 != null && this.f7554 != null) {
            if (m8409()) {
                v2.g gVar = this.f7548;
                if (this.f7543.isFocused()) {
                    valueOf = ColorStateList.valueOf(this.f7519);
                } else {
                    valueOf = ColorStateList.valueOf(this.f7562);
                }
                gVar.m13691(valueOf);
                this.f7554.m13691(ColorStateList.valueOf(this.f7562));
            }
            invalidate();
        }
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean m8391() {
        if (!m8415() && (this.f7565 == null || !this.f7561)) {
            return false;
        }
        return true;
    }

    /* renamed from: י  reason: contains not printable characters */
    private void m8392(RectF rectF) {
        float f6 = rectF.left;
        int i6 = this.f7570;
        rectF.left = f6 - i6;
        rectF.right += i6;
    }

    /* renamed from: יי  reason: contains not printable characters */
    private boolean m8393() {
        if (this.f7558 == 1 && this.f7543.getMinLines() <= 1) {
            return true;
        }
        return false;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private void m8394() {
        int i6 = this.f7558;
        if (i6 != 0) {
            if (i6 != 1) {
                if (i6 == 2) {
                    if (this.f7540 && !(this.f7542 instanceof com.google.android.material.textfield.h)) {
                        this.f7542 = com.google.android.material.textfield.h.m8498(this.f7552);
                    } else {
                        this.f7542 = new v2.g(this.f7552);
                    }
                    this.f7548 = null;
                    this.f7554 = null;
                    return;
                }
                throw new IllegalArgumentException(this.f7558 + " is illegal; only @BoxBackgroundMode constants are supported.");
            }
            this.f7542 = new v2.g(this.f7552);
            this.f7548 = new v2.g();
            this.f7554 = new v2.g();
            return;
        }
        this.f7542 = null;
        this.f7548 = null;
        this.f7554 = null;
    }

    /* renamed from: ــ  reason: contains not printable characters */
    private int m8395(int i6, boolean z5) {
        int compoundPaddingLeft;
        if (!z5 && getPrefixText() != null) {
            compoundPaddingLeft = this.f7539.m8441();
        } else if (z5 && getSuffixText() != null) {
            compoundPaddingLeft = this.f7541.m8615();
        } else {
            compoundPaddingLeft = this.f7543.getCompoundPaddingLeft();
        }
        return i6 + compoundPaddingLeft;
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private int m8396() {
        int i6 = this.f7578;
        if (this.f7558 == 1) {
            return k2.a.m11166(k2.a.m11162(this, c2.b.colorSurface, 0), this.f7578);
        }
        return i6;
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private static void m8397(ViewGroup viewGroup, boolean z5) {
        int childCount = viewGroup.getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = viewGroup.getChildAt(i6);
            childAt.setEnabled(z5);
            if (childAt instanceof ViewGroup) {
                m8397((ViewGroup) childAt, z5);
            }
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private Rect m8398(Rect rect) {
        if (this.f7543 != null) {
            Rect rect2 = this.f7508;
            boolean m7969 = com.google.android.material.internal.b0.m7969(this);
            rect2.bottom = rect.bottom;
            int i6 = this.f7558;
            if (i6 != 1) {
                if (i6 != 2) {
                    rect2.left = m8395(rect.left, m7969);
                    rect2.top = getPaddingTop();
                    rect2.right = m8383(rect.right, m7969);
                    return rect2;
                }
                rect2.left = rect.left + this.f7543.getPaddingLeft();
                rect2.top = rect.top - m8405();
                rect2.right = rect.right - this.f7543.getPaddingRight();
                return rect2;
            }
            rect2.left = m8395(rect.left, m7969);
            rect2.top = rect.top + this.f7568;
            rect2.right = m8383(rect.right, m7969);
            return rect2;
        }
        throw new IllegalStateException();
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private boolean m8399() {
        if (this.f7540 && !TextUtils.isEmpty(this.f7538) && (this.f7542 instanceof com.google.android.material.textfield.h)) {
            return true;
        }
        return false;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int m8400(Rect rect, Rect rect2, float f6) {
        if (m8393()) {
            return (int) (rect2.top + f6);
        }
        return rect.bottom - this.f7543.getCompoundPaddingBottom();
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private void m8401() {
        Iterator<g> it = this.f7513.iterator();
        while (it.hasNext()) {
            it.next().mo8431(this);
        }
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int m8402(Rect rect, float f6) {
        if (m8393()) {
            return (int) (rect.centerY() - (f6 / 2.0f));
        }
        return rect.top + this.f7543.getCompoundPaddingTop();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public static /* synthetic */ int m8403(Editable editable) {
        if (editable != null) {
            return editable.length();
        }
        return 0;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private Rect m8404(Rect rect) {
        if (this.f7543 != null) {
            Rect rect2 = this.f7508;
            float m7958 = this.f7529.m7958();
            rect2.left = rect.left + this.f7543.getCompoundPaddingLeft();
            rect2.top = m8402(rect, m7958);
            rect2.right = rect.right - this.f7543.getCompoundPaddingRight();
            rect2.bottom = m8400(rect, rect2, m7958);
            return rect2;
        }
        throw new IllegalStateException();
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int m8405() {
        float m7954;
        if (!this.f7540) {
            return 0;
        }
        int i6 = this.f7558;
        if (i6 != 0) {
            if (i6 != 2) {
                return 0;
            }
            m7954 = this.f7529.m7954() / 2.0f;
        } else {
            m7954 = this.f7529.m7954();
        }
        return (int) m7954;
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private void m8406() {
        m8394();
        m8419();
        m8421();
        m8361();
        m8388();
        if (this.f7558 != 0) {
            m8368();
        }
        m8357();
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean m8407() {
        if (this.f7558 == 2 && m8409()) {
            return true;
        }
        return false;
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m8408() {
        if (!m8399()) {
            return;
        }
        RectF rectF = this.f7509;
        this.f7529.m7950(rectF, this.f7543.getWidth(), this.f7543.getGravity());
        if (rectF.width() > 0.0f && rectF.height() > 0.0f) {
            m8392(rectF);
            rectF.offset(-getPaddingLeft(), ((-getPaddingTop()) - (rectF.height() / 2.0f)) + this.f7572);
            ((com.google.android.material.textfield.h) this.f7542).m8502(rectF);
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private boolean m8409() {
        if (this.f7572 > -1 && this.f7562 != 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private void m8410() {
        if (m8399() && !this.f7528) {
            m8411();
            m8408();
        }
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private void m8411() {
        if (m8399()) {
            ((com.google.android.material.textfield.h) this.f7542).m8500();
        }
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private void m8412(boolean z5) {
        ValueAnimator valueAnimator = this.f7533;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.f7533.cancel();
        }
        if (z5 && this.f7531) {
            m8425(1.0f);
        } else {
            this.f7529.m7935(1.0f);
        }
        this.f7528 = false;
        if (m8399()) {
            m8408();
        }
        m8371();
        this.f7539.m8448(false);
        this.f7541.m8598(false);
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private q0.d m8413() {
        q0.d dVar = new q0.d();
        dVar.mo12635(q2.h.m12726(getContext(), c2.b.motionDurationShort2, 87));
        dVar.mo12637(q2.h.m12727(getContext(), c2.b.motionEasingLinearInterpolator, d2.a.f8061));
        return dVar;
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & (-113)) | 16;
            this.f7537.addView(view, layoutParams2);
            this.f7537.setLayoutParams(layoutParams);
            m8368();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i6, layoutParams);
    }

    @Override // android.view.ViewGroup, android.view.View
    @TargetApi(26)
    public void dispatchProvideAutofillStructure(ViewStructure viewStructure, int i6) {
        ViewStructure newChild;
        EditText editText = this.f7543;
        if (editText == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i6);
            return;
        }
        if (this.f7545 == null) {
            viewStructure.setAutofillId(getAutofillId());
            onProvideAutofillStructure(viewStructure, i6);
            onProvideAutofillVirtualStructure(viewStructure, i6);
            viewStructure.setChildCount(this.f7537.getChildCount());
            for (int i7 = 0; i7 < this.f7537.getChildCount(); i7++) {
                View childAt = this.f7537.getChildAt(i7);
                newChild = viewStructure.newChild(i7);
                childAt.dispatchProvideAutofillStructure(newChild, i6);
                if (childAt == this.f7543) {
                    newChild.setHint(getHint());
                }
            }
            return;
        }
        boolean z5 = this.f7560;
        this.f7560 = false;
        CharSequence hint = editText.getHint();
        this.f7543.setHint(this.f7545);
        try {
            super.dispatchProvideAutofillStructure(viewStructure, i6);
        } finally {
            this.f7543.setHint(hint);
            this.f7560 = z5;
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        this.f7535 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.f7535 = false;
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        super.draw(canvas);
        m8377(canvas);
        m8355(canvas);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void drawableStateChanged() {
        boolean z5;
        if (this.f7534) {
            return;
        }
        boolean z6 = true;
        this.f7534 = true;
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        com.google.android.material.internal.b bVar = this.f7529;
        if (bVar != null) {
            z5 = bVar.m7937(drawableState) | false;
        } else {
            z5 = false;
        }
        if (this.f7543 != null) {
            m8420((z0.m3459(this) && isEnabled()) ? false : false);
        }
        m8418();
        m8421();
        if (z5) {
            invalidate();
        }
        this.f7534 = false;
    }

    @Override // android.widget.LinearLayout, android.view.View
    public int getBaseline() {
        EditText editText = this.f7543;
        if (editText != null) {
            return editText.getBaseline() + getPaddingTop() + m8405();
        }
        return super.getBaseline();
    }

    v2.g getBoxBackground() {
        int i6 = this.f7558;
        if (i6 != 1 && i6 != 2) {
            throw new IllegalStateException();
        }
        return this.f7542;
    }

    public int getBoxBackgroundColor() {
        return this.f7578;
    }

    public int getBoxBackgroundMode() {
        return this.f7558;
    }

    public int getBoxCollapsedPaddingTop() {
        return this.f7568;
    }

    public float getBoxCornerRadiusBottomEnd() {
        if (com.google.android.material.internal.b0.m7969(this)) {
            return this.f7552.m13746().mo13661(this.f7509);
        }
        return this.f7552.m13748().mo13661(this.f7509);
    }

    public float getBoxCornerRadiusBottomStart() {
        if (com.google.android.material.internal.b0.m7969(this)) {
            return this.f7552.m13748().mo13661(this.f7509);
        }
        return this.f7552.m13746().mo13661(this.f7509);
    }

    public float getBoxCornerRadiusTopEnd() {
        if (com.google.android.material.internal.b0.m7969(this)) {
            return this.f7552.m13753().mo13661(this.f7509);
        }
        return this.f7552.m13755().mo13661(this.f7509);
    }

    public float getBoxCornerRadiusTopStart() {
        if (com.google.android.material.internal.b0.m7969(this)) {
            return this.f7552.m13755().mo13661(this.f7509);
        }
        return this.f7552.m13753().mo13661(this.f7509);
    }

    public int getBoxStrokeColor() {
        return this.f7521;
    }

    public ColorStateList getBoxStrokeErrorColor() {
        return this.f7522;
    }

    public int getBoxStrokeWidth() {
        return this.f7574;
    }

    public int getBoxStrokeWidthFocused() {
        return this.f7576;
    }

    public int getCounterMaxLength() {
        return this.f7559;
    }

    CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (this.f7557 && this.f7561 && (textView = this.f7565) != null) {
            return textView.getContentDescription();
        }
        return null;
    }

    public ColorStateList getCounterOverflowTextColor() {
        return this.f7506;
    }

    public ColorStateList getCounterTextColor() {
        return this.f7566;
    }

    public ColorStateList getCursorColor() {
        return this.f7536;
    }

    public ColorStateList getCursorErrorColor() {
        return this.f7532;
    }

    public ColorStateList getDefaultHintTextColor() {
        return this.f7517;
    }

    public EditText getEditText() {
        return this.f7543;
    }

    public CharSequence getEndIconContentDescription() {
        return this.f7541.m8591();
    }

    public Drawable getEndIconDrawable() {
        return this.f7541.m8595();
    }

    public int getEndIconMinSize() {
        return this.f7541.m8597();
    }

    public int getEndIconMode() {
        return this.f7541.m8599();
    }

    public ImageView.ScaleType getEndIconScaleType() {
        return this.f7541.m8601();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public CheckableImageButton getEndIconView() {
        return this.f7541.m8603();
    }

    public CharSequence getError() {
        if (this.f7555.m8667()) {
            return this.f7555.m8665();
        }
        return null;
    }

    public int getErrorAccessibilityLiveRegion() {
        return this.f7555.m8661();
    }

    public CharSequence getErrorContentDescription() {
        return this.f7555.m8663();
    }

    public int getErrorCurrentTextColors() {
        return this.f7555.m8666();
    }

    public Drawable getErrorIconDrawable() {
        return this.f7541.m8604();
    }

    public CharSequence getHelperText() {
        if (this.f7555.m8669()) {
            return this.f7555.m8670();
        }
        return null;
    }

    public int getHelperTextCurrentTextColor() {
        return this.f7555.m8673();
    }

    public CharSequence getHint() {
        if (this.f7540) {
            return this.f7538;
        }
        return null;
    }

    final float getHintCollapsedTextHeight() {
        return this.f7529.m7954();
    }

    final int getHintCurrentCollapsedTextColor() {
        return this.f7529.m7956();
    }

    public ColorStateList getHintTextColor() {
        return this.f7518;
    }

    public f getLengthCounter() {
        return this.f7563;
    }

    public int getMaxEms() {
        return this.f7549;
    }

    public int getMaxWidth() {
        return this.f7553;
    }

    public int getMinEms() {
        return this.f7547;
    }

    public int getMinWidth() {
        return this.f7551;
    }

    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.f7541.m8607();
    }

    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.f7541.m8609();
    }

    public CharSequence getPlaceholderText() {
        if (this.f7573) {
            return this.f7571;
        }
        return null;
    }

    public int getPlaceholderTextAppearance() {
        return this.f7579;
    }

    public ColorStateList getPlaceholderTextColor() {
        return this.f7577;
    }

    public CharSequence getPrefixText() {
        return this.f7539.m8439();
    }

    public ColorStateList getPrefixTextColor() {
        return this.f7539.m8440();
    }

    public TextView getPrefixTextView() {
        return this.f7539.m8442();
    }

    public v2.k getShapeAppearanceModel() {
        return this.f7552;
    }

    public CharSequence getStartIconContentDescription() {
        return this.f7539.m8443();
    }

    public Drawable getStartIconDrawable() {
        return this.f7539.m8444();
    }

    public int getStartIconMinSize() {
        return this.f7539.m8445();
    }

    public ImageView.ScaleType getStartIconScaleType() {
        return this.f7539.m8446();
    }

    public CharSequence getSuffixText() {
        return this.f7541.m8611();
    }

    public ColorStateList getSuffixTextColor() {
        return this.f7541.m8613();
    }

    public TextView getSuffixTextView() {
        return this.f7541.m8616();
    }

    public Typeface getTypeface() {
        return this.f7510;
    }

    @Override // android.view.View
    protected void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f7529.m7951(configuration);
    }

    @Override // android.widget.LinearLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        EditText editText = this.f7543;
        if (editText != null) {
            Rect rect = this.f7507;
            com.google.android.material.internal.d.m7977(this, editText, rect);
            m8362(rect);
            if (this.f7540) {
                this.f7529.m7934(this.f7543.getTextSize());
                int gravity = this.f7543.getGravity();
                this.f7529.m7955((gravity & (-113)) | 48);
                this.f7529.m7933(gravity);
                this.f7529.m7945(m8398(rect));
                this.f7529.m7953(m8404(rect));
                this.f7529.m7943();
                if (m8399() && !this.f7528) {
                    m8408();
                }
            }
        }
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onMeasure(int i6, int i7) {
        super.onMeasure(i6, i7);
        boolean m8367 = m8367();
        boolean m8417 = m8417();
        if (m8367 || m8417) {
            this.f7543.post(new c());
        }
        m8370();
        this.f7541.m8581();
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof i)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        i iVar = (i) parcelable;
        super.onRestoreInstanceState(iVar.m14260());
        setError(iVar.f7586);
        if (iVar.f7587) {
            post(new b());
        }
        requestLayout();
    }

    @Override // android.widget.LinearLayout, android.view.View
    public void onRtlPropertiesChanged(int i6) {
        super.onRtlPropertiesChanged(i6);
        boolean z5 = true;
        if (i6 != 1) {
            z5 = false;
        }
        if (z5 != this.f7556) {
            float mo13661 = this.f7552.m13753().mo13661(this.f7509);
            float mo136612 = this.f7552.m13755().mo13661(this.f7509);
            float mo136613 = this.f7552.m13746().mo13661(this.f7509);
            float mo136614 = this.f7552.m13748().mo13661(this.f7509);
            v2.d m13752 = this.f7552.m13752();
            v2.d m13754 = this.f7552.m13754();
            v2.k m13778 = v2.k.m13736().m13792(m13754).m13776(m13752).m13783(this.f7552.m13747()).m13788(this.f7552.m13745()).m13782(mo136612).m13775(mo13661).m13785(mo136614).m13789(mo136613).m13778();
            this.f7556 = z5;
            setShapeAppearanceModel(m13778);
        }
    }

    @Override // android.view.View
    public Parcelable onSaveInstanceState() {
        i iVar = new i(super.onSaveInstanceState());
        if (m8415()) {
            iVar.f7586 = getError();
        }
        iVar.f7587 = this.f7541.m8580();
        return iVar;
    }

    public void setBoxBackgroundColor(int i6) {
        if (this.f7578 != i6) {
            this.f7578 = i6;
            this.f7523 = i6;
            this.f7525 = i6;
            this.f7526 = i6;
            m8389();
        }
    }

    public void setBoxBackgroundColorResource(int i6) {
        setBoxBackgroundColor(androidx.core.content.a.m2210(getContext(), i6));
    }

    public void setBoxBackgroundColorStateList(ColorStateList colorStateList) {
        int defaultColor = colorStateList.getDefaultColor();
        this.f7523 = defaultColor;
        this.f7578 = defaultColor;
        this.f7524 = colorStateList.getColorForState(new int[]{-16842910}, -1);
        this.f7525 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        this.f7526 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
        m8389();
    }

    public void setBoxBackgroundMode(int i6) {
        if (i6 == this.f7558) {
            return;
        }
        this.f7558 = i6;
        if (this.f7543 != null) {
            m8406();
        }
    }

    public void setBoxCollapsedPaddingTop(int i6) {
        this.f7568 = i6;
    }

    public void setBoxCornerFamily(int i6) {
        this.f7552 = this.f7552.m13757().m13791(i6, this.f7552.m13753()).m13774(i6, this.f7552.m13755()).m13781(i6, this.f7552.m13746()).m13787(i6, this.f7552.m13748()).m13778();
        m8389();
    }

    public void setBoxStrokeColor(int i6) {
        if (this.f7521 != i6) {
            this.f7521 = i6;
            m8421();
        }
    }

    public void setBoxStrokeColorStateList(ColorStateList colorStateList) {
        if (colorStateList.isStateful()) {
            this.f7519 = colorStateList.getDefaultColor();
            this.f7527 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.f7520 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            this.f7521 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else if (this.f7521 != colorStateList.getDefaultColor()) {
            this.f7521 = colorStateList.getDefaultColor();
        }
        m8421();
    }

    public void setBoxStrokeErrorColor(ColorStateList colorStateList) {
        if (this.f7522 != colorStateList) {
            this.f7522 = colorStateList;
            m8421();
        }
    }

    public void setBoxStrokeWidth(int i6) {
        this.f7574 = i6;
        m8421();
    }

    public void setBoxStrokeWidthFocused(int i6) {
        this.f7576 = i6;
        m8421();
    }

    public void setBoxStrokeWidthFocusedResource(int i6) {
        setBoxStrokeWidthFocused(getResources().getDimensionPixelSize(i6));
    }

    public void setBoxStrokeWidthResource(int i6) {
        setBoxStrokeWidth(getResources().getDimensionPixelSize(i6));
    }

    public void setCounterEnabled(boolean z5) {
        if (this.f7557 != z5) {
            if (z5) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.f7565 = appCompatTextView;
                appCompatTextView.setId(c2.f.textinput_counter);
                Typeface typeface = this.f7510;
                if (typeface != null) {
                    this.f7565.setTypeface(typeface);
                }
                this.f7565.setMaxLines(1);
                this.f7555.m8651(this.f7565, 2);
                androidx.core.view.u.m3321((ViewGroup.MarginLayoutParams) this.f7565.getLayoutParams(), getResources().getDimensionPixelOffset(c2.d.mtrl_textinput_counter_margin_start));
                m8365();
                m8363();
            } else {
                this.f7555.m8648(this.f7565, 2);
                this.f7565 = null;
            }
            this.f7557 = z5;
        }
    }

    public void setCounterMaxLength(int i6) {
        if (this.f7559 != i6) {
            if (i6 > 0) {
                this.f7559 = i6;
            } else {
                this.f7559 = -1;
            }
            if (this.f7557) {
                m8363();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i6) {
        if (this.f7567 != i6) {
            this.f7567 = i6;
            m8365();
        }
    }

    public void setCounterOverflowTextColor(ColorStateList colorStateList) {
        if (this.f7506 != colorStateList) {
            this.f7506 = colorStateList;
            m8365();
        }
    }

    public void setCounterTextAppearance(int i6) {
        if (this.f7569 != i6) {
            this.f7569 = i6;
            m8365();
        }
    }

    public void setCounterTextColor(ColorStateList colorStateList) {
        if (this.f7566 != colorStateList) {
            this.f7566 = colorStateList;
            m8365();
        }
    }

    public void setCursorColor(ColorStateList colorStateList) {
        if (this.f7536 != colorStateList) {
            this.f7536 = colorStateList;
            m8366();
        }
    }

    public void setCursorErrorColor(ColorStateList colorStateList) {
        if (this.f7532 != colorStateList) {
            this.f7532 = colorStateList;
            if (m8391()) {
                m8366();
            }
        }
    }

    public void setDefaultHintTextColor(ColorStateList colorStateList) {
        this.f7517 = colorStateList;
        this.f7518 = colorStateList;
        if (this.f7543 != null) {
            m8420(false);
        }
    }

    @Override // android.view.View
    public void setEnabled(boolean z5) {
        m8397(this, z5);
        super.setEnabled(z5);
    }

    public void setEndIconActivated(boolean z5) {
        this.f7541.m8592(z5);
    }

    public void setEndIconCheckable(boolean z5) {
        this.f7541.m8590(z5);
    }

    public void setEndIconContentDescription(int i6) {
        this.f7541.m8594(i6);
    }

    public void setEndIconDrawable(int i6) {
        this.f7541.m8596(i6);
    }

    public void setEndIconMinSize(int i6) {
        this.f7541.m8608(i6);
    }

    public void setEndIconMode(int i6) {
        this.f7541.m8610(i6);
    }

    public void setEndIconOnClickListener(View.OnClickListener onClickListener) {
        this.f7541.m8612(onClickListener);
    }

    public void setEndIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f7541.m8600(onLongClickListener);
    }

    public void setEndIconScaleType(ImageView.ScaleType scaleType) {
        this.f7541.m8614(scaleType);
    }

    public void setEndIconTintList(ColorStateList colorStateList) {
        this.f7541.m8561(colorStateList);
    }

    public void setEndIconTintMode(PorterDuff.Mode mode) {
        this.f7541.m8562(mode);
    }

    public void setEndIconVisible(boolean z5) {
        this.f7541.m8563(z5);
    }

    public void setError(CharSequence charSequence) {
        if (!this.f7555.m8667()) {
            if (TextUtils.isEmpty(charSequence)) {
                return;
            }
            setErrorEnabled(true);
        }
        if (!TextUtils.isEmpty(charSequence)) {
            this.f7555.m8672(charSequence);
        } else {
            this.f7555.m8674();
        }
    }

    public void setErrorAccessibilityLiveRegion(int i6) {
        this.f7555.m8649(i6);
    }

    public void setErrorContentDescription(CharSequence charSequence) {
        this.f7555.m8652(charSequence);
    }

    public void setErrorEnabled(boolean z5) {
        this.f7555.m8650(z5);
    }

    public void setErrorIconDrawable(int i6) {
        this.f7541.m8564(i6);
    }

    public void setErrorIconOnClickListener(View.OnClickListener onClickListener) {
        this.f7541.m8566(onClickListener);
    }

    public void setErrorIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f7541.m8567(onLongClickListener);
    }

    public void setErrorIconTintList(ColorStateList colorStateList) {
        this.f7541.m8568(colorStateList);
    }

    public void setErrorIconTintMode(PorterDuff.Mode mode) {
        this.f7541.m8569(mode);
    }

    public void setErrorTextAppearance(int i6) {
        this.f7555.m8664(i6);
    }

    public void setErrorTextColor(ColorStateList colorStateList) {
        this.f7555.m8654(colorStateList);
    }

    public void setExpandedHintEnabled(boolean z5) {
        if (this.f7530 != z5) {
            this.f7530 = z5;
            m8420(false);
        }
    }

    public void setHelperText(CharSequence charSequence) {
        if (TextUtils.isEmpty(charSequence)) {
            if (m8427()) {
                setHelperTextEnabled(false);
                return;
            }
            return;
        }
        if (!m8427()) {
            setHelperTextEnabled(true);
        }
        this.f7555.m8662(charSequence);
    }

    public void setHelperTextColor(ColorStateList colorStateList) {
        this.f7555.m8658(colorStateList);
    }

    public void setHelperTextEnabled(boolean z5) {
        this.f7555.m8655(z5);
    }

    public void setHelperTextTextAppearance(int i6) {
        this.f7555.m8657(i6);
    }

    public void setHint(CharSequence charSequence) {
        if (this.f7540) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(2048);
        }
    }

    public void setHintAnimationEnabled(boolean z5) {
        this.f7531 = z5;
    }

    public void setHintEnabled(boolean z5) {
        if (z5 != this.f7540) {
            this.f7540 = z5;
            if (!z5) {
                this.f7560 = false;
                if (!TextUtils.isEmpty(this.f7538) && TextUtils.isEmpty(this.f7543.getHint())) {
                    this.f7543.setHint(this.f7538);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.f7543.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.f7538)) {
                        setHint(hint);
                    }
                    this.f7543.setHint((CharSequence) null);
                }
                this.f7560 = true;
            }
            if (this.f7543 != null) {
                m8368();
            }
        }
    }

    public void setHintTextAppearance(int i6) {
        this.f7529.m7948(i6);
        this.f7518 = this.f7529.m7952();
        if (this.f7543 != null) {
            m8420(false);
            m8368();
        }
    }

    public void setHintTextColor(ColorStateList colorStateList) {
        if (this.f7518 != colorStateList) {
            if (this.f7517 == null) {
                this.f7529.m7949(colorStateList);
            }
            this.f7518 = colorStateList;
            if (this.f7543 != null) {
                m8420(false);
            }
        }
    }

    public void setLengthCounter(f fVar) {
        this.f7563 = fVar;
    }

    public void setMaxEms(int i6) {
        this.f7549 = i6;
        EditText editText = this.f7543;
        if (editText != null && i6 != -1) {
            editText.setMaxEms(i6);
        }
    }

    public void setMaxWidth(int i6) {
        this.f7553 = i6;
        EditText editText = this.f7543;
        if (editText != null && i6 != -1) {
            editText.setMaxWidth(i6);
        }
    }

    public void setMaxWidthResource(int i6) {
        setMaxWidth(getContext().getResources().getDimensionPixelSize(i6));
    }

    public void setMinEms(int i6) {
        this.f7547 = i6;
        EditText editText = this.f7543;
        if (editText != null && i6 != -1) {
            editText.setMinEms(i6);
        }
    }

    public void setMinWidth(int i6) {
        this.f7551 = i6;
        EditText editText = this.f7543;
        if (editText != null && i6 != -1) {
            editText.setMinWidth(i6);
        }
    }

    public void setMinWidthResource(int i6) {
        setMinWidth(getContext().getResources().getDimensionPixelSize(i6));
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(int i6) {
        this.f7541.m8570(i6);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(int i6) {
        this.f7541.m8572(i6);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z5) {
        this.f7541.m8574(z5);
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(ColorStateList colorStateList) {
        this.f7541.m8575(colorStateList);
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(PorterDuff.Mode mode) {
        this.f7541.m8576(mode);
    }

    public void setPlaceholderText(CharSequence charSequence) {
        if (this.f7575 == null) {
            AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
            this.f7575 = appCompatTextView;
            appCompatTextView.setId(c2.f.textinput_placeholder);
            z0.m3403(this.f7575, 2);
            q0.d m8413 = m8413();
            this.f7580 = m8413;
            m8413.mo12605(67L);
            this.f7564 = m8413();
            setPlaceholderTextAppearance(this.f7579);
            setPlaceholderTextColor(this.f7577);
        }
        if (TextUtils.isEmpty(charSequence)) {
            setPlaceholderTextEnabled(false);
        } else {
            if (!this.f7573) {
                setPlaceholderTextEnabled(true);
            }
            this.f7571 = charSequence;
        }
        m8371();
    }

    public void setPlaceholderTextAppearance(int i6) {
        this.f7579 = i6;
        TextView textView = this.f7575;
        if (textView != null) {
            androidx.core.widget.c0.m3709(textView, i6);
        }
    }

    public void setPlaceholderTextColor(ColorStateList colorStateList) {
        if (this.f7577 != colorStateList) {
            this.f7577 = colorStateList;
            TextView textView = this.f7575;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(CharSequence charSequence) {
        this.f7539.m8450(charSequence);
    }

    public void setPrefixTextAppearance(int i6) {
        this.f7539.m8451(i6);
    }

    public void setPrefixTextColor(ColorStateList colorStateList) {
        this.f7539.m8452(colorStateList);
    }

    public void setShapeAppearanceModel(v2.k kVar) {
        v2.g gVar = this.f7542;
        if (gVar != null && gVar.m13690() != kVar) {
            this.f7552 = kVar;
            m8389();
        }
    }

    public void setStartIconCheckable(boolean z5) {
        this.f7539.m8453(z5);
    }

    public void setStartIconContentDescription(int i6) {
        setStartIconContentDescription(i6 != 0 ? getResources().getText(i6) : null);
    }

    public void setStartIconDrawable(int i6) {
        setStartIconDrawable(i6 != 0 ? f.a.m9499(getContext(), i6) : null);
    }

    public void setStartIconMinSize(int i6) {
        this.f7539.m8458(i6);
    }

    public void setStartIconOnClickListener(View.OnClickListener onClickListener) {
        this.f7539.m8459(onClickListener);
    }

    public void setStartIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f7539.m8460(onLongClickListener);
    }

    public void setStartIconScaleType(ImageView.ScaleType scaleType) {
        this.f7539.m8461(scaleType);
    }

    public void setStartIconTintList(ColorStateList colorStateList) {
        this.f7539.m8462(colorStateList);
    }

    public void setStartIconTintMode(PorterDuff.Mode mode) {
        this.f7539.m8463(mode);
    }

    public void setStartIconVisible(boolean z5) {
        this.f7539.m8464(z5);
    }

    public void setSuffixText(CharSequence charSequence) {
        this.f7541.m8577(charSequence);
    }

    public void setSuffixTextAppearance(int i6) {
        this.f7541.m8578(i6);
    }

    public void setSuffixTextColor(ColorStateList colorStateList) {
        this.f7541.m8579(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(e eVar) {
        EditText editText = this.f7543;
        if (editText != null) {
            z0.m3390(editText, eVar);
        }
    }

    public void setTypeface(Typeface typeface) {
        if (typeface != this.f7510) {
            this.f7510 = typeface;
            this.f7529.m7940(typeface);
            this.f7555.m8660(typeface);
            TextView textView = this.f7565;
            if (textView != null) {
                textView.setTypeface(typeface);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0015, code lost:
        if (r3.getTextColors().getDefaultColor() == (-65281)) goto L8;
     */
    /* renamed from: ʻʾ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void m8414(TextView textView, int i6) {
        boolean z5 = true;
        try {
            androidx.core.widget.c0.m3709(textView, i6);
            if (Build.VERSION.SDK_INT >= 23) {
            }
            z5 = false;
        } catch (Exception unused) {
        }
        if (z5) {
            androidx.core.widget.c0.m3709(textView, c2.j.f5626);
            textView.setTextColor(androidx.core.content.a.m2210(getContext(), c2.c.design_error));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻʿ  reason: contains not printable characters */
    public boolean m8415() {
        return this.f7555.m8659();
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    void m8416(Editable editable) {
        boolean z5;
        int mo8430 = this.f7563.mo8430(editable);
        boolean z6 = this.f7561;
        int i6 = this.f7559;
        if (i6 == -1) {
            this.f7565.setText(String.valueOf(mo8430));
            this.f7565.setContentDescription(null);
            this.f7561 = false;
        } else {
            if (mo8430 > i6) {
                z5 = true;
            } else {
                z5 = false;
            }
            this.f7561 = z5;
            m8364(getContext(), this.f7565, mo8430, this.f7559, this.f7561);
            if (z6 != this.f7561) {
                m8365();
            }
            this.f7565.setText(androidx.core.text.a.m2679().m2686(getContext().getString(c2.i.character_counter_pattern, Integer.valueOf(mo8430), Integer.valueOf(this.f7559))));
        }
        if (this.f7543 != null && z6 != this.f7561) {
            m8420(false);
            m8421();
            m8418();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻٴ  reason: contains not printable characters */
    public boolean m8417() {
        boolean z5;
        if (this.f7543 == null) {
            return false;
        }
        boolean z6 = true;
        if (m8359()) {
            int measuredWidth = this.f7539.getMeasuredWidth() - this.f7543.getPaddingLeft();
            if (this.f7511 == null || this.f7512 != measuredWidth) {
                ColorDrawable colorDrawable = new ColorDrawable();
                this.f7511 = colorDrawable;
                this.f7512 = measuredWidth;
                colorDrawable.setBounds(0, 0, measuredWidth, 1);
            }
            Drawable[] m3696 = androidx.core.widget.c0.m3696(this.f7543);
            Drawable drawable = m3696[0];
            Drawable drawable2 = this.f7511;
            if (drawable != drawable2) {
                androidx.core.widget.c0.m3704(this.f7543, drawable2, m3696[1], m3696[2], m3696[3]);
                z5 = true;
            }
            z5 = false;
        } else {
            if (this.f7511 != null) {
                Drawable[] m36962 = androidx.core.widget.c0.m3696(this.f7543);
                androidx.core.widget.c0.m3704(this.f7543, null, m36962[1], m36962[2], m36962[3]);
                this.f7511 = null;
                z5 = true;
            }
            z5 = false;
        }
        if (m8358()) {
            int measuredWidth2 = this.f7541.m8616().getMeasuredWidth() - this.f7543.getPaddingRight();
            CheckableImageButton m8589 = this.f7541.m8589();
            if (m8589 != null) {
                measuredWidth2 = measuredWidth2 + m8589.getMeasuredWidth() + androidx.core.view.u.m3319((ViewGroup.MarginLayoutParams) m8589.getLayoutParams());
            }
            Drawable[] m36963 = androidx.core.widget.c0.m3696(this.f7543);
            Drawable drawable3 = this.f7514;
            if (drawable3 != null && this.f7515 != measuredWidth2) {
                this.f7515 = measuredWidth2;
                drawable3.setBounds(0, 0, measuredWidth2, 1);
                androidx.core.widget.c0.m3704(this.f7543, m36963[0], m36963[1], this.f7514, m36963[3]);
            } else {
                if (drawable3 == null) {
                    ColorDrawable colorDrawable2 = new ColorDrawable();
                    this.f7514 = colorDrawable2;
                    this.f7515 = measuredWidth2;
                    colorDrawable2.setBounds(0, 0, measuredWidth2, 1);
                }
                Drawable drawable4 = m36963[2];
                Drawable drawable5 = this.f7514;
                if (drawable4 != drawable5) {
                    this.f7516 = drawable4;
                    androidx.core.widget.c0.m3704(this.f7543, m36963[0], m36963[1], drawable5, m36963[3]);
                } else {
                    z6 = z5;
                }
            }
        } else if (this.f7514 != null) {
            Drawable[] m36964 = androidx.core.widget.c0.m3696(this.f7543);
            if (m36964[2] == this.f7514) {
                androidx.core.widget.c0.m3704(this.f7543, m36964[0], m36964[1], this.f7516, m36964[3]);
            } else {
                z6 = z5;
            }
            this.f7514 = null;
        } else {
            return z5;
        }
        return z6;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public void m8418() {
        Drawable background;
        TextView textView;
        EditText editText = this.f7543;
        if (editText == null || this.f7558 != 0 || (background = editText.getBackground()) == null) {
            return;
        }
        if (x1.m1770(background)) {
            background = background.mutate();
        }
        if (m8415()) {
            background.setColorFilter(androidx.appcompat.widget.j.m1556(getErrorCurrentTextColors(), PorterDuff.Mode.SRC_IN));
        } else if (this.f7561 && (textView = this.f7565) != null) {
            background.setColorFilter(androidx.appcompat.widget.j.m1556(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
        } else {
            androidx.core.graphics.drawable.a.m2418(background);
            this.f7543.refreshDrawableState();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public void m8419() {
        EditText editText = this.f7543;
        if (editText != null && this.f7542 != null) {
            if ((this.f7550 || editText.getBackground() == null) && this.f7558 != 0) {
                z0.m3396(this.f7543, getEditTextBoxBackground());
                this.f7550 = true;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᵢ  reason: contains not printable characters */
    public void m8420(boolean z5) {
        m8369(z5, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼʽ  reason: contains not printable characters */
    public void m8421() {
        boolean z5;
        TextView textView;
        EditText editText;
        EditText editText2;
        if (this.f7542 != null && this.f7558 != 0) {
            boolean z6 = false;
            if (!isFocused() && ((editText2 = this.f7543) == null || !editText2.hasFocus())) {
                z5 = false;
            } else {
                z5 = true;
            }
            if (isHovered() || ((editText = this.f7543) != null && editText.isHovered())) {
                z6 = true;
            }
            if (!isEnabled()) {
                this.f7562 = this.f7527;
            } else if (m8415()) {
                if (this.f7522 != null) {
                    m8374(z5, z6);
                } else {
                    this.f7562 = getErrorCurrentTextColors();
                }
            } else if (this.f7561 && (textView = this.f7565) != null) {
                if (this.f7522 != null) {
                    m8374(z5, z6);
                } else {
                    this.f7562 = textView.getCurrentTextColor();
                }
            } else if (z5) {
                this.f7562 = this.f7521;
            } else if (z6) {
                this.f7562 = this.f7520;
            } else {
                this.f7562 = this.f7519;
            }
            if (Build.VERSION.SDK_INT >= 29) {
                m8366();
            }
            this.f7541.m8584();
            m8429();
            if (this.f7558 == 2) {
                int i6 = this.f7572;
                if (z5 && isEnabled()) {
                    this.f7572 = this.f7576;
                } else {
                    this.f7572 = this.f7574;
                }
                if (this.f7572 != i6) {
                    m8410();
                }
            }
            if (this.f7558 == 1) {
                if (!isEnabled()) {
                    this.f7578 = this.f7524;
                } else if (z6 && !z5) {
                    this.f7578 = this.f7526;
                } else if (z5) {
                    this.f7578 = this.f7525;
                } else {
                    this.f7578 = this.f7523;
                }
            }
            m8389();
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public void m8422(g gVar) {
        this.f7513.add(gVar);
        if (this.f7543 != null) {
            gVar.mo8431(this);
        }
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    public boolean m8423() {
        return this.f7555.m8667();
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    public boolean m8424() {
        return this.f7541.m8583();
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    void m8425(float f6) {
        if (this.f7529.m7960() == f6) {
            return;
        }
        if (this.f7533 == null) {
            ValueAnimator valueAnimator = new ValueAnimator();
            this.f7533 = valueAnimator;
            valueAnimator.setInterpolator(q2.h.m12727(getContext(), c2.b.motionEasingEmphasizedInterpolator, d2.a.f8062));
            this.f7533.setDuration(q2.h.m12726(getContext(), c2.b.motionDurationMedium4, 167));
            this.f7533.addUpdateListener(new d());
        }
        this.f7533.setFloatValues(this.f7529.m7960(), f6);
        this.f7533.start();
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    final boolean m8426() {
        return this.f7528;
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    public boolean m8427() {
        return this.f7555.m8669();
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public boolean m8428() {
        return this.f7560;
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public void m8429() {
        this.f7539.m8449();
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v45 */
    /* JADX WARN: Type inference failed for: r3v46, types: [int, boolean] */
    /* JADX WARN: Type inference failed for: r3v66 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public TextInputLayout(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14289(context, attributeSet, i6, r9), attributeSet, i6);
        ?? r32;
        int i7 = f7504;
        this.f7547 = -1;
        this.f7549 = -1;
        this.f7551 = -1;
        this.f7553 = -1;
        this.f7555 = new v(this);
        this.f7563 = new f() { // from class: com.google.android.material.textfield.i0
            @Override // com.google.android.material.textfield.TextInputLayout.f
            /* renamed from: ʻ */
            public final int mo8430(Editable editable) {
                int m8403;
                m8403 = TextInputLayout.m8403(editable);
                return m8403;
            }
        };
        this.f7507 = new Rect();
        this.f7508 = new Rect();
        this.f7509 = new RectF();
        this.f7513 = new LinkedHashSet<>();
        com.google.android.material.internal.b bVar = new com.google.android.material.internal.b(this);
        this.f7529 = bVar;
        Context context2 = getContext();
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        FrameLayout frameLayout = new FrameLayout(context2);
        this.f7537 = frameLayout;
        frameLayout.setAddStatesFromChildren(true);
        TimeInterpolator timeInterpolator = d2.a.f8061;
        bVar.m7939(timeInterpolator);
        bVar.m7936(timeInterpolator);
        bVar.m7955(8388659);
        int[] iArr = c2.k.f5989;
        int i8 = c2.k.f6014;
        int i9 = c2.k.f6012;
        int i10 = c2.k.f6033;
        int i11 = c2.k.f6039;
        int i12 = c2.k.f6043;
        x2 m8102 = com.google.android.material.internal.y.m8102(context2, attributeSet, iArr, i6, i7, i8, i9, i10, i11, i12);
        a0 a0Var = new a0(this, m8102);
        this.f7539 = a0Var;
        this.f7540 = m8102.m1777(c2.k.f6042, true);
        setHint(m8102.m1792(c2.k.f5995));
        this.f7531 = m8102.m1777(c2.k.f6041, true);
        this.f7530 = m8102.m1777(c2.k.f6036, true);
        int i13 = c2.k.f5997;
        if (m8102.m1795(i13)) {
            setMinEms(m8102.m1787(i13, -1));
        } else {
            int i14 = c2.k.f5994;
            if (m8102.m1795(i14)) {
                setMinWidth(m8102.m1782(i14, -1));
            }
        }
        int i15 = c2.k.f5996;
        if (m8102.m1795(i15)) {
            setMaxEms(m8102.m1787(i15, -1));
        } else {
            int i16 = c2.k.f5993;
            if (m8102.m1795(i16)) {
                setMaxWidth(m8102.m1782(i16, -1));
            }
        }
        this.f7552 = v2.k.m13740(context2, attributeSet, i6, i7).m13778();
        this.f7570 = context2.getResources().getDimensionPixelOffset(c2.d.mtrl_textinput_box_label_cutout_padding);
        this.f7568 = m8102.m1781(c2.k.f6000, 0);
        this.f7574 = m8102.m1782(c2.k.f6008, context2.getResources().getDimensionPixelSize(c2.d.mtrl_textinput_box_stroke_width_default));
        this.f7576 = m8102.m1782(c2.k.f6009, context2.getResources().getDimensionPixelSize(c2.d.mtrl_textinput_box_stroke_width_focused));
        this.f7572 = this.f7574;
        float m1780 = m8102.m1780(c2.k.f6004, -1.0f);
        float m17802 = m8102.m1780(c2.k.f6003, -1.0f);
        float m17803 = m8102.m1780(c2.k.f6001, -1.0f);
        float m17804 = m8102.m1780(c2.k.f6002, -1.0f);
        k.b m13757 = this.f7552.m13757();
        if (m1780 >= 0.0f) {
            m13757.m13782(m1780);
        }
        if (m17802 >= 0.0f) {
            m13757.m13775(m17802);
        }
        if (m17803 >= 0.0f) {
            m13757.m13789(m17803);
        }
        if (m17804 >= 0.0f) {
            m13757.m13785(m17804);
        }
        this.f7552 = m13757.m13778();
        ColorStateList m13186 = s2.c.m13186(context2, m8102, c2.k.f5998);
        if (m13186 != null) {
            int defaultColor = m13186.getDefaultColor();
            this.f7523 = defaultColor;
            this.f7578 = defaultColor;
            if (m13186.isStateful()) {
                this.f7524 = m13186.getColorForState(new int[]{-16842910}, -1);
                this.f7525 = m13186.getColorForState(new int[]{16842908, 16842910}, -1);
                this.f7526 = m13186.getColorForState(new int[]{16843623, 16842910}, -1);
            } else {
                this.f7525 = this.f7523;
                ColorStateList m9498 = f.a.m9498(context2, c2.c.mtrl_filled_background_color);
                this.f7524 = m9498.getColorForState(new int[]{-16842910}, -1);
                this.f7526 = m9498.getColorForState(new int[]{16843623}, -1);
            }
        } else {
            this.f7578 = 0;
            this.f7523 = 0;
            this.f7524 = 0;
            this.f7525 = 0;
            this.f7526 = 0;
        }
        int i17 = c2.k.f5991;
        if (m8102.m1795(i17)) {
            ColorStateList m1779 = m8102.m1779(i17);
            this.f7518 = m1779;
            this.f7517 = m1779;
        }
        int i18 = c2.k.f6005;
        ColorStateList m131862 = s2.c.m13186(context2, m8102, i18);
        this.f7521 = m8102.m1778(i18, 0);
        this.f7519 = androidx.core.content.a.m2210(context2, c2.c.mtrl_textinput_default_box_stroke_color);
        this.f7527 = androidx.core.content.a.m2210(context2, c2.c.mtrl_textinput_disabled_color);
        this.f7520 = androidx.core.content.a.m2210(context2, c2.c.mtrl_textinput_hovered_box_stroke_color);
        if (m131862 != null) {
            setBoxStrokeColorStateList(m131862);
        }
        int i19 = c2.k.f6006;
        if (m8102.m1795(i19)) {
            setBoxStrokeErrorColor(s2.c.m13186(context2, m8102, i19));
        }
        if (m8102.m1790(i12, -1) != -1) {
            r32 = 0;
            setHintTextAppearance(m8102.m1790(i12, 0));
        } else {
            r32 = 0;
        }
        this.f7536 = m8102.m1779(c2.k.f6016);
        this.f7532 = m8102.m1779(c2.k.f6017);
        int m1790 = m8102.m1790(i10, r32);
        CharSequence m1792 = m8102.m1792(c2.k.f6028);
        int m1787 = m8102.m1787(c2.k.f6027, 1);
        boolean m1777 = m8102.m1777(c2.k.f6029, r32);
        int m17902 = m8102.m1790(i11, r32);
        boolean m17772 = m8102.m1777(c2.k.f6038, r32);
        CharSequence m17922 = m8102.m1792(c2.k.f6037);
        int m17903 = m8102.m1790(c2.k.f6052, r32);
        CharSequence m17923 = m8102.m1792(c2.k.f6051);
        boolean m17773 = m8102.m1777(c2.k.f6010, r32);
        setCounterMaxLength(m8102.m1787(c2.k.f6011, -1));
        this.f7569 = m8102.m1790(i8, 0);
        this.f7567 = m8102.m1790(i9, 0);
        setBoxBackgroundMode(m8102.m1787(c2.k.f5999, 0));
        setErrorContentDescription(m1792);
        setErrorAccessibilityLiveRegion(m1787);
        setCounterOverflowTextAppearance(this.f7567);
        setHelperTextTextAppearance(m17902);
        setErrorTextAppearance(m1790);
        setCounterTextAppearance(this.f7569);
        setPlaceholderText(m17923);
        setPlaceholderTextAppearance(m17903);
        int i20 = c2.k.f6035;
        if (m8102.m1795(i20)) {
            setErrorTextColor(m8102.m1779(i20));
        }
        int i21 = c2.k.f6040;
        if (m8102.m1795(i21)) {
            setHelperTextColor(m8102.m1779(i21));
        }
        int i22 = c2.k.f6045;
        if (m8102.m1795(i22)) {
            setHintTextColor(m8102.m1779(i22));
        }
        int i23 = c2.k.f6015;
        if (m8102.m1795(i23)) {
            setCounterTextColor(m8102.m1779(i23));
        }
        int i24 = c2.k.f6013;
        if (m8102.m1795(i24)) {
            setCounterOverflowTextColor(m8102.m1779(i24));
        }
        int i25 = c2.k.f6053;
        if (m8102.m1795(i25)) {
            setPlaceholderTextColor(m8102.m1779(i25));
        }
        s sVar = new s(this, m8102);
        this.f7541 = sVar;
        boolean m17774 = m8102.m1777(c2.k.f5990, true);
        m8102.m1796();
        z0.m3403(this, 2);
        if (Build.VERSION.SDK_INT >= 26) {
            z0.m3404(this, 1);
        }
        frameLayout.addView(a0Var);
        frameLayout.addView(sVar);
        addView(frameLayout);
        setEnabled(m17774);
        setHelperTextEnabled(m17772);
        setErrorEnabled(m1777);
        setCounterEnabled(m17773);
        setHelperText(m17922);
    }

    public void setEndIconContentDescription(CharSequence charSequence) {
        this.f7541.m8606(charSequence);
    }

    public void setEndIconDrawable(Drawable drawable) {
        this.f7541.m8605(drawable);
    }

    public void setErrorIconDrawable(Drawable drawable) {
        this.f7541.m8565(drawable);
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(CharSequence charSequence) {
        this.f7541.m8571(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(Drawable drawable) {
        this.f7541.m8573(drawable);
    }

    public void setStartIconContentDescription(CharSequence charSequence) {
        this.f7539.m8455(charSequence);
    }

    public void setStartIconDrawable(Drawable drawable) {
        this.f7539.m8457(drawable);
    }

    public void setHint(int i6) {
        setHint(i6 != 0 ? getResources().getText(i6) : null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements TextWatcher {
        a() {
        }

        @Override // android.text.TextWatcher
        public void afterTextChanged(Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.m8420(!textInputLayout.f7535);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.f7557) {
                textInputLayout2.m8416(editable);
            }
            if (TextInputLayout.this.f7573) {
                TextInputLayout.this.m8372(editable);
            }
        }

        @Override // android.text.TextWatcher
        public void beforeTextChanged(CharSequence charSequence, int i6, int i7, int i8) {
        }

        @Override // android.text.TextWatcher
        public void onTextChanged(CharSequence charSequence, int i6, int i7, int i8) {
        }
    }
}
