package com.google.android.material.textfield;

import android.annotation.SuppressLint;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityManager;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.x2;
import androidx.core.view.accessibility.c;
import androidx.core.view.z0;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.textfield.TextInputLayout;
import java.util.Iterator;
import java.util.LinkedHashSet;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: EndCompoundLayout.java */
@SuppressLint({"ViewConstructor"})
/* loaded from: classes.dex */
public class s extends LinearLayout {

    /* renamed from: ʾ  reason: contains not printable characters */
    final TextInputLayout f7639;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final FrameLayout f7640;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final CheckableImageButton f7641;

    /* renamed from: ˈ  reason: contains not printable characters */
    private ColorStateList f7642;

    /* renamed from: ˉ  reason: contains not printable characters */
    private PorterDuff.Mode f7643;

    /* renamed from: ˊ  reason: contains not printable characters */
    private View.OnLongClickListener f7644;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final CheckableImageButton f7645;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final d f7646;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f7647;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final LinkedHashSet<TextInputLayout.h> f7648;

    /* renamed from: י  reason: contains not printable characters */
    private ColorStateList f7649;

    /* renamed from: ـ  reason: contains not printable characters */
    private PorterDuff.Mode f7650;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f7651;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private ImageView.ScaleType f7652;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private View.OnLongClickListener f7653;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private CharSequence f7654;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private final TextView f7655;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f7656;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private EditText f7657;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final AccessibilityManager f7658;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private c.b f7659;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private final TextWatcher f7660;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private final TextInputLayout.g f7661;

    /* compiled from: EndCompoundLayout.java */
    /* loaded from: classes.dex */
    class a extends com.google.android.material.internal.x {
        a() {
        }

        @Override // android.text.TextWatcher
        public void afterTextChanged(Editable editable) {
            s.this.m8593().mo8484(editable);
        }

        @Override // com.google.android.material.internal.x, android.text.TextWatcher
        public void beforeTextChanged(CharSequence charSequence, int i6, int i7, int i8) {
            s.this.m8593().mo8620(charSequence, i6, i7, i8);
        }
    }

    /* compiled from: EndCompoundLayout.java */
    /* loaded from: classes.dex */
    class b implements TextInputLayout.g {
        b() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        /* renamed from: ʻ */
        public void mo8431(TextInputLayout textInputLayout) {
            if (s.this.f7657 == textInputLayout.getEditText()) {
                return;
            }
            if (s.this.f7657 != null) {
                s.this.f7657.removeTextChangedListener(s.this.f7660);
                if (s.this.f7657.getOnFocusChangeListener() == s.this.m8593().mo8487()) {
                    s.this.f7657.setOnFocusChangeListener(null);
                }
            }
            s.this.f7657 = textInputLayout.getEditText();
            if (s.this.f7657 != null) {
                s.this.f7657.addTextChangedListener(s.this.f7660);
            }
            s.this.m8593().mo8490(s.this.f7657);
            s sVar = s.this;
            sVar.m8542(sVar.m8593());
        }
    }

    /* compiled from: EndCompoundLayout.java */
    /* loaded from: classes.dex */
    class c implements View.OnAttachStateChangeListener {
        c() {
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewAttachedToWindow(View view) {
            s.this.m8555();
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewDetachedFromWindow(View view) {
            s.this.m8557();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: EndCompoundLayout.java */
    /* loaded from: classes.dex */
    public static class d {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final SparseArray<t> f7665 = new SparseArray<>();

        /* renamed from: ʼ  reason: contains not printable characters */
        private final s f7666;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final int f7667;

        /* renamed from: ʾ  reason: contains not printable characters */
        private final int f7668;

        d(s sVar, x2 x2Var) {
            this.f7666 = sVar;
            this.f7667 = x2Var.m1790(c2.k.f6021, 0);
            this.f7668 = x2Var.m1790(c2.k.f6047, 0);
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private t m8618(int i6) {
            if (i6 != -1) {
                if (i6 != 0) {
                    if (i6 != 1) {
                        if (i6 != 2) {
                            if (i6 == 3) {
                                return new q(this.f7666);
                            }
                            throw new IllegalArgumentException("Invalid end icon mode: " + i6);
                        }
                        return new f(this.f7666);
                    }
                    return new z(this.f7666, this.f7668);
                }
                return new x(this.f7666);
            }
            return new g(this.f7666);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        t m8619(int i6) {
            t tVar = this.f7665.get(i6);
            if (tVar == null) {
                t m8618 = m8618(i6);
                this.f7665.append(i6, m8618);
                return m8618;
            }
            return tVar;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public s(TextInputLayout textInputLayout, x2 x2Var) {
        super(textInputLayout.getContext());
        this.f7647 = 0;
        this.f7648 = new LinkedHashSet<>();
        this.f7660 = new a();
        b bVar = new b();
        this.f7661 = bVar;
        this.f7658 = (AccessibilityManager) getContext().getSystemService("accessibility");
        this.f7639 = textInputLayout;
        setVisibility(8);
        setOrientation(0);
        setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388613));
        FrameLayout frameLayout = new FrameLayout(getContext());
        this.f7640 = frameLayout;
        frameLayout.setVisibility(8);
        frameLayout.setLayoutParams(new LinearLayout.LayoutParams(-2, -1));
        LayoutInflater from = LayoutInflater.from(getContext());
        CheckableImageButton m8556 = m8556(this, from, c2.f.text_input_error_icon);
        this.f7641 = m8556;
        CheckableImageButton m85562 = m8556(frameLayout, from, c2.f.text_input_end_icon);
        this.f7645 = m85562;
        this.f7646 = new d(this, x2Var);
        AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
        this.f7655 = appCompatTextView;
        m8541(x2Var);
        m8559(x2Var);
        m8551(x2Var);
        frameLayout.addView(m85562);
        addView(appCompatTextView);
        addView(frameLayout);
        addView(m8556);
        textInputLayout.m8422(bVar);
        addOnAttachStateChangeListener(new c());
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private void m8541(x2 x2Var) {
        int i6 = c2.k.f6031;
        if (x2Var.m1795(i6)) {
            this.f7642 = s2.c.m13186(getContext(), x2Var, i6);
        }
        int i7 = c2.k.f6032;
        if (x2Var.m1795(i7)) {
            this.f7643 = com.google.android.material.internal.b0.m7971(x2Var.m1787(i7, -1), null);
        }
        int i8 = c2.k.f6030;
        if (x2Var.m1795(i8)) {
            m8565(x2Var.m1783(i8));
        }
        this.f7641.setContentDescription(getResources().getText(c2.i.error_icon_content_description));
        z0.m3403(this.f7641, 2);
        this.f7641.setClickable(false);
        this.f7641.setPressable(false);
        this.f7641.setFocusable(false);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻˎ  reason: contains not printable characters */
    public void m8542(t tVar) {
        if (this.f7657 == null) {
            return;
        }
        if (tVar.mo8487() != null) {
            this.f7657.setOnFocusChangeListener(tVar.mo8487());
        }
        if (tVar.mo8489() != null) {
            this.f7645.setOnFocusChangeListener(tVar.mo8489());
        }
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private void m8543(t tVar) {
        tVar.mo8492();
        this.f7659 = tVar.mo8530();
        m8555();
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private void m8544(t tVar) {
        m8557();
        this.f7659 = null;
        tVar.mo8493();
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private void m8545(boolean z5) {
        if (z5 && m8595() != null) {
            Drawable mutate = androidx.core.graphics.drawable.a.m2433(m8595()).mutate();
            androidx.core.graphics.drawable.a.m2429(mutate, this.f7639.getErrorCurrentTextColors());
            this.f7645.setImageDrawable(mutate);
            return;
        }
        u.m8622(this.f7639, this.f7645, this.f7649, this.f7650);
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private void m8546() {
        int i6;
        char c6;
        boolean z5;
        FrameLayout frameLayout = this.f7640;
        int i7 = 8;
        if (this.f7645.getVisibility() == 0 && !m8582()) {
            i6 = 0;
        } else {
            i6 = 8;
        }
        frameLayout.setVisibility(i6);
        if (this.f7654 != null && !this.f7656) {
            c6 = 0;
        } else {
            c6 = '\b';
        }
        if (!m8583() && !m8582() && c6 != 0) {
            z5 = false;
        } else {
            z5 = true;
        }
        if (z5) {
            i7 = 0;
        }
        setVisibility(i7);
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private void m8548() {
        boolean z5;
        int i6 = 0;
        if (m8604() != null && this.f7639.m8423() && this.f7639.m8415()) {
            z5 = true;
        } else {
            z5 = false;
        }
        CheckableImageButton checkableImageButton = this.f7641;
        if (!z5) {
            i6 = 8;
        }
        checkableImageButton.setVisibility(i6);
        m8546();
        m8581();
        if (!m8602()) {
            this.f7639.m8417();
        }
    }

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private void m8549() {
        int i6;
        int visibility = this.f7655.getVisibility();
        boolean z5 = false;
        if (this.f7654 != null && !this.f7656) {
            i6 = 0;
        } else {
            i6 = 8;
        }
        if (visibility != i6) {
            t m8593 = m8593();
            if (i6 == 0) {
                z5 = true;
            }
            m8593.mo8491(z5);
        }
        m8546();
        this.f7655.setVisibility(i6);
        this.f7639.m8417();
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private void m8551(x2 x2Var) {
        this.f7655.setVisibility(8);
        this.f7655.setId(c2.f.textinput_suffix_text);
        this.f7655.setLayoutParams(new LinearLayout.LayoutParams(-2, -2, 80.0f));
        z0.m3392(this.f7655, 1);
        m8578(x2Var.m1790(c2.k.f6066, 0));
        int i6 = c2.k.f6067;
        if (x2Var.m1795(i6)) {
            m8579(x2Var.m1779(i6));
        }
        m8577(x2Var.m1792(c2.k.f6065));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public void m8555() {
        if (this.f7659 != null && this.f7658 != null && z0.m3443(this)) {
            androidx.core.view.accessibility.c.m2795(this.f7658, this.f7659);
        }
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private CheckableImageButton m8556(ViewGroup viewGroup, LayoutInflater layoutInflater, int i6) {
        CheckableImageButton checkableImageButton = (CheckableImageButton) layoutInflater.inflate(c2.h.design_text_input_end_icon, viewGroup, false);
        checkableImageButton.setId(i6);
        u.m8626(checkableImageButton);
        if (s2.c.m13191(getContext())) {
            androidx.core.view.u.m3321((ViewGroup.MarginLayoutParams) checkableImageButton.getLayoutParams(), 0);
        }
        return checkableImageButton;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˊˊ  reason: contains not printable characters */
    public void m8557() {
        AccessibilityManager accessibilityManager;
        c.b bVar = this.f7659;
        if (bVar != null && (accessibilityManager = this.f7658) != null) {
            androidx.core.view.accessibility.c.m2796(accessibilityManager, bVar);
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m8558(int i6) {
        Iterator<TextInputLayout.h> it = this.f7648.iterator();
        while (it.hasNext()) {
            it.next().m8432(this.f7639, i6);
        }
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private void m8559(x2 x2Var) {
        int i6 = c2.k.f6048;
        if (!x2Var.m1795(i6)) {
            int i7 = c2.k.f6025;
            if (x2Var.m1795(i7)) {
                this.f7649 = s2.c.m13186(getContext(), x2Var, i7);
            }
            int i8 = c2.k.f6026;
            if (x2Var.m1795(i8)) {
                this.f7650 = com.google.android.material.internal.b0.m7971(x2Var.m1787(i8, -1), null);
            }
        }
        int i9 = c2.k.f6023;
        if (x2Var.m1795(i9)) {
            m8610(x2Var.m1787(i9, 0));
            int i10 = c2.k.f6020;
            if (x2Var.m1795(i10)) {
                m8606(x2Var.m1792(i10));
            }
            m8590(x2Var.m1777(c2.k.f6019, true));
        } else if (x2Var.m1795(i6)) {
            int i11 = c2.k.f6049;
            if (x2Var.m1795(i11)) {
                this.f7649 = s2.c.m13186(getContext(), x2Var, i11);
            }
            int i12 = c2.k.f6050;
            if (x2Var.m1795(i12)) {
                this.f7650 = com.google.android.material.internal.b0.m7971(x2Var.m1787(i12, -1), null);
            }
            m8610(x2Var.m1777(i6, false) ? 1 : 0);
            m8606(x2Var.m1792(c2.k.f6046));
        }
        m8608(x2Var.m1782(c2.k.f6022, getResources().getDimensionPixelSize(c2.d.mtrl_min_touch_target_size)));
        int i13 = c2.k.f6024;
        if (x2Var.m1795(i13)) {
            m8614(u.m8623(x2Var.m1787(i13, -1)));
        }
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int m8560(t tVar) {
        int i6 = this.f7646.f7667;
        if (i6 == 0) {
            return tVar.mo8486();
        }
        return i6;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻʼ  reason: contains not printable characters */
    public void m8561(ColorStateList colorStateList) {
        if (this.f7649 != colorStateList) {
            this.f7649 = colorStateList;
            u.m8622(this.f7639, this.f7645, colorStateList, this.f7650);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻʽ  reason: contains not printable characters */
    public void m8562(PorterDuff.Mode mode) {
        if (this.f7650 != mode) {
            this.f7650 = mode;
            u.m8622(this.f7639, this.f7645, this.f7649, mode);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻʾ  reason: contains not printable characters */
    public void m8563(boolean z5) {
        int i6;
        if (m8583() != z5) {
            CheckableImageButton checkableImageButton = this.f7645;
            if (z5) {
                i6 = 0;
            } else {
                i6 = 8;
            }
            checkableImageButton.setVisibility(i6);
            m8546();
            m8581();
            this.f7639.m8417();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻʿ  reason: contains not printable characters */
    public void m8564(int i6) {
        Drawable drawable;
        if (i6 != 0) {
            drawable = f.a.m9499(getContext(), i6);
        } else {
            drawable = null;
        }
        m8565(drawable);
        m8585();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˆ  reason: contains not printable characters */
    public void m8565(Drawable drawable) {
        this.f7641.setImageDrawable(drawable);
        m8548();
        u.m8622(this.f7639, this.f7641, this.f7642, this.f7643);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˈ  reason: contains not printable characters */
    public void m8566(View.OnClickListener onClickListener) {
        u.m8629(this.f7641, onClickListener, this.f7644);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˉ  reason: contains not printable characters */
    public void m8567(View.OnLongClickListener onLongClickListener) {
        this.f7644 = onLongClickListener;
        u.m8630(this.f7641, onLongClickListener);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˊ  reason: contains not printable characters */
    public void m8568(ColorStateList colorStateList) {
        if (this.f7642 != colorStateList) {
            this.f7642 = colorStateList;
            u.m8622(this.f7639, this.f7641, colorStateList, this.f7643);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˋ  reason: contains not printable characters */
    public void m8569(PorterDuff.Mode mode) {
        if (this.f7643 != mode) {
            this.f7643 = mode;
            u.m8622(this.f7639, this.f7641, this.f7642, mode);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˏ  reason: contains not printable characters */
    public void m8570(int i6) {
        CharSequence charSequence;
        if (i6 != 0) {
            charSequence = getResources().getText(i6);
        } else {
            charSequence = null;
        }
        m8571(charSequence);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˑ  reason: contains not printable characters */
    public void m8571(CharSequence charSequence) {
        this.f7645.setContentDescription(charSequence);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻי  reason: contains not printable characters */
    public void m8572(int i6) {
        Drawable drawable;
        if (i6 != 0) {
            drawable = f.a.m9499(getContext(), i6);
        } else {
            drawable = null;
        }
        m8573(drawable);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻـ  reason: contains not printable characters */
    public void m8573(Drawable drawable) {
        this.f7645.setImageDrawable(drawable);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻٴ  reason: contains not printable characters */
    public void m8574(boolean z5) {
        if (z5 && this.f7647 != 1) {
            m8610(1);
        } else if (!z5) {
            m8610(0);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public void m8575(ColorStateList colorStateList) {
        this.f7649 = colorStateList;
        u.m8622(this.f7639, this.f7645, colorStateList, this.f7650);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public void m8576(PorterDuff.Mode mode) {
        this.f7650 = mode;
        u.m8622(this.f7639, this.f7645, this.f7649, mode);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᵎ  reason: contains not printable characters */
    public void m8577(CharSequence charSequence) {
        CharSequence charSequence2;
        if (TextUtils.isEmpty(charSequence)) {
            charSequence2 = null;
        } else {
            charSequence2 = charSequence;
        }
        this.f7654 = charSequence2;
        this.f7655.setText(charSequence);
        m8549();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᵔ  reason: contains not printable characters */
    public void m8578(int i6) {
        androidx.core.widget.c0.m3709(this.f7655, i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᵢ  reason: contains not printable characters */
    public void m8579(ColorStateList colorStateList) {
        this.f7655.setTextColor(colorStateList);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼʼ  reason: contains not printable characters */
    public boolean m8580() {
        if (m8602() && this.f7645.isChecked()) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼʽ  reason: contains not printable characters */
    public void m8581() {
        int i6;
        if (this.f7639.f7543 == null) {
            return;
        }
        if (!m8583() && !m8582()) {
            i6 = z0.m3423(this.f7639.f7543);
        } else {
            i6 = 0;
        }
        z0.m3407(this.f7655, getContext().getResources().getDimensionPixelSize(c2.d.material_input_text_to_prefix_suffix_padding), this.f7639.f7543.getPaddingTop(), i6, this.f7639.f7543.getPaddingBottom());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʾʾ  reason: contains not printable characters */
    public boolean m8582() {
        if (this.f7641.getVisibility() == 0) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʿʿ  reason: contains not printable characters */
    public boolean m8583() {
        if (this.f7640.getVisibility() == 0 && this.f7645.getVisibility() == 0) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆˆ  reason: contains not printable characters */
    public void m8584() {
        m8548();
        m8585();
        m8587();
        if (m8593().mo8538()) {
            m8545(this.f7639.m8415());
        }
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    void m8585() {
        u.m8625(this.f7639, this.f7641, this.f7642);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public void m8586() {
        this.f7645.performClick();
        this.f7645.jumpDrawablesToCurrentState();
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    void m8587() {
        u.m8625(this.f7639, this.f7645, this.f7649);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˋˋ  reason: contains not printable characters */
    public void m8588(boolean z5) {
        boolean z6;
        boolean isActivated;
        boolean isChecked;
        t m8593 = m8593();
        boolean z7 = true;
        if (m8593.mo8534() && (isChecked = this.f7645.isChecked()) != m8593.mo8535()) {
            this.f7645.setChecked(!isChecked);
            z6 = true;
        } else {
            z6 = false;
        }
        if (m8593.mo8532() && (isActivated = this.f7645.isActivated()) != m8593.mo8533()) {
            m8592(!isActivated);
        } else {
            z7 = z6;
        }
        if (z5 || z7) {
            m8587();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˎ  reason: contains not printable characters */
    public CheckableImageButton m8589() {
        if (m8582()) {
            return this.f7641;
        }
        if (m8602() && m8583()) {
            return this.f7645;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˎˎ  reason: contains not printable characters */
    public void m8590(boolean z5) {
        this.f7645.setCheckable(z5);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˏ  reason: contains not printable characters */
    public CharSequence m8591() {
        return this.f7645.getContentDescription();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˏˏ  reason: contains not printable characters */
    public void m8592(boolean z5) {
        this.f7645.setActivated(z5);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˑ  reason: contains not printable characters */
    public t m8593() {
        return this.f7646.m8619(this.f7647);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˑˑ  reason: contains not printable characters */
    public void m8594(int i6) {
        CharSequence charSequence;
        if (i6 != 0) {
            charSequence = getResources().getText(i6);
        } else {
            charSequence = null;
        }
        m8606(charSequence);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: י  reason: contains not printable characters */
    public Drawable m8595() {
        return this.f7645.getDrawable();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: יי  reason: contains not printable characters */
    public void m8596(int i6) {
        Drawable drawable;
        if (i6 != 0) {
            drawable = f.a.m9499(getContext(), i6);
        } else {
            drawable = null;
        }
        m8605(drawable);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ـ  reason: contains not printable characters */
    public int m8597() {
        return this.f7651;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ــ  reason: contains not printable characters */
    public void m8598(boolean z5) {
        this.f7656 = z5;
        m8549();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public int m8599() {
        return this.f7647;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ٴٴ  reason: contains not printable characters */
    public void m8600(View.OnLongClickListener onLongClickListener) {
        this.f7653 = onLongClickListener;
        u.m8630(this.f7645, onLongClickListener);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᐧ  reason: contains not printable characters */
    public ImageView.ScaleType m8601() {
        return this.f7652;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    public boolean m8602() {
        if (this.f7647 != 0) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᴵ  reason: contains not printable characters */
    public CheckableImageButton m8603() {
        return this.f7645;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵎ  reason: contains not printable characters */
    public Drawable m8604() {
        return this.f7641.getDrawable();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public void m8605(Drawable drawable) {
        this.f7645.setImageDrawable(drawable);
        if (drawable != null) {
            u.m8622(this.f7639, this.f7645, this.f7649, this.f7650);
            m8587();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    public void m8606(CharSequence charSequence) {
        if (m8591() != charSequence) {
            this.f7645.setContentDescription(charSequence);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵢ  reason: contains not printable characters */
    public CharSequence m8607() {
        return this.f7645.getContentDescription();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public void m8608(int i6) {
        if (i6 >= 0) {
            if (i6 != this.f7651) {
                this.f7651 = i6;
                u.m8628(this.f7645, i6);
                u.m8628(this.f7641, i6);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("endIconSize cannot be less than 0");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ⁱ  reason: contains not printable characters */
    public Drawable m8609() {
        return this.f7645.getDrawable();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    public void m8610(int i6) {
        boolean z5;
        if (this.f7647 == i6) {
            return;
        }
        m8544(m8593());
        int i7 = this.f7647;
        this.f7647 = i6;
        m8558(i7);
        if (i6 != 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        m8563(z5);
        t m8593 = m8593();
        m8596(m8560(m8593));
        m8594(m8593.mo8485());
        m8590(m8593.mo8534());
        if (m8593.mo8531(this.f7639.getBoxBackgroundMode())) {
            m8543(m8593);
            m8612(m8593.mo8488());
            EditText editText = this.f7657;
            if (editText != null) {
                m8593.mo8490(editText);
                m8542(m8593);
            }
            u.m8622(this.f7639, this.f7645, this.f7649, this.f7650);
            m8588(true);
            return;
        }
        throw new IllegalStateException("The current box background mode " + this.f7639.getBoxBackgroundMode() + " is not supported by the end icon mode " + i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﹳ  reason: contains not printable characters */
    public CharSequence m8611() {
        return this.f7654;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    public void m8612(View.OnClickListener onClickListener) {
        u.m8629(this.f7645, onClickListener, this.f7653);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﹶ  reason: contains not printable characters */
    public ColorStateList m8613() {
        return this.f7655.getTextColors();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public void m8614(ImageView.ScaleType scaleType) {
        this.f7652 = scaleType;
        u.m8631(this.f7645, scaleType);
        u.m8631(this.f7641, scaleType);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﾞ  reason: contains not printable characters */
    public int m8615() {
        int measuredWidth;
        if (!m8583() && !m8582()) {
            measuredWidth = 0;
        } else {
            measuredWidth = this.f7645.getMeasuredWidth() + androidx.core.view.u.m3319((ViewGroup.MarginLayoutParams) this.f7645.getLayoutParams());
        }
        return z0.m3423(this) + z0.m3423(this.f7655) + measuredWidth;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    public TextView m8616() {
        return this.f7655;
    }
}
