package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Build;
import android.os.LocaleList;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.core.view.z0;
import c2.h;
import com.google.android.material.chip.Chip;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.x;
import com.google.android.material.textfield.TextInputLayout;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public class ChipTextInputComboView extends FrameLayout implements Checkable {

    /* renamed from: ʾ  reason: contains not printable characters */
    private final Chip f7723;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final TextInputLayout f7724;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final EditText f7725;

    /* renamed from: ˈ  reason: contains not printable characters */
    private TextWatcher f7726;

    /* renamed from: ˉ  reason: contains not printable characters */
    private TextView f7727;

    /* loaded from: classes.dex */
    private class b extends x {
        private b() {
        }

        @Override // android.text.TextWatcher
        public void afterTextChanged(Editable editable) {
            if (!TextUtils.isEmpty(editable)) {
                String m8698 = ChipTextInputComboView.this.m8698(editable);
                Chip chip = ChipTextInputComboView.this.f7723;
                if (TextUtils.isEmpty(m8698)) {
                    m8698 = ChipTextInputComboView.this.m8698("00");
                }
                chip.setText(m8698);
                return;
            }
            ChipTextInputComboView.this.f7723.setText(ChipTextInputComboView.this.m8698("00"));
        }
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʽ  reason: contains not printable characters */
    public String m8698(CharSequence charSequence) {
        return f.m8743(getResources(), charSequence);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private void m8699() {
        LocaleList locales;
        if (Build.VERSION.SDK_INT >= 24) {
            locales = getContext().getResources().getConfiguration().getLocales();
            this.f7725.setImeHintLocales(locales);
        }
    }

    @Override // android.widget.Checkable
    public boolean isChecked() {
        return this.f7723.isChecked();
    }

    @Override // android.view.View
    protected void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        m8699();
    }

    @Override // android.widget.Checkable
    public void setChecked(boolean z5) {
        int i6;
        int i7;
        this.f7723.setChecked(z5);
        EditText editText = this.f7725;
        if (z5) {
            i6 = 0;
        } else {
            i6 = 4;
        }
        editText.setVisibility(i6);
        Chip chip = this.f7723;
        if (z5) {
            i7 = 8;
        } else {
            i7 = 0;
        }
        chip.setVisibility(i7);
        if (isChecked()) {
            b0.m7973(this.f7725, false);
        }
    }

    @Override // android.view.View
    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.f7723.setOnClickListener(onClickListener);
    }

    @Override // android.view.View
    public void setTag(int i6, Object obj) {
        this.f7723.setTag(i6, obj);
    }

    @Override // android.widget.Checkable
    public void toggle() {
        this.f7723.toggle();
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        LayoutInflater from = LayoutInflater.from(context);
        Chip chip = (Chip) from.inflate(h.material_time_chip, (ViewGroup) this, false);
        this.f7723 = chip;
        chip.setAccessibilityClassName("android.view.View");
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(h.material_time_input, (ViewGroup) this, false);
        this.f7724 = textInputLayout;
        EditText editText = textInputLayout.getEditText();
        this.f7725 = editText;
        editText.setVisibility(4);
        b bVar = new b();
        this.f7726 = bVar;
        editText.addTextChangedListener(bVar);
        m8699();
        addView(chip);
        addView(textInputLayout);
        this.f7727 = (TextView) findViewById(c2.f.material_label);
        editText.setId(z0.m3436());
        z0.m3405(this.f7727, editText.getId());
        editText.setSaveEnabled(false);
        editText.setLongClickable(false);
    }
}
