package com.google.gson.internal.bind.util;

import java.text.ParseException;
import java.text.ParsePosition;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.TimeZone;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* loaded from: classes.dex */
public class ISO8601Utils {
    private static final String UTC_ID = "UTC";
    private static final TimeZone TIMEZONE_UTC = TimeZone.getTimeZone(UTC_ID);

    private static boolean checkOffset(String str, int i6, char c6) {
        if (i6 < str.length() && str.charAt(i6) == c6) {
            return true;
        }
        return false;
    }

    public static String format(Date date) {
        return format(date, false, TIMEZONE_UTC);
    }

    private static int indexOfNonDigit(String str, int i6) {
        while (i6 < str.length()) {
            char charAt = str.charAt(i6);
            if (charAt >= '0' && charAt <= '9') {
                i6++;
            } else {
                return i6;
            }
        }
        return str.length();
    }

    private static void padInt(StringBuilder sb, int i6, int i7) {
        String num = Integer.toString(i6);
        for (int length = i7 - num.length(); length > 0; length--) {
            sb.append('0');
        }
        sb.append(num);
    }

    /* JADX WARN: Removed duplicated region for block: B:49:0x00cf A[Catch: IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException -> 0x01bc, NumberFormatException -> 0x01be, IndexOutOfBoundsException -> 0x01c0, TryCatch #2 {IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException -> 0x01bc, blocks: (B:3:0x0004, B:5:0x0016, B:6:0x0018, B:8:0x0024, B:9:0x0026, B:11:0x0035, B:13:0x003b, B:17:0x0050, B:19:0x0060, B:20:0x0062, B:22:0x006e, B:23:0x0070, B:25:0x0076, B:29:0x0080, B:34:0x0090, B:36:0x0098, B:47:0x00c9, B:49:0x00cf, B:51:0x00d6, B:75:0x0183, B:55:0x00e0, B:56:0x00fb, B:57:0x00fc, B:61:0x0118, B:63:0x0125, B:66:0x012e, B:68:0x014d, B:71:0x015c, B:72:0x017e, B:74:0x0181, B:60:0x0107, B:77:0x01b4, B:78:0x01bb, B:40:0x00b0, B:41:0x00b3), top: B:94:0x0004 }] */
    /* JADX WARN: Removed duplicated region for block: B:77:0x01b4 A[Catch: IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException -> 0x01bc, NumberFormatException -> 0x01be, IndexOutOfBoundsException -> 0x01c0, TryCatch #2 {IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException -> 0x01bc, blocks: (B:3:0x0004, B:5:0x0016, B:6:0x0018, B:8:0x0024, B:9:0x0026, B:11:0x0035, B:13:0x003b, B:17:0x0050, B:19:0x0060, B:20:0x0062, B:22:0x006e, B:23:0x0070, B:25:0x0076, B:29:0x0080, B:34:0x0090, B:36:0x0098, B:47:0x00c9, B:49:0x00cf, B:51:0x00d6, B:75:0x0183, B:55:0x00e0, B:56:0x00fb, B:57:0x00fc, B:61:0x0118, B:63:0x0125, B:66:0x012e, B:68:0x014d, B:71:0x015c, B:72:0x017e, B:74:0x0181, B:60:0x0107, B:77:0x01b4, B:78:0x01bb, B:40:0x00b0, B:41:0x00b3), top: B:94:0x0004 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Date parse(String str, ParsePosition parsePosition) throws ParseException {
        String str2;
        int i6;
        int i7;
        int i8;
        int i9;
        int length;
        TimeZone timeZone;
        char charAt;
        try {
            int index = parsePosition.getIndex();
            int i10 = index + 4;
            int parseInt = parseInt(str, index, i10);
            if (checkOffset(str, i10, '-')) {
                i10++;
            }
            int i11 = i10 + 2;
            int parseInt2 = parseInt(str, i10, i11);
            if (checkOffset(str, i11, '-')) {
                i11++;
            }
            int i12 = i11 + 2;
            int parseInt3 = parseInt(str, i11, i12);
            boolean checkOffset = checkOffset(str, i12, 'T');
            if (!checkOffset && str.length() <= i12) {
                GregorianCalendar gregorianCalendar = new GregorianCalendar(parseInt, parseInt2 - 1, parseInt3);
                parsePosition.setIndex(i12);
                return gregorianCalendar.getTime();
            }
            if (checkOffset) {
                int i13 = i12 + 1;
                int i14 = i13 + 2;
                int parseInt4 = parseInt(str, i13, i14);
                if (checkOffset(str, i14, ':')) {
                    i14++;
                }
                int i15 = i14 + 2;
                int parseInt5 = parseInt(str, i14, i15);
                if (checkOffset(str, i15, ':')) {
                    i15++;
                }
                if (str.length() > i15 && (charAt = str.charAt(i15)) != 'Z' && charAt != '+' && charAt != '-') {
                    int i16 = i15 + 2;
                    i9 = parseInt(str, i15, i16);
                    if (i9 > 59 && i9 < 63) {
                        i9 = 59;
                    }
                    if (checkOffset(str, i16, '.')) {
                        int i17 = i16 + 1;
                        int indexOfNonDigit = indexOfNonDigit(str, i17 + 1);
                        int min = Math.min(indexOfNonDigit, i17 + 3);
                        int parseInt6 = parseInt(str, i17, min);
                        int i18 = min - i17;
                        if (i18 != 1) {
                            if (i18 == 2) {
                                parseInt6 *= 10;
                            }
                        } else {
                            parseInt6 *= 100;
                        }
                        i7 = parseInt5;
                        i8 = parseInt6;
                        i6 = parseInt4;
                        i12 = indexOfNonDigit;
                    } else {
                        i7 = parseInt5;
                        i6 = parseInt4;
                        i12 = i16;
                        i8 = 0;
                    }
                    if (str.length() <= i12) {
                        char charAt2 = str.charAt(i12);
                        if (charAt2 == 'Z') {
                            timeZone = TIMEZONE_UTC;
                            length = i12 + 1;
                        } else {
                            if (charAt2 != '+' && charAt2 != '-') {
                                throw new IndexOutOfBoundsException("Invalid time zone indicator '" + charAt2 + "'");
                            }
                            String substring = str.substring(i12);
                            if (substring.length() < 5) {
                                substring = substring + "00";
                            }
                            length = i12 + substring.length();
                            if (!"+0000".equals(substring) && !"+00:00".equals(substring)) {
                                String str3 = "GMT" + substring;
                                TimeZone timeZone2 = TimeZone.getTimeZone(str3);
                                String id = timeZone2.getID();
                                if (!id.equals(str3) && !id.replace(":", BuildConfig.FLAVOR).equals(str3)) {
                                    throw new IndexOutOfBoundsException("Mismatching time zone indicator: " + str3 + " given, resolves to " + timeZone2.getID());
                                }
                                timeZone = timeZone2;
                            }
                            timeZone = TIMEZONE_UTC;
                        }
                        GregorianCalendar gregorianCalendar2 = new GregorianCalendar(timeZone);
                        gregorianCalendar2.setLenient(false);
                        gregorianCalendar2.set(1, parseInt);
                        gregorianCalendar2.set(2, parseInt2 - 1);
                        gregorianCalendar2.set(5, parseInt3);
                        gregorianCalendar2.set(11, i6);
                        gregorianCalendar2.set(12, i7);
                        gregorianCalendar2.set(13, i9);
                        gregorianCalendar2.set(14, i8);
                        parsePosition.setIndex(length);
                        return gregorianCalendar2.getTime();
                    }
                    throw new IllegalArgumentException("No time zone indicator");
                }
                i7 = parseInt5;
                i8 = 0;
                i6 = parseInt4;
                i12 = i15;
            } else {
                i6 = 0;
                i7 = 0;
                i8 = 0;
            }
            i9 = 0;
            if (str.length() <= i12) {
            }
        } catch (IllegalArgumentException | IndexOutOfBoundsException | NumberFormatException e6) {
            if (str == null) {
                str2 = null;
            } else {
                str2 = '\"' + str + '\"';
            }
            String message = e6.getMessage();
            if (message == null || message.isEmpty()) {
                message = "(" + e6.getClass().getName() + ")";
            }
            ParseException parseException = new ParseException("Failed to parse date [" + str2 + "]: " + message, parsePosition.getIndex());
            parseException.initCause(e6);
            throw parseException;
        }
    }

    private static int parseInt(String str, int i6, int i7) throws NumberFormatException {
        int i8;
        int i9;
        if (i6 >= 0 && i7 <= str.length() && i6 <= i7) {
            if (i6 < i7) {
                i9 = i6 + 1;
                int digit = Character.digit(str.charAt(i6), 10);
                if (digit >= 0) {
                    i8 = -digit;
                } else {
                    throw new NumberFormatException("Invalid number: " + str.substring(i6, i7));
                }
            } else {
                i8 = 0;
                i9 = i6;
            }
            while (i9 < i7) {
                int i10 = i9 + 1;
                int digit2 = Character.digit(str.charAt(i9), 10);
                if (digit2 >= 0) {
                    i8 = (i8 * 10) - digit2;
                    i9 = i10;
                } else {
                    throw new NumberFormatException("Invalid number: " + str.substring(i6, i7));
                }
            }
            return -i8;
        }
        throw new NumberFormatException(str);
    }

    public static String format(Date date, boolean z5) {
        return format(date, z5, TIMEZONE_UTC);
    }

    public static String format(Date date, boolean z5, TimeZone timeZone) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(timeZone, Locale.US);
        gregorianCalendar.setTime(date);
        StringBuilder sb = new StringBuilder(19 + (z5 ? 4 : 0) + (timeZone.getRawOffset() == 0 ? 1 : 6));
        padInt(sb, gregorianCalendar.get(1), 4);
        sb.append('-');
        padInt(sb, gregorianCalendar.get(2) + 1, 2);
        sb.append('-');
        padInt(sb, gregorianCalendar.get(5), 2);
        sb.append('T');
        padInt(sb, gregorianCalendar.get(11), 2);
        sb.append(':');
        padInt(sb, gregorianCalendar.get(12), 2);
        sb.append(':');
        padInt(sb, gregorianCalendar.get(13), 2);
        if (z5) {
            sb.append('.');
            padInt(sb, gregorianCalendar.get(14), 3);
        }
        int offset = timeZone.getOffset(gregorianCalendar.getTimeInMillis());
        if (offset != 0) {
            int i6 = offset / 60000;
            int abs = Math.abs(i6 / 60);
            int abs2 = Math.abs(i6 % 60);
            sb.append(offset >= 0 ? '+' : '-');
            padInt(sb, abs, 2);
            sb.append(':');
            padInt(sb, abs2, 2);
        } else {
            sb.append('Z');
        }
        return sb.toString();
    }
}
