package m5;

import java.security.cert.Certificate;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;
import javax.annotation.Nullable;
import javax.net.ssl.SSLPeerUnverifiedException;
/* compiled from: CertificatePinner.java */
/* loaded from: classes.dex */
public final class f {

    /* renamed from: ʽ  reason: contains not printable characters */
    public static final f f10662 = new a().m11621();

    /* renamed from: ʻ  reason: contains not printable characters */
    private final Set<b> f10663;
    @Nullable

    /* renamed from: ʼ  reason: contains not printable characters */
    private final v5.c f10664;

    /* compiled from: CertificatePinner.java */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final List<b> f10665 = new ArrayList();

        /* renamed from: ʻ  reason: contains not printable characters */
        public f m11621() {
            return new f(new LinkedHashSet(this.f10665), null);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: CertificatePinner.java */
    /* loaded from: classes.dex */
    public static final class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        final String f10666;

        /* renamed from: ʼ  reason: contains not printable characters */
        final String f10667;

        /* renamed from: ʽ  reason: contains not printable characters */
        final String f10668;

        /* renamed from: ʾ  reason: contains not printable characters */
        final w5.f f10669;

        public boolean equals(Object obj) {
            if (obj instanceof b) {
                b bVar = (b) obj;
                if (this.f10666.equals(bVar.f10666) && this.f10668.equals(bVar.f10668) && this.f10669.equals(bVar.f10669)) {
                    return true;
                }
            }
            return false;
        }

        public int hashCode() {
            return ((((527 + this.f10666.hashCode()) * 31) + this.f10668.hashCode()) * 31) + this.f10669.hashCode();
        }

        public String toString() {
            return this.f10668 + this.f10669.mo14033();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        boolean m11622(String str) {
            if (this.f10666.startsWith("*.")) {
                int indexOf = str.indexOf(46);
                if ((str.length() - indexOf) - 1 == this.f10667.length()) {
                    String str2 = this.f10667;
                    if (str.regionMatches(false, indexOf + 1, str2, 0, str2.length())) {
                        return true;
                    }
                }
                return false;
            }
            return str.equals(this.f10667);
        }
    }

    f(Set<b> set, @Nullable v5.c cVar) {
        this.f10663 = set;
        this.f10664 = cVar;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static String m11615(Certificate certificate) {
        if (certificate instanceof X509Certificate) {
            return "sha256/" + m11617((X509Certificate) certificate).mo14033();
        }
        throw new IllegalArgumentException("Certificate pinning requires X509 certificates");
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    static w5.f m11616(X509Certificate x509Certificate) {
        return w5.f.m14032(x509Certificate.getPublicKey().getEncoded()).mo14039();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    static w5.f m11617(X509Certificate x509Certificate) {
        return w5.f.m14032(x509Certificate.getPublicKey().getEncoded()).mo14040();
    }

    public boolean equals(@Nullable Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof f) {
            f fVar = (f) obj;
            if (n5.c.m11902(this.f10664, fVar.f10664) && this.f10663.equals(fVar.f10663)) {
                return true;
            }
        }
        return false;
    }

    public int hashCode() {
        int i6;
        v5.c cVar = this.f10664;
        if (cVar != null) {
            i6 = cVar.hashCode();
        } else {
            i6 = 0;
        }
        return (i6 * 31) + this.f10663.hashCode();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public void m11618(String str, List<Certificate> list) throws SSLPeerUnverifiedException {
        List<b> m11619 = m11619(str);
        if (m11619.isEmpty()) {
            return;
        }
        v5.c cVar = this.f10664;
        if (cVar != null) {
            list = cVar.mo13530(list, str);
        }
        int size = list.size();
        for (int i6 = 0; i6 < size; i6++) {
            X509Certificate x509Certificate = (X509Certificate) list.get(i6);
            int size2 = m11619.size();
            w5.f fVar = null;
            w5.f fVar2 = null;
            for (int i7 = 0; i7 < size2; i7++) {
                b bVar = m11619.get(i7);
                if (bVar.f10668.equals("sha256/")) {
                    if (fVar == null) {
                        fVar = m11617(x509Certificate);
                    }
                    if (bVar.f10669.equals(fVar)) {
                        return;
                    }
                } else if (bVar.f10668.equals("sha1/")) {
                    if (fVar2 == null) {
                        fVar2 = m11616(x509Certificate);
                    }
                    if (bVar.f10669.equals(fVar2)) {
                        return;
                    }
                } else {
                    throw new AssertionError("unsupported hashAlgorithm: " + bVar.f10668);
                }
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("Certificate pinning failure!");
        sb.append("\n  Peer certificate chain:");
        int size3 = list.size();
        for (int i8 = 0; i8 < size3; i8++) {
            X509Certificate x509Certificate2 = (X509Certificate) list.get(i8);
            sb.append("\n    ");
            sb.append(m11615(x509Certificate2));
            sb.append(": ");
            sb.append(x509Certificate2.getSubjectDN().getName());
        }
        sb.append("\n  Pinned certificates for ");
        sb.append(str);
        sb.append(":");
        int size4 = m11619.size();
        for (int i9 = 0; i9 < size4; i9++) {
            sb.append("\n    ");
            sb.append(m11619.get(i9));
        }
        throw new SSLPeerUnverifiedException(sb.toString());
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    List<b> m11619(String str) {
        List<b> emptyList = Collections.emptyList();
        for (b bVar : this.f10663) {
            if (bVar.m11622(str)) {
                if (emptyList.isEmpty()) {
                    emptyList = new ArrayList<>();
                }
                emptyList.add(bVar);
            }
        }
        return emptyList;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public f m11620(@Nullable v5.c cVar) {
        if (n5.c.m11902(this.f10664, cVar)) {
            return this;
        }
        return new f(this.f10663, cVar);
    }
}
