package m5;

import java.lang.ref.Reference;
import java.net.Socket;
import java.util.ArrayDeque;
import java.util.Deque;
import java.util.List;
import java.util.concurrent.Executor;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import javax.annotation.Nullable;
import p5.g;
/* compiled from: ConnectionPool.java */
/* loaded from: classes.dex */
public final class i {

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final Executor f10792 = new ThreadPoolExecutor(0, Integer.MAX_VALUE, 60, TimeUnit.SECONDS, new SynchronousQueue(), n5.c.m11889("OkHttp ConnectionPool", true));

    /* renamed from: ʻ  reason: contains not printable characters */
    private final int f10793;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final long f10794;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final Runnable f10795;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final Deque<p5.c> f10796;

    /* renamed from: ʿ  reason: contains not printable characters */
    final p5.d f10797;

    /* renamed from: ˆ  reason: contains not printable characters */
    boolean f10798;

    /* compiled from: ConnectionPool.java */
    /* loaded from: classes.dex */
    class a implements Runnable {
        a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            while (true) {
                long m11629 = i.this.m11629(System.nanoTime());
                if (m11629 == -1) {
                    return;
                }
                if (m11629 > 0) {
                    long j6 = m11629 / 1000000;
                    long j7 = m11629 - (1000000 * j6);
                    synchronized (i.this) {
                        try {
                            i.this.wait(j6, (int) j7);
                        } catch (InterruptedException unused) {
                        }
                    }
                }
            }
        }
    }

    public i() {
        this(5, 5L, TimeUnit.MINUTES);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private int m11628(p5.c cVar, long j6) {
        List<Reference<p5.g>> list = cVar.f11545;
        int i6 = 0;
        while (i6 < list.size()) {
            Reference<p5.g> reference = list.get(i6);
            if (reference.get() != null) {
                i6++;
            } else {
                t5.k.m13553().mo13529("A connection to " + cVar.m12400().m11607().m11551() + " was leaked. Did you forget to close a response body?", ((g.a) reference).f11574);
                list.remove(i6);
                cVar.f11542 = true;
                if (list.isEmpty()) {
                    cVar.f11546 = j6 - this.f10794;
                    return 0;
                }
            }
        }
        return list.size();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    long m11629(long j6) {
        synchronized (this) {
            p5.c cVar = null;
            long j7 = Long.MIN_VALUE;
            int i6 = 0;
            int i7 = 0;
            for (p5.c cVar2 : this.f10796) {
                if (m11628(cVar2, j6) > 0) {
                    i7++;
                } else {
                    i6++;
                    long j8 = j6 - cVar2.f11546;
                    if (j8 > j7) {
                        cVar = cVar2;
                        j7 = j8;
                    }
                }
            }
            long j9 = this.f10794;
            if (j7 < j9 && i6 <= this.f10793) {
                if (i6 > 0) {
                    return j9 - j7;
                } else if (i7 > 0) {
                    return j9;
                } else {
                    this.f10798 = false;
                    return -1L;
                }
            }
            this.f10796.remove(cVar);
            n5.c.m11892(cVar.m12401());
            return 0L;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m11630(p5.c cVar) {
        if (!cVar.f11542 && this.f10793 != 0) {
            notifyAll();
            return false;
        }
        this.f10796.remove(cVar);
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Nullable
    /* renamed from: ʽ  reason: contains not printable characters */
    public Socket m11631(m5.a aVar, p5.g gVar) {
        for (p5.c cVar : this.f10796) {
            if (cVar.m12396(aVar, null) && cVar.m12398() && cVar != gVar.m12429()) {
                return gVar.m12434(cVar);
            }
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Nullable
    /* renamed from: ʾ  reason: contains not printable characters */
    public p5.c m11632(m5.a aVar, p5.g gVar, c0 c0Var) {
        for (p5.c cVar : this.f10796) {
            if (cVar.m12396(aVar, c0Var)) {
                gVar.m12426(cVar, true);
                return cVar;
            }
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public void m11633(p5.c cVar) {
        if (!this.f10798) {
            this.f10798 = true;
            f10792.execute(this.f10795);
        }
        this.f10796.add(cVar);
    }

    public i(int i6, long j6, TimeUnit timeUnit) {
        this.f10795 = new a();
        this.f10796 = new ArrayDeque();
        this.f10797 = new p5.d();
        this.f10793 = i6;
        this.f10794 = timeUnit.toNanos(j6);
        if (j6 > 0) {
            return;
        }
        throw new IllegalArgumentException("keepAliveDuration <= 0: " + j6);
    }
}
