package me.zhanghai.android.materialprogressbar;

import android.graphics.Canvas;
import android.graphics.Paint;
/* loaded from: classes.dex */
class SingleCircularProgressDrawable extends BaseSingleCircularProgressDrawable implements ShowBackgroundDrawable {
    private static final int LEVEL_MAX = 10000;
    private static final float START_ANGLE_MAX_DYNAMIC = 360.0f;
    private static final float START_ANGLE_MAX_NORMAL = 0.0f;
    private static final float SWEEP_ANGLE_MAX = 360.0f;
    private boolean mShowBackground;
    private final float mStartAngleMax;

    /* JADX INFO: Access modifiers changed from: package-private */
    public SingleCircularProgressDrawable(int i6) {
        if (i6 != 0) {
            if (i6 == 1) {
                this.mStartAngleMax = 360.0f;
                return;
            }
            throw new IllegalArgumentException("Invalid value for style");
        }
        this.mStartAngleMax = START_ANGLE_MAX_NORMAL;
    }

    @Override // me.zhanghai.android.materialprogressbar.ShowBackgroundDrawable
    public boolean getShowBackground() {
        return this.mShowBackground;
    }

    @Override // me.zhanghai.android.materialprogressbar.BaseSingleCircularProgressDrawable
    protected void onDrawRing(Canvas canvas, Paint paint) {
        int level = getLevel();
        if (level == 0) {
            return;
        }
        float f6 = level / 10000.0f;
        float f7 = this.mStartAngleMax * f6;
        float f8 = f6 * 360.0f;
        drawRing(canvas, paint, f7, f8);
        if (this.mShowBackground) {
            drawRing(canvas, paint, f7, f8);
        }
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onLevelChange(int i6) {
        invalidateSelf();
        return true;
    }

    @Override // me.zhanghai.android.materialprogressbar.ShowBackgroundDrawable
    public void setShowBackground(boolean z5) {
        if (this.mShowBackground != z5) {
            this.mShowBackground = z5;
            invalidateSelf();
        }
    }
}
