package v1;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.concurrent.atomic.AtomicReference;
/* compiled from: ByteBufferUtil.java */
/* loaded from: classes.dex */
public final class a {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final AtomicReference<byte[]> f12922 = new AtomicReference<>();

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ByteBufferUtil.java */
    /* loaded from: classes.dex */
    public static final class b {

        /* renamed from: ʻ  reason: contains not printable characters */
        final int f12925;

        /* renamed from: ʼ  reason: contains not printable characters */
        final int f12926;

        /* renamed from: ʽ  reason: contains not printable characters */
        final byte[] f12927;

        b(byte[] bArr, int i6, int i7) {
            this.f12927 = bArr;
            this.f12925 = i6;
            this.f12926 = i7;
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static ByteBuffer m13605(File file) throws IOException {
        RandomAccessFile randomAccessFile;
        FileChannel fileChannel = null;
        try {
            long length = file.length();
            if (length <= 2147483647L) {
                if (length != 0) {
                    randomAccessFile = new RandomAccessFile(file, "r");
                    try {
                        fileChannel = randomAccessFile.getChannel();
                        MappedByteBuffer load = fileChannel.map(FileChannel.MapMode.READ_ONLY, 0L, length).load();
                        try {
                            fileChannel.close();
                        } catch (IOException unused) {
                        }
                        try {
                            randomAccessFile.close();
                        } catch (IOException unused2) {
                        }
                        return load;
                    } catch (Throwable th) {
                        th = th;
                        if (fileChannel != null) {
                            try {
                                fileChannel.close();
                            } catch (IOException unused3) {
                            }
                        }
                        if (randomAccessFile != null) {
                            try {
                                randomAccessFile.close();
                            } catch (IOException unused4) {
                            }
                        }
                        throw th;
                    }
                }
                throw new IOException("File unsuitable for memory mapping");
            }
            throw new IOException("File too large to map into memory");
        } catch (Throwable th2) {
            th = th2;
            randomAccessFile = null;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static ByteBuffer m13606(InputStream inputStream) throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream(16384);
        byte[] andSet = f12922.getAndSet(null);
        if (andSet == null) {
            andSet = new byte[16384];
        }
        while (true) {
            int read = inputStream.read(andSet);
            if (read >= 0) {
                byteArrayOutputStream.write(andSet, 0, read);
            } else {
                f12922.set(andSet);
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                return m13608(ByteBuffer.allocateDirect(byteArray.length).put(byteArray));
            }
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static b m13607(ByteBuffer byteBuffer) {
        if (!byteBuffer.isReadOnly() && byteBuffer.hasArray()) {
            return new b(byteBuffer.array(), byteBuffer.arrayOffset(), byteBuffer.limit());
        }
        return null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static ByteBuffer m13608(ByteBuffer byteBuffer) {
        return (ByteBuffer) byteBuffer.position(0);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static byte[] m13609(ByteBuffer byteBuffer) {
        b m13607 = m13607(byteBuffer);
        if (m13607 != null && m13607.f12925 == 0 && m13607.f12926 == m13607.f12927.length) {
            return byteBuffer.array();
        }
        ByteBuffer asReadOnlyBuffer = byteBuffer.asReadOnlyBuffer();
        byte[] bArr = new byte[asReadOnlyBuffer.limit()];
        m13608(asReadOnlyBuffer);
        asReadOnlyBuffer.get(bArr);
        return bArr;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static void m13610(ByteBuffer byteBuffer, File file) throws IOException {
        RandomAccessFile randomAccessFile;
        m13608(byteBuffer);
        FileChannel fileChannel = null;
        try {
            randomAccessFile = new RandomAccessFile(file, "rw");
            try {
                fileChannel = randomAccessFile.getChannel();
                fileChannel.write(byteBuffer);
                fileChannel.force(false);
                fileChannel.close();
                randomAccessFile.close();
                try {
                    fileChannel.close();
                } catch (IOException unused) {
                }
                try {
                    randomAccessFile.close();
                } catch (IOException unused2) {
                }
            } catch (Throwable th) {
                th = th;
                if (fileChannel != null) {
                    try {
                        fileChannel.close();
                    } catch (IOException unused3) {
                    }
                }
                if (randomAccessFile != null) {
                    try {
                        randomAccessFile.close();
                    } catch (IOException unused4) {
                    }
                }
                throw th;
            }
        } catch (Throwable th2) {
            th = th2;
            randomAccessFile = null;
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static InputStream m13611(ByteBuffer byteBuffer) {
        return new C0163a(byteBuffer);
    }

    /* compiled from: ByteBufferUtil.java */
    /* renamed from: v1.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    private static class C0163a extends InputStream {

        /* renamed from: ʾ  reason: contains not printable characters */
        private final ByteBuffer f12923;

        /* renamed from: ʿ  reason: contains not printable characters */
        private int f12924 = -1;

        C0163a(ByteBuffer byteBuffer) {
            this.f12923 = byteBuffer;
        }

        @Override // java.io.InputStream
        public int available() {
            return this.f12923.remaining();
        }

        @Override // java.io.InputStream
        public synchronized void mark(int i6) {
            this.f12924 = this.f12923.position();
        }

        @Override // java.io.InputStream
        public boolean markSupported() {
            return true;
        }

        @Override // java.io.InputStream
        public int read() {
            if (this.f12923.hasRemaining()) {
                return this.f12923.get() & 255;
            }
            return -1;
        }

        @Override // java.io.InputStream
        public synchronized void reset() throws IOException {
            int i6 = this.f12924;
            if (i6 != -1) {
                this.f12923.position(i6);
            } else {
                throw new IOException("Cannot reset to unset mark position");
            }
        }

        @Override // java.io.InputStream
        public long skip(long j6) {
            if (!this.f12923.hasRemaining()) {
                return -1L;
            }
            long min = Math.min(j6, available());
            ByteBuffer byteBuffer = this.f12923;
            byteBuffer.position((int) (byteBuffer.position() + min));
            return min;
        }

        @Override // java.io.InputStream
        public int read(byte[] bArr, int i6, int i7) {
            if (this.f12923.hasRemaining()) {
                int min = Math.min(i7, available());
                this.f12923.get(bArr, i6, min);
                return min;
            }
            return -1;
        }
    }
}
