package v5;

import java.security.GeneralSecurityException;
import java.security.cert.Certificate;
import java.security.cert.X509Certificate;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import javax.net.ssl.SSLPeerUnverifiedException;
/* compiled from: BasicCertificateChainCleaner.java */
/* loaded from: classes.dex */
public final class a extends c {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final e f13098;

    public a(e eVar) {
        this.f13098 = eVar;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private boolean m13877(X509Certificate x509Certificate, X509Certificate x509Certificate2) {
        if (!x509Certificate.getIssuerDN().equals(x509Certificate2.getSubjectDN())) {
            return false;
        }
        try {
            x509Certificate.verify(x509Certificate2.getPublicKey());
            return true;
        } catch (GeneralSecurityException unused) {
            return false;
        }
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if ((obj instanceof a) && ((a) obj).f13098.equals(this.f13098)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return this.f13098.hashCode();
    }

    @Override // v5.c
    /* renamed from: ʻ */
    public List<Certificate> mo13530(List<Certificate> list, String str) throws SSLPeerUnverifiedException {
        ArrayDeque arrayDeque = new ArrayDeque(list);
        ArrayList arrayList = new ArrayList();
        arrayList.add(arrayDeque.removeFirst());
        boolean z5 = false;
        for (int i6 = 0; i6 < 9; i6++) {
            X509Certificate x509Certificate = (X509Certificate) arrayList.get(arrayList.size() - 1);
            X509Certificate mo13531 = this.f13098.mo13531(x509Certificate);
            if (mo13531 != null) {
                if (arrayList.size() > 1 || !x509Certificate.equals(mo13531)) {
                    arrayList.add(mo13531);
                }
                if (m13877(mo13531, mo13531)) {
                    return arrayList;
                }
                z5 = true;
            } else {
                Iterator it = arrayDeque.iterator();
                while (it.hasNext()) {
                    X509Certificate x509Certificate2 = (X509Certificate) it.next();
                    if (m13877(x509Certificate, x509Certificate2)) {
                        it.remove();
                        arrayList.add(x509Certificate2);
                    }
                }
                if (z5) {
                    return arrayList;
                }
                throw new SSLPeerUnverifiedException("Failed to find a trusted cert that signed " + x509Certificate);
            }
        }
        throw new SSLPeerUnverifiedException("Certificate chain too long: " + arrayList);
    }
}
