package v5;

import java.security.cert.X509Certificate;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
/* compiled from: BasicTrustRootIndex.java */
/* loaded from: classes.dex */
public final class b implements e {

    /* renamed from: ʻ  reason: contains not printable characters */
    private final Map<X500Principal, Set<X509Certificate>> f13099 = new LinkedHashMap();

    public b(X509Certificate... x509CertificateArr) {
        for (X509Certificate x509Certificate : x509CertificateArr) {
            X500Principal subjectX500Principal = x509Certificate.getSubjectX500Principal();
            Set<X509Certificate> set = this.f13099.get(subjectX500Principal);
            if (set == null) {
                set = new LinkedHashSet<>(1);
                this.f13099.put(subjectX500Principal, set);
            }
            set.add(x509Certificate);
        }
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if ((obj instanceof b) && ((b) obj).f13099.equals(this.f13099)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return this.f13099.hashCode();
    }

    @Override // v5.e
    /* renamed from: ʻ */
    public X509Certificate mo13531(X509Certificate x509Certificate) {
        Set<X509Certificate> set = this.f13099.get(x509Certificate.getIssuerX500Principal());
        if (set == null) {
            return null;
        }
        for (X509Certificate x509Certificate2 : set) {
            try {
                x509Certificate.verify(x509Certificate2.getPublicKey());
                return x509Certificate2;
            } catch (Exception unused) {
            }
        }
        return null;
    }
}
